#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 11432
#define LARGE_STATE_COUNT 4175
#define SYMBOL_COUNT 289
#define ALIAS_COUNT 0
#define TOKEN_COUNT 142
#define EXTERNAL_TOKEN_COUNT 11
#define FIELD_COUNT 8
#define MAX_ALIAS_SEQUENCE_LENGTH 13
#define PRODUCTION_ID_COUNT 23

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_AT = 2,
  anon_sym_file = 3,
  anon_sym_COLON = 4,
  anon_sym_LBRACK = 5,
  anon_sym_RBRACK = 6,
  anon_sym_package = 7,
  anon_sym_SEMI = 8,
  anon_sym_import = 9,
  anon_sym_DOT = 10,
  anon_sym_STAR = 11,
  anon_sym_as = 12,
  anon_sym_class = 13,
  anon_sym_fun = 14,
  anon_sym_interface = 15,
  anon_sym_object = 16,
  anon_sym_val = 17,
  anon_sym_var = 18,
  anon_sym_EQ = 19,
  anon_sym_typealias = 20,
  anon_sym_companion = 21,
  anon_sym_init = 22,
  anon_sym_constructor = 23,
  anon_sym_this = 24,
  anon_sym_super = 25,
  anon_sym_LT = 26,
  anon_sym_COMMA = 27,
  anon_sym_GT = 28,
  anon_sym_LPAREN = 29,
  anon_sym_RPAREN = 30,
  anon_sym_where = 31,
  anon_sym_by = 32,
  anon_sym_get = 33,
  anon_sym_set = 34,
  anon_sym_LBRACE = 35,
  anon_sym_RBRACE = 36,
  anon_sym_for = 37,
  anon_sym_in = 38,
  anon_sym_while = 39,
  anon_sym_do = 40,
  anon_sym_enum = 41,
  anon_sym_sealed = 42,
  anon_sym_annotation = 43,
  anon_sym_data = 44,
  anon_sym_inner = 45,
  anon_sym_value = 46,
  anon_sym_tailrec = 47,
  anon_sym_operator = 48,
  anon_sym_infix = 49,
  anon_sym_inline = 50,
  anon_sym_external = 51,
  anon_sym_suspend = 52,
  anon_sym_const = 53,
  anon_sym_public = 54,
  anon_sym_private = 55,
  anon_sym_protected = 56,
  anon_sym_internal = 57,
  anon_sym_abstract = 58,
  anon_sym_final = 59,
  anon_sym_open = 60,
  anon_sym_override = 61,
  anon_sym_lateinit = 62,
  anon_sym_vararg = 63,
  anon_sym_noinline = 64,
  anon_sym_crossinline = 65,
  sym_reification_modifier = 66,
  anon_sym_expect = 67,
  anon_sym_actual = 68,
  anon_sym_field = 69,
  anon_sym_property = 70,
  anon_sym_receiver = 71,
  anon_sym_param = 72,
  anon_sym_setparam = 73,
  anon_sym_delegate = 74,
  anon_sym_dynamic = 75,
  anon_sym_QMARK = 76,
  anon_sym_AMP = 77,
  anon_sym_DASH_GT = 78,
  anon_sym_PLUS_EQ = 79,
  anon_sym_DASH_EQ = 80,
  anon_sym_STAR_EQ = 81,
  anon_sym_SLASH_EQ = 82,
  anon_sym_PERCENT_EQ = 83,
  anon_sym_PLUS_PLUS = 84,
  anon_sym_DASH_DASH = 85,
  anon_sym_PLUS = 86,
  anon_sym_DASH = 87,
  anon_sym_BANG = 88,
  anon_sym_BANG_BANG = 89,
  anon_sym_SLASH = 90,
  anon_sym_PERCENT = 91,
  anon_sym_PIPE_PIPE = 92,
  anon_sym_AMP_AMP = 93,
  anon_sym_BANG_EQ = 94,
  anon_sym_BANG_EQ_EQ = 95,
  anon_sym_EQ_EQ = 96,
  anon_sym_EQ_EQ_EQ = 97,
  anon_sym_GT_EQ = 98,
  anon_sym_LT_EQ = 99,
  anon_sym_QMARK_COLON = 100,
  anon_sym_BANGin = 101,
  anon_sym_is = 102,
  anon_sym_as_QMARK = 103,
  anon_sym_DOT_DOT = 104,
  anon_sym_DOT_DOT_LT = 105,
  anon_sym_this_AT = 106,
  anon_sym_super_AT = 107,
  anon_sym_AT2 = 108,
  anon_sym_if = 109,
  anon_sym_else = 110,
  anon_sym_when = 111,
  anon_sym_try = 112,
  anon_sym_catch = 113,
  anon_sym_finally = 114,
  anon_sym_return = 115,
  anon_sym_return_AT = 116,
  anon_sym_throw = 117,
  anon_sym_COLON_COLON = 118,
  anon_sym_DQUOTE = 119,
  aux_sym_string_literal_token1 = 120,
  aux_sym_string_literal_token2 = 121,
  anon_sym_DOLLAR = 122,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 123,
  anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE = 124,
  anon_sym_DOLLAR_LBRACE = 125,
  anon_sym_SQUOTE = 126,
  aux_sym_character_literal_token1 = 127,
  sym_escape_sequence = 128,
  sym_number_literal = 129,
  sym_float_literal = 130,
  anon_sym_out = 131,
  sym_label = 132,
  sym_shebang = 133,
  sym_line_comment = 134,
  sym__semi = 135,
  sym__class_member_semi = 136,
  sym_block_comment = 137,
  sym__not_is = 138,
  sym__in = 139,
  sym__q_dot = 140,
  sym__multiline_string_content = 141,
  sym_source_file = 142,
  sym_file_annotation = 143,
  sym_package_header = 144,
  sym_import = 145,
  sym_declaration = 146,
  sym_class_declaration = 147,
  sym_object_declaration = 148,
  sym_property_declaration = 149,
  sym_type_alias = 150,
  sym_companion_object = 151,
  sym_anonymous_initializer = 152,
  sym_secondary_constructor = 153,
  sym_constructor_delegation_call = 154,
  sym_type_parameters = 155,
  sym_type_parameter = 156,
  sym_primary_constructor = 157,
  sym_class_parameters = 158,
  sym_class_parameter = 159,
  sym_type_constraints = 160,
  sym_type_constraint = 161,
  sym_constructor_invocation = 162,
  sym_function_declaration = 163,
  sym_function_value_parameters = 164,
  sym_parameter = 165,
  sym_delegation_specifiers = 166,
  sym_delegation_specifier = 167,
  sym_variable_declaration = 168,
  sym_multi_variable_declaration = 169,
  sym_property_delegate = 170,
  sym_explicit_delegation = 171,
  sym_getter = 172,
  sym_setter = 173,
  sym_function_body = 174,
  sym_block = 175,
  sym_for_statement = 176,
  sym_while_statement = 177,
  sym_do_while_statement = 178,
  sym_class_body = 179,
  sym_class_member_declaration = 180,
  sym_enum_class_body = 181,
  sym_enum_entry = 182,
  sym_value_arguments = 183,
  sym_value_argument = 184,
  sym_statement = 185,
  sym_modifiers = 186,
  sym_class_modifier = 187,
  sym_function_modifier = 188,
  sym_property_modifier = 189,
  sym_visibility_modifier = 190,
  sym_inheritance_modifier = 191,
  sym_member_modifier = 192,
  sym_parameter_modifiers = 193,
  sym_parameter_modifier = 194,
  sym_platform_modifier = 195,
  sym_type_modifiers = 196,
  sym_annotation = 197,
  sym_use_site_target = 198,
  sym__unescaped_annotation = 199,
  sym_type = 200,
  sym_user_type = 201,
  sym__simple_user_type = 202,
  sym_nullable_type = 203,
  sym_non_nullable_type = 204,
  sym__receiver_type = 205,
  sym_type_arguments = 206,
  sym_type_projection = 207,
  sym_function_type = 208,
  sym_function_type_parameters = 209,
  sym_parenthesized_type = 210,
  sym_assignment = 211,
  sym_expression = 212,
  sym_primary_expression = 213,
  sym_unary_expression = 214,
  sym_annotated_expression = 215,
  sym_labeled_expression = 216,
  sym_binary_expression = 217,
  sym_in_expression = 218,
  sym_is_expression = 219,
  sym_as_expression = 220,
  sym_spread_expression = 221,
  sym_range_expression = 222,
  sym_infix_expression = 223,
  sym_call_expression = 224,
  sym_annotated_lambda = 225,
  sym_lambda_literal = 226,
  sym_lambda_parameters = 227,
  sym__lambda_parameter = 228,
  sym_anonymous_function = 229,
  sym_index_expression = 230,
  sym_this_expression = 231,
  sym_super_expression = 232,
  sym_if_expression = 233,
  sym_parenthesized_expression = 234,
  sym_collection_literal = 235,
  sym_when_expression = 236,
  sym_when_subject = 237,
  sym_when_entry = 238,
  sym__when_condition = 239,
  sym_range_test = 240,
  sym_type_test = 241,
  sym_try_expression = 242,
  sym_catch_block = 243,
  sym_finally_block = 244,
  sym_return_expression = 245,
  sym_throw_expression = 246,
  sym_callable_reference = 247,
  sym_navigation_expression = 248,
  sym_object_literal = 249,
  sym_string_literal = 250,
  sym_multiline_string_literal = 251,
  sym_interpolation = 252,
  sym_character_literal = 253,
  sym_variance_modifier = 254,
  sym_type_parameter_modifiers = 255,
  sym_qualified_identifier = 256,
  sym__reserved_identifier = 257,
  aux_sym_source_file_repeat1 = 258,
  aux_sym_source_file_repeat2 = 259,
  aux_sym_source_file_repeat3 = 260,
  aux_sym_file_annotation_repeat1 = 261,
  aux_sym_type_parameters_repeat1 = 262,
  aux_sym_class_parameters_repeat1 = 263,
  aux_sym_type_constraints_repeat1 = 264,
  aux_sym_function_value_parameters_repeat1 = 265,
  aux_sym_delegation_specifiers_repeat1 = 266,
  aux_sym_delegation_specifier_repeat1 = 267,
  aux_sym_multi_variable_declaration_repeat1 = 268,
  aux_sym_class_body_repeat1 = 269,
  aux_sym_enum_class_body_repeat1 = 270,
  aux_sym_value_arguments_repeat1 = 271,
  aux_sym__statements_repeat1 = 272,
  aux_sym_modifiers_repeat1 = 273,
  aux_sym_parameter_modifiers_repeat1 = 274,
  aux_sym_type_modifiers_repeat1 = 275,
  aux_sym_user_type_repeat1 = 276,
  aux_sym_type_arguments_repeat1 = 277,
  aux_sym_type_projection_repeat1 = 278,
  aux_sym_function_type_parameters_repeat1 = 279,
  aux_sym_lambda_parameters_repeat1 = 280,
  aux_sym_index_expression_repeat1 = 281,
  aux_sym_when_expression_repeat1 = 282,
  aux_sym_when_entry_repeat1 = 283,
  aux_sym_try_expression_repeat1 = 284,
  aux_sym_string_literal_repeat1 = 285,
  aux_sym_multiline_string_literal_repeat1 = 286,
  aux_sym_type_parameter_modifiers_repeat1 = 287,
  aux_sym_qualified_identifier_repeat1 = 288,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_AT] = "@",
  [anon_sym_file] = "file",
  [anon_sym_COLON] = ":",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_package] = "package",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_as] = "as",
  [anon_sym_class] = "class",
  [anon_sym_fun] = "fun",
  [anon_sym_interface] = "interface",
  [anon_sym_object] = "object",
  [anon_sym_val] = "val",
  [anon_sym_var] = "var",
  [anon_sym_EQ] = "=",
  [anon_sym_typealias] = "typealias",
  [anon_sym_companion] = "companion",
  [anon_sym_init] = "init",
  [anon_sym_constructor] = "constructor",
  [anon_sym_this] = "this",
  [anon_sym_super] = "super",
  [anon_sym_LT] = "<",
  [anon_sym_COMMA] = ",",
  [anon_sym_GT] = ">",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_where] = "where",
  [anon_sym_by] = "by",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_enum] = "enum",
  [anon_sym_sealed] = "sealed",
  [anon_sym_annotation] = "annotation",
  [anon_sym_data] = "data",
  [anon_sym_inner] = "inner",
  [anon_sym_value] = "value",
  [anon_sym_tailrec] = "tailrec",
  [anon_sym_operator] = "operator",
  [anon_sym_infix] = "infix",
  [anon_sym_inline] = "inline",
  [anon_sym_external] = "external",
  [anon_sym_suspend] = "suspend",
  [anon_sym_const] = "const",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_internal] = "internal",
  [anon_sym_abstract] = "abstract",
  [anon_sym_final] = "final",
  [anon_sym_open] = "open",
  [anon_sym_override] = "override",
  [anon_sym_lateinit] = "lateinit",
  [anon_sym_vararg] = "vararg",
  [anon_sym_noinline] = "noinline",
  [anon_sym_crossinline] = "crossinline",
  [sym_reification_modifier] = "reification_modifier",
  [anon_sym_expect] = "expect",
  [anon_sym_actual] = "actual",
  [anon_sym_field] = "field",
  [anon_sym_property] = "property",
  [anon_sym_receiver] = "receiver",
  [anon_sym_param] = "param",
  [anon_sym_setparam] = "setparam",
  [anon_sym_delegate] = "delegate",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AMP] = "&",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_BANG_BANG] = "!!",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_BANGin] = "!in",
  [anon_sym_is] = "is",
  [anon_sym_as_QMARK] = "as\?",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT_DOT_LT] = "..<",
  [anon_sym_this_AT] = "this@",
  [anon_sym_super_AT] = "super@",
  [anon_sym_AT2] = "@",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_when] = "when",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_return] = "return",
  [anon_sym_return_AT] = "return@",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [aux_sym_string_literal_token2] = "string_content",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"\"",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_literal_token1] = "character_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_number_literal] = "number_literal",
  [sym_float_literal] = "float_literal",
  [anon_sym_out] = "out",
  [sym_label] = "label",
  [sym_shebang] = "shebang",
  [sym_line_comment] = "line_comment",
  [sym__semi] = "_semi",
  [sym__class_member_semi] = "_class_member_semi",
  [sym_block_comment] = "block_comment",
  [sym__not_is] = "!is",
  [sym__in] = "in",
  [sym__q_dot] = "\?.",
  [sym__multiline_string_content] = "string_content",
  [sym_source_file] = "source_file",
  [sym_file_annotation] = "file_annotation",
  [sym_package_header] = "package_header",
  [sym_import] = "import",
  [sym_declaration] = "declaration",
  [sym_class_declaration] = "class_declaration",
  [sym_object_declaration] = "object_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym_type_alias] = "type_alias",
  [sym_companion_object] = "companion_object",
  [sym_anonymous_initializer] = "anonymous_initializer",
  [sym_secondary_constructor] = "secondary_constructor",
  [sym_constructor_delegation_call] = "constructor_delegation_call",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_primary_constructor] = "primary_constructor",
  [sym_class_parameters] = "class_parameters",
  [sym_class_parameter] = "class_parameter",
  [sym_type_constraints] = "type_constraints",
  [sym_type_constraint] = "type_constraint",
  [sym_constructor_invocation] = "constructor_invocation",
  [sym_function_declaration] = "function_declaration",
  [sym_function_value_parameters] = "function_value_parameters",
  [sym_parameter] = "parameter",
  [sym_delegation_specifiers] = "delegation_specifiers",
  [sym_delegation_specifier] = "delegation_specifier",
  [sym_variable_declaration] = "variable_declaration",
  [sym_multi_variable_declaration] = "multi_variable_declaration",
  [sym_property_delegate] = "property_delegate",
  [sym_explicit_delegation] = "explicit_delegation",
  [sym_getter] = "getter",
  [sym_setter] = "setter",
  [sym_function_body] = "function_body",
  [sym_block] = "block",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_while_statement] = "do_while_statement",
  [sym_class_body] = "class_body",
  [sym_class_member_declaration] = "class_member_declaration",
  [sym_enum_class_body] = "enum_class_body",
  [sym_enum_entry] = "enum_entry",
  [sym_value_arguments] = "value_arguments",
  [sym_value_argument] = "value_argument",
  [sym_statement] = "statement",
  [sym_modifiers] = "modifiers",
  [sym_class_modifier] = "class_modifier",
  [sym_function_modifier] = "function_modifier",
  [sym_property_modifier] = "property_modifier",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_inheritance_modifier] = "inheritance_modifier",
  [sym_member_modifier] = "member_modifier",
  [sym_parameter_modifiers] = "parameter_modifiers",
  [sym_parameter_modifier] = "parameter_modifier",
  [sym_platform_modifier] = "platform_modifier",
  [sym_type_modifiers] = "type_modifiers",
  [sym_annotation] = "annotation",
  [sym_use_site_target] = "use_site_target",
  [sym__unescaped_annotation] = "_unescaped_annotation",
  [sym_type] = "type",
  [sym_user_type] = "user_type",
  [sym__simple_user_type] = "_simple_user_type",
  [sym_nullable_type] = "nullable_type",
  [sym_non_nullable_type] = "non_nullable_type",
  [sym__receiver_type] = "_receiver_type",
  [sym_type_arguments] = "type_arguments",
  [sym_type_projection] = "type_projection",
  [sym_function_type] = "function_type",
  [sym_function_type_parameters] = "function_type_parameters",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_assignment] = "assignment",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_annotated_expression] = "annotated_expression",
  [sym_labeled_expression] = "labeled_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_in_expression] = "in_expression",
  [sym_is_expression] = "is_expression",
  [sym_as_expression] = "as_expression",
  [sym_spread_expression] = "spread_expression",
  [sym_range_expression] = "range_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_call_expression] = "call_expression",
  [sym_annotated_lambda] = "annotated_lambda",
  [sym_lambda_literal] = "lambda_literal",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__lambda_parameter] = "_lambda_parameter",
  [sym_anonymous_function] = "anonymous_function",
  [sym_index_expression] = "index_expression",
  [sym_this_expression] = "this_expression",
  [sym_super_expression] = "super_expression",
  [sym_if_expression] = "if_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_collection_literal] = "collection_literal",
  [sym_when_expression] = "when_expression",
  [sym_when_subject] = "when_subject",
  [sym_when_entry] = "when_entry",
  [sym__when_condition] = "_when_condition",
  [sym_range_test] = "range_test",
  [sym_type_test] = "type_test",
  [sym_try_expression] = "try_expression",
  [sym_catch_block] = "catch_block",
  [sym_finally_block] = "finally_block",
  [sym_return_expression] = "return_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_callable_reference] = "callable_reference",
  [sym_navigation_expression] = "navigation_expression",
  [sym_object_literal] = "object_literal",
  [sym_string_literal] = "string_literal",
  [sym_multiline_string_literal] = "multiline_string_literal",
  [sym_interpolation] = "interpolation",
  [sym_character_literal] = "character_literal",
  [sym_variance_modifier] = "variance_modifier",
  [sym_type_parameter_modifiers] = "type_parameter_modifiers",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_source_file_repeat2] = "source_file_repeat2",
  [aux_sym_source_file_repeat3] = "source_file_repeat3",
  [aux_sym_file_annotation_repeat1] = "file_annotation_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_class_parameters_repeat1] = "class_parameters_repeat1",
  [aux_sym_type_constraints_repeat1] = "type_constraints_repeat1",
  [aux_sym_function_value_parameters_repeat1] = "function_value_parameters_repeat1",
  [aux_sym_delegation_specifiers_repeat1] = "delegation_specifiers_repeat1",
  [aux_sym_delegation_specifier_repeat1] = "delegation_specifier_repeat1",
  [aux_sym_multi_variable_declaration_repeat1] = "multi_variable_declaration_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_enum_class_body_repeat1] = "enum_class_body_repeat1",
  [aux_sym_value_arguments_repeat1] = "value_arguments_repeat1",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_parameter_modifiers_repeat1] = "parameter_modifiers_repeat1",
  [aux_sym_type_modifiers_repeat1] = "type_modifiers_repeat1",
  [aux_sym_user_type_repeat1] = "user_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_type_projection_repeat1] = "type_projection_repeat1",
  [aux_sym_function_type_parameters_repeat1] = "function_type_parameters_repeat1",
  [aux_sym_lambda_parameters_repeat1] = "lambda_parameters_repeat1",
  [aux_sym_index_expression_repeat1] = "index_expression_repeat1",
  [aux_sym_when_expression_repeat1] = "when_expression_repeat1",
  [aux_sym_when_entry_repeat1] = "when_entry_repeat1",
  [aux_sym_try_expression_repeat1] = "try_expression_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_multiline_string_literal_repeat1] = "multiline_string_literal_repeat1",
  [aux_sym_type_parameter_modifiers_repeat1] = "type_parameter_modifiers_repeat1",
  [aux_sym_qualified_identifier_repeat1] = "qualified_identifier_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_file] = anon_sym_file,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_typealias] = anon_sym_typealias,
  [anon_sym_companion] = anon_sym_companion,
  [anon_sym_init] = anon_sym_init,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_super] = anon_sym_super,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_by] = anon_sym_by,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_annotation] = anon_sym_annotation,
  [anon_sym_data] = anon_sym_data,
  [anon_sym_inner] = anon_sym_inner,
  [anon_sym_value] = anon_sym_value,
  [anon_sym_tailrec] = anon_sym_tailrec,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_infix] = anon_sym_infix,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_suspend] = anon_sym_suspend,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_internal] = anon_sym_internal,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_lateinit] = anon_sym_lateinit,
  [anon_sym_vararg] = anon_sym_vararg,
  [anon_sym_noinline] = anon_sym_noinline,
  [anon_sym_crossinline] = anon_sym_crossinline,
  [sym_reification_modifier] = sym_reification_modifier,
  [anon_sym_expect] = anon_sym_expect,
  [anon_sym_actual] = anon_sym_actual,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_receiver] = anon_sym_receiver,
  [anon_sym_param] = anon_sym_param,
  [anon_sym_setparam] = anon_sym_setparam,
  [anon_sym_delegate] = anon_sym_delegate,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_BANG_BANG] = anon_sym_BANG_BANG,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_BANGin] = anon_sym_BANGin,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_as_QMARK] = anon_sym_as_QMARK,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DOT_DOT_LT] = anon_sym_DOT_DOT_LT,
  [anon_sym_this_AT] = anon_sym_this_AT,
  [anon_sym_super_AT] = anon_sym_super_AT,
  [anon_sym_AT2] = anon_sym_AT,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_return_AT] = anon_sym_return_AT,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = sym__multiline_string_content,
  [aux_sym_string_literal_token2] = sym__multiline_string_content,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_literal_token1] = aux_sym_character_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_number_literal] = sym_number_literal,
  [sym_float_literal] = sym_float_literal,
  [anon_sym_out] = anon_sym_out,
  [sym_label] = sym_label,
  [sym_shebang] = sym_shebang,
  [sym_line_comment] = sym_line_comment,
  [sym__semi] = sym__semi,
  [sym__class_member_semi] = sym__class_member_semi,
  [sym_block_comment] = sym_block_comment,
  [sym__not_is] = sym__not_is,
  [sym__in] = anon_sym_in,
  [sym__q_dot] = sym__q_dot,
  [sym__multiline_string_content] = sym__multiline_string_content,
  [sym_source_file] = sym_source_file,
  [sym_file_annotation] = sym_file_annotation,
  [sym_package_header] = sym_package_header,
  [sym_import] = sym_import,
  [sym_declaration] = sym_declaration,
  [sym_class_declaration] = sym_class_declaration,
  [sym_object_declaration] = sym_object_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_companion_object] = sym_companion_object,
  [sym_anonymous_initializer] = sym_anonymous_initializer,
  [sym_secondary_constructor] = sym_secondary_constructor,
  [sym_constructor_delegation_call] = sym_constructor_delegation_call,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_primary_constructor] = sym_primary_constructor,
  [sym_class_parameters] = sym_class_parameters,
  [sym_class_parameter] = sym_class_parameter,
  [sym_type_constraints] = sym_type_constraints,
  [sym_type_constraint] = sym_type_constraint,
  [sym_constructor_invocation] = sym_constructor_invocation,
  [sym_function_declaration] = sym_function_declaration,
  [sym_function_value_parameters] = sym_function_value_parameters,
  [sym_parameter] = sym_parameter,
  [sym_delegation_specifiers] = sym_delegation_specifiers,
  [sym_delegation_specifier] = sym_delegation_specifier,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_multi_variable_declaration] = sym_multi_variable_declaration,
  [sym_property_delegate] = sym_property_delegate,
  [sym_explicit_delegation] = sym_explicit_delegation,
  [sym_getter] = sym_getter,
  [sym_setter] = sym_setter,
  [sym_function_body] = sym_function_body,
  [sym_block] = sym_block,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_while_statement] = sym_do_while_statement,
  [sym_class_body] = sym_class_body,
  [sym_class_member_declaration] = sym_class_member_declaration,
  [sym_enum_class_body] = sym_enum_class_body,
  [sym_enum_entry] = sym_enum_entry,
  [sym_value_arguments] = sym_value_arguments,
  [sym_value_argument] = sym_value_argument,
  [sym_statement] = sym_statement,
  [sym_modifiers] = sym_modifiers,
  [sym_class_modifier] = sym_class_modifier,
  [sym_function_modifier] = sym_function_modifier,
  [sym_property_modifier] = sym_property_modifier,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_inheritance_modifier] = sym_inheritance_modifier,
  [sym_member_modifier] = sym_member_modifier,
  [sym_parameter_modifiers] = sym_parameter_modifiers,
  [sym_parameter_modifier] = sym_parameter_modifier,
  [sym_platform_modifier] = sym_platform_modifier,
  [sym_type_modifiers] = sym_type_modifiers,
  [sym_annotation] = sym_annotation,
  [sym_use_site_target] = sym_use_site_target,
  [sym__unescaped_annotation] = sym__unescaped_annotation,
  [sym_type] = sym_type,
  [sym_user_type] = sym_user_type,
  [sym__simple_user_type] = sym__simple_user_type,
  [sym_nullable_type] = sym_nullable_type,
  [sym_non_nullable_type] = sym_non_nullable_type,
  [sym__receiver_type] = sym__receiver_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_type_projection] = sym_type_projection,
  [sym_function_type] = sym_function_type,
  [sym_function_type_parameters] = sym_function_type_parameters,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_assignment] = sym_assignment,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_annotated_expression] = sym_annotated_expression,
  [sym_labeled_expression] = sym_labeled_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_in_expression] = sym_in_expression,
  [sym_is_expression] = sym_is_expression,
  [sym_as_expression] = sym_as_expression,
  [sym_spread_expression] = sym_spread_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_annotated_lambda] = sym_annotated_lambda,
  [sym_lambda_literal] = sym_lambda_literal,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym__lambda_parameter] = sym__lambda_parameter,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_index_expression] = sym_index_expression,
  [sym_this_expression] = sym_this_expression,
  [sym_super_expression] = sym_super_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_collection_literal] = sym_collection_literal,
  [sym_when_expression] = sym_when_expression,
  [sym_when_subject] = sym_when_subject,
  [sym_when_entry] = sym_when_entry,
  [sym__when_condition] = sym__when_condition,
  [sym_range_test] = sym_range_test,
  [sym_type_test] = sym_type_test,
  [sym_try_expression] = sym_try_expression,
  [sym_catch_block] = sym_catch_block,
  [sym_finally_block] = sym_finally_block,
  [sym_return_expression] = sym_return_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_callable_reference] = sym_callable_reference,
  [sym_navigation_expression] = sym_navigation_expression,
  [sym_object_literal] = sym_object_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_multiline_string_literal] = sym_multiline_string_literal,
  [sym_interpolation] = sym_interpolation,
  [sym_character_literal] = sym_character_literal,
  [sym_variance_modifier] = sym_variance_modifier,
  [sym_type_parameter_modifiers] = sym_type_parameter_modifiers,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_source_file_repeat2] = aux_sym_source_file_repeat2,
  [aux_sym_source_file_repeat3] = aux_sym_source_file_repeat3,
  [aux_sym_file_annotation_repeat1] = aux_sym_file_annotation_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_class_parameters_repeat1] = aux_sym_class_parameters_repeat1,
  [aux_sym_type_constraints_repeat1] = aux_sym_type_constraints_repeat1,
  [aux_sym_function_value_parameters_repeat1] = aux_sym_function_value_parameters_repeat1,
  [aux_sym_delegation_specifiers_repeat1] = aux_sym_delegation_specifiers_repeat1,
  [aux_sym_delegation_specifier_repeat1] = aux_sym_delegation_specifier_repeat1,
  [aux_sym_multi_variable_declaration_repeat1] = aux_sym_multi_variable_declaration_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_enum_class_body_repeat1] = aux_sym_enum_class_body_repeat1,
  [aux_sym_value_arguments_repeat1] = aux_sym_value_arguments_repeat1,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_parameter_modifiers_repeat1] = aux_sym_parameter_modifiers_repeat1,
  [aux_sym_type_modifiers_repeat1] = aux_sym_type_modifiers_repeat1,
  [aux_sym_user_type_repeat1] = aux_sym_user_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_type_projection_repeat1] = aux_sym_type_projection_repeat1,
  [aux_sym_function_type_parameters_repeat1] = aux_sym_function_type_parameters_repeat1,
  [aux_sym_lambda_parameters_repeat1] = aux_sym_lambda_parameters_repeat1,
  [aux_sym_index_expression_repeat1] = aux_sym_index_expression_repeat1,
  [aux_sym_when_expression_repeat1] = aux_sym_when_expression_repeat1,
  [aux_sym_when_entry_repeat1] = aux_sym_when_entry_repeat1,
  [aux_sym_try_expression_repeat1] = aux_sym_try_expression_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_multiline_string_literal_repeat1] = aux_sym_multiline_string_literal_repeat1,
  [aux_sym_type_parameter_modifiers_repeat1] = aux_sym_type_parameter_modifiers_repeat1,
  [aux_sym_qualified_identifier_repeat1] = aux_sym_qualified_identifier_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_file] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typealias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_companion] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_init] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_super] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_by] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_annotation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_data] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inner] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_value] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tailrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_suspend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_internal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lateinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vararg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_crossinline] = {
    .visible = true,
    .named = false,
  },
  [sym_reification_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_expect] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_actual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_receiver] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_setparam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANGin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_super_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_literal_token2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semi] = {
    .visible = false,
    .named = true,
  },
  [sym__class_member_semi] = {
    .visible = false,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__not_is] = {
    .visible = true,
    .named = false,
  },
  [sym__in] = {
    .visible = true,
    .named = false,
  },
  [sym__q_dot] = {
    .visible = true,
    .named = false,
  },
  [sym__multiline_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_file_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_package_header] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_object_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_companion_object] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_secondary_constructor] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_delegation_call] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_constructor] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_function_value_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_delegation_specifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_delegation_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_multi_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_delegate] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_delegation] = {
    .visible = true,
    .named = true,
  },
  [sym_getter] = {
    .visible = true,
    .named = true,
  },
  [sym_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_class_member_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_enum_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_value_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_value_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_class_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_property_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_inheritance_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_member_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_platform_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_use_site_target] = {
    .visible = true,
    .named = true,
  },
  [sym__unescaped_annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_user_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_user_type] = {
    .visible = false,
    .named = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym_non_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym__receiver_type] = {
    .visible = false,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_type_projection] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_annotated_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_annotated_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_this_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_super_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_collection_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_when_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_when_subject] = {
    .visible = true,
    .named = true,
  },
  [sym_when_entry] = {
    .visible = true,
    .named = true,
  },
  [sym__when_condition] = {
    .visible = false,
    .named = true,
  },
  [sym_range_test] = {
    .visible = true,
    .named = true,
  },
  [sym_type_test] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_block] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_callable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_navigation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_multiline_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_variance_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_file_annotation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_value_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_delegation_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_delegation_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multi_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_user_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_projection_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_index_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_entry_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_qualified_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_condition = 2,
  field_label = 3,
  field_left = 4,
  field_name = 5,
  field_operator = 6,
  field_right = 7,
  field_type = 8,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_condition] = "condition",
  [field_label] = "label",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 9, .length = 3},
  [10] = {.index = 12, .length = 1},
  [11] = {.index = 13, .length = 1},
  [12] = {.index = 14, .length = 1},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 2},
  [17] = {.index = 20, .length = 1},
  [18] = {.index = 21, .length = 1},
  [19] = {.index = 22, .length = 1},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 1},
  [22] = {.index = 26, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_argument, 1},
    {field_operator, 0},
  [3] =
    {field_label, 1},
  [4] =
    {field_argument, 0},
    {field_operator, 1},
  [6] =
    {field_name, 2},
  [7] =
    {field_left, 0},
    {field_right, 2},
  [9] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [12] =
    {field_type, 1},
  [13] =
    {field_condition, 2},
  [14] =
    {field_name, 3},
  [15] =
    {field_condition, 3},
  [16] =
    {field_condition, 1},
  [17] =
    {field_condition, 0},
  [18] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [20] =
    {field_type, 2},
  [21] =
    {field_name, 4},
  [22] =
    {field_condition, 4},
  [23] =
    {field_condition, 0},
    {field_condition, 1, .inherited = true},
  [25] =
    {field_condition, 5},
  [26] =
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [5] = {
    [0] = sym__multiline_string_content,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 12,
  [15] = 13,
  [16] = 12,
  [17] = 13,
  [18] = 12,
  [19] = 13,
  [20] = 12,
  [21] = 13,
  [22] = 12,
  [23] = 13,
  [24] = 12,
  [25] = 13,
  [26] = 12,
  [27] = 13,
  [28] = 12,
  [29] = 13,
  [30] = 12,
  [31] = 13,
  [32] = 13,
  [33] = 12,
  [34] = 13,
  [35] = 12,
  [36] = 13,
  [37] = 12,
  [38] = 13,
  [39] = 13,
  [40] = 13,
  [41] = 13,
  [42] = 13,
  [43] = 13,
  [44] = 13,
  [45] = 13,
  [46] = 13,
  [47] = 13,
  [48] = 13,
  [49] = 13,
  [50] = 13,
  [51] = 13,
  [52] = 13,
  [53] = 13,
  [54] = 13,
  [55] = 13,
  [56] = 12,
  [57] = 57,
  [58] = 58,
  [59] = 57,
  [60] = 57,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 58,
  [66] = 66,
  [67] = 58,
  [68] = 68,
  [69] = 58,
  [70] = 57,
  [71] = 71,
  [72] = 7,
  [73] = 8,
  [74] = 3,
  [75] = 58,
  [76] = 57,
  [77] = 6,
  [78] = 57,
  [79] = 58,
  [80] = 58,
  [81] = 57,
  [82] = 58,
  [83] = 57,
  [84] = 58,
  [85] = 57,
  [86] = 58,
  [87] = 57,
  [88] = 9,
  [89] = 11,
  [90] = 10,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 92,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 6,
  [101] = 7,
  [102] = 8,
  [103] = 3,
  [104] = 96,
  [105] = 92,
  [106] = 96,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 107,
  [118] = 118,
  [119] = 108,
  [120] = 109,
  [121] = 110,
  [122] = 112,
  [123] = 111,
  [124] = 118,
  [125] = 113,
  [126] = 114,
  [127] = 115,
  [128] = 116,
  [129] = 107,
  [130] = 118,
  [131] = 108,
  [132] = 109,
  [133] = 110,
  [134] = 111,
  [135] = 108,
  [136] = 112,
  [137] = 113,
  [138] = 114,
  [139] = 115,
  [140] = 116,
  [141] = 107,
  [142] = 118,
  [143] = 108,
  [144] = 109,
  [145] = 110,
  [146] = 111,
  [147] = 147,
  [148] = 112,
  [149] = 113,
  [150] = 114,
  [151] = 115,
  [152] = 116,
  [153] = 107,
  [154] = 118,
  [155] = 108,
  [156] = 109,
  [157] = 110,
  [158] = 158,
  [159] = 111,
  [160] = 109,
  [161] = 112,
  [162] = 113,
  [163] = 114,
  [164] = 115,
  [165] = 116,
  [166] = 107,
  [167] = 118,
  [168] = 108,
  [169] = 109,
  [170] = 110,
  [171] = 111,
  [172] = 112,
  [173] = 113,
  [174] = 114,
  [175] = 115,
  [176] = 116,
  [177] = 107,
  [178] = 118,
  [179] = 108,
  [180] = 109,
  [181] = 110,
  [182] = 110,
  [183] = 111,
  [184] = 112,
  [185] = 113,
  [186] = 114,
  [187] = 115,
  [188] = 116,
  [189] = 107,
  [190] = 118,
  [191] = 108,
  [192] = 109,
  [193] = 110,
  [194] = 194,
  [195] = 111,
  [196] = 112,
  [197] = 113,
  [198] = 114,
  [199] = 115,
  [200] = 116,
  [201] = 107,
  [202] = 118,
  [203] = 108,
  [204] = 109,
  [205] = 110,
  [206] = 111,
  [207] = 207,
  [208] = 112,
  [209] = 113,
  [210] = 114,
  [211] = 115,
  [212] = 116,
  [213] = 107,
  [214] = 118,
  [215] = 108,
  [216] = 109,
  [217] = 110,
  [218] = 111,
  [219] = 112,
  [220] = 113,
  [221] = 114,
  [222] = 115,
  [223] = 116,
  [224] = 107,
  [225] = 118,
  [226] = 108,
  [227] = 109,
  [228] = 110,
  [229] = 111,
  [230] = 111,
  [231] = 112,
  [232] = 113,
  [233] = 114,
  [234] = 115,
  [235] = 116,
  [236] = 107,
  [237] = 118,
  [238] = 108,
  [239] = 109,
  [240] = 110,
  [241] = 241,
  [242] = 111,
  [243] = 112,
  [244] = 112,
  [245] = 113,
  [246] = 114,
  [247] = 115,
  [248] = 116,
  [249] = 107,
  [250] = 118,
  [251] = 108,
  [252] = 109,
  [253] = 110,
  [254] = 9,
  [255] = 112,
  [256] = 116,
  [257] = 107,
  [258] = 108,
  [259] = 109,
  [260] = 113,
  [261] = 112,
  [262] = 116,
  [263] = 107,
  [264] = 108,
  [265] = 109,
  [266] = 10,
  [267] = 112,
  [268] = 116,
  [269] = 107,
  [270] = 108,
  [271] = 109,
  [272] = 11,
  [273] = 112,
  [274] = 116,
  [275] = 107,
  [276] = 108,
  [277] = 109,
  [278] = 112,
  [279] = 116,
  [280] = 107,
  [281] = 108,
  [282] = 109,
  [283] = 112,
  [284] = 116,
  [285] = 107,
  [286] = 108,
  [287] = 109,
  [288] = 112,
  [289] = 116,
  [290] = 107,
  [291] = 108,
  [292] = 109,
  [293] = 113,
  [294] = 112,
  [295] = 116,
  [296] = 107,
  [297] = 108,
  [298] = 109,
  [299] = 114,
  [300] = 112,
  [301] = 116,
  [302] = 107,
  [303] = 108,
  [304] = 109,
  [305] = 114,
  [306] = 112,
  [307] = 116,
  [308] = 107,
  [309] = 108,
  [310] = 109,
  [311] = 111,
  [312] = 112,
  [313] = 116,
  [314] = 107,
  [315] = 108,
  [316] = 109,
  [317] = 112,
  [318] = 116,
  [319] = 107,
  [320] = 108,
  [321] = 109,
  [322] = 112,
  [323] = 116,
  [324] = 107,
  [325] = 108,
  [326] = 109,
  [327] = 115,
  [328] = 112,
  [329] = 116,
  [330] = 107,
  [331] = 108,
  [332] = 109,
  [333] = 112,
  [334] = 116,
  [335] = 107,
  [336] = 108,
  [337] = 109,
  [338] = 116,
  [339] = 112,
  [340] = 116,
  [341] = 107,
  [342] = 108,
  [343] = 109,
  [344] = 112,
  [345] = 116,
  [346] = 107,
  [347] = 108,
  [348] = 109,
  [349] = 112,
  [350] = 107,
  [351] = 109,
  [352] = 112,
  [353] = 107,
  [354] = 109,
  [355] = 112,
  [356] = 107,
  [357] = 109,
  [358] = 112,
  [359] = 107,
  [360] = 109,
  [361] = 115,
  [362] = 116,
  [363] = 107,
  [364] = 118,
  [365] = 112,
  [366] = 57,
  [367] = 367,
  [368] = 58,
  [369] = 58,
  [370] = 57,
  [371] = 57,
  [372] = 58,
  [373] = 58,
  [374] = 57,
  [375] = 58,
  [376] = 58,
  [377] = 57,
  [378] = 57,
  [379] = 57,
  [380] = 58,
  [381] = 57,
  [382] = 58,
  [383] = 57,
  [384] = 58,
  [385] = 57,
  [386] = 58,
  [387] = 58,
  [388] = 57,
  [389] = 57,
  [390] = 58,
  [391] = 57,
  [392] = 58,
  [393] = 58,
  [394] = 58,
  [395] = 57,
  [396] = 57,
  [397] = 57,
  [398] = 58,
  [399] = 58,
  [400] = 57,
  [401] = 57,
  [402] = 58,
  [403] = 58,
  [404] = 57,
  [405] = 58,
  [406] = 57,
  [407] = 57,
  [408] = 58,
  [409] = 57,
  [410] = 58,
  [411] = 57,
  [412] = 57,
  [413] = 57,
  [414] = 58,
  [415] = 58,
  [416] = 58,
  [417] = 58,
  [418] = 57,
  [419] = 58,
  [420] = 57,
  [421] = 57,
  [422] = 58,
  [423] = 423,
  [424] = 424,
  [425] = 424,
  [426] = 424,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 435,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 436,
  [464] = 437,
  [465] = 438,
  [466] = 466,
  [467] = 467,
  [468] = 466,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 467,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 482,
  [495] = 487,
  [496] = 489,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 484,
  [504] = 502,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 505,
  [510] = 508,
  [511] = 506,
  [512] = 507,
  [513] = 506,
  [514] = 505,
  [515] = 508,
  [516] = 506,
  [517] = 507,
  [518] = 507,
  [519] = 505,
  [520] = 508,
  [521] = 506,
  [522] = 505,
  [523] = 508,
  [524] = 506,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 481,
  [529] = 529,
  [530] = 508,
  [531] = 507,
  [532] = 505,
  [533] = 508,
  [534] = 507,
  [535] = 506,
  [536] = 507,
  [537] = 505,
  [538] = 508,
  [539] = 506,
  [540] = 506,
  [541] = 507,
  [542] = 505,
  [543] = 508,
  [544] = 506,
  [545] = 507,
  [546] = 546,
  [547] = 505,
  [548] = 508,
  [549] = 506,
  [550] = 506,
  [551] = 507,
  [552] = 505,
  [553] = 507,
  [554] = 508,
  [555] = 505,
  [556] = 508,
  [557] = 507,
  [558] = 505,
  [559] = 508,
  [560] = 505,
  [561] = 506,
  [562] = 506,
  [563] = 507,
  [564] = 507,
  [565] = 505,
  [566] = 508,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 462,
  [589] = 461,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 575,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 452,
  [604] = 604,
  [605] = 453,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 476,
  [611] = 611,
  [612] = 612,
  [613] = 456,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 474,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 457,
  [628] = 458,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 459,
  [634] = 634,
  [635] = 635,
  [636] = 460,
  [637] = 637,
  [638] = 638,
  [639] = 454,
  [640] = 448,
  [641] = 641,
  [642] = 455,
  [643] = 447,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 449,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 595,
  [663] = 597,
  [664] = 599,
  [665] = 444,
  [666] = 592,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 450,
  [675] = 675,
  [676] = 676,
  [677] = 445,
  [678] = 678,
  [679] = 451,
  [680] = 680,
  [681] = 681,
  [682] = 446,
  [683] = 570,
  [684] = 573,
  [685] = 574,
  [686] = 433,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 689,
  [691] = 689,
  [692] = 689,
  [693] = 689,
  [694] = 689,
  [695] = 689,
  [696] = 689,
  [697] = 689,
  [698] = 689,
  [699] = 689,
  [700] = 584,
  [701] = 689,
  [702] = 689,
  [703] = 689,
  [704] = 689,
  [705] = 689,
  [706] = 689,
  [707] = 689,
  [708] = 689,
  [709] = 689,
  [710] = 689,
  [711] = 689,
  [712] = 689,
  [713] = 689,
  [714] = 689,
  [715] = 689,
  [716] = 689,
  [717] = 689,
  [718] = 689,
  [719] = 689,
  [720] = 689,
  [721] = 689,
  [722] = 689,
  [723] = 689,
  [724] = 689,
  [725] = 586,
  [726] = 689,
  [727] = 583,
  [728] = 689,
  [729] = 689,
  [730] = 730,
  [731] = 730,
  [732] = 730,
  [733] = 730,
  [734] = 730,
  [735] = 730,
  [736] = 730,
  [737] = 730,
  [738] = 730,
  [739] = 730,
  [740] = 730,
  [741] = 730,
  [742] = 730,
  [743] = 730,
  [744] = 730,
  [745] = 745,
  [746] = 730,
  [747] = 730,
  [748] = 730,
  [749] = 730,
  [750] = 730,
  [751] = 730,
  [752] = 730,
  [753] = 730,
  [754] = 730,
  [755] = 730,
  [756] = 730,
  [757] = 730,
  [758] = 730,
  [759] = 730,
  [760] = 730,
  [761] = 730,
  [762] = 730,
  [763] = 730,
  [764] = 730,
  [765] = 730,
  [766] = 730,
  [767] = 730,
  [768] = 730,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 770,
  [773] = 769,
  [774] = 769,
  [775] = 771,
  [776] = 770,
  [777] = 769,
  [778] = 771,
  [779] = 779,
  [780] = 770,
  [781] = 771,
  [782] = 769,
  [783] = 771,
  [784] = 770,
  [785] = 769,
  [786] = 771,
  [787] = 770,
  [788] = 769,
  [789] = 771,
  [790] = 771,
  [791] = 770,
  [792] = 769,
  [793] = 771,
  [794] = 770,
  [795] = 769,
  [796] = 770,
  [797] = 771,
  [798] = 770,
  [799] = 769,
  [800] = 769,
  [801] = 771,
  [802] = 770,
  [803] = 769,
  [804] = 779,
  [805] = 771,
  [806] = 770,
  [807] = 769,
  [808] = 771,
  [809] = 770,
  [810] = 769,
  [811] = 771,
  [812] = 770,
  [813] = 769,
  [814] = 771,
  [815] = 770,
  [816] = 769,
  [817] = 771,
  [818] = 770,
  [819] = 769,
  [820] = 771,
  [821] = 770,
  [822] = 769,
  [823] = 771,
  [824] = 770,
  [825] = 769,
  [826] = 770,
  [827] = 771,
  [828] = 770,
  [829] = 771,
  [830] = 771,
  [831] = 770,
  [832] = 769,
  [833] = 771,
  [834] = 770,
  [835] = 769,
  [836] = 771,
  [837] = 771,
  [838] = 770,
  [839] = 769,
  [840] = 770,
  [841] = 771,
  [842] = 770,
  [843] = 769,
  [844] = 771,
  [845] = 770,
  [846] = 769,
  [847] = 771,
  [848] = 771,
  [849] = 770,
  [850] = 769,
  [851] = 771,
  [852] = 770,
  [853] = 769,
  [854] = 771,
  [855] = 770,
  [856] = 769,
  [857] = 769,
  [858] = 771,
  [859] = 770,
  [860] = 769,
  [861] = 771,
  [862] = 770,
  [863] = 769,
  [864] = 770,
  [865] = 771,
  [866] = 769,
  [867] = 770,
  [868] = 771,
  [869] = 769,
  [870] = 771,
  [871] = 769,
  [872] = 771,
  [873] = 770,
  [874] = 770,
  [875] = 770,
  [876] = 779,
  [877] = 771,
  [878] = 769,
  [879] = 769,
  [880] = 770,
  [881] = 769,
  [882] = 771,
  [883] = 769,
  [884] = 770,
  [885] = 769,
  [886] = 886,
  [887] = 886,
  [888] = 888,
  [889] = 889,
  [890] = 889,
  [891] = 891,
  [892] = 888,
  [893] = 891,
  [894] = 888,
  [895] = 888,
  [896] = 889,
  [897] = 886,
  [898] = 891,
  [899] = 889,
  [900] = 886,
  [901] = 891,
  [902] = 891,
  [903] = 888,
  [904] = 886,
  [905] = 886,
  [906] = 886,
  [907] = 886,
  [908] = 889,
  [909] = 891,
  [910] = 889,
  [911] = 889,
  [912] = 891,
  [913] = 913,
  [914] = 886,
  [915] = 886,
  [916] = 889,
  [917] = 888,
  [918] = 889,
  [919] = 891,
  [920] = 889,
  [921] = 886,
  [922] = 889,
  [923] = 889,
  [924] = 891,
  [925] = 891,
  [926] = 889,
  [927] = 886,
  [928] = 889,
  [929] = 913,
  [930] = 891,
  [931] = 889,
  [932] = 891,
  [933] = 886,
  [934] = 889,
  [935] = 889,
  [936] = 889,
  [937] = 886,
  [938] = 891,
  [939] = 913,
  [940] = 886,
  [941] = 888,
  [942] = 888,
  [943] = 913,
  [944] = 891,
  [945] = 891,
  [946] = 888,
  [947] = 891,
  [948] = 913,
  [949] = 886,
  [950] = 888,
  [951] = 891,
  [952] = 888,
  [953] = 913,
  [954] = 913,
  [955] = 913,
  [956] = 913,
  [957] = 913,
  [958] = 913,
  [959] = 913,
  [960] = 913,
  [961] = 888,
  [962] = 889,
  [963] = 891,
  [964] = 889,
  [965] = 886,
  [966] = 889,
  [967] = 891,
  [968] = 913,
  [969] = 645,
  [970] = 891,
  [971] = 888,
  [972] = 891,
  [973] = 891,
  [974] = 891,
  [975] = 888,
  [976] = 891,
  [977] = 889,
  [978] = 886,
  [979] = 888,
  [980] = 888,
  [981] = 889,
  [982] = 888,
  [983] = 646,
  [984] = 891,
  [985] = 889,
  [986] = 888,
  [987] = 886,
  [988] = 889,
  [989] = 888,
  [990] = 886,
  [991] = 888,
  [992] = 891,
  [993] = 886,
  [994] = 888,
  [995] = 888,
  [996] = 891,
  [997] = 888,
  [998] = 891,
  [999] = 886,
  [1000] = 886,
  [1001] = 888,
  [1002] = 1002,
  [1003] = 886,
  [1004] = 889,
  [1005] = 886,
  [1006] = 886,
  [1007] = 889,
  [1008] = 888,
  [1009] = 889,
  [1010] = 889,
  [1011] = 886,
  [1012] = 888,
  [1013] = 888,
  [1014] = 888,
  [1015] = 891,
  [1016] = 886,
  [1017] = 889,
  [1018] = 891,
  [1019] = 886,
  [1020] = 888,
  [1021] = 889,
  [1022] = 888,
  [1023] = 888,
  [1024] = 886,
  [1025] = 888,
  [1026] = 889,
  [1027] = 886,
  [1028] = 888,
  [1029] = 886,
  [1030] = 888,
  [1031] = 889,
  [1032] = 891,
  [1033] = 888,
  [1034] = 886,
  [1035] = 891,
  [1036] = 891,
  [1037] = 889,
  [1038] = 888,
  [1039] = 891,
  [1040] = 891,
  [1041] = 886,
  [1042] = 888,
  [1043] = 886,
  [1044] = 888,
  [1045] = 889,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1047,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1047,
  [1052] = 1047,
  [1053] = 1050,
  [1054] = 1047,
  [1055] = 1050,
  [1056] = 1050,
  [1057] = 1050,
  [1058] = 1046,
  [1059] = 1046,
  [1060] = 1047,
  [1061] = 1047,
  [1062] = 1046,
  [1063] = 1047,
  [1064] = 1064,
  [1065] = 1050,
  [1066] = 1047,
  [1067] = 1047,
  [1068] = 1046,
  [1069] = 1046,
  [1070] = 1047,
  [1071] = 1050,
  [1072] = 1050,
  [1073] = 1047,
  [1074] = 1046,
  [1075] = 1047,
  [1076] = 1046,
  [1077] = 1050,
  [1078] = 1050,
  [1079] = 1046,
  [1080] = 1046,
  [1081] = 1046,
  [1082] = 1046,
  [1083] = 1050,
  [1084] = 1046,
  [1085] = 1046,
  [1086] = 1050,
  [1087] = 1047,
  [1088] = 1050,
  [1089] = 1050,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1091,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1093,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1090,
  [1120] = 1104,
  [1121] = 1106,
  [1122] = 1107,
  [1123] = 1109,
  [1124] = 1110,
  [1125] = 1111,
  [1126] = 1093,
  [1127] = 1113,
  [1128] = 1114,
  [1129] = 1115,
  [1130] = 1116,
  [1131] = 1118,
  [1132] = 1090,
  [1133] = 1104,
  [1134] = 1106,
  [1135] = 1107,
  [1136] = 1109,
  [1137] = 1110,
  [1138] = 1116,
  [1139] = 1093,
  [1140] = 1113,
  [1141] = 1141,
  [1142] = 1114,
  [1143] = 1115,
  [1144] = 1116,
  [1145] = 1118,
  [1146] = 1090,
  [1147] = 1104,
  [1148] = 1106,
  [1149] = 1107,
  [1150] = 1150,
  [1151] = 1091,
  [1152] = 1094,
  [1153] = 1153,
  [1154] = 1096,
  [1155] = 1097,
  [1156] = 1098,
  [1157] = 1099,
  [1158] = 1100,
  [1159] = 1101,
  [1160] = 1102,
  [1161] = 1118,
  [1162] = 1090,
  [1163] = 1104,
  [1164] = 1103,
  [1165] = 1106,
  [1166] = 1107,
  [1167] = 1105,
  [1168] = 1108,
  [1169] = 1091,
  [1170] = 1118,
  [1171] = 1090,
  [1172] = 1104,
  [1173] = 1106,
  [1174] = 1107,
  [1175] = 1118,
  [1176] = 1091,
  [1177] = 1094,
  [1178] = 1094,
  [1179] = 1179,
  [1180] = 1096,
  [1181] = 1181,
  [1182] = 1097,
  [1183] = 1098,
  [1184] = 1099,
  [1185] = 1100,
  [1186] = 1101,
  [1187] = 1102,
  [1188] = 1103,
  [1189] = 1105,
  [1190] = 1108,
  [1191] = 1118,
  [1192] = 1090,
  [1193] = 1104,
  [1194] = 1106,
  [1195] = 1107,
  [1196] = 1106,
  [1197] = 1107,
  [1198] = 1198,
  [1199] = 1096,
  [1200] = 1118,
  [1201] = 1091,
  [1202] = 1097,
  [1203] = 1094,
  [1204] = 1097,
  [1205] = 1096,
  [1206] = 1098,
  [1207] = 1097,
  [1208] = 1098,
  [1209] = 1118,
  [1210] = 1090,
  [1211] = 1104,
  [1212] = 1099,
  [1213] = 1106,
  [1214] = 1107,
  [1215] = 1100,
  [1216] = 1101,
  [1217] = 1102,
  [1218] = 1103,
  [1219] = 1105,
  [1220] = 1108,
  [1221] = 1099,
  [1222] = 1100,
  [1223] = 1101,
  [1224] = 1118,
  [1225] = 1090,
  [1226] = 1104,
  [1227] = 1102,
  [1228] = 1106,
  [1229] = 1107,
  [1230] = 1103,
  [1231] = 1091,
  [1232] = 1105,
  [1233] = 1094,
  [1234] = 1108,
  [1235] = 1096,
  [1236] = 1090,
  [1237] = 1097,
  [1238] = 1098,
  [1239] = 1099,
  [1240] = 1100,
  [1241] = 1101,
  [1242] = 1118,
  [1243] = 1090,
  [1244] = 1104,
  [1245] = 1102,
  [1246] = 1106,
  [1247] = 1107,
  [1248] = 1103,
  [1249] = 1105,
  [1250] = 1108,
  [1251] = 1091,
  [1252] = 1098,
  [1253] = 1111,
  [1254] = 1118,
  [1255] = 1090,
  [1256] = 1104,
  [1257] = 1106,
  [1258] = 1107,
  [1259] = 1099,
  [1260] = 1091,
  [1261] = 1100,
  [1262] = 1094,
  [1263] = 1096,
  [1264] = 1101,
  [1265] = 1097,
  [1266] = 1118,
  [1267] = 1090,
  [1268] = 1104,
  [1269] = 1098,
  [1270] = 1106,
  [1271] = 1107,
  [1272] = 1099,
  [1273] = 1100,
  [1274] = 1101,
  [1275] = 1102,
  [1276] = 1103,
  [1277] = 1105,
  [1278] = 1108,
  [1279] = 1102,
  [1280] = 1103,
  [1281] = 1104,
  [1282] = 1282,
  [1283] = 1105,
  [1284] = 1108,
  [1285] = 1091,
  [1286] = 1286,
  [1287] = 1094,
  [1288] = 1288,
  [1289] = 1104,
  [1290] = 1091,
  [1291] = 1291,
  [1292] = 1094,
  [1293] = 1113,
  [1294] = 1094,
  [1295] = 1090,
  [1296] = 1096,
  [1297] = 1118,
  [1298] = 1298,
  [1299] = 1097,
  [1300] = 1096,
  [1301] = 1098,
  [1302] = 1097,
  [1303] = 1098,
  [1304] = 1099,
  [1305] = 1099,
  [1306] = 1100,
  [1307] = 1101,
  [1308] = 1102,
  [1309] = 1103,
  [1310] = 1105,
  [1311] = 1108,
  [1312] = 1100,
  [1313] = 1101,
  [1314] = 1102,
  [1315] = 1103,
  [1316] = 1105,
  [1317] = 1108,
  [1318] = 1109,
  [1319] = 1110,
  [1320] = 1064,
  [1321] = 1321,
  [1322] = 1106,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1107,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1114,
  [1332] = 1332,
  [1333] = 1091,
  [1334] = 1094,
  [1335] = 1335,
  [1336] = 1096,
  [1337] = 1118,
  [1338] = 1338,
  [1339] = 1097,
  [1340] = 1098,
  [1341] = 1099,
  [1342] = 1100,
  [1343] = 1101,
  [1344] = 1102,
  [1345] = 1103,
  [1346] = 1105,
  [1347] = 1108,
  [1348] = 1348,
  [1349] = 1090,
  [1350] = 1091,
  [1351] = 1094,
  [1352] = 1096,
  [1353] = 1353,
  [1354] = 1097,
  [1355] = 1098,
  [1356] = 1099,
  [1357] = 1100,
  [1358] = 1101,
  [1359] = 1102,
  [1360] = 1103,
  [1361] = 1105,
  [1362] = 1108,
  [1363] = 1091,
  [1364] = 1094,
  [1365] = 1096,
  [1366] = 1366,
  [1367] = 1097,
  [1368] = 1098,
  [1369] = 1099,
  [1370] = 1100,
  [1371] = 1101,
  [1372] = 1102,
  [1373] = 1103,
  [1374] = 1105,
  [1375] = 1108,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1106,
  [1379] = 1107,
  [1380] = 1338,
  [1381] = 1181,
  [1382] = 1323,
  [1383] = 1096,
  [1384] = 1118,
  [1385] = 1097,
  [1386] = 1098,
  [1387] = 1099,
  [1388] = 1100,
  [1389] = 1101,
  [1390] = 1102,
  [1391] = 1103,
  [1392] = 1105,
  [1393] = 1108,
  [1394] = 1090,
  [1395] = 1324,
  [1396] = 1329,
  [1397] = 1397,
  [1398] = 1179,
  [1399] = 1198,
  [1400] = 1282,
  [1401] = 1291,
  [1402] = 1298,
  [1403] = 1327,
  [1404] = 1332,
  [1405] = 1377,
  [1406] = 1406,
  [1407] = 1117,
  [1408] = 1150,
  [1409] = 1153,
  [1410] = 1091,
  [1411] = 1094,
  [1412] = 1106,
  [1413] = 1107,
  [1414] = 1414,
  [1415] = 1096,
  [1416] = 1118,
  [1417] = 1097,
  [1418] = 1098,
  [1419] = 1099,
  [1420] = 1100,
  [1421] = 1101,
  [1422] = 1102,
  [1423] = 1103,
  [1424] = 1105,
  [1425] = 1108,
  [1426] = 1090,
  [1427] = 1091,
  [1428] = 1094,
  [1429] = 1096,
  [1430] = 1096,
  [1431] = 1096,
  [1432] = 1097,
  [1433] = 1098,
  [1434] = 1099,
  [1435] = 1100,
  [1436] = 1101,
  [1437] = 1102,
  [1438] = 1103,
  [1439] = 1105,
  [1440] = 1108,
  [1441] = 1097,
  [1442] = 1098,
  [1443] = 1099,
  [1444] = 1100,
  [1445] = 1101,
  [1446] = 1102,
  [1447] = 1103,
  [1448] = 1105,
  [1449] = 1108,
  [1450] = 1096,
  [1451] = 1097,
  [1452] = 1098,
  [1453] = 1099,
  [1454] = 1100,
  [1455] = 1101,
  [1456] = 1102,
  [1457] = 1103,
  [1458] = 1105,
  [1459] = 1108,
  [1460] = 1397,
  [1461] = 1461,
  [1462] = 1104,
  [1463] = 1104,
  [1464] = 1106,
  [1465] = 1107,
  [1466] = 1106,
  [1467] = 1107,
  [1468] = 1104,
  [1469] = 1376,
  [1470] = 1338,
  [1471] = 1181,
  [1472] = 1324,
  [1473] = 1329,
  [1474] = 1397,
  [1475] = 1179,
  [1476] = 1198,
  [1477] = 1282,
  [1478] = 1291,
  [1479] = 1298,
  [1480] = 1327,
  [1481] = 1377,
  [1482] = 1096,
  [1483] = 1118,
  [1484] = 1097,
  [1485] = 1098,
  [1486] = 1099,
  [1487] = 1100,
  [1488] = 1101,
  [1489] = 1102,
  [1490] = 1103,
  [1491] = 1105,
  [1492] = 1108,
  [1493] = 1090,
  [1494] = 1494,
  [1495] = 1104,
  [1496] = 1376,
  [1497] = 1181,
  [1498] = 1397,
  [1499] = 1291,
  [1500] = 1115,
  [1501] = 1376,
  [1502] = 1181,
  [1503] = 1397,
  [1504] = 1291,
  [1505] = 1376,
  [1506] = 1181,
  [1507] = 1397,
  [1508] = 1291,
  [1509] = 1376,
  [1510] = 1376,
  [1511] = 1181,
  [1512] = 1397,
  [1513] = 1291,
  [1514] = 1376,
  [1515] = 1181,
  [1516] = 1397,
  [1517] = 1291,
  [1518] = 1376,
  [1519] = 1181,
  [1520] = 1094,
  [1521] = 1291,
  [1522] = 1376,
  [1523] = 1406,
  [1524] = 1181,
  [1525] = 1397,
  [1526] = 1291,
  [1527] = 1376,
  [1528] = 1181,
  [1529] = 1397,
  [1530] = 1291,
  [1531] = 1376,
  [1532] = 1181,
  [1533] = 1397,
  [1534] = 1291,
  [1535] = 1376,
  [1536] = 1181,
  [1537] = 1397,
  [1538] = 1291,
  [1539] = 1376,
  [1540] = 1181,
  [1541] = 1397,
  [1542] = 1291,
  [1543] = 1181,
  [1544] = 1397,
  [1545] = 1291,
  [1546] = 1181,
  [1547] = 1397,
  [1548] = 1291,
  [1549] = 1181,
  [1550] = 1397,
  [1551] = 1291,
  [1552] = 1181,
  [1553] = 1397,
  [1554] = 1291,
  [1555] = 1181,
  [1556] = 1181,
  [1557] = 1181,
  [1558] = 1181,
  [1559] = 1181,
  [1560] = 1181,
  [1561] = 1181,
  [1562] = 1181,
  [1563] = 1181,
  [1564] = 1181,
  [1565] = 1181,
  [1566] = 1181,
  [1567] = 1181,
  [1568] = 1181,
  [1569] = 1181,
  [1570] = 1181,
  [1571] = 1181,
  [1572] = 1104,
  [1573] = 1091,
  [1574] = 1094,
  [1575] = 1106,
  [1576] = 1107,
  [1577] = 1332,
  [1578] = 1406,
  [1579] = 1117,
  [1580] = 1150,
  [1581] = 1153,
  [1582] = 1091,
  [1583] = 1094,
  [1584] = 1118,
  [1585] = 1090,
  [1586] = 1091,
  [1587] = 1094,
  [1588] = 1091,
  [1589] = 1094,
  [1590] = 1332,
  [1591] = 1406,
  [1592] = 1117,
  [1593] = 1150,
  [1594] = 1153,
  [1595] = 1332,
  [1596] = 1406,
  [1597] = 1117,
  [1598] = 1150,
  [1599] = 1153,
  [1600] = 1332,
  [1601] = 1406,
  [1602] = 1117,
  [1603] = 1150,
  [1604] = 1153,
  [1605] = 1332,
  [1606] = 1406,
  [1607] = 1117,
  [1608] = 1150,
  [1609] = 1153,
  [1610] = 1332,
  [1611] = 1406,
  [1612] = 1117,
  [1613] = 1150,
  [1614] = 1153,
  [1615] = 1106,
  [1616] = 1107,
  [1617] = 1181,
  [1618] = 1091,
  [1619] = 1094,
  [1620] = 1096,
  [1621] = 1118,
  [1622] = 1097,
  [1623] = 1098,
  [1624] = 1099,
  [1625] = 1100,
  [1626] = 1101,
  [1627] = 1102,
  [1628] = 1103,
  [1629] = 1105,
  [1630] = 1108,
  [1631] = 1090,
  [1632] = 1091,
  [1633] = 1094,
  [1634] = 1096,
  [1635] = 1118,
  [1636] = 1097,
  [1637] = 1098,
  [1638] = 1099,
  [1639] = 1100,
  [1640] = 1101,
  [1641] = 1102,
  [1642] = 1103,
  [1643] = 1105,
  [1644] = 1108,
  [1645] = 1090,
  [1646] = 1091,
  [1647] = 1094,
  [1648] = 1096,
  [1649] = 1118,
  [1650] = 1097,
  [1651] = 1098,
  [1652] = 1099,
  [1653] = 1100,
  [1654] = 1101,
  [1655] = 1102,
  [1656] = 1103,
  [1657] = 1105,
  [1658] = 1108,
  [1659] = 1090,
  [1660] = 1091,
  [1661] = 1094,
  [1662] = 1096,
  [1663] = 1097,
  [1664] = 1098,
  [1665] = 1099,
  [1666] = 1100,
  [1667] = 1101,
  [1668] = 1102,
  [1669] = 1103,
  [1670] = 1105,
  [1671] = 1108,
  [1672] = 1091,
  [1673] = 1094,
  [1674] = 1096,
  [1675] = 1097,
  [1676] = 1098,
  [1677] = 1099,
  [1678] = 1100,
  [1679] = 1101,
  [1680] = 1102,
  [1681] = 1103,
  [1682] = 1105,
  [1683] = 1108,
  [1684] = 1091,
  [1685] = 1094,
  [1686] = 1096,
  [1687] = 1097,
  [1688] = 1098,
  [1689] = 1099,
  [1690] = 1100,
  [1691] = 1101,
  [1692] = 1102,
  [1693] = 1103,
  [1694] = 1105,
  [1695] = 1108,
  [1696] = 1091,
  [1697] = 1094,
  [1698] = 1096,
  [1699] = 1097,
  [1700] = 1098,
  [1701] = 1099,
  [1702] = 1100,
  [1703] = 1101,
  [1704] = 1102,
  [1705] = 1103,
  [1706] = 1105,
  [1707] = 1108,
  [1708] = 1091,
  [1709] = 1094,
  [1710] = 1096,
  [1711] = 1097,
  [1712] = 1098,
  [1713] = 1099,
  [1714] = 1100,
  [1715] = 1101,
  [1716] = 1102,
  [1717] = 1103,
  [1718] = 1105,
  [1719] = 1108,
  [1720] = 1091,
  [1721] = 1094,
  [1722] = 1096,
  [1723] = 1097,
  [1724] = 1098,
  [1725] = 1099,
  [1726] = 1100,
  [1727] = 1101,
  [1728] = 1102,
  [1729] = 1103,
  [1730] = 1105,
  [1731] = 1108,
  [1732] = 1091,
  [1733] = 1094,
  [1734] = 1096,
  [1735] = 1097,
  [1736] = 1098,
  [1737] = 1099,
  [1738] = 1100,
  [1739] = 1101,
  [1740] = 1102,
  [1741] = 1103,
  [1742] = 1105,
  [1743] = 1108,
  [1744] = 1091,
  [1745] = 1094,
  [1746] = 1096,
  [1747] = 1097,
  [1748] = 1098,
  [1749] = 1099,
  [1750] = 1100,
  [1751] = 1101,
  [1752] = 1102,
  [1753] = 1103,
  [1754] = 1105,
  [1755] = 1108,
  [1756] = 1091,
  [1757] = 1094,
  [1758] = 1096,
  [1759] = 1097,
  [1760] = 1098,
  [1761] = 1099,
  [1762] = 1100,
  [1763] = 1101,
  [1764] = 1102,
  [1765] = 1103,
  [1766] = 1105,
  [1767] = 1108,
  [1768] = 1091,
  [1769] = 1094,
  [1770] = 1096,
  [1771] = 1097,
  [1772] = 1098,
  [1773] = 1099,
  [1774] = 1100,
  [1775] = 1101,
  [1776] = 1102,
  [1777] = 1103,
  [1778] = 1105,
  [1779] = 1108,
  [1780] = 1104,
  [1781] = 1106,
  [1782] = 1107,
  [1783] = 1118,
  [1784] = 1090,
  [1785] = 1104,
  [1786] = 1106,
  [1787] = 1107,
  [1788] = 1118,
  [1789] = 1090,
  [1790] = 1104,
  [1791] = 1106,
  [1792] = 1107,
  [1793] = 1118,
  [1794] = 1090,
  [1795] = 1104,
  [1796] = 1106,
  [1797] = 1107,
  [1798] = 1118,
  [1799] = 1090,
  [1800] = 1104,
  [1801] = 1106,
  [1802] = 1107,
  [1803] = 1118,
  [1804] = 1090,
  [1805] = 1104,
  [1806] = 1106,
  [1807] = 1107,
  [1808] = 1118,
  [1809] = 1090,
  [1810] = 1104,
  [1811] = 1106,
  [1812] = 1107,
  [1813] = 1118,
  [1814] = 1090,
  [1815] = 1104,
  [1816] = 1106,
  [1817] = 1107,
  [1818] = 1118,
  [1819] = 1090,
  [1820] = 1104,
  [1821] = 1106,
  [1822] = 1107,
  [1823] = 1118,
  [1824] = 1090,
  [1825] = 1104,
  [1826] = 1106,
  [1827] = 1107,
  [1828] = 1118,
  [1829] = 1090,
  [1830] = 1104,
  [1831] = 1106,
  [1832] = 1107,
  [1833] = 1118,
  [1834] = 1090,
  [1835] = 1104,
  [1836] = 1106,
  [1837] = 1107,
  [1838] = 1104,
  [1839] = 1106,
  [1840] = 1107,
  [1841] = 1091,
  [1842] = 1094,
  [1843] = 1096,
  [1844] = 1118,
  [1845] = 1097,
  [1846] = 1098,
  [1847] = 1099,
  [1848] = 1100,
  [1849] = 1101,
  [1850] = 1102,
  [1851] = 1103,
  [1852] = 1105,
  [1853] = 1108,
  [1854] = 1090,
  [1855] = 1096,
  [1856] = 1097,
  [1857] = 1098,
  [1858] = 1099,
  [1859] = 1100,
  [1860] = 1101,
  [1861] = 1102,
  [1862] = 1103,
  [1863] = 1105,
  [1864] = 1108,
  [1865] = 1096,
  [1866] = 1097,
  [1867] = 1098,
  [1868] = 1099,
  [1869] = 1100,
  [1870] = 1101,
  [1871] = 1102,
  [1872] = 1103,
  [1873] = 1105,
  [1874] = 1108,
  [1875] = 1104,
  [1876] = 1104,
  [1877] = 1106,
  [1878] = 1107,
  [1879] = 1106,
  [1880] = 1107,
  [1881] = 1104,
  [1882] = 1096,
  [1883] = 1118,
  [1884] = 1097,
  [1885] = 1098,
  [1886] = 1099,
  [1887] = 1100,
  [1888] = 1101,
  [1889] = 1102,
  [1890] = 1103,
  [1891] = 1105,
  [1892] = 1108,
  [1893] = 1090,
  [1894] = 1104,
  [1895] = 1106,
  [1896] = 1107,
  [1897] = 1091,
  [1898] = 1094,
  [1899] = 1118,
  [1900] = 1090,
  [1901] = 1091,
  [1902] = 1094,
  [1903] = 1091,
  [1904] = 1094,
  [1905] = 1181,
  [1906] = 1181,
  [1907] = 1094,
  [1908] = 1096,
  [1909] = 1118,
  [1910] = 1097,
  [1911] = 1098,
  [1912] = 1099,
  [1913] = 1100,
  [1914] = 1101,
  [1915] = 1102,
  [1916] = 1103,
  [1917] = 1105,
  [1918] = 1108,
  [1919] = 1090,
  [1920] = 1106,
  [1921] = 1107,
  [1922] = 1111,
  [1923] = 1104,
  [1924] = 1091,
  [1925] = 1096,
  [1926] = 1118,
  [1927] = 1097,
  [1928] = 1098,
  [1929] = 1099,
  [1930] = 1100,
  [1931] = 1101,
  [1932] = 1102,
  [1933] = 1103,
  [1934] = 1105,
  [1935] = 1108,
  [1936] = 1090,
  [1937] = 1106,
  [1938] = 1107,
  [1939] = 1104,
  [1940] = 1397,
  [1941] = 438,
  [1942] = 437,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 434,
  [1947] = 444,
  [1948] = 445,
  [1949] = 433,
  [1950] = 447,
  [1951] = 448,
  [1952] = 449,
  [1953] = 450,
  [1954] = 451,
  [1955] = 452,
  [1956] = 1956,
  [1957] = 454,
  [1958] = 455,
  [1959] = 435,
  [1960] = 446,
  [1961] = 456,
  [1962] = 457,
  [1963] = 458,
  [1964] = 459,
  [1965] = 460,
  [1966] = 1966,
  [1967] = 435,
  [1968] = 436,
  [1969] = 437,
  [1970] = 438,
  [1971] = 436,
  [1972] = 453,
  [1973] = 430,
  [1974] = 429,
  [1975] = 461,
  [1976] = 462,
  [1977] = 469,
  [1978] = 1978,
  [1979] = 431,
  [1980] = 1980,
  [1981] = 427,
  [1982] = 428,
  [1983] = 1983,
  [1984] = 432,
  [1985] = 432,
  [1986] = 1986,
  [1987] = 456,
  [1988] = 435,
  [1989] = 454,
  [1990] = 452,
  [1991] = 479,
  [1992] = 461,
  [1993] = 459,
  [1994] = 1994,
  [1995] = 460,
  [1996] = 462,
  [1997] = 455,
  [1998] = 436,
  [1999] = 457,
  [2000] = 501,
  [2001] = 431,
  [2002] = 435,
  [2003] = 429,
  [2004] = 437,
  [2005] = 458,
  [2006] = 438,
  [2007] = 430,
  [2008] = 444,
  [2009] = 430,
  [2010] = 428,
  [2011] = 432,
  [2012] = 474,
  [2013] = 428,
  [2014] = 453,
  [2015] = 449,
  [2016] = 445,
  [2017] = 2017,
  [2018] = 476,
  [2019] = 433,
  [2020] = 2020,
  [2021] = 436,
  [2022] = 437,
  [2023] = 438,
  [2024] = 446,
  [2025] = 480,
  [2026] = 451,
  [2027] = 450,
  [2028] = 427,
  [2029] = 2029,
  [2030] = 447,
  [2031] = 431,
  [2032] = 429,
  [2033] = 448,
  [2034] = 427,
  [2035] = 470,
  [2036] = 481,
  [2037] = 475,
  [2038] = 2038,
  [2039] = 474,
  [2040] = 466,
  [2041] = 471,
  [2042] = 472,
  [2043] = 481,
  [2044] = 473,
  [2045] = 467,
  [2046] = 467,
  [2047] = 476,
  [2048] = 466,
  [2049] = 493,
  [2050] = 483,
  [2051] = 525,
  [2052] = 578,
  [2053] = 583,
  [2054] = 581,
  [2055] = 584,
  [2056] = 497,
  [2057] = 586,
  [2058] = 526,
  [2059] = 527,
  [2060] = 482,
  [2061] = 585,
  [2062] = 573,
  [2063] = 499,
  [2064] = 487,
  [2065] = 485,
  [2066] = 489,
  [2067] = 486,
  [2068] = 502,
  [2069] = 484,
  [2070] = 502,
  [2071] = 443,
  [2072] = 484,
  [2073] = 490,
  [2074] = 487,
  [2075] = 491,
  [2076] = 481,
  [2077] = 440,
  [2078] = 500,
  [2079] = 492,
  [2080] = 582,
  [2081] = 489,
  [2082] = 441,
  [2083] = 478,
  [2084] = 442,
  [2085] = 570,
  [2086] = 529,
  [2087] = 498,
  [2088] = 575,
  [2089] = 574,
  [2090] = 482,
  [2091] = 488,
  [2092] = 590,
  [2093] = 2093,
  [2094] = 568,
  [2095] = 571,
  [2096] = 577,
  [2097] = 580,
  [2098] = 579,
  [2099] = 569,
  [2100] = 572,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 567,
  [2104] = 2104,
  [2105] = 587,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 576,
  [2109] = 438,
  [2110] = 457,
  [2111] = 621,
  [2112] = 458,
  [2113] = 459,
  [2114] = 460,
  [2115] = 670,
  [2116] = 672,
  [2117] = 673,
  [2118] = 635,
  [2119] = 678,
  [2120] = 647,
  [2121] = 637,
  [2122] = 437,
  [2123] = 604,
  [2124] = 619,
  [2125] = 602,
  [2126] = 615,
  [2127] = 632,
  [2128] = 609,
  [2129] = 675,
  [2130] = 676,
  [2131] = 611,
  [2132] = 638,
  [2133] = 2133,
  [2134] = 630,
  [2135] = 461,
  [2136] = 680,
  [2137] = 601,
  [2138] = 462,
  [2139] = 653,
  [2140] = 606,
  [2141] = 607,
  [2142] = 625,
  [2143] = 626,
  [2144] = 2144,
  [2145] = 608,
  [2146] = 434,
  [2147] = 614,
  [2148] = 438,
  [2149] = 631,
  [2150] = 586,
  [2151] = 596,
  [2152] = 444,
  [2153] = 445,
  [2154] = 616,
  [2155] = 433,
  [2156] = 2156,
  [2157] = 447,
  [2158] = 448,
  [2159] = 449,
  [2160] = 450,
  [2161] = 451,
  [2162] = 452,
  [2163] = 453,
  [2164] = 454,
  [2165] = 591,
  [2166] = 658,
  [2167] = 649,
  [2168] = 435,
  [2169] = 650,
  [2170] = 651,
  [2171] = 644,
  [2172] = 617,
  [2173] = 444,
  [2174] = 445,
  [2175] = 433,
  [2176] = 447,
  [2177] = 448,
  [2178] = 595,
  [2179] = 2179,
  [2180] = 634,
  [2181] = 456,
  [2182] = 446,
  [2183] = 455,
  [2184] = 687,
  [2185] = 583,
  [2186] = 599,
  [2187] = 652,
  [2188] = 618,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 592,
  [2192] = 449,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 450,
  [2196] = 451,
  [2197] = 452,
  [2198] = 453,
  [2199] = 454,
  [2200] = 622,
  [2201] = 624,
  [2202] = 612,
  [2203] = 598,
  [2204] = 648,
  [2205] = 456,
  [2206] = 457,
  [2207] = 458,
  [2208] = 459,
  [2209] = 460,
  [2210] = 645,
  [2211] = 461,
  [2212] = 462,
  [2213] = 436,
  [2214] = 437,
  [2215] = 646,
  [2216] = 629,
  [2217] = 655,
  [2218] = 657,
  [2219] = 623,
  [2220] = 659,
  [2221] = 660,
  [2222] = 595,
  [2223] = 681,
  [2224] = 661,
  [2225] = 597,
  [2226] = 656,
  [2227] = 584,
  [2228] = 599,
  [2229] = 455,
  [2230] = 669,
  [2231] = 592,
  [2232] = 446,
  [2233] = 671,
  [2234] = 436,
  [2235] = 435,
  [2236] = 600,
  [2237] = 667,
  [2238] = 597,
  [2239] = 2239,
  [2240] = 435,
  [2241] = 469,
  [2242] = 435,
  [2243] = 435,
  [2244] = 435,
  [2245] = 475,
  [2246] = 467,
  [2247] = 466,
  [2248] = 434,
  [2249] = 434,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 444,
  [2255] = 445,
  [2256] = 433,
  [2257] = 447,
  [2258] = 448,
  [2259] = 449,
  [2260] = 450,
  [2261] = 451,
  [2262] = 452,
  [2263] = 453,
  [2264] = 454,
  [2265] = 446,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 435,
  [2269] = 436,
  [2270] = 444,
  [2271] = 445,
  [2272] = 446,
  [2273] = 433,
  [2274] = 447,
  [2275] = 448,
  [2276] = 449,
  [2277] = 450,
  [2278] = 451,
  [2279] = 452,
  [2280] = 453,
  [2281] = 454,
  [2282] = 437,
  [2283] = 438,
  [2284] = 455,
  [2285] = 444,
  [2286] = 445,
  [2287] = 446,
  [2288] = 433,
  [2289] = 447,
  [2290] = 448,
  [2291] = 449,
  [2292] = 450,
  [2293] = 451,
  [2294] = 452,
  [2295] = 453,
  [2296] = 454,
  [2297] = 444,
  [2298] = 445,
  [2299] = 446,
  [2300] = 433,
  [2301] = 447,
  [2302] = 448,
  [2303] = 449,
  [2304] = 450,
  [2305] = 451,
  [2306] = 452,
  [2307] = 453,
  [2308] = 454,
  [2309] = 455,
  [2310] = 434,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 474,
  [2314] = 438,
  [2315] = 435,
  [2316] = 476,
  [2317] = 436,
  [2318] = 437,
  [2319] = 2319,
  [2320] = 434,
  [2321] = 435,
  [2322] = 467,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 466,
  [2326] = 435,
  [2327] = 436,
  [2328] = 436,
  [2329] = 437,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 438,
  [2333] = 437,
  [2334] = 470,
  [2335] = 471,
  [2336] = 472,
  [2337] = 473,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 474,
  [2342] = 476,
  [2343] = 456,
  [2344] = 457,
  [2345] = 458,
  [2346] = 459,
  [2347] = 460,
  [2348] = 461,
  [2349] = 462,
  [2350] = 436,
  [2351] = 437,
  [2352] = 438,
  [2353] = 461,
  [2354] = 455,
  [2355] = 462,
  [2356] = 456,
  [2357] = 457,
  [2358] = 458,
  [2359] = 459,
  [2360] = 460,
  [2361] = 461,
  [2362] = 455,
  [2363] = 462,
  [2364] = 436,
  [2365] = 437,
  [2366] = 438,
  [2367] = 456,
  [2368] = 457,
  [2369] = 458,
  [2370] = 459,
  [2371] = 460,
  [2372] = 461,
  [2373] = 462,
  [2374] = 436,
  [2375] = 437,
  [2376] = 438,
  [2377] = 456,
  [2378] = 457,
  [2379] = 458,
  [2380] = 459,
  [2381] = 460,
  [2382] = 461,
  [2383] = 462,
  [2384] = 436,
  [2385] = 437,
  [2386] = 438,
  [2387] = 2387,
  [2388] = 438,
  [2389] = 454,
  [2390] = 454,
  [2391] = 445,
  [2392] = 435,
  [2393] = 475,
  [2394] = 482,
  [2395] = 436,
  [2396] = 475,
  [2397] = 437,
  [2398] = 444,
  [2399] = 445,
  [2400] = 446,
  [2401] = 433,
  [2402] = 447,
  [2403] = 448,
  [2404] = 449,
  [2405] = 450,
  [2406] = 451,
  [2407] = 452,
  [2408] = 453,
  [2409] = 454,
  [2410] = 438,
  [2411] = 433,
  [2412] = 434,
  [2413] = 447,
  [2414] = 444,
  [2415] = 445,
  [2416] = 446,
  [2417] = 433,
  [2418] = 447,
  [2419] = 448,
  [2420] = 449,
  [2421] = 450,
  [2422] = 451,
  [2423] = 452,
  [2424] = 453,
  [2425] = 454,
  [2426] = 448,
  [2427] = 469,
  [2428] = 444,
  [2429] = 445,
  [2430] = 446,
  [2431] = 433,
  [2432] = 447,
  [2433] = 448,
  [2434] = 449,
  [2435] = 450,
  [2436] = 451,
  [2437] = 452,
  [2438] = 453,
  [2439] = 473,
  [2440] = 449,
  [2441] = 470,
  [2442] = 450,
  [2443] = 451,
  [2444] = 471,
  [2445] = 452,
  [2446] = 453,
  [2447] = 454,
  [2448] = 502,
  [2449] = 435,
  [2450] = 436,
  [2451] = 437,
  [2452] = 438,
  [2453] = 436,
  [2454] = 437,
  [2455] = 480,
  [2456] = 438,
  [2457] = 482,
  [2458] = 645,
  [2459] = 469,
  [2460] = 472,
  [2461] = 434,
  [2462] = 498,
  [2463] = 646,
  [2464] = 467,
  [2465] = 467,
  [2466] = 466,
  [2467] = 467,
  [2468] = 470,
  [2469] = 466,
  [2470] = 481,
  [2471] = 434,
  [2472] = 484,
  [2473] = 483,
  [2474] = 487,
  [2475] = 485,
  [2476] = 486,
  [2477] = 467,
  [2478] = 488,
  [2479] = 475,
  [2480] = 473,
  [2481] = 501,
  [2482] = 490,
  [2483] = 491,
  [2484] = 492,
  [2485] = 493,
  [2486] = 466,
  [2487] = 497,
  [2488] = 467,
  [2489] = 466,
  [2490] = 466,
  [2491] = 489,
  [2492] = 474,
  [2493] = 471,
  [2494] = 484,
  [2495] = 440,
  [2496] = 472,
  [2497] = 475,
  [2498] = 476,
  [2499] = 489,
  [2500] = 467,
  [2501] = 466,
  [2502] = 469,
  [2503] = 456,
  [2504] = 474,
  [2505] = 457,
  [2506] = 458,
  [2507] = 459,
  [2508] = 460,
  [2509] = 487,
  [2510] = 434,
  [2511] = 476,
  [2512] = 469,
  [2513] = 441,
  [2514] = 474,
  [2515] = 446,
  [2516] = 502,
  [2517] = 499,
  [2518] = 467,
  [2519] = 473,
  [2520] = 467,
  [2521] = 476,
  [2522] = 435,
  [2523] = 478,
  [2524] = 473,
  [2525] = 500,
  [2526] = 435,
  [2527] = 474,
  [2528] = 435,
  [2529] = 435,
  [2530] = 466,
  [2531] = 479,
  [2532] = 442,
  [2533] = 455,
  [2534] = 476,
  [2535] = 435,
  [2536] = 443,
  [2537] = 444,
  [2538] = 455,
  [2539] = 466,
  [2540] = 474,
  [2541] = 444,
  [2542] = 445,
  [2543] = 446,
  [2544] = 433,
  [2545] = 447,
  [2546] = 476,
  [2547] = 448,
  [2548] = 449,
  [2549] = 450,
  [2550] = 451,
  [2551] = 456,
  [2552] = 457,
  [2553] = 458,
  [2554] = 459,
  [2555] = 460,
  [2556] = 461,
  [2557] = 462,
  [2558] = 436,
  [2559] = 437,
  [2560] = 438,
  [2561] = 470,
  [2562] = 452,
  [2563] = 453,
  [2564] = 455,
  [2565] = 470,
  [2566] = 471,
  [2567] = 472,
  [2568] = 456,
  [2569] = 457,
  [2570] = 458,
  [2571] = 459,
  [2572] = 460,
  [2573] = 461,
  [2574] = 455,
  [2575] = 462,
  [2576] = 436,
  [2577] = 437,
  [2578] = 438,
  [2579] = 456,
  [2580] = 457,
  [2581] = 458,
  [2582] = 459,
  [2583] = 460,
  [2584] = 461,
  [2585] = 455,
  [2586] = 462,
  [2587] = 436,
  [2588] = 437,
  [2589] = 438,
  [2590] = 456,
  [2591] = 457,
  [2592] = 458,
  [2593] = 459,
  [2594] = 460,
  [2595] = 461,
  [2596] = 462,
  [2597] = 436,
  [2598] = 437,
  [2599] = 438,
  [2600] = 435,
  [2601] = 436,
  [2602] = 471,
  [2603] = 437,
  [2604] = 438,
  [2605] = 472,
  [2606] = 487,
  [2607] = 484,
  [2608] = 487,
  [2609] = 482,
  [2610] = 479,
  [2611] = 487,
  [2612] = 526,
  [2613] = 527,
  [2614] = 498,
  [2615] = 497,
  [2616] = 467,
  [2617] = 466,
  [2618] = 480,
  [2619] = 502,
  [2620] = 502,
  [2621] = 489,
  [2622] = 484,
  [2623] = 482,
  [2624] = 499,
  [2625] = 467,
  [2626] = 501,
  [2627] = 502,
  [2628] = 466,
  [2629] = 479,
  [2630] = 484,
  [2631] = 482,
  [2632] = 490,
  [2633] = 487,
  [2634] = 470,
  [2635] = 480,
  [2636] = 487,
  [2637] = 498,
  [2638] = 483,
  [2639] = 583,
  [2640] = 491,
  [2641] = 584,
  [2642] = 489,
  [2643] = 490,
  [2644] = 586,
  [2645] = 484,
  [2646] = 481,
  [2647] = 498,
  [2648] = 489,
  [2649] = 492,
  [2650] = 497,
  [2651] = 469,
  [2652] = 470,
  [2653] = 502,
  [2654] = 471,
  [2655] = 599,
  [2656] = 482,
  [2657] = 493,
  [2658] = 498,
  [2659] = 497,
  [2660] = 472,
  [2661] = 475,
  [2662] = 471,
  [2663] = 502,
  [2664] = 484,
  [2665] = 501,
  [2666] = 2666,
  [2667] = 485,
  [2668] = 479,
  [2669] = 486,
  [2670] = 473,
  [2671] = 480,
  [2672] = 592,
  [2673] = 481,
  [2674] = 473,
  [2675] = 478,
  [2676] = 529,
  [2677] = 486,
  [2678] = 470,
  [2679] = 482,
  [2680] = 483,
  [2681] = 502,
  [2682] = 471,
  [2683] = 472,
  [2684] = 485,
  [2685] = 488,
  [2686] = 489,
  [2687] = 469,
  [2688] = 597,
  [2689] = 472,
  [2690] = 478,
  [2691] = 489,
  [2692] = 499,
  [2693] = 486,
  [2694] = 490,
  [2695] = 484,
  [2696] = 473,
  [2697] = 484,
  [2698] = 481,
  [2699] = 475,
  [2700] = 500,
  [2701] = 470,
  [2702] = 471,
  [2703] = 472,
  [2704] = 469,
  [2705] = 475,
  [2706] = 499,
  [2707] = 481,
  [2708] = 467,
  [2709] = 473,
  [2710] = 466,
  [2711] = 487,
  [2712] = 482,
  [2713] = 488,
  [2714] = 482,
  [2715] = 467,
  [2716] = 501,
  [2717] = 466,
  [2718] = 525,
  [2719] = 489,
  [2720] = 490,
  [2721] = 491,
  [2722] = 467,
  [2723] = 466,
  [2724] = 487,
  [2725] = 502,
  [2726] = 484,
  [2727] = 482,
  [2728] = 491,
  [2729] = 595,
  [2730] = 488,
  [2731] = 478,
  [2732] = 485,
  [2733] = 487,
  [2734] = 492,
  [2735] = 493,
  [2736] = 489,
  [2737] = 474,
  [2738] = 480,
  [2739] = 467,
  [2740] = 497,
  [2741] = 476,
  [2742] = 501,
  [2743] = 466,
  [2744] = 492,
  [2745] = 493,
  [2746] = 500,
  [2747] = 498,
  [2748] = 479,
  [2749] = 483,
  [2750] = 485,
  [2751] = 486,
  [2752] = 467,
  [2753] = 474,
  [2754] = 466,
  [2755] = 476,
  [2756] = 469,
  [2757] = 489,
  [2758] = 492,
  [2759] = 474,
  [2760] = 493,
  [2761] = 502,
  [2762] = 481,
  [2763] = 471,
  [2764] = 476,
  [2765] = 478,
  [2766] = 474,
  [2767] = 476,
  [2768] = 483,
  [2769] = 499,
  [2770] = 500,
  [2771] = 467,
  [2772] = 475,
  [2773] = 488,
  [2774] = 500,
  [2775] = 466,
  [2776] = 491,
  [2777] = 492,
  [2778] = 475,
  [2779] = 499,
  [2780] = 492,
  [2781] = 493,
  [2782] = 486,
  [2783] = 581,
  [2784] = 498,
  [2785] = 497,
  [2786] = 587,
  [2787] = 529,
  [2788] = 481,
  [2789] = 529,
  [2790] = 482,
  [2791] = 527,
  [2792] = 582,
  [2793] = 483,
  [2794] = 479,
  [2795] = 485,
  [2796] = 502,
  [2797] = 487,
  [2798] = 502,
  [2799] = 576,
  [2800] = 577,
  [2801] = 501,
  [2802] = 526,
  [2803] = 486,
  [2804] = 489,
  [2805] = 572,
  [2806] = 487,
  [2807] = 479,
  [2808] = 571,
  [2809] = 569,
  [2810] = 489,
  [2811] = 488,
  [2812] = 492,
  [2813] = 487,
  [2814] = 490,
  [2815] = 491,
  [2816] = 467,
  [2817] = 489,
  [2818] = 493,
  [2819] = 567,
  [2820] = 483,
  [2821] = 485,
  [2822] = 478,
  [2823] = 486,
  [2824] = 501,
  [2825] = 525,
  [2826] = 501,
  [2827] = 487,
  [2828] = 479,
  [2829] = 484,
  [2830] = 526,
  [2831] = 499,
  [2832] = 488,
  [2833] = 583,
  [2834] = 480,
  [2835] = 489,
  [2836] = 584,
  [2837] = 527,
  [2838] = 586,
  [2839] = 482,
  [2840] = 481,
  [2841] = 480,
  [2842] = 487,
  [2843] = 575,
  [2844] = 487,
  [2845] = 585,
  [2846] = 502,
  [2847] = 481,
  [2848] = 500,
  [2849] = 484,
  [2850] = 568,
  [2851] = 482,
  [2852] = 484,
  [2853] = 498,
  [2854] = 489,
  [2855] = 467,
  [2856] = 502,
  [2857] = 479,
  [2858] = 484,
  [2859] = 489,
  [2860] = 489,
  [2861] = 491,
  [2862] = 483,
  [2863] = 480,
  [2864] = 466,
  [2865] = 483,
  [2866] = 499,
  [2867] = 500,
  [2868] = 490,
  [2869] = 529,
  [2870] = 491,
  [2871] = 481,
  [2872] = 525,
  [2873] = 487,
  [2874] = 502,
  [2875] = 485,
  [2876] = 526,
  [2877] = 484,
  [2878] = 527,
  [2879] = 482,
  [2880] = 502,
  [2881] = 484,
  [2882] = 480,
  [2883] = 478,
  [2884] = 482,
  [2885] = 497,
  [2886] = 481,
  [2887] = 500,
  [2888] = 486,
  [2889] = 501,
  [2890] = 481,
  [2891] = 525,
  [2892] = 481,
  [2893] = 484,
  [2894] = 487,
  [2895] = 500,
  [2896] = 482,
  [2897] = 525,
  [2898] = 493,
  [2899] = 488,
  [2900] = 470,
  [2901] = 579,
  [2902] = 526,
  [2903] = 498,
  [2904] = 472,
  [2905] = 490,
  [2906] = 570,
  [2907] = 473,
  [2908] = 573,
  [2909] = 485,
  [2910] = 481,
  [2911] = 574,
  [2912] = 502,
  [2913] = 490,
  [2914] = 491,
  [2915] = 529,
  [2916] = 502,
  [2917] = 580,
  [2918] = 578,
  [2919] = 492,
  [2920] = 489,
  [2921] = 484,
  [2922] = 527,
  [2923] = 493,
  [2924] = 482,
  [2925] = 488,
  [2926] = 497,
  [2927] = 478,
  [2928] = 466,
  [2929] = 499,
  [2930] = 498,
  [2931] = 497,
  [2932] = 478,
  [2933] = 482,
  [2934] = 581,
  [2935] = 579,
  [2936] = 583,
  [2937] = 568,
  [2938] = 582,
  [2939] = 587,
  [2940] = 584,
  [2941] = 568,
  [2942] = 573,
  [2943] = 586,
  [2944] = 585,
  [2945] = 576,
  [2946] = 574,
  [2947] = 527,
  [2948] = 482,
  [2949] = 567,
  [2950] = 527,
  [2951] = 570,
  [2952] = 583,
  [2953] = 571,
  [2954] = 579,
  [2955] = 584,
  [2956] = 576,
  [2957] = 526,
  [2958] = 586,
  [2959] = 569,
  [2960] = 578,
  [2961] = 571,
  [2962] = 580,
  [2963] = 525,
  [2964] = 580,
  [2965] = 573,
  [2966] = 577,
  [2967] = 526,
  [2968] = 569,
  [2969] = 581,
  [2970] = 529,
  [2971] = 527,
  [2972] = 567,
  [2973] = 578,
  [2974] = 581,
  [2975] = 582,
  [2976] = 585,
  [2977] = 575,
  [2978] = 571,
  [2979] = 582,
  [2980] = 497,
  [2981] = 572,
  [2982] = 578,
  [2983] = 583,
  [2984] = 585,
  [2985] = 574,
  [2986] = 529,
  [2987] = 573,
  [2988] = 567,
  [2989] = 481,
  [2990] = 584,
  [2991] = 572,
  [2992] = 481,
  [2993] = 587,
  [2994] = 462,
  [2995] = 586,
  [2996] = 576,
  [2997] = 569,
  [2998] = 572,
  [2999] = 577,
  [3000] = 582,
  [3001] = 577,
  [3002] = 585,
  [3003] = 478,
  [3004] = 525,
  [3005] = 461,
  [3006] = 526,
  [3007] = 575,
  [3008] = 567,
  [3009] = 576,
  [3010] = 570,
  [3011] = 485,
  [3012] = 581,
  [3013] = 486,
  [3014] = 481,
  [3015] = 590,
  [3016] = 578,
  [3017] = 583,
  [3018] = 488,
  [3019] = 569,
  [3020] = 575,
  [3021] = 575,
  [3022] = 579,
  [3023] = 491,
  [3024] = 584,
  [3025] = 526,
  [3026] = 586,
  [3027] = 570,
  [3028] = 481,
  [3029] = 492,
  [3030] = 591,
  [3031] = 577,
  [3032] = 570,
  [3033] = 525,
  [3034] = 587,
  [3035] = 587,
  [3036] = 583,
  [3037] = 580,
  [3038] = 574,
  [3039] = 527,
  [3040] = 584,
  [3041] = 482,
  [3042] = 525,
  [3043] = 586,
  [3044] = 529,
  [3045] = 580,
  [3046] = 568,
  [3047] = 572,
  [3048] = 571,
  [3049] = 574,
  [3050] = 573,
  [3051] = 579,
  [3052] = 529,
  [3053] = 568,
  [3054] = 460,
  [3055] = 591,
  [3056] = 572,
  [3057] = 568,
  [3058] = 576,
  [3059] = 577,
  [3060] = 567,
  [3061] = 571,
  [3062] = 569,
  [3063] = 591,
  [3064] = 678,
  [3065] = 572,
  [3066] = 568,
  [3067] = 576,
  [3068] = 577,
  [3069] = 579,
  [3070] = 567,
  [3071] = 680,
  [3072] = 580,
  [3073] = 571,
  [3074] = 569,
  [3075] = 587,
  [3076] = 572,
  [3077] = 568,
  [3078] = 576,
  [3079] = 577,
  [3080] = 601,
  [3081] = 606,
  [3082] = 607,
  [3083] = 614,
  [3084] = 579,
  [3085] = 580,
  [3086] = 3086,
  [3087] = 587,
  [3088] = 616,
  [3089] = 579,
  [3090] = 580,
  [3091] = 587,
  [3092] = 617,
  [3093] = 618,
  [3094] = 622,
  [3095] = 579,
  [3096] = 580,
  [3097] = 624,
  [3098] = 587,
  [3099] = 483,
  [3100] = 490,
  [3101] = 493,
  [3102] = 446,
  [3103] = 570,
  [3104] = 499,
  [3105] = 573,
  [3106] = 574,
  [3107] = 575,
  [3108] = 461,
  [3109] = 455,
  [3110] = 500,
  [3111] = 590,
  [3112] = 570,
  [3113] = 573,
  [3114] = 574,
  [3115] = 575,
  [3116] = 570,
  [3117] = 573,
  [3118] = 574,
  [3119] = 575,
  [3120] = 570,
  [3121] = 573,
  [3122] = 574,
  [3123] = 575,
  [3124] = 502,
  [3125] = 484,
  [3126] = 462,
  [3127] = 487,
  [3128] = 502,
  [3129] = 484,
  [3130] = 489,
  [3131] = 487,
  [3132] = 489,
  [3133] = 681,
  [3134] = 687,
  [3135] = 570,
  [3136] = 461,
  [3137] = 647,
  [3138] = 590,
  [3139] = 573,
  [3140] = 574,
  [3141] = 462,
  [3142] = 575,
  [3143] = 3143,
  [3144] = 595,
  [3145] = 461,
  [3146] = 571,
  [3147] = 590,
  [3148] = 597,
  [3149] = 599,
  [3150] = 3150,
  [3151] = 462,
  [3152] = 592,
  [3153] = 461,
  [3154] = 590,
  [3155] = 462,
  [3156] = 582,
  [3157] = 585,
  [3158] = 645,
  [3159] = 646,
  [3160] = 645,
  [3161] = 646,
  [3162] = 591,
  [3163] = 578,
  [3164] = 581,
  [3165] = 596,
  [3166] = 598,
  [3167] = 608,
  [3168] = 600,
  [3169] = 609,
  [3170] = 569,
  [3171] = 611,
  [3172] = 612,
  [3173] = 456,
  [3174] = 474,
  [3175] = 621,
  [3176] = 623,
  [3177] = 625,
  [3178] = 626,
  [3179] = 457,
  [3180] = 458,
  [3181] = 629,
  [3182] = 631,
  [3183] = 632,
  [3184] = 459,
  [3185] = 582,
  [3186] = 585,
  [3187] = 638,
  [3188] = 649,
  [3189] = 650,
  [3190] = 651,
  [3191] = 578,
  [3192] = 581,
  [3193] = 652,
  [3194] = 657,
  [3195] = 659,
  [3196] = 660,
  [3197] = 661,
  [3198] = 444,
  [3199] = 667,
  [3200] = 582,
  [3201] = 585,
  [3202] = 670,
  [3203] = 672,
  [3204] = 673,
  [3205] = 675,
  [3206] = 676,
  [3207] = 445,
  [3208] = 433,
  [3209] = 447,
  [3210] = 448,
  [3211] = 449,
  [3212] = 450,
  [3213] = 451,
  [3214] = 452,
  [3215] = 453,
  [3216] = 578,
  [3217] = 581,
  [3218] = 619,
  [3219] = 454,
  [3220] = 653,
  [3221] = 658,
  [3222] = 604,
  [3223] = 476,
  [3224] = 615,
  [3225] = 582,
  [3226] = 585,
  [3227] = 567,
  [3228] = 630,
  [3229] = 634,
  [3230] = 571,
  [3231] = 569,
  [3232] = 635,
  [3233] = 637,
  [3234] = 591,
  [3235] = 644,
  [3236] = 572,
  [3237] = 583,
  [3238] = 584,
  [3239] = 648,
  [3240] = 586,
  [3241] = 655,
  [3242] = 568,
  [3243] = 656,
  [3244] = 576,
  [3245] = 577,
  [3246] = 578,
  [3247] = 581,
  [3248] = 583,
  [3249] = 595,
  [3250] = 584,
  [3251] = 586,
  [3252] = 669,
  [3253] = 597,
  [3254] = 583,
  [3255] = 584,
  [3256] = 586,
  [3257] = 599,
  [3258] = 592,
  [3259] = 583,
  [3260] = 584,
  [3261] = 586,
  [3262] = 671,
  [3263] = 567,
  [3264] = 602,
  [3265] = 604,
  [3266] = 456,
  [3267] = 474,
  [3268] = 621,
  [3269] = 625,
  [3270] = 626,
  [3271] = 457,
  [3272] = 458,
  [3273] = 629,
  [3274] = 631,
  [3275] = 632,
  [3276] = 459,
  [3277] = 460,
  [3278] = 638,
  [3279] = 649,
  [3280] = 650,
  [3281] = 651,
  [3282] = 652,
  [3283] = 609,
  [3284] = 596,
  [3285] = 657,
  [3286] = 659,
  [3287] = 660,
  [3288] = 611,
  [3289] = 661,
  [3290] = 444,
  [3291] = 667,
  [3292] = 670,
  [3293] = 672,
  [3294] = 673,
  [3295] = 675,
  [3296] = 676,
  [3297] = 445,
  [3298] = 446,
  [3299] = 433,
  [3300] = 447,
  [3301] = 448,
  [3302] = 449,
  [3303] = 450,
  [3304] = 451,
  [3305] = 452,
  [3306] = 453,
  [3307] = 619,
  [3308] = 454,
  [3309] = 653,
  [3310] = 658,
  [3311] = 598,
  [3312] = 455,
  [3313] = 604,
  [3314] = 476,
  [3315] = 615,
  [3316] = 600,
  [3317] = 3317,
  [3318] = 602,
  [3319] = 630,
  [3320] = 634,
  [3321] = 612,
  [3322] = 635,
  [3323] = 637,
  [3324] = 644,
  [3325] = 648,
  [3326] = 655,
  [3327] = 656,
  [3328] = 669,
  [3329] = 3329,
  [3330] = 671,
  [3331] = 678,
  [3332] = 456,
  [3333] = 680,
  [3334] = 601,
  [3335] = 595,
  [3336] = 606,
  [3337] = 607,
  [3338] = 614,
  [3339] = 596,
  [3340] = 616,
  [3341] = 617,
  [3342] = 618,
  [3343] = 622,
  [3344] = 624,
  [3345] = 597,
  [3346] = 687,
  [3347] = 455,
  [3348] = 647,
  [3349] = 608,
  [3350] = 609,
  [3351] = 611,
  [3352] = 612,
  [3353] = 456,
  [3354] = 474,
  [3355] = 621,
  [3356] = 623,
  [3357] = 625,
  [3358] = 626,
  [3359] = 457,
  [3360] = 458,
  [3361] = 629,
  [3362] = 631,
  [3363] = 632,
  [3364] = 459,
  [3365] = 460,
  [3366] = 638,
  [3367] = 649,
  [3368] = 650,
  [3369] = 651,
  [3370] = 652,
  [3371] = 657,
  [3372] = 659,
  [3373] = 598,
  [3374] = 660,
  [3375] = 661,
  [3376] = 444,
  [3377] = 667,
  [3378] = 670,
  [3379] = 672,
  [3380] = 673,
  [3381] = 675,
  [3382] = 676,
  [3383] = 445,
  [3384] = 446,
  [3385] = 433,
  [3386] = 447,
  [3387] = 448,
  [3388] = 449,
  [3389] = 450,
  [3390] = 451,
  [3391] = 452,
  [3392] = 453,
  [3393] = 619,
  [3394] = 454,
  [3395] = 653,
  [3396] = 658,
  [3397] = 599,
  [3398] = 600,
  [3399] = 476,
  [3400] = 615,
  [3401] = 592,
  [3402] = 630,
  [3403] = 602,
  [3404] = 634,
  [3405] = 635,
  [3406] = 637,
  [3407] = 644,
  [3408] = 648,
  [3409] = 655,
  [3410] = 656,
  [3411] = 669,
  [3412] = 671,
  [3413] = 474,
  [3414] = 678,
  [3415] = 680,
  [3416] = 574,
  [3417] = 601,
  [3418] = 621,
  [3419] = 606,
  [3420] = 607,
  [3421] = 623,
  [3422] = 614,
  [3423] = 616,
  [3424] = 617,
  [3425] = 618,
  [3426] = 622,
  [3427] = 624,
  [3428] = 608,
  [3429] = 609,
  [3430] = 611,
  [3431] = 612,
  [3432] = 456,
  [3433] = 474,
  [3434] = 621,
  [3435] = 623,
  [3436] = 625,
  [3437] = 626,
  [3438] = 457,
  [3439] = 458,
  [3440] = 629,
  [3441] = 631,
  [3442] = 632,
  [3443] = 459,
  [3444] = 460,
  [3445] = 638,
  [3446] = 649,
  [3447] = 650,
  [3448] = 651,
  [3449] = 652,
  [3450] = 681,
  [3451] = 687,
  [3452] = 657,
  [3453] = 659,
  [3454] = 595,
  [3455] = 660,
  [3456] = 570,
  [3457] = 661,
  [3458] = 444,
  [3459] = 667,
  [3460] = 670,
  [3461] = 672,
  [3462] = 673,
  [3463] = 675,
  [3464] = 676,
  [3465] = 445,
  [3466] = 446,
  [3467] = 433,
  [3468] = 447,
  [3469] = 448,
  [3470] = 449,
  [3471] = 450,
  [3472] = 451,
  [3473] = 452,
  [3474] = 453,
  [3475] = 619,
  [3476] = 454,
  [3477] = 653,
  [3478] = 658,
  [3479] = 595,
  [3480] = 604,
  [3481] = 476,
  [3482] = 615,
  [3483] = 647,
  [3484] = 625,
  [3485] = 612,
  [3486] = 597,
  [3487] = 634,
  [3488] = 573,
  [3489] = 635,
  [3490] = 637,
  [3491] = 644,
  [3492] = 648,
  [3493] = 655,
  [3494] = 656,
  [3495] = 669,
  [3496] = 671,
  [3497] = 599,
  [3498] = 678,
  [3499] = 574,
  [3500] = 680,
  [3501] = 601,
  [3502] = 626,
  [3503] = 606,
  [3504] = 607,
  [3505] = 592,
  [3506] = 614,
  [3507] = 575,
  [3508] = 616,
  [3509] = 617,
  [3510] = 618,
  [3511] = 622,
  [3512] = 624,
  [3513] = 457,
  [3514] = 595,
  [3515] = 597,
  [3516] = 458,
  [3517] = 461,
  [3518] = 645,
  [3519] = 646,
  [3520] = 455,
  [3521] = 645,
  [3522] = 646,
  [3523] = 590,
  [3524] = 645,
  [3525] = 646,
  [3526] = 645,
  [3527] = 646,
  [3528] = 599,
  [3529] = 629,
  [3530] = 631,
  [3531] = 462,
  [3532] = 600,
  [3533] = 592,
  [3534] = 595,
  [3535] = 632,
  [3536] = 597,
  [3537] = 459,
  [3538] = 599,
  [3539] = 460,
  [3540] = 638,
  [3541] = 668,
  [3542] = 592,
  [3543] = 649,
  [3544] = 650,
  [3545] = 651,
  [3546] = 652,
  [3547] = 657,
  [3548] = 659,
  [3549] = 660,
  [3550] = 661,
  [3551] = 444,
  [3552] = 667,
  [3553] = 670,
  [3554] = 672,
  [3555] = 673,
  [3556] = 675,
  [3557] = 676,
  [3558] = 681,
  [3559] = 687,
  [3560] = 570,
  [3561] = 445,
  [3562] = 3562,
  [3563] = 461,
  [3564] = 647,
  [3565] = 590,
  [3566] = 573,
  [3567] = 433,
  [3568] = 574,
  [3569] = 447,
  [3570] = 462,
  [3571] = 448,
  [3572] = 575,
  [3573] = 449,
  [3574] = 450,
  [3575] = 451,
  [3576] = 452,
  [3577] = 453,
  [3578] = 619,
  [3579] = 454,
  [3580] = 653,
  [3581] = 658,
  [3582] = 687,
  [3583] = 595,
  [3584] = 591,
  [3585] = 597,
  [3586] = 592,
  [3587] = 599,
  [3588] = 681,
  [3589] = 591,
  [3590] = 461,
  [3591] = 647,
  [3592] = 590,
  [3593] = 597,
  [3594] = 575,
  [3595] = 604,
  [3596] = 476,
  [3597] = 599,
  [3598] = 529,
  [3599] = 615,
  [3600] = 462,
  [3601] = 592,
  [3602] = 592,
  [3603] = 602,
  [3604] = 630,
  [3605] = 634,
  [3606] = 635,
  [3607] = 637,
  [3608] = 596,
  [3609] = 644,
  [3610] = 648,
  [3611] = 655,
  [3612] = 573,
  [3613] = 656,
  [3614] = 598,
  [3615] = 598,
  [3616] = 600,
  [3617] = 591,
  [3618] = 570,
  [3619] = 602,
  [3620] = 669,
  [3621] = 461,
  [3622] = 3622,
  [3623] = 590,
  [3624] = 681,
  [3625] = 570,
  [3626] = 596,
  [3627] = 595,
  [3628] = 671,
  [3629] = 678,
  [3630] = 680,
  [3631] = 573,
  [3632] = 462,
  [3633] = 597,
  [3634] = 601,
  [3635] = 574,
  [3636] = 606,
  [3637] = 607,
  [3638] = 614,
  [3639] = 599,
  [3640] = 575,
  [3641] = 591,
  [3642] = 616,
  [3643] = 599,
  [3644] = 617,
  [3645] = 618,
  [3646] = 622,
  [3647] = 624,
  [3648] = 592,
  [3649] = 608,
  [3650] = 623,
  [3651] = 3143,
  [3652] = 3652,
  [3653] = 446,
  [3654] = 3654,
  [3655] = 455,
  [3656] = 3150,
  [3657] = 608,
  [3658] = 595,
  [3659] = 609,
  [3660] = 611,
  [3661] = 597,
  [3662] = 630,
  [3663] = 681,
  [3664] = 598,
  [3665] = 599,
  [3666] = 681,
  [3667] = 600,
  [3668] = 592,
  [3669] = 597,
  [3670] = 602,
  [3671] = 592,
  [3672] = 570,
  [3673] = 599,
  [3674] = 573,
  [3675] = 687,
  [3676] = 574,
  [3677] = 681,
  [3678] = 575,
  [3679] = 592,
  [3680] = 599,
  [3681] = 570,
  [3682] = 687,
  [3683] = 455,
  [3684] = 647,
  [3685] = 596,
  [3686] = 595,
  [3687] = 598,
  [3688] = 573,
  [3689] = 592,
  [3690] = 600,
  [3691] = 574,
  [3692] = 595,
  [3693] = 602,
  [3694] = 647,
  [3695] = 595,
  [3696] = 597,
  [3697] = 3697,
  [3698] = 608,
  [3699] = 609,
  [3700] = 611,
  [3701] = 612,
  [3702] = 456,
  [3703] = 474,
  [3704] = 621,
  [3705] = 623,
  [3706] = 625,
  [3707] = 626,
  [3708] = 457,
  [3709] = 458,
  [3710] = 629,
  [3711] = 631,
  [3712] = 632,
  [3713] = 459,
  [3714] = 460,
  [3715] = 638,
  [3716] = 649,
  [3717] = 650,
  [3718] = 651,
  [3719] = 652,
  [3720] = 657,
  [3721] = 659,
  [3722] = 660,
  [3723] = 661,
  [3724] = 444,
  [3725] = 667,
  [3726] = 670,
  [3727] = 672,
  [3728] = 673,
  [3729] = 675,
  [3730] = 676,
  [3731] = 445,
  [3732] = 446,
  [3733] = 668,
  [3734] = 433,
  [3735] = 447,
  [3736] = 448,
  [3737] = 449,
  [3738] = 450,
  [3739] = 451,
  [3740] = 452,
  [3741] = 453,
  [3742] = 619,
  [3743] = 454,
  [3744] = 653,
  [3745] = 658,
  [3746] = 599,
  [3747] = 604,
  [3748] = 476,
  [3749] = 615,
  [3750] = 645,
  [3751] = 646,
  [3752] = 3752,
  [3753] = 630,
  [3754] = 592,
  [3755] = 634,
  [3756] = 635,
  [3757] = 645,
  [3758] = 646,
  [3759] = 637,
  [3760] = 645,
  [3761] = 646,
  [3762] = 644,
  [3763] = 645,
  [3764] = 646,
  [3765] = 648,
  [3766] = 645,
  [3767] = 646,
  [3768] = 655,
  [3769] = 656,
  [3770] = 669,
  [3771] = 671,
  [3772] = 678,
  [3773] = 680,
  [3774] = 601,
  [3775] = 606,
  [3776] = 607,
  [3777] = 614,
  [3778] = 616,
  [3779] = 617,
  [3780] = 618,
  [3781] = 622,
  [3782] = 624,
  [3783] = 455,
  [3784] = 608,
  [3785] = 609,
  [3786] = 611,
  [3787] = 612,
  [3788] = 456,
  [3789] = 474,
  [3790] = 621,
  [3791] = 623,
  [3792] = 625,
  [3793] = 626,
  [3794] = 457,
  [3795] = 458,
  [3796] = 629,
  [3797] = 631,
  [3798] = 632,
  [3799] = 459,
  [3800] = 460,
  [3801] = 638,
  [3802] = 649,
  [3803] = 650,
  [3804] = 651,
  [3805] = 652,
  [3806] = 657,
  [3807] = 659,
  [3808] = 660,
  [3809] = 661,
  [3810] = 444,
  [3811] = 667,
  [3812] = 670,
  [3813] = 672,
  [3814] = 673,
  [3815] = 675,
  [3816] = 676,
  [3817] = 445,
  [3818] = 446,
  [3819] = 433,
  [3820] = 447,
  [3821] = 448,
  [3822] = 449,
  [3823] = 450,
  [3824] = 451,
  [3825] = 452,
  [3826] = 453,
  [3827] = 454,
  [3828] = 653,
  [3829] = 658,
  [3830] = 455,
  [3831] = 604,
  [3832] = 476,
  [3833] = 615,
  [3834] = 630,
  [3835] = 634,
  [3836] = 595,
  [3837] = 635,
  [3838] = 637,
  [3839] = 644,
  [3840] = 648,
  [3841] = 655,
  [3842] = 656,
  [3843] = 570,
  [3844] = 669,
  [3845] = 671,
  [3846] = 678,
  [3847] = 680,
  [3848] = 601,
  [3849] = 606,
  [3850] = 607,
  [3851] = 614,
  [3852] = 616,
  [3853] = 617,
  [3854] = 618,
  [3855] = 622,
  [3856] = 624,
  [3857] = 608,
  [3858] = 609,
  [3859] = 611,
  [3860] = 612,
  [3861] = 456,
  [3862] = 474,
  [3863] = 621,
  [3864] = 623,
  [3865] = 625,
  [3866] = 626,
  [3867] = 457,
  [3868] = 458,
  [3869] = 629,
  [3870] = 631,
  [3871] = 632,
  [3872] = 459,
  [3873] = 460,
  [3874] = 638,
  [3875] = 597,
  [3876] = 649,
  [3877] = 650,
  [3878] = 651,
  [3879] = 652,
  [3880] = 657,
  [3881] = 659,
  [3882] = 595,
  [3883] = 660,
  [3884] = 661,
  [3885] = 444,
  [3886] = 667,
  [3887] = 670,
  [3888] = 672,
  [3889] = 673,
  [3890] = 675,
  [3891] = 676,
  [3892] = 445,
  [3893] = 446,
  [3894] = 573,
  [3895] = 433,
  [3896] = 447,
  [3897] = 448,
  [3898] = 449,
  [3899] = 450,
  [3900] = 451,
  [3901] = 452,
  [3902] = 453,
  [3903] = 619,
  [3904] = 454,
  [3905] = 653,
  [3906] = 658,
  [3907] = 579,
  [3908] = 599,
  [3909] = 455,
  [3910] = 604,
  [3911] = 476,
  [3912] = 615,
  [3913] = 596,
  [3914] = 597,
  [3915] = 630,
  [3916] = 574,
  [3917] = 634,
  [3918] = 635,
  [3919] = 637,
  [3920] = 3920,
  [3921] = 644,
  [3922] = 648,
  [3923] = 655,
  [3924] = 656,
  [3925] = 580,
  [3926] = 3926,
  [3927] = 669,
  [3928] = 671,
  [3929] = 597,
  [3930] = 678,
  [3931] = 680,
  [3932] = 598,
  [3933] = 587,
  [3934] = 599,
  [3935] = 601,
  [3936] = 592,
  [3937] = 606,
  [3938] = 607,
  [3939] = 614,
  [3940] = 575,
  [3941] = 616,
  [3942] = 617,
  [3943] = 618,
  [3944] = 600,
  [3945] = 592,
  [3946] = 622,
  [3947] = 624,
  [3948] = 602,
  [3949] = 597,
  [3950] = 608,
  [3951] = 609,
  [3952] = 681,
  [3953] = 570,
  [3954] = 575,
  [3955] = 611,
  [3956] = 612,
  [3957] = 456,
  [3958] = 474,
  [3959] = 621,
  [3960] = 623,
  [3961] = 625,
  [3962] = 626,
  [3963] = 457,
  [3964] = 595,
  [3965] = 458,
  [3966] = 629,
  [3967] = 631,
  [3968] = 632,
  [3969] = 459,
  [3970] = 460,
  [3971] = 638,
  [3972] = 573,
  [3973] = 649,
  [3974] = 650,
  [3975] = 651,
  [3976] = 652,
  [3977] = 687,
  [3978] = 657,
  [3979] = 659,
  [3980] = 660,
  [3981] = 661,
  [3982] = 444,
  [3983] = 667,
  [3984] = 670,
  [3985] = 672,
  [3986] = 673,
  [3987] = 675,
  [3988] = 676,
  [3989] = 445,
  [3990] = 596,
  [3991] = 446,
  [3992] = 433,
  [3993] = 447,
  [3994] = 448,
  [3995] = 449,
  [3996] = 450,
  [3997] = 451,
  [3998] = 452,
  [3999] = 453,
  [4000] = 619,
  [4001] = 454,
  [4002] = 653,
  [4003] = 668,
  [4004] = 658,
  [4005] = 597,
  [4006] = 574,
  [4007] = 604,
  [4008] = 476,
  [4009] = 615,
  [4010] = 647,
  [4011] = 595,
  [4012] = 630,
  [4013] = 634,
  [4014] = 635,
  [4015] = 637,
  [4016] = 644,
  [4017] = 648,
  [4018] = 655,
  [4019] = 656,
  [4020] = 575,
  [4021] = 669,
  [4022] = 671,
  [4023] = 598,
  [4024] = 678,
  [4025] = 680,
  [4026] = 599,
  [4027] = 599,
  [4028] = 601,
  [4029] = 606,
  [4030] = 607,
  [4031] = 600,
  [4032] = 592,
  [4033] = 614,
  [4034] = 602,
  [4035] = 616,
  [4036] = 617,
  [4037] = 618,
  [4038] = 622,
  [4039] = 624,
  [4040] = 595,
  [4041] = 596,
  [4042] = 687,
  [4043] = 597,
  [4044] = 647,
  [4045] = 619,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 4051,
  [4052] = 583,
  [4053] = 586,
  [4054] = 4054,
  [4055] = 591,
  [4056] = 4056,
  [4057] = 584,
  [4058] = 584,
  [4059] = 584,
  [4060] = 4060,
  [4061] = 586,
  [4062] = 586,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 583,
  [4066] = 471,
  [4067] = 4067,
  [4068] = 586,
  [4069] = 584,
  [4070] = 583,
  [4071] = 586,
  [4072] = 583,
  [4073] = 583,
  [4074] = 584,
  [4075] = 472,
  [4076] = 583,
  [4077] = 584,
  [4078] = 475,
  [4079] = 586,
  [4080] = 466,
  [4081] = 583,
  [4082] = 4082,
  [4083] = 473,
  [4084] = 584,
  [4085] = 586,
  [4086] = 586,
  [4087] = 467,
  [4088] = 583,
  [4089] = 466,
  [4090] = 583,
  [4091] = 467,
  [4092] = 4092,
  [4093] = 584,
  [4094] = 586,
  [4095] = 584,
  [4096] = 4096,
  [4097] = 498,
  [4098] = 470,
  [4099] = 645,
  [4100] = 497,
  [4101] = 485,
  [4102] = 488,
  [4103] = 486,
  [4104] = 491,
  [4105] = 492,
  [4106] = 4106,
  [4107] = 482,
  [4108] = 478,
  [4109] = 482,
  [4110] = 646,
  [4111] = 489,
  [4112] = 574,
  [4113] = 487,
  [4114] = 645,
  [4115] = 646,
  [4116] = 646,
  [4117] = 483,
  [4118] = 500,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 502,
  [4122] = 4122,
  [4123] = 484,
  [4124] = 4124,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4127,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 487,
  [4137] = 484,
  [4138] = 575,
  [4139] = 645,
  [4140] = 573,
  [4141] = 4141,
  [4142] = 570,
  [4143] = 489,
  [4144] = 499,
  [4145] = 493,
  [4146] = 4146,
  [4147] = 490,
  [4148] = 645,
  [4149] = 681,
  [4150] = 502,
  [4151] = 646,
  [4152] = 645,
  [4153] = 646,
  [4154] = 646,
  [4155] = 645,
  [4156] = 646,
  [4157] = 645,
  [4158] = 646,
  [4159] = 645,
  [4160] = 646,
  [4161] = 645,
  [4162] = 598,
  [4163] = 4163,
  [4164] = 4164,
  [4165] = 600,
  [4166] = 4166,
  [4167] = 596,
  [4168] = 602,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4171,
  [4173] = 4171,
  [4174] = 4171,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4175,
  [4183] = 4183,
  [4184] = 4180,
  [4185] = 4178,
  [4186] = 4181,
  [4187] = 4179,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4176,
  [4191] = 4188,
  [4192] = 4189,
  [4193] = 4175,
  [4194] = 4175,
  [4195] = 4183,
  [4196] = 4176,
  [4197] = 4176,
  [4198] = 4198,
  [4199] = 4188,
  [4200] = 4177,
  [4201] = 4176,
  [4202] = 4177,
  [4203] = 4176,
  [4204] = 4177,
  [4205] = 4176,
  [4206] = 4177,
  [4207] = 4177,
  [4208] = 4176,
  [4209] = 4183,
  [4210] = 4180,
  [4211] = 4177,
  [4212] = 4189,
  [4213] = 4176,
  [4214] = 4179,
  [4215] = 4176,
  [4216] = 4188,
  [4217] = 4177,
  [4218] = 4177,
  [4219] = 4176,
  [4220] = 4176,
  [4221] = 4176,
  [4222] = 4177,
  [4223] = 4189,
  [4224] = 4181,
  [4225] = 4177,
  [4226] = 4178,
  [4227] = 4177,
  [4228] = 4183,
  [4229] = 4176,
  [4230] = 4177,
  [4231] = 4178,
  [4232] = 4177,
  [4233] = 4176,
  [4234] = 4176,
  [4235] = 4176,
  [4236] = 4177,
  [4237] = 4179,
  [4238] = 4177,
  [4239] = 4177,
  [4240] = 4180,
  [4241] = 4177,
  [4242] = 4176,
  [4243] = 4181,
  [4244] = 471,
  [4245] = 467,
  [4246] = 466,
  [4247] = 473,
  [4248] = 466,
  [4249] = 467,
  [4250] = 475,
  [4251] = 498,
  [4252] = 470,
  [4253] = 472,
  [4254] = 497,
  [4255] = 4255,
  [4256] = 482,
  [4257] = 482,
  [4258] = 492,
  [4259] = 478,
  [4260] = 488,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 485,
  [4265] = 4265,
  [4266] = 486,
  [4267] = 491,
  [4268] = 483,
  [4269] = 4269,
  [4270] = 487,
  [4271] = 4271,
  [4272] = 434,
  [4273] = 487,
  [4274] = 489,
  [4275] = 499,
  [4276] = 4276,
  [4277] = 490,
  [4278] = 500,
  [4279] = 489,
  [4280] = 484,
  [4281] = 502,
  [4282] = 502,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 484,
  [4286] = 4286,
  [4287] = 493,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 469,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 450,
  [4297] = 436,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 437,
  [4301] = 4301,
  [4302] = 438,
  [4303] = 444,
  [4304] = 445,
  [4305] = 433,
  [4306] = 529,
  [4307] = 479,
  [4308] = 447,
  [4309] = 448,
  [4310] = 4310,
  [4311] = 449,
  [4312] = 480,
  [4313] = 4313,
  [4314] = 452,
  [4315] = 453,
  [4316] = 454,
  [4317] = 455,
  [4318] = 456,
  [4319] = 457,
  [4320] = 458,
  [4321] = 459,
  [4322] = 460,
  [4323] = 436,
  [4324] = 437,
  [4325] = 438,
  [4326] = 501,
  [4327] = 435,
  [4328] = 435,
  [4329] = 446,
  [4330] = 4330,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 451,
  [4335] = 454,
  [4336] = 4336,
  [4337] = 580,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 435,
  [4342] = 434,
  [4343] = 461,
  [4344] = 466,
  [4345] = 4345,
  [4346] = 498,
  [4347] = 436,
  [4348] = 437,
  [4349] = 438,
  [4350] = 438,
  [4351] = 4351,
  [4352] = 579,
  [4353] = 481,
  [4354] = 577,
  [4355] = 4355,
  [4356] = 462,
  [4357] = 470,
  [4358] = 471,
  [4359] = 467,
  [4360] = 4360,
  [4361] = 587,
  [4362] = 472,
  [4363] = 466,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 567,
  [4367] = 473,
  [4368] = 435,
  [4369] = 568,
  [4370] = 4370,
  [4371] = 571,
  [4372] = 467,
  [4373] = 444,
  [4374] = 445,
  [4375] = 446,
  [4376] = 433,
  [4377] = 447,
  [4378] = 448,
  [4379] = 449,
  [4380] = 450,
  [4381] = 451,
  [4382] = 452,
  [4383] = 453,
  [4384] = 4384,
  [4385] = 455,
  [4386] = 456,
  [4387] = 457,
  [4388] = 458,
  [4389] = 459,
  [4390] = 460,
  [4391] = 576,
  [4392] = 4392,
  [4393] = 569,
  [4394] = 436,
  [4395] = 437,
  [4396] = 572,
  [4397] = 4397,
  [4398] = 591,
  [4399] = 1348,
  [4400] = 482,
  [4401] = 497,
  [4402] = 4402,
  [4403] = 484,
  [4404] = 502,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 456,
  [4410] = 4410,
  [4411] = 493,
  [4412] = 4412,
  [4413] = 457,
  [4414] = 575,
  [4415] = 458,
  [4416] = 459,
  [4417] = 460,
  [4418] = 478,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 578,
  [4422] = 484,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 476,
  [4426] = 474,
  [4427] = 581,
  [4428] = 482,
  [4429] = 446,
  [4430] = 469,
  [4431] = 435,
  [4432] = 4432,
  [4433] = 436,
  [4434] = 4434,
  [4435] = 1414,
  [4436] = 4436,
  [4437] = 602,
  [4438] = 4438,
  [4439] = 485,
  [4440] = 4440,
  [4441] = 486,
  [4442] = 437,
  [4443] = 438,
  [4444] = 444,
  [4445] = 600,
  [4446] = 445,
  [4447] = 433,
  [4448] = 481,
  [4449] = 447,
  [4450] = 448,
  [4451] = 483,
  [4452] = 449,
  [4453] = 450,
  [4454] = 451,
  [4455] = 570,
  [4456] = 453,
  [4457] = 454,
  [4458] = 455,
  [4459] = 436,
  [4460] = 4164,
  [4461] = 475,
  [4462] = 437,
  [4463] = 573,
  [4464] = 438,
  [4465] = 490,
  [4466] = 491,
  [4467] = 4467,
  [4468] = 502,
  [4469] = 461,
  [4470] = 434,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 574,
  [4474] = 4474,
  [4475] = 488,
  [4476] = 462,
  [4477] = 4477,
  [4478] = 455,
  [4479] = 435,
  [4480] = 4480,
  [4481] = 435,
  [4482] = 4482,
  [4483] = 444,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 445,
  [4487] = 446,
  [4488] = 433,
  [4489] = 4489,
  [4490] = 447,
  [4491] = 448,
  [4492] = 449,
  [4493] = 450,
  [4494] = 451,
  [4495] = 452,
  [4496] = 453,
  [4497] = 454,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 436,
  [4501] = 437,
  [4502] = 438,
  [4503] = 4503,
  [4504] = 492,
  [4505] = 435,
  [4506] = 436,
  [4507] = 596,
  [4508] = 437,
  [4509] = 456,
  [4510] = 457,
  [4511] = 438,
  [4512] = 1335,
  [4513] = 461,
  [4514] = 462,
  [4515] = 458,
  [4516] = 459,
  [4517] = 460,
  [4518] = 4518,
  [4519] = 598,
  [4520] = 452,
  [4521] = 498,
  [4522] = 462,
  [4523] = 585,
  [4524] = 445,
  [4525] = 1335,
  [4526] = 462,
  [4527] = 457,
  [4528] = 449,
  [4529] = 461,
  [4530] = 487,
  [4531] = 444,
  [4532] = 4532,
  [4533] = 500,
  [4534] = 445,
  [4535] = 454,
  [4536] = 456,
  [4537] = 433,
  [4538] = 1414,
  [4539] = 447,
  [4540] = 455,
  [4541] = 448,
  [4542] = 571,
  [4543] = 489,
  [4544] = 437,
  [4545] = 476,
  [4546] = 1414,
  [4547] = 474,
  [4548] = 457,
  [4549] = 449,
  [4550] = 525,
  [4551] = 1348,
  [4552] = 458,
  [4553] = 499,
  [4554] = 4554,
  [4555] = 480,
  [4556] = 435,
  [4557] = 572,
  [4558] = 489,
  [4559] = 459,
  [4560] = 459,
  [4561] = 460,
  [4562] = 526,
  [4563] = 487,
  [4564] = 450,
  [4565] = 451,
  [4566] = 435,
  [4567] = 444,
  [4568] = 438,
  [4569] = 461,
  [4570] = 469,
  [4571] = 567,
  [4572] = 435,
  [4573] = 433,
  [4574] = 461,
  [4575] = 462,
  [4576] = 590,
  [4577] = 452,
  [4578] = 455,
  [4579] = 479,
  [4580] = 436,
  [4581] = 1335,
  [4582] = 436,
  [4583] = 437,
  [4584] = 438,
  [4585] = 436,
  [4586] = 437,
  [4587] = 453,
  [4588] = 460,
  [4589] = 458,
  [4590] = 438,
  [4591] = 527,
  [4592] = 577,
  [4593] = 452,
  [4594] = 454,
  [4595] = 447,
  [4596] = 435,
  [4597] = 448,
  [4598] = 569,
  [4599] = 529,
  [4600] = 501,
  [4601] = 438,
  [4602] = 576,
  [4603] = 456,
  [4604] = 582,
  [4605] = 450,
  [4606] = 476,
  [4607] = 446,
  [4608] = 446,
  [4609] = 453,
  [4610] = 1348,
  [4611] = 436,
  [4612] = 474,
  [4613] = 568,
  [4614] = 437,
  [4615] = 451,
  [4616] = 436,
  [4617] = 611,
  [4618] = 4618,
  [4619] = 612,
  [4620] = 1944,
  [4621] = 501,
  [4622] = 4622,
  [4623] = 479,
  [4624] = 580,
  [4625] = 4625,
  [4626] = 480,
  [4627] = 4627,
  [4628] = 621,
  [4629] = 435,
  [4630] = 623,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 437,
  [4634] = 625,
  [4635] = 626,
  [4636] = 438,
  [4637] = 4637,
  [4638] = 629,
  [4639] = 631,
  [4640] = 4640,
  [4641] = 632,
  [4642] = 467,
  [4643] = 4643,
  [4644] = 474,
  [4645] = 638,
  [4646] = 4141,
  [4647] = 4146,
  [4648] = 466,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4119,
  [4652] = 4120,
  [4653] = 649,
  [4654] = 4654,
  [4655] = 650,
  [4656] = 591,
  [4657] = 651,
  [4658] = 587,
  [4659] = 4659,
  [4660] = 4122,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4124,
  [4664] = 4125,
  [4665] = 4665,
  [4666] = 4126,
  [4667] = 4127,
  [4668] = 652,
  [4669] = 681,
  [4670] = 4128,
  [4671] = 4129,
  [4672] = 4130,
  [4673] = 687,
  [4674] = 4131,
  [4675] = 4132,
  [4676] = 4133,
  [4677] = 4134,
  [4678] = 4135,
  [4679] = 4679,
  [4680] = 4680,
  [4681] = 602,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 657,
  [4685] = 659,
  [4686] = 660,
  [4687] = 661,
  [4688] = 667,
  [4689] = 670,
  [4690] = 672,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4695,
  [4696] = 4696,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 673,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 675,
  [4703] = 676,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 619,
  [4712] = 4712,
  [4713] = 653,
  [4714] = 658,
  [4715] = 1966,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 604,
  [4724] = 615,
  [4725] = 647,
  [4726] = 4726,
  [4727] = 687,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 630,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 647,
  [4740] = 435,
  [4741] = 634,
  [4742] = 1978,
  [4743] = 635,
  [4744] = 637,
  [4745] = 1945,
  [4746] = 644,
  [4747] = 648,
  [4748] = 655,
  [4749] = 476,
  [4750] = 583,
  [4751] = 584,
  [4752] = 586,
  [4753] = 600,
  [4754] = 669,
  [4755] = 671,
  [4756] = 678,
  [4757] = 680,
  [4758] = 601,
  [4759] = 606,
  [4760] = 607,
  [4761] = 614,
  [4762] = 616,
  [4763] = 1943,
  [4764] = 617,
  [4765] = 618,
  [4766] = 622,
  [4767] = 624,
  [4768] = 444,
  [4769] = 445,
  [4770] = 446,
  [4771] = 433,
  [4772] = 447,
  [4773] = 448,
  [4774] = 449,
  [4775] = 450,
  [4776] = 451,
  [4777] = 452,
  [4778] = 453,
  [4779] = 454,
  [4780] = 461,
  [4781] = 462,
  [4782] = 4782,
  [4783] = 595,
  [4784] = 4784,
  [4785] = 481,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 1956,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 597,
  [4793] = 599,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 592,
  [4798] = 481,
  [4799] = 470,
  [4800] = 471,
  [4801] = 596,
  [4802] = 1983,
  [4803] = 476,
  [4804] = 472,
  [4805] = 4805,
  [4806] = 474,
  [4807] = 476,
  [4808] = 474,
  [4809] = 1980,
  [4810] = 475,
  [4811] = 595,
  [4812] = 455,
  [4813] = 467,
  [4814] = 4814,
  [4815] = 579,
  [4816] = 4816,
  [4817] = 473,
  [4818] = 4818,
  [4819] = 466,
  [4820] = 456,
  [4821] = 457,
  [4822] = 458,
  [4823] = 459,
  [4824] = 460,
  [4825] = 436,
  [4826] = 437,
  [4827] = 438,
  [4828] = 4828,
  [4829] = 598,
  [4830] = 597,
  [4831] = 4831,
  [4832] = 481,
  [4833] = 681,
  [4834] = 570,
  [4835] = 573,
  [4836] = 574,
  [4837] = 575,
  [4838] = 599,
  [4839] = 608,
  [4840] = 609,
  [4841] = 4841,
  [4842] = 592,
  [4843] = 656,
  [4844] = 4844,
  [4845] = 466,
  [4846] = 1966,
  [4847] = 574,
  [4848] = 1978,
  [4849] = 470,
  [4850] = 529,
  [4851] = 575,
  [4852] = 1956,
  [4853] = 471,
  [4854] = 474,
  [4855] = 1978,
  [4856] = 1944,
  [4857] = 1956,
  [4858] = 497,
  [4859] = 476,
  [4860] = 472,
  [4861] = 481,
  [4862] = 4067,
  [4863] = 1943,
  [4864] = 1983,
  [4865] = 490,
  [4866] = 467,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 582,
  [4870] = 484,
  [4871] = 466,
  [4872] = 585,
  [4873] = 1980,
  [4874] = 4874,
  [4875] = 1944,
  [4876] = 475,
  [4877] = 502,
  [4878] = 489,
  [4879] = 493,
  [4880] = 4880,
  [4881] = 473,
  [4882] = 4882,
  [4883] = 467,
  [4884] = 481,
  [4885] = 1943,
  [4886] = 478,
  [4887] = 570,
  [4888] = 4888,
  [4889] = 485,
  [4890] = 486,
  [4891] = 487,
  [4892] = 4892,
  [4893] = 1945,
  [4894] = 471,
  [4895] = 527,
  [4896] = 1983,
  [4897] = 578,
  [4898] = 526,
  [4899] = 1945,
  [4900] = 1980,
  [4901] = 499,
  [4902] = 488,
  [4903] = 482,
  [4904] = 500,
  [4905] = 483,
  [4906] = 525,
  [4907] = 581,
  [4908] = 489,
  [4909] = 491,
  [4910] = 487,
  [4911] = 573,
  [4912] = 482,
  [4913] = 502,
  [4914] = 1966,
  [4915] = 2038,
  [4916] = 492,
  [4917] = 481,
  [4918] = 583,
  [4919] = 584,
  [4920] = 586,
  [4921] = 484,
  [4922] = 466,
  [4923] = 478,
  [4924] = 590,
  [4925] = 581,
  [4926] = 488,
  [4927] = 485,
  [4928] = 568,
  [4929] = 452,
  [4930] = 527,
  [4931] = 485,
  [4932] = 574,
  [4933] = 489,
  [4934] = 572,
  [4935] = 453,
  [4936] = 461,
  [4937] = 455,
  [4938] = 583,
  [4939] = 498,
  [4940] = 454,
  [4941] = 486,
  [4942] = 1994,
  [4943] = 584,
  [4944] = 586,
  [4945] = 576,
  [4946] = 498,
  [4947] = 497,
  [4948] = 482,
  [4949] = 482,
  [4950] = 573,
  [4951] = 502,
  [4952] = 459,
  [4953] = 490,
  [4954] = 579,
  [4955] = 445,
  [4956] = 444,
  [4957] = 467,
  [4958] = 587,
  [4959] = 447,
  [4960] = 484,
  [4961] = 497,
  [4962] = 462,
  [4963] = 583,
  [4964] = 446,
  [4965] = 584,
  [4966] = 586,
  [4967] = 478,
  [4968] = 577,
  [4969] = 571,
  [4970] = 448,
  [4971] = 475,
  [4972] = 491,
  [4973] = 2038,
  [4974] = 487,
  [4975] = 2029,
  [4976] = 449,
  [4977] = 500,
  [4978] = 489,
  [4979] = 475,
  [4980] = 486,
  [4981] = 460,
  [4982] = 466,
  [4983] = 473,
  [4984] = 575,
  [4985] = 489,
  [4986] = 481,
  [4987] = 2020,
  [4988] = 582,
  [4989] = 2017,
  [4990] = 470,
  [4991] = 483,
  [4992] = 489,
  [4993] = 525,
  [4994] = 499,
  [4995] = 487,
  [4996] = 585,
  [4997] = 492,
  [4998] = 482,
  [4999] = 488,
  [5000] = 569,
  [5001] = 493,
  [5002] = 487,
  [5003] = 433,
  [5004] = 1986,
  [5005] = 484,
  [5006] = 526,
  [5007] = 456,
  [5008] = 475,
  [5009] = 578,
  [5010] = 529,
  [5011] = 487,
  [5012] = 482,
  [5013] = 499,
  [5014] = 472,
  [5015] = 645,
  [5016] = 450,
  [5017] = 646,
  [5018] = 580,
  [5019] = 458,
  [5020] = 570,
  [5021] = 451,
  [5022] = 567,
  [5023] = 467,
  [5024] = 502,
  [5025] = 457,
  [5026] = 500,
  [5027] = 635,
  [5028] = 582,
  [5029] = 585,
  [5030] = 484,
  [5031] = 602,
  [5032] = 592,
  [5033] = 525,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 608,
  [5037] = 5034,
  [5038] = 609,
  [5039] = 5035,
  [5040] = 5034,
  [5041] = 474,
  [5042] = 652,
  [5043] = 681,
  [5044] = 584,
  [5045] = 612,
  [5046] = 2017,
  [5047] = 595,
  [5048] = 586,
  [5049] = 616,
  [5050] = 491,
  [5051] = 596,
  [5052] = 2020,
  [5053] = 5053,
  [5054] = 456,
  [5055] = 5034,
  [5056] = 598,
  [5057] = 1994,
  [5058] = 617,
  [5059] = 651,
  [5060] = 618,
  [5061] = 492,
  [5062] = 5035,
  [5063] = 457,
  [5064] = 482,
  [5065] = 687,
  [5066] = 502,
  [5067] = 591,
  [5068] = 484,
  [5069] = 601,
  [5070] = 458,
  [5071] = 459,
  [5072] = 2029,
  [5073] = 621,
  [5074] = 460,
  [5075] = 660,
  [5076] = 529,
  [5077] = 622,
  [5078] = 625,
  [5079] = 497,
  [5080] = 648,
  [5081] = 669,
  [5082] = 655,
  [5083] = 2017,
  [5084] = 599,
  [5085] = 629,
  [5086] = 5086,
  [5087] = 624,
  [5088] = 634,
  [5089] = 661,
  [5090] = 615,
  [5091] = 631,
  [5092] = 5035,
  [5093] = 583,
  [5094] = 478,
  [5095] = 567,
  [5096] = 584,
  [5097] = 1994,
  [5098] = 586,
  [5099] = 644,
  [5100] = 678,
  [5101] = 571,
  [5102] = 5053,
  [5103] = 569,
  [5104] = 667,
  [5105] = 461,
  [5106] = 599,
  [5107] = 5107,
  [5108] = 462,
  [5109] = 638,
  [5110] = 502,
  [5111] = 455,
  [5112] = 2029,
  [5113] = 526,
  [5114] = 493,
  [5115] = 647,
  [5116] = 1986,
  [5117] = 611,
  [5118] = 680,
  [5119] = 671,
  [5120] = 483,
  [5121] = 5053,
  [5122] = 592,
  [5123] = 645,
  [5124] = 646,
  [5125] = 595,
  [5126] = 572,
  [5127] = 482,
  [5128] = 670,
  [5129] = 672,
  [5130] = 568,
  [5131] = 485,
  [5132] = 600,
  [5133] = 632,
  [5134] = 486,
  [5135] = 576,
  [5136] = 590,
  [5137] = 577,
  [5138] = 4106,
  [5139] = 476,
  [5140] = 656,
  [5141] = 623,
  [5142] = 626,
  [5143] = 444,
  [5144] = 445,
  [5145] = 597,
  [5146] = 619,
  [5147] = 446,
  [5148] = 606,
  [5149] = 583,
  [5150] = 607,
  [5151] = 649,
  [5152] = 433,
  [5153] = 488,
  [5154] = 447,
  [5155] = 659,
  [5156] = 527,
  [5157] = 448,
  [5158] = 630,
  [5159] = 579,
  [5160] = 650,
  [5161] = 580,
  [5162] = 653,
  [5163] = 449,
  [5164] = 450,
  [5165] = 587,
  [5166] = 614,
  [5167] = 451,
  [5168] = 2020,
  [5169] = 637,
  [5170] = 452,
  [5171] = 673,
  [5172] = 453,
  [5173] = 597,
  [5174] = 490,
  [5175] = 454,
  [5176] = 1986,
  [5177] = 604,
  [5178] = 461,
  [5179] = 462,
  [5180] = 5053,
  [5181] = 675,
  [5182] = 676,
  [5183] = 657,
  [5184] = 658,
  [5185] = 671,
  [5186] = 592,
  [5187] = 455,
  [5188] = 658,
  [5189] = 597,
  [5190] = 638,
  [5191] = 604,
  [5192] = 612,
  [5193] = 615,
  [5194] = 621,
  [5195] = 5086,
  [5196] = 630,
  [5197] = 595,
  [5198] = 611,
  [5199] = 634,
  [5200] = 635,
  [5201] = 637,
  [5202] = 623,
  [5203] = 599,
  [5204] = 649,
  [5205] = 644,
  [5206] = 487,
  [5207] = 648,
  [5208] = 655,
  [5209] = 656,
  [5210] = 650,
  [5211] = 651,
  [5212] = 669,
  [5213] = 456,
  [5214] = 687,
  [5215] = 457,
  [5216] = 458,
  [5217] = 459,
  [5218] = 460,
  [5219] = 652,
  [5220] = 609,
  [5221] = 657,
  [5222] = 678,
  [5223] = 659,
  [5224] = 680,
  [5225] = 625,
  [5226] = 493,
  [5227] = 601,
  [5228] = 606,
  [5229] = 607,
  [5230] = 660,
  [5231] = 647,
  [5232] = 661,
  [5233] = 614,
  [5234] = 616,
  [5235] = 490,
  [5236] = 484,
  [5237] = 474,
  [5238] = 474,
  [5239] = 583,
  [5240] = 626,
  [5241] = 667,
  [5242] = 617,
  [5243] = 618,
  [5244] = 476,
  [5245] = 670,
  [5246] = 461,
  [5247] = 584,
  [5248] = 5107,
  [5249] = 586,
  [5250] = 462,
  [5251] = 489,
  [5252] = 672,
  [5253] = 673,
  [5254] = 622,
  [5255] = 624,
  [5256] = 629,
  [5257] = 461,
  [5258] = 462,
  [5259] = 471,
  [5260] = 456,
  [5261] = 457,
  [5262] = 461,
  [5263] = 444,
  [5264] = 445,
  [5265] = 675,
  [5266] = 433,
  [5267] = 447,
  [5268] = 579,
  [5269] = 580,
  [5270] = 587,
  [5271] = 448,
  [5272] = 449,
  [5273] = 450,
  [5274] = 451,
  [5275] = 452,
  [5276] = 453,
  [5277] = 454,
  [5278] = 455,
  [5279] = 462,
  [5280] = 458,
  [5281] = 459,
  [5282] = 460,
  [5283] = 676,
  [5284] = 645,
  [5285] = 646,
  [5286] = 631,
  [5287] = 595,
  [5288] = 446,
  [5289] = 499,
  [5290] = 592,
  [5291] = 632,
  [5292] = 596,
  [5293] = 444,
  [5294] = 445,
  [5295] = 446,
  [5296] = 598,
  [5297] = 433,
  [5298] = 447,
  [5299] = 448,
  [5300] = 449,
  [5301] = 450,
  [5302] = 500,
  [5303] = 600,
  [5304] = 451,
  [5305] = 452,
  [5306] = 453,
  [5307] = 454,
  [5308] = 619,
  [5309] = 502,
  [5310] = 602,
  [5311] = 645,
  [5312] = 646,
  [5313] = 591,
  [5314] = 487,
  [5315] = 484,
  [5316] = 597,
  [5317] = 489,
  [5318] = 608,
  [5319] = 681,
  [5320] = 476,
  [5321] = 483,
  [5322] = 653,
  [5323] = 599,
  [5324] = 502,
  [5325] = 5325,
  [5326] = 447,
  [5327] = 584,
  [5328] = 586,
  [5329] = 2107,
  [5330] = 2102,
  [5331] = 461,
  [5332] = 476,
  [5333] = 474,
  [5334] = 646,
  [5335] = 2106,
  [5336] = 476,
  [5337] = 462,
  [5338] = 2101,
  [5339] = 456,
  [5340] = 2093,
  [5341] = 446,
  [5342] = 457,
  [5343] = 458,
  [5344] = 459,
  [5345] = 444,
  [5346] = 460,
  [5347] = 445,
  [5348] = 446,
  [5349] = 444,
  [5350] = 445,
  [5351] = 433,
  [5352] = 433,
  [5353] = 455,
  [5354] = 476,
  [5355] = 447,
  [5356] = 448,
  [5357] = 449,
  [5358] = 450,
  [5359] = 645,
  [5360] = 646,
  [5361] = 456,
  [5362] = 474,
  [5363] = 457,
  [5364] = 458,
  [5365] = 459,
  [5366] = 460,
  [5367] = 449,
  [5368] = 451,
  [5369] = 452,
  [5370] = 453,
  [5371] = 454,
  [5372] = 450,
  [5373] = 2104,
  [5374] = 474,
  [5375] = 455,
  [5376] = 451,
  [5377] = 452,
  [5378] = 453,
  [5379] = 454,
  [5380] = 645,
  [5381] = 583,
  [5382] = 448,
  [5383] = 5383,
  [5384] = 449,
  [5385] = 2107,
  [5386] = 450,
  [5387] = 5387,
  [5388] = 451,
  [5389] = 5086,
  [5390] = 452,
  [5391] = 453,
  [5392] = 457,
  [5393] = 454,
  [5394] = 458,
  [5395] = 5395,
  [5396] = 5383,
  [5397] = 645,
  [5398] = 646,
  [5399] = 583,
  [5400] = 5387,
  [5401] = 5387,
  [5402] = 459,
  [5403] = 5403,
  [5404] = 584,
  [5405] = 476,
  [5406] = 5383,
  [5407] = 586,
  [5408] = 460,
  [5409] = 2093,
  [5410] = 5383,
  [5411] = 5387,
  [5412] = 5383,
  [5413] = 5387,
  [5414] = 2666,
  [5415] = 2104,
  [5416] = 5383,
  [5417] = 5403,
  [5418] = 2101,
  [5419] = 5395,
  [5420] = 5383,
  [5421] = 2194,
  [5422] = 2106,
  [5423] = 5387,
  [5424] = 5383,
  [5425] = 5387,
  [5426] = 4170,
  [5427] = 5383,
  [5428] = 5395,
  [5429] = 2102,
  [5430] = 5395,
  [5431] = 5403,
  [5432] = 5387,
  [5433] = 5395,
  [5434] = 5387,
  [5435] = 2101,
  [5436] = 2144,
  [5437] = 596,
  [5438] = 5403,
  [5439] = 5403,
  [5440] = 4163,
  [5441] = 456,
  [5442] = 4164,
  [5443] = 5107,
  [5444] = 5383,
  [5445] = 5387,
  [5446] = 448,
  [5447] = 5383,
  [5448] = 5395,
  [5449] = 2102,
  [5450] = 598,
  [5451] = 2189,
  [5452] = 5403,
  [5453] = 444,
  [5454] = 5387,
  [5455] = 5383,
  [5456] = 600,
  [5457] = 5395,
  [5458] = 5395,
  [5459] = 602,
  [5460] = 5403,
  [5461] = 2133,
  [5462] = 5387,
  [5463] = 5383,
  [5464] = 5395,
  [5465] = 2193,
  [5466] = 5403,
  [5467] = 5387,
  [5468] = 5383,
  [5469] = 5395,
  [5470] = 4169,
  [5471] = 2190,
  [5472] = 455,
  [5473] = 5387,
  [5474] = 2104,
  [5475] = 491,
  [5476] = 5403,
  [5477] = 5387,
  [5478] = 2106,
  [5479] = 5383,
  [5480] = 2107,
  [5481] = 5395,
  [5482] = 492,
  [5483] = 5403,
  [5484] = 445,
  [5485] = 5387,
  [5486] = 5383,
  [5487] = 5403,
  [5488] = 5395,
  [5489] = 446,
  [5490] = 5403,
  [5491] = 5387,
  [5492] = 2156,
  [5493] = 5383,
  [5494] = 4166,
  [5495] = 2179,
  [5496] = 5403,
  [5497] = 447,
  [5498] = 5395,
  [5499] = 498,
  [5500] = 2093,
  [5501] = 5403,
  [5502] = 5387,
  [5503] = 5383,
  [5504] = 433,
  [5505] = 5395,
  [5506] = 474,
  [5507] = 4067,
  [5508] = 5508,
  [5509] = 2190,
  [5510] = 583,
  [5511] = 2156,
  [5512] = 586,
  [5513] = 2194,
  [5514] = 2666,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 2193,
  [5518] = 5518,
  [5519] = 2144,
  [5520] = 2193,
  [5521] = 2190,
  [5522] = 584,
  [5523] = 583,
  [5524] = 2194,
  [5525] = 5525,
  [5526] = 471,
  [5527] = 5527,
  [5528] = 592,
  [5529] = 2666,
  [5530] = 5107,
  [5531] = 2156,
  [5532] = 5532,
  [5533] = 2189,
  [5534] = 5534,
  [5535] = 595,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 2179,
  [5539] = 2189,
  [5540] = 5540,
  [5541] = 2133,
  [5542] = 2144,
  [5543] = 599,
  [5544] = 2179,
  [5545] = 5545,
  [5546] = 5086,
  [5547] = 2133,
  [5548] = 584,
  [5549] = 498,
  [5550] = 597,
  [5551] = 586,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5554,
  [5555] = 595,
  [5556] = 5556,
  [5557] = 5553,
  [5558] = 5553,
  [5559] = 5553,
  [5560] = 5553,
  [5561] = 5561,
  [5562] = 5553,
  [5563] = 5553,
  [5564] = 2252,
  [5565] = 5565,
  [5566] = 5553,
  [5567] = 5553,
  [5568] = 5552,
  [5569] = 2330,
  [5570] = 2331,
  [5571] = 5565,
  [5572] = 5553,
  [5573] = 5556,
  [5574] = 5574,
  [5575] = 5552,
  [5576] = 5574,
  [5577] = 645,
  [5578] = 5578,
  [5579] = 5579,
  [5580] = 498,
  [5581] = 5553,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5552,
  [5585] = 5585,
  [5586] = 5565,
  [5587] = 5556,
  [5588] = 5579,
  [5589] = 5565,
  [5590] = 5583,
  [5591] = 5591,
  [5592] = 5585,
  [5593] = 5591,
  [5594] = 5553,
  [5595] = 646,
  [5596] = 5596,
  [5597] = 2239,
  [5598] = 2340,
  [5599] = 2323,
  [5600] = 5600,
  [5601] = 471,
  [5602] = 5561,
  [5603] = 5553,
  [5604] = 5579,
  [5605] = 4067,
  [5606] = 599,
  [5607] = 5565,
  [5608] = 5553,
  [5609] = 5565,
  [5610] = 583,
  [5611] = 5553,
  [5612] = 5612,
  [5613] = 2324,
  [5614] = 584,
  [5615] = 2267,
  [5616] = 467,
  [5617] = 586,
  [5618] = 5553,
  [5619] = 470,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 592,
  [5623] = 2266,
  [5624] = 5553,
  [5625] = 5565,
  [5626] = 5553,
  [5627] = 5553,
  [5628] = 2311,
  [5629] = 2338,
  [5630] = 2339,
  [5631] = 5565,
  [5632] = 5583,
  [5633] = 472,
  [5634] = 467,
  [5635] = 5553,
  [5636] = 5565,
  [5637] = 583,
  [5638] = 2312,
  [5639] = 466,
  [5640] = 5574,
  [5641] = 5553,
  [5642] = 5552,
  [5643] = 5596,
  [5644] = 5554,
  [5645] = 5583,
  [5646] = 584,
  [5647] = 5585,
  [5648] = 5648,
  [5649] = 586,
  [5650] = 5591,
  [5651] = 5651,
  [5652] = 5565,
  [5653] = 5553,
  [5654] = 2251,
  [5655] = 5651,
  [5656] = 5552,
  [5657] = 5553,
  [5658] = 5579,
  [5659] = 5561,
  [5660] = 5565,
  [5661] = 5553,
  [5662] = 473,
  [5663] = 5553,
  [5664] = 5553,
  [5665] = 5553,
  [5666] = 5553,
  [5667] = 5554,
  [5668] = 5583,
  [5669] = 5553,
  [5670] = 2387,
  [5671] = 2319,
  [5672] = 5578,
  [5673] = 5585,
  [5674] = 5553,
  [5675] = 5552,
  [5676] = 5579,
  [5677] = 5583,
  [5678] = 5585,
  [5679] = 5591,
  [5680] = 5680,
  [5681] = 466,
  [5682] = 5553,
  [5683] = 5591,
  [5684] = 5578,
  [5685] = 5565,
  [5686] = 5585,
  [5687] = 5553,
  [5688] = 5553,
  [5689] = 5689,
  [5690] = 5680,
  [5691] = 5553,
  [5692] = 5689,
  [5693] = 5574,
  [5694] = 5591,
  [5695] = 5620,
  [5696] = 5553,
  [5697] = 5612,
  [5698] = 5579,
  [5699] = 5583,
  [5700] = 5585,
  [5701] = 5591,
  [5702] = 5596,
  [5703] = 475,
  [5704] = 5565,
  [5705] = 597,
  [5706] = 5553,
  [5707] = 2250,
  [5708] = 5651,
  [5709] = 2253,
  [5710] = 5612,
  [5711] = 5552,
  [5712] = 498,
  [5713] = 5553,
  [5714] = 5579,
  [5715] = 5553,
  [5716] = 5583,
  [5717] = 5585,
  [5718] = 5591,
  [5719] = 5689,
  [5720] = 5680,
  [5721] = 5578,
  [5722] = 5621,
  [5723] = 5621,
  [5724] = 5565,
  [5725] = 5579,
  [5726] = 478,
  [5727] = 2266,
  [5728] = 5728,
  [5729] = 5728,
  [5730] = 466,
  [5731] = 645,
  [5732] = 646,
  [5733] = 2323,
  [5734] = 2324,
  [5735] = 2251,
  [5736] = 2252,
  [5737] = 2330,
  [5738] = 2331,
  [5739] = 2239,
  [5740] = 2340,
  [5741] = 2267,
  [5742] = 5742,
  [5743] = 2338,
  [5744] = 2339,
  [5745] = 2239,
  [5746] = 2340,
  [5747] = 2387,
  [5748] = 2319,
  [5749] = 2250,
  [5750] = 2253,
  [5751] = 2330,
  [5752] = 5728,
  [5753] = 498,
  [5754] = 584,
  [5755] = 5755,
  [5756] = 482,
  [5757] = 4106,
  [5758] = 498,
  [5759] = 470,
  [5760] = 485,
  [5761] = 486,
  [5762] = 2331,
  [5763] = 2251,
  [5764] = 467,
  [5765] = 2338,
  [5766] = 2339,
  [5767] = 2266,
  [5768] = 2267,
  [5769] = 488,
  [5770] = 472,
  [5771] = 482,
  [5772] = 2252,
  [5773] = 5773,
  [5774] = 466,
  [5775] = 2387,
  [5776] = 2319,
  [5777] = 2323,
  [5778] = 491,
  [5779] = 586,
  [5780] = 583,
  [5781] = 2250,
  [5782] = 492,
  [5783] = 498,
  [5784] = 2253,
  [5785] = 467,
  [5786] = 475,
  [5787] = 471,
  [5788] = 5728,
  [5789] = 497,
  [5790] = 2311,
  [5791] = 2312,
  [5792] = 2311,
  [5793] = 2312,
  [5794] = 2324,
  [5795] = 473,
  [5796] = 471,
  [5797] = 497,
  [5798] = 484,
  [5799] = 467,
  [5800] = 491,
  [5801] = 466,
  [5802] = 473,
  [5803] = 471,
  [5804] = 5804,
  [5805] = 483,
  [5806] = 487,
  [5807] = 478,
  [5808] = 482,
  [5809] = 467,
  [5810] = 470,
  [5811] = 502,
  [5812] = 492,
  [5813] = 498,
  [5814] = 472,
  [5815] = 645,
  [5816] = 646,
  [5817] = 466,
  [5818] = 490,
  [5819] = 467,
  [5820] = 475,
  [5821] = 4106,
  [5822] = 486,
  [5823] = 472,
  [5824] = 466,
  [5825] = 5825,
  [5826] = 4067,
  [5827] = 482,
  [5828] = 473,
  [5829] = 5829,
  [5830] = 645,
  [5831] = 646,
  [5832] = 475,
  [5833] = 493,
  [5834] = 470,
  [5835] = 489,
  [5836] = 489,
  [5837] = 467,
  [5838] = 484,
  [5839] = 466,
  [5840] = 499,
  [5841] = 500,
  [5842] = 502,
  [5843] = 487,
  [5844] = 488,
  [5845] = 485,
  [5846] = 482,
  [5847] = 5847,
  [5848] = 5847,
  [5849] = 467,
  [5850] = 486,
  [5851] = 466,
  [5852] = 483,
  [5853] = 482,
  [5854] = 470,
  [5855] = 471,
  [5856] = 5847,
  [5857] = 484,
  [5858] = 488,
  [5859] = 5847,
  [5860] = 5847,
  [5861] = 478,
  [5862] = 499,
  [5863] = 5847,
  [5864] = 485,
  [5865] = 5847,
  [5866] = 487,
  [5867] = 5847,
  [5868] = 5086,
  [5869] = 491,
  [5870] = 470,
  [5871] = 487,
  [5872] = 488,
  [5873] = 466,
  [5874] = 484,
  [5875] = 5847,
  [5876] = 482,
  [5877] = 5847,
  [5878] = 500,
  [5879] = 497,
  [5880] = 493,
  [5881] = 498,
  [5882] = 467,
  [5883] = 475,
  [5884] = 5847,
  [5885] = 489,
  [5886] = 646,
  [5887] = 473,
  [5888] = 490,
  [5889] = 5847,
  [5890] = 4067,
  [5891] = 5847,
  [5892] = 5847,
  [5893] = 466,
  [5894] = 5107,
  [5895] = 5847,
  [5896] = 472,
  [5897] = 645,
  [5898] = 485,
  [5899] = 467,
  [5900] = 3622,
  [5901] = 645,
  [5902] = 478,
  [5903] = 482,
  [5904] = 472,
  [5905] = 5847,
  [5906] = 473,
  [5907] = 497,
  [5908] = 491,
  [5909] = 486,
  [5910] = 502,
  [5911] = 467,
  [5912] = 5847,
  [5913] = 646,
  [5914] = 489,
  [5915] = 466,
  [5916] = 492,
  [5917] = 5847,
  [5918] = 502,
  [5919] = 492,
  [5920] = 5847,
  [5921] = 467,
  [5922] = 490,
  [5923] = 4164,
  [5924] = 5107,
  [5925] = 646,
  [5926] = 466,
  [5927] = 486,
  [5928] = 472,
  [5929] = 5929,
  [5930] = 467,
  [5931] = 484,
  [5932] = 487,
  [5933] = 484,
  [5934] = 475,
  [5935] = 489,
  [5936] = 482,
  [5937] = 499,
  [5938] = 470,
  [5939] = 5107,
  [5940] = 466,
  [5941] = 489,
  [5942] = 493,
  [5943] = 492,
  [5944] = 5086,
  [5945] = 482,
  [5946] = 3622,
  [5947] = 497,
  [5948] = 499,
  [5949] = 600,
  [5950] = 473,
  [5951] = 489,
  [5952] = 488,
  [5953] = 502,
  [5954] = 483,
  [5955] = 602,
  [5956] = 485,
  [5957] = 490,
  [5958] = 502,
  [5959] = 478,
  [5960] = 3622,
  [5961] = 491,
  [5962] = 487,
  [5963] = 500,
  [5964] = 487,
  [5965] = 5086,
  [5966] = 493,
  [5967] = 4106,
  [5968] = 502,
  [5969] = 484,
  [5970] = 5086,
  [5971] = 489,
  [5972] = 487,
  [5973] = 483,
  [5974] = 484,
  [5975] = 596,
  [5976] = 502,
  [5977] = 598,
  [5978] = 645,
  [5979] = 5107,
  [5980] = 500,
  [5981] = 5981,
  [5982] = 482,
  [5983] = 4163,
  [5984] = 5984,
  [5985] = 5981,
  [5986] = 596,
  [5987] = 529,
  [5988] = 5988,
  [5989] = 5981,
  [5990] = 5981,
  [5991] = 5991,
  [5992] = 492,
  [5993] = 5988,
  [5994] = 5981,
  [5995] = 5988,
  [5996] = 5996,
  [5997] = 5988,
  [5998] = 4164,
  [5999] = 5999,
  [6000] = 6000,
  [6001] = 487,
  [6002] = 6002,
  [6003] = 5988,
  [6004] = 500,
  [6005] = 598,
  [6006] = 5981,
  [6007] = 5988,
  [6008] = 488,
  [6009] = 487,
  [6010] = 5981,
  [6011] = 5988,
  [6012] = 486,
  [6013] = 600,
  [6014] = 489,
  [6015] = 493,
  [6016] = 482,
  [6017] = 500,
  [6018] = 490,
  [6019] = 487,
  [6020] = 5981,
  [6021] = 602,
  [6022] = 5981,
  [6023] = 5981,
  [6024] = 502,
  [6025] = 483,
  [6026] = 4106,
  [6027] = 4169,
  [6028] = 487,
  [6029] = 484,
  [6030] = 5988,
  [6031] = 478,
  [6032] = 6032,
  [6033] = 5988,
  [6034] = 5988,
  [6035] = 3317,
  [6036] = 5981,
  [6037] = 5988,
  [6038] = 471,
  [6039] = 5988,
  [6040] = 484,
  [6041] = 5988,
  [6042] = 499,
  [6043] = 5988,
  [6044] = 499,
  [6045] = 3329,
  [6046] = 4170,
  [6047] = 485,
  [6048] = 4166,
  [6049] = 497,
  [6050] = 489,
  [6051] = 491,
  [6052] = 6052,
  [6053] = 4067,
  [6054] = 5988,
  [6055] = 5988,
  [6056] = 5981,
  [6057] = 5981,
  [6058] = 489,
  [6059] = 5981,
  [6060] = 5981,
  [6061] = 489,
  [6062] = 5988,
  [6063] = 5988,
  [6064] = 502,
  [6065] = 4164,
  [6066] = 472,
  [6067] = 600,
  [6068] = 579,
  [6069] = 483,
  [6070] = 4166,
  [6071] = 487,
  [6072] = 500,
  [6073] = 498,
  [6074] = 493,
  [6075] = 502,
  [6076] = 6002,
  [6077] = 529,
  [6078] = 6000,
  [6079] = 5984,
  [6080] = 3920,
  [6081] = 598,
  [6082] = 4163,
  [6083] = 484,
  [6084] = 3317,
  [6085] = 4169,
  [6086] = 5996,
  [6087] = 3329,
  [6088] = 467,
  [6089] = 4170,
  [6090] = 470,
  [6091] = 502,
  [6092] = 580,
  [6093] = 467,
  [6094] = 3317,
  [6095] = 3926,
  [6096] = 587,
  [6097] = 489,
  [6098] = 484,
  [6099] = 490,
  [6100] = 487,
  [6101] = 3329,
  [6102] = 489,
  [6103] = 529,
  [6104] = 5991,
  [6105] = 466,
  [6106] = 499,
  [6107] = 5999,
  [6108] = 3697,
  [6109] = 466,
  [6110] = 596,
  [6111] = 602,
  [6112] = 6032,
  [6113] = 473,
  [6114] = 6052,
  [6115] = 475,
  [6116] = 6116,
  [6117] = 4047,
  [6118] = 6116,
  [6119] = 6116,
  [6120] = 485,
  [6121] = 4049,
  [6122] = 6116,
  [6123] = 486,
  [6124] = 6116,
  [6125] = 6116,
  [6126] = 6116,
  [6127] = 4106,
  [6128] = 492,
  [6129] = 6116,
  [6130] = 6116,
  [6131] = 6116,
  [6132] = 4067,
  [6133] = 6116,
  [6134] = 6116,
  [6135] = 580,
  [6136] = 6116,
  [6137] = 6116,
  [6138] = 6116,
  [6139] = 6116,
  [6140] = 4050,
  [6141] = 488,
  [6142] = 6116,
  [6143] = 6116,
  [6144] = 3920,
  [6145] = 6116,
  [6146] = 6116,
  [6147] = 6116,
  [6148] = 6116,
  [6149] = 6116,
  [6150] = 6116,
  [6151] = 4048,
  [6152] = 482,
  [6153] = 6116,
  [6154] = 478,
  [6155] = 587,
  [6156] = 6116,
  [6157] = 482,
  [6158] = 6116,
  [6159] = 3926,
  [6160] = 6116,
  [6161] = 6116,
  [6162] = 6116,
  [6163] = 579,
  [6164] = 6116,
  [6165] = 3697,
  [6166] = 579,
  [6167] = 3697,
  [6168] = 491,
  [6169] = 6116,
  [6170] = 591,
  [6171] = 580,
  [6172] = 6116,
  [6173] = 3920,
  [6174] = 497,
  [6175] = 3926,
  [6176] = 6116,
  [6177] = 6177,
  [6178] = 587,
  [6179] = 6116,
  [6180] = 6116,
  [6181] = 6116,
  [6182] = 6116,
  [6183] = 5984,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 6186,
  [6187] = 6187,
  [6188] = 441,
  [6189] = 442,
  [6190] = 4047,
  [6191] = 499,
  [6192] = 6192,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 4096,
  [6196] = 4163,
  [6197] = 443,
  [6198] = 483,
  [6199] = 6199,
  [6200] = 6200,
  [6201] = 4048,
  [6202] = 591,
  [6203] = 6199,
  [6204] = 6192,
  [6205] = 6194,
  [6206] = 6184,
  [6207] = 4050,
  [6208] = 5999,
  [6209] = 6209,
  [6210] = 6209,
  [6211] = 6211,
  [6212] = 489,
  [6213] = 6185,
  [6214] = 6052,
  [6215] = 4166,
  [6216] = 4170,
  [6217] = 500,
  [6218] = 6185,
  [6219] = 6184,
  [6220] = 6200,
  [6221] = 5996,
  [6222] = 6185,
  [6223] = 6223,
  [6224] = 6224,
  [6225] = 4049,
  [6226] = 6185,
  [6227] = 6199,
  [6228] = 490,
  [6229] = 471,
  [6230] = 6000,
  [6231] = 6193,
  [6232] = 471,
  [6233] = 6192,
  [6234] = 6002,
  [6235] = 6199,
  [6236] = 6211,
  [6237] = 502,
  [6238] = 6186,
  [6239] = 6187,
  [6240] = 6194,
  [6241] = 6241,
  [6242] = 6241,
  [6243] = 5991,
  [6244] = 4169,
  [6245] = 6223,
  [6246] = 6185,
  [6247] = 484,
  [6248] = 6209,
  [6249] = 6184,
  [6250] = 6200,
  [6251] = 502,
  [6252] = 6223,
  [6253] = 6253,
  [6254] = 6192,
  [6255] = 6194,
  [6256] = 6185,
  [6257] = 6185,
  [6258] = 4067,
  [6259] = 484,
  [6260] = 4067,
  [6261] = 6261,
  [6262] = 6241,
  [6263] = 4067,
  [6264] = 6186,
  [6265] = 4050,
  [6266] = 6200,
  [6267] = 4047,
  [6268] = 487,
  [6269] = 6186,
  [6270] = 6185,
  [6271] = 6187,
  [6272] = 6211,
  [6273] = 6211,
  [6274] = 6187,
  [6275] = 4048,
  [6276] = 493,
  [6277] = 6277,
  [6278] = 6241,
  [6279] = 6261,
  [6280] = 6280,
  [6281] = 6193,
  [6282] = 471,
  [6283] = 6261,
  [6284] = 4092,
  [6285] = 6193,
  [6286] = 6185,
  [6287] = 6209,
  [6288] = 6223,
  [6289] = 6185,
  [6290] = 489,
  [6291] = 591,
  [6292] = 6185,
  [6293] = 6032,
  [6294] = 6185,
  [6295] = 6185,
  [6296] = 440,
  [6297] = 6261,
  [6298] = 4049,
  [6299] = 487,
  [6300] = 4170,
  [6301] = 6002,
  [6302] = 5999,
  [6303] = 6303,
  [6304] = 4096,
  [6305] = 6305,
  [6306] = 6306,
  [6307] = 6305,
  [6308] = 6303,
  [6309] = 472,
  [6310] = 473,
  [6311] = 6303,
  [6312] = 473,
  [6313] = 6305,
  [6314] = 6314,
  [6315] = 6306,
  [6316] = 475,
  [6317] = 498,
  [6318] = 470,
  [6319] = 6319,
  [6320] = 6314,
  [6321] = 6303,
  [6322] = 6305,
  [6323] = 598,
  [6324] = 6305,
  [6325] = 6052,
  [6326] = 6306,
  [6327] = 4166,
  [6328] = 467,
  [6329] = 6303,
  [6330] = 596,
  [6331] = 6331,
  [6332] = 498,
  [6333] = 475,
  [6334] = 6303,
  [6335] = 6303,
  [6336] = 466,
  [6337] = 470,
  [6338] = 6305,
  [6339] = 6303,
  [6340] = 6305,
  [6341] = 600,
  [6342] = 498,
  [6343] = 6314,
  [6344] = 6331,
  [6345] = 6303,
  [6346] = 6346,
  [6347] = 6347,
  [6348] = 475,
  [6349] = 5991,
  [6350] = 6303,
  [6351] = 6305,
  [6352] = 6305,
  [6353] = 6319,
  [6354] = 6303,
  [6355] = 6303,
  [6356] = 467,
  [6357] = 472,
  [6358] = 602,
  [6359] = 4163,
  [6360] = 6305,
  [6361] = 4092,
  [6362] = 6303,
  [6363] = 466,
  [6364] = 6364,
  [6365] = 6305,
  [6366] = 6305,
  [6367] = 466,
  [6368] = 466,
  [6369] = 6303,
  [6370] = 4096,
  [6371] = 6303,
  [6372] = 467,
  [6373] = 6305,
  [6374] = 5984,
  [6375] = 466,
  [6376] = 5996,
  [6377] = 6303,
  [6378] = 467,
  [6379] = 6314,
  [6380] = 6305,
  [6381] = 6319,
  [6382] = 467,
  [6383] = 470,
  [6384] = 6305,
  [6385] = 6314,
  [6386] = 6319,
  [6387] = 6331,
  [6388] = 4164,
  [6389] = 4106,
  [6390] = 6303,
  [6391] = 6303,
  [6392] = 6305,
  [6393] = 4169,
  [6394] = 472,
  [6395] = 467,
  [6396] = 6305,
  [6397] = 473,
  [6398] = 6305,
  [6399] = 6000,
  [6400] = 6032,
  [6401] = 466,
  [6402] = 6331,
  [6403] = 4092,
  [6404] = 486,
  [6405] = 492,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6406,
  [6410] = 6406,
  [6411] = 6411,
  [6412] = 497,
  [6413] = 6408,
  [6414] = 4106,
  [6415] = 6407,
  [6416] = 6406,
  [6417] = 492,
  [6418] = 6407,
  [6419] = 6411,
  [6420] = 6406,
  [6421] = 6406,
  [6422] = 491,
  [6423] = 485,
  [6424] = 6408,
  [6425] = 497,
  [6426] = 6407,
  [6427] = 488,
  [6428] = 6407,
  [6429] = 6406,
  [6430] = 482,
  [6431] = 6431,
  [6432] = 485,
  [6433] = 6407,
  [6434] = 6408,
  [6435] = 6407,
  [6436] = 6408,
  [6437] = 491,
  [6438] = 6438,
  [6439] = 6407,
  [6440] = 6408,
  [6441] = 6441,
  [6442] = 6431,
  [6443] = 6406,
  [6444] = 497,
  [6445] = 6408,
  [6446] = 6431,
  [6447] = 6407,
  [6448] = 6438,
  [6449] = 6408,
  [6450] = 478,
  [6451] = 6406,
  [6452] = 6408,
  [6453] = 6441,
  [6454] = 6408,
  [6455] = 6455,
  [6456] = 6406,
  [6457] = 6407,
  [6458] = 4106,
  [6459] = 6406,
  [6460] = 6408,
  [6461] = 6461,
  [6462] = 482,
  [6463] = 6441,
  [6464] = 6407,
  [6465] = 6407,
  [6466] = 478,
  [6467] = 6406,
  [6468] = 6408,
  [6469] = 6407,
  [6470] = 6438,
  [6471] = 6408,
  [6472] = 6406,
  [6473] = 6408,
  [6474] = 492,
  [6475] = 491,
  [6476] = 6431,
  [6477] = 482,
  [6478] = 6411,
  [6479] = 6411,
  [6480] = 6407,
  [6481] = 6407,
  [6482] = 6408,
  [6483] = 6406,
  [6484] = 6431,
  [6485] = 6406,
  [6486] = 6441,
  [6487] = 488,
  [6488] = 6408,
  [6489] = 4106,
  [6490] = 482,
  [6491] = 485,
  [6492] = 6407,
  [6493] = 486,
  [6494] = 486,
  [6495] = 6407,
  [6496] = 6407,
  [6497] = 488,
  [6498] = 6408,
  [6499] = 482,
  [6500] = 6500,
  [6501] = 6406,
  [6502] = 6438,
  [6503] = 6406,
  [6504] = 6406,
  [6505] = 482,
  [6506] = 6408,
  [6507] = 6408,
  [6508] = 478,
  [6509] = 6509,
  [6510] = 6509,
  [6511] = 4141,
  [6512] = 483,
  [6513] = 502,
  [6514] = 499,
  [6515] = 500,
  [6516] = 4146,
  [6517] = 489,
  [6518] = 487,
  [6519] = 4166,
  [6520] = 6509,
  [6521] = 6509,
  [6522] = 6509,
  [6523] = 6509,
  [6524] = 6524,
  [6525] = 489,
  [6526] = 6509,
  [6527] = 6509,
  [6528] = 6509,
  [6529] = 484,
  [6530] = 484,
  [6531] = 489,
  [6532] = 6509,
  [6533] = 484,
  [6534] = 502,
  [6535] = 6535,
  [6536] = 502,
  [6537] = 6509,
  [6538] = 6509,
  [6539] = 483,
  [6540] = 6509,
  [6541] = 6509,
  [6542] = 487,
  [6543] = 484,
  [6544] = 6544,
  [6545] = 502,
  [6546] = 6509,
  [6547] = 6509,
  [6548] = 598,
  [6549] = 6509,
  [6550] = 489,
  [6551] = 6509,
  [6552] = 489,
  [6553] = 6509,
  [6554] = 4170,
  [6555] = 6509,
  [6556] = 6509,
  [6557] = 487,
  [6558] = 6509,
  [6559] = 484,
  [6560] = 490,
  [6561] = 6509,
  [6562] = 487,
  [6563] = 6509,
  [6564] = 6509,
  [6565] = 487,
  [6566] = 6509,
  [6567] = 600,
  [6568] = 499,
  [6569] = 487,
  [6570] = 6509,
  [6571] = 502,
  [6572] = 489,
  [6573] = 500,
  [6574] = 6509,
  [6575] = 6509,
  [6576] = 483,
  [6577] = 490,
  [6578] = 4163,
  [6579] = 4164,
  [6580] = 6509,
  [6581] = 502,
  [6582] = 6509,
  [6583] = 6509,
  [6584] = 6509,
  [6585] = 484,
  [6586] = 6509,
  [6587] = 493,
  [6588] = 4119,
  [6589] = 602,
  [6590] = 4120,
  [6591] = 6509,
  [6592] = 6509,
  [6593] = 490,
  [6594] = 4169,
  [6595] = 493,
  [6596] = 493,
  [6597] = 500,
  [6598] = 6509,
  [6599] = 499,
  [6600] = 6600,
  [6601] = 6509,
  [6602] = 6509,
  [6603] = 6509,
  [6604] = 596,
  [6605] = 6605,
  [6606] = 6605,
  [6607] = 574,
  [6608] = 6605,
  [6609] = 575,
  [6610] = 6605,
  [6611] = 6605,
  [6612] = 6605,
  [6613] = 4126,
  [6614] = 681,
  [6615] = 570,
  [6616] = 6605,
  [6617] = 4127,
  [6618] = 6605,
  [6619] = 573,
  [6620] = 6605,
  [6621] = 574,
  [6622] = 575,
  [6623] = 6605,
  [6624] = 4128,
  [6625] = 4129,
  [6626] = 4130,
  [6627] = 4131,
  [6628] = 4132,
  [6629] = 4133,
  [6630] = 4134,
  [6631] = 4135,
  [6632] = 4141,
  [6633] = 4146,
  [6634] = 4119,
  [6635] = 4120,
  [6636] = 6605,
  [6637] = 6605,
  [6638] = 6638,
  [6639] = 6605,
  [6640] = 6605,
  [6641] = 4125,
  [6642] = 6605,
  [6643] = 4122,
  [6644] = 6605,
  [6645] = 4141,
  [6646] = 4146,
  [6647] = 6605,
  [6648] = 6605,
  [6649] = 6605,
  [6650] = 6605,
  [6651] = 6605,
  [6652] = 6605,
  [6653] = 681,
  [6654] = 570,
  [6655] = 4119,
  [6656] = 4120,
  [6657] = 6605,
  [6658] = 4124,
  [6659] = 6605,
  [6660] = 6605,
  [6661] = 6605,
  [6662] = 6605,
  [6663] = 6605,
  [6664] = 6605,
  [6665] = 6605,
  [6666] = 6605,
  [6667] = 6605,
  [6668] = 6605,
  [6669] = 6605,
  [6670] = 6605,
  [6671] = 6605,
  [6672] = 6605,
  [6673] = 573,
  [6674] = 6605,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6676,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 681,
  [6681] = 6681,
  [6682] = 570,
  [6683] = 6675,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6679,
  [6693] = 6693,
  [6694] = 6676,
  [6695] = 6678,
  [6696] = 6693,
  [6697] = 573,
  [6698] = 4122,
  [6699] = 574,
  [6700] = 6700,
  [6701] = 6687,
  [6702] = 575,
  [6703] = 6688,
  [6704] = 6681,
  [6705] = 6675,
  [6706] = 6684,
  [6707] = 6685,
  [6708] = 6686,
  [6709] = 6687,
  [6710] = 6688,
  [6711] = 6689,
  [6712] = 6690,
  [6713] = 6691,
  [6714] = 6679,
  [6715] = 6693,
  [6716] = 6676,
  [6717] = 6678,
  [6718] = 6676,
  [6719] = 4164,
  [6720] = 6681,
  [6721] = 6675,
  [6722] = 6684,
  [6723] = 6685,
  [6724] = 6686,
  [6725] = 6687,
  [6726] = 6688,
  [6727] = 6689,
  [6728] = 6690,
  [6729] = 6691,
  [6730] = 6679,
  [6731] = 6693,
  [6732] = 6676,
  [6733] = 6678,
  [6734] = 6678,
  [6735] = 6735,
  [6736] = 6688,
  [6737] = 6689,
  [6738] = 6690,
  [6739] = 6691,
  [6740] = 4124,
  [6741] = 4125,
  [6742] = 6742,
  [6743] = 6681,
  [6744] = 6675,
  [6745] = 6684,
  [6746] = 6685,
  [6747] = 6686,
  [6748] = 6687,
  [6749] = 6688,
  [6750] = 6689,
  [6751] = 6690,
  [6752] = 6691,
  [6753] = 6679,
  [6754] = 6693,
  [6755] = 6676,
  [6756] = 6678,
  [6757] = 4126,
  [6758] = 4127,
  [6759] = 6759,
  [6760] = 6679,
  [6761] = 6679,
  [6762] = 6681,
  [6763] = 6693,
  [6764] = 6675,
  [6765] = 6684,
  [6766] = 6685,
  [6767] = 6686,
  [6768] = 6687,
  [6769] = 6688,
  [6770] = 6689,
  [6771] = 6690,
  [6772] = 6691,
  [6773] = 6679,
  [6774] = 6693,
  [6775] = 6676,
  [6776] = 6678,
  [6777] = 4128,
  [6778] = 6693,
  [6779] = 4129,
  [6780] = 6676,
  [6781] = 4130,
  [6782] = 4131,
  [6783] = 6681,
  [6784] = 4132,
  [6785] = 4133,
  [6786] = 4134,
  [6787] = 4135,
  [6788] = 6675,
  [6789] = 6684,
  [6790] = 6685,
  [6791] = 6686,
  [6792] = 6687,
  [6793] = 6688,
  [6794] = 6689,
  [6795] = 6690,
  [6796] = 6691,
  [6797] = 6679,
  [6798] = 6693,
  [6799] = 6676,
  [6800] = 6678,
  [6801] = 6801,
  [6802] = 5991,
  [6803] = 6803,
  [6804] = 6681,
  [6805] = 6685,
  [6806] = 6806,
  [6807] = 6681,
  [6808] = 6687,
  [6809] = 6688,
  [6810] = 6689,
  [6811] = 6690,
  [6812] = 6691,
  [6813] = 6679,
  [6814] = 6693,
  [6815] = 6676,
  [6816] = 6678,
  [6817] = 4170,
  [6818] = 6818,
  [6819] = 6681,
  [6820] = 6687,
  [6821] = 6688,
  [6822] = 6689,
  [6823] = 6690,
  [6824] = 6691,
  [6825] = 6679,
  [6826] = 6693,
  [6827] = 6676,
  [6828] = 6678,
  [6829] = 6687,
  [6830] = 6688,
  [6831] = 6831,
  [6832] = 6681,
  [6833] = 6687,
  [6834] = 6688,
  [6835] = 6687,
  [6836] = 6688,
  [6837] = 6689,
  [6838] = 6690,
  [6839] = 6691,
  [6840] = 6679,
  [6841] = 6693,
  [6842] = 6676,
  [6843] = 6678,
  [6844] = 6844,
  [6845] = 6689,
  [6846] = 6681,
  [6847] = 4163,
  [6848] = 6687,
  [6849] = 6688,
  [6850] = 6689,
  [6851] = 6690,
  [6852] = 6691,
  [6853] = 6679,
  [6854] = 6693,
  [6855] = 6676,
  [6856] = 6678,
  [6857] = 6678,
  [6858] = 6858,
  [6859] = 6859,
  [6860] = 6681,
  [6861] = 6689,
  [6862] = 6687,
  [6863] = 6688,
  [6864] = 6689,
  [6865] = 6690,
  [6866] = 6691,
  [6867] = 6679,
  [6868] = 6693,
  [6869] = 6676,
  [6870] = 6678,
  [6871] = 6690,
  [6872] = 6691,
  [6873] = 6678,
  [6874] = 6681,
  [6875] = 6687,
  [6876] = 6688,
  [6877] = 6689,
  [6878] = 6690,
  [6879] = 6691,
  [6880] = 6679,
  [6881] = 6693,
  [6882] = 6676,
  [6883] = 6678,
  [6884] = 6675,
  [6885] = 6681,
  [6886] = 6687,
  [6887] = 6688,
  [6888] = 6689,
  [6889] = 6690,
  [6890] = 6691,
  [6891] = 6679,
  [6892] = 6693,
  [6893] = 6676,
  [6894] = 6678,
  [6895] = 6687,
  [6896] = 6688,
  [6897] = 6689,
  [6898] = 6690,
  [6899] = 6691,
  [6900] = 6679,
  [6901] = 6693,
  [6902] = 6676,
  [6903] = 6678,
  [6904] = 4169,
  [6905] = 6687,
  [6906] = 6688,
  [6907] = 6689,
  [6908] = 6690,
  [6909] = 6691,
  [6910] = 6679,
  [6911] = 6693,
  [6912] = 6676,
  [6913] = 6678,
  [6914] = 6689,
  [6915] = 6690,
  [6916] = 6691,
  [6917] = 6687,
  [6918] = 6688,
  [6919] = 6689,
  [6920] = 6690,
  [6921] = 6691,
  [6922] = 6679,
  [6923] = 6693,
  [6924] = 6676,
  [6925] = 6678,
  [6926] = 6687,
  [6927] = 6688,
  [6928] = 6689,
  [6929] = 6690,
  [6930] = 6691,
  [6931] = 6679,
  [6932] = 6693,
  [6933] = 6676,
  [6934] = 6678,
  [6935] = 6679,
  [6936] = 6693,
  [6937] = 6687,
  [6938] = 6688,
  [6939] = 6689,
  [6940] = 6690,
  [6941] = 6691,
  [6942] = 6679,
  [6943] = 6693,
  [6944] = 6676,
  [6945] = 6678,
  [6946] = 4166,
  [6947] = 6947,
  [6948] = 6687,
  [6949] = 6688,
  [6950] = 6689,
  [6951] = 6690,
  [6952] = 6691,
  [6953] = 6679,
  [6954] = 6693,
  [6955] = 6676,
  [6956] = 6678,
  [6957] = 6687,
  [6958] = 6688,
  [6959] = 6675,
  [6960] = 6687,
  [6961] = 6688,
  [6962] = 6689,
  [6963] = 6690,
  [6964] = 6691,
  [6965] = 6679,
  [6966] = 6693,
  [6967] = 6676,
  [6968] = 6678,
  [6969] = 6684,
  [6970] = 6676,
  [6971] = 6687,
  [6972] = 6688,
  [6973] = 6689,
  [6974] = 6690,
  [6975] = 6691,
  [6976] = 6679,
  [6977] = 6693,
  [6978] = 6676,
  [6979] = 6678,
  [6980] = 6980,
  [6981] = 6687,
  [6982] = 6688,
  [6983] = 6689,
  [6984] = 6690,
  [6985] = 6691,
  [6986] = 6679,
  [6987] = 6693,
  [6988] = 6676,
  [6989] = 6678,
  [6990] = 6689,
  [6991] = 6690,
  [6992] = 6679,
  [6993] = 6676,
  [6994] = 6678,
  [6995] = 6689,
  [6996] = 6690,
  [6997] = 6679,
  [6998] = 6676,
  [6999] = 6678,
  [7000] = 6689,
  [7001] = 6690,
  [7002] = 6679,
  [7003] = 6676,
  [7004] = 6678,
  [7005] = 6689,
  [7006] = 6690,
  [7007] = 6679,
  [7008] = 6676,
  [7009] = 6678,
  [7010] = 6685,
  [7011] = 6684,
  [7012] = 6685,
  [7013] = 6689,
  [7014] = 6690,
  [7015] = 6679,
  [7016] = 6676,
  [7017] = 6678,
  [7018] = 6689,
  [7019] = 6690,
  [7020] = 6679,
  [7021] = 6676,
  [7022] = 6678,
  [7023] = 6689,
  [7024] = 6690,
  [7025] = 6679,
  [7026] = 6676,
  [7027] = 6678,
  [7028] = 6689,
  [7029] = 6690,
  [7030] = 6679,
  [7031] = 6676,
  [7032] = 6678,
  [7033] = 6689,
  [7034] = 6690,
  [7035] = 6679,
  [7036] = 6676,
  [7037] = 6678,
  [7038] = 6689,
  [7039] = 6690,
  [7040] = 6679,
  [7041] = 6676,
  [7042] = 6678,
  [7043] = 6689,
  [7044] = 6690,
  [7045] = 6679,
  [7046] = 6676,
  [7047] = 6678,
  [7048] = 6689,
  [7049] = 6690,
  [7050] = 6679,
  [7051] = 6676,
  [7052] = 6678,
  [7053] = 6689,
  [7054] = 6690,
  [7055] = 6679,
  [7056] = 6676,
  [7057] = 6689,
  [7058] = 6690,
  [7059] = 6679,
  [7060] = 6676,
  [7061] = 6689,
  [7062] = 6690,
  [7063] = 6679,
  [7064] = 6676,
  [7065] = 6689,
  [7066] = 6690,
  [7067] = 6679,
  [7068] = 6676,
  [7069] = 6689,
  [7070] = 6690,
  [7071] = 6679,
  [7072] = 6676,
  [7073] = 6689,
  [7074] = 6690,
  [7075] = 6679,
  [7076] = 6676,
  [7077] = 6689,
  [7078] = 6690,
  [7079] = 6679,
  [7080] = 6676,
  [7081] = 6689,
  [7082] = 6690,
  [7083] = 6679,
  [7084] = 6676,
  [7085] = 6689,
  [7086] = 6690,
  [7087] = 6679,
  [7088] = 6676,
  [7089] = 6689,
  [7090] = 6690,
  [7091] = 6679,
  [7092] = 6676,
  [7093] = 6689,
  [7094] = 6690,
  [7095] = 6679,
  [7096] = 6676,
  [7097] = 6689,
  [7098] = 6690,
  [7099] = 6679,
  [7100] = 6676,
  [7101] = 6689,
  [7102] = 6690,
  [7103] = 6679,
  [7104] = 6676,
  [7105] = 6689,
  [7106] = 6690,
  [7107] = 6679,
  [7108] = 6676,
  [7109] = 6689,
  [7110] = 6690,
  [7111] = 6679,
  [7112] = 6676,
  [7113] = 6689,
  [7114] = 6690,
  [7115] = 6679,
  [7116] = 6676,
  [7117] = 6689,
  [7118] = 6690,
  [7119] = 6679,
  [7120] = 6676,
  [7121] = 7121,
  [7122] = 6678,
  [7123] = 6686,
  [7124] = 6679,
  [7125] = 6980,
  [7126] = 7126,
  [7127] = 6679,
  [7128] = 6947,
  [7129] = 6693,
  [7130] = 6687,
  [7131] = 6687,
  [7132] = 6688,
  [7133] = 6693,
  [7134] = 7134,
  [7135] = 7135,
  [7136] = 6689,
  [7137] = 7134,
  [7138] = 7138,
  [7139] = 681,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 570,
  [7143] = 7143,
  [7144] = 7144,
  [7145] = 7145,
  [7146] = 6735,
  [7147] = 6742,
  [7148] = 6801,
  [7149] = 6689,
  [7150] = 6806,
  [7151] = 6689,
  [7152] = 6818,
  [7153] = 6690,
  [7154] = 6831,
  [7155] = 6844,
  [7156] = 6691,
  [7157] = 6690,
  [7158] = 6691,
  [7159] = 7159,
  [7160] = 6681,
  [7161] = 596,
  [7162] = 6676,
  [7163] = 573,
  [7164] = 6679,
  [7165] = 6687,
  [7166] = 598,
  [7167] = 7167,
  [7168] = 6700,
  [7169] = 4122,
  [7170] = 574,
  [7171] = 6676,
  [7172] = 6687,
  [7173] = 600,
  [7174] = 575,
  [7175] = 602,
  [7176] = 7176,
  [7177] = 6686,
  [7178] = 6858,
  [7179] = 6859,
  [7180] = 4124,
  [7181] = 6687,
  [7182] = 6689,
  [7183] = 4125,
  [7184] = 7121,
  [7185] = 6679,
  [7186] = 6693,
  [7187] = 6691,
  [7188] = 6679,
  [7189] = 6689,
  [7190] = 6689,
  [7191] = 6690,
  [7192] = 6676,
  [7193] = 6687,
  [7194] = 6679,
  [7195] = 6685,
  [7196] = 6686,
  [7197] = 7197,
  [7198] = 6688,
  [7199] = 6688,
  [7200] = 6676,
  [7201] = 6686,
  [7202] = 4126,
  [7203] = 4127,
  [7204] = 6681,
  [7205] = 6678,
  [7206] = 6980,
  [7207] = 7126,
  [7208] = 6687,
  [7209] = 7135,
  [7210] = 6689,
  [7211] = 4128,
  [7212] = 4129,
  [7213] = 7140,
  [7214] = 7176,
  [7215] = 7143,
  [7216] = 7145,
  [7217] = 6735,
  [7218] = 6801,
  [7219] = 6806,
  [7220] = 6818,
  [7221] = 6831,
  [7222] = 6844,
  [7223] = 6686,
  [7224] = 6689,
  [7225] = 4130,
  [7226] = 6690,
  [7227] = 6691,
  [7228] = 4131,
  [7229] = 4132,
  [7230] = 6678,
  [7231] = 6980,
  [7232] = 7126,
  [7233] = 6687,
  [7234] = 4133,
  [7235] = 7135,
  [7236] = 6689,
  [7237] = 7140,
  [7238] = 4134,
  [7239] = 4135,
  [7240] = 7143,
  [7241] = 7145,
  [7242] = 6687,
  [7243] = 6735,
  [7244] = 6801,
  [7245] = 6806,
  [7246] = 6818,
  [7247] = 6831,
  [7248] = 6844,
  [7249] = 7126,
  [7250] = 6684,
  [7251] = 7251,
  [7252] = 7140,
  [7253] = 7143,
  [7254] = 7145,
  [7255] = 6735,
  [7256] = 6801,
  [7257] = 6806,
  [7258] = 6818,
  [7259] = 6831,
  [7260] = 6844,
  [7261] = 7126,
  [7262] = 7262,
  [7263] = 7140,
  [7264] = 6679,
  [7265] = 7143,
  [7266] = 7145,
  [7267] = 6735,
  [7268] = 6676,
  [7269] = 6801,
  [7270] = 7126,
  [7271] = 6806,
  [7272] = 6818,
  [7273] = 6693,
  [7274] = 6831,
  [7275] = 6844,
  [7276] = 7126,
  [7277] = 7140,
  [7278] = 6687,
  [7279] = 7143,
  [7280] = 7145,
  [7281] = 6735,
  [7282] = 6688,
  [7283] = 6801,
  [7284] = 6806,
  [7285] = 6818,
  [7286] = 6831,
  [7287] = 6844,
  [7288] = 7126,
  [7289] = 7126,
  [7290] = 6676,
  [7291] = 7291,
  [7292] = 7126,
  [7293] = 7126,
  [7294] = 7126,
  [7295] = 7126,
  [7296] = 6689,
  [7297] = 6690,
  [7298] = 6691,
  [7299] = 7135,
  [7300] = 7126,
  [7301] = 6684,
  [7302] = 7302,
  [7303] = 7262,
  [7304] = 6676,
  [7305] = 6689,
  [7306] = 6679,
  [7307] = 6693,
  [7308] = 7308,
  [7309] = 6676,
  [7310] = 6690,
  [7311] = 6688,
  [7312] = 6685,
  [7313] = 6690,
  [7314] = 6693,
  [7315] = 6686,
  [7316] = 6676,
  [7317] = 7141,
  [7318] = 7318,
  [7319] = 7144,
  [7320] = 7320,
  [7321] = 6742,
  [7322] = 6759,
  [7323] = 6675,
  [7324] = 6684,
  [7325] = 6685,
  [7326] = 6947,
  [7327] = 6858,
  [7328] = 6686,
  [7329] = 6687,
  [7330] = 6688,
  [7331] = 6689,
  [7332] = 6690,
  [7333] = 6691,
  [7334] = 6679,
  [7335] = 6693,
  [7336] = 6676,
  [7337] = 6691,
  [7338] = 6688,
  [7339] = 6691,
  [7340] = 6679,
  [7341] = 6689,
  [7342] = 6690,
  [7343] = 6679,
  [7344] = 6676,
  [7345] = 6689,
  [7346] = 6690,
  [7347] = 6681,
  [7348] = 6676,
  [7349] = 6679,
  [7350] = 6685,
  [7351] = 6686,
  [7352] = 6689,
  [7353] = 6678,
  [7354] = 6678,
  [7355] = 6678,
  [7356] = 6688,
  [7357] = 6690,
  [7358] = 6693,
  [7359] = 6676,
  [7360] = 7141,
  [7361] = 7318,
  [7362] = 7144,
  [7363] = 7320,
  [7364] = 6742,
  [7365] = 6685,
  [7366] = 6686,
  [7367] = 7141,
  [7368] = 7318,
  [7369] = 7144,
  [7370] = 7320,
  [7371] = 6742,
  [7372] = 7141,
  [7373] = 7318,
  [7374] = 7144,
  [7375] = 7320,
  [7376] = 6742,
  [7377] = 6678,
  [7378] = 7141,
  [7379] = 7318,
  [7380] = 7144,
  [7381] = 7320,
  [7382] = 6690,
  [7383] = 6742,
  [7384] = 7141,
  [7385] = 7318,
  [7386] = 7144,
  [7387] = 7320,
  [7388] = 6742,
  [7389] = 7318,
  [7390] = 7320,
  [7391] = 7318,
  [7392] = 7320,
  [7393] = 7318,
  [7394] = 7320,
  [7395] = 7318,
  [7396] = 7320,
  [7397] = 7318,
  [7398] = 7320,
  [7399] = 7318,
  [7400] = 7320,
  [7401] = 7318,
  [7402] = 7320,
  [7403] = 6678,
  [7404] = 6691,
  [7405] = 6688,
  [7406] = 6690,
  [7407] = 6693,
  [7408] = 6676,
  [7409] = 6687,
  [7410] = 6687,
  [7411] = 6688,
  [7412] = 6688,
  [7413] = 6947,
  [7414] = 7134,
  [7415] = 6032,
  [7416] = 6052,
  [7417] = 6689,
  [7418] = 5984,
  [7419] = 6690,
  [7420] = 6691,
  [7421] = 5996,
  [7422] = 5999,
  [7423] = 681,
  [7424] = 6700,
  [7425] = 570,
  [7426] = 6858,
  [7427] = 6859,
  [7428] = 7291,
  [7429] = 6689,
  [7430] = 7121,
  [7431] = 6679,
  [7432] = 6693,
  [7433] = 6690,
  [7434] = 6681,
  [7435] = 6691,
  [7436] = 7176,
  [7437] = 7262,
  [7438] = 6676,
  [7439] = 7291,
  [7440] = 7140,
  [7441] = 6687,
  [7442] = 7302,
  [7443] = 7143,
  [7444] = 7145,
  [7445] = 6688,
  [7446] = 7140,
  [7447] = 6679,
  [7448] = 7141,
  [7449] = 6735,
  [7450] = 6759,
  [7451] = 573,
  [7452] = 6801,
  [7453] = 6806,
  [7454] = 6818,
  [7455] = 6831,
  [7456] = 6844,
  [7457] = 6675,
  [7458] = 6684,
  [7459] = 6685,
  [7460] = 6689,
  [7461] = 6688,
  [7462] = 6690,
  [7463] = 6679,
  [7464] = 6690,
  [7465] = 6000,
  [7466] = 6002,
  [7467] = 6679,
  [7468] = 6686,
  [7469] = 6693,
  [7470] = 6676,
  [7471] = 6693,
  [7472] = 6676,
  [7473] = 574,
  [7474] = 6689,
  [7475] = 6690,
  [7476] = 6679,
  [7477] = 6676,
  [7478] = 6689,
  [7479] = 6690,
  [7480] = 6679,
  [7481] = 6676,
  [7482] = 6693,
  [7483] = 6689,
  [7484] = 6690,
  [7485] = 6679,
  [7486] = 6676,
  [7487] = 575,
  [7488] = 6689,
  [7489] = 6690,
  [7490] = 6679,
  [7491] = 6676,
  [7492] = 6687,
  [7493] = 6688,
  [7494] = 6689,
  [7495] = 6690,
  [7496] = 6691,
  [7497] = 6676,
  [7498] = 6676,
  [7499] = 6678,
  [7500] = 7318,
  [7501] = 6679,
  [7502] = 6693,
  [7503] = 6676,
  [7504] = 6689,
  [7505] = 6690,
  [7506] = 6679,
  [7507] = 6676,
  [7508] = 6689,
  [7509] = 6690,
  [7510] = 6679,
  [7511] = 6676,
  [7512] = 6689,
  [7513] = 6690,
  [7514] = 6691,
  [7515] = 6679,
  [7516] = 6676,
  [7517] = 6689,
  [7518] = 6690,
  [7519] = 6679,
  [7520] = 6676,
  [7521] = 6678,
  [7522] = 6690,
  [7523] = 6689,
  [7524] = 6947,
  [7525] = 7134,
  [7526] = 6690,
  [7527] = 6689,
  [7528] = 6690,
  [7529] = 6691,
  [7530] = 6685,
  [7531] = 6686,
  [7532] = 6691,
  [7533] = 7533,
  [7534] = 6700,
  [7535] = 6858,
  [7536] = 6859,
  [7537] = 6678,
  [7538] = 7121,
  [7539] = 6679,
  [7540] = 6681,
  [7541] = 681,
  [7542] = 7176,
  [7543] = 570,
  [7544] = 7544,
  [7545] = 7262,
  [7546] = 6676,
  [7547] = 7291,
  [7548] = 7302,
  [7549] = 6687,
  [7550] = 6688,
  [7551] = 6759,
  [7552] = 6675,
  [7553] = 6685,
  [7554] = 6686,
  [7555] = 6684,
  [7556] = 6685,
  [7557] = 6686,
  [7558] = 6687,
  [7559] = 6688,
  [7560] = 6689,
  [7561] = 6690,
  [7562] = 6691,
  [7563] = 6679,
  [7564] = 6693,
  [7565] = 6676,
  [7566] = 6690,
  [7567] = 6679,
  [7568] = 6676,
  [7569] = 6678,
  [7570] = 6685,
  [7571] = 6686,
  [7572] = 6685,
  [7573] = 6686,
  [7574] = 6685,
  [7575] = 6686,
  [7576] = 7302,
  [7577] = 573,
  [7578] = 6947,
  [7579] = 6685,
  [7580] = 6689,
  [7581] = 6686,
  [7582] = 6690,
  [7583] = 6691,
  [7584] = 6858,
  [7585] = 6689,
  [7586] = 6679,
  [7587] = 6690,
  [7588] = 6681,
  [7589] = 6691,
  [7590] = 574,
  [7591] = 6676,
  [7592] = 7320,
  [7593] = 6675,
  [7594] = 6684,
  [7595] = 6685,
  [7596] = 6686,
  [7597] = 6687,
  [7598] = 6688,
  [7599] = 6689,
  [7600] = 6690,
  [7601] = 6691,
  [7602] = 6679,
  [7603] = 6693,
  [7604] = 6676,
  [7605] = 6679,
  [7606] = 575,
  [7607] = 6678,
  [7608] = 6681,
  [7609] = 6679,
  [7610] = 6693,
  [7611] = 7143,
  [7612] = 7144,
  [7613] = 6947,
  [7614] = 6685,
  [7615] = 6686,
  [7616] = 6685,
  [7617] = 6686,
  [7618] = 6685,
  [7619] = 6686,
  [7620] = 6685,
  [7621] = 6686,
  [7622] = 6685,
  [7623] = 6686,
  [7624] = 6685,
  [7625] = 6686,
  [7626] = 6675,
  [7627] = 6685,
  [7628] = 6686,
  [7629] = 6684,
  [7630] = 6685,
  [7631] = 6686,
  [7632] = 6685,
  [7633] = 6685,
  [7634] = 6686,
  [7635] = 6686,
  [7636] = 6685,
  [7637] = 6686,
  [7638] = 6687,
  [7639] = 6685,
  [7640] = 6686,
  [7641] = 6688,
  [7642] = 6689,
  [7643] = 6858,
  [7644] = 7145,
  [7645] = 6690,
  [7646] = 6685,
  [7647] = 6686,
  [7648] = 6691,
  [7649] = 6679,
  [7650] = 6681,
  [7651] = 6685,
  [7652] = 6681,
  [7653] = 6679,
  [7654] = 6693,
  [7655] = 6685,
  [7656] = 6686,
  [7657] = 6675,
  [7658] = 6693,
  [7659] = 6052,
  [7660] = 4169,
  [7661] = 598,
  [7662] = 4166,
  [7663] = 600,
  [7664] = 602,
  [7665] = 602,
  [7666] = 6032,
  [7667] = 6000,
  [7668] = 6002,
  [7669] = 6052,
  [7670] = 4164,
  [7671] = 4170,
  [7672] = 6032,
  [7673] = 6052,
  [7674] = 5984,
  [7675] = 5996,
  [7676] = 5999,
  [7677] = 5991,
  [7678] = 4163,
  [7679] = 4164,
  [7680] = 4170,
  [7681] = 6032,
  [7682] = 4164,
  [7683] = 6002,
  [7684] = 5991,
  [7685] = 596,
  [7686] = 5984,
  [7687] = 5996,
  [7688] = 5999,
  [7689] = 5996,
  [7690] = 5999,
  [7691] = 5991,
  [7692] = 4169,
  [7693] = 4166,
  [7694] = 4166,
  [7695] = 596,
  [7696] = 600,
  [7697] = 4163,
  [7698] = 4170,
  [7699] = 598,
  [7700] = 6000,
  [7701] = 4169,
  [7702] = 596,
  [7703] = 598,
  [7704] = 6000,
  [7705] = 6002,
  [7706] = 4163,
  [7707] = 600,
  [7708] = 602,
  [7709] = 5984,
  [7710] = 471,
  [7711] = 4067,
  [7712] = 7712,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7715,
  [7716] = 7716,
  [7717] = 7717,
  [7718] = 7716,
  [7719] = 7712,
  [7720] = 7712,
  [7721] = 7713,
  [7722] = 7714,
  [7723] = 7715,
  [7724] = 7716,
  [7725] = 7717,
  [7726] = 7716,
  [7727] = 7717,
  [7728] = 7712,
  [7729] = 472,
  [7730] = 7712,
  [7731] = 7712,
  [7732] = 7713,
  [7733] = 7714,
  [7734] = 7713,
  [7735] = 7715,
  [7736] = 475,
  [7737] = 466,
  [7738] = 7716,
  [7739] = 7712,
  [7740] = 7717,
  [7741] = 7715,
  [7742] = 7713,
  [7743] = 7714,
  [7744] = 7716,
  [7745] = 7715,
  [7746] = 7712,
  [7747] = 7713,
  [7748] = 467,
  [7749] = 7716,
  [7750] = 7714,
  [7751] = 7717,
  [7752] = 473,
  [7753] = 7717,
  [7754] = 7713,
  [7755] = 7714,
  [7756] = 7715,
  [7757] = 7712,
  [7758] = 7715,
  [7759] = 466,
  [7760] = 7716,
  [7761] = 7716,
  [7762] = 7717,
  [7763] = 7716,
  [7764] = 7712,
  [7765] = 7713,
  [7766] = 7714,
  [7767] = 7715,
  [7768] = 470,
  [7769] = 7713,
  [7770] = 7713,
  [7771] = 7714,
  [7772] = 7714,
  [7773] = 7712,
  [7774] = 7717,
  [7775] = 7714,
  [7776] = 7712,
  [7777] = 7717,
  [7778] = 7715,
  [7779] = 7712,
  [7780] = 7714,
  [7781] = 7716,
  [7782] = 7712,
  [7783] = 7713,
  [7784] = 7714,
  [7785] = 7717,
  [7786] = 7715,
  [7787] = 7716,
  [7788] = 7717,
  [7789] = 7713,
  [7790] = 7714,
  [7791] = 7715,
  [7792] = 7713,
  [7793] = 7714,
  [7794] = 7716,
  [7795] = 7717,
  [7796] = 7713,
  [7797] = 7715,
  [7798] = 7712,
  [7799] = 498,
  [7800] = 7717,
  [7801] = 7716,
  [7802] = 7717,
  [7803] = 7714,
  [7804] = 7714,
  [7805] = 7715,
  [7806] = 7715,
  [7807] = 7715,
  [7808] = 7716,
  [7809] = 7712,
  [7810] = 7712,
  [7811] = 7717,
  [7812] = 7713,
  [7813] = 7713,
  [7814] = 7714,
  [7815] = 7715,
  [7816] = 7716,
  [7817] = 7712,
  [7818] = 467,
  [7819] = 7716,
  [7820] = 7715,
  [7821] = 7713,
  [7822] = 7714,
  [7823] = 7717,
  [7824] = 7715,
  [7825] = 7716,
  [7826] = 7717,
  [7827] = 7717,
  [7828] = 7713,
  [7829] = 497,
  [7830] = 486,
  [7831] = 4067,
  [7832] = 471,
  [7833] = 482,
  [7834] = 471,
  [7835] = 478,
  [7836] = 4106,
  [7837] = 491,
  [7838] = 482,
  [7839] = 488,
  [7840] = 7840,
  [7841] = 485,
  [7842] = 492,
  [7843] = 473,
  [7844] = 502,
  [7845] = 466,
  [7846] = 466,
  [7847] = 467,
  [7848] = 7848,
  [7849] = 483,
  [7850] = 472,
  [7851] = 7851,
  [7852] = 498,
  [7853] = 466,
  [7854] = 487,
  [7855] = 498,
  [7856] = 498,
  [7857] = 490,
  [7858] = 470,
  [7859] = 499,
  [7860] = 489,
  [7861] = 484,
  [7862] = 472,
  [7863] = 487,
  [7864] = 4067,
  [7865] = 500,
  [7866] = 502,
  [7867] = 467,
  [7868] = 484,
  [7869] = 475,
  [7870] = 493,
  [7871] = 466,
  [7872] = 473,
  [7873] = 470,
  [7874] = 475,
  [7875] = 489,
  [7876] = 467,
  [7877] = 467,
  [7878] = 478,
  [7879] = 492,
  [7880] = 7880,
  [7881] = 482,
  [7882] = 7882,
  [7883] = 497,
  [7884] = 7884,
  [7885] = 492,
  [7886] = 4106,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 497,
  [7890] = 482,
  [7891] = 7891,
  [7892] = 7882,
  [7893] = 7880,
  [7894] = 7888,
  [7895] = 7895,
  [7896] = 7895,
  [7897] = 7897,
  [7898] = 486,
  [7899] = 488,
  [7900] = 4106,
  [7901] = 485,
  [7902] = 485,
  [7903] = 491,
  [7904] = 7884,
  [7905] = 7884,
  [7906] = 7884,
  [7907] = 491,
  [7908] = 7895,
  [7909] = 7887,
  [7910] = 7888,
  [7911] = 482,
  [7912] = 486,
  [7913] = 488,
  [7914] = 7887,
  [7915] = 7895,
  [7916] = 7882,
  [7917] = 7882,
  [7918] = 7880,
  [7919] = 7887,
  [7920] = 7888,
  [7921] = 482,
  [7922] = 7880,
  [7923] = 478,
  [7924] = 7924,
  [7925] = 7925,
  [7926] = 483,
  [7927] = 7924,
  [7928] = 596,
  [7929] = 600,
  [7930] = 7930,
  [7931] = 500,
  [7932] = 7932,
  [7933] = 490,
  [7934] = 484,
  [7935] = 484,
  [7936] = 489,
  [7937] = 489,
  [7938] = 499,
  [7939] = 483,
  [7940] = 487,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 4166,
  [7944] = 7942,
  [7945] = 7945,
  [7946] = 499,
  [7947] = 493,
  [7948] = 493,
  [7949] = 7949,
  [7950] = 487,
  [7951] = 7925,
  [7952] = 7952,
  [7953] = 4170,
  [7954] = 7924,
  [7955] = 7955,
  [7956] = 4164,
  [7957] = 4163,
  [7958] = 502,
  [7959] = 7949,
  [7960] = 500,
  [7961] = 7942,
  [7962] = 7932,
  [7963] = 471,
  [7964] = 602,
  [7965] = 489,
  [7966] = 502,
  [7967] = 489,
  [7968] = 484,
  [7969] = 7949,
  [7970] = 7925,
  [7971] = 7945,
  [7972] = 7952,
  [7973] = 4169,
  [7974] = 7942,
  [7975] = 502,
  [7976] = 7945,
  [7977] = 7977,
  [7978] = 598,
  [7979] = 484,
  [7980] = 7932,
  [7981] = 4067,
  [7982] = 7932,
  [7983] = 7945,
  [7984] = 502,
  [7985] = 7952,
  [7986] = 487,
  [7987] = 487,
  [7988] = 490,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7990,
  [7992] = 7992,
  [7993] = 7993,
  [7994] = 7994,
  [7995] = 7992,
  [7996] = 470,
  [7997] = 7990,
  [7998] = 7989,
  [7999] = 7999,
  [8000] = 467,
  [8001] = 472,
  [8002] = 8002,
  [8003] = 475,
  [8004] = 466,
  [8005] = 7992,
  [8006] = 7990,
  [8007] = 473,
  [8008] = 7989,
  [8009] = 7989,
  [8010] = 467,
  [8011] = 7992,
  [8012] = 7990,
  [8013] = 466,
  [8014] = 7989,
  [8015] = 7992,
  [8016] = 498,
  [8017] = 4164,
  [8018] = 497,
  [8019] = 598,
  [8020] = 8020,
  [8021] = 485,
  [8022] = 4106,
  [8023] = 486,
  [8024] = 497,
  [8025] = 8025,
  [8026] = 600,
  [8027] = 482,
  [8028] = 478,
  [8029] = 602,
  [8030] = 8030,
  [8031] = 488,
  [8032] = 8032,
  [8033] = 4106,
  [8034] = 482,
  [8035] = 596,
  [8036] = 8036,
  [8037] = 478,
  [8038] = 491,
  [8039] = 492,
  [8040] = 596,
  [8041] = 4096,
  [8042] = 4163,
  [8043] = 4164,
  [8044] = 487,
  [8045] = 8045,
  [8046] = 8045,
  [8047] = 490,
  [8048] = 493,
  [8049] = 8002,
  [8050] = 4169,
  [8051] = 489,
  [8052] = 502,
  [8053] = 598,
  [8054] = 4092,
  [8055] = 484,
  [8056] = 8045,
  [8057] = 8045,
  [8058] = 600,
  [8059] = 8059,
  [8060] = 4166,
  [8061] = 8045,
  [8062] = 4170,
  [8063] = 602,
  [8064] = 489,
  [8065] = 502,
  [8066] = 483,
  [8067] = 5991,
  [8068] = 4166,
  [8069] = 4170,
  [8070] = 500,
  [8071] = 484,
  [8072] = 8045,
  [8073] = 4163,
  [8074] = 4169,
  [8075] = 8059,
  [8076] = 487,
  [8077] = 499,
  [8078] = 8078,
  [8079] = 497,
  [8080] = 8080,
  [8081] = 8081,
  [8082] = 8080,
  [8083] = 8083,
  [8084] = 8078,
  [8085] = 8002,
  [8086] = 8080,
  [8087] = 8081,
  [8088] = 8078,
  [8089] = 8080,
  [8090] = 8081,
  [8091] = 8081,
  [8092] = 8078,
  [8093] = 8093,
  [8094] = 602,
  [8095] = 8093,
  [8096] = 8093,
  [8097] = 8097,
  [8098] = 8093,
  [8099] = 8099,
  [8100] = 8097,
  [8101] = 8093,
  [8102] = 8093,
  [8103] = 4164,
  [8104] = 8097,
  [8105] = 8093,
  [8106] = 8093,
  [8107] = 8093,
  [8108] = 8093,
  [8109] = 8099,
  [8110] = 8093,
  [8111] = 8097,
  [8112] = 8097,
  [8113] = 8113,
  [8114] = 8097,
  [8115] = 8097,
  [8116] = 8093,
  [8117] = 8097,
  [8118] = 8097,
  [8119] = 4163,
  [8120] = 8097,
  [8121] = 8121,
  [8122] = 8093,
  [8123] = 8093,
  [8124] = 8093,
  [8125] = 8097,
  [8126] = 8093,
  [8127] = 8093,
  [8128] = 8093,
  [8129] = 4169,
  [8130] = 8097,
  [8131] = 4166,
  [8132] = 8132,
  [8133] = 8093,
  [8134] = 8097,
  [8135] = 8097,
  [8136] = 8121,
  [8137] = 8093,
  [8138] = 8097,
  [8139] = 8093,
  [8140] = 8097,
  [8141] = 8113,
  [8142] = 8093,
  [8143] = 8093,
  [8144] = 8093,
  [8145] = 596,
  [8146] = 8093,
  [8147] = 8093,
  [8148] = 8093,
  [8149] = 8093,
  [8150] = 8093,
  [8151] = 8099,
  [8152] = 8097,
  [8153] = 8113,
  [8154] = 8093,
  [8155] = 8121,
  [8156] = 8093,
  [8157] = 598,
  [8158] = 8093,
  [8159] = 8093,
  [8160] = 4170,
  [8161] = 600,
  [8162] = 8093,
  [8163] = 8093,
  [8164] = 8099,
  [8165] = 8093,
  [8166] = 8093,
  [8167] = 8097,
  [8168] = 8113,
  [8169] = 8121,
  [8170] = 8093,
  [8171] = 8093,
  [8172] = 8093,
  [8173] = 8173,
  [8174] = 492,
  [8175] = 8175,
  [8176] = 8176,
  [8177] = 491,
  [8178] = 471,
  [8179] = 471,
  [8180] = 467,
  [8181] = 4067,
  [8182] = 470,
  [8183] = 472,
  [8184] = 466,
  [8185] = 472,
  [8186] = 466,
  [8187] = 467,
  [8188] = 467,
  [8189] = 470,
  [8190] = 498,
  [8191] = 475,
  [8192] = 473,
  [8193] = 471,
  [8194] = 471,
  [8195] = 466,
  [8196] = 466,
  [8197] = 467,
  [8198] = 473,
  [8199] = 467,
  [8200] = 466,
  [8201] = 473,
  [8202] = 4067,
  [8203] = 466,
  [8204] = 475,
  [8205] = 475,
  [8206] = 488,
  [8207] = 473,
  [8208] = 467,
  [8209] = 467,
  [8210] = 466,
  [8211] = 470,
  [8212] = 470,
  [8213] = 478,
  [8214] = 467,
  [8215] = 491,
  [8216] = 470,
  [8217] = 467,
  [8218] = 498,
  [8219] = 466,
  [8220] = 472,
  [8221] = 482,
  [8222] = 472,
  [8223] = 486,
  [8224] = 497,
  [8225] = 466,
  [8226] = 466,
  [8227] = 473,
  [8228] = 482,
  [8229] = 472,
  [8230] = 492,
  [8231] = 467,
  [8232] = 471,
  [8233] = 485,
  [8234] = 8234,
  [8235] = 8234,
  [8236] = 484,
  [8237] = 4265,
  [8238] = 4261,
  [8239] = 4271,
  [8240] = 4255,
  [8241] = 4263,
  [8242] = 4106,
  [8243] = 482,
  [8244] = 497,
  [8245] = 482,
  [8246] = 475,
  [8247] = 490,
  [8248] = 482,
  [8249] = 498,
  [8250] = 499,
  [8251] = 8234,
  [8252] = 8252,
  [8253] = 500,
  [8254] = 491,
  [8255] = 497,
  [8256] = 484,
  [8257] = 483,
  [8258] = 4262,
  [8259] = 487,
  [8260] = 466,
  [8261] = 502,
  [8262] = 492,
  [8263] = 8263,
  [8264] = 502,
  [8265] = 485,
  [8266] = 8234,
  [8267] = 466,
  [8268] = 478,
  [8269] = 486,
  [8270] = 478,
  [8271] = 489,
  [8272] = 482,
  [8273] = 4283,
  [8274] = 488,
  [8275] = 488,
  [8276] = 493,
  [8277] = 491,
  [8278] = 486,
  [8279] = 485,
  [8280] = 492,
  [8281] = 489,
  [8282] = 470,
  [8283] = 487,
  [8284] = 472,
  [8285] = 467,
  [8286] = 473,
  [8287] = 8234,
  [8288] = 8234,
  [8289] = 482,
  [8290] = 467,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8292,
  [8294] = 502,
  [8295] = 8291,
  [8296] = 8291,
  [8297] = 8297,
  [8298] = 499,
  [8299] = 4286,
  [8300] = 4276,
  [8301] = 8292,
  [8302] = 487,
  [8303] = 4271,
  [8304] = 8292,
  [8305] = 487,
  [8306] = 4255,
  [8307] = 487,
  [8308] = 489,
  [8309] = 4288,
  [8310] = 8297,
  [8311] = 478,
  [8312] = 4271,
  [8313] = 500,
  [8314] = 8292,
  [8315] = 8297,
  [8316] = 489,
  [8317] = 4269,
  [8318] = 484,
  [8319] = 500,
  [8320] = 471,
  [8321] = 8291,
  [8322] = 484,
  [8323] = 4067,
  [8324] = 482,
  [8325] = 4263,
  [8326] = 499,
  [8327] = 484,
  [8328] = 499,
  [8329] = 500,
  [8330] = 8297,
  [8331] = 489,
  [8332] = 490,
  [8333] = 483,
  [8334] = 8292,
  [8335] = 483,
  [8336] = 8292,
  [8337] = 8297,
  [8338] = 489,
  [8339] = 8292,
  [8340] = 4255,
  [8341] = 493,
  [8342] = 4262,
  [8343] = 502,
  [8344] = 8292,
  [8345] = 8292,
  [8346] = 489,
  [8347] = 4261,
  [8348] = 8291,
  [8349] = 487,
  [8350] = 8292,
  [8351] = 4263,
  [8352] = 4283,
  [8353] = 4265,
  [8354] = 8297,
  [8355] = 8291,
  [8356] = 489,
  [8357] = 502,
  [8358] = 8291,
  [8359] = 487,
  [8360] = 490,
  [8361] = 497,
  [8362] = 8297,
  [8363] = 502,
  [8364] = 487,
  [8365] = 4261,
  [8366] = 484,
  [8367] = 493,
  [8368] = 484,
  [8369] = 4262,
  [8370] = 8292,
  [8371] = 8371,
  [8372] = 485,
  [8373] = 486,
  [8374] = 502,
  [8375] = 488,
  [8376] = 4265,
  [8377] = 8291,
  [8378] = 491,
  [8379] = 4106,
  [8380] = 8292,
  [8381] = 492,
  [8382] = 4284,
  [8383] = 8297,
  [8384] = 8292,
  [8385] = 4283,
  [8386] = 4290,
  [8387] = 8387,
  [8388] = 8388,
  [8389] = 500,
  [8390] = 8387,
  [8391] = 498,
  [8392] = 489,
  [8393] = 8387,
  [8394] = 489,
  [8395] = 467,
  [8396] = 466,
  [8397] = 467,
  [8398] = 466,
  [8399] = 499,
  [8400] = 8400,
  [8401] = 487,
  [8402] = 8388,
  [8403] = 500,
  [8404] = 8388,
  [8405] = 4284,
  [8406] = 489,
  [8407] = 4292,
  [8408] = 8408,
  [8409] = 487,
  [8410] = 8387,
  [8411] = 8387,
  [8412] = 7977,
  [8413] = 4269,
  [8414] = 8414,
  [8415] = 8387,
  [8416] = 8388,
  [8417] = 4289,
  [8418] = 8388,
  [8419] = 4286,
  [8420] = 487,
  [8421] = 4276,
  [8422] = 489,
  [8423] = 4294,
  [8424] = 4271,
  [8425] = 8388,
  [8426] = 8388,
  [8427] = 502,
  [8428] = 484,
  [8429] = 4291,
  [8430] = 8388,
  [8431] = 4288,
  [8432] = 8388,
  [8433] = 8387,
  [8434] = 8387,
  [8435] = 499,
  [8436] = 8387,
  [8437] = 8388,
  [8438] = 8438,
  [8439] = 8387,
  [8440] = 4269,
  [8441] = 8388,
  [8442] = 7955,
  [8443] = 8388,
  [8444] = 4286,
  [8445] = 4284,
  [8446] = 470,
  [8447] = 472,
  [8448] = 8448,
  [8449] = 4295,
  [8450] = 473,
  [8451] = 8387,
  [8452] = 4288,
  [8453] = 8387,
  [8454] = 4283,
  [8455] = 8388,
  [8456] = 8388,
  [8457] = 8387,
  [8458] = 483,
  [8459] = 4276,
  [8460] = 475,
  [8461] = 8387,
  [8462] = 490,
  [8463] = 493,
  [8464] = 487,
  [8465] = 4292,
  [8466] = 8466,
  [8467] = 596,
  [8468] = 4313,
  [8469] = 4295,
  [8470] = 8466,
  [8471] = 8466,
  [8472] = 8466,
  [8473] = 4294,
  [8474] = 4295,
  [8475] = 482,
  [8476] = 8476,
  [8477] = 8476,
  [8478] = 8466,
  [8479] = 8479,
  [8480] = 4294,
  [8481] = 4289,
  [8482] = 8466,
  [8483] = 4292,
  [8484] = 4310,
  [8485] = 8466,
  [8486] = 8476,
  [8487] = 4332,
  [8488] = 8466,
  [8489] = 8479,
  [8490] = 8476,
  [8491] = 8476,
  [8492] = 4106,
  [8493] = 602,
  [8494] = 598,
  [8495] = 485,
  [8496] = 486,
  [8497] = 8476,
  [8498] = 8476,
  [8499] = 8499,
  [8500] = 4291,
  [8501] = 8476,
  [8502] = 8502,
  [8503] = 4290,
  [8504] = 8466,
  [8505] = 8466,
  [8506] = 4291,
  [8507] = 4298,
  [8508] = 8508,
  [8509] = 8466,
  [8510] = 4330,
  [8511] = 8476,
  [8512] = 8476,
  [8513] = 4299,
  [8514] = 4331,
  [8515] = 8476,
  [8516] = 4290,
  [8517] = 529,
  [8518] = 4289,
  [8519] = 4301,
  [8520] = 482,
  [8521] = 8466,
  [8522] = 478,
  [8523] = 600,
  [8524] = 8476,
  [8525] = 8479,
  [8526] = 8476,
  [8527] = 8466,
  [8528] = 8466,
  [8529] = 4333,
  [8530] = 497,
  [8531] = 8476,
  [8532] = 488,
  [8533] = 529,
  [8534] = 4313,
  [8535] = 4333,
  [8536] = 577,
  [8537] = 502,
  [8538] = 8538,
  [8539] = 484,
  [8540] = 487,
  [8541] = 8541,
  [8542] = 4351,
  [8543] = 8543,
  [8544] = 8544,
  [8545] = 587,
  [8546] = 502,
  [8547] = 500,
  [8548] = 8548,
  [8549] = 567,
  [8550] = 568,
  [8551] = 484,
  [8552] = 8552,
  [8553] = 8538,
  [8554] = 8541,
  [8555] = 4345,
  [8556] = 569,
  [8557] = 8538,
  [8558] = 489,
  [8559] = 8548,
  [8560] = 4370,
  [8561] = 498,
  [8562] = 8541,
  [8563] = 8563,
  [8564] = 8564,
  [8565] = 8565,
  [8566] = 4392,
  [8567] = 4332,
  [8568] = 8548,
  [8569] = 8544,
  [8570] = 8538,
  [8571] = 8571,
  [8572] = 4170,
  [8573] = 4331,
  [8574] = 596,
  [8575] = 8565,
  [8576] = 8571,
  [8577] = 8541,
  [8578] = 8548,
  [8579] = 8571,
  [8580] = 579,
  [8581] = 8563,
  [8582] = 8564,
  [8583] = 4333,
  [8584] = 8544,
  [8585] = 8571,
  [8586] = 8565,
  [8587] = 8541,
  [8588] = 8543,
  [8589] = 8552,
  [8590] = 8563,
  [8591] = 598,
  [8592] = 8538,
  [8593] = 8593,
  [8594] = 4338,
  [8595] = 8543,
  [8596] = 600,
  [8597] = 602,
  [8598] = 8564,
  [8599] = 8552,
  [8600] = 4330,
  [8601] = 8571,
  [8602] = 4310,
  [8603] = 4331,
  [8604] = 8604,
  [8605] = 4339,
  [8606] = 8538,
  [8607] = 4163,
  [8608] = 8564,
  [8609] = 8538,
  [8610] = 8543,
  [8611] = 4336,
  [8612] = 4299,
  [8613] = 4340,
  [8614] = 8538,
  [8615] = 8552,
  [8616] = 489,
  [8617] = 4330,
  [8618] = 4355,
  [8619] = 8563,
  [8620] = 8552,
  [8621] = 8538,
  [8622] = 483,
  [8623] = 499,
  [8624] = 8538,
  [8625] = 4299,
  [8626] = 4301,
  [8627] = 8538,
  [8628] = 4298,
  [8629] = 8565,
  [8630] = 4164,
  [8631] = 8564,
  [8632] = 8548,
  [8633] = 8563,
  [8634] = 8564,
  [8635] = 8544,
  [8636] = 8571,
  [8637] = 8565,
  [8638] = 8541,
  [8639] = 8543,
  [8640] = 8552,
  [8641] = 490,
  [8642] = 4364,
  [8643] = 8571,
  [8644] = 493,
  [8645] = 4310,
  [8646] = 4332,
  [8647] = 4301,
  [8648] = 8548,
  [8649] = 4169,
  [8650] = 4360,
  [8651] = 8544,
  [8652] = 572,
  [8653] = 8538,
  [8654] = 4313,
  [8655] = 8543,
  [8656] = 8541,
  [8657] = 576,
  [8658] = 580,
  [8659] = 8538,
  [8660] = 8543,
  [8661] = 8552,
  [8662] = 8548,
  [8663] = 487,
  [8664] = 4166,
  [8665] = 8563,
  [8666] = 8563,
  [8667] = 571,
  [8668] = 4365,
  [8669] = 8538,
  [8670] = 4384,
  [8671] = 8564,
  [8672] = 4298,
  [8673] = 8565,
  [8674] = 8565,
  [8675] = 8544,
  [8676] = 8544,
  [8677] = 8548,
  [8678] = 8563,
  [8679] = 8564,
  [8680] = 8544,
  [8681] = 8571,
  [8682] = 8565,
  [8683] = 8541,
  [8684] = 8684,
  [8685] = 8543,
  [8686] = 8552,
  [8687] = 529,
  [8688] = 572,
  [8689] = 8689,
  [8690] = 8690,
  [8691] = 8691,
  [8692] = 4432,
  [8693] = 8693,
  [8694] = 4355,
  [8695] = 576,
  [8696] = 8691,
  [8697] = 8697,
  [8698] = 8698,
  [8699] = 8699,
  [8700] = 4166,
  [8701] = 4499,
  [8702] = 8693,
  [8703] = 8693,
  [8704] = 8693,
  [8705] = 8705,
  [8706] = 8706,
  [8707] = 8693,
  [8708] = 4392,
  [8709] = 4338,
  [8710] = 4482,
  [8711] = 8711,
  [8712] = 4340,
  [8713] = 4397,
  [8714] = 577,
  [8715] = 8699,
  [8716] = 8716,
  [8717] = 8693,
  [8718] = 8693,
  [8719] = 567,
  [8720] = 4355,
  [8721] = 8721,
  [8722] = 568,
  [8723] = 8693,
  [8724] = 4351,
  [8725] = 466,
  [8726] = 8684,
  [8727] = 8699,
  [8728] = 8721,
  [8729] = 8693,
  [8730] = 596,
  [8731] = 8693,
  [8732] = 8699,
  [8733] = 4477,
  [8734] = 8734,
  [8735] = 8735,
  [8736] = 8693,
  [8737] = 8693,
  [8738] = 8693,
  [8739] = 4424,
  [8740] = 4164,
  [8741] = 8689,
  [8742] = 4169,
  [8743] = 8699,
  [8744] = 8721,
  [8745] = 598,
  [8746] = 8693,
  [8747] = 8711,
  [8748] = 8721,
  [8749] = 8699,
  [8750] = 587,
  [8751] = 4345,
  [8752] = 8693,
  [8753] = 8711,
  [8754] = 587,
  [8755] = 600,
  [8756] = 4345,
  [8757] = 8693,
  [8758] = 8735,
  [8759] = 4360,
  [8760] = 4370,
  [8761] = 591,
  [8762] = 602,
  [8763] = 4364,
  [8764] = 8699,
  [8765] = 8765,
  [8766] = 8693,
  [8767] = 8002,
  [8768] = 4336,
  [8769] = 8691,
  [8770] = 8699,
  [8771] = 8706,
  [8772] = 4467,
  [8773] = 571,
  [8774] = 4164,
  [8775] = 598,
  [8776] = 8721,
  [8777] = 8721,
  [8778] = 572,
  [8779] = 4170,
  [8780] = 3329,
  [8781] = 8689,
  [8782] = 4440,
  [8783] = 4106,
  [8784] = 4419,
  [8785] = 8785,
  [8786] = 4384,
  [8787] = 8721,
  [8788] = 8689,
  [8789] = 8765,
  [8790] = 8705,
  [8791] = 596,
  [8792] = 4434,
  [8793] = 8793,
  [8794] = 8593,
  [8795] = 8706,
  [8796] = 577,
  [8797] = 8735,
  [8798] = 8798,
  [8799] = 8765,
  [8800] = 8793,
  [8801] = 580,
  [8802] = 8697,
  [8803] = 4402,
  [8804] = 8711,
  [8805] = 7993,
  [8806] = 8697,
  [8807] = 8691,
  [8808] = 8705,
  [8809] = 8693,
  [8810] = 8697,
  [8811] = 8693,
  [8812] = 8689,
  [8813] = 8721,
  [8814] = 4438,
  [8815] = 4489,
  [8816] = 4484,
  [8817] = 4336,
  [8818] = 8693,
  [8819] = 4407,
  [8820] = 8693,
  [8821] = 576,
  [8822] = 8693,
  [8823] = 4339,
  [8824] = 8793,
  [8825] = 8691,
  [8826] = 8826,
  [8827] = 8002,
  [8828] = 8693,
  [8829] = 4485,
  [8830] = 4405,
  [8831] = 8693,
  [8832] = 567,
  [8833] = 467,
  [8834] = 8765,
  [8835] = 8693,
  [8836] = 579,
  [8837] = 4410,
  [8838] = 8705,
  [8839] = 8699,
  [8840] = 4472,
  [8841] = 8793,
  [8842] = 4420,
  [8843] = 8693,
  [8844] = 8721,
  [8845] = 4412,
  [8846] = 569,
  [8847] = 8699,
  [8848] = 4408,
  [8849] = 8721,
  [8850] = 4364,
  [8851] = 4163,
  [8852] = 8765,
  [8853] = 8705,
  [8854] = 8697,
  [8855] = 8765,
  [8856] = 8699,
  [8857] = 8706,
  [8858] = 8711,
  [8859] = 8765,
  [8860] = 8691,
  [8861] = 8735,
  [8862] = 8721,
  [8863] = 8705,
  [8864] = 8705,
  [8865] = 8693,
  [8866] = 8693,
  [8867] = 8721,
  [8868] = 8868,
  [8869] = 4365,
  [8870] = 4370,
  [8871] = 4503,
  [8872] = 8721,
  [8873] = 8693,
  [8874] = 602,
  [8875] = 8706,
  [8876] = 8721,
  [8877] = 8735,
  [8878] = 8878,
  [8879] = 8693,
  [8880] = 580,
  [8881] = 8693,
  [8882] = 8693,
  [8883] = 4339,
  [8884] = 8706,
  [8885] = 4392,
  [8886] = 8689,
  [8887] = 8693,
  [8888] = 4384,
  [8889] = 4360,
  [8890] = 569,
  [8891] = 4365,
  [8892] = 4498,
  [8893] = 8689,
  [8894] = 4480,
  [8895] = 600,
  [8896] = 8699,
  [8897] = 4351,
  [8898] = 4164,
  [8899] = 4518,
  [8900] = 4474,
  [8901] = 571,
  [8902] = 8735,
  [8903] = 568,
  [8904] = 3317,
  [8905] = 8706,
  [8906] = 475,
  [8907] = 5991,
  [8908] = 8793,
  [8909] = 8693,
  [8910] = 8697,
  [8911] = 8689,
  [8912] = 8693,
  [8913] = 579,
  [8914] = 8793,
  [8915] = 8793,
  [8916] = 8765,
  [8917] = 8705,
  [8918] = 498,
  [8919] = 8711,
  [8920] = 8706,
  [8921] = 8693,
  [8922] = 8735,
  [8923] = 8697,
  [8924] = 4338,
  [8925] = 8793,
  [8926] = 8711,
  [8927] = 8697,
  [8928] = 8693,
  [8929] = 8711,
  [8930] = 8693,
  [8931] = 8691,
  [8932] = 8691,
  [8933] = 8699,
  [8934] = 8721,
  [8935] = 8693,
  [8936] = 8699,
  [8937] = 8693,
  [8938] = 4340,
  [8939] = 8735,
  [8940] = 4412,
  [8941] = 4438,
  [8942] = 4364,
  [8943] = 8943,
  [8944] = 8944,
  [8945] = 8945,
  [8946] = 8946,
  [8947] = 8947,
  [8948] = 8948,
  [8949] = 4420,
  [8950] = 4467,
  [8951] = 4472,
  [8952] = 4474,
  [8953] = 4438,
  [8954] = 4480,
  [8955] = 4518,
  [8956] = 8943,
  [8957] = 8944,
  [8958] = 4384,
  [8959] = 8959,
  [8960] = 8960,
  [8961] = 8961,
  [8962] = 4474,
  [8963] = 8960,
  [8964] = 4503,
  [8965] = 4423,
  [8966] = 4436,
  [8967] = 8943,
  [8968] = 8944,
  [8969] = 499,
  [8970] = 487,
  [8971] = 8943,
  [8972] = 8959,
  [8973] = 8944,
  [8974] = 8960,
  [8975] = 8961,
  [8976] = 3329,
  [8977] = 687,
  [8978] = 8959,
  [8979] = 8960,
  [8980] = 8961,
  [8981] = 8981,
  [8982] = 4440,
  [8983] = 8959,
  [8984] = 8960,
  [8985] = 8961,
  [8986] = 4477,
  [8987] = 4424,
  [8988] = 8943,
  [8989] = 8944,
  [8990] = 8959,
  [8991] = 8960,
  [8992] = 8961,
  [8993] = 4420,
  [8994] = 4503,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 4499,
  [8998] = 4482,
  [8999] = 4405,
  [9000] = 4407,
  [9001] = 4410,
  [9002] = 4532,
  [9003] = 4471,
  [9004] = 4477,
  [9005] = 4499,
  [9006] = 591,
  [9007] = 4402,
  [9008] = 8943,
  [9009] = 8944,
  [9010] = 4345,
  [9011] = 9011,
  [9012] = 4402,
  [9013] = 8944,
  [9014] = 4397,
  [9015] = 8943,
  [9016] = 487,
  [9017] = 8944,
  [9018] = 9018,
  [9019] = 9019,
  [9020] = 9020,
  [9021] = 596,
  [9022] = 4432,
  [9023] = 3926,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 647,
  [9027] = 598,
  [9028] = 9028,
  [9029] = 500,
  [9030] = 489,
  [9031] = 8943,
  [9032] = 8944,
  [9033] = 4419,
  [9034] = 4434,
  [9035] = 9035,
  [9036] = 600,
  [9037] = 4482,
  [9038] = 4397,
  [9039] = 9039,
  [9040] = 8959,
  [9041] = 602,
  [9042] = 8960,
  [9043] = 8961,
  [9044] = 4440,
  [9045] = 8943,
  [9046] = 8944,
  [9047] = 9019,
  [9048] = 4412,
  [9049] = 8944,
  [9050] = 4419,
  [9051] = 4434,
  [9052] = 4518,
  [9053] = 3920,
  [9054] = 9054,
  [9055] = 9019,
  [9056] = 489,
  [9057] = 4406,
  [9058] = 4408,
  [9059] = 8943,
  [9060] = 8944,
  [9061] = 4480,
  [9062] = 9028,
  [9063] = 8943,
  [9064] = 8944,
  [9065] = 8961,
  [9066] = 9035,
  [9067] = 4405,
  [9068] = 4484,
  [9069] = 4485,
  [9070] = 4489,
  [9071] = 4498,
  [9072] = 4554,
  [9073] = 8943,
  [9074] = 8944,
  [9075] = 4432,
  [9076] = 9020,
  [9077] = 8996,
  [9078] = 9028,
  [9079] = 8943,
  [9080] = 8944,
  [9081] = 9035,
  [9082] = 9028,
  [9083] = 8959,
  [9084] = 4407,
  [9085] = 8960,
  [9086] = 4408,
  [9087] = 591,
  [9088] = 8961,
  [9089] = 8959,
  [9090] = 8943,
  [9091] = 9035,
  [9092] = 8943,
  [9093] = 8943,
  [9094] = 9094,
  [9095] = 8944,
  [9096] = 4424,
  [9097] = 4484,
  [9098] = 4485,
  [9099] = 4489,
  [9100] = 4498,
  [9101] = 8944,
  [9102] = 9020,
  [9103] = 8996,
  [9104] = 9020,
  [9105] = 8996,
  [9106] = 9020,
  [9107] = 8996,
  [9108] = 9020,
  [9109] = 8996,
  [9110] = 9020,
  [9111] = 8996,
  [9112] = 9020,
  [9113] = 8996,
  [9114] = 9020,
  [9115] = 8996,
  [9116] = 9020,
  [9117] = 8996,
  [9118] = 9020,
  [9119] = 8996,
  [9120] = 9020,
  [9121] = 8996,
  [9122] = 9020,
  [9123] = 8996,
  [9124] = 9020,
  [9125] = 8996,
  [9126] = 4467,
  [9127] = 4410,
  [9128] = 4164,
  [9129] = 4472,
  [9130] = 3317,
  [9131] = 8943,
  [9132] = 8944,
  [9133] = 8943,
  [9134] = 9134,
  [9135] = 9135,
  [9136] = 9136,
  [9137] = 9137,
  [9138] = 9138,
  [9139] = 9139,
  [9140] = 9140,
  [9141] = 9141,
  [9142] = 9142,
  [9143] = 9143,
  [9144] = 9144,
  [9145] = 9145,
  [9146] = 9146,
  [9147] = 9147,
  [9148] = 9134,
  [9149] = 9149,
  [9150] = 9135,
  [9151] = 9144,
  [9152] = 9134,
  [9153] = 9138,
  [9154] = 9154,
  [9155] = 9155,
  [9156] = 9156,
  [9157] = 9157,
  [9158] = 9156,
  [9159] = 9159,
  [9160] = 9149,
  [9161] = 9161,
  [9162] = 9143,
  [9163] = 9146,
  [9164] = 9154,
  [9165] = 9159,
  [9166] = 9157,
  [9167] = 9149,
  [9168] = 9168,
  [9169] = 9161,
  [9170] = 9170,
  [9171] = 9143,
  [9172] = 9146,
  [9173] = 9154,
  [9174] = 9157,
  [9175] = 9159,
  [9176] = 9145,
  [9177] = 9177,
  [9178] = 9178,
  [9179] = 4047,
  [9180] = 9143,
  [9181] = 9146,
  [9182] = 9154,
  [9183] = 9144,
  [9184] = 574,
  [9185] = 9157,
  [9186] = 487,
  [9187] = 9143,
  [9188] = 9146,
  [9189] = 9154,
  [9190] = 9157,
  [9191] = 9147,
  [9192] = 9135,
  [9193] = 9193,
  [9194] = 9144,
  [9195] = 9143,
  [9196] = 9146,
  [9197] = 9154,
  [9198] = 9134,
  [9199] = 9157,
  [9200] = 9141,
  [9201] = 9156,
  [9202] = 9159,
  [9203] = 9149,
  [9204] = 9156,
  [9205] = 9161,
  [9206] = 9206,
  [9207] = 9143,
  [9208] = 9146,
  [9209] = 9154,
  [9210] = 9210,
  [9211] = 9157,
  [9212] = 9212,
  [9213] = 9134,
  [9214] = 9210,
  [9215] = 9215,
  [9216] = 9216,
  [9217] = 9136,
  [9218] = 9143,
  [9219] = 9146,
  [9220] = 9154,
  [9221] = 9137,
  [9222] = 4406,
  [9223] = 9147,
  [9224] = 9224,
  [9225] = 9159,
  [9226] = 9149,
  [9227] = 9139,
  [9228] = 9216,
  [9229] = 9147,
  [9230] = 9135,
  [9231] = 9144,
  [9232] = 9134,
  [9233] = 9161,
  [9234] = 9156,
  [9235] = 9159,
  [9236] = 9149,
  [9237] = 9140,
  [9238] = 9238,
  [9239] = 9161,
  [9240] = 9224,
  [9241] = 9143,
  [9242] = 9224,
  [9243] = 9155,
  [9244] = 9135,
  [9245] = 9245,
  [9246] = 9144,
  [9247] = 9142,
  [9248] = 3329,
  [9249] = 9170,
  [9250] = 9134,
  [9251] = 9146,
  [9252] = 9147,
  [9253] = 9145,
  [9254] = 9135,
  [9255] = 9144,
  [9256] = 9134,
  [9257] = 9156,
  [9258] = 9159,
  [9259] = 9149,
  [9260] = 9161,
  [9261] = 9156,
  [9262] = 9262,
  [9263] = 9263,
  [9264] = 9155,
  [9265] = 9265,
  [9266] = 9143,
  [9267] = 9149,
  [9268] = 9146,
  [9269] = 9215,
  [9270] = 9147,
  [9271] = 9135,
  [9272] = 9144,
  [9273] = 9134,
  [9274] = 9138,
  [9275] = 9156,
  [9276] = 9141,
  [9277] = 3920,
  [9278] = 9159,
  [9279] = 9149,
  [9280] = 9161,
  [9281] = 9281,
  [9282] = 9156,
  [9283] = 9283,
  [9284] = 9147,
  [9285] = 9135,
  [9286] = 9144,
  [9287] = 9134,
  [9288] = 9136,
  [9289] = 9156,
  [9290] = 9159,
  [9291] = 9149,
  [9292] = 9292,
  [9293] = 9161,
  [9294] = 9161,
  [9295] = 9295,
  [9296] = 9159,
  [9297] = 9297,
  [9298] = 9265,
  [9299] = 9149,
  [9300] = 9154,
  [9301] = 9136,
  [9302] = 9170,
  [9303] = 9303,
  [9304] = 9147,
  [9305] = 9154,
  [9306] = 9135,
  [9307] = 9144,
  [9308] = 9134,
  [9309] = 9215,
  [9310] = 9156,
  [9311] = 9159,
  [9312] = 9149,
  [9313] = 9147,
  [9314] = 9161,
  [9315] = 9154,
  [9316] = 4169,
  [9317] = 4163,
  [9318] = 9168,
  [9319] = 9147,
  [9320] = 9135,
  [9321] = 9144,
  [9322] = 9134,
  [9323] = 9161,
  [9324] = 9170,
  [9325] = 9155,
  [9326] = 9216,
  [9327] = 9147,
  [9328] = 9328,
  [9329] = 9135,
  [9330] = 9137,
  [9331] = 9154,
  [9332] = 9144,
  [9333] = 9134,
  [9334] = 9263,
  [9335] = 9156,
  [9336] = 9281,
  [9337] = 9159,
  [9338] = 9149,
  [9339] = 9138,
  [9340] = 9161,
  [9341] = 9215,
  [9342] = 9224,
  [9343] = 9141,
  [9344] = 573,
  [9345] = 9142,
  [9346] = 9156,
  [9347] = 9155,
  [9348] = 9159,
  [9349] = 9149,
  [9350] = 9168,
  [9351] = 9161,
  [9352] = 9159,
  [9353] = 9147,
  [9354] = 9145,
  [9355] = 9265,
  [9356] = 9147,
  [9357] = 9135,
  [9358] = 9144,
  [9359] = 9134,
  [9360] = 9156,
  [9361] = 9159,
  [9362] = 9149,
  [9363] = 9154,
  [9364] = 9145,
  [9365] = 9161,
  [9366] = 9210,
  [9367] = 9168,
  [9368] = 9216,
  [9369] = 9224,
  [9370] = 9154,
  [9371] = 9371,
  [9372] = 9147,
  [9373] = 9135,
  [9374] = 9144,
  [9375] = 9134,
  [9376] = 9156,
  [9377] = 9159,
  [9378] = 9281,
  [9379] = 9149,
  [9380] = 9161,
  [9381] = 9216,
  [9382] = 9149,
  [9383] = 9210,
  [9384] = 9135,
  [9385] = 9135,
  [9386] = 9297,
  [9387] = 9297,
  [9388] = 9144,
  [9389] = 9263,
  [9390] = 9144,
  [9391] = 9147,
  [9392] = 9292,
  [9393] = 9135,
  [9394] = 9144,
  [9395] = 9134,
  [9396] = 9156,
  [9397] = 9136,
  [9398] = 9170,
  [9399] = 9215,
  [9400] = 9159,
  [9401] = 9149,
  [9402] = 9147,
  [9403] = 9265,
  [9404] = 9135,
  [9405] = 9161,
  [9406] = 9144,
  [9407] = 9140,
  [9408] = 4050,
  [9409] = 9136,
  [9410] = 570,
  [9411] = 9216,
  [9412] = 9134,
  [9413] = 9413,
  [9414] = 9170,
  [9415] = 9415,
  [9416] = 9216,
  [9417] = 9417,
  [9418] = 9215,
  [9419] = 487,
  [9420] = 9161,
  [9421] = 9154,
  [9422] = 9135,
  [9423] = 9423,
  [9424] = 9155,
  [9425] = 9154,
  [9426] = 9147,
  [9427] = 9144,
  [9428] = 9134,
  [9429] = 9159,
  [9430] = 9149,
  [9431] = 9431,
  [9432] = 9135,
  [9433] = 9161,
  [9434] = 9144,
  [9435] = 9156,
  [9436] = 9138,
  [9437] = 9141,
  [9438] = 9156,
  [9439] = 9147,
  [9440] = 9265,
  [9441] = 9159,
  [9442] = 9149,
  [9443] = 9168,
  [9444] = 9161,
  [9445] = 9445,
  [9446] = 9135,
  [9447] = 9135,
  [9448] = 9144,
  [9449] = 9281,
  [9450] = 9134,
  [9451] = 9451,
  [9452] = 4436,
  [9453] = 9157,
  [9454] = 9145,
  [9455] = 9159,
  [9456] = 9149,
  [9457] = 9145,
  [9458] = 9155,
  [9459] = 9161,
  [9460] = 9137,
  [9461] = 9210,
  [9462] = 9462,
  [9463] = 9281,
  [9464] = 9464,
  [9465] = 9465,
  [9466] = 9144,
  [9467] = 9467,
  [9468] = 9468,
  [9469] = 9216,
  [9470] = 9134,
  [9471] = 9139,
  [9472] = 9135,
  [9473] = 9144,
  [9474] = 9134,
  [9475] = 9224,
  [9476] = 9159,
  [9477] = 9149,
  [9478] = 9147,
  [9479] = 9161,
  [9480] = 9142,
  [9481] = 9134,
  [9482] = 9156,
  [9483] = 9159,
  [9484] = 9297,
  [9485] = 9139,
  [9486] = 9135,
  [9487] = 9144,
  [9488] = 9149,
  [9489] = 9134,
  [9490] = 9134,
  [9491] = 9159,
  [9492] = 9149,
  [9493] = 9155,
  [9494] = 9161,
  [9495] = 9161,
  [9496] = 9136,
  [9497] = 9170,
  [9498] = 4423,
  [9499] = 9215,
  [9500] = 9147,
  [9501] = 9144,
  [9502] = 9149,
  [9503] = 9134,
  [9504] = 9145,
  [9505] = 9505,
  [9506] = 9138,
  [9507] = 9141,
  [9508] = 9135,
  [9509] = 9144,
  [9510] = 9144,
  [9511] = 9149,
  [9512] = 9297,
  [9513] = 9134,
  [9514] = 9144,
  [9515] = 9149,
  [9516] = 9155,
  [9517] = 9145,
  [9518] = 9281,
  [9519] = 9216,
  [9520] = 9216,
  [9521] = 9265,
  [9522] = 9156,
  [9523] = 9138,
  [9524] = 9137,
  [9525] = 9141,
  [9526] = 9156,
  [9527] = 9159,
  [9528] = 9149,
  [9529] = 9168,
  [9530] = 9161,
  [9531] = 9224,
  [9532] = 575,
  [9533] = 9297,
  [9534] = 9159,
  [9535] = 9145,
  [9536] = 9149,
  [9537] = 9155,
  [9538] = 9423,
  [9539] = 9168,
  [9540] = 500,
  [9541] = 489,
  [9542] = 489,
  [9543] = 9216,
  [9544] = 9224,
  [9545] = 9161,
  [9546] = 489,
  [9547] = 9224,
  [9548] = 9265,
  [9549] = 9154,
  [9550] = 9423,
  [9551] = 9145,
  [9552] = 9139,
  [9553] = 9281,
  [9554] = 9155,
  [9555] = 9210,
  [9556] = 9210,
  [9557] = 9224,
  [9558] = 9210,
  [9559] = 9297,
  [9560] = 9560,
  [9561] = 9263,
  [9562] = 9138,
  [9563] = 9216,
  [9564] = 9292,
  [9565] = 9142,
  [9566] = 9138,
  [9567] = 9136,
  [9568] = 9170,
  [9569] = 9215,
  [9570] = 9147,
  [9571] = 9135,
  [9572] = 9144,
  [9573] = 9134,
  [9574] = 9224,
  [9575] = 9417,
  [9576] = 9141,
  [9577] = 499,
  [9578] = 9143,
  [9579] = 9423,
  [9580] = 9155,
  [9581] = 9135,
  [9582] = 9146,
  [9583] = 9431,
  [9584] = 9265,
  [9585] = 9156,
  [9586] = 9138,
  [9587] = 9141,
  [9588] = 497,
  [9589] = 9156,
  [9590] = 9159,
  [9591] = 9149,
  [9592] = 9159,
  [9593] = 9281,
  [9594] = 9168,
  [9595] = 9149,
  [9596] = 9161,
  [9597] = 9141,
  [9598] = 9445,
  [9599] = 9216,
  [9600] = 9145,
  [9601] = 4532,
  [9602] = 9210,
  [9603] = 4471,
  [9604] = 9168,
  [9605] = 9417,
  [9606] = 9606,
  [9607] = 9135,
  [9608] = 9216,
  [9609] = 9224,
  [9610] = 9156,
  [9611] = 9159,
  [9612] = 9224,
  [9613] = 9297,
  [9614] = 9157,
  [9615] = 9147,
  [9616] = 9136,
  [9617] = 9154,
  [9618] = 9154,
  [9619] = 9170,
  [9620] = 9154,
  [9621] = 9135,
  [9622] = 9265,
  [9623] = 9215,
  [9624] = 9371,
  [9625] = 9147,
  [9626] = 9281,
  [9627] = 9135,
  [9628] = 9154,
  [9629] = 9144,
  [9630] = 9154,
  [9631] = 9154,
  [9632] = 9134,
  [9633] = 9144,
  [9634] = 9155,
  [9635] = 4141,
  [9636] = 4166,
  [9637] = 4146,
  [9638] = 4423,
  [9639] = 9297,
  [9640] = 9154,
  [9641] = 9263,
  [9642] = 9161,
  [9643] = 9138,
  [9644] = 9141,
  [9645] = 9292,
  [9646] = 9156,
  [9647] = 4170,
  [9648] = 9134,
  [9649] = 9159,
  [9650] = 9157,
  [9651] = 9136,
  [9652] = 9170,
  [9653] = 3926,
  [9654] = 9215,
  [9655] = 487,
  [9656] = 9147,
  [9657] = 9159,
  [9658] = 4554,
  [9659] = 9135,
  [9660] = 9144,
  [9661] = 9149,
  [9662] = 9140,
  [9663] = 9168,
  [9664] = 9134,
  [9665] = 3317,
  [9666] = 9417,
  [9667] = 9156,
  [9668] = 9423,
  [9669] = 9155,
  [9670] = 9149,
  [9671] = 9159,
  [9672] = 9281,
  [9673] = 9431,
  [9674] = 9138,
  [9675] = 9141,
  [9676] = 9676,
  [9677] = 9156,
  [9678] = 9161,
  [9679] = 9159,
  [9680] = 9149,
  [9681] = 9168,
  [9682] = 9168,
  [9683] = 9161,
  [9684] = 9445,
  [9685] = 9265,
  [9686] = 9136,
  [9687] = 489,
  [9688] = 9210,
  [9689] = 9145,
  [9690] = 9145,
  [9691] = 9265,
  [9692] = 9210,
  [9693] = 9693,
  [9694] = 9137,
  [9695] = 9210,
  [9696] = 9161,
  [9697] = 9216,
  [9698] = 4436,
  [9699] = 4406,
  [9700] = 9700,
  [9701] = 9149,
  [9702] = 9224,
  [9703] = 9216,
  [9704] = 9704,
  [9705] = 9139,
  [9706] = 9281,
  [9707] = 9144,
  [9708] = 9161,
  [9709] = 9224,
  [9710] = 9142,
  [9711] = 9143,
  [9712] = 9297,
  [9713] = 9137,
  [9714] = 9431,
  [9715] = 9146,
  [9716] = 9139,
  [9717] = 9224,
  [9718] = 9145,
  [9719] = 9265,
  [9720] = 9142,
  [9721] = 9170,
  [9722] = 9445,
  [9723] = 9281,
  [9724] = 487,
  [9725] = 9265,
  [9726] = 500,
  [9727] = 9143,
  [9728] = 9728,
  [9729] = 9215,
  [9730] = 9297,
  [9731] = 9263,
  [9732] = 9157,
  [9733] = 9297,
  [9734] = 9292,
  [9735] = 9147,
  [9736] = 9136,
  [9737] = 9170,
  [9738] = 9135,
  [9739] = 9215,
  [9740] = 9147,
  [9741] = 9144,
  [9742] = 9134,
  [9743] = 9135,
  [9744] = 9144,
  [9745] = 9134,
  [9746] = 9154,
  [9747] = 9747,
  [9748] = 9155,
  [9749] = 9168,
  [9750] = 9423,
  [9751] = 9155,
  [9752] = 9146,
  [9753] = 499,
  [9754] = 9136,
  [9755] = 9170,
  [9756] = 9156,
  [9757] = 9215,
  [9758] = 9154,
  [9759] = 9159,
  [9760] = 9149,
  [9761] = 9161,
  [9762] = 9762,
  [9763] = 9297,
  [9764] = 9136,
  [9765] = 9147,
  [9766] = 9170,
  [9767] = 9145,
  [9768] = 9154,
  [9769] = 9215,
  [9770] = 9770,
  [9771] = 9147,
  [9772] = 9281,
  [9773] = 9216,
  [9774] = 9161,
  [9775] = 9431,
  [9776] = 9154,
  [9777] = 9154,
  [9778] = 9154,
  [9779] = 9154,
  [9780] = 9154,
  [9781] = 9154,
  [9782] = 9154,
  [9783] = 9154,
  [9784] = 9154,
  [9785] = 9154,
  [9786] = 9154,
  [9787] = 9371,
  [9788] = 9157,
  [9789] = 9371,
  [9790] = 9147,
  [9791] = 4532,
  [9792] = 9135,
  [9793] = 4471,
  [9794] = 9144,
  [9795] = 9134,
  [9796] = 9137,
  [9797] = 9139,
  [9798] = 9156,
  [9799] = 9156,
  [9800] = 9159,
  [9801] = 9142,
  [9802] = 9143,
  [9803] = 9297,
  [9804] = 9149,
  [9805] = 9146,
  [9806] = 9135,
  [9807] = 9161,
  [9808] = 9808,
  [9809] = 9809,
  [9810] = 9144,
  [9811] = 9281,
  [9812] = 9224,
  [9813] = 9138,
  [9814] = 9141,
  [9815] = 9134,
  [9816] = 9156,
  [9817] = 9265,
  [9818] = 9135,
  [9819] = 9144,
  [9820] = 9820,
  [9821] = 9159,
  [9822] = 9149,
  [9823] = 9168,
  [9824] = 9161,
  [9825] = 9154,
  [9826] = 9145,
  [9827] = 9145,
  [9828] = 9134,
  [9829] = 9154,
  [9830] = 9210,
  [9831] = 9147,
  [9832] = 9216,
  [9833] = 4554,
  [9834] = 4048,
  [9835] = 9157,
  [9836] = 9224,
  [9837] = 9155,
  [9838] = 478,
  [9839] = 9839,
  [9840] = 9155,
  [9841] = 9157,
  [9842] = 9138,
  [9843] = 9141,
  [9844] = 9147,
  [9845] = 4119,
  [9846] = 4120,
  [9847] = 9154,
  [9848] = 4049,
  [9849] = 9210,
  [9850] = 4679,
  [9851] = 9851,
  [9852] = 9852,
  [9853] = 9851,
  [9854] = 4805,
  [9855] = 9855,
  [9856] = 9851,
  [9857] = 9857,
  [9858] = 9858,
  [9859] = 9859,
  [9860] = 4128,
  [9861] = 9861,
  [9862] = 9862,
  [9863] = 9855,
  [9864] = 4129,
  [9865] = 9865,
  [9866] = 499,
  [9867] = 9855,
  [9868] = 9861,
  [9869] = 9851,
  [9870] = 9851,
  [9871] = 9871,
  [9872] = 9872,
  [9873] = 9865,
  [9874] = 9851,
  [9875] = 9857,
  [9876] = 9871,
  [9877] = 9872,
  [9878] = 9872,
  [9879] = 9851,
  [9880] = 4841,
  [9881] = 9872,
  [9882] = 9882,
  [9883] = 9883,
  [9884] = 4640,
  [9885] = 9885,
  [9886] = 4708,
  [9887] = 9851,
  [9888] = 9888,
  [9889] = 9851,
  [9890] = 9872,
  [9891] = 9888,
  [9892] = 9883,
  [9893] = 9893,
  [9894] = 9894,
  [9895] = 9893,
  [9896] = 9883,
  [9897] = 4130,
  [9898] = 9885,
  [9899] = 9872,
  [9900] = 9900,
  [9901] = 9851,
  [9902] = 9893,
  [9903] = 9888,
  [9904] = 9858,
  [9905] = 9859,
  [9906] = 9906,
  [9907] = 9900,
  [9908] = 9872,
  [9909] = 9862,
  [9910] = 9851,
  [9911] = 9893,
  [9912] = 4131,
  [9913] = 9851,
  [9914] = 9871,
  [9915] = 9872,
  [9916] = 9916,
  [9917] = 9851,
  [9918] = 9852,
  [9919] = 9861,
  [9920] = 9851,
  [9921] = 9851,
  [9922] = 4709,
  [9923] = 9906,
  [9924] = 9851,
  [9925] = 9925,
  [9926] = 9858,
  [9927] = 9865,
  [9928] = 9859,
  [9929] = 9851,
  [9930] = 9861,
  [9931] = 9857,
  [9932] = 9925,
  [9933] = 9852,
  [9934] = 9906,
  [9935] = 4132,
  [9936] = 9883,
  [9937] = 9857,
  [9938] = 9862,
  [9939] = 4133,
  [9940] = 9940,
  [9941] = 4134,
  [9942] = 9861,
  [9943] = 9861,
  [9944] = 9851,
  [9945] = 9865,
  [9946] = 9946,
  [9947] = 9855,
  [9948] = 4135,
  [9949] = 9865,
  [9950] = 9858,
  [9951] = 9859,
  [9952] = 9925,
  [9953] = 4661,
  [9954] = 9954,
  [9955] = 9858,
  [9956] = 9865,
  [9957] = 9859,
  [9958] = 9862,
  [9959] = 9855,
  [9960] = 9862,
  [9961] = 9954,
  [9962] = 9883,
  [9963] = 4710,
  [9964] = 9871,
  [9965] = 9906,
  [9966] = 9851,
  [9967] = 9872,
  [9968] = 4718,
  [9969] = 9893,
  [9970] = 4141,
  [9971] = 4146,
  [9972] = 9888,
  [9973] = 9851,
  [9974] = 9885,
  [9975] = 9975,
  [9976] = 9851,
  [9977] = 9858,
  [9978] = 9859,
  [9979] = 9862,
  [9980] = 9980,
  [9981] = 9981,
  [9982] = 4662,
  [9983] = 9983,
  [9984] = 9871,
  [9985] = 9893,
  [9986] = 9872,
  [9987] = 9893,
  [9988] = 9871,
  [9989] = 4643,
  [9990] = 4719,
  [9991] = 9851,
  [9992] = 9858,
  [9993] = 4680,
  [9994] = 9859,
  [9995] = 9862,
  [9996] = 9893,
  [9997] = 9885,
  [9998] = 9893,
  [9999] = 9871,
  [10000] = 9851,
  [10001] = 10001,
  [10002] = 9872,
  [10003] = 10003,
  [10004] = 9872,
  [10005] = 9946,
  [10006] = 9883,
  [10007] = 4682,
  [10008] = 9858,
  [10009] = 9859,
  [10010] = 9859,
  [10011] = 9862,
  [10012] = 9851,
  [10013] = 9851,
  [10014] = 10014,
  [10015] = 4141,
  [10016] = 9885,
  [10017] = 4146,
  [10018] = 9871,
  [10019] = 9852,
  [10020] = 9857,
  [10021] = 9872,
  [10022] = 3926,
  [10023] = 4720,
  [10024] = 9851,
  [10025] = 9906,
  [10026] = 9861,
  [10027] = 4618,
  [10028] = 9925,
  [10029] = 570,
  [10030] = 4119,
  [10031] = 9858,
  [10032] = 9859,
  [10033] = 9862,
  [10034] = 4120,
  [10035] = 4122,
  [10036] = 9865,
  [10037] = 9855,
  [10038] = 9861,
  [10039] = 9861,
  [10040] = 9871,
  [10041] = 4721,
  [10042] = 9851,
  [10043] = 9871,
  [10044] = 4712,
  [10045] = 10045,
  [10046] = 9872,
  [10047] = 4649,
  [10048] = 10048,
  [10049] = 9883,
  [10050] = 9851,
  [10051] = 9861,
  [10052] = 9852,
  [10053] = 10053,
  [10054] = 9885,
  [10055] = 9851,
  [10056] = 9858,
  [10057] = 9859,
  [10058] = 9862,
  [10059] = 9861,
  [10060] = 10060,
  [10061] = 9885,
  [10062] = 681,
  [10063] = 9851,
  [10064] = 4722,
  [10065] = 9871,
  [10066] = 9885,
  [10067] = 687,
  [10068] = 4791,
  [10069] = 9851,
  [10070] = 9872,
  [10071] = 9893,
  [10072] = 9851,
  [10073] = 9893,
  [10074] = 9940,
  [10075] = 9851,
  [10076] = 9872,
  [10077] = 9851,
  [10078] = 4665,
  [10079] = 9851,
  [10080] = 9858,
  [10081] = 4831,
  [10082] = 9859,
  [10083] = 9862,
  [10084] = 9852,
  [10085] = 9861,
  [10086] = 9888,
  [10087] = 9893,
  [10088] = 9852,
  [10089] = 9906,
  [10090] = 9925,
  [10091] = 9871,
  [10092] = 4735,
  [10093] = 4691,
  [10094] = 9872,
  [10095] = 10014,
  [10096] = 4692,
  [10097] = 9865,
  [10098] = 4782,
  [10099] = 9851,
  [10100] = 9852,
  [10101] = 9865,
  [10102] = 9852,
  [10103] = 9857,
  [10104] = 9906,
  [10105] = 9857,
  [10106] = 9851,
  [10107] = 9940,
  [10108] = 9861,
  [10109] = 9865,
  [10110] = 9946,
  [10111] = 9855,
  [10112] = 9871,
  [10113] = 9925,
  [10114] = 9954,
  [10115] = 9855,
  [10116] = 9872,
  [10117] = 4650,
  [10118] = 9865,
  [10119] = 9861,
  [10120] = 9893,
  [10121] = 9883,
  [10122] = 9861,
  [10123] = 9885,
  [10124] = 9888,
  [10125] = 9871,
  [10126] = 9865,
  [10127] = 9872,
  [10128] = 9906,
  [10129] = 9980,
  [10130] = 9925,
  [10131] = 10131,
  [10132] = 9851,
  [10133] = 9983,
  [10134] = 9858,
  [10135] = 9871,
  [10136] = 9872,
  [10137] = 10137,
  [10138] = 10138,
  [10139] = 9855,
  [10140] = 9871,
  [10141] = 9893,
  [10142] = 9883,
  [10143] = 9872,
  [10144] = 9851,
  [10145] = 10001,
  [10146] = 9852,
  [10147] = 9906,
  [10148] = 9857,
  [10149] = 4693,
  [10150] = 9888,
  [10151] = 489,
  [10152] = 4694,
  [10153] = 9925,
  [10154] = 4695,
  [10155] = 9871,
  [10156] = 9872,
  [10157] = 10014,
  [10158] = 9906,
  [10159] = 9925,
  [10160] = 9865,
  [10161] = 9925,
  [10162] = 9865,
  [10163] = 4119,
  [10164] = 9871,
  [10165] = 9872,
  [10166] = 9858,
  [10167] = 9859,
  [10168] = 9861,
  [10169] = 9862,
  [10170] = 9865,
  [10171] = 9855,
  [10172] = 573,
  [10173] = 4814,
  [10174] = 487,
  [10175] = 4696,
  [10176] = 4120,
  [10177] = 9865,
  [10178] = 4659,
  [10179] = 9872,
  [10180] = 9888,
  [10181] = 9871,
  [10182] = 9872,
  [10183] = 4726,
  [10184] = 4124,
  [10185] = 9871,
  [10186] = 3697,
  [10187] = 9872,
  [10188] = 4728,
  [10189] = 9888,
  [10190] = 9852,
  [10191] = 9883,
  [10192] = 4125,
  [10193] = 9871,
  [10194] = 9851,
  [10195] = 9865,
  [10196] = 9872,
  [10197] = 4697,
  [10198] = 9862,
  [10199] = 9857,
  [10200] = 9871,
  [10201] = 9857,
  [10202] = 9885,
  [10203] = 4729,
  [10204] = 4730,
  [10205] = 9851,
  [10206] = 9871,
  [10207] = 9871,
  [10208] = 9852,
  [10209] = 500,
  [10210] = 9872,
  [10211] = 9857,
  [10212] = 9858,
  [10213] = 4698,
  [10214] = 9871,
  [10215] = 9940,
  [10216] = 9872,
  [10217] = 9861,
  [10218] = 9872,
  [10219] = 10219,
  [10220] = 9872,
  [10221] = 9859,
  [10222] = 9871,
  [10223] = 9865,
  [10224] = 9946,
  [10225] = 9855,
  [10226] = 9872,
  [10227] = 3920,
  [10228] = 9862,
  [10229] = 9954,
  [10230] = 9871,
  [10231] = 9872,
  [10232] = 9871,
  [10233] = 9872,
  [10234] = 9906,
  [10235] = 9925,
  [10236] = 647,
  [10237] = 9883,
  [10238] = 9871,
  [10239] = 9883,
  [10240] = 9872,
  [10241] = 9872,
  [10242] = 9871,
  [10243] = 9885,
  [10244] = 4700,
  [10245] = 9872,
  [10246] = 9980,
  [10247] = 4784,
  [10248] = 9871,
  [10249] = 9872,
  [10250] = 9983,
  [10251] = 4654,
  [10252] = 9865,
  [10253] = 4816,
  [10254] = 9871,
  [10255] = 9872,
  [10256] = 9893,
  [10257] = 9871,
  [10258] = 9872,
  [10259] = 9893,
  [10260] = 9871,
  [10261] = 9872,
  [10262] = 9893,
  [10263] = 9871,
  [10264] = 9872,
  [10265] = 10001,
  [10266] = 10266,
  [10267] = 9851,
  [10268] = 9871,
  [10269] = 9872,
  [10270] = 9871,
  [10271] = 9872,
  [10272] = 10272,
  [10273] = 10014,
  [10274] = 9871,
  [10275] = 9872,
  [10276] = 9871,
  [10277] = 9872,
  [10278] = 4701,
  [10279] = 9983,
  [10280] = 9851,
  [10281] = 9906,
  [10282] = 9872,
  [10283] = 9925,
  [10284] = 9872,
  [10285] = 9872,
  [10286] = 9906,
  [10287] = 9872,
  [10288] = 9872,
  [10289] = 9872,
  [10290] = 9872,
  [10291] = 9925,
  [10292] = 9872,
  [10293] = 9872,
  [10294] = 9888,
  [10295] = 4818,
  [10296] = 9872,
  [10297] = 4622,
  [10298] = 9872,
  [10299] = 4828,
  [10300] = 9851,
  [10301] = 9852,
  [10302] = 9888,
  [10303] = 4731,
  [10304] = 9872,
  [10305] = 9872,
  [10306] = 9872,
  [10307] = 9857,
  [10308] = 9980,
  [10309] = 9872,
  [10310] = 4732,
  [10311] = 9872,
  [10312] = 9851,
  [10313] = 9872,
  [10314] = 9872,
  [10315] = 9872,
  [10316] = 9872,
  [10317] = 9893,
  [10318] = 9888,
  [10319] = 9872,
  [10320] = 9851,
  [10321] = 4625,
  [10322] = 9852,
  [10323] = 9872,
  [10324] = 9857,
  [10325] = 9861,
  [10326] = 9872,
  [10327] = 574,
  [10328] = 9872,
  [10329] = 9861,
  [10330] = 9872,
  [10331] = 9872,
  [10332] = 9865,
  [10333] = 9855,
  [10334] = 9872,
  [10335] = 9872,
  [10336] = 9861,
  [10337] = 9872,
  [10338] = 9872,
  [10339] = 9872,
  [10340] = 9872,
  [10341] = 9872,
  [10342] = 4632,
  [10343] = 9872,
  [10344] = 9872,
  [10345] = 9872,
  [10346] = 9872,
  [10347] = 9883,
  [10348] = 9872,
  [10349] = 4733,
  [10350] = 9872,
  [10351] = 9885,
  [10352] = 9871,
  [10353] = 4627,
  [10354] = 4126,
  [10355] = 9865,
  [10356] = 10356,
  [10357] = 9865,
  [10358] = 4127,
  [10359] = 9865,
  [10360] = 9865,
  [10361] = 9865,
  [10362] = 9855,
  [10363] = 9865,
  [10364] = 9851,
  [10365] = 9865,
  [10366] = 9893,
  [10367] = 9872,
  [10368] = 9871,
  [10369] = 9865,
  [10370] = 9865,
  [10371] = 4705,
  [10372] = 9865,
  [10373] = 9865,
  [10374] = 9865,
  [10375] = 9893,
  [10376] = 9865,
  [10377] = 9872,
  [10378] = 9888,
  [10379] = 9871,
  [10380] = 9872,
  [10381] = 9885,
  [10382] = 4794,
  [10383] = 10383,
  [10384] = 4716,
  [10385] = 4790,
  [10386] = 9851,
  [10387] = 9861,
  [10388] = 4734,
  [10389] = 9893,
  [10390] = 9893,
  [10391] = 9865,
  [10392] = 4704,
  [10393] = 9865,
  [10394] = 9871,
  [10395] = 9883,
  [10396] = 9865,
  [10397] = 9872,
  [10398] = 9861,
  [10399] = 4683,
  [10400] = 9893,
  [10401] = 9855,
  [10402] = 9871,
  [10403] = 575,
  [10404] = 9862,
  [10405] = 9885,
  [10406] = 4707,
  [10407] = 4706,
  [10408] = 4631,
  [10409] = 9865,
  [10410] = 9906,
  [10411] = 4637,
  [10412] = 9925,
  [10413] = 10001,
  [10414] = 9862,
  [10415] = 9862,
  [10416] = 9862,
  [10417] = 9862,
  [10418] = 9862,
  [10419] = 9862,
  [10420] = 9862,
  [10421] = 9862,
  [10422] = 9862,
  [10423] = 9862,
  [10424] = 9862,
  [10425] = 9862,
  [10426] = 9851,
  [10427] = 9857,
  [10428] = 9865,
  [10429] = 4717,
  [10430] = 9888,
  [10431] = 9862,
  [10432] = 9861,
  [10433] = 9871,
  [10434] = 10434,
  [10435] = 10435,
  [10436] = 10436,
  [10437] = 10435,
  [10438] = 10438,
  [10439] = 10439,
  [10440] = 10440,
  [10441] = 10441,
  [10442] = 10442,
  [10443] = 10435,
  [10444] = 10444,
  [10445] = 10442,
  [10446] = 10439,
  [10447] = 10440,
  [10448] = 10448,
  [10449] = 10449,
  [10450] = 10450,
  [10451] = 10451,
  [10452] = 10439,
  [10453] = 10453,
  [10454] = 10454,
  [10455] = 10455,
  [10456] = 4729,
  [10457] = 4730,
  [10458] = 10448,
  [10459] = 10459,
  [10460] = 4654,
  [10461] = 10461,
  [10462] = 10462,
  [10463] = 10435,
  [10464] = 10440,
  [10465] = 10465,
  [10466] = 10451,
  [10467] = 10435,
  [10468] = 10444,
  [10469] = 10435,
  [10470] = 10439,
  [10471] = 4661,
  [10472] = 10472,
  [10473] = 10435,
  [10474] = 10444,
  [10475] = 10475,
  [10476] = 10476,
  [10477] = 10477,
  [10478] = 10451,
  [10479] = 10434,
  [10480] = 4622,
  [10481] = 10462,
  [10482] = 10451,
  [10483] = 10436,
  [10484] = 10451,
  [10485] = 10485,
  [10486] = 10462,
  [10487] = 10449,
  [10488] = 4704,
  [10489] = 10451,
  [10490] = 4732,
  [10491] = 10442,
  [10492] = 570,
  [10493] = 10462,
  [10494] = 10435,
  [10495] = 10495,
  [10496] = 10435,
  [10497] = 10448,
  [10498] = 10498,
  [10499] = 10444,
  [10500] = 10439,
  [10501] = 10449,
  [10502] = 4627,
  [10503] = 10451,
  [10504] = 10444,
  [10505] = 4640,
  [10506] = 10442,
  [10507] = 4733,
  [10508] = 10508,
  [10509] = 10462,
  [10510] = 10510,
  [10511] = 10461,
  [10512] = 10476,
  [10513] = 4649,
  [10514] = 10477,
  [10515] = 10462,
  [10516] = 10516,
  [10517] = 10434,
  [10518] = 10435,
  [10519] = 10444,
  [10520] = 10439,
  [10521] = 10444,
  [10522] = 10436,
  [10523] = 10477,
  [10524] = 10451,
  [10525] = 10448,
  [10526] = 10526,
  [10527] = 10527,
  [10528] = 4696,
  [10529] = 10444,
  [10530] = 4731,
  [10531] = 10439,
  [10532] = 10462,
  [10533] = 4732,
  [10534] = 10439,
  [10535] = 10535,
  [10536] = 10435,
  [10537] = 10537,
  [10538] = 10444,
  [10539] = 10449,
  [10540] = 10451,
  [10541] = 10462,
  [10542] = 10444,
  [10543] = 10451,
  [10544] = 10435,
  [10545] = 10545,
  [10546] = 4784,
  [10547] = 10448,
  [10548] = 10435,
  [10549] = 10442,
  [10550] = 10550,
  [10551] = 10551,
  [10552] = 10552,
  [10553] = 10444,
  [10554] = 10451,
  [10555] = 10448,
  [10556] = 10462,
  [10557] = 10451,
  [10558] = 10451,
  [10559] = 10435,
  [10560] = 10444,
  [10561] = 10451,
  [10562] = 10451,
  [10563] = 10476,
  [10564] = 4733,
  [10565] = 10477,
  [10566] = 10545,
  [10567] = 10434,
  [10568] = 10461,
  [10569] = 10461,
  [10570] = 10435,
  [10571] = 4790,
  [10572] = 10572,
  [10573] = 10573,
  [10574] = 10451,
  [10575] = 10451,
  [10576] = 10476,
  [10577] = 4734,
  [10578] = 10461,
  [10579] = 10477,
  [10580] = 10439,
  [10581] = 10434,
  [10582] = 10435,
  [10583] = 10451,
  [10584] = 10584,
  [10585] = 10545,
  [10586] = 10455,
  [10587] = 4122,
  [10588] = 10476,
  [10589] = 10589,
  [10590] = 10435,
  [10591] = 10477,
  [10592] = 4643,
  [10593] = 10434,
  [10594] = 10435,
  [10595] = 10435,
  [10596] = 10451,
  [10597] = 10455,
  [10598] = 10598,
  [10599] = 10444,
  [10600] = 10451,
  [10601] = 10465,
  [10602] = 10435,
  [10603] = 10451,
  [10604] = 10476,
  [10605] = 4735,
  [10606] = 10477,
  [10607] = 10434,
  [10608] = 10435,
  [10609] = 10461,
  [10610] = 10610,
  [10611] = 10435,
  [10612] = 10451,
  [10613] = 10613,
  [10614] = 10614,
  [10615] = 4665,
  [10616] = 10476,
  [10617] = 10454,
  [10618] = 10618,
  [10619] = 10619,
  [10620] = 10440,
  [10621] = 10477,
  [10622] = 10442,
  [10623] = 10439,
  [10624] = 10434,
  [10625] = 10435,
  [10626] = 10462,
  [10627] = 10451,
  [10628] = 4708,
  [10629] = 10448,
  [10630] = 4720,
  [10631] = 10631,
  [10632] = 10451,
  [10633] = 10535,
  [10634] = 10476,
  [10635] = 10435,
  [10636] = 10439,
  [10637] = 4124,
  [10638] = 4125,
  [10639] = 10451,
  [10640] = 10477,
  [10641] = 10462,
  [10642] = 10454,
  [10643] = 10434,
  [10644] = 10435,
  [10645] = 4721,
  [10646] = 10440,
  [10647] = 10476,
  [10648] = 10477,
  [10649] = 10455,
  [10650] = 10434,
  [10651] = 4722,
  [10652] = 10435,
  [10653] = 10451,
  [10654] = 10461,
  [10655] = 10545,
  [10656] = 10656,
  [10657] = 10439,
  [10658] = 10435,
  [10659] = 4709,
  [10660] = 10476,
  [10661] = 10454,
  [10662] = 10477,
  [10663] = 10434,
  [10664] = 10476,
  [10665] = 10665,
  [10666] = 10477,
  [10667] = 4126,
  [10668] = 4127,
  [10669] = 10434,
  [10670] = 10476,
  [10671] = 10477,
  [10672] = 10435,
  [10673] = 10434,
  [10674] = 10451,
  [10675] = 4691,
  [10676] = 4692,
  [10677] = 4640,
  [10678] = 10439,
  [10679] = 10476,
  [10680] = 10477,
  [10681] = 10434,
  [10682] = 4128,
  [10683] = 4129,
  [10684] = 10476,
  [10685] = 10477,
  [10686] = 10435,
  [10687] = 10451,
  [10688] = 4130,
  [10689] = 10434,
  [10690] = 10435,
  [10691] = 10439,
  [10692] = 10476,
  [10693] = 10477,
  [10694] = 10461,
  [10695] = 10618,
  [10696] = 10434,
  [10697] = 10440,
  [10698] = 10435,
  [10699] = 4131,
  [10700] = 10462,
  [10701] = 4132,
  [10702] = 4133,
  [10703] = 10440,
  [10704] = 4134,
  [10705] = 10476,
  [10706] = 10477,
  [10707] = 10434,
  [10708] = 10476,
  [10709] = 10477,
  [10710] = 10598,
  [10711] = 10440,
  [10712] = 10451,
  [10713] = 10619,
  [10714] = 10440,
  [10715] = 10444,
  [10716] = 4135,
  [10717] = 10440,
  [10718] = 4693,
  [10719] = 10434,
  [10720] = 10476,
  [10721] = 4694,
  [10722] = 10435,
  [10723] = 10451,
  [10724] = 10477,
  [10725] = 10440,
  [10726] = 10465,
  [10727] = 10461,
  [10728] = 10728,
  [10729] = 10434,
  [10730] = 10476,
  [10731] = 10477,
  [10732] = 10434,
  [10733] = 10440,
  [10734] = 10462,
  [10735] = 10461,
  [10736] = 10476,
  [10737] = 4695,
  [10738] = 10477,
  [10739] = 10440,
  [10740] = 10434,
  [10741] = 10435,
  [10742] = 10476,
  [10743] = 10451,
  [10744] = 4631,
  [10745] = 10440,
  [10746] = 10477,
  [10747] = 4696,
  [10748] = 10748,
  [10749] = 10749,
  [10750] = 10750,
  [10751] = 10440,
  [10752] = 10462,
  [10753] = 10435,
  [10754] = 10435,
  [10755] = 10444,
  [10756] = 10434,
  [10757] = 4697,
  [10758] = 10439,
  [10759] = 10440,
  [10760] = 10476,
  [10761] = 10451,
  [10762] = 10435,
  [10763] = 10451,
  [10764] = 4627,
  [10765] = 4637,
  [10766] = 10461,
  [10767] = 10440,
  [10768] = 10477,
  [10769] = 10769,
  [10770] = 10434,
  [10771] = 10440,
  [10772] = 10435,
  [10773] = 10451,
  [10774] = 10455,
  [10775] = 4650,
  [10776] = 10451,
  [10777] = 4698,
  [10778] = 10476,
  [10779] = 4700,
  [10780] = 10477,
  [10781] = 10444,
  [10782] = 10435,
  [10783] = 10434,
  [10784] = 10451,
  [10785] = 10451,
  [10786] = 10618,
  [10787] = 10476,
  [10788] = 10619,
  [10789] = 10545,
  [10790] = 10435,
  [10791] = 10451,
  [10792] = 10477,
  [10793] = 10434,
  [10794] = 10435,
  [10795] = 10476,
  [10796] = 10461,
  [10797] = 10477,
  [10798] = 10435,
  [10799] = 10451,
  [10800] = 10455,
  [10801] = 10454,
  [10802] = 10434,
  [10803] = 10439,
  [10804] = 10440,
  [10805] = 10476,
  [10806] = 10435,
  [10807] = 10477,
  [10808] = 10451,
  [10809] = 10434,
  [10810] = 4683,
  [10811] = 10811,
  [10812] = 10476,
  [10813] = 647,
  [10814] = 10477,
  [10815] = 10434,
  [10816] = 10476,
  [10817] = 10477,
  [10818] = 10434,
  [10819] = 10435,
  [10820] = 10451,
  [10821] = 10435,
  [10822] = 10451,
  [10823] = 10435,
  [10824] = 10451,
  [10825] = 10435,
  [10826] = 10439,
  [10827] = 10451,
  [10828] = 10435,
  [10829] = 10476,
  [10830] = 10461,
  [10831] = 10451,
  [10832] = 10435,
  [10833] = 10461,
  [10834] = 10451,
  [10835] = 10435,
  [10836] = 10451,
  [10837] = 10435,
  [10838] = 10451,
  [10839] = 10435,
  [10840] = 10451,
  [10841] = 10435,
  [10842] = 10451,
  [10843] = 10435,
  [10844] = 10451,
  [10845] = 10477,
  [10846] = 10435,
  [10847] = 10451,
  [10848] = 10435,
  [10849] = 10451,
  [10850] = 10434,
  [10851] = 10435,
  [10852] = 10451,
  [10853] = 10435,
  [10854] = 10451,
  [10855] = 10435,
  [10856] = 10451,
  [10857] = 10435,
  [10858] = 10451,
  [10859] = 4701,
  [10860] = 10440,
  [10861] = 10476,
  [10862] = 10435,
  [10863] = 10451,
  [10864] = 10435,
  [10865] = 10451,
  [10866] = 10440,
  [10867] = 10435,
  [10868] = 10477,
  [10869] = 10434,
  [10870] = 10451,
  [10871] = 10477,
  [10872] = 10434,
  [10873] = 4816,
  [10874] = 10440,
  [10875] = 10508,
  [10876] = 10876,
  [10877] = 10477,
  [10878] = 10434,
  [10879] = 10461,
  [10880] = 10477,
  [10881] = 10434,
  [10882] = 4691,
  [10883] = 10477,
  [10884] = 10462,
  [10885] = 10618,
  [10886] = 10434,
  [10887] = 10477,
  [10888] = 10434,
  [10889] = 10477,
  [10890] = 10434,
  [10891] = 4818,
  [10892] = 10613,
  [10893] = 10434,
  [10894] = 10434,
  [10895] = 10618,
  [10896] = 10440,
  [10897] = 10434,
  [10898] = 10439,
  [10899] = 10434,
  [10900] = 10434,
  [10901] = 10444,
  [10902] = 10619,
  [10903] = 10440,
  [10904] = 10434,
  [10905] = 10451,
  [10906] = 10434,
  [10907] = 10434,
  [10908] = 10462,
  [10909] = 10439,
  [10910] = 10434,
  [10911] = 10451,
  [10912] = 10434,
  [10913] = 10434,
  [10914] = 10619,
  [10915] = 4828,
  [10916] = 4092,
  [10917] = 10535,
  [10918] = 10442,
  [10919] = 4790,
  [10920] = 10434,
  [10921] = 10448,
  [10922] = 10434,
  [10923] = 10440,
  [10924] = 10434,
  [10925] = 4831,
  [10926] = 10434,
  [10927] = 10876,
  [10928] = 10434,
  [10929] = 10434,
  [10930] = 10434,
  [10931] = 10434,
  [10932] = 10932,
  [10933] = 10434,
  [10934] = 10434,
  [10935] = 10434,
  [10936] = 10434,
  [10937] = 10434,
  [10938] = 10435,
  [10939] = 573,
  [10940] = 10477,
  [10941] = 10434,
  [10942] = 10444,
  [10943] = 10462,
  [10944] = 10434,
  [10945] = 10434,
  [10946] = 10946,
  [10947] = 10434,
  [10948] = 10434,
  [10949] = 10434,
  [10950] = 10435,
  [10951] = 4791,
  [10952] = 10434,
  [10953] = 10551,
  [10954] = 10444,
  [10955] = 10434,
  [10956] = 10451,
  [10957] = 10453,
  [10958] = 10584,
  [10959] = 10545,
  [10960] = 10434,
  [10961] = 10453,
  [10962] = 10584,
  [10963] = 10434,
  [10964] = 10453,
  [10965] = 10584,
  [10966] = 10434,
  [10967] = 10453,
  [10968] = 10584,
  [10969] = 10453,
  [10970] = 10584,
  [10971] = 10453,
  [10972] = 10584,
  [10973] = 10453,
  [10974] = 10584,
  [10975] = 10453,
  [10976] = 10584,
  [10977] = 10453,
  [10978] = 10584,
  [10979] = 10453,
  [10980] = 10584,
  [10981] = 10453,
  [10982] = 10584,
  [10983] = 10453,
  [10984] = 10584,
  [10985] = 10510,
  [10986] = 10476,
  [10987] = 10656,
  [10988] = 10434,
  [10989] = 10462,
  [10990] = 10435,
  [10991] = 10991,
  [10992] = 10435,
  [10993] = 10434,
  [10994] = 687,
  [10995] = 10434,
  [10996] = 10454,
  [10997] = 10434,
  [10998] = 10434,
  [10999] = 10434,
  [11000] = 10451,
  [11001] = 10439,
  [11002] = 10434,
  [11003] = 10434,
  [11004] = 10462,
  [11005] = 10454,
  [11006] = 10498,
  [11007] = 10462,
  [11008] = 10516,
  [11009] = 10451,
  [11010] = 10444,
  [11011] = 10444,
  [11012] = 10435,
  [11013] = 10465,
  [11014] = 10946,
  [11015] = 4625,
  [11016] = 10435,
  [11017] = 10435,
  [11018] = 10462,
  [11019] = 10434,
  [11020] = 4710,
  [11021] = 4794,
  [11022] = 10435,
  [11023] = 10461,
  [11024] = 10435,
  [11025] = 10462,
  [11026] = 10444,
  [11027] = 10451,
  [11028] = 10537,
  [11029] = 10551,
  [11030] = 4704,
  [11031] = 10440,
  [11032] = 10444,
  [11033] = 11033,
  [11034] = 10444,
  [11035] = 11035,
  [11036] = 10451,
  [11037] = 10455,
  [11038] = 10453,
  [11039] = 10451,
  [11040] = 10584,
  [11041] = 10440,
  [11042] = 10598,
  [11043] = 11043,
  [11044] = 10498,
  [11045] = 10451,
  [11046] = 4734,
  [11047] = 10444,
  [11048] = 4705,
  [11049] = 10545,
  [11050] = 4659,
  [11051] = 10451,
  [11052] = 10619,
  [11053] = 10444,
  [11054] = 10444,
  [11055] = 4706,
  [11056] = 10462,
  [11057] = 4707,
  [11058] = 11058,
  [11059] = 10455,
  [11060] = 10545,
  [11061] = 4697,
  [11062] = 10656,
  [11063] = 10439,
  [11064] = 10435,
  [11065] = 10508,
  [11066] = 10748,
  [11067] = 10749,
  [11068] = 10461,
  [11069] = 11069,
  [11070] = 10631,
  [11071] = 10476,
  [11072] = 4708,
  [11073] = 10442,
  [11074] = 10462,
  [11075] = 10477,
  [11076] = 10439,
  [11077] = 10441,
  [11078] = 4709,
  [11079] = 10537,
  [11080] = 10451,
  [11081] = 10451,
  [11082] = 10465,
  [11083] = 4710,
  [11084] = 10454,
  [11085] = 10439,
  [11086] = 11086,
  [11087] = 10932,
  [11088] = 4680,
  [11089] = 4712,
  [11090] = 10932,
  [11091] = 574,
  [11092] = 10439,
  [11093] = 10876,
  [11094] = 10462,
  [11095] = 10448,
  [11096] = 10434,
  [11097] = 10451,
  [11098] = 4735,
  [11099] = 10455,
  [11100] = 10455,
  [11101] = 11101,
  [11102] = 10439,
  [11103] = 4692,
  [11104] = 10439,
  [11105] = 10444,
  [11106] = 10436,
  [11107] = 10498,
  [11108] = 4841,
  [11109] = 10435,
  [11110] = 10618,
  [11111] = 4712,
  [11112] = 11112,
  [11113] = 11113,
  [11114] = 11114,
  [11115] = 10498,
  [11116] = 10619,
  [11117] = 10618,
  [11118] = 10439,
  [11119] = 11119,
  [11120] = 11120,
  [11121] = 10444,
  [11122] = 10440,
  [11123] = 10435,
  [11124] = 4631,
  [11125] = 10435,
  [11126] = 11126,
  [11127] = 10454,
  [11128] = 10449,
  [11129] = 10439,
  [11130] = 10769,
  [11131] = 10435,
  [11132] = 10454,
  [11133] = 10516,
  [11134] = 11035,
  [11135] = 10439,
  [11136] = 10436,
  [11137] = 10436,
  [11138] = 10462,
  [11139] = 4693,
  [11140] = 4637,
  [11141] = 10444,
  [11142] = 10434,
  [11143] = 10444,
  [11144] = 10435,
  [11145] = 10475,
  [11146] = 4718,
  [11147] = 11147,
  [11148] = 10462,
  [11149] = 10537,
  [11150] = 10449,
  [11151] = 4661,
  [11152] = 10439,
  [11153] = 10618,
  [11154] = 4698,
  [11155] = 10440,
  [11156] = 4618,
  [11157] = 10545,
  [11158] = 10442,
  [11159] = 10435,
  [11160] = 10462,
  [11161] = 10451,
  [11162] = 10462,
  [11163] = 10618,
  [11164] = 10619,
  [11165] = 10440,
  [11166] = 10451,
  [11167] = 11167,
  [11168] = 10454,
  [11169] = 10462,
  [11170] = 10462,
  [11171] = 10462,
  [11172] = 10448,
  [11173] = 4719,
  [11174] = 11119,
  [11175] = 10535,
  [11176] = 4726,
  [11177] = 10598,
  [11178] = 4618,
  [11179] = 11179,
  [11180] = 10444,
  [11181] = 10619,
  [11182] = 10435,
  [11183] = 10435,
  [11184] = 10461,
  [11185] = 10618,
  [11186] = 10619,
  [11187] = 10444,
  [11188] = 10440,
  [11189] = 11189,
  [11190] = 10545,
  [11191] = 10462,
  [11192] = 10435,
  [11193] = 10440,
  [11194] = 4705,
  [11195] = 10454,
  [11196] = 10462,
  [11197] = 10444,
  [11198] = 10435,
  [11199] = 10439,
  [11200] = 4701,
  [11201] = 4728,
  [11202] = 11202,
  [11203] = 10435,
  [11204] = 11204,
  [11205] = 10451,
  [11206] = 10476,
  [11207] = 10618,
  [11208] = 10435,
  [11209] = 4729,
  [11210] = 4730,
  [11211] = 10461,
  [11212] = 10442,
  [11213] = 10440,
  [11214] = 4632,
  [11215] = 10462,
  [11216] = 10476,
  [11217] = 10477,
  [11218] = 10545,
  [11219] = 4662,
  [11220] = 10434,
  [11221] = 10444,
  [11222] = 11222,
  [11223] = 10451,
  [11224] = 10442,
  [11225] = 10448,
  [11226] = 10444,
  [11227] = 11227,
  [11228] = 10444,
  [11229] = 10448,
  [11230] = 10462,
  [11231] = 10508,
  [11232] = 4654,
  [11233] = 10631,
  [11234] = 10451,
  [11235] = 10476,
  [11236] = 4706,
  [11237] = 4682,
  [11238] = 10440,
  [11239] = 10444,
  [11240] = 10451,
  [11241] = 10477,
  [11242] = 4679,
  [11243] = 10465,
  [11244] = 10748,
  [11245] = 4122,
  [11246] = 10465,
  [11247] = 10748,
  [11248] = 10749,
  [11249] = 10441,
  [11250] = 11086,
  [11251] = 4816,
  [11252] = 10436,
  [11253] = 10932,
  [11254] = 10451,
  [11255] = 10461,
  [11256] = 10451,
  [11257] = 10444,
  [11258] = 10434,
  [11259] = 11259,
  [11260] = 10435,
  [11261] = 4784,
  [11262] = 10442,
  [11263] = 11263,
  [11264] = 10439,
  [11265] = 4818,
  [11266] = 10619,
  [11267] = 10461,
  [11268] = 4707,
  [11269] = 11112,
  [11270] = 4680,
  [11271] = 10444,
  [11272] = 10462,
  [11273] = 4828,
  [11274] = 11112,
  [11275] = 11114,
  [11276] = 10545,
  [11277] = 4694,
  [11278] = 10462,
  [11279] = 11119,
  [11280] = 10619,
  [11281] = 10451,
  [11282] = 10876,
  [11283] = 4831,
  [11284] = 10545,
  [11285] = 10465,
  [11286] = 10440,
  [11287] = 10769,
  [11288] = 11035,
  [11289] = 10991,
  [11290] = 10451,
  [11291] = 10436,
  [11292] = 11292,
  [11293] = 4805,
  [11294] = 11294,
  [11295] = 11295,
  [11296] = 10477,
  [11297] = 10510,
  [11298] = 10476,
  [11299] = 10991,
  [11300] = 10749,
  [11301] = 10451,
  [11302] = 10475,
  [11303] = 10435,
  [11304] = 10477,
  [11305] = 10476,
  [11306] = 4096,
  [11307] = 10454,
  [11308] = 10449,
  [11309] = 10439,
  [11310] = 10462,
  [11311] = 10449,
  [11312] = 575,
  [11313] = 10498,
  [11314] = 4716,
  [11315] = 10439,
  [11316] = 10439,
  [11317] = 10454,
  [11318] = 10462,
  [11319] = 10618,
  [11320] = 10613,
  [11321] = 4726,
  [11322] = 4124,
  [11323] = 10462,
  [11324] = 4125,
  [11325] = 10435,
  [11326] = 4717,
  [11327] = 10455,
  [11328] = 10444,
  [11329] = 11086,
  [11330] = 10440,
  [11331] = 10451,
  [11332] = 10462,
  [11333] = 10516,
  [11334] = 10444,
  [11335] = 4700,
  [11336] = 10451,
  [11337] = 10442,
  [11338] = 4679,
  [11339] = 10444,
  [11340] = 10448,
  [11341] = 4650,
  [11342] = 10665,
  [11343] = 4716,
  [11344] = 4718,
  [11345] = 681,
  [11346] = 4719,
  [11347] = 4126,
  [11348] = 10444,
  [11349] = 10451,
  [11350] = 4814,
  [11351] = 4695,
  [11352] = 4127,
  [11353] = 11114,
  [11354] = 10613,
  [11355] = 10451,
  [11356] = 10435,
  [11357] = 10451,
  [11358] = 11358,
  [11359] = 10461,
  [11360] = 4662,
  [11361] = 11361,
  [11362] = 10439,
  [11363] = 10455,
  [11364] = 4622,
  [11365] = 4682,
  [11366] = 4128,
  [11367] = 10455,
  [11368] = 10498,
  [11369] = 4659,
  [11370] = 4129,
  [11371] = 10462,
  [11372] = 10618,
  [11373] = 4720,
  [11374] = 4625,
  [11375] = 10439,
  [11376] = 4130,
  [11377] = 4721,
  [11378] = 4131,
  [11379] = 4132,
  [11380] = 4133,
  [11381] = 11381,
  [11382] = 10455,
  [11383] = 10439,
  [11384] = 10448,
  [11385] = 4134,
  [11386] = 4731,
  [11387] = 10498,
  [11388] = 10461,
  [11389] = 11389,
  [11390] = 4782,
  [11391] = 10656,
  [11392] = 11392,
  [11393] = 10618,
  [11394] = 4728,
  [11395] = 10442,
  [11396] = 4632,
  [11397] = 10619,
  [11398] = 10476,
  [11399] = 10444,
  [11400] = 10477,
  [11401] = 10434,
  [11402] = 10435,
  [11403] = 4717,
  [11404] = 10440,
  [11405] = 4135,
  [11406] = 10619,
  [11407] = 4841,
  [11408] = 10946,
  [11409] = 10462,
  [11410] = 10440,
  [11411] = 681,
  [11412] = 10477,
  [11413] = 10434,
  [11414] = 10665,
  [11415] = 10665,
  [11416] = 10665,
  [11417] = 10665,
  [11418] = 10665,
  [11419] = 10665,
  [11420] = 10665,
  [11421] = 10665,
  [11422] = 10665,
  [11423] = 10665,
  [11424] = 10665,
  [11425] = 10665,
  [11426] = 10545,
  [11427] = 10434,
  [11428] = 4643,
  [11429] = 10462,
  [11430] = 4722,
  [11431] = 10434,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1},
  {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f},
  {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556},
  {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5},
  {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1},
  {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858},
  {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961},
  {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd},
  {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28},
  {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d},
  {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1},
  {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d},
  {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a},
  {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c},
  {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2},
  {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f},
  {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd},
  {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a},
  {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c},
  {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16f1, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c},
  {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d},
  {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2183, 0x2184}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3006},
  {0x3031, 0x3035}, {0x303b, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c},
  {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6e5}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca},
  {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873},
  {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2},
  {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9},
  {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc},
  {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b},
  {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x10300, 0x1031f}, {0x1032d, 0x10340}, {0x10342, 0x10349}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x10400, 0x1049d},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x660, 0x669},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7c0, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x966, 0x96f}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa6f}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xae6, 0xaef}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10},
  {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb66, 0xb6f},
  {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f},
  {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbe6, 0xbef}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc66, 0xc6f}, {0xc80, 0xc80}, {0xc85, 0xc8c},
  {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xce6, 0xcef},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xde6, 0xdef},
  {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3},
  {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xed0, 0xed9}, {0xedc, 0xedf},
  {0xf00, 0xf00}, {0xf20, 0xf29}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x1049}, {0x1050, 0x1055},
  {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x1090, 0x1099}, {0x10a0, 0x10c5},
  {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d},
  {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6},
  {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f},
  {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16f1, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770},
  {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x17e0, 0x17e9}, {0x1810, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19d9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1a80, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b83, 0x1ba0}, {0x1bae, 0x1be5}, {0x1c00, 0x1c23}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45},
  {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc},
  {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d},
  {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2183, 0x2184}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3006}, {0x3031, 0x3035}, {0x303b, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6e5},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805},
  {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8d0, 0xa8d9}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa900, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9fe}, {0xaa00, 0xaa28},
  {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xabf0, 0xabf9}, {0xac00, 0xac00},
  {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d},
  {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff41, 0xff5a},
  {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x10340},
  {0x10342, 0x10349}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3},
  {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1},
  {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0},
  {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876},
  {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(334);
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '#', 8,
        '$', 566,
        '%', 496,
        '&', 477,
        '\'', 571,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 512,
        '[', 338,
        '\\', 313,
        ']', 339,
        '`', 331,
        'a', 777,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'g', 802,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        'r', 813,
        's', 790,
        't', 760,
        'v', 758,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 477,
        '\'', 571,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 614,
        'c', 703,
        'd', 597,
        'e', 682,
        'g', 637,
        'i', 694,
        'o', 713,
        'r', 647,
        's', 646,
        't', 653,
        'v', 606,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 477,
        '\'', 571,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        'r', 647,
        's', 625,
        't', 595,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 29,
        '\'', 571,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 488,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        '`', 331,
        'a', 614,
        'c', 703,
        'd', 597,
        'e', 682,
        'g', 637,
        'i', 694,
        'o', 713,
        'r', 647,
        's', 646,
        't', 653,
        'v', 606,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 29,
        '\'', 571,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 488,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 614,
        'c', 703,
        'd', 597,
        'e', 682,
        'g', 637,
        'i', 694,
        'o', 713,
        'r', 647,
        's', 646,
        't', 653,
        'v', 606,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 29,
        '\'', 571,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        'r', 647,
        's', 625,
        't', 595,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '%', 496,
        '&', 29,
        '\'', 571,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        'r', 647,
        's', 625,
        't', 595,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(494);
      if (lookahead == '=') ADVANCE(499);
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(924);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 491,
        '"', 516,
        '&', 476,
        '\'', 571,
        '(', 354,
        ')', 355,
        '*', 345,
        '+', 486,
        ',', 351,
        '-', 490,
        '.', 344,
        '/', 43,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 349,
        '>', 352,
        '?', 474,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 615,
        'c', 703,
        'd', 597,
        'e', 682,
        'g', 637,
        'i', 694,
        'o', 713,
        'r', 647,
        's', 646,
        't', 653,
        'v', 606,
        '{', 364,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 493,
        '"', 516,
        '&', 476,
        '\'', 571,
        '(', 354,
        '*', 345,
        '+', 486,
        ',', 351,
        '-', 490,
        '.', 344,
        '/', 43,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 349,
        '=', 347,
        '?', 474,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 612,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        'r', 647,
        's', 625,
        't', 595,
        'v', 593,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 493,
        '"', 516,
        '&', 476,
        '\'', 571,
        '(', 354,
        '*', 345,
        '+', 486,
        ',', 351,
        '-', 490,
        '.', 344,
        '/', 43,
        '0', 575,
        ':', 337,
        '<', 349,
        '=', 347,
        '?', 474,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 615,
        'c', 703,
        'd', 597,
        'e', 682,
        'g', 637,
        'i', 694,
        'o', 713,
        'r', 647,
        's', 646,
        't', 653,
        'v', 606,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 7,
        '"', 28,
        '$', 566,
        '%', 496,
        '&', 477,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 477,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 728,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 477,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 643,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 477,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 477,
        '(', 354,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 337,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 643,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 728,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 728,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 643,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 512,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 643,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 7,
        '%', 496,
        '&', 29,
        '(', 354,
        '*', 346,
        '+', 487,
        '-', 488,
        '.', 342,
        '/', 495,
        ':', 46,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 47,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 611,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        's', 626,
        't', 596,
        'v', 593,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(567);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(568);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '"', 515,
        '$', 566,
        '/', 520,
        '\\', 313,
        '`', 563,
        'a', 528,
        'c', 546,
        'd', 524,
        'e', 540,
        'g', 534,
        'i', 544,
        'o', 549,
        's', 534,
        'v', 523,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(519);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(564);
      if (lookahead != 0) ADVANCE(565);
      END_STATE();
    case 28:
      if (lookahead == '"') ADVANCE(26);
      END_STATE();
    case 29:
      if (lookahead == '&') ADVANCE(498);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        '*', 345,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 780,
        'c', 868,
        'd', 762,
        'e', 847,
        'g', 802,
        'i', 859,
        'o', 878,
        's', 811,
        'v', 771,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        ',', 351,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 337,
        ';', 340,
        '<', 349,
        '=', 347,
        '>', 352,
        '?', 474,
        '@', 335,
        '`', 331,
        'a', 778,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        's', 808,
        't', 761,
        'v', 758,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        ',', 351,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 337,
        ';', 340,
        '<', 349,
        '=', 347,
        '>', 352,
        '?', 474,
        '@', 335,
        '`', 331,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        ',', 351,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 46,
        ';', 340,
        '=', 347,
        '>', 352,
        '?', 474,
        '@', 335,
        '`', 331,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        ',', 351,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        ';', 340,
        '<', 349,
        '=', 347,
        '?', 474,
        '@', 335,
        '`', 331,
        'a', 778,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'g', 802,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        's', 791,
        't', 761,
        'v', 758,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        '`', 331,
        'a', 780,
        'c', 867,
        'd', 762,
        'e', 847,
        'g', 802,
        'i', 859,
        'n', 872,
        'o', 878,
        's', 811,
        'v', 758,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        '`', 331,
        'a', 780,
        'c', 867,
        'd', 762,
        'e', 847,
        'g', 802,
        'i', 859,
        'n', 872,
        'o', 878,
        's', 812,
        'v', 758,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        ')', 355,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        '`', 331,
        'a', 780,
        'c', 868,
        'd', 762,
        'e', 847,
        'g', 802,
        'i', 859,
        'o', 878,
        's', 812,
        'v', 771,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        ';', 340,
        '<', 349,
        '?', 474,
        '@', 335,
        'a', 199,
        'c', 275,
        'd', 187,
        'e', 258,
        'f', 237,
        'g', 221,
        'i', 259,
        'l', 189,
        'n', 279,
        'o', 280,
        'p', 283,
        's', 210,
        't', 186,
        'v', 184,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        '`', 331,
        'c', 883,
        'n', 872,
        'v', 774,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '&', 476,
        '(', 354,
        '-', 48,
        '.', 341,
        '/', 43,
        ':', 336,
        '<', 349,
        '?', 474,
        '@', 335,
        'a', 64,
        'c', 138,
        'd', 52,
        'e', 122,
        'f', 102,
        'g', 86,
        'i', 123,
        'l', 54,
        'n', 143,
        'o', 144,
        'p', 147,
        's', 75,
        't', 51,
        'v', 49,
        '{', 364,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '(', 354,
        '/', 43,
        '@', 335,
        '`', 331,
        'a', 778,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'g', 802,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        's', 808,
        't', 761,
        'v', 758,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '(', 354,
        '/', 43,
        '@', 335,
        '`', 331,
        'a', 778,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        's', 791,
        't', 761,
        'v', 758,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 43:
      if (lookahead == '/') ADVANCE(925);
      END_STATE();
    case 44:
      if (lookahead == '/') ADVANCE(43);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      END_STATE();
    case 45:
      if (lookahead == '/') ADVANCE(572);
      if (lookahead == '\\') ADVANCE(315);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(44);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(572);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(572);
      END_STATE();
    case 46:
      if (lookahead == ':') ADVANCE(514);
      END_STATE();
    case 47:
      if (lookahead == ':') ADVANCE(505);
      END_STATE();
    case 48:
      if (lookahead == '>') ADVANCE(478);
      END_STATE();
    case 49:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 50:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 51:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 52:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 53:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(118);
      if (lookahead == 't') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 54:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 55:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 56:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 57:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 58:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 59:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 60:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 61:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 62:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 63:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 64:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'b') ADVANCE(159);
      if (lookahead == 'c') ADVANCE(167);
      if (lookahead == 'n') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 65:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'b') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 66:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 67:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 68:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 69:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 70:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 71:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 72:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 73:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 74:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 75:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 76:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 77:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 78:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 79:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 80:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 81:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(404);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 82:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 83:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 84:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 85:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 86:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 87:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 88:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 89:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 90:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 91:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 92:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 93:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 94:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'f') ADVANCE(98);
      if (lookahead == 'l') ADVANCE(105);
      if (lookahead == 'n') ADVANCE(89);
      if (lookahead == 't') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 96:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'g') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 97:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(180);
      if (lookahead == 'o') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 98:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 99:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 100:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 101:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 102:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 103:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 104:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 105:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 106:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 107:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 109:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 110:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 111:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 113:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(408);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 114:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 115:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(179);
      if (lookahead == 'r') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 116:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 118:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 119:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 120:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 121:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'm') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 122:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(177);
      if (lookahead == 'x') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 123:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 124:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(444);
      if (lookahead == 'r') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 125:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 126:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 127:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 128:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 129:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 130:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 131:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 132:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 133:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 134:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 135:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 136:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 137:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 138:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(136);
      if (lookahead == 'r') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 139:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 140:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 141:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 142:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 143:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 144:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(76);
      if (lookahead == 'v') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 145:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(78);
      if (lookahead == 't') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 146:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 147:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(97);
      if (lookahead == 'u') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 148:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 149:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 150:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 151:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 152:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 153:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 154:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 155:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 156:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 157:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 158:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 159:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 160:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 161:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 162:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 163:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(416);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 164:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 165:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 166:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 167:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 168:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 169:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 170:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 171:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 172:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 173:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 174:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 175:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 176:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 177:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 178:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 179:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 180:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'v') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 181:
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'x') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 182:
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 183:
      if (lookahead == '`') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(183);
      END_STATE();
    case 184:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'a') ADVANCE(378);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 188:
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 't') ADVANCE(360);
      END_STATE();
    case 189:
      if (lookahead == 'a') ADVANCE(308);
      END_STATE();
    case 190:
      if (lookahead == 'a') ADVANCE(246);
      END_STATE();
    case 191:
      if (lookahead == 'a') ADVANCE(247);
      END_STATE();
    case 192:
      if (lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 194:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(306);
      END_STATE();
    case 196:
      if (lookahead == 'a') ADVANCE(307);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(309);
      END_STATE();
    case 198:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 199:
      if (lookahead == 'b') ADVANCE(295);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 200:
      if (lookahead == 'b') ADVANCE(251);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(418);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(390);
      END_STATE();
    case 203:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(301);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 206:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 207:
      if (lookahead == 'd') ADVANCE(410);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(426);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(188);
      if (lookahead == 'u') ADVANCE(293);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 215:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 218:
      if (lookahead == 'e') ADVANCE(458);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(446);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 230:
      if (lookahead == 'f') ADVANCE(233);
      if (lookahead == 'l') ADVANCE(240);
      if (lookahead == 'n') ADVANCE(224);
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 231:
      if (lookahead == 'g') ADVANCE(454);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 233:
      if (lookahead == 'i') ADVANCE(319);
      END_STATE();
    case 234:
      if (lookahead == 'i') ADVANCE(201);
      END_STATE();
    case 235:
      if (lookahead == 'i') ADVANCE(209);
      END_STATE();
    case 236:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 238:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 239:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 240:
      if (lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 241:
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 242:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 243:
      if (lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(271);
      END_STATE();
    case 245:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(470);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(406);
      END_STATE();
    case 249:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 250:
      if (lookahead == 'l') ADVANCE(317);
      if (lookahead == 'r') ADVANCE(192);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(234);
      END_STATE();
    case 252:
      if (lookahead == 'l') ADVANCE(290);
      END_STATE();
    case 253:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(243);
      END_STATE();
    case 255:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 256:
      if (lookahead == 'm') ADVANCE(366);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(506);
      END_STATE();
    case 258:
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == 'x') ADVANCE(281);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(442);
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(276);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(254);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(242);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(194);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(216);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(218);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(220);
      END_STATE();
    case 272:
      if (lookahead == 'n') ADVANCE(296);
      END_STATE();
    case 273:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 274:
      if (lookahead == 'o') ADVANCE(294);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(272);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 277:
      if (lookahead == 'o') ADVANCE(286);
      END_STATE();
    case 278:
      if (lookahead == 'o') ADVANCE(261);
      END_STATE();
    case 279:
      if (lookahead == 'o') ADVANCE(239);
      END_STATE();
    case 280:
      if (lookahead == 'p') ADVANCE(211);
      if (lookahead == 'v') ADVANCE(212);
      END_STATE();
    case 281:
      if (lookahead == 'p') ADVANCE(213);
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 282:
      if (lookahead == 'p') ADVANCE(226);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(232);
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(382);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 286:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 287:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(287);
      END_STATE();
    case 289:
      if (lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 290:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 292:
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 293:
      if (lookahead == 's') ADVANCE(282);
      END_STATE();
    case 294:
      if (lookahead == 's') ADVANCE(297);
      END_STATE();
    case 295:
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(299);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(245);
      END_STATE();
    case 298:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 299:
      if (lookahead == 't') ADVANCE(414);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(466);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(434);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 308:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(225);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(227);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 313:
      ADVANCE_MAP(
        'u', 517,
        '"', 573,
        '$', 573,
        '\'', 573,
        '\\', 573,
        'b', 573,
        'n', 573,
        'r', 573,
        't', 573,
      );
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == 'x') ADVANCE(517);
      if (lookahead != 0) ADVANCE(517);
      END_STATE();
    case 314:
      if (lookahead == 'u') ADVANCE(256);
      END_STATE();
    case 315:
      if (lookahead == 'u') ADVANCE(330);
      if (lookahead != 0 &&
          (lookahead < '0' || '7' < lookahead) &&
          lookahead != 'x') ADVANCE(573);
      END_STATE();
    case 316:
      if (lookahead == 'u') ADVANCE(191);
      END_STATE();
    case 317:
      if (lookahead == 'u') ADVANCE(215);
      END_STATE();
    case 318:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 319:
      if (lookahead == 'x') ADVANCE(398);
      END_STATE();
    case 320:
      if (lookahead == '|') ADVANCE(497);
      END_STATE();
    case 321:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(582);
      END_STATE();
    case 322:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(577);
      END_STATE();
    case 323:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(576);
      END_STATE();
    case 324:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 325:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(582);
      END_STATE();
    case 326:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(573);
      END_STATE();
    case 327:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      END_STATE();
    case 328:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(326);
      END_STATE();
    case 329:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(328);
      END_STATE();
    case 330:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(329);
      END_STATE();
    case 331:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '`') ADVANCE(183);
      END_STATE();
    case 332:
      if (eof) ADVANCE(334);
      ADVANCE_MAP(
        '!', 492,
        '"', 516,
        '#', 8,
        '$', 566,
        '%', 496,
        '&', 477,
        '\'', 571,
        '(', 354,
        ')', 355,
        '*', 346,
        '+', 487,
        ',', 351,
        '-', 489,
        '.', 343,
        '/', 495,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 350,
        '=', 348,
        '>', 353,
        '?', 475,
        '@', 335,
        '[', 338,
        ']', 339,
        '`', 331,
        'a', 777,
        'c', 867,
        'd', 762,
        'e', 846,
        'f', 825,
        'g', 802,
        'i', 848,
        'l', 765,
        'n', 872,
        'o', 873,
        'p', 879,
        'r', 813,
        's', 790,
        't', 760,
        'v', 758,
        '{', 364,
        '|', 320,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 333:
      if (eof) ADVANCE(334);
      ADVANCE_MAP(
        '!', 491,
        '"', 516,
        '#', 8,
        '&', 476,
        '\'', 571,
        '(', 354,
        ')', 355,
        '*', 345,
        '+', 486,
        ',', 351,
        '-', 490,
        '.', 344,
        '/', 43,
        '0', 575,
        ':', 337,
        ';', 340,
        '<', 349,
        '=', 347,
        '>', 352,
        '?', 474,
        '@', 335,
        '[', 338,
        '`', 331,
        'a', 612,
        'c', 702,
        'd', 597,
        'e', 681,
        'f', 660,
        'g', 637,
        'i', 683,
        'l', 600,
        'n', 707,
        'o', 708,
        'p', 714,
        'r', 647,
        's', 625,
        't', 595,
        'v', 593,
        '{', 364,
        '}', 365,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(576);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(923);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(514);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(508);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(481);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(503);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_get);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_get);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_get);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_set);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_enum);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_sealed);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_sealed);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_sealed);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_annotation);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_annotation);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_annotation);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_annotation);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_data);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_data);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_data);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_data);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_inner);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_inner);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_inner);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inner);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_value);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_value);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_value);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_value);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_tailrec);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_tailrec);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_tailrec);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_tailrec);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_operator);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_operator);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_operator);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_infix);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_infix);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_infix);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_infix);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_inline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_inline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_inline);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_suspend);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_suspend);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_suspend);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_suspend);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_const);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_public);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_private);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_protected);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_protected);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_protected);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_internal);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_internal);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_internal);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_internal);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_final);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_override);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_override);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_override);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_lateinit);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_lateinit);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_lateinit);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_lateinit);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_vararg);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_vararg);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_vararg);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_vararg);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_noinline);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_noinline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_noinline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_noinline);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_crossinline);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_crossinline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_crossinline);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_crossinline);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_expect);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_expect);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_expect);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_expect);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_actual);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_actual);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_actual);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(182);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_actual);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == ':') ADVANCE(505);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(498);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(480);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '>') ADVANCE(478);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(485);
      if (lookahead == '>') ADVANCE(478);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '!') ADVANCE(494);
      if (lookahead == '=') ADVANCE(499);
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == 'i') ADVANCE(257);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_BANG_BANG);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(925);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(483);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(500);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_BANGin);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_as_QMARK);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '<') ADVANCE(509);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_LT);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_this_AT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_super_AT);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_AT2);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_return_AT);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(25);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\n') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(518);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      ADVANCE_MAP(
        '/', 520,
        '`', 563,
        'a', 528,
        'c', 546,
        'd', 524,
        'e', 540,
        'g', 534,
        'i', 544,
        'o', 549,
        's', 534,
        'v', 523,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(519);
      if (set_contains(sym_identifier_character_set_1, 429, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '/') ADVANCE(518);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '`') ADVANCE(565);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(521);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(537);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(558);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(536);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(557);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'a') ADVANCE(555);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'c') ADVANCE(556);
      if (lookahead == 'n') ADVANCE(542);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'c') ADVANCE(554);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'e') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'e') ADVANCE(552);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'e') ADVANCE(529);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'e') ADVANCE(551);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'e') ADVANCE(554);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'i') ADVANCE(548);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'l') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'l') ADVANCE(562);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'm') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(560);
      if (lookahead == 'x') ADVANCE(550);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(553);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(547);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(533);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'n') ADVANCE(543);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'o') ADVANCE(551);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'o') ADVANCE(541);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'o') ADVANCE(559);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'o') ADVANCE(539);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'p') ADVANCE(531);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'p') ADVANCE(532);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'r') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'r') ADVANCE(526);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 's') ADVANCE(554);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(564);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(535);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(561);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(545);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(522);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 't') ADVANCE(527);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'u') ADVANCE(538);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'u') ADVANCE(525);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == 'u') ADVANCE(530);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '`') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(521);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(564);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(565);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(570);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      if (lookahead == '"') ADVANCE(569);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '.', 324,
        '_', 323,
        'B', 322,
        'b', 322,
        'E', 321,
        'e', 321,
        'F', 580,
        'f', 580,
        'L', 574,
        'l', 574,
        'U', 579,
        'u', 579,
        'X', 327,
        'x', 327,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(576);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '.', 324,
        '_', 323,
        'E', 321,
        'e', 321,
        'F', 580,
        'f', 580,
        'L', 574,
        'l', 574,
        'U', 579,
        'u', 579,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(576);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '_') ADVANCE(322);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(574);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(579);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(577);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '_') ADVANCE(327);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(574);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(578);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(574);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_float_literal);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(324);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_label);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(507);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '?') ADVANCE(507);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(510);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(511);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(513);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(659);
      if (lookahead == 'h') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(677);
      if (lookahead == 't') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(745);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(671);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'a') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'b') ADVANCE(731);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == 'n') ADVANCE(686);
      if (lookahead == 's') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'b') ADVANCE(731);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == 'n') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'b') ADVANCE(675);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == 'n') ADVANCE(686);
      if (lookahead == 's') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == 'n') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(737);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'c') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'd') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(598);
      if (lookahead == 'u') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(598);
      if (lookahead == 'u') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(423);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(718);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(599);
      if (lookahead == 'u') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(735);
      if (lookahead == 'u') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(743);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'e') ADVANCE(726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'f') ADVANCE(655);
      if (lookahead == 'l') ADVANCE(663);
      if (lookahead == 'n') ADVANCE(640);
      if (lookahead == 't') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'g') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'h') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(749);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(756);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(676);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'i') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(752);
      if (lookahead == 'r') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(752);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(656);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(723);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(666);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'l') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'm') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(751);
      if (lookahead == 'x') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(751);
      if (lookahead == 'x') ADVANCE(710);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(443);
      if (lookahead == 'r') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(601);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(640);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(665);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(691);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(732);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'n') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(697);
      if (lookahead == 'r') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(697);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'o') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(627);
      if (lookahead == 'v') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(629);
      if (lookahead == 't') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(642);
      if (lookahead == 's') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'p') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(654);
      if (lookahead == 'u') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(652);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(589);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(610);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(657);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(639);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'r') ADVANCE(699);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(733);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(741);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(736);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 's') ADVANCE(668);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(467);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(754);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(662);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(641);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 't') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(722);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'u') ADVANCE(602);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'v') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 'x') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '@') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(381);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(824);
      if (lookahead == 'h') ADVANCE(823);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(824);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(908);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(842);
      if (lookahead == 't') ADVANCE(363);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(842);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(911);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(834);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(835);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(836);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(881);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(837);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(839);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(910);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(912);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(885);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(913);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(784);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(897);
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'n') ADVANCE(851);
      if (lookahead == 's') ADVANCE(586);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(897);
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'n') ADVANCE(851);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(840);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(906);
      if (lookahead == 'n') ADVANCE(851);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(421);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(393);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(903);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(904);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(914);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(373);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(413);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(429);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(800);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(763);
      if (lookahead == 'u') ADVANCE(876);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(763);
      if (lookahead == 'u') ADVANCE(894);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(849);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(886);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(786);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(389);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(405);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(425);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(461);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(449);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(465);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(900);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(891);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(782);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(880);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(788);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(884);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(764);
      if (lookahead == 'u') ADVANCE(894);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(853);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(892);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(901);
      if (lookahead == 'u') ADVANCE(894);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(901);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(909);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(785);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(829);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(893);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(820);
      if (lookahead == 'l') ADVANCE(828);
      if (lookahead == 'n') ADVANCE(805);
      if (lookahead == 't') ADVANCE(816);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(457);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(921);
      if (lookahead == 'o') ADVANCE(915);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(922);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(781);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(789);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(895);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(841);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(854);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(855);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(871);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(858);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(857);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(905);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(860);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(861);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(865);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(441);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(473);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(409);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(433);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(918);
      if (lookahead == 'r') ADVANCE(769);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(918);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(821);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(890);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(795);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(831);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(832);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(369);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'x') ADVANCE(874);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'x') ADVANCE(875);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(817);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(445);
      if (lookahead == 'r') ADVANCE(772);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(377);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(869);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(592);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(787);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(766);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(843);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(805);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(830);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(797);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(856);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(799);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(801);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(898);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(768);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(770);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(844);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(896);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(862);
      if (lookahead == 'r') ADVANCE(866);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(862);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(916);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(882);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(850);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(826);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(792);
      if (lookahead == 'v') ADVANCE(793);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(794);
      if (lookahead == 't') ADVANCE(803);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(794);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(807);
      if (lookahead == 's') ADVANCE(877);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(809);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(810);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(819);
      if (lookahead == 'u') ADVANCE(779);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(385);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(818);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(397);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(866);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(590);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(769);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(888);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(776);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(822);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(852);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(804);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(863);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(772);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(864);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(877);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(588);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(899);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(907);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(902);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(833);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(359);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(363);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(417);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(469);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(437);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(453);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(920);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(887);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(759);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(919);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(870);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(815);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(827);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(798);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(814);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(773);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(845);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(796);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(889);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(767);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(775);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(401);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 452, lookahead)) ADVANCE(923);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(924);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(925);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'i', 7,
        'o', 8,
        'p', 9,
        'r', 10,
        's', 11,
        't', 12,
        'v', 13,
        'w', 14,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'y') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'l') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(23);
      END_STATE();
    case 6:
      if (lookahead == 'i') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(27);
      if (lookahead == 'm') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 's') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'b') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'r') ADVANCE(34);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 12:
      if (lookahead == 'h') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'h') ADVANCE(42);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_by);
      END_STATE();
    case 17:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'l') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(55);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'i') ADVANCE(56);
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 31:
      if (lookahead == 'j') ADVANCE(58);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 34:
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(63);
      if (lookahead == 'i') ADVANCE(64);
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      END_STATE();
    case 39:
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(71);
      END_STATE();
    case 41:
      if (lookahead == 'l') ADVANCE(72);
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'i') ADVANCE(75);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(76);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(85);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_fun);
      END_STATE();
    case 55:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 60:
      if (lookahead == 'k') ADVANCE(90);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 62:
      if (lookahead == 'p') ADVANCE(92);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 64:
      if (lookahead == 'f') ADVANCE(94);
      END_STATE();
    case 65:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 66:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 74:
      if (lookahead == 'n') ADVANCE(101);
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 75:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 76:
      if (lookahead == 'h') ADVANCE(104);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 80:
      if (lookahead == 'g') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'm') ADVANCE(109);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 83:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_file);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_init);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(114);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(115);
      END_STATE();
    case 91:
      if (lookahead == 'm') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 99:
      if (lookahead == 'w') ADVANCE(123);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 106:
      if (lookahead == 'n') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 109:
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 113:
      if (lookahead == 'f') ADVANCE(133);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 115:
      if (lookahead == 'g') ADVANCE(135);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_param);
      END_STATE();
    case 117:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 118:
      if (lookahead == 'v') ADVANCE(137);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 120:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(140);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_super);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(143);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 130:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 131:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 133:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 138:
      if (lookahead == 'd') ADVANCE(151);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 140:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 141:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 142:
      if (lookahead == 'o') ADVANCE(154);
      END_STATE();
    case 143:
      if (lookahead == 'c') ADVANCE(155);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 149:
      if (lookahead == 'y') ADVANCE(158);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_reification_modifier);
      END_STATE();
    case 152:
      if (lookahead == 'm') ADVANCE(160);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(162);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_delegate);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_receiver);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_setparam);
      END_STATE();
    case 161:
      if (lookahead == 's') ADVANCE(165);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_companion);
      END_STATE();
    case 163:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_typealias);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 333, .external_lex_state = 2},
  [2] = {.lex_state = 333, .external_lex_state = 2},
  [3] = {.lex_state = 10, .external_lex_state = 3},
  [4] = {.lex_state = 333, .external_lex_state = 2},
  [5] = {.lex_state = 333, .external_lex_state = 2},
  [6] = {.lex_state = 10, .external_lex_state = 3},
  [7] = {.lex_state = 10, .external_lex_state = 3},
  [8] = {.lex_state = 10, .external_lex_state = 3},
  [9] = {.lex_state = 10, .external_lex_state = 3},
  [10] = {.lex_state = 10, .external_lex_state = 3},
  [11] = {.lex_state = 10, .external_lex_state = 3},
  [12] = {.lex_state = 333, .external_lex_state = 2},
  [13] = {.lex_state = 333, .external_lex_state = 2},
  [14] = {.lex_state = 333, .external_lex_state = 2},
  [15] = {.lex_state = 333, .external_lex_state = 2},
  [16] = {.lex_state = 333, .external_lex_state = 2},
  [17] = {.lex_state = 333, .external_lex_state = 2},
  [18] = {.lex_state = 333, .external_lex_state = 2},
  [19] = {.lex_state = 333, .external_lex_state = 2},
  [20] = {.lex_state = 333, .external_lex_state = 2},
  [21] = {.lex_state = 333, .external_lex_state = 2},
  [22] = {.lex_state = 333, .external_lex_state = 2},
  [23] = {.lex_state = 333, .external_lex_state = 2},
  [24] = {.lex_state = 333, .external_lex_state = 2},
  [25] = {.lex_state = 333, .external_lex_state = 2},
  [26] = {.lex_state = 333, .external_lex_state = 2},
  [27] = {.lex_state = 333, .external_lex_state = 2},
  [28] = {.lex_state = 333, .external_lex_state = 2},
  [29] = {.lex_state = 333, .external_lex_state = 2},
  [30] = {.lex_state = 333, .external_lex_state = 2},
  [31] = {.lex_state = 333, .external_lex_state = 2},
  [32] = {.lex_state = 333, .external_lex_state = 2},
  [33] = {.lex_state = 333, .external_lex_state = 2},
  [34] = {.lex_state = 333, .external_lex_state = 2},
  [35] = {.lex_state = 333, .external_lex_state = 2},
  [36] = {.lex_state = 333, .external_lex_state = 2},
  [37] = {.lex_state = 333, .external_lex_state = 2},
  [38] = {.lex_state = 333, .external_lex_state = 2},
  [39] = {.lex_state = 333, .external_lex_state = 2},
  [40] = {.lex_state = 333, .external_lex_state = 2},
  [41] = {.lex_state = 333, .external_lex_state = 2},
  [42] = {.lex_state = 333, .external_lex_state = 2},
  [43] = {.lex_state = 333, .external_lex_state = 2},
  [44] = {.lex_state = 333, .external_lex_state = 2},
  [45] = {.lex_state = 333, .external_lex_state = 2},
  [46] = {.lex_state = 333, .external_lex_state = 2},
  [47] = {.lex_state = 333, .external_lex_state = 2},
  [48] = {.lex_state = 333, .external_lex_state = 2},
  [49] = {.lex_state = 333, .external_lex_state = 2},
  [50] = {.lex_state = 333, .external_lex_state = 2},
  [51] = {.lex_state = 333, .external_lex_state = 2},
  [52] = {.lex_state = 333, .external_lex_state = 2},
  [53] = {.lex_state = 333, .external_lex_state = 2},
  [54] = {.lex_state = 333, .external_lex_state = 2},
  [55] = {.lex_state = 333, .external_lex_state = 2},
  [56] = {.lex_state = 333, .external_lex_state = 2},
  [57] = {.lex_state = 2, .external_lex_state = 4},
  [58] = {.lex_state = 2, .external_lex_state = 4},
  [59] = {.lex_state = 2, .external_lex_state = 5},
  [60] = {.lex_state = 2, .external_lex_state = 5},
  [61] = {.lex_state = 333, .external_lex_state = 2},
  [62] = {.lex_state = 333, .external_lex_state = 2},
  [63] = {.lex_state = 333, .external_lex_state = 2},
  [64] = {.lex_state = 333, .external_lex_state = 2},
  [65] = {.lex_state = 2, .external_lex_state = 5},
  [66] = {.lex_state = 333, .external_lex_state = 2},
  [67] = {.lex_state = 2, .external_lex_state = 5},
  [68] = {.lex_state = 333, .external_lex_state = 2},
  [69] = {.lex_state = 2, .external_lex_state = 5},
  [70] = {.lex_state = 2, .external_lex_state = 5},
  [71] = {.lex_state = 333, .external_lex_state = 2},
  [72] = {.lex_state = 333, .external_lex_state = 6},
  [73] = {.lex_state = 333, .external_lex_state = 6},
  [74] = {.lex_state = 333, .external_lex_state = 6},
  [75] = {.lex_state = 2, .external_lex_state = 7},
  [76] = {.lex_state = 2, .external_lex_state = 7},
  [77] = {.lex_state = 333, .external_lex_state = 6},
  [78] = {.lex_state = 2, .external_lex_state = 8},
  [79] = {.lex_state = 2, .external_lex_state = 8},
  [80] = {.lex_state = 2, .external_lex_state = 7},
  [81] = {.lex_state = 2, .external_lex_state = 7},
  [82] = {.lex_state = 2, .external_lex_state = 8},
  [83] = {.lex_state = 2, .external_lex_state = 8},
  [84] = {.lex_state = 2, .external_lex_state = 7},
  [85] = {.lex_state = 2, .external_lex_state = 7},
  [86] = {.lex_state = 2, .external_lex_state = 8},
  [87] = {.lex_state = 2, .external_lex_state = 8},
  [88] = {.lex_state = 333, .external_lex_state = 6},
  [89] = {.lex_state = 333, .external_lex_state = 6},
  [90] = {.lex_state = 333, .external_lex_state = 6},
  [91] = {.lex_state = 333, .external_lex_state = 2},
  [92] = {.lex_state = 333, .external_lex_state = 2},
  [93] = {.lex_state = 333, .external_lex_state = 2},
  [94] = {.lex_state = 333, .external_lex_state = 2},
  [95] = {.lex_state = 333, .external_lex_state = 2},
  [96] = {.lex_state = 333, .external_lex_state = 2},
  [97] = {.lex_state = 333, .external_lex_state = 2},
  [98] = {.lex_state = 333, .external_lex_state = 2},
  [99] = {.lex_state = 333, .external_lex_state = 2},
  [100] = {.lex_state = 333, .external_lex_state = 2},
  [101] = {.lex_state = 333, .external_lex_state = 2},
  [102] = {.lex_state = 333, .external_lex_state = 2},
  [103] = {.lex_state = 333, .external_lex_state = 2},
  [104] = {.lex_state = 333, .external_lex_state = 2},
  [105] = {.lex_state = 333, .external_lex_state = 2},
  [106] = {.lex_state = 333, .external_lex_state = 2},
  [107] = {.lex_state = 333, .external_lex_state = 2},
  [108] = {.lex_state = 333, .external_lex_state = 2},
  [109] = {.lex_state = 333, .external_lex_state = 2},
  [110] = {.lex_state = 333, .external_lex_state = 2},
  [111] = {.lex_state = 333, .external_lex_state = 2},
  [112] = {.lex_state = 333, .external_lex_state = 2},
  [113] = {.lex_state = 333, .external_lex_state = 2},
  [114] = {.lex_state = 333, .external_lex_state = 2},
  [115] = {.lex_state = 333, .external_lex_state = 2},
  [116] = {.lex_state = 333, .external_lex_state = 2},
  [117] = {.lex_state = 333, .external_lex_state = 2},
  [118] = {.lex_state = 333, .external_lex_state = 2},
  [119] = {.lex_state = 333, .external_lex_state = 2},
  [120] = {.lex_state = 333, .external_lex_state = 2},
  [121] = {.lex_state = 333, .external_lex_state = 2},
  [122] = {.lex_state = 333, .external_lex_state = 2},
  [123] = {.lex_state = 333, .external_lex_state = 2},
  [124] = {.lex_state = 333, .external_lex_state = 2},
  [125] = {.lex_state = 333, .external_lex_state = 2},
  [126] = {.lex_state = 333, .external_lex_state = 2},
  [127] = {.lex_state = 333, .external_lex_state = 2},
  [128] = {.lex_state = 333, .external_lex_state = 2},
  [129] = {.lex_state = 333, .external_lex_state = 2},
  [130] = {.lex_state = 333, .external_lex_state = 2},
  [131] = {.lex_state = 333, .external_lex_state = 2},
  [132] = {.lex_state = 333, .external_lex_state = 2},
  [133] = {.lex_state = 333, .external_lex_state = 2},
  [134] = {.lex_state = 333, .external_lex_state = 2},
  [135] = {.lex_state = 333, .external_lex_state = 2},
  [136] = {.lex_state = 333, .external_lex_state = 2},
  [137] = {.lex_state = 333, .external_lex_state = 2},
  [138] = {.lex_state = 333, .external_lex_state = 2},
  [139] = {.lex_state = 333, .external_lex_state = 2},
  [140] = {.lex_state = 333, .external_lex_state = 2},
  [141] = {.lex_state = 333, .external_lex_state = 2},
  [142] = {.lex_state = 333, .external_lex_state = 2},
  [143] = {.lex_state = 333, .external_lex_state = 2},
  [144] = {.lex_state = 333, .external_lex_state = 2},
  [145] = {.lex_state = 333, .external_lex_state = 2},
  [146] = {.lex_state = 333, .external_lex_state = 2},
  [147] = {.lex_state = 333, .external_lex_state = 2},
  [148] = {.lex_state = 333, .external_lex_state = 2},
  [149] = {.lex_state = 333, .external_lex_state = 2},
  [150] = {.lex_state = 333, .external_lex_state = 2},
  [151] = {.lex_state = 333, .external_lex_state = 2},
  [152] = {.lex_state = 333, .external_lex_state = 2},
  [153] = {.lex_state = 333, .external_lex_state = 2},
  [154] = {.lex_state = 333, .external_lex_state = 2},
  [155] = {.lex_state = 333, .external_lex_state = 2},
  [156] = {.lex_state = 333, .external_lex_state = 2},
  [157] = {.lex_state = 333, .external_lex_state = 2},
  [158] = {.lex_state = 333, .external_lex_state = 2},
  [159] = {.lex_state = 333, .external_lex_state = 2},
  [160] = {.lex_state = 333, .external_lex_state = 2},
  [161] = {.lex_state = 333, .external_lex_state = 2},
  [162] = {.lex_state = 333, .external_lex_state = 2},
  [163] = {.lex_state = 333, .external_lex_state = 2},
  [164] = {.lex_state = 333, .external_lex_state = 2},
  [165] = {.lex_state = 333, .external_lex_state = 2},
  [166] = {.lex_state = 333, .external_lex_state = 2},
  [167] = {.lex_state = 333, .external_lex_state = 2},
  [168] = {.lex_state = 333, .external_lex_state = 2},
  [169] = {.lex_state = 333, .external_lex_state = 2},
  [170] = {.lex_state = 333, .external_lex_state = 2},
  [171] = {.lex_state = 333, .external_lex_state = 2},
  [172] = {.lex_state = 333, .external_lex_state = 2},
  [173] = {.lex_state = 333, .external_lex_state = 2},
  [174] = {.lex_state = 333, .external_lex_state = 2},
  [175] = {.lex_state = 333, .external_lex_state = 2},
  [176] = {.lex_state = 333, .external_lex_state = 2},
  [177] = {.lex_state = 333, .external_lex_state = 2},
  [178] = {.lex_state = 333, .external_lex_state = 2},
  [179] = {.lex_state = 333, .external_lex_state = 2},
  [180] = {.lex_state = 333, .external_lex_state = 2},
  [181] = {.lex_state = 333, .external_lex_state = 2},
  [182] = {.lex_state = 333, .external_lex_state = 2},
  [183] = {.lex_state = 333, .external_lex_state = 2},
  [184] = {.lex_state = 333, .external_lex_state = 2},
  [185] = {.lex_state = 333, .external_lex_state = 2},
  [186] = {.lex_state = 333, .external_lex_state = 2},
  [187] = {.lex_state = 333, .external_lex_state = 2},
  [188] = {.lex_state = 333, .external_lex_state = 2},
  [189] = {.lex_state = 333, .external_lex_state = 2},
  [190] = {.lex_state = 333, .external_lex_state = 2},
  [191] = {.lex_state = 333, .external_lex_state = 2},
  [192] = {.lex_state = 333, .external_lex_state = 2},
  [193] = {.lex_state = 333, .external_lex_state = 2},
  [194] = {.lex_state = 333, .external_lex_state = 2},
  [195] = {.lex_state = 333, .external_lex_state = 2},
  [196] = {.lex_state = 333, .external_lex_state = 2},
  [197] = {.lex_state = 333, .external_lex_state = 2},
  [198] = {.lex_state = 333, .external_lex_state = 2},
  [199] = {.lex_state = 333, .external_lex_state = 2},
  [200] = {.lex_state = 333, .external_lex_state = 2},
  [201] = {.lex_state = 333, .external_lex_state = 2},
  [202] = {.lex_state = 333, .external_lex_state = 2},
  [203] = {.lex_state = 333, .external_lex_state = 2},
  [204] = {.lex_state = 333, .external_lex_state = 2},
  [205] = {.lex_state = 333, .external_lex_state = 2},
  [206] = {.lex_state = 333, .external_lex_state = 2},
  [207] = {.lex_state = 333, .external_lex_state = 2},
  [208] = {.lex_state = 333, .external_lex_state = 2},
  [209] = {.lex_state = 333, .external_lex_state = 2},
  [210] = {.lex_state = 333, .external_lex_state = 2},
  [211] = {.lex_state = 333, .external_lex_state = 2},
  [212] = {.lex_state = 333, .external_lex_state = 2},
  [213] = {.lex_state = 333, .external_lex_state = 2},
  [214] = {.lex_state = 333, .external_lex_state = 2},
  [215] = {.lex_state = 333, .external_lex_state = 2},
  [216] = {.lex_state = 333, .external_lex_state = 2},
  [217] = {.lex_state = 333, .external_lex_state = 2},
  [218] = {.lex_state = 333, .external_lex_state = 2},
  [219] = {.lex_state = 333, .external_lex_state = 2},
  [220] = {.lex_state = 333, .external_lex_state = 2},
  [221] = {.lex_state = 333, .external_lex_state = 2},
  [222] = {.lex_state = 333, .external_lex_state = 2},
  [223] = {.lex_state = 333, .external_lex_state = 2},
  [224] = {.lex_state = 333, .external_lex_state = 2},
  [225] = {.lex_state = 333, .external_lex_state = 2},
  [226] = {.lex_state = 333, .external_lex_state = 2},
  [227] = {.lex_state = 333, .external_lex_state = 2},
  [228] = {.lex_state = 333, .external_lex_state = 2},
  [229] = {.lex_state = 333, .external_lex_state = 2},
  [230] = {.lex_state = 333, .external_lex_state = 2},
  [231] = {.lex_state = 333, .external_lex_state = 2},
  [232] = {.lex_state = 333, .external_lex_state = 2},
  [233] = {.lex_state = 333, .external_lex_state = 2},
  [234] = {.lex_state = 333, .external_lex_state = 2},
  [235] = {.lex_state = 333, .external_lex_state = 2},
  [236] = {.lex_state = 333, .external_lex_state = 2},
  [237] = {.lex_state = 333, .external_lex_state = 2},
  [238] = {.lex_state = 333, .external_lex_state = 2},
  [239] = {.lex_state = 333, .external_lex_state = 2},
  [240] = {.lex_state = 333, .external_lex_state = 2},
  [241] = {.lex_state = 333, .external_lex_state = 2},
  [242] = {.lex_state = 333, .external_lex_state = 2},
  [243] = {.lex_state = 333, .external_lex_state = 2},
  [244] = {.lex_state = 333, .external_lex_state = 2},
  [245] = {.lex_state = 333, .external_lex_state = 2},
  [246] = {.lex_state = 333, .external_lex_state = 2},
  [247] = {.lex_state = 333, .external_lex_state = 2},
  [248] = {.lex_state = 333, .external_lex_state = 2},
  [249] = {.lex_state = 333, .external_lex_state = 2},
  [250] = {.lex_state = 333, .external_lex_state = 2},
  [251] = {.lex_state = 333, .external_lex_state = 2},
  [252] = {.lex_state = 333, .external_lex_state = 2},
  [253] = {.lex_state = 333, .external_lex_state = 2},
  [254] = {.lex_state = 333, .external_lex_state = 2},
  [255] = {.lex_state = 333, .external_lex_state = 2},
  [256] = {.lex_state = 333, .external_lex_state = 2},
  [257] = {.lex_state = 333, .external_lex_state = 2},
  [258] = {.lex_state = 333, .external_lex_state = 2},
  [259] = {.lex_state = 333, .external_lex_state = 2},
  [260] = {.lex_state = 333, .external_lex_state = 2},
  [261] = {.lex_state = 333, .external_lex_state = 2},
  [262] = {.lex_state = 333, .external_lex_state = 2},
  [263] = {.lex_state = 333, .external_lex_state = 2},
  [264] = {.lex_state = 333, .external_lex_state = 2},
  [265] = {.lex_state = 333, .external_lex_state = 2},
  [266] = {.lex_state = 333, .external_lex_state = 2},
  [267] = {.lex_state = 333, .external_lex_state = 2},
  [268] = {.lex_state = 333, .external_lex_state = 2},
  [269] = {.lex_state = 333, .external_lex_state = 2},
  [270] = {.lex_state = 333, .external_lex_state = 2},
  [271] = {.lex_state = 333, .external_lex_state = 2},
  [272] = {.lex_state = 333, .external_lex_state = 2},
  [273] = {.lex_state = 333, .external_lex_state = 2},
  [274] = {.lex_state = 333, .external_lex_state = 2},
  [275] = {.lex_state = 333, .external_lex_state = 2},
  [276] = {.lex_state = 333, .external_lex_state = 2},
  [277] = {.lex_state = 333, .external_lex_state = 2},
  [278] = {.lex_state = 333, .external_lex_state = 2},
  [279] = {.lex_state = 333, .external_lex_state = 2},
  [280] = {.lex_state = 333, .external_lex_state = 2},
  [281] = {.lex_state = 333, .external_lex_state = 2},
  [282] = {.lex_state = 333, .external_lex_state = 2},
  [283] = {.lex_state = 333, .external_lex_state = 2},
  [284] = {.lex_state = 333, .external_lex_state = 2},
  [285] = {.lex_state = 333, .external_lex_state = 2},
  [286] = {.lex_state = 333, .external_lex_state = 2},
  [287] = {.lex_state = 333, .external_lex_state = 2},
  [288] = {.lex_state = 333, .external_lex_state = 2},
  [289] = {.lex_state = 333, .external_lex_state = 2},
  [290] = {.lex_state = 333, .external_lex_state = 2},
  [291] = {.lex_state = 333, .external_lex_state = 2},
  [292] = {.lex_state = 333, .external_lex_state = 2},
  [293] = {.lex_state = 333, .external_lex_state = 2},
  [294] = {.lex_state = 333, .external_lex_state = 2},
  [295] = {.lex_state = 333, .external_lex_state = 2},
  [296] = {.lex_state = 333, .external_lex_state = 2},
  [297] = {.lex_state = 333, .external_lex_state = 2},
  [298] = {.lex_state = 333, .external_lex_state = 2},
  [299] = {.lex_state = 333, .external_lex_state = 2},
  [300] = {.lex_state = 333, .external_lex_state = 2},
  [301] = {.lex_state = 333, .external_lex_state = 2},
  [302] = {.lex_state = 333, .external_lex_state = 2},
  [303] = {.lex_state = 333, .external_lex_state = 2},
  [304] = {.lex_state = 333, .external_lex_state = 2},
  [305] = {.lex_state = 333, .external_lex_state = 2},
  [306] = {.lex_state = 333, .external_lex_state = 2},
  [307] = {.lex_state = 333, .external_lex_state = 2},
  [308] = {.lex_state = 333, .external_lex_state = 2},
  [309] = {.lex_state = 333, .external_lex_state = 2},
  [310] = {.lex_state = 333, .external_lex_state = 2},
  [311] = {.lex_state = 333, .external_lex_state = 2},
  [312] = {.lex_state = 333, .external_lex_state = 2},
  [313] = {.lex_state = 333, .external_lex_state = 2},
  [314] = {.lex_state = 333, .external_lex_state = 2},
  [315] = {.lex_state = 333, .external_lex_state = 2},
  [316] = {.lex_state = 333, .external_lex_state = 2},
  [317] = {.lex_state = 333, .external_lex_state = 2},
  [318] = {.lex_state = 333, .external_lex_state = 2},
  [319] = {.lex_state = 333, .external_lex_state = 2},
  [320] = {.lex_state = 333, .external_lex_state = 2},
  [321] = {.lex_state = 333, .external_lex_state = 2},
  [322] = {.lex_state = 333, .external_lex_state = 2},
  [323] = {.lex_state = 333, .external_lex_state = 2},
  [324] = {.lex_state = 333, .external_lex_state = 2},
  [325] = {.lex_state = 333, .external_lex_state = 2},
  [326] = {.lex_state = 333, .external_lex_state = 2},
  [327] = {.lex_state = 333, .external_lex_state = 2},
  [328] = {.lex_state = 333, .external_lex_state = 2},
  [329] = {.lex_state = 333, .external_lex_state = 2},
  [330] = {.lex_state = 333, .external_lex_state = 2},
  [331] = {.lex_state = 333, .external_lex_state = 2},
  [332] = {.lex_state = 333, .external_lex_state = 2},
  [333] = {.lex_state = 333, .external_lex_state = 2},
  [334] = {.lex_state = 333, .external_lex_state = 2},
  [335] = {.lex_state = 333, .external_lex_state = 2},
  [336] = {.lex_state = 333, .external_lex_state = 2},
  [337] = {.lex_state = 333, .external_lex_state = 2},
  [338] = {.lex_state = 333, .external_lex_state = 2},
  [339] = {.lex_state = 333, .external_lex_state = 2},
  [340] = {.lex_state = 333, .external_lex_state = 2},
  [341] = {.lex_state = 333, .external_lex_state = 2},
  [342] = {.lex_state = 333, .external_lex_state = 2},
  [343] = {.lex_state = 333, .external_lex_state = 2},
  [344] = {.lex_state = 333, .external_lex_state = 2},
  [345] = {.lex_state = 333, .external_lex_state = 2},
  [346] = {.lex_state = 333, .external_lex_state = 2},
  [347] = {.lex_state = 333, .external_lex_state = 2},
  [348] = {.lex_state = 333, .external_lex_state = 2},
  [349] = {.lex_state = 333, .external_lex_state = 2},
  [350] = {.lex_state = 333, .external_lex_state = 2},
  [351] = {.lex_state = 333, .external_lex_state = 2},
  [352] = {.lex_state = 333, .external_lex_state = 2},
  [353] = {.lex_state = 333, .external_lex_state = 2},
  [354] = {.lex_state = 333, .external_lex_state = 2},
  [355] = {.lex_state = 333, .external_lex_state = 2},
  [356] = {.lex_state = 333, .external_lex_state = 2},
  [357] = {.lex_state = 333, .external_lex_state = 2},
  [358] = {.lex_state = 333, .external_lex_state = 2},
  [359] = {.lex_state = 333, .external_lex_state = 2},
  [360] = {.lex_state = 333, .external_lex_state = 2},
  [361] = {.lex_state = 333, .external_lex_state = 2},
  [362] = {.lex_state = 333, .external_lex_state = 2},
  [363] = {.lex_state = 333, .external_lex_state = 2},
  [364] = {.lex_state = 333, .external_lex_state = 2},
  [365] = {.lex_state = 333, .external_lex_state = 2},
  [366] = {.lex_state = 2, .external_lex_state = 4},
  [367] = {.lex_state = 333, .external_lex_state = 2},
  [368] = {.lex_state = 2, .external_lex_state = 4},
  [369] = {.lex_state = 2, .external_lex_state = 5},
  [370] = {.lex_state = 2, .external_lex_state = 5},
  [371] = {.lex_state = 2, .external_lex_state = 5},
  [372] = {.lex_state = 2, .external_lex_state = 5},
  [373] = {.lex_state = 2, .external_lex_state = 5},
  [374] = {.lex_state = 2, .external_lex_state = 5},
  [375] = {.lex_state = 2, .external_lex_state = 7},
  [376] = {.lex_state = 2, .external_lex_state = 8},
  [377] = {.lex_state = 2, .external_lex_state = 7},
  [378] = {.lex_state = 2, .external_lex_state = 8},
  [379] = {.lex_state = 2, .external_lex_state = 8},
  [380] = {.lex_state = 2, .external_lex_state = 7},
  [381] = {.lex_state = 2, .external_lex_state = 7},
  [382] = {.lex_state = 2, .external_lex_state = 8},
  [383] = {.lex_state = 2, .external_lex_state = 8},
  [384] = {.lex_state = 2, .external_lex_state = 7},
  [385] = {.lex_state = 2, .external_lex_state = 7},
  [386] = {.lex_state = 2, .external_lex_state = 8},
  [387] = {.lex_state = 1, .external_lex_state = 7},
  [388] = {.lex_state = 1, .external_lex_state = 7},
  [389] = {.lex_state = 1, .external_lex_state = 4},
  [390] = {.lex_state = 1, .external_lex_state = 4},
  [391] = {.lex_state = 1, .external_lex_state = 5},
  [392] = {.lex_state = 1, .external_lex_state = 5},
  [393] = {.lex_state = 1, .external_lex_state = 7},
  [394] = {.lex_state = 1, .external_lex_state = 4},
  [395] = {.lex_state = 1, .external_lex_state = 8},
  [396] = {.lex_state = 1, .external_lex_state = 7},
  [397] = {.lex_state = 1, .external_lex_state = 4},
  [398] = {.lex_state = 1, .external_lex_state = 8},
  [399] = {.lex_state = 1, .external_lex_state = 7},
  [400] = {.lex_state = 1, .external_lex_state = 5},
  [401] = {.lex_state = 1, .external_lex_state = 7},
  [402] = {.lex_state = 1, .external_lex_state = 5},
  [403] = {.lex_state = 1, .external_lex_state = 8},
  [404] = {.lex_state = 1, .external_lex_state = 8},
  [405] = {.lex_state = 1, .external_lex_state = 4},
  [406] = {.lex_state = 1, .external_lex_state = 4},
  [407] = {.lex_state = 1, .external_lex_state = 7},
  [408] = {.lex_state = 1, .external_lex_state = 7},
  [409] = {.lex_state = 1, .external_lex_state = 5},
  [410] = {.lex_state = 1, .external_lex_state = 5},
  [411] = {.lex_state = 1, .external_lex_state = 7},
  [412] = {.lex_state = 1, .external_lex_state = 4},
  [413] = {.lex_state = 1, .external_lex_state = 8},
  [414] = {.lex_state = 1, .external_lex_state = 7},
  [415] = {.lex_state = 1, .external_lex_state = 8},
  [416] = {.lex_state = 1, .external_lex_state = 4},
  [417] = {.lex_state = 1, .external_lex_state = 7},
  [418] = {.lex_state = 1, .external_lex_state = 7},
  [419] = {.lex_state = 1, .external_lex_state = 5},
  [420] = {.lex_state = 1, .external_lex_state = 5},
  [421] = {.lex_state = 1, .external_lex_state = 8},
  [422] = {.lex_state = 1, .external_lex_state = 8},
  [423] = {.lex_state = 333, .external_lex_state = 2},
  [424] = {.lex_state = 333, .external_lex_state = 2},
  [425] = {.lex_state = 333, .external_lex_state = 2},
  [426] = {.lex_state = 333, .external_lex_state = 2},
  [427] = {.lex_state = 2, .external_lex_state = 4},
  [428] = {.lex_state = 2, .external_lex_state = 4},
  [429] = {.lex_state = 2, .external_lex_state = 4},
  [430] = {.lex_state = 2, .external_lex_state = 4},
  [431] = {.lex_state = 2, .external_lex_state = 4},
  [432] = {.lex_state = 2, .external_lex_state = 4},
  [433] = {.lex_state = 2, .external_lex_state = 4},
  [434] = {.lex_state = 2, .external_lex_state = 4},
  [435] = {.lex_state = 2, .external_lex_state = 4},
  [436] = {.lex_state = 2, .external_lex_state = 4},
  [437] = {.lex_state = 2, .external_lex_state = 4},
  [438] = {.lex_state = 2, .external_lex_state = 4},
  [439] = {.lex_state = 2, .external_lex_state = 4},
  [440] = {.lex_state = 2, .external_lex_state = 4},
  [441] = {.lex_state = 2, .external_lex_state = 4},
  [442] = {.lex_state = 2, .external_lex_state = 4},
  [443] = {.lex_state = 2, .external_lex_state = 4},
  [444] = {.lex_state = 2, .external_lex_state = 4},
  [445] = {.lex_state = 2, .external_lex_state = 4},
  [446] = {.lex_state = 2, .external_lex_state = 4},
  [447] = {.lex_state = 2, .external_lex_state = 4},
  [448] = {.lex_state = 2, .external_lex_state = 4},
  [449] = {.lex_state = 2, .external_lex_state = 4},
  [450] = {.lex_state = 2, .external_lex_state = 4},
  [451] = {.lex_state = 2, .external_lex_state = 4},
  [452] = {.lex_state = 2, .external_lex_state = 4},
  [453] = {.lex_state = 2, .external_lex_state = 4},
  [454] = {.lex_state = 2, .external_lex_state = 4},
  [455] = {.lex_state = 2, .external_lex_state = 4},
  [456] = {.lex_state = 2, .external_lex_state = 4},
  [457] = {.lex_state = 2, .external_lex_state = 4},
  [458] = {.lex_state = 2, .external_lex_state = 4},
  [459] = {.lex_state = 2, .external_lex_state = 4},
  [460] = {.lex_state = 2, .external_lex_state = 4},
  [461] = {.lex_state = 2, .external_lex_state = 4},
  [462] = {.lex_state = 2, .external_lex_state = 4},
  [463] = {.lex_state = 2, .external_lex_state = 4},
  [464] = {.lex_state = 2, .external_lex_state = 4},
  [465] = {.lex_state = 2, .external_lex_state = 4},
  [466] = {.lex_state = 2, .external_lex_state = 4},
  [467] = {.lex_state = 2, .external_lex_state = 4},
  [468] = {.lex_state = 2, .external_lex_state = 4},
  [469] = {.lex_state = 2, .external_lex_state = 4},
  [470] = {.lex_state = 2, .external_lex_state = 4},
  [471] = {.lex_state = 2, .external_lex_state = 4},
  [472] = {.lex_state = 2, .external_lex_state = 4},
  [473] = {.lex_state = 2, .external_lex_state = 4},
  [474] = {.lex_state = 2, .external_lex_state = 4},
  [475] = {.lex_state = 2, .external_lex_state = 4},
  [476] = {.lex_state = 2, .external_lex_state = 4},
  [477] = {.lex_state = 2, .external_lex_state = 4},
  [478] = {.lex_state = 2, .external_lex_state = 4},
  [479] = {.lex_state = 2, .external_lex_state = 4},
  [480] = {.lex_state = 2, .external_lex_state = 4},
  [481] = {.lex_state = 2, .external_lex_state = 4},
  [482] = {.lex_state = 2, .external_lex_state = 4},
  [483] = {.lex_state = 2, .external_lex_state = 4},
  [484] = {.lex_state = 2, .external_lex_state = 4},
  [485] = {.lex_state = 2, .external_lex_state = 4},
  [486] = {.lex_state = 2, .external_lex_state = 4},
  [487] = {.lex_state = 2, .external_lex_state = 4},
  [488] = {.lex_state = 2, .external_lex_state = 4},
  [489] = {.lex_state = 2, .external_lex_state = 4},
  [490] = {.lex_state = 2, .external_lex_state = 4},
  [491] = {.lex_state = 2, .external_lex_state = 4},
  [492] = {.lex_state = 2, .external_lex_state = 4},
  [493] = {.lex_state = 2, .external_lex_state = 4},
  [494] = {.lex_state = 2, .external_lex_state = 4},
  [495] = {.lex_state = 2, .external_lex_state = 4},
  [496] = {.lex_state = 2, .external_lex_state = 4},
  [497] = {.lex_state = 2, .external_lex_state = 4},
  [498] = {.lex_state = 2, .external_lex_state = 4},
  [499] = {.lex_state = 2, .external_lex_state = 4},
  [500] = {.lex_state = 2, .external_lex_state = 4},
  [501] = {.lex_state = 2, .external_lex_state = 4},
  [502] = {.lex_state = 2, .external_lex_state = 4},
  [503] = {.lex_state = 2, .external_lex_state = 4},
  [504] = {.lex_state = 2, .external_lex_state = 4},
  [505] = {.lex_state = 11, .external_lex_state = 9},
  [506] = {.lex_state = 11, .external_lex_state = 9},
  [507] = {.lex_state = 11, .external_lex_state = 9},
  [508] = {.lex_state = 11, .external_lex_state = 9},
  [509] = {.lex_state = 11, .external_lex_state = 9},
  [510] = {.lex_state = 11, .external_lex_state = 9},
  [511] = {.lex_state = 11, .external_lex_state = 9},
  [512] = {.lex_state = 11, .external_lex_state = 9},
  [513] = {.lex_state = 11, .external_lex_state = 9},
  [514] = {.lex_state = 11, .external_lex_state = 9},
  [515] = {.lex_state = 11, .external_lex_state = 9},
  [516] = {.lex_state = 11, .external_lex_state = 9},
  [517] = {.lex_state = 11, .external_lex_state = 9},
  [518] = {.lex_state = 11, .external_lex_state = 9},
  [519] = {.lex_state = 11, .external_lex_state = 9},
  [520] = {.lex_state = 11, .external_lex_state = 9},
  [521] = {.lex_state = 11, .external_lex_state = 9},
  [522] = {.lex_state = 11, .external_lex_state = 9},
  [523] = {.lex_state = 11, .external_lex_state = 9},
  [524] = {.lex_state = 11, .external_lex_state = 9},
  [525] = {.lex_state = 2, .external_lex_state = 4},
  [526] = {.lex_state = 2, .external_lex_state = 4},
  [527] = {.lex_state = 2, .external_lex_state = 4},
  [528] = {.lex_state = 2, .external_lex_state = 4},
  [529] = {.lex_state = 2, .external_lex_state = 4},
  [530] = {.lex_state = 11, .external_lex_state = 9},
  [531] = {.lex_state = 11, .external_lex_state = 9},
  [532] = {.lex_state = 11, .external_lex_state = 9},
  [533] = {.lex_state = 11, .external_lex_state = 9},
  [534] = {.lex_state = 11, .external_lex_state = 9},
  [535] = {.lex_state = 11, .external_lex_state = 9},
  [536] = {.lex_state = 11, .external_lex_state = 9},
  [537] = {.lex_state = 11, .external_lex_state = 9},
  [538] = {.lex_state = 11, .external_lex_state = 9},
  [539] = {.lex_state = 11, .external_lex_state = 9},
  [540] = {.lex_state = 11, .external_lex_state = 9},
  [541] = {.lex_state = 11, .external_lex_state = 9},
  [542] = {.lex_state = 11, .external_lex_state = 9},
  [543] = {.lex_state = 11, .external_lex_state = 9},
  [544] = {.lex_state = 11, .external_lex_state = 9},
  [545] = {.lex_state = 11, .external_lex_state = 9},
  [546] = {.lex_state = 11, .external_lex_state = 9},
  [547] = {.lex_state = 11, .external_lex_state = 9},
  [548] = {.lex_state = 11, .external_lex_state = 9},
  [549] = {.lex_state = 11, .external_lex_state = 9},
  [550] = {.lex_state = 11, .external_lex_state = 9},
  [551] = {.lex_state = 11, .external_lex_state = 9},
  [552] = {.lex_state = 11, .external_lex_state = 9},
  [553] = {.lex_state = 11, .external_lex_state = 9},
  [554] = {.lex_state = 11, .external_lex_state = 9},
  [555] = {.lex_state = 11, .external_lex_state = 9},
  [556] = {.lex_state = 11, .external_lex_state = 9},
  [557] = {.lex_state = 11, .external_lex_state = 9},
  [558] = {.lex_state = 11, .external_lex_state = 9},
  [559] = {.lex_state = 11, .external_lex_state = 9},
  [560] = {.lex_state = 11, .external_lex_state = 9},
  [561] = {.lex_state = 11, .external_lex_state = 9},
  [562] = {.lex_state = 11, .external_lex_state = 9},
  [563] = {.lex_state = 11, .external_lex_state = 9},
  [564] = {.lex_state = 11, .external_lex_state = 9},
  [565] = {.lex_state = 11, .external_lex_state = 9},
  [566] = {.lex_state = 11, .external_lex_state = 9},
  [567] = {.lex_state = 2, .external_lex_state = 4},
  [568] = {.lex_state = 2, .external_lex_state = 4},
  [569] = {.lex_state = 2, .external_lex_state = 4},
  [570] = {.lex_state = 2, .external_lex_state = 4},
  [571] = {.lex_state = 2, .external_lex_state = 4},
  [572] = {.lex_state = 2, .external_lex_state = 4},
  [573] = {.lex_state = 2, .external_lex_state = 4},
  [574] = {.lex_state = 2, .external_lex_state = 4},
  [575] = {.lex_state = 2, .external_lex_state = 4},
  [576] = {.lex_state = 2, .external_lex_state = 4},
  [577] = {.lex_state = 2, .external_lex_state = 4},
  [578] = {.lex_state = 2, .external_lex_state = 4},
  [579] = {.lex_state = 2, .external_lex_state = 4},
  [580] = {.lex_state = 2, .external_lex_state = 4},
  [581] = {.lex_state = 2, .external_lex_state = 4},
  [582] = {.lex_state = 2, .external_lex_state = 4},
  [583] = {.lex_state = 2, .external_lex_state = 4},
  [584] = {.lex_state = 2, .external_lex_state = 4},
  [585] = {.lex_state = 2, .external_lex_state = 4},
  [586] = {.lex_state = 2, .external_lex_state = 4},
  [587] = {.lex_state = 2, .external_lex_state = 4},
  [588] = {.lex_state = 2, .external_lex_state = 4},
  [589] = {.lex_state = 2, .external_lex_state = 4},
  [590] = {.lex_state = 5, .external_lex_state = 4},
  [591] = {.lex_state = 2, .external_lex_state = 4},
  [592] = {.lex_state = 2, .external_lex_state = 4},
  [593] = {.lex_state = 2, .external_lex_state = 4},
  [594] = {.lex_state = 11, .external_lex_state = 9},
  [595] = {.lex_state = 2, .external_lex_state = 4},
  [596] = {.lex_state = 2, .external_lex_state = 4},
  [597] = {.lex_state = 2, .external_lex_state = 4},
  [598] = {.lex_state = 2, .external_lex_state = 4},
  [599] = {.lex_state = 2, .external_lex_state = 4},
  [600] = {.lex_state = 2, .external_lex_state = 4},
  [601] = {.lex_state = 2, .external_lex_state = 4},
  [602] = {.lex_state = 2, .external_lex_state = 4},
  [603] = {.lex_state = 2, .external_lex_state = 4},
  [604] = {.lex_state = 2, .external_lex_state = 4},
  [605] = {.lex_state = 2, .external_lex_state = 4},
  [606] = {.lex_state = 2, .external_lex_state = 4},
  [607] = {.lex_state = 2, .external_lex_state = 4},
  [608] = {.lex_state = 2, .external_lex_state = 4},
  [609] = {.lex_state = 2, .external_lex_state = 4},
  [610] = {.lex_state = 2, .external_lex_state = 4},
  [611] = {.lex_state = 2, .external_lex_state = 4},
  [612] = {.lex_state = 2, .external_lex_state = 4},
  [613] = {.lex_state = 2, .external_lex_state = 4},
  [614] = {.lex_state = 2, .external_lex_state = 4},
  [615] = {.lex_state = 2, .external_lex_state = 4},
  [616] = {.lex_state = 2, .external_lex_state = 4},
  [617] = {.lex_state = 2, .external_lex_state = 4},
  [618] = {.lex_state = 2, .external_lex_state = 4},
  [619] = {.lex_state = 2, .external_lex_state = 4},
  [620] = {.lex_state = 2, .external_lex_state = 4},
  [621] = {.lex_state = 2, .external_lex_state = 4},
  [622] = {.lex_state = 2, .external_lex_state = 4},
  [623] = {.lex_state = 2, .external_lex_state = 4},
  [624] = {.lex_state = 2, .external_lex_state = 4},
  [625] = {.lex_state = 2, .external_lex_state = 4},
  [626] = {.lex_state = 2, .external_lex_state = 4},
  [627] = {.lex_state = 2, .external_lex_state = 4},
  [628] = {.lex_state = 2, .external_lex_state = 4},
  [629] = {.lex_state = 2, .external_lex_state = 4},
  [630] = {.lex_state = 2, .external_lex_state = 4},
  [631] = {.lex_state = 2, .external_lex_state = 4},
  [632] = {.lex_state = 2, .external_lex_state = 4},
  [633] = {.lex_state = 2, .external_lex_state = 4},
  [634] = {.lex_state = 2, .external_lex_state = 4},
  [635] = {.lex_state = 2, .external_lex_state = 4},
  [636] = {.lex_state = 2, .external_lex_state = 4},
  [637] = {.lex_state = 2, .external_lex_state = 4},
  [638] = {.lex_state = 2, .external_lex_state = 4},
  [639] = {.lex_state = 2, .external_lex_state = 4},
  [640] = {.lex_state = 2, .external_lex_state = 4},
  [641] = {.lex_state = 11, .external_lex_state = 9},
  [642] = {.lex_state = 2, .external_lex_state = 4},
  [643] = {.lex_state = 2, .external_lex_state = 4},
  [644] = {.lex_state = 2, .external_lex_state = 4},
  [645] = {.lex_state = 2, .external_lex_state = 4},
  [646] = {.lex_state = 2, .external_lex_state = 4},
  [647] = {.lex_state = 2, .external_lex_state = 4},
  [648] = {.lex_state = 2, .external_lex_state = 4},
  [649] = {.lex_state = 2, .external_lex_state = 4},
  [650] = {.lex_state = 2, .external_lex_state = 4},
  [651] = {.lex_state = 2, .external_lex_state = 4},
  [652] = {.lex_state = 2, .external_lex_state = 4},
  [653] = {.lex_state = 2, .external_lex_state = 4},
  [654] = {.lex_state = 2, .external_lex_state = 4},
  [655] = {.lex_state = 2, .external_lex_state = 4},
  [656] = {.lex_state = 2, .external_lex_state = 4},
  [657] = {.lex_state = 2, .external_lex_state = 4},
  [658] = {.lex_state = 2, .external_lex_state = 4},
  [659] = {.lex_state = 2, .external_lex_state = 4},
  [660] = {.lex_state = 2, .external_lex_state = 4},
  [661] = {.lex_state = 2, .external_lex_state = 4},
  [662] = {.lex_state = 2, .external_lex_state = 4},
  [663] = {.lex_state = 2, .external_lex_state = 4},
  [664] = {.lex_state = 2, .external_lex_state = 4},
  [665] = {.lex_state = 2, .external_lex_state = 4},
  [666] = {.lex_state = 2, .external_lex_state = 4},
  [667] = {.lex_state = 2, .external_lex_state = 4},
  [668] = {.lex_state = 2, .external_lex_state = 4},
  [669] = {.lex_state = 2, .external_lex_state = 4},
  [670] = {.lex_state = 2, .external_lex_state = 4},
  [671] = {.lex_state = 2, .external_lex_state = 4},
  [672] = {.lex_state = 2, .external_lex_state = 4},
  [673] = {.lex_state = 2, .external_lex_state = 4},
  [674] = {.lex_state = 2, .external_lex_state = 4},
  [675] = {.lex_state = 2, .external_lex_state = 4},
  [676] = {.lex_state = 2, .external_lex_state = 4},
  [677] = {.lex_state = 2, .external_lex_state = 4},
  [678] = {.lex_state = 2, .external_lex_state = 4},
  [679] = {.lex_state = 2, .external_lex_state = 4},
  [680] = {.lex_state = 2, .external_lex_state = 4},
  [681] = {.lex_state = 2, .external_lex_state = 4},
  [682] = {.lex_state = 2, .external_lex_state = 4},
  [683] = {.lex_state = 2, .external_lex_state = 4},
  [684] = {.lex_state = 2, .external_lex_state = 4},
  [685] = {.lex_state = 2, .external_lex_state = 4},
  [686] = {.lex_state = 2, .external_lex_state = 4},
  [687] = {.lex_state = 2, .external_lex_state = 4},
  [688] = {.lex_state = 11, .external_lex_state = 9},
  [689] = {.lex_state = 9, .external_lex_state = 2},
  [690] = {.lex_state = 9, .external_lex_state = 2},
  [691] = {.lex_state = 9, .external_lex_state = 2},
  [692] = {.lex_state = 9, .external_lex_state = 2},
  [693] = {.lex_state = 9, .external_lex_state = 2},
  [694] = {.lex_state = 9, .external_lex_state = 2},
  [695] = {.lex_state = 9, .external_lex_state = 2},
  [696] = {.lex_state = 9, .external_lex_state = 2},
  [697] = {.lex_state = 9, .external_lex_state = 2},
  [698] = {.lex_state = 9, .external_lex_state = 2},
  [699] = {.lex_state = 9, .external_lex_state = 2},
  [700] = {.lex_state = 2, .external_lex_state = 4},
  [701] = {.lex_state = 9, .external_lex_state = 2},
  [702] = {.lex_state = 9, .external_lex_state = 2},
  [703] = {.lex_state = 9, .external_lex_state = 2},
  [704] = {.lex_state = 9, .external_lex_state = 2},
  [705] = {.lex_state = 9, .external_lex_state = 2},
  [706] = {.lex_state = 9, .external_lex_state = 2},
  [707] = {.lex_state = 9, .external_lex_state = 2},
  [708] = {.lex_state = 9, .external_lex_state = 2},
  [709] = {.lex_state = 9, .external_lex_state = 2},
  [710] = {.lex_state = 9, .external_lex_state = 2},
  [711] = {.lex_state = 9, .external_lex_state = 2},
  [712] = {.lex_state = 9, .external_lex_state = 2},
  [713] = {.lex_state = 9, .external_lex_state = 2},
  [714] = {.lex_state = 9, .external_lex_state = 2},
  [715] = {.lex_state = 9, .external_lex_state = 2},
  [716] = {.lex_state = 9, .external_lex_state = 2},
  [717] = {.lex_state = 9, .external_lex_state = 2},
  [718] = {.lex_state = 9, .external_lex_state = 2},
  [719] = {.lex_state = 9, .external_lex_state = 2},
  [720] = {.lex_state = 9, .external_lex_state = 2},
  [721] = {.lex_state = 9, .external_lex_state = 2},
  [722] = {.lex_state = 9, .external_lex_state = 2},
  [723] = {.lex_state = 9, .external_lex_state = 2},
  [724] = {.lex_state = 9, .external_lex_state = 2},
  [725] = {.lex_state = 2, .external_lex_state = 4},
  [726] = {.lex_state = 9, .external_lex_state = 2},
  [727] = {.lex_state = 2, .external_lex_state = 4},
  [728] = {.lex_state = 9, .external_lex_state = 2},
  [729] = {.lex_state = 9, .external_lex_state = 2},
  [730] = {.lex_state = 9, .external_lex_state = 2},
  [731] = {.lex_state = 9, .external_lex_state = 2},
  [732] = {.lex_state = 9, .external_lex_state = 2},
  [733] = {.lex_state = 9, .external_lex_state = 2},
  [734] = {.lex_state = 9, .external_lex_state = 2},
  [735] = {.lex_state = 9, .external_lex_state = 2},
  [736] = {.lex_state = 9, .external_lex_state = 2},
  [737] = {.lex_state = 9, .external_lex_state = 2},
  [738] = {.lex_state = 9, .external_lex_state = 2},
  [739] = {.lex_state = 9, .external_lex_state = 2},
  [740] = {.lex_state = 9, .external_lex_state = 2},
  [741] = {.lex_state = 9, .external_lex_state = 2},
  [742] = {.lex_state = 9, .external_lex_state = 2},
  [743] = {.lex_state = 9, .external_lex_state = 2},
  [744] = {.lex_state = 9, .external_lex_state = 2},
  [745] = {.lex_state = 9, .external_lex_state = 2},
  [746] = {.lex_state = 9, .external_lex_state = 2},
  [747] = {.lex_state = 9, .external_lex_state = 2},
  [748] = {.lex_state = 9, .external_lex_state = 2},
  [749] = {.lex_state = 9, .external_lex_state = 2},
  [750] = {.lex_state = 9, .external_lex_state = 2},
  [751] = {.lex_state = 9, .external_lex_state = 2},
  [752] = {.lex_state = 9, .external_lex_state = 2},
  [753] = {.lex_state = 9, .external_lex_state = 2},
  [754] = {.lex_state = 9, .external_lex_state = 2},
  [755] = {.lex_state = 9, .external_lex_state = 2},
  [756] = {.lex_state = 9, .external_lex_state = 2},
  [757] = {.lex_state = 9, .external_lex_state = 2},
  [758] = {.lex_state = 9, .external_lex_state = 2},
  [759] = {.lex_state = 9, .external_lex_state = 2},
  [760] = {.lex_state = 9, .external_lex_state = 2},
  [761] = {.lex_state = 9, .external_lex_state = 2},
  [762] = {.lex_state = 9, .external_lex_state = 2},
  [763] = {.lex_state = 9, .external_lex_state = 2},
  [764] = {.lex_state = 9, .external_lex_state = 2},
  [765] = {.lex_state = 9, .external_lex_state = 2},
  [766] = {.lex_state = 9, .external_lex_state = 2},
  [767] = {.lex_state = 9, .external_lex_state = 2},
  [768] = {.lex_state = 9, .external_lex_state = 2},
  [769] = {.lex_state = 9, .external_lex_state = 2},
  [770] = {.lex_state = 9, .external_lex_state = 2},
  [771] = {.lex_state = 9, .external_lex_state = 2},
  [772] = {.lex_state = 9, .external_lex_state = 2},
  [773] = {.lex_state = 9, .external_lex_state = 2},
  [774] = {.lex_state = 9, .external_lex_state = 2},
  [775] = {.lex_state = 9, .external_lex_state = 2},
  [776] = {.lex_state = 9, .external_lex_state = 2},
  [777] = {.lex_state = 9, .external_lex_state = 2},
  [778] = {.lex_state = 9, .external_lex_state = 2},
  [779] = {.lex_state = 9, .external_lex_state = 2},
  [780] = {.lex_state = 9, .external_lex_state = 2},
  [781] = {.lex_state = 9, .external_lex_state = 2},
  [782] = {.lex_state = 9, .external_lex_state = 2},
  [783] = {.lex_state = 9, .external_lex_state = 2},
  [784] = {.lex_state = 9, .external_lex_state = 2},
  [785] = {.lex_state = 9, .external_lex_state = 2},
  [786] = {.lex_state = 9, .external_lex_state = 2},
  [787] = {.lex_state = 9, .external_lex_state = 2},
  [788] = {.lex_state = 9, .external_lex_state = 2},
  [789] = {.lex_state = 9, .external_lex_state = 2},
  [790] = {.lex_state = 9, .external_lex_state = 2},
  [791] = {.lex_state = 9, .external_lex_state = 2},
  [792] = {.lex_state = 9, .external_lex_state = 2},
  [793] = {.lex_state = 9, .external_lex_state = 2},
  [794] = {.lex_state = 9, .external_lex_state = 2},
  [795] = {.lex_state = 9, .external_lex_state = 2},
  [796] = {.lex_state = 9, .external_lex_state = 2},
  [797] = {.lex_state = 9, .external_lex_state = 2},
  [798] = {.lex_state = 9, .external_lex_state = 2},
  [799] = {.lex_state = 9, .external_lex_state = 2},
  [800] = {.lex_state = 9, .external_lex_state = 2},
  [801] = {.lex_state = 9, .external_lex_state = 2},
  [802] = {.lex_state = 9, .external_lex_state = 2},
  [803] = {.lex_state = 9, .external_lex_state = 2},
  [804] = {.lex_state = 9, .external_lex_state = 2},
  [805] = {.lex_state = 9, .external_lex_state = 2},
  [806] = {.lex_state = 9, .external_lex_state = 2},
  [807] = {.lex_state = 9, .external_lex_state = 2},
  [808] = {.lex_state = 9, .external_lex_state = 2},
  [809] = {.lex_state = 9, .external_lex_state = 2},
  [810] = {.lex_state = 9, .external_lex_state = 2},
  [811] = {.lex_state = 9, .external_lex_state = 2},
  [812] = {.lex_state = 9, .external_lex_state = 2},
  [813] = {.lex_state = 9, .external_lex_state = 2},
  [814] = {.lex_state = 9, .external_lex_state = 2},
  [815] = {.lex_state = 9, .external_lex_state = 2},
  [816] = {.lex_state = 9, .external_lex_state = 2},
  [817] = {.lex_state = 9, .external_lex_state = 2},
  [818] = {.lex_state = 9, .external_lex_state = 2},
  [819] = {.lex_state = 9, .external_lex_state = 2},
  [820] = {.lex_state = 9, .external_lex_state = 2},
  [821] = {.lex_state = 9, .external_lex_state = 2},
  [822] = {.lex_state = 9, .external_lex_state = 2},
  [823] = {.lex_state = 9, .external_lex_state = 2},
  [824] = {.lex_state = 9, .external_lex_state = 2},
  [825] = {.lex_state = 9, .external_lex_state = 2},
  [826] = {.lex_state = 9, .external_lex_state = 2},
  [827] = {.lex_state = 9, .external_lex_state = 2},
  [828] = {.lex_state = 9, .external_lex_state = 2},
  [829] = {.lex_state = 9, .external_lex_state = 2},
  [830] = {.lex_state = 9, .external_lex_state = 2},
  [831] = {.lex_state = 9, .external_lex_state = 2},
  [832] = {.lex_state = 9, .external_lex_state = 2},
  [833] = {.lex_state = 9, .external_lex_state = 2},
  [834] = {.lex_state = 9, .external_lex_state = 2},
  [835] = {.lex_state = 9, .external_lex_state = 2},
  [836] = {.lex_state = 9, .external_lex_state = 2},
  [837] = {.lex_state = 9, .external_lex_state = 2},
  [838] = {.lex_state = 9, .external_lex_state = 2},
  [839] = {.lex_state = 9, .external_lex_state = 2},
  [840] = {.lex_state = 9, .external_lex_state = 2},
  [841] = {.lex_state = 9, .external_lex_state = 2},
  [842] = {.lex_state = 9, .external_lex_state = 2},
  [843] = {.lex_state = 9, .external_lex_state = 2},
  [844] = {.lex_state = 9, .external_lex_state = 2},
  [845] = {.lex_state = 9, .external_lex_state = 2},
  [846] = {.lex_state = 9, .external_lex_state = 2},
  [847] = {.lex_state = 9, .external_lex_state = 2},
  [848] = {.lex_state = 9, .external_lex_state = 2},
  [849] = {.lex_state = 9, .external_lex_state = 2},
  [850] = {.lex_state = 9, .external_lex_state = 2},
  [851] = {.lex_state = 9, .external_lex_state = 2},
  [852] = {.lex_state = 9, .external_lex_state = 2},
  [853] = {.lex_state = 9, .external_lex_state = 2},
  [854] = {.lex_state = 9, .external_lex_state = 2},
  [855] = {.lex_state = 9, .external_lex_state = 2},
  [856] = {.lex_state = 9, .external_lex_state = 2},
  [857] = {.lex_state = 9, .external_lex_state = 2},
  [858] = {.lex_state = 9, .external_lex_state = 2},
  [859] = {.lex_state = 9, .external_lex_state = 2},
  [860] = {.lex_state = 9, .external_lex_state = 2},
  [861] = {.lex_state = 9, .external_lex_state = 2},
  [862] = {.lex_state = 9, .external_lex_state = 2},
  [863] = {.lex_state = 9, .external_lex_state = 2},
  [864] = {.lex_state = 9, .external_lex_state = 2},
  [865] = {.lex_state = 9, .external_lex_state = 2},
  [866] = {.lex_state = 9, .external_lex_state = 2},
  [867] = {.lex_state = 9, .external_lex_state = 2},
  [868] = {.lex_state = 9, .external_lex_state = 2},
  [869] = {.lex_state = 9, .external_lex_state = 2},
  [870] = {.lex_state = 9, .external_lex_state = 2},
  [871] = {.lex_state = 9, .external_lex_state = 2},
  [872] = {.lex_state = 9, .external_lex_state = 2},
  [873] = {.lex_state = 9, .external_lex_state = 2},
  [874] = {.lex_state = 9, .external_lex_state = 2},
  [875] = {.lex_state = 9, .external_lex_state = 2},
  [876] = {.lex_state = 9, .external_lex_state = 2},
  [877] = {.lex_state = 9, .external_lex_state = 2},
  [878] = {.lex_state = 9, .external_lex_state = 2},
  [879] = {.lex_state = 9, .external_lex_state = 2},
  [880] = {.lex_state = 9, .external_lex_state = 2},
  [881] = {.lex_state = 9, .external_lex_state = 2},
  [882] = {.lex_state = 9, .external_lex_state = 2},
  [883] = {.lex_state = 9, .external_lex_state = 2},
  [884] = {.lex_state = 9, .external_lex_state = 2},
  [885] = {.lex_state = 9, .external_lex_state = 2},
  [886] = {.lex_state = 9, .external_lex_state = 2},
  [887] = {.lex_state = 9, .external_lex_state = 2},
  [888] = {.lex_state = 9, .external_lex_state = 2},
  [889] = {.lex_state = 9, .external_lex_state = 2},
  [890] = {.lex_state = 9, .external_lex_state = 2},
  [891] = {.lex_state = 9, .external_lex_state = 2},
  [892] = {.lex_state = 9, .external_lex_state = 2},
  [893] = {.lex_state = 9, .external_lex_state = 2},
  [894] = {.lex_state = 9, .external_lex_state = 2},
  [895] = {.lex_state = 9, .external_lex_state = 2},
  [896] = {.lex_state = 9, .external_lex_state = 2},
  [897] = {.lex_state = 9, .external_lex_state = 2},
  [898] = {.lex_state = 9, .external_lex_state = 2},
  [899] = {.lex_state = 9, .external_lex_state = 2},
  [900] = {.lex_state = 9, .external_lex_state = 2},
  [901] = {.lex_state = 9, .external_lex_state = 2},
  [902] = {.lex_state = 9, .external_lex_state = 2},
  [903] = {.lex_state = 9, .external_lex_state = 2},
  [904] = {.lex_state = 9, .external_lex_state = 2},
  [905] = {.lex_state = 9, .external_lex_state = 2},
  [906] = {.lex_state = 9, .external_lex_state = 2},
  [907] = {.lex_state = 9, .external_lex_state = 2},
  [908] = {.lex_state = 9, .external_lex_state = 2},
  [909] = {.lex_state = 9, .external_lex_state = 2},
  [910] = {.lex_state = 9, .external_lex_state = 2},
  [911] = {.lex_state = 9, .external_lex_state = 2},
  [912] = {.lex_state = 9, .external_lex_state = 2},
  [913] = {.lex_state = 9, .external_lex_state = 2},
  [914] = {.lex_state = 9, .external_lex_state = 2},
  [915] = {.lex_state = 9, .external_lex_state = 2},
  [916] = {.lex_state = 9, .external_lex_state = 2},
  [917] = {.lex_state = 9, .external_lex_state = 2},
  [918] = {.lex_state = 9, .external_lex_state = 2},
  [919] = {.lex_state = 9, .external_lex_state = 2},
  [920] = {.lex_state = 9, .external_lex_state = 2},
  [921] = {.lex_state = 9, .external_lex_state = 2},
  [922] = {.lex_state = 9, .external_lex_state = 2},
  [923] = {.lex_state = 9, .external_lex_state = 2},
  [924] = {.lex_state = 9, .external_lex_state = 2},
  [925] = {.lex_state = 9, .external_lex_state = 2},
  [926] = {.lex_state = 9, .external_lex_state = 2},
  [927] = {.lex_state = 9, .external_lex_state = 2},
  [928] = {.lex_state = 9, .external_lex_state = 2},
  [929] = {.lex_state = 9, .external_lex_state = 2},
  [930] = {.lex_state = 9, .external_lex_state = 2},
  [931] = {.lex_state = 9, .external_lex_state = 2},
  [932] = {.lex_state = 9, .external_lex_state = 2},
  [933] = {.lex_state = 9, .external_lex_state = 2},
  [934] = {.lex_state = 9, .external_lex_state = 2},
  [935] = {.lex_state = 9, .external_lex_state = 2},
  [936] = {.lex_state = 9, .external_lex_state = 2},
  [937] = {.lex_state = 9, .external_lex_state = 2},
  [938] = {.lex_state = 9, .external_lex_state = 2},
  [939] = {.lex_state = 9, .external_lex_state = 2},
  [940] = {.lex_state = 9, .external_lex_state = 2},
  [941] = {.lex_state = 9, .external_lex_state = 2},
  [942] = {.lex_state = 9, .external_lex_state = 2},
  [943] = {.lex_state = 9, .external_lex_state = 2},
  [944] = {.lex_state = 9, .external_lex_state = 2},
  [945] = {.lex_state = 9, .external_lex_state = 2},
  [946] = {.lex_state = 9, .external_lex_state = 2},
  [947] = {.lex_state = 9, .external_lex_state = 2},
  [948] = {.lex_state = 9, .external_lex_state = 2},
  [949] = {.lex_state = 9, .external_lex_state = 2},
  [950] = {.lex_state = 9, .external_lex_state = 2},
  [951] = {.lex_state = 9, .external_lex_state = 2},
  [952] = {.lex_state = 9, .external_lex_state = 2},
  [953] = {.lex_state = 9, .external_lex_state = 2},
  [954] = {.lex_state = 9, .external_lex_state = 2},
  [955] = {.lex_state = 9, .external_lex_state = 2},
  [956] = {.lex_state = 9, .external_lex_state = 2},
  [957] = {.lex_state = 9, .external_lex_state = 2},
  [958] = {.lex_state = 9, .external_lex_state = 2},
  [959] = {.lex_state = 9, .external_lex_state = 2},
  [960] = {.lex_state = 9, .external_lex_state = 2},
  [961] = {.lex_state = 9, .external_lex_state = 2},
  [962] = {.lex_state = 9, .external_lex_state = 2},
  [963] = {.lex_state = 9, .external_lex_state = 2},
  [964] = {.lex_state = 9, .external_lex_state = 2},
  [965] = {.lex_state = 9, .external_lex_state = 2},
  [966] = {.lex_state = 9, .external_lex_state = 2},
  [967] = {.lex_state = 9, .external_lex_state = 2},
  [968] = {.lex_state = 9, .external_lex_state = 2},
  [969] = {.lex_state = 2, .external_lex_state = 4},
  [970] = {.lex_state = 9, .external_lex_state = 2},
  [971] = {.lex_state = 9, .external_lex_state = 2},
  [972] = {.lex_state = 9, .external_lex_state = 2},
  [973] = {.lex_state = 9, .external_lex_state = 2},
  [974] = {.lex_state = 9, .external_lex_state = 2},
  [975] = {.lex_state = 9, .external_lex_state = 2},
  [976] = {.lex_state = 9, .external_lex_state = 2},
  [977] = {.lex_state = 9, .external_lex_state = 2},
  [978] = {.lex_state = 9, .external_lex_state = 2},
  [979] = {.lex_state = 9, .external_lex_state = 2},
  [980] = {.lex_state = 9, .external_lex_state = 2},
  [981] = {.lex_state = 9, .external_lex_state = 2},
  [982] = {.lex_state = 9, .external_lex_state = 2},
  [983] = {.lex_state = 2, .external_lex_state = 4},
  [984] = {.lex_state = 9, .external_lex_state = 2},
  [985] = {.lex_state = 9, .external_lex_state = 2},
  [986] = {.lex_state = 9, .external_lex_state = 2},
  [987] = {.lex_state = 9, .external_lex_state = 2},
  [988] = {.lex_state = 9, .external_lex_state = 2},
  [989] = {.lex_state = 9, .external_lex_state = 2},
  [990] = {.lex_state = 9, .external_lex_state = 2},
  [991] = {.lex_state = 9, .external_lex_state = 2},
  [992] = {.lex_state = 9, .external_lex_state = 2},
  [993] = {.lex_state = 9, .external_lex_state = 2},
  [994] = {.lex_state = 9, .external_lex_state = 2},
  [995] = {.lex_state = 9, .external_lex_state = 2},
  [996] = {.lex_state = 9, .external_lex_state = 2},
  [997] = {.lex_state = 9, .external_lex_state = 2},
  [998] = {.lex_state = 9, .external_lex_state = 2},
  [999] = {.lex_state = 9, .external_lex_state = 2},
  [1000] = {.lex_state = 9, .external_lex_state = 2},
  [1001] = {.lex_state = 9, .external_lex_state = 2},
  [1002] = {.lex_state = 9, .external_lex_state = 2},
  [1003] = {.lex_state = 9, .external_lex_state = 2},
  [1004] = {.lex_state = 9, .external_lex_state = 2},
  [1005] = {.lex_state = 9, .external_lex_state = 2},
  [1006] = {.lex_state = 9, .external_lex_state = 2},
  [1007] = {.lex_state = 9, .external_lex_state = 2},
  [1008] = {.lex_state = 9, .external_lex_state = 2},
  [1009] = {.lex_state = 9, .external_lex_state = 2},
  [1010] = {.lex_state = 9, .external_lex_state = 2},
  [1011] = {.lex_state = 9, .external_lex_state = 2},
  [1012] = {.lex_state = 9, .external_lex_state = 2},
  [1013] = {.lex_state = 9, .external_lex_state = 2},
  [1014] = {.lex_state = 9, .external_lex_state = 2},
  [1015] = {.lex_state = 9, .external_lex_state = 2},
  [1016] = {.lex_state = 9, .external_lex_state = 2},
  [1017] = {.lex_state = 9, .external_lex_state = 2},
  [1018] = {.lex_state = 9, .external_lex_state = 2},
  [1019] = {.lex_state = 9, .external_lex_state = 2},
  [1020] = {.lex_state = 9, .external_lex_state = 2},
  [1021] = {.lex_state = 9, .external_lex_state = 2},
  [1022] = {.lex_state = 9, .external_lex_state = 2},
  [1023] = {.lex_state = 9, .external_lex_state = 2},
  [1024] = {.lex_state = 9, .external_lex_state = 2},
  [1025] = {.lex_state = 9, .external_lex_state = 2},
  [1026] = {.lex_state = 9, .external_lex_state = 2},
  [1027] = {.lex_state = 9, .external_lex_state = 2},
  [1028] = {.lex_state = 9, .external_lex_state = 2},
  [1029] = {.lex_state = 9, .external_lex_state = 2},
  [1030] = {.lex_state = 9, .external_lex_state = 2},
  [1031] = {.lex_state = 9, .external_lex_state = 2},
  [1032] = {.lex_state = 9, .external_lex_state = 2},
  [1033] = {.lex_state = 9, .external_lex_state = 2},
  [1034] = {.lex_state = 9, .external_lex_state = 2},
  [1035] = {.lex_state = 9, .external_lex_state = 2},
  [1036] = {.lex_state = 9, .external_lex_state = 2},
  [1037] = {.lex_state = 9, .external_lex_state = 2},
  [1038] = {.lex_state = 9, .external_lex_state = 2},
  [1039] = {.lex_state = 9, .external_lex_state = 2},
  [1040] = {.lex_state = 9, .external_lex_state = 2},
  [1041] = {.lex_state = 9, .external_lex_state = 2},
  [1042] = {.lex_state = 9, .external_lex_state = 2},
  [1043] = {.lex_state = 9, .external_lex_state = 2},
  [1044] = {.lex_state = 9, .external_lex_state = 2},
  [1045] = {.lex_state = 9, .external_lex_state = 2},
  [1046] = {.lex_state = 9, .external_lex_state = 2},
  [1047] = {.lex_state = 9, .external_lex_state = 2},
  [1048] = {.lex_state = 9, .external_lex_state = 2},
  [1049] = {.lex_state = 9, .external_lex_state = 2},
  [1050] = {.lex_state = 9, .external_lex_state = 2},
  [1051] = {.lex_state = 9, .external_lex_state = 2},
  [1052] = {.lex_state = 9, .external_lex_state = 2},
  [1053] = {.lex_state = 9, .external_lex_state = 2},
  [1054] = {.lex_state = 9, .external_lex_state = 2},
  [1055] = {.lex_state = 9, .external_lex_state = 2},
  [1056] = {.lex_state = 9, .external_lex_state = 2},
  [1057] = {.lex_state = 9, .external_lex_state = 2},
  [1058] = {.lex_state = 9, .external_lex_state = 2},
  [1059] = {.lex_state = 9, .external_lex_state = 2},
  [1060] = {.lex_state = 9, .external_lex_state = 2},
  [1061] = {.lex_state = 9, .external_lex_state = 2},
  [1062] = {.lex_state = 9, .external_lex_state = 2},
  [1063] = {.lex_state = 9, .external_lex_state = 2},
  [1064] = {.lex_state = 9, .external_lex_state = 2},
  [1065] = {.lex_state = 9, .external_lex_state = 2},
  [1066] = {.lex_state = 9, .external_lex_state = 2},
  [1067] = {.lex_state = 9, .external_lex_state = 2},
  [1068] = {.lex_state = 9, .external_lex_state = 2},
  [1069] = {.lex_state = 9, .external_lex_state = 2},
  [1070] = {.lex_state = 9, .external_lex_state = 2},
  [1071] = {.lex_state = 9, .external_lex_state = 2},
  [1072] = {.lex_state = 9, .external_lex_state = 2},
  [1073] = {.lex_state = 9, .external_lex_state = 2},
  [1074] = {.lex_state = 9, .external_lex_state = 2},
  [1075] = {.lex_state = 9, .external_lex_state = 2},
  [1076] = {.lex_state = 9, .external_lex_state = 2},
  [1077] = {.lex_state = 9, .external_lex_state = 2},
  [1078] = {.lex_state = 9, .external_lex_state = 2},
  [1079] = {.lex_state = 9, .external_lex_state = 2},
  [1080] = {.lex_state = 9, .external_lex_state = 2},
  [1081] = {.lex_state = 9, .external_lex_state = 2},
  [1082] = {.lex_state = 9, .external_lex_state = 2},
  [1083] = {.lex_state = 9, .external_lex_state = 2},
  [1084] = {.lex_state = 9, .external_lex_state = 2},
  [1085] = {.lex_state = 9, .external_lex_state = 2},
  [1086] = {.lex_state = 9, .external_lex_state = 2},
  [1087] = {.lex_state = 9, .external_lex_state = 2},
  [1088] = {.lex_state = 9, .external_lex_state = 2},
  [1089] = {.lex_state = 9, .external_lex_state = 2},
  [1090] = {.lex_state = 9, .external_lex_state = 2},
  [1091] = {.lex_state = 9, .external_lex_state = 2},
  [1092] = {.lex_state = 9, .external_lex_state = 2},
  [1093] = {.lex_state = 9, .external_lex_state = 2},
  [1094] = {.lex_state = 9, .external_lex_state = 2},
  [1095] = {.lex_state = 9, .external_lex_state = 2},
  [1096] = {.lex_state = 9, .external_lex_state = 2},
  [1097] = {.lex_state = 9, .external_lex_state = 2},
  [1098] = {.lex_state = 9, .external_lex_state = 2},
  [1099] = {.lex_state = 9, .external_lex_state = 2},
  [1100] = {.lex_state = 9, .external_lex_state = 2},
  [1101] = {.lex_state = 9, .external_lex_state = 2},
  [1102] = {.lex_state = 9, .external_lex_state = 2},
  [1103] = {.lex_state = 9, .external_lex_state = 2},
  [1104] = {.lex_state = 9, .external_lex_state = 2},
  [1105] = {.lex_state = 9, .external_lex_state = 2},
  [1106] = {.lex_state = 9, .external_lex_state = 2},
  [1107] = {.lex_state = 9, .external_lex_state = 2},
  [1108] = {.lex_state = 9, .external_lex_state = 2},
  [1109] = {.lex_state = 9, .external_lex_state = 2},
  [1110] = {.lex_state = 9, .external_lex_state = 2},
  [1111] = {.lex_state = 9, .external_lex_state = 2},
  [1112] = {.lex_state = 9, .external_lex_state = 2},
  [1113] = {.lex_state = 9, .external_lex_state = 2},
  [1114] = {.lex_state = 9, .external_lex_state = 2},
  [1115] = {.lex_state = 9, .external_lex_state = 2},
  [1116] = {.lex_state = 9, .external_lex_state = 2},
  [1117] = {.lex_state = 9, .external_lex_state = 2},
  [1118] = {.lex_state = 9, .external_lex_state = 2},
  [1119] = {.lex_state = 9, .external_lex_state = 2},
  [1120] = {.lex_state = 9, .external_lex_state = 2},
  [1121] = {.lex_state = 9, .external_lex_state = 2},
  [1122] = {.lex_state = 9, .external_lex_state = 2},
  [1123] = {.lex_state = 9, .external_lex_state = 2},
  [1124] = {.lex_state = 9, .external_lex_state = 2},
  [1125] = {.lex_state = 9, .external_lex_state = 2},
  [1126] = {.lex_state = 9, .external_lex_state = 2},
  [1127] = {.lex_state = 9, .external_lex_state = 2},
  [1128] = {.lex_state = 9, .external_lex_state = 2},
  [1129] = {.lex_state = 9, .external_lex_state = 2},
  [1130] = {.lex_state = 9, .external_lex_state = 2},
  [1131] = {.lex_state = 9, .external_lex_state = 2},
  [1132] = {.lex_state = 9, .external_lex_state = 2},
  [1133] = {.lex_state = 9, .external_lex_state = 2},
  [1134] = {.lex_state = 9, .external_lex_state = 2},
  [1135] = {.lex_state = 9, .external_lex_state = 2},
  [1136] = {.lex_state = 9, .external_lex_state = 2},
  [1137] = {.lex_state = 9, .external_lex_state = 2},
  [1138] = {.lex_state = 9, .external_lex_state = 2},
  [1139] = {.lex_state = 9, .external_lex_state = 2},
  [1140] = {.lex_state = 9, .external_lex_state = 2},
  [1141] = {.lex_state = 9, .external_lex_state = 2},
  [1142] = {.lex_state = 9, .external_lex_state = 2},
  [1143] = {.lex_state = 9, .external_lex_state = 2},
  [1144] = {.lex_state = 9, .external_lex_state = 2},
  [1145] = {.lex_state = 9, .external_lex_state = 2},
  [1146] = {.lex_state = 9, .external_lex_state = 2},
  [1147] = {.lex_state = 9, .external_lex_state = 2},
  [1148] = {.lex_state = 9, .external_lex_state = 2},
  [1149] = {.lex_state = 9, .external_lex_state = 2},
  [1150] = {.lex_state = 9, .external_lex_state = 2},
  [1151] = {.lex_state = 9, .external_lex_state = 2},
  [1152] = {.lex_state = 9, .external_lex_state = 2},
  [1153] = {.lex_state = 9, .external_lex_state = 2},
  [1154] = {.lex_state = 9, .external_lex_state = 2},
  [1155] = {.lex_state = 9, .external_lex_state = 2},
  [1156] = {.lex_state = 9, .external_lex_state = 2},
  [1157] = {.lex_state = 9, .external_lex_state = 2},
  [1158] = {.lex_state = 9, .external_lex_state = 2},
  [1159] = {.lex_state = 9, .external_lex_state = 2},
  [1160] = {.lex_state = 9, .external_lex_state = 2},
  [1161] = {.lex_state = 9, .external_lex_state = 2},
  [1162] = {.lex_state = 9, .external_lex_state = 2},
  [1163] = {.lex_state = 9, .external_lex_state = 2},
  [1164] = {.lex_state = 9, .external_lex_state = 2},
  [1165] = {.lex_state = 9, .external_lex_state = 2},
  [1166] = {.lex_state = 9, .external_lex_state = 2},
  [1167] = {.lex_state = 9, .external_lex_state = 2},
  [1168] = {.lex_state = 9, .external_lex_state = 2},
  [1169] = {.lex_state = 9, .external_lex_state = 2},
  [1170] = {.lex_state = 9, .external_lex_state = 2},
  [1171] = {.lex_state = 9, .external_lex_state = 2},
  [1172] = {.lex_state = 9, .external_lex_state = 2},
  [1173] = {.lex_state = 9, .external_lex_state = 2},
  [1174] = {.lex_state = 9, .external_lex_state = 2},
  [1175] = {.lex_state = 9, .external_lex_state = 2},
  [1176] = {.lex_state = 9, .external_lex_state = 2},
  [1177] = {.lex_state = 9, .external_lex_state = 2},
  [1178] = {.lex_state = 9, .external_lex_state = 2},
  [1179] = {.lex_state = 9, .external_lex_state = 2},
  [1180] = {.lex_state = 9, .external_lex_state = 2},
  [1181] = {.lex_state = 9, .external_lex_state = 2},
  [1182] = {.lex_state = 9, .external_lex_state = 2},
  [1183] = {.lex_state = 9, .external_lex_state = 2},
  [1184] = {.lex_state = 9, .external_lex_state = 2},
  [1185] = {.lex_state = 9, .external_lex_state = 2},
  [1186] = {.lex_state = 9, .external_lex_state = 2},
  [1187] = {.lex_state = 9, .external_lex_state = 2},
  [1188] = {.lex_state = 9, .external_lex_state = 2},
  [1189] = {.lex_state = 9, .external_lex_state = 2},
  [1190] = {.lex_state = 9, .external_lex_state = 2},
  [1191] = {.lex_state = 9, .external_lex_state = 2},
  [1192] = {.lex_state = 9, .external_lex_state = 2},
  [1193] = {.lex_state = 9, .external_lex_state = 2},
  [1194] = {.lex_state = 9, .external_lex_state = 2},
  [1195] = {.lex_state = 9, .external_lex_state = 2},
  [1196] = {.lex_state = 9, .external_lex_state = 2},
  [1197] = {.lex_state = 9, .external_lex_state = 2},
  [1198] = {.lex_state = 9, .external_lex_state = 2},
  [1199] = {.lex_state = 9, .external_lex_state = 2},
  [1200] = {.lex_state = 9, .external_lex_state = 2},
  [1201] = {.lex_state = 9, .external_lex_state = 2},
  [1202] = {.lex_state = 9, .external_lex_state = 2},
  [1203] = {.lex_state = 9, .external_lex_state = 2},
  [1204] = {.lex_state = 9, .external_lex_state = 2},
  [1205] = {.lex_state = 9, .external_lex_state = 2},
  [1206] = {.lex_state = 9, .external_lex_state = 2},
  [1207] = {.lex_state = 9, .external_lex_state = 2},
  [1208] = {.lex_state = 9, .external_lex_state = 2},
  [1209] = {.lex_state = 9, .external_lex_state = 2},
  [1210] = {.lex_state = 9, .external_lex_state = 2},
  [1211] = {.lex_state = 9, .external_lex_state = 2},
  [1212] = {.lex_state = 9, .external_lex_state = 2},
  [1213] = {.lex_state = 9, .external_lex_state = 2},
  [1214] = {.lex_state = 9, .external_lex_state = 2},
  [1215] = {.lex_state = 9, .external_lex_state = 2},
  [1216] = {.lex_state = 9, .external_lex_state = 2},
  [1217] = {.lex_state = 9, .external_lex_state = 2},
  [1218] = {.lex_state = 9, .external_lex_state = 2},
  [1219] = {.lex_state = 9, .external_lex_state = 2},
  [1220] = {.lex_state = 9, .external_lex_state = 2},
  [1221] = {.lex_state = 9, .external_lex_state = 2},
  [1222] = {.lex_state = 9, .external_lex_state = 2},
  [1223] = {.lex_state = 9, .external_lex_state = 2},
  [1224] = {.lex_state = 9, .external_lex_state = 2},
  [1225] = {.lex_state = 9, .external_lex_state = 2},
  [1226] = {.lex_state = 9, .external_lex_state = 2},
  [1227] = {.lex_state = 9, .external_lex_state = 2},
  [1228] = {.lex_state = 9, .external_lex_state = 2},
  [1229] = {.lex_state = 9, .external_lex_state = 2},
  [1230] = {.lex_state = 9, .external_lex_state = 2},
  [1231] = {.lex_state = 9, .external_lex_state = 2},
  [1232] = {.lex_state = 9, .external_lex_state = 2},
  [1233] = {.lex_state = 9, .external_lex_state = 2},
  [1234] = {.lex_state = 9, .external_lex_state = 2},
  [1235] = {.lex_state = 9, .external_lex_state = 2},
  [1236] = {.lex_state = 9, .external_lex_state = 2},
  [1237] = {.lex_state = 9, .external_lex_state = 2},
  [1238] = {.lex_state = 9, .external_lex_state = 2},
  [1239] = {.lex_state = 9, .external_lex_state = 2},
  [1240] = {.lex_state = 9, .external_lex_state = 2},
  [1241] = {.lex_state = 9, .external_lex_state = 2},
  [1242] = {.lex_state = 9, .external_lex_state = 2},
  [1243] = {.lex_state = 9, .external_lex_state = 2},
  [1244] = {.lex_state = 9, .external_lex_state = 2},
  [1245] = {.lex_state = 9, .external_lex_state = 2},
  [1246] = {.lex_state = 9, .external_lex_state = 2},
  [1247] = {.lex_state = 9, .external_lex_state = 2},
  [1248] = {.lex_state = 9, .external_lex_state = 2},
  [1249] = {.lex_state = 9, .external_lex_state = 2},
  [1250] = {.lex_state = 9, .external_lex_state = 2},
  [1251] = {.lex_state = 9, .external_lex_state = 2},
  [1252] = {.lex_state = 9, .external_lex_state = 2},
  [1253] = {.lex_state = 9, .external_lex_state = 2},
  [1254] = {.lex_state = 9, .external_lex_state = 2},
  [1255] = {.lex_state = 9, .external_lex_state = 2},
  [1256] = {.lex_state = 9, .external_lex_state = 2},
  [1257] = {.lex_state = 9, .external_lex_state = 2},
  [1258] = {.lex_state = 9, .external_lex_state = 2},
  [1259] = {.lex_state = 9, .external_lex_state = 2},
  [1260] = {.lex_state = 9, .external_lex_state = 2},
  [1261] = {.lex_state = 9, .external_lex_state = 2},
  [1262] = {.lex_state = 9, .external_lex_state = 2},
  [1263] = {.lex_state = 9, .external_lex_state = 2},
  [1264] = {.lex_state = 9, .external_lex_state = 2},
  [1265] = {.lex_state = 9, .external_lex_state = 2},
  [1266] = {.lex_state = 9, .external_lex_state = 2},
  [1267] = {.lex_state = 9, .external_lex_state = 2},
  [1268] = {.lex_state = 9, .external_lex_state = 2},
  [1269] = {.lex_state = 9, .external_lex_state = 2},
  [1270] = {.lex_state = 9, .external_lex_state = 2},
  [1271] = {.lex_state = 9, .external_lex_state = 2},
  [1272] = {.lex_state = 9, .external_lex_state = 2},
  [1273] = {.lex_state = 9, .external_lex_state = 2},
  [1274] = {.lex_state = 9, .external_lex_state = 2},
  [1275] = {.lex_state = 9, .external_lex_state = 2},
  [1276] = {.lex_state = 9, .external_lex_state = 2},
  [1277] = {.lex_state = 9, .external_lex_state = 2},
  [1278] = {.lex_state = 9, .external_lex_state = 2},
  [1279] = {.lex_state = 9, .external_lex_state = 2},
  [1280] = {.lex_state = 9, .external_lex_state = 2},
  [1281] = {.lex_state = 9, .external_lex_state = 2},
  [1282] = {.lex_state = 9, .external_lex_state = 2},
  [1283] = {.lex_state = 9, .external_lex_state = 2},
  [1284] = {.lex_state = 9, .external_lex_state = 2},
  [1285] = {.lex_state = 9, .external_lex_state = 2},
  [1286] = {.lex_state = 9, .external_lex_state = 2},
  [1287] = {.lex_state = 9, .external_lex_state = 2},
  [1288] = {.lex_state = 9, .external_lex_state = 2},
  [1289] = {.lex_state = 9, .external_lex_state = 2},
  [1290] = {.lex_state = 9, .external_lex_state = 2},
  [1291] = {.lex_state = 9, .external_lex_state = 2},
  [1292] = {.lex_state = 9, .external_lex_state = 2},
  [1293] = {.lex_state = 9, .external_lex_state = 2},
  [1294] = {.lex_state = 9, .external_lex_state = 2},
  [1295] = {.lex_state = 9, .external_lex_state = 2},
  [1296] = {.lex_state = 9, .external_lex_state = 2},
  [1297] = {.lex_state = 9, .external_lex_state = 2},
  [1298] = {.lex_state = 9, .external_lex_state = 2},
  [1299] = {.lex_state = 9, .external_lex_state = 2},
  [1300] = {.lex_state = 9, .external_lex_state = 2},
  [1301] = {.lex_state = 9, .external_lex_state = 2},
  [1302] = {.lex_state = 9, .external_lex_state = 2},
  [1303] = {.lex_state = 9, .external_lex_state = 2},
  [1304] = {.lex_state = 9, .external_lex_state = 2},
  [1305] = {.lex_state = 9, .external_lex_state = 2},
  [1306] = {.lex_state = 9, .external_lex_state = 2},
  [1307] = {.lex_state = 9, .external_lex_state = 2},
  [1308] = {.lex_state = 9, .external_lex_state = 2},
  [1309] = {.lex_state = 9, .external_lex_state = 2},
  [1310] = {.lex_state = 9, .external_lex_state = 2},
  [1311] = {.lex_state = 9, .external_lex_state = 2},
  [1312] = {.lex_state = 9, .external_lex_state = 2},
  [1313] = {.lex_state = 9, .external_lex_state = 2},
  [1314] = {.lex_state = 9, .external_lex_state = 2},
  [1315] = {.lex_state = 9, .external_lex_state = 2},
  [1316] = {.lex_state = 9, .external_lex_state = 2},
  [1317] = {.lex_state = 9, .external_lex_state = 2},
  [1318] = {.lex_state = 9, .external_lex_state = 2},
  [1319] = {.lex_state = 9, .external_lex_state = 2},
  [1320] = {.lex_state = 9, .external_lex_state = 2},
  [1321] = {.lex_state = 9, .external_lex_state = 2},
  [1322] = {.lex_state = 9, .external_lex_state = 2},
  [1323] = {.lex_state = 9, .external_lex_state = 2},
  [1324] = {.lex_state = 9, .external_lex_state = 2},
  [1325] = {.lex_state = 9, .external_lex_state = 2},
  [1326] = {.lex_state = 9, .external_lex_state = 2},
  [1327] = {.lex_state = 9, .external_lex_state = 2},
  [1328] = {.lex_state = 9, .external_lex_state = 2},
  [1329] = {.lex_state = 9, .external_lex_state = 2},
  [1330] = {.lex_state = 9, .external_lex_state = 2},
  [1331] = {.lex_state = 9, .external_lex_state = 2},
  [1332] = {.lex_state = 9, .external_lex_state = 2},
  [1333] = {.lex_state = 9, .external_lex_state = 2},
  [1334] = {.lex_state = 9, .external_lex_state = 2},
  [1335] = {.lex_state = 10, .external_lex_state = 3},
  [1336] = {.lex_state = 9, .external_lex_state = 2},
  [1337] = {.lex_state = 9, .external_lex_state = 2},
  [1338] = {.lex_state = 9, .external_lex_state = 2},
  [1339] = {.lex_state = 9, .external_lex_state = 2},
  [1340] = {.lex_state = 9, .external_lex_state = 2},
  [1341] = {.lex_state = 9, .external_lex_state = 2},
  [1342] = {.lex_state = 9, .external_lex_state = 2},
  [1343] = {.lex_state = 9, .external_lex_state = 2},
  [1344] = {.lex_state = 9, .external_lex_state = 2},
  [1345] = {.lex_state = 9, .external_lex_state = 2},
  [1346] = {.lex_state = 9, .external_lex_state = 2},
  [1347] = {.lex_state = 9, .external_lex_state = 2},
  [1348] = {.lex_state = 10, .external_lex_state = 3},
  [1349] = {.lex_state = 9, .external_lex_state = 2},
  [1350] = {.lex_state = 9, .external_lex_state = 2},
  [1351] = {.lex_state = 9, .external_lex_state = 2},
  [1352] = {.lex_state = 9, .external_lex_state = 2},
  [1353] = {.lex_state = 9, .external_lex_state = 2},
  [1354] = {.lex_state = 9, .external_lex_state = 2},
  [1355] = {.lex_state = 9, .external_lex_state = 2},
  [1356] = {.lex_state = 9, .external_lex_state = 2},
  [1357] = {.lex_state = 9, .external_lex_state = 2},
  [1358] = {.lex_state = 9, .external_lex_state = 2},
  [1359] = {.lex_state = 9, .external_lex_state = 2},
  [1360] = {.lex_state = 9, .external_lex_state = 2},
  [1361] = {.lex_state = 9, .external_lex_state = 2},
  [1362] = {.lex_state = 9, .external_lex_state = 2},
  [1363] = {.lex_state = 9, .external_lex_state = 2},
  [1364] = {.lex_state = 9, .external_lex_state = 2},
  [1365] = {.lex_state = 9, .external_lex_state = 2},
  [1366] = {.lex_state = 9, .external_lex_state = 2},
  [1367] = {.lex_state = 9, .external_lex_state = 2},
  [1368] = {.lex_state = 9, .external_lex_state = 2},
  [1369] = {.lex_state = 9, .external_lex_state = 2},
  [1370] = {.lex_state = 9, .external_lex_state = 2},
  [1371] = {.lex_state = 9, .external_lex_state = 2},
  [1372] = {.lex_state = 9, .external_lex_state = 2},
  [1373] = {.lex_state = 9, .external_lex_state = 2},
  [1374] = {.lex_state = 9, .external_lex_state = 2},
  [1375] = {.lex_state = 9, .external_lex_state = 2},
  [1376] = {.lex_state = 9, .external_lex_state = 2},
  [1377] = {.lex_state = 9, .external_lex_state = 2},
  [1378] = {.lex_state = 9, .external_lex_state = 2},
  [1379] = {.lex_state = 9, .external_lex_state = 2},
  [1380] = {.lex_state = 9, .external_lex_state = 2},
  [1381] = {.lex_state = 9, .external_lex_state = 2},
  [1382] = {.lex_state = 9, .external_lex_state = 2},
  [1383] = {.lex_state = 9, .external_lex_state = 2},
  [1384] = {.lex_state = 9, .external_lex_state = 2},
  [1385] = {.lex_state = 9, .external_lex_state = 2},
  [1386] = {.lex_state = 9, .external_lex_state = 2},
  [1387] = {.lex_state = 9, .external_lex_state = 2},
  [1388] = {.lex_state = 9, .external_lex_state = 2},
  [1389] = {.lex_state = 9, .external_lex_state = 2},
  [1390] = {.lex_state = 9, .external_lex_state = 2},
  [1391] = {.lex_state = 9, .external_lex_state = 2},
  [1392] = {.lex_state = 9, .external_lex_state = 2},
  [1393] = {.lex_state = 9, .external_lex_state = 2},
  [1394] = {.lex_state = 9, .external_lex_state = 2},
  [1395] = {.lex_state = 9, .external_lex_state = 2},
  [1396] = {.lex_state = 9, .external_lex_state = 2},
  [1397] = {.lex_state = 9, .external_lex_state = 2},
  [1398] = {.lex_state = 9, .external_lex_state = 2},
  [1399] = {.lex_state = 9, .external_lex_state = 2},
  [1400] = {.lex_state = 9, .external_lex_state = 2},
  [1401] = {.lex_state = 9, .external_lex_state = 2},
  [1402] = {.lex_state = 9, .external_lex_state = 2},
  [1403] = {.lex_state = 9, .external_lex_state = 2},
  [1404] = {.lex_state = 9, .external_lex_state = 2},
  [1405] = {.lex_state = 9, .external_lex_state = 2},
  [1406] = {.lex_state = 9, .external_lex_state = 2},
  [1407] = {.lex_state = 9, .external_lex_state = 2},
  [1408] = {.lex_state = 9, .external_lex_state = 2},
  [1409] = {.lex_state = 9, .external_lex_state = 2},
  [1410] = {.lex_state = 9, .external_lex_state = 2},
  [1411] = {.lex_state = 9, .external_lex_state = 2},
  [1412] = {.lex_state = 9, .external_lex_state = 2},
  [1413] = {.lex_state = 9, .external_lex_state = 2},
  [1414] = {.lex_state = 10, .external_lex_state = 3},
  [1415] = {.lex_state = 9, .external_lex_state = 2},
  [1416] = {.lex_state = 9, .external_lex_state = 2},
  [1417] = {.lex_state = 9, .external_lex_state = 2},
  [1418] = {.lex_state = 9, .external_lex_state = 2},
  [1419] = {.lex_state = 9, .external_lex_state = 2},
  [1420] = {.lex_state = 9, .external_lex_state = 2},
  [1421] = {.lex_state = 9, .external_lex_state = 2},
  [1422] = {.lex_state = 9, .external_lex_state = 2},
  [1423] = {.lex_state = 9, .external_lex_state = 2},
  [1424] = {.lex_state = 9, .external_lex_state = 2},
  [1425] = {.lex_state = 9, .external_lex_state = 2},
  [1426] = {.lex_state = 9, .external_lex_state = 2},
  [1427] = {.lex_state = 9, .external_lex_state = 2},
  [1428] = {.lex_state = 9, .external_lex_state = 2},
  [1429] = {.lex_state = 9, .external_lex_state = 2},
  [1430] = {.lex_state = 9, .external_lex_state = 2},
  [1431] = {.lex_state = 9, .external_lex_state = 2},
  [1432] = {.lex_state = 9, .external_lex_state = 2},
  [1433] = {.lex_state = 9, .external_lex_state = 2},
  [1434] = {.lex_state = 9, .external_lex_state = 2},
  [1435] = {.lex_state = 9, .external_lex_state = 2},
  [1436] = {.lex_state = 9, .external_lex_state = 2},
  [1437] = {.lex_state = 9, .external_lex_state = 2},
  [1438] = {.lex_state = 9, .external_lex_state = 2},
  [1439] = {.lex_state = 9, .external_lex_state = 2},
  [1440] = {.lex_state = 9, .external_lex_state = 2},
  [1441] = {.lex_state = 9, .external_lex_state = 2},
  [1442] = {.lex_state = 9, .external_lex_state = 2},
  [1443] = {.lex_state = 9, .external_lex_state = 2},
  [1444] = {.lex_state = 9, .external_lex_state = 2},
  [1445] = {.lex_state = 9, .external_lex_state = 2},
  [1446] = {.lex_state = 9, .external_lex_state = 2},
  [1447] = {.lex_state = 9, .external_lex_state = 2},
  [1448] = {.lex_state = 9, .external_lex_state = 2},
  [1449] = {.lex_state = 9, .external_lex_state = 2},
  [1450] = {.lex_state = 9, .external_lex_state = 2},
  [1451] = {.lex_state = 9, .external_lex_state = 2},
  [1452] = {.lex_state = 9, .external_lex_state = 2},
  [1453] = {.lex_state = 9, .external_lex_state = 2},
  [1454] = {.lex_state = 9, .external_lex_state = 2},
  [1455] = {.lex_state = 9, .external_lex_state = 2},
  [1456] = {.lex_state = 9, .external_lex_state = 2},
  [1457] = {.lex_state = 9, .external_lex_state = 2},
  [1458] = {.lex_state = 9, .external_lex_state = 2},
  [1459] = {.lex_state = 9, .external_lex_state = 2},
  [1460] = {.lex_state = 9, .external_lex_state = 2},
  [1461] = {.lex_state = 9, .external_lex_state = 2},
  [1462] = {.lex_state = 9, .external_lex_state = 2},
  [1463] = {.lex_state = 9, .external_lex_state = 2},
  [1464] = {.lex_state = 9, .external_lex_state = 2},
  [1465] = {.lex_state = 9, .external_lex_state = 2},
  [1466] = {.lex_state = 9, .external_lex_state = 2},
  [1467] = {.lex_state = 9, .external_lex_state = 2},
  [1468] = {.lex_state = 9, .external_lex_state = 2},
  [1469] = {.lex_state = 9, .external_lex_state = 2},
  [1470] = {.lex_state = 9, .external_lex_state = 2},
  [1471] = {.lex_state = 9, .external_lex_state = 2},
  [1472] = {.lex_state = 9, .external_lex_state = 2},
  [1473] = {.lex_state = 9, .external_lex_state = 2},
  [1474] = {.lex_state = 9, .external_lex_state = 2},
  [1475] = {.lex_state = 9, .external_lex_state = 2},
  [1476] = {.lex_state = 9, .external_lex_state = 2},
  [1477] = {.lex_state = 9, .external_lex_state = 2},
  [1478] = {.lex_state = 9, .external_lex_state = 2},
  [1479] = {.lex_state = 9, .external_lex_state = 2},
  [1480] = {.lex_state = 9, .external_lex_state = 2},
  [1481] = {.lex_state = 9, .external_lex_state = 2},
  [1482] = {.lex_state = 9, .external_lex_state = 2},
  [1483] = {.lex_state = 9, .external_lex_state = 2},
  [1484] = {.lex_state = 9, .external_lex_state = 2},
  [1485] = {.lex_state = 9, .external_lex_state = 2},
  [1486] = {.lex_state = 9, .external_lex_state = 2},
  [1487] = {.lex_state = 9, .external_lex_state = 2},
  [1488] = {.lex_state = 9, .external_lex_state = 2},
  [1489] = {.lex_state = 9, .external_lex_state = 2},
  [1490] = {.lex_state = 9, .external_lex_state = 2},
  [1491] = {.lex_state = 9, .external_lex_state = 2},
  [1492] = {.lex_state = 9, .external_lex_state = 2},
  [1493] = {.lex_state = 9, .external_lex_state = 2},
  [1494] = {.lex_state = 9, .external_lex_state = 2},
  [1495] = {.lex_state = 9, .external_lex_state = 2},
  [1496] = {.lex_state = 9, .external_lex_state = 2},
  [1497] = {.lex_state = 9, .external_lex_state = 2},
  [1498] = {.lex_state = 9, .external_lex_state = 2},
  [1499] = {.lex_state = 9, .external_lex_state = 2},
  [1500] = {.lex_state = 9, .external_lex_state = 2},
  [1501] = {.lex_state = 9, .external_lex_state = 2},
  [1502] = {.lex_state = 9, .external_lex_state = 2},
  [1503] = {.lex_state = 9, .external_lex_state = 2},
  [1504] = {.lex_state = 9, .external_lex_state = 2},
  [1505] = {.lex_state = 9, .external_lex_state = 2},
  [1506] = {.lex_state = 9, .external_lex_state = 2},
  [1507] = {.lex_state = 9, .external_lex_state = 2},
  [1508] = {.lex_state = 9, .external_lex_state = 2},
  [1509] = {.lex_state = 9, .external_lex_state = 2},
  [1510] = {.lex_state = 9, .external_lex_state = 2},
  [1511] = {.lex_state = 9, .external_lex_state = 2},
  [1512] = {.lex_state = 9, .external_lex_state = 2},
  [1513] = {.lex_state = 9, .external_lex_state = 2},
  [1514] = {.lex_state = 9, .external_lex_state = 2},
  [1515] = {.lex_state = 9, .external_lex_state = 2},
  [1516] = {.lex_state = 9, .external_lex_state = 2},
  [1517] = {.lex_state = 9, .external_lex_state = 2},
  [1518] = {.lex_state = 9, .external_lex_state = 2},
  [1519] = {.lex_state = 9, .external_lex_state = 2},
  [1520] = {.lex_state = 9, .external_lex_state = 2},
  [1521] = {.lex_state = 9, .external_lex_state = 2},
  [1522] = {.lex_state = 9, .external_lex_state = 2},
  [1523] = {.lex_state = 9, .external_lex_state = 2},
  [1524] = {.lex_state = 9, .external_lex_state = 2},
  [1525] = {.lex_state = 9, .external_lex_state = 2},
  [1526] = {.lex_state = 9, .external_lex_state = 2},
  [1527] = {.lex_state = 9, .external_lex_state = 2},
  [1528] = {.lex_state = 9, .external_lex_state = 2},
  [1529] = {.lex_state = 9, .external_lex_state = 2},
  [1530] = {.lex_state = 9, .external_lex_state = 2},
  [1531] = {.lex_state = 9, .external_lex_state = 2},
  [1532] = {.lex_state = 9, .external_lex_state = 2},
  [1533] = {.lex_state = 9, .external_lex_state = 2},
  [1534] = {.lex_state = 9, .external_lex_state = 2},
  [1535] = {.lex_state = 9, .external_lex_state = 2},
  [1536] = {.lex_state = 9, .external_lex_state = 2},
  [1537] = {.lex_state = 9, .external_lex_state = 2},
  [1538] = {.lex_state = 9, .external_lex_state = 2},
  [1539] = {.lex_state = 9, .external_lex_state = 2},
  [1540] = {.lex_state = 9, .external_lex_state = 2},
  [1541] = {.lex_state = 9, .external_lex_state = 2},
  [1542] = {.lex_state = 9, .external_lex_state = 2},
  [1543] = {.lex_state = 9, .external_lex_state = 2},
  [1544] = {.lex_state = 9, .external_lex_state = 2},
  [1545] = {.lex_state = 9, .external_lex_state = 2},
  [1546] = {.lex_state = 9, .external_lex_state = 2},
  [1547] = {.lex_state = 9, .external_lex_state = 2},
  [1548] = {.lex_state = 9, .external_lex_state = 2},
  [1549] = {.lex_state = 9, .external_lex_state = 2},
  [1550] = {.lex_state = 9, .external_lex_state = 2},
  [1551] = {.lex_state = 9, .external_lex_state = 2},
  [1552] = {.lex_state = 9, .external_lex_state = 2},
  [1553] = {.lex_state = 9, .external_lex_state = 2},
  [1554] = {.lex_state = 9, .external_lex_state = 2},
  [1555] = {.lex_state = 9, .external_lex_state = 2},
  [1556] = {.lex_state = 9, .external_lex_state = 2},
  [1557] = {.lex_state = 9, .external_lex_state = 2},
  [1558] = {.lex_state = 9, .external_lex_state = 2},
  [1559] = {.lex_state = 9, .external_lex_state = 2},
  [1560] = {.lex_state = 9, .external_lex_state = 2},
  [1561] = {.lex_state = 9, .external_lex_state = 2},
  [1562] = {.lex_state = 9, .external_lex_state = 2},
  [1563] = {.lex_state = 9, .external_lex_state = 2},
  [1564] = {.lex_state = 9, .external_lex_state = 2},
  [1565] = {.lex_state = 9, .external_lex_state = 2},
  [1566] = {.lex_state = 9, .external_lex_state = 2},
  [1567] = {.lex_state = 9, .external_lex_state = 2},
  [1568] = {.lex_state = 9, .external_lex_state = 2},
  [1569] = {.lex_state = 9, .external_lex_state = 2},
  [1570] = {.lex_state = 9, .external_lex_state = 2},
  [1571] = {.lex_state = 9, .external_lex_state = 2},
  [1572] = {.lex_state = 9, .external_lex_state = 2},
  [1573] = {.lex_state = 9, .external_lex_state = 2},
  [1574] = {.lex_state = 9, .external_lex_state = 2},
  [1575] = {.lex_state = 9, .external_lex_state = 2},
  [1576] = {.lex_state = 9, .external_lex_state = 2},
  [1577] = {.lex_state = 9, .external_lex_state = 2},
  [1578] = {.lex_state = 9, .external_lex_state = 2},
  [1579] = {.lex_state = 9, .external_lex_state = 2},
  [1580] = {.lex_state = 9, .external_lex_state = 2},
  [1581] = {.lex_state = 9, .external_lex_state = 2},
  [1582] = {.lex_state = 9, .external_lex_state = 2},
  [1583] = {.lex_state = 9, .external_lex_state = 2},
  [1584] = {.lex_state = 9, .external_lex_state = 2},
  [1585] = {.lex_state = 9, .external_lex_state = 2},
  [1586] = {.lex_state = 9, .external_lex_state = 2},
  [1587] = {.lex_state = 9, .external_lex_state = 2},
  [1588] = {.lex_state = 9, .external_lex_state = 2},
  [1589] = {.lex_state = 9, .external_lex_state = 2},
  [1590] = {.lex_state = 9, .external_lex_state = 2},
  [1591] = {.lex_state = 9, .external_lex_state = 2},
  [1592] = {.lex_state = 9, .external_lex_state = 2},
  [1593] = {.lex_state = 9, .external_lex_state = 2},
  [1594] = {.lex_state = 9, .external_lex_state = 2},
  [1595] = {.lex_state = 9, .external_lex_state = 2},
  [1596] = {.lex_state = 9, .external_lex_state = 2},
  [1597] = {.lex_state = 9, .external_lex_state = 2},
  [1598] = {.lex_state = 9, .external_lex_state = 2},
  [1599] = {.lex_state = 9, .external_lex_state = 2},
  [1600] = {.lex_state = 9, .external_lex_state = 2},
  [1601] = {.lex_state = 9, .external_lex_state = 2},
  [1602] = {.lex_state = 9, .external_lex_state = 2},
  [1603] = {.lex_state = 9, .external_lex_state = 2},
  [1604] = {.lex_state = 9, .external_lex_state = 2},
  [1605] = {.lex_state = 9, .external_lex_state = 2},
  [1606] = {.lex_state = 9, .external_lex_state = 2},
  [1607] = {.lex_state = 9, .external_lex_state = 2},
  [1608] = {.lex_state = 9, .external_lex_state = 2},
  [1609] = {.lex_state = 9, .external_lex_state = 2},
  [1610] = {.lex_state = 9, .external_lex_state = 2},
  [1611] = {.lex_state = 9, .external_lex_state = 2},
  [1612] = {.lex_state = 9, .external_lex_state = 2},
  [1613] = {.lex_state = 9, .external_lex_state = 2},
  [1614] = {.lex_state = 9, .external_lex_state = 2},
  [1615] = {.lex_state = 9, .external_lex_state = 2},
  [1616] = {.lex_state = 9, .external_lex_state = 2},
  [1617] = {.lex_state = 9, .external_lex_state = 2},
  [1618] = {.lex_state = 9, .external_lex_state = 2},
  [1619] = {.lex_state = 9, .external_lex_state = 2},
  [1620] = {.lex_state = 9, .external_lex_state = 2},
  [1621] = {.lex_state = 9, .external_lex_state = 2},
  [1622] = {.lex_state = 9, .external_lex_state = 2},
  [1623] = {.lex_state = 9, .external_lex_state = 2},
  [1624] = {.lex_state = 9, .external_lex_state = 2},
  [1625] = {.lex_state = 9, .external_lex_state = 2},
  [1626] = {.lex_state = 9, .external_lex_state = 2},
  [1627] = {.lex_state = 9, .external_lex_state = 2},
  [1628] = {.lex_state = 9, .external_lex_state = 2},
  [1629] = {.lex_state = 9, .external_lex_state = 2},
  [1630] = {.lex_state = 9, .external_lex_state = 2},
  [1631] = {.lex_state = 9, .external_lex_state = 2},
  [1632] = {.lex_state = 9, .external_lex_state = 2},
  [1633] = {.lex_state = 9, .external_lex_state = 2},
  [1634] = {.lex_state = 9, .external_lex_state = 2},
  [1635] = {.lex_state = 9, .external_lex_state = 2},
  [1636] = {.lex_state = 9, .external_lex_state = 2},
  [1637] = {.lex_state = 9, .external_lex_state = 2},
  [1638] = {.lex_state = 9, .external_lex_state = 2},
  [1639] = {.lex_state = 9, .external_lex_state = 2},
  [1640] = {.lex_state = 9, .external_lex_state = 2},
  [1641] = {.lex_state = 9, .external_lex_state = 2},
  [1642] = {.lex_state = 9, .external_lex_state = 2},
  [1643] = {.lex_state = 9, .external_lex_state = 2},
  [1644] = {.lex_state = 9, .external_lex_state = 2},
  [1645] = {.lex_state = 9, .external_lex_state = 2},
  [1646] = {.lex_state = 9, .external_lex_state = 2},
  [1647] = {.lex_state = 9, .external_lex_state = 2},
  [1648] = {.lex_state = 9, .external_lex_state = 2},
  [1649] = {.lex_state = 9, .external_lex_state = 2},
  [1650] = {.lex_state = 9, .external_lex_state = 2},
  [1651] = {.lex_state = 9, .external_lex_state = 2},
  [1652] = {.lex_state = 9, .external_lex_state = 2},
  [1653] = {.lex_state = 9, .external_lex_state = 2},
  [1654] = {.lex_state = 9, .external_lex_state = 2},
  [1655] = {.lex_state = 9, .external_lex_state = 2},
  [1656] = {.lex_state = 9, .external_lex_state = 2},
  [1657] = {.lex_state = 9, .external_lex_state = 2},
  [1658] = {.lex_state = 9, .external_lex_state = 2},
  [1659] = {.lex_state = 9, .external_lex_state = 2},
  [1660] = {.lex_state = 9, .external_lex_state = 2},
  [1661] = {.lex_state = 9, .external_lex_state = 2},
  [1662] = {.lex_state = 9, .external_lex_state = 2},
  [1663] = {.lex_state = 9, .external_lex_state = 2},
  [1664] = {.lex_state = 9, .external_lex_state = 2},
  [1665] = {.lex_state = 9, .external_lex_state = 2},
  [1666] = {.lex_state = 9, .external_lex_state = 2},
  [1667] = {.lex_state = 9, .external_lex_state = 2},
  [1668] = {.lex_state = 9, .external_lex_state = 2},
  [1669] = {.lex_state = 9, .external_lex_state = 2},
  [1670] = {.lex_state = 9, .external_lex_state = 2},
  [1671] = {.lex_state = 9, .external_lex_state = 2},
  [1672] = {.lex_state = 9, .external_lex_state = 2},
  [1673] = {.lex_state = 9, .external_lex_state = 2},
  [1674] = {.lex_state = 9, .external_lex_state = 2},
  [1675] = {.lex_state = 9, .external_lex_state = 2},
  [1676] = {.lex_state = 9, .external_lex_state = 2},
  [1677] = {.lex_state = 9, .external_lex_state = 2},
  [1678] = {.lex_state = 9, .external_lex_state = 2},
  [1679] = {.lex_state = 9, .external_lex_state = 2},
  [1680] = {.lex_state = 9, .external_lex_state = 2},
  [1681] = {.lex_state = 9, .external_lex_state = 2},
  [1682] = {.lex_state = 9, .external_lex_state = 2},
  [1683] = {.lex_state = 9, .external_lex_state = 2},
  [1684] = {.lex_state = 9, .external_lex_state = 2},
  [1685] = {.lex_state = 9, .external_lex_state = 2},
  [1686] = {.lex_state = 9, .external_lex_state = 2},
  [1687] = {.lex_state = 9, .external_lex_state = 2},
  [1688] = {.lex_state = 9, .external_lex_state = 2},
  [1689] = {.lex_state = 9, .external_lex_state = 2},
  [1690] = {.lex_state = 9, .external_lex_state = 2},
  [1691] = {.lex_state = 9, .external_lex_state = 2},
  [1692] = {.lex_state = 9, .external_lex_state = 2},
  [1693] = {.lex_state = 9, .external_lex_state = 2},
  [1694] = {.lex_state = 9, .external_lex_state = 2},
  [1695] = {.lex_state = 9, .external_lex_state = 2},
  [1696] = {.lex_state = 9, .external_lex_state = 2},
  [1697] = {.lex_state = 9, .external_lex_state = 2},
  [1698] = {.lex_state = 9, .external_lex_state = 2},
  [1699] = {.lex_state = 9, .external_lex_state = 2},
  [1700] = {.lex_state = 9, .external_lex_state = 2},
  [1701] = {.lex_state = 9, .external_lex_state = 2},
  [1702] = {.lex_state = 9, .external_lex_state = 2},
  [1703] = {.lex_state = 9, .external_lex_state = 2},
  [1704] = {.lex_state = 9, .external_lex_state = 2},
  [1705] = {.lex_state = 9, .external_lex_state = 2},
  [1706] = {.lex_state = 9, .external_lex_state = 2},
  [1707] = {.lex_state = 9, .external_lex_state = 2},
  [1708] = {.lex_state = 9, .external_lex_state = 2},
  [1709] = {.lex_state = 9, .external_lex_state = 2},
  [1710] = {.lex_state = 9, .external_lex_state = 2},
  [1711] = {.lex_state = 9, .external_lex_state = 2},
  [1712] = {.lex_state = 9, .external_lex_state = 2},
  [1713] = {.lex_state = 9, .external_lex_state = 2},
  [1714] = {.lex_state = 9, .external_lex_state = 2},
  [1715] = {.lex_state = 9, .external_lex_state = 2},
  [1716] = {.lex_state = 9, .external_lex_state = 2},
  [1717] = {.lex_state = 9, .external_lex_state = 2},
  [1718] = {.lex_state = 9, .external_lex_state = 2},
  [1719] = {.lex_state = 9, .external_lex_state = 2},
  [1720] = {.lex_state = 9, .external_lex_state = 2},
  [1721] = {.lex_state = 9, .external_lex_state = 2},
  [1722] = {.lex_state = 9, .external_lex_state = 2},
  [1723] = {.lex_state = 9, .external_lex_state = 2},
  [1724] = {.lex_state = 9, .external_lex_state = 2},
  [1725] = {.lex_state = 9, .external_lex_state = 2},
  [1726] = {.lex_state = 9, .external_lex_state = 2},
  [1727] = {.lex_state = 9, .external_lex_state = 2},
  [1728] = {.lex_state = 9, .external_lex_state = 2},
  [1729] = {.lex_state = 9, .external_lex_state = 2},
  [1730] = {.lex_state = 9, .external_lex_state = 2},
  [1731] = {.lex_state = 9, .external_lex_state = 2},
  [1732] = {.lex_state = 9, .external_lex_state = 2},
  [1733] = {.lex_state = 9, .external_lex_state = 2},
  [1734] = {.lex_state = 9, .external_lex_state = 2},
  [1735] = {.lex_state = 9, .external_lex_state = 2},
  [1736] = {.lex_state = 9, .external_lex_state = 2},
  [1737] = {.lex_state = 9, .external_lex_state = 2},
  [1738] = {.lex_state = 9, .external_lex_state = 2},
  [1739] = {.lex_state = 9, .external_lex_state = 2},
  [1740] = {.lex_state = 9, .external_lex_state = 2},
  [1741] = {.lex_state = 9, .external_lex_state = 2},
  [1742] = {.lex_state = 9, .external_lex_state = 2},
  [1743] = {.lex_state = 9, .external_lex_state = 2},
  [1744] = {.lex_state = 9, .external_lex_state = 2},
  [1745] = {.lex_state = 9, .external_lex_state = 2},
  [1746] = {.lex_state = 9, .external_lex_state = 2},
  [1747] = {.lex_state = 9, .external_lex_state = 2},
  [1748] = {.lex_state = 9, .external_lex_state = 2},
  [1749] = {.lex_state = 9, .external_lex_state = 2},
  [1750] = {.lex_state = 9, .external_lex_state = 2},
  [1751] = {.lex_state = 9, .external_lex_state = 2},
  [1752] = {.lex_state = 9, .external_lex_state = 2},
  [1753] = {.lex_state = 9, .external_lex_state = 2},
  [1754] = {.lex_state = 9, .external_lex_state = 2},
  [1755] = {.lex_state = 9, .external_lex_state = 2},
  [1756] = {.lex_state = 9, .external_lex_state = 2},
  [1757] = {.lex_state = 9, .external_lex_state = 2},
  [1758] = {.lex_state = 9, .external_lex_state = 2},
  [1759] = {.lex_state = 9, .external_lex_state = 2},
  [1760] = {.lex_state = 9, .external_lex_state = 2},
  [1761] = {.lex_state = 9, .external_lex_state = 2},
  [1762] = {.lex_state = 9, .external_lex_state = 2},
  [1763] = {.lex_state = 9, .external_lex_state = 2},
  [1764] = {.lex_state = 9, .external_lex_state = 2},
  [1765] = {.lex_state = 9, .external_lex_state = 2},
  [1766] = {.lex_state = 9, .external_lex_state = 2},
  [1767] = {.lex_state = 9, .external_lex_state = 2},
  [1768] = {.lex_state = 9, .external_lex_state = 2},
  [1769] = {.lex_state = 9, .external_lex_state = 2},
  [1770] = {.lex_state = 9, .external_lex_state = 2},
  [1771] = {.lex_state = 9, .external_lex_state = 2},
  [1772] = {.lex_state = 9, .external_lex_state = 2},
  [1773] = {.lex_state = 9, .external_lex_state = 2},
  [1774] = {.lex_state = 9, .external_lex_state = 2},
  [1775] = {.lex_state = 9, .external_lex_state = 2},
  [1776] = {.lex_state = 9, .external_lex_state = 2},
  [1777] = {.lex_state = 9, .external_lex_state = 2},
  [1778] = {.lex_state = 9, .external_lex_state = 2},
  [1779] = {.lex_state = 9, .external_lex_state = 2},
  [1780] = {.lex_state = 9, .external_lex_state = 2},
  [1781] = {.lex_state = 9, .external_lex_state = 2},
  [1782] = {.lex_state = 9, .external_lex_state = 2},
  [1783] = {.lex_state = 9, .external_lex_state = 2},
  [1784] = {.lex_state = 9, .external_lex_state = 2},
  [1785] = {.lex_state = 9, .external_lex_state = 2},
  [1786] = {.lex_state = 9, .external_lex_state = 2},
  [1787] = {.lex_state = 9, .external_lex_state = 2},
  [1788] = {.lex_state = 9, .external_lex_state = 2},
  [1789] = {.lex_state = 9, .external_lex_state = 2},
  [1790] = {.lex_state = 9, .external_lex_state = 2},
  [1791] = {.lex_state = 9, .external_lex_state = 2},
  [1792] = {.lex_state = 9, .external_lex_state = 2},
  [1793] = {.lex_state = 9, .external_lex_state = 2},
  [1794] = {.lex_state = 9, .external_lex_state = 2},
  [1795] = {.lex_state = 9, .external_lex_state = 2},
  [1796] = {.lex_state = 9, .external_lex_state = 2},
  [1797] = {.lex_state = 9, .external_lex_state = 2},
  [1798] = {.lex_state = 9, .external_lex_state = 2},
  [1799] = {.lex_state = 9, .external_lex_state = 2},
  [1800] = {.lex_state = 9, .external_lex_state = 2},
  [1801] = {.lex_state = 9, .external_lex_state = 2},
  [1802] = {.lex_state = 9, .external_lex_state = 2},
  [1803] = {.lex_state = 9, .external_lex_state = 2},
  [1804] = {.lex_state = 9, .external_lex_state = 2},
  [1805] = {.lex_state = 9, .external_lex_state = 2},
  [1806] = {.lex_state = 9, .external_lex_state = 2},
  [1807] = {.lex_state = 9, .external_lex_state = 2},
  [1808] = {.lex_state = 9, .external_lex_state = 2},
  [1809] = {.lex_state = 9, .external_lex_state = 2},
  [1810] = {.lex_state = 9, .external_lex_state = 2},
  [1811] = {.lex_state = 9, .external_lex_state = 2},
  [1812] = {.lex_state = 9, .external_lex_state = 2},
  [1813] = {.lex_state = 9, .external_lex_state = 2},
  [1814] = {.lex_state = 9, .external_lex_state = 2},
  [1815] = {.lex_state = 9, .external_lex_state = 2},
  [1816] = {.lex_state = 9, .external_lex_state = 2},
  [1817] = {.lex_state = 9, .external_lex_state = 2},
  [1818] = {.lex_state = 9, .external_lex_state = 2},
  [1819] = {.lex_state = 9, .external_lex_state = 2},
  [1820] = {.lex_state = 9, .external_lex_state = 2},
  [1821] = {.lex_state = 9, .external_lex_state = 2},
  [1822] = {.lex_state = 9, .external_lex_state = 2},
  [1823] = {.lex_state = 9, .external_lex_state = 2},
  [1824] = {.lex_state = 9, .external_lex_state = 2},
  [1825] = {.lex_state = 9, .external_lex_state = 2},
  [1826] = {.lex_state = 9, .external_lex_state = 2},
  [1827] = {.lex_state = 9, .external_lex_state = 2},
  [1828] = {.lex_state = 9, .external_lex_state = 2},
  [1829] = {.lex_state = 9, .external_lex_state = 2},
  [1830] = {.lex_state = 9, .external_lex_state = 2},
  [1831] = {.lex_state = 9, .external_lex_state = 2},
  [1832] = {.lex_state = 9, .external_lex_state = 2},
  [1833] = {.lex_state = 9, .external_lex_state = 2},
  [1834] = {.lex_state = 9, .external_lex_state = 2},
  [1835] = {.lex_state = 9, .external_lex_state = 2},
  [1836] = {.lex_state = 9, .external_lex_state = 2},
  [1837] = {.lex_state = 9, .external_lex_state = 2},
  [1838] = {.lex_state = 9, .external_lex_state = 2},
  [1839] = {.lex_state = 9, .external_lex_state = 2},
  [1840] = {.lex_state = 9, .external_lex_state = 2},
  [1841] = {.lex_state = 9, .external_lex_state = 2},
  [1842] = {.lex_state = 9, .external_lex_state = 2},
  [1843] = {.lex_state = 9, .external_lex_state = 2},
  [1844] = {.lex_state = 9, .external_lex_state = 2},
  [1845] = {.lex_state = 9, .external_lex_state = 2},
  [1846] = {.lex_state = 9, .external_lex_state = 2},
  [1847] = {.lex_state = 9, .external_lex_state = 2},
  [1848] = {.lex_state = 9, .external_lex_state = 2},
  [1849] = {.lex_state = 9, .external_lex_state = 2},
  [1850] = {.lex_state = 9, .external_lex_state = 2},
  [1851] = {.lex_state = 9, .external_lex_state = 2},
  [1852] = {.lex_state = 9, .external_lex_state = 2},
  [1853] = {.lex_state = 9, .external_lex_state = 2},
  [1854] = {.lex_state = 9, .external_lex_state = 2},
  [1855] = {.lex_state = 9, .external_lex_state = 2},
  [1856] = {.lex_state = 9, .external_lex_state = 2},
  [1857] = {.lex_state = 9, .external_lex_state = 2},
  [1858] = {.lex_state = 9, .external_lex_state = 2},
  [1859] = {.lex_state = 9, .external_lex_state = 2},
  [1860] = {.lex_state = 9, .external_lex_state = 2},
  [1861] = {.lex_state = 9, .external_lex_state = 2},
  [1862] = {.lex_state = 9, .external_lex_state = 2},
  [1863] = {.lex_state = 9, .external_lex_state = 2},
  [1864] = {.lex_state = 9, .external_lex_state = 2},
  [1865] = {.lex_state = 9, .external_lex_state = 2},
  [1866] = {.lex_state = 9, .external_lex_state = 2},
  [1867] = {.lex_state = 9, .external_lex_state = 2},
  [1868] = {.lex_state = 9, .external_lex_state = 2},
  [1869] = {.lex_state = 9, .external_lex_state = 2},
  [1870] = {.lex_state = 9, .external_lex_state = 2},
  [1871] = {.lex_state = 9, .external_lex_state = 2},
  [1872] = {.lex_state = 9, .external_lex_state = 2},
  [1873] = {.lex_state = 9, .external_lex_state = 2},
  [1874] = {.lex_state = 9, .external_lex_state = 2},
  [1875] = {.lex_state = 9, .external_lex_state = 2},
  [1876] = {.lex_state = 9, .external_lex_state = 2},
  [1877] = {.lex_state = 9, .external_lex_state = 2},
  [1878] = {.lex_state = 9, .external_lex_state = 2},
  [1879] = {.lex_state = 9, .external_lex_state = 2},
  [1880] = {.lex_state = 9, .external_lex_state = 2},
  [1881] = {.lex_state = 9, .external_lex_state = 2},
  [1882] = {.lex_state = 9, .external_lex_state = 2},
  [1883] = {.lex_state = 9, .external_lex_state = 2},
  [1884] = {.lex_state = 9, .external_lex_state = 2},
  [1885] = {.lex_state = 9, .external_lex_state = 2},
  [1886] = {.lex_state = 9, .external_lex_state = 2},
  [1887] = {.lex_state = 9, .external_lex_state = 2},
  [1888] = {.lex_state = 9, .external_lex_state = 2},
  [1889] = {.lex_state = 9, .external_lex_state = 2},
  [1890] = {.lex_state = 9, .external_lex_state = 2},
  [1891] = {.lex_state = 9, .external_lex_state = 2},
  [1892] = {.lex_state = 9, .external_lex_state = 2},
  [1893] = {.lex_state = 9, .external_lex_state = 2},
  [1894] = {.lex_state = 9, .external_lex_state = 2},
  [1895] = {.lex_state = 9, .external_lex_state = 2},
  [1896] = {.lex_state = 9, .external_lex_state = 2},
  [1897] = {.lex_state = 9, .external_lex_state = 2},
  [1898] = {.lex_state = 9, .external_lex_state = 2},
  [1899] = {.lex_state = 9, .external_lex_state = 2},
  [1900] = {.lex_state = 9, .external_lex_state = 2},
  [1901] = {.lex_state = 9, .external_lex_state = 2},
  [1902] = {.lex_state = 9, .external_lex_state = 2},
  [1903] = {.lex_state = 9, .external_lex_state = 2},
  [1904] = {.lex_state = 9, .external_lex_state = 2},
  [1905] = {.lex_state = 9, .external_lex_state = 2},
  [1906] = {.lex_state = 9, .external_lex_state = 2},
  [1907] = {.lex_state = 9, .external_lex_state = 2},
  [1908] = {.lex_state = 9, .external_lex_state = 2},
  [1909] = {.lex_state = 9, .external_lex_state = 2},
  [1910] = {.lex_state = 9, .external_lex_state = 2},
  [1911] = {.lex_state = 9, .external_lex_state = 2},
  [1912] = {.lex_state = 9, .external_lex_state = 2},
  [1913] = {.lex_state = 9, .external_lex_state = 2},
  [1914] = {.lex_state = 9, .external_lex_state = 2},
  [1915] = {.lex_state = 9, .external_lex_state = 2},
  [1916] = {.lex_state = 9, .external_lex_state = 2},
  [1917] = {.lex_state = 9, .external_lex_state = 2},
  [1918] = {.lex_state = 9, .external_lex_state = 2},
  [1919] = {.lex_state = 9, .external_lex_state = 2},
  [1920] = {.lex_state = 9, .external_lex_state = 2},
  [1921] = {.lex_state = 9, .external_lex_state = 2},
  [1922] = {.lex_state = 9, .external_lex_state = 2},
  [1923] = {.lex_state = 9, .external_lex_state = 2},
  [1924] = {.lex_state = 9, .external_lex_state = 2},
  [1925] = {.lex_state = 9, .external_lex_state = 2},
  [1926] = {.lex_state = 9, .external_lex_state = 2},
  [1927] = {.lex_state = 9, .external_lex_state = 2},
  [1928] = {.lex_state = 9, .external_lex_state = 2},
  [1929] = {.lex_state = 9, .external_lex_state = 2},
  [1930] = {.lex_state = 9, .external_lex_state = 2},
  [1931] = {.lex_state = 9, .external_lex_state = 2},
  [1932] = {.lex_state = 9, .external_lex_state = 2},
  [1933] = {.lex_state = 9, .external_lex_state = 2},
  [1934] = {.lex_state = 9, .external_lex_state = 2},
  [1935] = {.lex_state = 9, .external_lex_state = 2},
  [1936] = {.lex_state = 9, .external_lex_state = 2},
  [1937] = {.lex_state = 9, .external_lex_state = 2},
  [1938] = {.lex_state = 9, .external_lex_state = 2},
  [1939] = {.lex_state = 9, .external_lex_state = 2},
  [1940] = {.lex_state = 9, .external_lex_state = 2},
  [1941] = {.lex_state = 1, .external_lex_state = 4},
  [1942] = {.lex_state = 1, .external_lex_state = 4},
  [1943] = {.lex_state = 10, .external_lex_state = 3},
  [1944] = {.lex_state = 10, .external_lex_state = 3},
  [1945] = {.lex_state = 10, .external_lex_state = 3},
  [1946] = {.lex_state = 1, .external_lex_state = 4},
  [1947] = {.lex_state = 1, .external_lex_state = 4},
  [1948] = {.lex_state = 1, .external_lex_state = 4},
  [1949] = {.lex_state = 1, .external_lex_state = 4},
  [1950] = {.lex_state = 1, .external_lex_state = 4},
  [1951] = {.lex_state = 1, .external_lex_state = 4},
  [1952] = {.lex_state = 1, .external_lex_state = 4},
  [1953] = {.lex_state = 1, .external_lex_state = 4},
  [1954] = {.lex_state = 1, .external_lex_state = 4},
  [1955] = {.lex_state = 1, .external_lex_state = 4},
  [1956] = {.lex_state = 10, .external_lex_state = 3},
  [1957] = {.lex_state = 1, .external_lex_state = 4},
  [1958] = {.lex_state = 1, .external_lex_state = 4},
  [1959] = {.lex_state = 1, .external_lex_state = 4},
  [1960] = {.lex_state = 1, .external_lex_state = 4},
  [1961] = {.lex_state = 1, .external_lex_state = 4},
  [1962] = {.lex_state = 1, .external_lex_state = 4},
  [1963] = {.lex_state = 1, .external_lex_state = 4},
  [1964] = {.lex_state = 1, .external_lex_state = 4},
  [1965] = {.lex_state = 1, .external_lex_state = 4},
  [1966] = {.lex_state = 10, .external_lex_state = 3},
  [1967] = {.lex_state = 1, .external_lex_state = 4},
  [1968] = {.lex_state = 1, .external_lex_state = 4},
  [1969] = {.lex_state = 1, .external_lex_state = 4},
  [1970] = {.lex_state = 1, .external_lex_state = 4},
  [1971] = {.lex_state = 1, .external_lex_state = 4},
  [1972] = {.lex_state = 1, .external_lex_state = 4},
  [1973] = {.lex_state = 12, .external_lex_state = 10},
  [1974] = {.lex_state = 12, .external_lex_state = 10},
  [1975] = {.lex_state = 1, .external_lex_state = 4},
  [1976] = {.lex_state = 1, .external_lex_state = 4},
  [1977] = {.lex_state = 1, .external_lex_state = 4},
  [1978] = {.lex_state = 10, .external_lex_state = 3},
  [1979] = {.lex_state = 12, .external_lex_state = 10},
  [1980] = {.lex_state = 10, .external_lex_state = 3},
  [1981] = {.lex_state = 12, .external_lex_state = 10},
  [1982] = {.lex_state = 12, .external_lex_state = 10},
  [1983] = {.lex_state = 10, .external_lex_state = 3},
  [1984] = {.lex_state = 12, .external_lex_state = 10},
  [1985] = {.lex_state = 12, .external_lex_state = 11},
  [1986] = {.lex_state = 10, .external_lex_state = 3},
  [1987] = {.lex_state = 1, .external_lex_state = 4},
  [1988] = {.lex_state = 1, .external_lex_state = 4},
  [1989] = {.lex_state = 1, .external_lex_state = 4},
  [1990] = {.lex_state = 1, .external_lex_state = 4},
  [1991] = {.lex_state = 1, .external_lex_state = 4},
  [1992] = {.lex_state = 1, .external_lex_state = 4},
  [1993] = {.lex_state = 1, .external_lex_state = 4},
  [1994] = {.lex_state = 10, .external_lex_state = 3},
  [1995] = {.lex_state = 1, .external_lex_state = 4},
  [1996] = {.lex_state = 1, .external_lex_state = 4},
  [1997] = {.lex_state = 1, .external_lex_state = 4},
  [1998] = {.lex_state = 1, .external_lex_state = 4},
  [1999] = {.lex_state = 1, .external_lex_state = 4},
  [2000] = {.lex_state = 1, .external_lex_state = 4},
  [2001] = {.lex_state = 12, .external_lex_state = 12},
  [2002] = {.lex_state = 1, .external_lex_state = 4},
  [2003] = {.lex_state = 12, .external_lex_state = 12},
  [2004] = {.lex_state = 1, .external_lex_state = 4},
  [2005] = {.lex_state = 1, .external_lex_state = 4},
  [2006] = {.lex_state = 1, .external_lex_state = 4},
  [2007] = {.lex_state = 12, .external_lex_state = 12},
  [2008] = {.lex_state = 1, .external_lex_state = 4},
  [2009] = {.lex_state = 12, .external_lex_state = 11},
  [2010] = {.lex_state = 12, .external_lex_state = 12},
  [2011] = {.lex_state = 12, .external_lex_state = 12},
  [2012] = {.lex_state = 1, .external_lex_state = 4},
  [2013] = {.lex_state = 12, .external_lex_state = 11},
  [2014] = {.lex_state = 1, .external_lex_state = 4},
  [2015] = {.lex_state = 1, .external_lex_state = 4},
  [2016] = {.lex_state = 1, .external_lex_state = 4},
  [2017] = {.lex_state = 10, .external_lex_state = 3},
  [2018] = {.lex_state = 1, .external_lex_state = 4},
  [2019] = {.lex_state = 1, .external_lex_state = 4},
  [2020] = {.lex_state = 10, .external_lex_state = 3},
  [2021] = {.lex_state = 1, .external_lex_state = 4},
  [2022] = {.lex_state = 1, .external_lex_state = 4},
  [2023] = {.lex_state = 1, .external_lex_state = 4},
  [2024] = {.lex_state = 1, .external_lex_state = 4},
  [2025] = {.lex_state = 1, .external_lex_state = 4},
  [2026] = {.lex_state = 1, .external_lex_state = 4},
  [2027] = {.lex_state = 1, .external_lex_state = 4},
  [2028] = {.lex_state = 12, .external_lex_state = 11},
  [2029] = {.lex_state = 10, .external_lex_state = 3},
  [2030] = {.lex_state = 1, .external_lex_state = 4},
  [2031] = {.lex_state = 12, .external_lex_state = 11},
  [2032] = {.lex_state = 12, .external_lex_state = 11},
  [2033] = {.lex_state = 1, .external_lex_state = 4},
  [2034] = {.lex_state = 12, .external_lex_state = 12},
  [2035] = {.lex_state = 1, .external_lex_state = 4},
  [2036] = {.lex_state = 1, .external_lex_state = 4},
  [2037] = {.lex_state = 1, .external_lex_state = 4},
  [2038] = {.lex_state = 1, .external_lex_state = 4},
  [2039] = {.lex_state = 1, .external_lex_state = 4},
  [2040] = {.lex_state = 1, .external_lex_state = 4},
  [2041] = {.lex_state = 1, .external_lex_state = 4},
  [2042] = {.lex_state = 1, .external_lex_state = 4},
  [2043] = {.lex_state = 1, .external_lex_state = 4},
  [2044] = {.lex_state = 1, .external_lex_state = 4},
  [2045] = {.lex_state = 1, .external_lex_state = 4},
  [2046] = {.lex_state = 1, .external_lex_state = 4},
  [2047] = {.lex_state = 1, .external_lex_state = 4},
  [2048] = {.lex_state = 1, .external_lex_state = 4},
  [2049] = {.lex_state = 1, .external_lex_state = 4},
  [2050] = {.lex_state = 1, .external_lex_state = 4},
  [2051] = {.lex_state = 1, .external_lex_state = 4},
  [2052] = {.lex_state = 1, .external_lex_state = 4},
  [2053] = {.lex_state = 1, .external_lex_state = 4},
  [2054] = {.lex_state = 1, .external_lex_state = 4},
  [2055] = {.lex_state = 1, .external_lex_state = 4},
  [2056] = {.lex_state = 1, .external_lex_state = 4},
  [2057] = {.lex_state = 1, .external_lex_state = 4},
  [2058] = {.lex_state = 1, .external_lex_state = 4},
  [2059] = {.lex_state = 1, .external_lex_state = 4},
  [2060] = {.lex_state = 1, .external_lex_state = 4},
  [2061] = {.lex_state = 1, .external_lex_state = 4},
  [2062] = {.lex_state = 1, .external_lex_state = 4},
  [2063] = {.lex_state = 1, .external_lex_state = 4},
  [2064] = {.lex_state = 1, .external_lex_state = 4},
  [2065] = {.lex_state = 1, .external_lex_state = 4},
  [2066] = {.lex_state = 1, .external_lex_state = 4},
  [2067] = {.lex_state = 1, .external_lex_state = 4},
  [2068] = {.lex_state = 1, .external_lex_state = 4},
  [2069] = {.lex_state = 1, .external_lex_state = 4},
  [2070] = {.lex_state = 1, .external_lex_state = 4},
  [2071] = {.lex_state = 16, .external_lex_state = 13},
  [2072] = {.lex_state = 1, .external_lex_state = 4},
  [2073] = {.lex_state = 1, .external_lex_state = 4},
  [2074] = {.lex_state = 1, .external_lex_state = 4},
  [2075] = {.lex_state = 1, .external_lex_state = 4},
  [2076] = {.lex_state = 1, .external_lex_state = 4},
  [2077] = {.lex_state = 16, .external_lex_state = 13},
  [2078] = {.lex_state = 1, .external_lex_state = 4},
  [2079] = {.lex_state = 1, .external_lex_state = 4},
  [2080] = {.lex_state = 1, .external_lex_state = 4},
  [2081] = {.lex_state = 1, .external_lex_state = 4},
  [2082] = {.lex_state = 16, .external_lex_state = 13},
  [2083] = {.lex_state = 1, .external_lex_state = 4},
  [2084] = {.lex_state = 16, .external_lex_state = 13},
  [2085] = {.lex_state = 1, .external_lex_state = 4},
  [2086] = {.lex_state = 1, .external_lex_state = 4},
  [2087] = {.lex_state = 1, .external_lex_state = 4},
  [2088] = {.lex_state = 1, .external_lex_state = 4},
  [2089] = {.lex_state = 1, .external_lex_state = 4},
  [2090] = {.lex_state = 1, .external_lex_state = 4},
  [2091] = {.lex_state = 1, .external_lex_state = 4},
  [2092] = {.lex_state = 3, .external_lex_state = 4},
  [2093] = {.lex_state = 10, .external_lex_state = 3},
  [2094] = {.lex_state = 1, .external_lex_state = 4},
  [2095] = {.lex_state = 1, .external_lex_state = 4},
  [2096] = {.lex_state = 1, .external_lex_state = 4},
  [2097] = {.lex_state = 1, .external_lex_state = 4},
  [2098] = {.lex_state = 1, .external_lex_state = 4},
  [2099] = {.lex_state = 1, .external_lex_state = 4},
  [2100] = {.lex_state = 1, .external_lex_state = 4},
  [2101] = {.lex_state = 10, .external_lex_state = 3},
  [2102] = {.lex_state = 10, .external_lex_state = 3},
  [2103] = {.lex_state = 1, .external_lex_state = 4},
  [2104] = {.lex_state = 10, .external_lex_state = 3},
  [2105] = {.lex_state = 1, .external_lex_state = 4},
  [2106] = {.lex_state = 10, .external_lex_state = 3},
  [2107] = {.lex_state = 10, .external_lex_state = 3},
  [2108] = {.lex_state = 1, .external_lex_state = 4},
  [2109] = {.lex_state = 12, .external_lex_state = 10},
  [2110] = {.lex_state = 1, .external_lex_state = 4},
  [2111] = {.lex_state = 1, .external_lex_state = 4},
  [2112] = {.lex_state = 1, .external_lex_state = 4},
  [2113] = {.lex_state = 1, .external_lex_state = 4},
  [2114] = {.lex_state = 1, .external_lex_state = 4},
  [2115] = {.lex_state = 1, .external_lex_state = 4},
  [2116] = {.lex_state = 1, .external_lex_state = 4},
  [2117] = {.lex_state = 1, .external_lex_state = 4},
  [2118] = {.lex_state = 1, .external_lex_state = 4},
  [2119] = {.lex_state = 1, .external_lex_state = 4},
  [2120] = {.lex_state = 1, .external_lex_state = 4},
  [2121] = {.lex_state = 1, .external_lex_state = 4},
  [2122] = {.lex_state = 12, .external_lex_state = 10},
  [2123] = {.lex_state = 1, .external_lex_state = 4},
  [2124] = {.lex_state = 1, .external_lex_state = 4},
  [2125] = {.lex_state = 1, .external_lex_state = 4},
  [2126] = {.lex_state = 1, .external_lex_state = 4},
  [2127] = {.lex_state = 1, .external_lex_state = 4},
  [2128] = {.lex_state = 1, .external_lex_state = 4},
  [2129] = {.lex_state = 1, .external_lex_state = 4},
  [2130] = {.lex_state = 1, .external_lex_state = 4},
  [2131] = {.lex_state = 1, .external_lex_state = 4},
  [2132] = {.lex_state = 1, .external_lex_state = 4},
  [2133] = {.lex_state = 10, .external_lex_state = 3},
  [2134] = {.lex_state = 1, .external_lex_state = 4},
  [2135] = {.lex_state = 1, .external_lex_state = 4},
  [2136] = {.lex_state = 1, .external_lex_state = 4},
  [2137] = {.lex_state = 1, .external_lex_state = 4},
  [2138] = {.lex_state = 1, .external_lex_state = 4},
  [2139] = {.lex_state = 1, .external_lex_state = 4},
  [2140] = {.lex_state = 1, .external_lex_state = 4},
  [2141] = {.lex_state = 1, .external_lex_state = 4},
  [2142] = {.lex_state = 1, .external_lex_state = 4},
  [2143] = {.lex_state = 1, .external_lex_state = 4},
  [2144] = {.lex_state = 10, .external_lex_state = 3},
  [2145] = {.lex_state = 1, .external_lex_state = 4},
  [2146] = {.lex_state = 12, .external_lex_state = 10},
  [2147] = {.lex_state = 1, .external_lex_state = 4},
  [2148] = {.lex_state = 12, .external_lex_state = 10},
  [2149] = {.lex_state = 1, .external_lex_state = 4},
  [2150] = {.lex_state = 1, .external_lex_state = 4},
  [2151] = {.lex_state = 1, .external_lex_state = 4},
  [2152] = {.lex_state = 12, .external_lex_state = 10},
  [2153] = {.lex_state = 12, .external_lex_state = 10},
  [2154] = {.lex_state = 1, .external_lex_state = 4},
  [2155] = {.lex_state = 12, .external_lex_state = 10},
  [2156] = {.lex_state = 10, .external_lex_state = 3},
  [2157] = {.lex_state = 12, .external_lex_state = 10},
  [2158] = {.lex_state = 12, .external_lex_state = 10},
  [2159] = {.lex_state = 12, .external_lex_state = 10},
  [2160] = {.lex_state = 12, .external_lex_state = 10},
  [2161] = {.lex_state = 12, .external_lex_state = 10},
  [2162] = {.lex_state = 12, .external_lex_state = 10},
  [2163] = {.lex_state = 12, .external_lex_state = 10},
  [2164] = {.lex_state = 12, .external_lex_state = 10},
  [2165] = {.lex_state = 1, .external_lex_state = 4},
  [2166] = {.lex_state = 1, .external_lex_state = 4},
  [2167] = {.lex_state = 1, .external_lex_state = 4},
  [2168] = {.lex_state = 12, .external_lex_state = 10},
  [2169] = {.lex_state = 1, .external_lex_state = 4},
  [2170] = {.lex_state = 1, .external_lex_state = 4},
  [2171] = {.lex_state = 1, .external_lex_state = 4},
  [2172] = {.lex_state = 1, .external_lex_state = 4},
  [2173] = {.lex_state = 1, .external_lex_state = 4},
  [2174] = {.lex_state = 1, .external_lex_state = 4},
  [2175] = {.lex_state = 1, .external_lex_state = 4},
  [2176] = {.lex_state = 1, .external_lex_state = 4},
  [2177] = {.lex_state = 1, .external_lex_state = 4},
  [2178] = {.lex_state = 1, .external_lex_state = 4},
  [2179] = {.lex_state = 10, .external_lex_state = 3},
  [2180] = {.lex_state = 1, .external_lex_state = 4},
  [2181] = {.lex_state = 1, .external_lex_state = 4},
  [2182] = {.lex_state = 12, .external_lex_state = 10},
  [2183] = {.lex_state = 12, .external_lex_state = 10},
  [2184] = {.lex_state = 1, .external_lex_state = 4},
  [2185] = {.lex_state = 1, .external_lex_state = 4},
  [2186] = {.lex_state = 1, .external_lex_state = 4},
  [2187] = {.lex_state = 1, .external_lex_state = 4},
  [2188] = {.lex_state = 1, .external_lex_state = 4},
  [2189] = {.lex_state = 10, .external_lex_state = 3},
  [2190] = {.lex_state = 10, .external_lex_state = 3},
  [2191] = {.lex_state = 1, .external_lex_state = 4},
  [2192] = {.lex_state = 1, .external_lex_state = 4},
  [2193] = {.lex_state = 10, .external_lex_state = 3},
  [2194] = {.lex_state = 10, .external_lex_state = 3},
  [2195] = {.lex_state = 1, .external_lex_state = 4},
  [2196] = {.lex_state = 1, .external_lex_state = 4},
  [2197] = {.lex_state = 1, .external_lex_state = 4},
  [2198] = {.lex_state = 1, .external_lex_state = 4},
  [2199] = {.lex_state = 1, .external_lex_state = 4},
  [2200] = {.lex_state = 1, .external_lex_state = 4},
  [2201] = {.lex_state = 1, .external_lex_state = 4},
  [2202] = {.lex_state = 1, .external_lex_state = 4},
  [2203] = {.lex_state = 1, .external_lex_state = 4},
  [2204] = {.lex_state = 1, .external_lex_state = 4},
  [2205] = {.lex_state = 12, .external_lex_state = 10},
  [2206] = {.lex_state = 12, .external_lex_state = 10},
  [2207] = {.lex_state = 12, .external_lex_state = 10},
  [2208] = {.lex_state = 12, .external_lex_state = 10},
  [2209] = {.lex_state = 12, .external_lex_state = 10},
  [2210] = {.lex_state = 1, .external_lex_state = 4},
  [2211] = {.lex_state = 12, .external_lex_state = 10},
  [2212] = {.lex_state = 12, .external_lex_state = 10},
  [2213] = {.lex_state = 12, .external_lex_state = 10},
  [2214] = {.lex_state = 12, .external_lex_state = 10},
  [2215] = {.lex_state = 1, .external_lex_state = 4},
  [2216] = {.lex_state = 1, .external_lex_state = 4},
  [2217] = {.lex_state = 1, .external_lex_state = 4},
  [2218] = {.lex_state = 1, .external_lex_state = 4},
  [2219] = {.lex_state = 1, .external_lex_state = 4},
  [2220] = {.lex_state = 1, .external_lex_state = 4},
  [2221] = {.lex_state = 1, .external_lex_state = 4},
  [2222] = {.lex_state = 1, .external_lex_state = 4},
  [2223] = {.lex_state = 1, .external_lex_state = 4},
  [2224] = {.lex_state = 1, .external_lex_state = 4},
  [2225] = {.lex_state = 1, .external_lex_state = 4},
  [2226] = {.lex_state = 1, .external_lex_state = 4},
  [2227] = {.lex_state = 1, .external_lex_state = 4},
  [2228] = {.lex_state = 1, .external_lex_state = 4},
  [2229] = {.lex_state = 1, .external_lex_state = 4},
  [2230] = {.lex_state = 1, .external_lex_state = 4},
  [2231] = {.lex_state = 1, .external_lex_state = 4},
  [2232] = {.lex_state = 1, .external_lex_state = 4},
  [2233] = {.lex_state = 1, .external_lex_state = 4},
  [2234] = {.lex_state = 12, .external_lex_state = 10},
  [2235] = {.lex_state = 12, .external_lex_state = 10},
  [2236] = {.lex_state = 1, .external_lex_state = 4},
  [2237] = {.lex_state = 1, .external_lex_state = 4},
  [2238] = {.lex_state = 1, .external_lex_state = 4},
  [2239] = {.lex_state = 10, .external_lex_state = 3},
  [2240] = {.lex_state = 12, .external_lex_state = 12},
  [2241] = {.lex_state = 12, .external_lex_state = 10},
  [2242] = {.lex_state = 12, .external_lex_state = 11},
  [2243] = {.lex_state = 15, .external_lex_state = 14},
  [2244] = {.lex_state = 14, .external_lex_state = 15},
  [2245] = {.lex_state = 12, .external_lex_state = 10},
  [2246] = {.lex_state = 12, .external_lex_state = 10},
  [2247] = {.lex_state = 12, .external_lex_state = 10},
  [2248] = {.lex_state = 12, .external_lex_state = 12},
  [2249] = {.lex_state = 12, .external_lex_state = 11},
  [2250] = {.lex_state = 10, .external_lex_state = 3},
  [2251] = {.lex_state = 10, .external_lex_state = 3},
  [2252] = {.lex_state = 10, .external_lex_state = 3},
  [2253] = {.lex_state = 10, .external_lex_state = 3},
  [2254] = {.lex_state = 12, .external_lex_state = 12},
  [2255] = {.lex_state = 12, .external_lex_state = 12},
  [2256] = {.lex_state = 12, .external_lex_state = 12},
  [2257] = {.lex_state = 12, .external_lex_state = 12},
  [2258] = {.lex_state = 12, .external_lex_state = 12},
  [2259] = {.lex_state = 12, .external_lex_state = 12},
  [2260] = {.lex_state = 12, .external_lex_state = 12},
  [2261] = {.lex_state = 12, .external_lex_state = 12},
  [2262] = {.lex_state = 12, .external_lex_state = 12},
  [2263] = {.lex_state = 12, .external_lex_state = 12},
  [2264] = {.lex_state = 12, .external_lex_state = 12},
  [2265] = {.lex_state = 12, .external_lex_state = 12},
  [2266] = {.lex_state = 10, .external_lex_state = 3},
  [2267] = {.lex_state = 10, .external_lex_state = 3},
  [2268] = {.lex_state = 12, .external_lex_state = 11},
  [2269] = {.lex_state = 12, .external_lex_state = 11},
  [2270] = {.lex_state = 12, .external_lex_state = 11},
  [2271] = {.lex_state = 12, .external_lex_state = 11},
  [2272] = {.lex_state = 12, .external_lex_state = 11},
  [2273] = {.lex_state = 12, .external_lex_state = 11},
  [2274] = {.lex_state = 12, .external_lex_state = 11},
  [2275] = {.lex_state = 12, .external_lex_state = 11},
  [2276] = {.lex_state = 12, .external_lex_state = 11},
  [2277] = {.lex_state = 12, .external_lex_state = 11},
  [2278] = {.lex_state = 12, .external_lex_state = 11},
  [2279] = {.lex_state = 12, .external_lex_state = 11},
  [2280] = {.lex_state = 12, .external_lex_state = 11},
  [2281] = {.lex_state = 12, .external_lex_state = 11},
  [2282] = {.lex_state = 12, .external_lex_state = 11},
  [2283] = {.lex_state = 12, .external_lex_state = 11},
  [2284] = {.lex_state = 12, .external_lex_state = 12},
  [2285] = {.lex_state = 15, .external_lex_state = 14},
  [2286] = {.lex_state = 15, .external_lex_state = 14},
  [2287] = {.lex_state = 15, .external_lex_state = 14},
  [2288] = {.lex_state = 15, .external_lex_state = 14},
  [2289] = {.lex_state = 15, .external_lex_state = 14},
  [2290] = {.lex_state = 15, .external_lex_state = 14},
  [2291] = {.lex_state = 15, .external_lex_state = 14},
  [2292] = {.lex_state = 15, .external_lex_state = 14},
  [2293] = {.lex_state = 15, .external_lex_state = 14},
  [2294] = {.lex_state = 15, .external_lex_state = 14},
  [2295] = {.lex_state = 15, .external_lex_state = 14},
  [2296] = {.lex_state = 15, .external_lex_state = 14},
  [2297] = {.lex_state = 14, .external_lex_state = 15},
  [2298] = {.lex_state = 14, .external_lex_state = 15},
  [2299] = {.lex_state = 14, .external_lex_state = 15},
  [2300] = {.lex_state = 14, .external_lex_state = 15},
  [2301] = {.lex_state = 14, .external_lex_state = 15},
  [2302] = {.lex_state = 14, .external_lex_state = 15},
  [2303] = {.lex_state = 14, .external_lex_state = 15},
  [2304] = {.lex_state = 14, .external_lex_state = 15},
  [2305] = {.lex_state = 14, .external_lex_state = 15},
  [2306] = {.lex_state = 14, .external_lex_state = 15},
  [2307] = {.lex_state = 14, .external_lex_state = 15},
  [2308] = {.lex_state = 14, .external_lex_state = 15},
  [2309] = {.lex_state = 12, .external_lex_state = 11},
  [2310] = {.lex_state = 15, .external_lex_state = 14},
  [2311] = {.lex_state = 10, .external_lex_state = 3},
  [2312] = {.lex_state = 10, .external_lex_state = 3},
  [2313] = {.lex_state = 1, .external_lex_state = 4},
  [2314] = {.lex_state = 12, .external_lex_state = 12},
  [2315] = {.lex_state = 15, .external_lex_state = 14},
  [2316] = {.lex_state = 1, .external_lex_state = 4},
  [2317] = {.lex_state = 15, .external_lex_state = 14},
  [2318] = {.lex_state = 15, .external_lex_state = 14},
  [2319] = {.lex_state = 10, .external_lex_state = 3},
  [2320] = {.lex_state = 14, .external_lex_state = 15},
  [2321] = {.lex_state = 12, .external_lex_state = 12},
  [2322] = {.lex_state = 12, .external_lex_state = 10},
  [2323] = {.lex_state = 10, .external_lex_state = 3},
  [2324] = {.lex_state = 10, .external_lex_state = 3},
  [2325] = {.lex_state = 12, .external_lex_state = 10},
  [2326] = {.lex_state = 14, .external_lex_state = 15},
  [2327] = {.lex_state = 12, .external_lex_state = 12},
  [2328] = {.lex_state = 14, .external_lex_state = 15},
  [2329] = {.lex_state = 14, .external_lex_state = 15},
  [2330] = {.lex_state = 10, .external_lex_state = 3},
  [2331] = {.lex_state = 10, .external_lex_state = 3},
  [2332] = {.lex_state = 14, .external_lex_state = 15},
  [2333] = {.lex_state = 12, .external_lex_state = 12},
  [2334] = {.lex_state = 12, .external_lex_state = 10},
  [2335] = {.lex_state = 12, .external_lex_state = 10},
  [2336] = {.lex_state = 12, .external_lex_state = 10},
  [2337] = {.lex_state = 12, .external_lex_state = 10},
  [2338] = {.lex_state = 10, .external_lex_state = 3},
  [2339] = {.lex_state = 10, .external_lex_state = 3},
  [2340] = {.lex_state = 10, .external_lex_state = 3},
  [2341] = {.lex_state = 12, .external_lex_state = 10},
  [2342] = {.lex_state = 12, .external_lex_state = 10},
  [2343] = {.lex_state = 12, .external_lex_state = 12},
  [2344] = {.lex_state = 12, .external_lex_state = 12},
  [2345] = {.lex_state = 12, .external_lex_state = 12},
  [2346] = {.lex_state = 12, .external_lex_state = 12},
  [2347] = {.lex_state = 12, .external_lex_state = 12},
  [2348] = {.lex_state = 12, .external_lex_state = 12},
  [2349] = {.lex_state = 12, .external_lex_state = 12},
  [2350] = {.lex_state = 12, .external_lex_state = 12},
  [2351] = {.lex_state = 12, .external_lex_state = 12},
  [2352] = {.lex_state = 12, .external_lex_state = 12},
  [2353] = {.lex_state = 1, .external_lex_state = 4},
  [2354] = {.lex_state = 15, .external_lex_state = 14},
  [2355] = {.lex_state = 1, .external_lex_state = 4},
  [2356] = {.lex_state = 12, .external_lex_state = 11},
  [2357] = {.lex_state = 12, .external_lex_state = 11},
  [2358] = {.lex_state = 12, .external_lex_state = 11},
  [2359] = {.lex_state = 12, .external_lex_state = 11},
  [2360] = {.lex_state = 12, .external_lex_state = 11},
  [2361] = {.lex_state = 12, .external_lex_state = 11},
  [2362] = {.lex_state = 14, .external_lex_state = 15},
  [2363] = {.lex_state = 12, .external_lex_state = 11},
  [2364] = {.lex_state = 12, .external_lex_state = 11},
  [2365] = {.lex_state = 12, .external_lex_state = 11},
  [2366] = {.lex_state = 12, .external_lex_state = 11},
  [2367] = {.lex_state = 15, .external_lex_state = 14},
  [2368] = {.lex_state = 15, .external_lex_state = 14},
  [2369] = {.lex_state = 15, .external_lex_state = 14},
  [2370] = {.lex_state = 15, .external_lex_state = 14},
  [2371] = {.lex_state = 15, .external_lex_state = 14},
  [2372] = {.lex_state = 15, .external_lex_state = 14},
  [2373] = {.lex_state = 15, .external_lex_state = 14},
  [2374] = {.lex_state = 15, .external_lex_state = 14},
  [2375] = {.lex_state = 15, .external_lex_state = 14},
  [2376] = {.lex_state = 15, .external_lex_state = 14},
  [2377] = {.lex_state = 14, .external_lex_state = 15},
  [2378] = {.lex_state = 14, .external_lex_state = 15},
  [2379] = {.lex_state = 14, .external_lex_state = 15},
  [2380] = {.lex_state = 14, .external_lex_state = 15},
  [2381] = {.lex_state = 14, .external_lex_state = 15},
  [2382] = {.lex_state = 14, .external_lex_state = 15},
  [2383] = {.lex_state = 14, .external_lex_state = 15},
  [2384] = {.lex_state = 14, .external_lex_state = 15},
  [2385] = {.lex_state = 14, .external_lex_state = 15},
  [2386] = {.lex_state = 14, .external_lex_state = 15},
  [2387] = {.lex_state = 10, .external_lex_state = 3},
  [2388] = {.lex_state = 15, .external_lex_state = 14},
  [2389] = {.lex_state = 14, .external_lex_state = 16},
  [2390] = {.lex_state = 15, .external_lex_state = 17},
  [2391] = {.lex_state = 1, .external_lex_state = 4},
  [2392] = {.lex_state = 14, .external_lex_state = 18},
  [2393] = {.lex_state = 14, .external_lex_state = 15},
  [2394] = {.lex_state = 12, .external_lex_state = 10},
  [2395] = {.lex_state = 14, .external_lex_state = 18},
  [2396] = {.lex_state = 12, .external_lex_state = 11},
  [2397] = {.lex_state = 14, .external_lex_state = 18},
  [2398] = {.lex_state = 15, .external_lex_state = 19},
  [2399] = {.lex_state = 15, .external_lex_state = 19},
  [2400] = {.lex_state = 15, .external_lex_state = 19},
  [2401] = {.lex_state = 15, .external_lex_state = 19},
  [2402] = {.lex_state = 15, .external_lex_state = 19},
  [2403] = {.lex_state = 15, .external_lex_state = 19},
  [2404] = {.lex_state = 15, .external_lex_state = 19},
  [2405] = {.lex_state = 15, .external_lex_state = 19},
  [2406] = {.lex_state = 15, .external_lex_state = 19},
  [2407] = {.lex_state = 15, .external_lex_state = 19},
  [2408] = {.lex_state = 15, .external_lex_state = 19},
  [2409] = {.lex_state = 15, .external_lex_state = 19},
  [2410] = {.lex_state = 14, .external_lex_state = 18},
  [2411] = {.lex_state = 1, .external_lex_state = 4},
  [2412] = {.lex_state = 14, .external_lex_state = 16},
  [2413] = {.lex_state = 1, .external_lex_state = 4},
  [2414] = {.lex_state = 14, .external_lex_state = 18},
  [2415] = {.lex_state = 14, .external_lex_state = 18},
  [2416] = {.lex_state = 14, .external_lex_state = 18},
  [2417] = {.lex_state = 14, .external_lex_state = 18},
  [2418] = {.lex_state = 14, .external_lex_state = 18},
  [2419] = {.lex_state = 14, .external_lex_state = 18},
  [2420] = {.lex_state = 14, .external_lex_state = 18},
  [2421] = {.lex_state = 14, .external_lex_state = 18},
  [2422] = {.lex_state = 14, .external_lex_state = 18},
  [2423] = {.lex_state = 14, .external_lex_state = 18},
  [2424] = {.lex_state = 14, .external_lex_state = 18},
  [2425] = {.lex_state = 14, .external_lex_state = 18},
  [2426] = {.lex_state = 1, .external_lex_state = 4},
  [2427] = {.lex_state = 15, .external_lex_state = 14},
  [2428] = {.lex_state = 14, .external_lex_state = 16},
  [2429] = {.lex_state = 14, .external_lex_state = 16},
  [2430] = {.lex_state = 14, .external_lex_state = 16},
  [2431] = {.lex_state = 14, .external_lex_state = 16},
  [2432] = {.lex_state = 14, .external_lex_state = 16},
  [2433] = {.lex_state = 14, .external_lex_state = 16},
  [2434] = {.lex_state = 14, .external_lex_state = 16},
  [2435] = {.lex_state = 14, .external_lex_state = 16},
  [2436] = {.lex_state = 14, .external_lex_state = 16},
  [2437] = {.lex_state = 14, .external_lex_state = 16},
  [2438] = {.lex_state = 14, .external_lex_state = 16},
  [2439] = {.lex_state = 14, .external_lex_state = 15},
  [2440] = {.lex_state = 1, .external_lex_state = 4},
  [2441] = {.lex_state = 15, .external_lex_state = 14},
  [2442] = {.lex_state = 1, .external_lex_state = 4},
  [2443] = {.lex_state = 1, .external_lex_state = 4},
  [2444] = {.lex_state = 15, .external_lex_state = 14},
  [2445] = {.lex_state = 1, .external_lex_state = 4},
  [2446] = {.lex_state = 1, .external_lex_state = 4},
  [2447] = {.lex_state = 1, .external_lex_state = 4},
  [2448] = {.lex_state = 12, .external_lex_state = 10},
  [2449] = {.lex_state = 14, .external_lex_state = 16},
  [2450] = {.lex_state = 14, .external_lex_state = 16},
  [2451] = {.lex_state = 14, .external_lex_state = 16},
  [2452] = {.lex_state = 14, .external_lex_state = 16},
  [2453] = {.lex_state = 15, .external_lex_state = 19},
  [2454] = {.lex_state = 15, .external_lex_state = 19},
  [2455] = {.lex_state = 12, .external_lex_state = 10},
  [2456] = {.lex_state = 15, .external_lex_state = 19},
  [2457] = {.lex_state = 12, .external_lex_state = 10},
  [2458] = {.lex_state = 1, .external_lex_state = 4},
  [2459] = {.lex_state = 14, .external_lex_state = 15},
  [2460] = {.lex_state = 15, .external_lex_state = 14},
  [2461] = {.lex_state = 14, .external_lex_state = 18},
  [2462] = {.lex_state = 12, .external_lex_state = 10},
  [2463] = {.lex_state = 1, .external_lex_state = 4},
  [2464] = {.lex_state = 15, .external_lex_state = 14},
  [2465] = {.lex_state = 15, .external_lex_state = 14},
  [2466] = {.lex_state = 15, .external_lex_state = 14},
  [2467] = {.lex_state = 12, .external_lex_state = 12},
  [2468] = {.lex_state = 12, .external_lex_state = 11},
  [2469] = {.lex_state = 12, .external_lex_state = 12},
  [2470] = {.lex_state = 12, .external_lex_state = 10},
  [2471] = {.lex_state = 15, .external_lex_state = 17},
  [2472] = {.lex_state = 12, .external_lex_state = 10},
  [2473] = {.lex_state = 12, .external_lex_state = 10},
  [2474] = {.lex_state = 12, .external_lex_state = 10},
  [2475] = {.lex_state = 12, .external_lex_state = 10},
  [2476] = {.lex_state = 12, .external_lex_state = 10},
  [2477] = {.lex_state = 12, .external_lex_state = 11},
  [2478] = {.lex_state = 12, .external_lex_state = 10},
  [2479] = {.lex_state = 15, .external_lex_state = 14},
  [2480] = {.lex_state = 15, .external_lex_state = 14},
  [2481] = {.lex_state = 12, .external_lex_state = 10},
  [2482] = {.lex_state = 12, .external_lex_state = 10},
  [2483] = {.lex_state = 12, .external_lex_state = 10},
  [2484] = {.lex_state = 12, .external_lex_state = 10},
  [2485] = {.lex_state = 12, .external_lex_state = 10},
  [2486] = {.lex_state = 12, .external_lex_state = 11},
  [2487] = {.lex_state = 12, .external_lex_state = 10},
  [2488] = {.lex_state = 14, .external_lex_state = 15},
  [2489] = {.lex_state = 14, .external_lex_state = 15},
  [2490] = {.lex_state = 15, .external_lex_state = 14},
  [2491] = {.lex_state = 12, .external_lex_state = 10},
  [2492] = {.lex_state = 12, .external_lex_state = 12},
  [2493] = {.lex_state = 12, .external_lex_state = 11},
  [2494] = {.lex_state = 12, .external_lex_state = 10},
  [2495] = {.lex_state = 16, .external_lex_state = 20},
  [2496] = {.lex_state = 12, .external_lex_state = 11},
  [2497] = {.lex_state = 12, .external_lex_state = 12},
  [2498] = {.lex_state = 12, .external_lex_state = 12},
  [2499] = {.lex_state = 12, .external_lex_state = 10},
  [2500] = {.lex_state = 12, .external_lex_state = 12},
  [2501] = {.lex_state = 12, .external_lex_state = 12},
  [2502] = {.lex_state = 12, .external_lex_state = 12},
  [2503] = {.lex_state = 1, .external_lex_state = 4},
  [2504] = {.lex_state = 1, .external_lex_state = 4},
  [2505] = {.lex_state = 1, .external_lex_state = 4},
  [2506] = {.lex_state = 1, .external_lex_state = 4},
  [2507] = {.lex_state = 1, .external_lex_state = 4},
  [2508] = {.lex_state = 1, .external_lex_state = 4},
  [2509] = {.lex_state = 12, .external_lex_state = 10},
  [2510] = {.lex_state = 15, .external_lex_state = 19},
  [2511] = {.lex_state = 1, .external_lex_state = 4},
  [2512] = {.lex_state = 12, .external_lex_state = 11},
  [2513] = {.lex_state = 16, .external_lex_state = 20},
  [2514] = {.lex_state = 12, .external_lex_state = 11},
  [2515] = {.lex_state = 1, .external_lex_state = 4},
  [2516] = {.lex_state = 12, .external_lex_state = 10},
  [2517] = {.lex_state = 12, .external_lex_state = 10},
  [2518] = {.lex_state = 12, .external_lex_state = 11},
  [2519] = {.lex_state = 12, .external_lex_state = 11},
  [2520] = {.lex_state = 14, .external_lex_state = 15},
  [2521] = {.lex_state = 12, .external_lex_state = 11},
  [2522] = {.lex_state = 15, .external_lex_state = 17},
  [2523] = {.lex_state = 12, .external_lex_state = 10},
  [2524] = {.lex_state = 12, .external_lex_state = 12},
  [2525] = {.lex_state = 12, .external_lex_state = 10},
  [2526] = {.lex_state = 15, .external_lex_state = 19},
  [2527] = {.lex_state = 15, .external_lex_state = 14},
  [2528] = {.lex_state = 14, .external_lex_state = 18},
  [2529] = {.lex_state = 14, .external_lex_state = 16},
  [2530] = {.lex_state = 12, .external_lex_state = 11},
  [2531] = {.lex_state = 12, .external_lex_state = 10},
  [2532] = {.lex_state = 16, .external_lex_state = 20},
  [2533] = {.lex_state = 15, .external_lex_state = 17},
  [2534] = {.lex_state = 15, .external_lex_state = 14},
  [2535] = {.lex_state = 15, .external_lex_state = 19},
  [2536] = {.lex_state = 16, .external_lex_state = 20},
  [2537] = {.lex_state = 1, .external_lex_state = 4},
  [2538] = {.lex_state = 1, .external_lex_state = 4},
  [2539] = {.lex_state = 14, .external_lex_state = 15},
  [2540] = {.lex_state = 14, .external_lex_state = 15},
  [2541] = {.lex_state = 15, .external_lex_state = 17},
  [2542] = {.lex_state = 15, .external_lex_state = 17},
  [2543] = {.lex_state = 15, .external_lex_state = 17},
  [2544] = {.lex_state = 15, .external_lex_state = 17},
  [2545] = {.lex_state = 15, .external_lex_state = 17},
  [2546] = {.lex_state = 14, .external_lex_state = 15},
  [2547] = {.lex_state = 15, .external_lex_state = 17},
  [2548] = {.lex_state = 15, .external_lex_state = 17},
  [2549] = {.lex_state = 15, .external_lex_state = 17},
  [2550] = {.lex_state = 15, .external_lex_state = 17},
  [2551] = {.lex_state = 15, .external_lex_state = 17},
  [2552] = {.lex_state = 15, .external_lex_state = 17},
  [2553] = {.lex_state = 15, .external_lex_state = 17},
  [2554] = {.lex_state = 15, .external_lex_state = 17},
  [2555] = {.lex_state = 15, .external_lex_state = 17},
  [2556] = {.lex_state = 15, .external_lex_state = 17},
  [2557] = {.lex_state = 15, .external_lex_state = 17},
  [2558] = {.lex_state = 15, .external_lex_state = 17},
  [2559] = {.lex_state = 15, .external_lex_state = 17},
  [2560] = {.lex_state = 15, .external_lex_state = 17},
  [2561] = {.lex_state = 12, .external_lex_state = 12},
  [2562] = {.lex_state = 15, .external_lex_state = 17},
  [2563] = {.lex_state = 15, .external_lex_state = 17},
  [2564] = {.lex_state = 15, .external_lex_state = 19},
  [2565] = {.lex_state = 14, .external_lex_state = 15},
  [2566] = {.lex_state = 14, .external_lex_state = 15},
  [2567] = {.lex_state = 14, .external_lex_state = 15},
  [2568] = {.lex_state = 15, .external_lex_state = 19},
  [2569] = {.lex_state = 15, .external_lex_state = 19},
  [2570] = {.lex_state = 15, .external_lex_state = 19},
  [2571] = {.lex_state = 15, .external_lex_state = 19},
  [2572] = {.lex_state = 15, .external_lex_state = 19},
  [2573] = {.lex_state = 15, .external_lex_state = 19},
  [2574] = {.lex_state = 14, .external_lex_state = 18},
  [2575] = {.lex_state = 15, .external_lex_state = 19},
  [2576] = {.lex_state = 15, .external_lex_state = 19},
  [2577] = {.lex_state = 15, .external_lex_state = 19},
  [2578] = {.lex_state = 15, .external_lex_state = 19},
  [2579] = {.lex_state = 14, .external_lex_state = 18},
  [2580] = {.lex_state = 14, .external_lex_state = 18},
  [2581] = {.lex_state = 14, .external_lex_state = 18},
  [2582] = {.lex_state = 14, .external_lex_state = 18},
  [2583] = {.lex_state = 14, .external_lex_state = 18},
  [2584] = {.lex_state = 14, .external_lex_state = 18},
  [2585] = {.lex_state = 14, .external_lex_state = 16},
  [2586] = {.lex_state = 14, .external_lex_state = 18},
  [2587] = {.lex_state = 14, .external_lex_state = 18},
  [2588] = {.lex_state = 14, .external_lex_state = 18},
  [2589] = {.lex_state = 14, .external_lex_state = 18},
  [2590] = {.lex_state = 14, .external_lex_state = 16},
  [2591] = {.lex_state = 14, .external_lex_state = 16},
  [2592] = {.lex_state = 14, .external_lex_state = 16},
  [2593] = {.lex_state = 14, .external_lex_state = 16},
  [2594] = {.lex_state = 14, .external_lex_state = 16},
  [2595] = {.lex_state = 14, .external_lex_state = 16},
  [2596] = {.lex_state = 14, .external_lex_state = 16},
  [2597] = {.lex_state = 14, .external_lex_state = 16},
  [2598] = {.lex_state = 14, .external_lex_state = 16},
  [2599] = {.lex_state = 14, .external_lex_state = 16},
  [2600] = {.lex_state = 15, .external_lex_state = 17},
  [2601] = {.lex_state = 15, .external_lex_state = 17},
  [2602] = {.lex_state = 12, .external_lex_state = 12},
  [2603] = {.lex_state = 15, .external_lex_state = 17},
  [2604] = {.lex_state = 15, .external_lex_state = 17},
  [2605] = {.lex_state = 12, .external_lex_state = 12},
  [2606] = {.lex_state = 14, .external_lex_state = 15},
  [2607] = {.lex_state = 12, .external_lex_state = 11},
  [2608] = {.lex_state = 12, .external_lex_state = 12},
  [2609] = {.lex_state = 12, .external_lex_state = 11},
  [2610] = {.lex_state = 12, .external_lex_state = 11},
  [2611] = {.lex_state = 12, .external_lex_state = 12},
  [2612] = {.lex_state = 12, .external_lex_state = 10},
  [2613] = {.lex_state = 12, .external_lex_state = 10},
  [2614] = {.lex_state = 12, .external_lex_state = 11},
  [2615] = {.lex_state = 12, .external_lex_state = 11},
  [2616] = {.lex_state = 14, .external_lex_state = 18},
  [2617] = {.lex_state = 14, .external_lex_state = 18},
  [2618] = {.lex_state = 12, .external_lex_state = 11},
  [2619] = {.lex_state = 15, .external_lex_state = 14},
  [2620] = {.lex_state = 15, .external_lex_state = 14},
  [2621] = {.lex_state = 12, .external_lex_state = 12},
  [2622] = {.lex_state = 15, .external_lex_state = 14},
  [2623] = {.lex_state = 15, .external_lex_state = 14},
  [2624] = {.lex_state = 12, .external_lex_state = 12},
  [2625] = {.lex_state = 14, .external_lex_state = 16},
  [2626] = {.lex_state = 15, .external_lex_state = 14},
  [2627] = {.lex_state = 12, .external_lex_state = 12},
  [2628] = {.lex_state = 14, .external_lex_state = 16},
  [2629] = {.lex_state = 15, .external_lex_state = 14},
  [2630] = {.lex_state = 12, .external_lex_state = 12},
  [2631] = {.lex_state = 12, .external_lex_state = 12},
  [2632] = {.lex_state = 12, .external_lex_state = 12},
  [2633] = {.lex_state = 12, .external_lex_state = 11},
  [2634] = {.lex_state = 15, .external_lex_state = 17},
  [2635] = {.lex_state = 15, .external_lex_state = 14},
  [2636] = {.lex_state = 15, .external_lex_state = 14},
  [2637] = {.lex_state = 12, .external_lex_state = 12},
  [2638] = {.lex_state = 15, .external_lex_state = 14},
  [2639] = {.lex_state = 1, .external_lex_state = 4},
  [2640] = {.lex_state = 12, .external_lex_state = 12},
  [2641] = {.lex_state = 1, .external_lex_state = 4},
  [2642] = {.lex_state = 15, .external_lex_state = 14},
  [2643] = {.lex_state = 14, .external_lex_state = 15},
  [2644] = {.lex_state = 1, .external_lex_state = 4},
  [2645] = {.lex_state = 15, .external_lex_state = 14},
  [2646] = {.lex_state = 12, .external_lex_state = 12},
  [2647] = {.lex_state = 14, .external_lex_state = 15},
  [2648] = {.lex_state = 14, .external_lex_state = 15},
  [2649] = {.lex_state = 12, .external_lex_state = 12},
  [2650] = {.lex_state = 14, .external_lex_state = 15},
  [2651] = {.lex_state = 14, .external_lex_state = 16},
  [2652] = {.lex_state = 15, .external_lex_state = 19},
  [2653] = {.lex_state = 12, .external_lex_state = 12},
  [2654] = {.lex_state = 15, .external_lex_state = 19},
  [2655] = {.lex_state = 1, .external_lex_state = 4},
  [2656] = {.lex_state = 15, .external_lex_state = 14},
  [2657] = {.lex_state = 12, .external_lex_state = 12},
  [2658] = {.lex_state = 15, .external_lex_state = 14},
  [2659] = {.lex_state = 15, .external_lex_state = 14},
  [2660] = {.lex_state = 15, .external_lex_state = 19},
  [2661] = {.lex_state = 15, .external_lex_state = 17},
  [2662] = {.lex_state = 15, .external_lex_state = 17},
  [2663] = {.lex_state = 12, .external_lex_state = 11},
  [2664] = {.lex_state = 12, .external_lex_state = 11},
  [2665] = {.lex_state = 14, .external_lex_state = 15},
  [2666] = {.lex_state = 10, .external_lex_state = 3},
  [2667] = {.lex_state = 15, .external_lex_state = 14},
  [2668] = {.lex_state = 14, .external_lex_state = 15},
  [2669] = {.lex_state = 15, .external_lex_state = 14},
  [2670] = {.lex_state = 15, .external_lex_state = 19},
  [2671] = {.lex_state = 14, .external_lex_state = 15},
  [2672] = {.lex_state = 1, .external_lex_state = 4},
  [2673] = {.lex_state = 12, .external_lex_state = 11},
  [2674] = {.lex_state = 15, .external_lex_state = 17},
  [2675] = {.lex_state = 15, .external_lex_state = 14},
  [2676] = {.lex_state = 12, .external_lex_state = 10},
  [2677] = {.lex_state = 12, .external_lex_state = 12},
  [2678] = {.lex_state = 14, .external_lex_state = 18},
  [2679] = {.lex_state = 12, .external_lex_state = 11},
  [2680] = {.lex_state = 12, .external_lex_state = 11},
  [2681] = {.lex_state = 14, .external_lex_state = 15},
  [2682] = {.lex_state = 14, .external_lex_state = 18},
  [2683] = {.lex_state = 15, .external_lex_state = 17},
  [2684] = {.lex_state = 12, .external_lex_state = 11},
  [2685] = {.lex_state = 15, .external_lex_state = 14},
  [2686] = {.lex_state = 15, .external_lex_state = 14},
  [2687] = {.lex_state = 14, .external_lex_state = 18},
  [2688] = {.lex_state = 1, .external_lex_state = 4},
  [2689] = {.lex_state = 14, .external_lex_state = 18},
  [2690] = {.lex_state = 12, .external_lex_state = 12},
  [2691] = {.lex_state = 12, .external_lex_state = 11},
  [2692] = {.lex_state = 15, .external_lex_state = 14},
  [2693] = {.lex_state = 12, .external_lex_state = 11},
  [2694] = {.lex_state = 15, .external_lex_state = 14},
  [2695] = {.lex_state = 14, .external_lex_state = 15},
  [2696] = {.lex_state = 14, .external_lex_state = 18},
  [2697] = {.lex_state = 12, .external_lex_state = 12},
  [2698] = {.lex_state = 12, .external_lex_state = 10},
  [2699] = {.lex_state = 14, .external_lex_state = 16},
  [2700] = {.lex_state = 12, .external_lex_state = 12},
  [2701] = {.lex_state = 14, .external_lex_state = 16},
  [2702] = {.lex_state = 14, .external_lex_state = 16},
  [2703] = {.lex_state = 14, .external_lex_state = 16},
  [2704] = {.lex_state = 15, .external_lex_state = 17},
  [2705] = {.lex_state = 15, .external_lex_state = 19},
  [2706] = {.lex_state = 14, .external_lex_state = 15},
  [2707] = {.lex_state = 15, .external_lex_state = 14},
  [2708] = {.lex_state = 14, .external_lex_state = 18},
  [2709] = {.lex_state = 14, .external_lex_state = 16},
  [2710] = {.lex_state = 14, .external_lex_state = 18},
  [2711] = {.lex_state = 12, .external_lex_state = 11},
  [2712] = {.lex_state = 14, .external_lex_state = 15},
  [2713] = {.lex_state = 12, .external_lex_state = 11},
  [2714] = {.lex_state = 12, .external_lex_state = 12},
  [2715] = {.lex_state = 15, .external_lex_state = 17},
  [2716] = {.lex_state = 12, .external_lex_state = 12},
  [2717] = {.lex_state = 15, .external_lex_state = 17},
  [2718] = {.lex_state = 12, .external_lex_state = 10},
  [2719] = {.lex_state = 12, .external_lex_state = 12},
  [2720] = {.lex_state = 12, .external_lex_state = 11},
  [2721] = {.lex_state = 12, .external_lex_state = 11},
  [2722] = {.lex_state = 14, .external_lex_state = 16},
  [2723] = {.lex_state = 14, .external_lex_state = 16},
  [2724] = {.lex_state = 14, .external_lex_state = 15},
  [2725] = {.lex_state = 14, .external_lex_state = 15},
  [2726] = {.lex_state = 14, .external_lex_state = 15},
  [2727] = {.lex_state = 14, .external_lex_state = 15},
  [2728] = {.lex_state = 14, .external_lex_state = 15},
  [2729] = {.lex_state = 1, .external_lex_state = 4},
  [2730] = {.lex_state = 12, .external_lex_state = 12},
  [2731] = {.lex_state = 14, .external_lex_state = 15},
  [2732] = {.lex_state = 12, .external_lex_state = 12},
  [2733] = {.lex_state = 15, .external_lex_state = 14},
  [2734] = {.lex_state = 12, .external_lex_state = 11},
  [2735] = {.lex_state = 12, .external_lex_state = 11},
  [2736] = {.lex_state = 12, .external_lex_state = 11},
  [2737] = {.lex_state = 15, .external_lex_state = 17},
  [2738] = {.lex_state = 12, .external_lex_state = 12},
  [2739] = {.lex_state = 15, .external_lex_state = 19},
  [2740] = {.lex_state = 12, .external_lex_state = 12},
  [2741] = {.lex_state = 15, .external_lex_state = 17},
  [2742] = {.lex_state = 12, .external_lex_state = 11},
  [2743] = {.lex_state = 15, .external_lex_state = 19},
  [2744] = {.lex_state = 15, .external_lex_state = 14},
  [2745] = {.lex_state = 15, .external_lex_state = 14},
  [2746] = {.lex_state = 12, .external_lex_state = 11},
  [2747] = {.lex_state = 10, .external_lex_state = 3},
  [2748] = {.lex_state = 12, .external_lex_state = 12},
  [2749] = {.lex_state = 14, .external_lex_state = 15},
  [2750] = {.lex_state = 14, .external_lex_state = 15},
  [2751] = {.lex_state = 14, .external_lex_state = 15},
  [2752] = {.lex_state = 15, .external_lex_state = 17},
  [2753] = {.lex_state = 15, .external_lex_state = 19},
  [2754] = {.lex_state = 15, .external_lex_state = 17},
  [2755] = {.lex_state = 15, .external_lex_state = 19},
  [2756] = {.lex_state = 15, .external_lex_state = 19},
  [2757] = {.lex_state = 14, .external_lex_state = 15},
  [2758] = {.lex_state = 14, .external_lex_state = 15},
  [2759] = {.lex_state = 14, .external_lex_state = 18},
  [2760] = {.lex_state = 14, .external_lex_state = 15},
  [2761] = {.lex_state = 12, .external_lex_state = 11},
  [2762] = {.lex_state = 14, .external_lex_state = 15},
  [2763] = {.lex_state = 10, .external_lex_state = 3},
  [2764] = {.lex_state = 14, .external_lex_state = 18},
  [2765] = {.lex_state = 12, .external_lex_state = 11},
  [2766] = {.lex_state = 14, .external_lex_state = 16},
  [2767] = {.lex_state = 14, .external_lex_state = 16},
  [2768] = {.lex_state = 12, .external_lex_state = 12},
  [2769] = {.lex_state = 12, .external_lex_state = 11},
  [2770] = {.lex_state = 15, .external_lex_state = 14},
  [2771] = {.lex_state = 15, .external_lex_state = 19},
  [2772] = {.lex_state = 14, .external_lex_state = 18},
  [2773] = {.lex_state = 14, .external_lex_state = 15},
  [2774] = {.lex_state = 14, .external_lex_state = 15},
  [2775] = {.lex_state = 15, .external_lex_state = 19},
  [2776] = {.lex_state = 15, .external_lex_state = 14},
  [2777] = {.lex_state = 14, .external_lex_state = 18},
  [2778] = {.lex_state = 10, .external_lex_state = 3},
  [2779] = {.lex_state = 14, .external_lex_state = 18},
  [2780] = {.lex_state = 15, .external_lex_state = 19},
  [2781] = {.lex_state = 15, .external_lex_state = 19},
  [2782] = {.lex_state = 15, .external_lex_state = 17},
  [2783] = {.lex_state = 12, .external_lex_state = 10},
  [2784] = {.lex_state = 15, .external_lex_state = 17},
  [2785] = {.lex_state = 15, .external_lex_state = 17},
  [2786] = {.lex_state = 12, .external_lex_state = 10},
  [2787] = {.lex_state = 15, .external_lex_state = 14},
  [2788] = {.lex_state = 14, .external_lex_state = 15},
  [2789] = {.lex_state = 14, .external_lex_state = 15},
  [2790] = {.lex_state = 14, .external_lex_state = 18},
  [2791] = {.lex_state = 12, .external_lex_state = 12},
  [2792] = {.lex_state = 12, .external_lex_state = 10},
  [2793] = {.lex_state = 14, .external_lex_state = 18},
  [2794] = {.lex_state = 15, .external_lex_state = 19},
  [2795] = {.lex_state = 14, .external_lex_state = 18},
  [2796] = {.lex_state = 14, .external_lex_state = 16},
  [2797] = {.lex_state = 14, .external_lex_state = 18},
  [2798] = {.lex_state = 14, .external_lex_state = 18},
  [2799] = {.lex_state = 12, .external_lex_state = 10},
  [2800] = {.lex_state = 12, .external_lex_state = 10},
  [2801] = {.lex_state = 14, .external_lex_state = 18},
  [2802] = {.lex_state = 12, .external_lex_state = 12},
  [2803] = {.lex_state = 14, .external_lex_state = 18},
  [2804] = {.lex_state = 15, .external_lex_state = 19},
  [2805] = {.lex_state = 12, .external_lex_state = 10},
  [2806] = {.lex_state = 14, .external_lex_state = 16},
  [2807] = {.lex_state = 14, .external_lex_state = 18},
  [2808] = {.lex_state = 12, .external_lex_state = 10},
  [2809] = {.lex_state = 12, .external_lex_state = 10},
  [2810] = {.lex_state = 14, .external_lex_state = 18},
  [2811] = {.lex_state = 14, .external_lex_state = 18},
  [2812] = {.lex_state = 15, .external_lex_state = 17},
  [2813] = {.lex_state = 15, .external_lex_state = 17},
  [2814] = {.lex_state = 14, .external_lex_state = 18},
  [2815] = {.lex_state = 14, .external_lex_state = 18},
  [2816] = {.lex_state = 10, .external_lex_state = 3},
  [2817] = {.lex_state = 14, .external_lex_state = 16},
  [2818] = {.lex_state = 14, .external_lex_state = 18},
  [2819] = {.lex_state = 12, .external_lex_state = 10},
  [2820] = {.lex_state = 14, .external_lex_state = 16},
  [2821] = {.lex_state = 14, .external_lex_state = 16},
  [2822] = {.lex_state = 15, .external_lex_state = 19},
  [2823] = {.lex_state = 14, .external_lex_state = 16},
  [2824] = {.lex_state = 15, .external_lex_state = 17},
  [2825] = {.lex_state = 14, .external_lex_state = 15},
  [2826] = {.lex_state = 14, .external_lex_state = 16},
  [2827] = {.lex_state = 15, .external_lex_state = 19},
  [2828] = {.lex_state = 15, .external_lex_state = 17},
  [2829] = {.lex_state = 14, .external_lex_state = 18},
  [2830] = {.lex_state = 14, .external_lex_state = 15},
  [2831] = {.lex_state = 15, .external_lex_state = 19},
  [2832] = {.lex_state = 14, .external_lex_state = 16},
  [2833] = {.lex_state = 12, .external_lex_state = 10},
  [2834] = {.lex_state = 15, .external_lex_state = 17},
  [2835] = {.lex_state = 15, .external_lex_state = 17},
  [2836] = {.lex_state = 12, .external_lex_state = 10},
  [2837] = {.lex_state = 14, .external_lex_state = 15},
  [2838] = {.lex_state = 12, .external_lex_state = 10},
  [2839] = {.lex_state = 14, .external_lex_state = 18},
  [2840] = {.lex_state = 12, .external_lex_state = 12},
  [2841] = {.lex_state = 14, .external_lex_state = 18},
  [2842] = {.lex_state = 14, .external_lex_state = 18},
  [2843] = {.lex_state = 12, .external_lex_state = 10},
  [2844] = {.lex_state = 14, .external_lex_state = 16},
  [2845] = {.lex_state = 12, .external_lex_state = 10},
  [2846] = {.lex_state = 15, .external_lex_state = 17},
  [2847] = {.lex_state = 12, .external_lex_state = 11},
  [2848] = {.lex_state = 15, .external_lex_state = 17},
  [2849] = {.lex_state = 15, .external_lex_state = 17},
  [2850] = {.lex_state = 12, .external_lex_state = 10},
  [2851] = {.lex_state = 15, .external_lex_state = 17},
  [2852] = {.lex_state = 14, .external_lex_state = 16},
  [2853] = {.lex_state = 14, .external_lex_state = 18},
  [2854] = {.lex_state = 15, .external_lex_state = 19},
  [2855] = {.lex_state = 10, .external_lex_state = 3},
  [2856] = {.lex_state = 14, .external_lex_state = 16},
  [2857] = {.lex_state = 14, .external_lex_state = 16},
  [2858] = {.lex_state = 14, .external_lex_state = 16},
  [2859] = {.lex_state = 14, .external_lex_state = 18},
  [2860] = {.lex_state = 14, .external_lex_state = 16},
  [2861] = {.lex_state = 15, .external_lex_state = 19},
  [2862] = {.lex_state = 15, .external_lex_state = 17},
  [2863] = {.lex_state = 14, .external_lex_state = 16},
  [2864] = {.lex_state = 10, .external_lex_state = 3},
  [2865] = {.lex_state = 15, .external_lex_state = 19},
  [2866] = {.lex_state = 14, .external_lex_state = 16},
  [2867] = {.lex_state = 14, .external_lex_state = 18},
  [2868] = {.lex_state = 15, .external_lex_state = 17},
  [2869] = {.lex_state = 12, .external_lex_state = 11},
  [2870] = {.lex_state = 15, .external_lex_state = 17},
  [2871] = {.lex_state = 15, .external_lex_state = 14},
  [2872] = {.lex_state = 12, .external_lex_state = 11},
  [2873] = {.lex_state = 15, .external_lex_state = 17},
  [2874] = {.lex_state = 15, .external_lex_state = 17},
  [2875] = {.lex_state = 15, .external_lex_state = 19},
  [2876] = {.lex_state = 12, .external_lex_state = 11},
  [2877] = {.lex_state = 15, .external_lex_state = 17},
  [2878] = {.lex_state = 12, .external_lex_state = 11},
  [2879] = {.lex_state = 14, .external_lex_state = 16},
  [2880] = {.lex_state = 15, .external_lex_state = 19},
  [2881] = {.lex_state = 15, .external_lex_state = 19},
  [2882] = {.lex_state = 15, .external_lex_state = 19},
  [2883] = {.lex_state = 15, .external_lex_state = 17},
  [2884] = {.lex_state = 15, .external_lex_state = 19},
  [2885] = {.lex_state = 14, .external_lex_state = 16},
  [2886] = {.lex_state = 14, .external_lex_state = 16},
  [2887] = {.lex_state = 15, .external_lex_state = 19},
  [2888] = {.lex_state = 15, .external_lex_state = 19},
  [2889] = {.lex_state = 15, .external_lex_state = 19},
  [2890] = {.lex_state = 15, .external_lex_state = 19},
  [2891] = {.lex_state = 12, .external_lex_state = 12},
  [2892] = {.lex_state = 15, .external_lex_state = 17},
  [2893] = {.lex_state = 14, .external_lex_state = 18},
  [2894] = {.lex_state = 15, .external_lex_state = 19},
  [2895] = {.lex_state = 14, .external_lex_state = 16},
  [2896] = {.lex_state = 15, .external_lex_state = 17},
  [2897] = {.lex_state = 15, .external_lex_state = 14},
  [2898] = {.lex_state = 15, .external_lex_state = 17},
  [2899] = {.lex_state = 15, .external_lex_state = 19},
  [2900] = {.lex_state = 10, .external_lex_state = 3},
  [2901] = {.lex_state = 12, .external_lex_state = 10},
  [2902] = {.lex_state = 15, .external_lex_state = 14},
  [2903] = {.lex_state = 14, .external_lex_state = 16},
  [2904] = {.lex_state = 10, .external_lex_state = 3},
  [2905] = {.lex_state = 15, .external_lex_state = 19},
  [2906] = {.lex_state = 12, .external_lex_state = 10},
  [2907] = {.lex_state = 10, .external_lex_state = 3},
  [2908] = {.lex_state = 12, .external_lex_state = 10},
  [2909] = {.lex_state = 15, .external_lex_state = 17},
  [2910] = {.lex_state = 14, .external_lex_state = 18},
  [2911] = {.lex_state = 12, .external_lex_state = 10},
  [2912] = {.lex_state = 15, .external_lex_state = 19},
  [2913] = {.lex_state = 14, .external_lex_state = 16},
  [2914] = {.lex_state = 14, .external_lex_state = 16},
  [2915] = {.lex_state = 12, .external_lex_state = 12},
  [2916] = {.lex_state = 14, .external_lex_state = 18},
  [2917] = {.lex_state = 12, .external_lex_state = 10},
  [2918] = {.lex_state = 12, .external_lex_state = 10},
  [2919] = {.lex_state = 14, .external_lex_state = 16},
  [2920] = {.lex_state = 15, .external_lex_state = 17},
  [2921] = {.lex_state = 15, .external_lex_state = 19},
  [2922] = {.lex_state = 15, .external_lex_state = 14},
  [2923] = {.lex_state = 14, .external_lex_state = 16},
  [2924] = {.lex_state = 15, .external_lex_state = 19},
  [2925] = {.lex_state = 15, .external_lex_state = 17},
  [2926] = {.lex_state = 15, .external_lex_state = 19},
  [2927] = {.lex_state = 14, .external_lex_state = 18},
  [2928] = {.lex_state = 10, .external_lex_state = 3},
  [2929] = {.lex_state = 15, .external_lex_state = 17},
  [2930] = {.lex_state = 15, .external_lex_state = 19},
  [2931] = {.lex_state = 14, .external_lex_state = 18},
  [2932] = {.lex_state = 14, .external_lex_state = 16},
  [2933] = {.lex_state = 14, .external_lex_state = 16},
  [2934] = {.lex_state = 12, .external_lex_state = 12},
  [2935] = {.lex_state = 12, .external_lex_state = 12},
  [2936] = {.lex_state = 15, .external_lex_state = 14},
  [2937] = {.lex_state = 12, .external_lex_state = 11},
  [2938] = {.lex_state = 12, .external_lex_state = 12},
  [2939] = {.lex_state = 12, .external_lex_state = 11},
  [2940] = {.lex_state = 15, .external_lex_state = 14},
  [2941] = {.lex_state = 14, .external_lex_state = 15},
  [2942] = {.lex_state = 12, .external_lex_state = 12},
  [2943] = {.lex_state = 15, .external_lex_state = 14},
  [2944] = {.lex_state = 12, .external_lex_state = 12},
  [2945] = {.lex_state = 14, .external_lex_state = 15},
  [2946] = {.lex_state = 12, .external_lex_state = 12},
  [2947] = {.lex_state = 15, .external_lex_state = 19},
  [2948] = {.lex_state = 10, .external_lex_state = 3},
  [2949] = {.lex_state = 12, .external_lex_state = 11},
  [2950] = {.lex_state = 15, .external_lex_state = 17},
  [2951] = {.lex_state = 12, .external_lex_state = 12},
  [2952] = {.lex_state = 14, .external_lex_state = 15},
  [2953] = {.lex_state = 14, .external_lex_state = 15},
  [2954] = {.lex_state = 14, .external_lex_state = 15},
  [2955] = {.lex_state = 14, .external_lex_state = 15},
  [2956] = {.lex_state = 12, .external_lex_state = 11},
  [2957] = {.lex_state = 15, .external_lex_state = 19},
  [2958] = {.lex_state = 14, .external_lex_state = 15},
  [2959] = {.lex_state = 14, .external_lex_state = 15},
  [2960] = {.lex_state = 15, .external_lex_state = 14},
  [2961] = {.lex_state = 12, .external_lex_state = 12},
  [2962] = {.lex_state = 14, .external_lex_state = 15},
  [2963] = {.lex_state = 14, .external_lex_state = 16},
  [2964] = {.lex_state = 12, .external_lex_state = 12},
  [2965] = {.lex_state = 15, .external_lex_state = 14},
  [2966] = {.lex_state = 12, .external_lex_state = 11},
  [2967] = {.lex_state = 14, .external_lex_state = 16},
  [2968] = {.lex_state = 12, .external_lex_state = 11},
  [2969] = {.lex_state = 15, .external_lex_state = 14},
  [2970] = {.lex_state = 14, .external_lex_state = 16},
  [2971] = {.lex_state = 14, .external_lex_state = 16},
  [2972] = {.lex_state = 14, .external_lex_state = 15},
  [2973] = {.lex_state = 14, .external_lex_state = 15},
  [2974] = {.lex_state = 14, .external_lex_state = 15},
  [2975] = {.lex_state = 12, .external_lex_state = 11},
  [2976] = {.lex_state = 12, .external_lex_state = 11},
  [2977] = {.lex_state = 12, .external_lex_state = 11},
  [2978] = {.lex_state = 15, .external_lex_state = 14},
  [2979] = {.lex_state = 15, .external_lex_state = 14},
  [2980] = {.lex_state = 10, .external_lex_state = 3},
  [2981] = {.lex_state = 12, .external_lex_state = 11},
  [2982] = {.lex_state = 12, .external_lex_state = 11},
  [2983] = {.lex_state = 12, .external_lex_state = 12},
  [2984] = {.lex_state = 15, .external_lex_state = 14},
  [2985] = {.lex_state = 14, .external_lex_state = 15},
  [2986] = {.lex_state = 15, .external_lex_state = 19},
  [2987] = {.lex_state = 12, .external_lex_state = 11},
  [2988] = {.lex_state = 12, .external_lex_state = 12},
  [2989] = {.lex_state = 14, .external_lex_state = 16},
  [2990] = {.lex_state = 12, .external_lex_state = 12},
  [2991] = {.lex_state = 12, .external_lex_state = 12},
  [2992] = {.lex_state = 15, .external_lex_state = 19},
  [2993] = {.lex_state = 14, .external_lex_state = 15},
  [2994] = {.lex_state = 12, .external_lex_state = 10},
  [2995] = {.lex_state = 12, .external_lex_state = 12},
  [2996] = {.lex_state = 12, .external_lex_state = 12},
  [2997] = {.lex_state = 12, .external_lex_state = 12},
  [2998] = {.lex_state = 14, .external_lex_state = 15},
  [2999] = {.lex_state = 12, .external_lex_state = 12},
  [3000] = {.lex_state = 14, .external_lex_state = 15},
  [3001] = {.lex_state = 14, .external_lex_state = 15},
  [3002] = {.lex_state = 14, .external_lex_state = 15},
  [3003] = {.lex_state = 10, .external_lex_state = 3},
  [3004] = {.lex_state = 14, .external_lex_state = 18},
  [3005] = {.lex_state = 12, .external_lex_state = 10},
  [3006] = {.lex_state = 15, .external_lex_state = 17},
  [3007] = {.lex_state = 12, .external_lex_state = 12},
  [3008] = {.lex_state = 15, .external_lex_state = 14},
  [3009] = {.lex_state = 15, .external_lex_state = 14},
  [3010] = {.lex_state = 14, .external_lex_state = 15},
  [3011] = {.lex_state = 10, .external_lex_state = 3},
  [3012] = {.lex_state = 12, .external_lex_state = 11},
  [3013] = {.lex_state = 10, .external_lex_state = 3},
  [3014] = {.lex_state = 15, .external_lex_state = 17},
  [3015] = {.lex_state = 19, .external_lex_state = 10},
  [3016] = {.lex_state = 12, .external_lex_state = 12},
  [3017] = {.lex_state = 1, .external_lex_state = 4},
  [3018] = {.lex_state = 10, .external_lex_state = 3},
  [3019] = {.lex_state = 15, .external_lex_state = 14},
  [3020] = {.lex_state = 14, .external_lex_state = 15},
  [3021] = {.lex_state = 15, .external_lex_state = 14},
  [3022] = {.lex_state = 12, .external_lex_state = 11},
  [3023] = {.lex_state = 10, .external_lex_state = 3},
  [3024] = {.lex_state = 1, .external_lex_state = 4},
  [3025] = {.lex_state = 14, .external_lex_state = 18},
  [3026] = {.lex_state = 1, .external_lex_state = 4},
  [3027] = {.lex_state = 12, .external_lex_state = 11},
  [3028] = {.lex_state = 14, .external_lex_state = 18},
  [3029] = {.lex_state = 10, .external_lex_state = 3},
  [3030] = {.lex_state = 12, .external_lex_state = 10},
  [3031] = {.lex_state = 15, .external_lex_state = 14},
  [3032] = {.lex_state = 15, .external_lex_state = 14},
  [3033] = {.lex_state = 15, .external_lex_state = 19},
  [3034] = {.lex_state = 12, .external_lex_state = 12},
  [3035] = {.lex_state = 15, .external_lex_state = 14},
  [3036] = {.lex_state = 12, .external_lex_state = 11},
  [3037] = {.lex_state = 12, .external_lex_state = 11},
  [3038] = {.lex_state = 15, .external_lex_state = 14},
  [3039] = {.lex_state = 14, .external_lex_state = 18},
  [3040] = {.lex_state = 12, .external_lex_state = 11},
  [3041] = {.lex_state = 10, .external_lex_state = 3},
  [3042] = {.lex_state = 15, .external_lex_state = 17},
  [3043] = {.lex_state = 12, .external_lex_state = 11},
  [3044] = {.lex_state = 14, .external_lex_state = 18},
  [3045] = {.lex_state = 15, .external_lex_state = 14},
  [3046] = {.lex_state = 15, .external_lex_state = 14},
  [3047] = {.lex_state = 15, .external_lex_state = 14},
  [3048] = {.lex_state = 12, .external_lex_state = 11},
  [3049] = {.lex_state = 12, .external_lex_state = 11},
  [3050] = {.lex_state = 14, .external_lex_state = 15},
  [3051] = {.lex_state = 15, .external_lex_state = 14},
  [3052] = {.lex_state = 15, .external_lex_state = 17},
  [3053] = {.lex_state = 12, .external_lex_state = 12},
  [3054] = {.lex_state = 12, .external_lex_state = 10},
  [3055] = {.lex_state = 15, .external_lex_state = 14},
  [3056] = {.lex_state = 15, .external_lex_state = 19},
  [3057] = {.lex_state = 15, .external_lex_state = 19},
  [3058] = {.lex_state = 15, .external_lex_state = 19},
  [3059] = {.lex_state = 15, .external_lex_state = 19},
  [3060] = {.lex_state = 14, .external_lex_state = 18},
  [3061] = {.lex_state = 14, .external_lex_state = 18},
  [3062] = {.lex_state = 14, .external_lex_state = 18},
  [3063] = {.lex_state = 14, .external_lex_state = 15},
  [3064] = {.lex_state = 12, .external_lex_state = 10},
  [3065] = {.lex_state = 14, .external_lex_state = 18},
  [3066] = {.lex_state = 14, .external_lex_state = 18},
  [3067] = {.lex_state = 14, .external_lex_state = 18},
  [3068] = {.lex_state = 14, .external_lex_state = 18},
  [3069] = {.lex_state = 15, .external_lex_state = 17},
  [3070] = {.lex_state = 14, .external_lex_state = 16},
  [3071] = {.lex_state = 12, .external_lex_state = 10},
  [3072] = {.lex_state = 15, .external_lex_state = 17},
  [3073] = {.lex_state = 14, .external_lex_state = 16},
  [3074] = {.lex_state = 14, .external_lex_state = 16},
  [3075] = {.lex_state = 15, .external_lex_state = 17},
  [3076] = {.lex_state = 14, .external_lex_state = 16},
  [3077] = {.lex_state = 14, .external_lex_state = 16},
  [3078] = {.lex_state = 14, .external_lex_state = 16},
  [3079] = {.lex_state = 14, .external_lex_state = 16},
  [3080] = {.lex_state = 12, .external_lex_state = 10},
  [3081] = {.lex_state = 12, .external_lex_state = 10},
  [3082] = {.lex_state = 12, .external_lex_state = 10},
  [3083] = {.lex_state = 12, .external_lex_state = 10},
  [3084] = {.lex_state = 15, .external_lex_state = 19},
  [3085] = {.lex_state = 15, .external_lex_state = 19},
  [3086] = {.lex_state = 333, .external_lex_state = 2},
  [3087] = {.lex_state = 15, .external_lex_state = 19},
  [3088] = {.lex_state = 12, .external_lex_state = 10},
  [3089] = {.lex_state = 14, .external_lex_state = 18},
  [3090] = {.lex_state = 14, .external_lex_state = 18},
  [3091] = {.lex_state = 14, .external_lex_state = 18},
  [3092] = {.lex_state = 12, .external_lex_state = 10},
  [3093] = {.lex_state = 12, .external_lex_state = 10},
  [3094] = {.lex_state = 12, .external_lex_state = 10},
  [3095] = {.lex_state = 14, .external_lex_state = 16},
  [3096] = {.lex_state = 14, .external_lex_state = 16},
  [3097] = {.lex_state = 12, .external_lex_state = 10},
  [3098] = {.lex_state = 14, .external_lex_state = 16},
  [3099] = {.lex_state = 10, .external_lex_state = 3},
  [3100] = {.lex_state = 10, .external_lex_state = 3},
  [3101] = {.lex_state = 10, .external_lex_state = 3},
  [3102] = {.lex_state = 12, .external_lex_state = 10},
  [3103] = {.lex_state = 15, .external_lex_state = 17},
  [3104] = {.lex_state = 10, .external_lex_state = 3},
  [3105] = {.lex_state = 15, .external_lex_state = 17},
  [3106] = {.lex_state = 15, .external_lex_state = 17},
  [3107] = {.lex_state = 15, .external_lex_state = 17},
  [3108] = {.lex_state = 12, .external_lex_state = 12},
  [3109] = {.lex_state = 12, .external_lex_state = 10},
  [3110] = {.lex_state = 10, .external_lex_state = 3},
  [3111] = {.lex_state = 19, .external_lex_state = 12},
  [3112] = {.lex_state = 15, .external_lex_state = 19},
  [3113] = {.lex_state = 15, .external_lex_state = 19},
  [3114] = {.lex_state = 15, .external_lex_state = 19},
  [3115] = {.lex_state = 15, .external_lex_state = 19},
  [3116] = {.lex_state = 14, .external_lex_state = 18},
  [3117] = {.lex_state = 14, .external_lex_state = 18},
  [3118] = {.lex_state = 14, .external_lex_state = 18},
  [3119] = {.lex_state = 14, .external_lex_state = 18},
  [3120] = {.lex_state = 14, .external_lex_state = 16},
  [3121] = {.lex_state = 14, .external_lex_state = 16},
  [3122] = {.lex_state = 14, .external_lex_state = 16},
  [3123] = {.lex_state = 14, .external_lex_state = 16},
  [3124] = {.lex_state = 10, .external_lex_state = 3},
  [3125] = {.lex_state = 10, .external_lex_state = 3},
  [3126] = {.lex_state = 12, .external_lex_state = 12},
  [3127] = {.lex_state = 10, .external_lex_state = 3},
  [3128] = {.lex_state = 10, .external_lex_state = 3},
  [3129] = {.lex_state = 10, .external_lex_state = 3},
  [3130] = {.lex_state = 10, .external_lex_state = 3},
  [3131] = {.lex_state = 10, .external_lex_state = 3},
  [3132] = {.lex_state = 10, .external_lex_state = 3},
  [3133] = {.lex_state = 12, .external_lex_state = 10},
  [3134] = {.lex_state = 12, .external_lex_state = 10},
  [3135] = {.lex_state = 12, .external_lex_state = 10},
  [3136] = {.lex_state = 12, .external_lex_state = 11},
  [3137] = {.lex_state = 12, .external_lex_state = 10},
  [3138] = {.lex_state = 19, .external_lex_state = 11},
  [3139] = {.lex_state = 12, .external_lex_state = 10},
  [3140] = {.lex_state = 12, .external_lex_state = 10},
  [3141] = {.lex_state = 12, .external_lex_state = 11},
  [3142] = {.lex_state = 12, .external_lex_state = 10},
  [3143] = {.lex_state = 333, .external_lex_state = 2},
  [3144] = {.lex_state = 12, .external_lex_state = 10},
  [3145] = {.lex_state = 15, .external_lex_state = 14},
  [3146] = {.lex_state = 15, .external_lex_state = 19},
  [3147] = {.lex_state = 21, .external_lex_state = 14},
  [3148] = {.lex_state = 12, .external_lex_state = 10},
  [3149] = {.lex_state = 12, .external_lex_state = 10},
  [3150] = {.lex_state = 333, .external_lex_state = 2},
  [3151] = {.lex_state = 15, .external_lex_state = 14},
  [3152] = {.lex_state = 12, .external_lex_state = 10},
  [3153] = {.lex_state = 14, .external_lex_state = 15},
  [3154] = {.lex_state = 20, .external_lex_state = 15},
  [3155] = {.lex_state = 14, .external_lex_state = 15},
  [3156] = {.lex_state = 15, .external_lex_state = 17},
  [3157] = {.lex_state = 15, .external_lex_state = 17},
  [3158] = {.lex_state = 12, .external_lex_state = 10},
  [3159] = {.lex_state = 12, .external_lex_state = 10},
  [3160] = {.lex_state = 1, .external_lex_state = 4},
  [3161] = {.lex_state = 1, .external_lex_state = 4},
  [3162] = {.lex_state = 12, .external_lex_state = 12},
  [3163] = {.lex_state = 15, .external_lex_state = 17},
  [3164] = {.lex_state = 15, .external_lex_state = 17},
  [3165] = {.lex_state = 12, .external_lex_state = 10},
  [3166] = {.lex_state = 12, .external_lex_state = 10},
  [3167] = {.lex_state = 12, .external_lex_state = 10},
  [3168] = {.lex_state = 12, .external_lex_state = 10},
  [3169] = {.lex_state = 12, .external_lex_state = 10},
  [3170] = {.lex_state = 15, .external_lex_state = 19},
  [3171] = {.lex_state = 12, .external_lex_state = 10},
  [3172] = {.lex_state = 12, .external_lex_state = 10},
  [3173] = {.lex_state = 12, .external_lex_state = 10},
  [3174] = {.lex_state = 12, .external_lex_state = 10},
  [3175] = {.lex_state = 12, .external_lex_state = 10},
  [3176] = {.lex_state = 12, .external_lex_state = 10},
  [3177] = {.lex_state = 12, .external_lex_state = 10},
  [3178] = {.lex_state = 12, .external_lex_state = 10},
  [3179] = {.lex_state = 12, .external_lex_state = 10},
  [3180] = {.lex_state = 12, .external_lex_state = 10},
  [3181] = {.lex_state = 12, .external_lex_state = 10},
  [3182] = {.lex_state = 12, .external_lex_state = 10},
  [3183] = {.lex_state = 12, .external_lex_state = 10},
  [3184] = {.lex_state = 12, .external_lex_state = 10},
  [3185] = {.lex_state = 15, .external_lex_state = 19},
  [3186] = {.lex_state = 15, .external_lex_state = 19},
  [3187] = {.lex_state = 12, .external_lex_state = 10},
  [3188] = {.lex_state = 12, .external_lex_state = 10},
  [3189] = {.lex_state = 12, .external_lex_state = 10},
  [3190] = {.lex_state = 12, .external_lex_state = 10},
  [3191] = {.lex_state = 15, .external_lex_state = 19},
  [3192] = {.lex_state = 15, .external_lex_state = 19},
  [3193] = {.lex_state = 12, .external_lex_state = 10},
  [3194] = {.lex_state = 12, .external_lex_state = 10},
  [3195] = {.lex_state = 12, .external_lex_state = 10},
  [3196] = {.lex_state = 12, .external_lex_state = 10},
  [3197] = {.lex_state = 12, .external_lex_state = 10},
  [3198] = {.lex_state = 12, .external_lex_state = 10},
  [3199] = {.lex_state = 12, .external_lex_state = 10},
  [3200] = {.lex_state = 14, .external_lex_state = 18},
  [3201] = {.lex_state = 14, .external_lex_state = 18},
  [3202] = {.lex_state = 12, .external_lex_state = 10},
  [3203] = {.lex_state = 12, .external_lex_state = 10},
  [3204] = {.lex_state = 12, .external_lex_state = 10},
  [3205] = {.lex_state = 12, .external_lex_state = 10},
  [3206] = {.lex_state = 12, .external_lex_state = 10},
  [3207] = {.lex_state = 12, .external_lex_state = 10},
  [3208] = {.lex_state = 12, .external_lex_state = 10},
  [3209] = {.lex_state = 12, .external_lex_state = 10},
  [3210] = {.lex_state = 12, .external_lex_state = 10},
  [3211] = {.lex_state = 12, .external_lex_state = 10},
  [3212] = {.lex_state = 12, .external_lex_state = 10},
  [3213] = {.lex_state = 12, .external_lex_state = 10},
  [3214] = {.lex_state = 12, .external_lex_state = 10},
  [3215] = {.lex_state = 12, .external_lex_state = 10},
  [3216] = {.lex_state = 14, .external_lex_state = 18},
  [3217] = {.lex_state = 14, .external_lex_state = 18},
  [3218] = {.lex_state = 12, .external_lex_state = 10},
  [3219] = {.lex_state = 12, .external_lex_state = 10},
  [3220] = {.lex_state = 12, .external_lex_state = 10},
  [3221] = {.lex_state = 12, .external_lex_state = 10},
  [3222] = {.lex_state = 12, .external_lex_state = 10},
  [3223] = {.lex_state = 12, .external_lex_state = 10},
  [3224] = {.lex_state = 12, .external_lex_state = 10},
  [3225] = {.lex_state = 14, .external_lex_state = 16},
  [3226] = {.lex_state = 14, .external_lex_state = 16},
  [3227] = {.lex_state = 15, .external_lex_state = 17},
  [3228] = {.lex_state = 12, .external_lex_state = 10},
  [3229] = {.lex_state = 12, .external_lex_state = 10},
  [3230] = {.lex_state = 15, .external_lex_state = 17},
  [3231] = {.lex_state = 15, .external_lex_state = 17},
  [3232] = {.lex_state = 12, .external_lex_state = 10},
  [3233] = {.lex_state = 12, .external_lex_state = 10},
  [3234] = {.lex_state = 12, .external_lex_state = 11},
  [3235] = {.lex_state = 12, .external_lex_state = 10},
  [3236] = {.lex_state = 15, .external_lex_state = 17},
  [3237] = {.lex_state = 15, .external_lex_state = 17},
  [3238] = {.lex_state = 15, .external_lex_state = 17},
  [3239] = {.lex_state = 12, .external_lex_state = 10},
  [3240] = {.lex_state = 15, .external_lex_state = 17},
  [3241] = {.lex_state = 12, .external_lex_state = 10},
  [3242] = {.lex_state = 15, .external_lex_state = 17},
  [3243] = {.lex_state = 12, .external_lex_state = 10},
  [3244] = {.lex_state = 15, .external_lex_state = 17},
  [3245] = {.lex_state = 15, .external_lex_state = 17},
  [3246] = {.lex_state = 14, .external_lex_state = 16},
  [3247] = {.lex_state = 14, .external_lex_state = 16},
  [3248] = {.lex_state = 15, .external_lex_state = 19},
  [3249] = {.lex_state = 12, .external_lex_state = 10},
  [3250] = {.lex_state = 15, .external_lex_state = 19},
  [3251] = {.lex_state = 15, .external_lex_state = 19},
  [3252] = {.lex_state = 12, .external_lex_state = 10},
  [3253] = {.lex_state = 12, .external_lex_state = 10},
  [3254] = {.lex_state = 14, .external_lex_state = 18},
  [3255] = {.lex_state = 14, .external_lex_state = 18},
  [3256] = {.lex_state = 14, .external_lex_state = 18},
  [3257] = {.lex_state = 12, .external_lex_state = 10},
  [3258] = {.lex_state = 12, .external_lex_state = 10},
  [3259] = {.lex_state = 14, .external_lex_state = 16},
  [3260] = {.lex_state = 14, .external_lex_state = 16},
  [3261] = {.lex_state = 14, .external_lex_state = 16},
  [3262] = {.lex_state = 12, .external_lex_state = 10},
  [3263] = {.lex_state = 15, .external_lex_state = 19},
  [3264] = {.lex_state = 12, .external_lex_state = 10},
  [3265] = {.lex_state = 15, .external_lex_state = 14},
  [3266] = {.lex_state = 12, .external_lex_state = 11},
  [3267] = {.lex_state = 12, .external_lex_state = 11},
  [3268] = {.lex_state = 12, .external_lex_state = 11},
  [3269] = {.lex_state = 12, .external_lex_state = 11},
  [3270] = {.lex_state = 12, .external_lex_state = 11},
  [3271] = {.lex_state = 12, .external_lex_state = 11},
  [3272] = {.lex_state = 12, .external_lex_state = 11},
  [3273] = {.lex_state = 12, .external_lex_state = 11},
  [3274] = {.lex_state = 12, .external_lex_state = 11},
  [3275] = {.lex_state = 12, .external_lex_state = 11},
  [3276] = {.lex_state = 12, .external_lex_state = 11},
  [3277] = {.lex_state = 12, .external_lex_state = 11},
  [3278] = {.lex_state = 12, .external_lex_state = 11},
  [3279] = {.lex_state = 12, .external_lex_state = 11},
  [3280] = {.lex_state = 12, .external_lex_state = 11},
  [3281] = {.lex_state = 12, .external_lex_state = 11},
  [3282] = {.lex_state = 12, .external_lex_state = 11},
  [3283] = {.lex_state = 12, .external_lex_state = 12},
  [3284] = {.lex_state = 15, .external_lex_state = 14},
  [3285] = {.lex_state = 12, .external_lex_state = 11},
  [3286] = {.lex_state = 12, .external_lex_state = 11},
  [3287] = {.lex_state = 12, .external_lex_state = 11},
  [3288] = {.lex_state = 12, .external_lex_state = 12},
  [3289] = {.lex_state = 12, .external_lex_state = 11},
  [3290] = {.lex_state = 12, .external_lex_state = 11},
  [3291] = {.lex_state = 12, .external_lex_state = 11},
  [3292] = {.lex_state = 12, .external_lex_state = 11},
  [3293] = {.lex_state = 12, .external_lex_state = 11},
  [3294] = {.lex_state = 12, .external_lex_state = 11},
  [3295] = {.lex_state = 12, .external_lex_state = 11},
  [3296] = {.lex_state = 12, .external_lex_state = 11},
  [3297] = {.lex_state = 12, .external_lex_state = 11},
  [3298] = {.lex_state = 12, .external_lex_state = 11},
  [3299] = {.lex_state = 12, .external_lex_state = 11},
  [3300] = {.lex_state = 12, .external_lex_state = 11},
  [3301] = {.lex_state = 12, .external_lex_state = 11},
  [3302] = {.lex_state = 12, .external_lex_state = 11},
  [3303] = {.lex_state = 12, .external_lex_state = 11},
  [3304] = {.lex_state = 12, .external_lex_state = 11},
  [3305] = {.lex_state = 12, .external_lex_state = 11},
  [3306] = {.lex_state = 12, .external_lex_state = 11},
  [3307] = {.lex_state = 12, .external_lex_state = 11},
  [3308] = {.lex_state = 12, .external_lex_state = 11},
  [3309] = {.lex_state = 12, .external_lex_state = 11},
  [3310] = {.lex_state = 12, .external_lex_state = 11},
  [3311] = {.lex_state = 15, .external_lex_state = 14},
  [3312] = {.lex_state = 14, .external_lex_state = 15},
  [3313] = {.lex_state = 12, .external_lex_state = 11},
  [3314] = {.lex_state = 12, .external_lex_state = 11},
  [3315] = {.lex_state = 12, .external_lex_state = 11},
  [3316] = {.lex_state = 15, .external_lex_state = 14},
  [3317] = {.lex_state = 10, .external_lex_state = 3},
  [3318] = {.lex_state = 15, .external_lex_state = 14},
  [3319] = {.lex_state = 12, .external_lex_state = 11},
  [3320] = {.lex_state = 12, .external_lex_state = 11},
  [3321] = {.lex_state = 12, .external_lex_state = 12},
  [3322] = {.lex_state = 12, .external_lex_state = 11},
  [3323] = {.lex_state = 12, .external_lex_state = 11},
  [3324] = {.lex_state = 12, .external_lex_state = 11},
  [3325] = {.lex_state = 12, .external_lex_state = 11},
  [3326] = {.lex_state = 12, .external_lex_state = 11},
  [3327] = {.lex_state = 12, .external_lex_state = 11},
  [3328] = {.lex_state = 12, .external_lex_state = 11},
  [3329] = {.lex_state = 10, .external_lex_state = 3},
  [3330] = {.lex_state = 12, .external_lex_state = 11},
  [3331] = {.lex_state = 12, .external_lex_state = 11},
  [3332] = {.lex_state = 12, .external_lex_state = 12},
  [3333] = {.lex_state = 12, .external_lex_state = 11},
  [3334] = {.lex_state = 12, .external_lex_state = 11},
  [3335] = {.lex_state = 15, .external_lex_state = 14},
  [3336] = {.lex_state = 12, .external_lex_state = 11},
  [3337] = {.lex_state = 12, .external_lex_state = 11},
  [3338] = {.lex_state = 12, .external_lex_state = 11},
  [3339] = {.lex_state = 14, .external_lex_state = 15},
  [3340] = {.lex_state = 12, .external_lex_state = 11},
  [3341] = {.lex_state = 12, .external_lex_state = 11},
  [3342] = {.lex_state = 12, .external_lex_state = 11},
  [3343] = {.lex_state = 12, .external_lex_state = 11},
  [3344] = {.lex_state = 12, .external_lex_state = 11},
  [3345] = {.lex_state = 15, .external_lex_state = 14},
  [3346] = {.lex_state = 12, .external_lex_state = 12},
  [3347] = {.lex_state = 12, .external_lex_state = 12},
  [3348] = {.lex_state = 12, .external_lex_state = 12},
  [3349] = {.lex_state = 15, .external_lex_state = 14},
  [3350] = {.lex_state = 15, .external_lex_state = 14},
  [3351] = {.lex_state = 15, .external_lex_state = 14},
  [3352] = {.lex_state = 15, .external_lex_state = 14},
  [3353] = {.lex_state = 15, .external_lex_state = 14},
  [3354] = {.lex_state = 15, .external_lex_state = 14},
  [3355] = {.lex_state = 15, .external_lex_state = 14},
  [3356] = {.lex_state = 15, .external_lex_state = 14},
  [3357] = {.lex_state = 15, .external_lex_state = 14},
  [3358] = {.lex_state = 15, .external_lex_state = 14},
  [3359] = {.lex_state = 15, .external_lex_state = 14},
  [3360] = {.lex_state = 15, .external_lex_state = 14},
  [3361] = {.lex_state = 15, .external_lex_state = 14},
  [3362] = {.lex_state = 15, .external_lex_state = 14},
  [3363] = {.lex_state = 15, .external_lex_state = 14},
  [3364] = {.lex_state = 15, .external_lex_state = 14},
  [3365] = {.lex_state = 15, .external_lex_state = 14},
  [3366] = {.lex_state = 15, .external_lex_state = 14},
  [3367] = {.lex_state = 15, .external_lex_state = 14},
  [3368] = {.lex_state = 15, .external_lex_state = 14},
  [3369] = {.lex_state = 15, .external_lex_state = 14},
  [3370] = {.lex_state = 15, .external_lex_state = 14},
  [3371] = {.lex_state = 15, .external_lex_state = 14},
  [3372] = {.lex_state = 15, .external_lex_state = 14},
  [3373] = {.lex_state = 14, .external_lex_state = 15},
  [3374] = {.lex_state = 15, .external_lex_state = 14},
  [3375] = {.lex_state = 15, .external_lex_state = 14},
  [3376] = {.lex_state = 15, .external_lex_state = 14},
  [3377] = {.lex_state = 15, .external_lex_state = 14},
  [3378] = {.lex_state = 15, .external_lex_state = 14},
  [3379] = {.lex_state = 15, .external_lex_state = 14},
  [3380] = {.lex_state = 15, .external_lex_state = 14},
  [3381] = {.lex_state = 15, .external_lex_state = 14},
  [3382] = {.lex_state = 15, .external_lex_state = 14},
  [3383] = {.lex_state = 15, .external_lex_state = 14},
  [3384] = {.lex_state = 15, .external_lex_state = 14},
  [3385] = {.lex_state = 15, .external_lex_state = 14},
  [3386] = {.lex_state = 15, .external_lex_state = 14},
  [3387] = {.lex_state = 15, .external_lex_state = 14},
  [3388] = {.lex_state = 15, .external_lex_state = 14},
  [3389] = {.lex_state = 15, .external_lex_state = 14},
  [3390] = {.lex_state = 15, .external_lex_state = 14},
  [3391] = {.lex_state = 15, .external_lex_state = 14},
  [3392] = {.lex_state = 15, .external_lex_state = 14},
  [3393] = {.lex_state = 15, .external_lex_state = 14},
  [3394] = {.lex_state = 15, .external_lex_state = 14},
  [3395] = {.lex_state = 15, .external_lex_state = 14},
  [3396] = {.lex_state = 15, .external_lex_state = 14},
  [3397] = {.lex_state = 15, .external_lex_state = 14},
  [3398] = {.lex_state = 14, .external_lex_state = 15},
  [3399] = {.lex_state = 15, .external_lex_state = 14},
  [3400] = {.lex_state = 15, .external_lex_state = 14},
  [3401] = {.lex_state = 15, .external_lex_state = 14},
  [3402] = {.lex_state = 15, .external_lex_state = 14},
  [3403] = {.lex_state = 14, .external_lex_state = 15},
  [3404] = {.lex_state = 15, .external_lex_state = 14},
  [3405] = {.lex_state = 15, .external_lex_state = 14},
  [3406] = {.lex_state = 15, .external_lex_state = 14},
  [3407] = {.lex_state = 15, .external_lex_state = 14},
  [3408] = {.lex_state = 15, .external_lex_state = 14},
  [3409] = {.lex_state = 15, .external_lex_state = 14},
  [3410] = {.lex_state = 15, .external_lex_state = 14},
  [3411] = {.lex_state = 15, .external_lex_state = 14},
  [3412] = {.lex_state = 15, .external_lex_state = 14},
  [3413] = {.lex_state = 12, .external_lex_state = 12},
  [3414] = {.lex_state = 15, .external_lex_state = 14},
  [3415] = {.lex_state = 15, .external_lex_state = 14},
  [3416] = {.lex_state = 15, .external_lex_state = 14},
  [3417] = {.lex_state = 15, .external_lex_state = 14},
  [3418] = {.lex_state = 12, .external_lex_state = 12},
  [3419] = {.lex_state = 15, .external_lex_state = 14},
  [3420] = {.lex_state = 15, .external_lex_state = 14},
  [3421] = {.lex_state = 12, .external_lex_state = 12},
  [3422] = {.lex_state = 15, .external_lex_state = 14},
  [3423] = {.lex_state = 15, .external_lex_state = 14},
  [3424] = {.lex_state = 15, .external_lex_state = 14},
  [3425] = {.lex_state = 15, .external_lex_state = 14},
  [3426] = {.lex_state = 15, .external_lex_state = 14},
  [3427] = {.lex_state = 15, .external_lex_state = 14},
  [3428] = {.lex_state = 14, .external_lex_state = 15},
  [3429] = {.lex_state = 14, .external_lex_state = 15},
  [3430] = {.lex_state = 14, .external_lex_state = 15},
  [3431] = {.lex_state = 14, .external_lex_state = 15},
  [3432] = {.lex_state = 14, .external_lex_state = 15},
  [3433] = {.lex_state = 14, .external_lex_state = 15},
  [3434] = {.lex_state = 14, .external_lex_state = 15},
  [3435] = {.lex_state = 14, .external_lex_state = 15},
  [3436] = {.lex_state = 14, .external_lex_state = 15},
  [3437] = {.lex_state = 14, .external_lex_state = 15},
  [3438] = {.lex_state = 14, .external_lex_state = 15},
  [3439] = {.lex_state = 14, .external_lex_state = 15},
  [3440] = {.lex_state = 14, .external_lex_state = 15},
  [3441] = {.lex_state = 14, .external_lex_state = 15},
  [3442] = {.lex_state = 14, .external_lex_state = 15},
  [3443] = {.lex_state = 14, .external_lex_state = 15},
  [3444] = {.lex_state = 14, .external_lex_state = 15},
  [3445] = {.lex_state = 14, .external_lex_state = 15},
  [3446] = {.lex_state = 14, .external_lex_state = 15},
  [3447] = {.lex_state = 14, .external_lex_state = 15},
  [3448] = {.lex_state = 14, .external_lex_state = 15},
  [3449] = {.lex_state = 14, .external_lex_state = 15},
  [3450] = {.lex_state = 12, .external_lex_state = 12},
  [3451] = {.lex_state = 12, .external_lex_state = 11},
  [3452] = {.lex_state = 14, .external_lex_state = 15},
  [3453] = {.lex_state = 14, .external_lex_state = 15},
  [3454] = {.lex_state = 12, .external_lex_state = 12},
  [3455] = {.lex_state = 14, .external_lex_state = 15},
  [3456] = {.lex_state = 12, .external_lex_state = 12},
  [3457] = {.lex_state = 14, .external_lex_state = 15},
  [3458] = {.lex_state = 14, .external_lex_state = 15},
  [3459] = {.lex_state = 14, .external_lex_state = 15},
  [3460] = {.lex_state = 14, .external_lex_state = 15},
  [3461] = {.lex_state = 14, .external_lex_state = 15},
  [3462] = {.lex_state = 14, .external_lex_state = 15},
  [3463] = {.lex_state = 14, .external_lex_state = 15},
  [3464] = {.lex_state = 14, .external_lex_state = 15},
  [3465] = {.lex_state = 14, .external_lex_state = 15},
  [3466] = {.lex_state = 14, .external_lex_state = 15},
  [3467] = {.lex_state = 14, .external_lex_state = 15},
  [3468] = {.lex_state = 14, .external_lex_state = 15},
  [3469] = {.lex_state = 14, .external_lex_state = 15},
  [3470] = {.lex_state = 14, .external_lex_state = 15},
  [3471] = {.lex_state = 14, .external_lex_state = 15},
  [3472] = {.lex_state = 14, .external_lex_state = 15},
  [3473] = {.lex_state = 14, .external_lex_state = 15},
  [3474] = {.lex_state = 14, .external_lex_state = 15},
  [3475] = {.lex_state = 14, .external_lex_state = 15},
  [3476] = {.lex_state = 14, .external_lex_state = 15},
  [3477] = {.lex_state = 14, .external_lex_state = 15},
  [3478] = {.lex_state = 14, .external_lex_state = 15},
  [3479] = {.lex_state = 14, .external_lex_state = 15},
  [3480] = {.lex_state = 14, .external_lex_state = 15},
  [3481] = {.lex_state = 14, .external_lex_state = 15},
  [3482] = {.lex_state = 14, .external_lex_state = 15},
  [3483] = {.lex_state = 12, .external_lex_state = 11},
  [3484] = {.lex_state = 12, .external_lex_state = 12},
  [3485] = {.lex_state = 12, .external_lex_state = 11},
  [3486] = {.lex_state = 12, .external_lex_state = 12},
  [3487] = {.lex_state = 14, .external_lex_state = 15},
  [3488] = {.lex_state = 12, .external_lex_state = 12},
  [3489] = {.lex_state = 14, .external_lex_state = 15},
  [3490] = {.lex_state = 14, .external_lex_state = 15},
  [3491] = {.lex_state = 14, .external_lex_state = 15},
  [3492] = {.lex_state = 14, .external_lex_state = 15},
  [3493] = {.lex_state = 14, .external_lex_state = 15},
  [3494] = {.lex_state = 14, .external_lex_state = 15},
  [3495] = {.lex_state = 14, .external_lex_state = 15},
  [3496] = {.lex_state = 14, .external_lex_state = 15},
  [3497] = {.lex_state = 12, .external_lex_state = 12},
  [3498] = {.lex_state = 14, .external_lex_state = 15},
  [3499] = {.lex_state = 12, .external_lex_state = 12},
  [3500] = {.lex_state = 14, .external_lex_state = 15},
  [3501] = {.lex_state = 14, .external_lex_state = 15},
  [3502] = {.lex_state = 12, .external_lex_state = 12},
  [3503] = {.lex_state = 14, .external_lex_state = 15},
  [3504] = {.lex_state = 14, .external_lex_state = 15},
  [3505] = {.lex_state = 12, .external_lex_state = 12},
  [3506] = {.lex_state = 14, .external_lex_state = 15},
  [3507] = {.lex_state = 12, .external_lex_state = 12},
  [3508] = {.lex_state = 14, .external_lex_state = 15},
  [3509] = {.lex_state = 14, .external_lex_state = 15},
  [3510] = {.lex_state = 14, .external_lex_state = 15},
  [3511] = {.lex_state = 14, .external_lex_state = 15},
  [3512] = {.lex_state = 14, .external_lex_state = 15},
  [3513] = {.lex_state = 12, .external_lex_state = 12},
  [3514] = {.lex_state = 12, .external_lex_state = 12},
  [3515] = {.lex_state = 14, .external_lex_state = 15},
  [3516] = {.lex_state = 12, .external_lex_state = 12},
  [3517] = {.lex_state = 15, .external_lex_state = 17},
  [3518] = {.lex_state = 12, .external_lex_state = 12},
  [3519] = {.lex_state = 12, .external_lex_state = 12},
  [3520] = {.lex_state = 12, .external_lex_state = 11},
  [3521] = {.lex_state = 12, .external_lex_state = 11},
  [3522] = {.lex_state = 12, .external_lex_state = 11},
  [3523] = {.lex_state = 21, .external_lex_state = 17},
  [3524] = {.lex_state = 15, .external_lex_state = 14},
  [3525] = {.lex_state = 15, .external_lex_state = 14},
  [3526] = {.lex_state = 14, .external_lex_state = 15},
  [3527] = {.lex_state = 14, .external_lex_state = 15},
  [3528] = {.lex_state = 14, .external_lex_state = 15},
  [3529] = {.lex_state = 12, .external_lex_state = 12},
  [3530] = {.lex_state = 12, .external_lex_state = 12},
  [3531] = {.lex_state = 15, .external_lex_state = 17},
  [3532] = {.lex_state = 12, .external_lex_state = 12},
  [3533] = {.lex_state = 14, .external_lex_state = 15},
  [3534] = {.lex_state = 12, .external_lex_state = 11},
  [3535] = {.lex_state = 12, .external_lex_state = 12},
  [3536] = {.lex_state = 12, .external_lex_state = 11},
  [3537] = {.lex_state = 12, .external_lex_state = 12},
  [3538] = {.lex_state = 12, .external_lex_state = 11},
  [3539] = {.lex_state = 12, .external_lex_state = 12},
  [3540] = {.lex_state = 12, .external_lex_state = 12},
  [3541] = {.lex_state = 12, .external_lex_state = 10},
  [3542] = {.lex_state = 12, .external_lex_state = 11},
  [3543] = {.lex_state = 12, .external_lex_state = 12},
  [3544] = {.lex_state = 12, .external_lex_state = 12},
  [3545] = {.lex_state = 12, .external_lex_state = 12},
  [3546] = {.lex_state = 12, .external_lex_state = 12},
  [3547] = {.lex_state = 12, .external_lex_state = 12},
  [3548] = {.lex_state = 12, .external_lex_state = 12},
  [3549] = {.lex_state = 12, .external_lex_state = 12},
  [3550] = {.lex_state = 12, .external_lex_state = 12},
  [3551] = {.lex_state = 12, .external_lex_state = 12},
  [3552] = {.lex_state = 12, .external_lex_state = 12},
  [3553] = {.lex_state = 12, .external_lex_state = 12},
  [3554] = {.lex_state = 12, .external_lex_state = 12},
  [3555] = {.lex_state = 12, .external_lex_state = 12},
  [3556] = {.lex_state = 12, .external_lex_state = 12},
  [3557] = {.lex_state = 12, .external_lex_state = 12},
  [3558] = {.lex_state = 12, .external_lex_state = 11},
  [3559] = {.lex_state = 15, .external_lex_state = 14},
  [3560] = {.lex_state = 12, .external_lex_state = 11},
  [3561] = {.lex_state = 12, .external_lex_state = 12},
  [3562] = {.lex_state = 333, .external_lex_state = 2},
  [3563] = {.lex_state = 15, .external_lex_state = 19},
  [3564] = {.lex_state = 15, .external_lex_state = 14},
  [3565] = {.lex_state = 21, .external_lex_state = 19},
  [3566] = {.lex_state = 12, .external_lex_state = 11},
  [3567] = {.lex_state = 12, .external_lex_state = 12},
  [3568] = {.lex_state = 12, .external_lex_state = 11},
  [3569] = {.lex_state = 12, .external_lex_state = 12},
  [3570] = {.lex_state = 15, .external_lex_state = 19},
  [3571] = {.lex_state = 12, .external_lex_state = 12},
  [3572] = {.lex_state = 12, .external_lex_state = 11},
  [3573] = {.lex_state = 12, .external_lex_state = 12},
  [3574] = {.lex_state = 12, .external_lex_state = 12},
  [3575] = {.lex_state = 12, .external_lex_state = 12},
  [3576] = {.lex_state = 12, .external_lex_state = 12},
  [3577] = {.lex_state = 12, .external_lex_state = 12},
  [3578] = {.lex_state = 12, .external_lex_state = 12},
  [3579] = {.lex_state = 12, .external_lex_state = 12},
  [3580] = {.lex_state = 12, .external_lex_state = 12},
  [3581] = {.lex_state = 12, .external_lex_state = 12},
  [3582] = {.lex_state = 14, .external_lex_state = 15},
  [3583] = {.lex_state = 15, .external_lex_state = 14},
  [3584] = {.lex_state = 15, .external_lex_state = 17},
  [3585] = {.lex_state = 12, .external_lex_state = 12},
  [3586] = {.lex_state = 14, .external_lex_state = 15},
  [3587] = {.lex_state = 12, .external_lex_state = 12},
  [3588] = {.lex_state = 15, .external_lex_state = 14},
  [3589] = {.lex_state = 15, .external_lex_state = 19},
  [3590] = {.lex_state = 14, .external_lex_state = 18},
  [3591] = {.lex_state = 14, .external_lex_state = 15},
  [3592] = {.lex_state = 20, .external_lex_state = 18},
  [3593] = {.lex_state = 15, .external_lex_state = 14},
  [3594] = {.lex_state = 15, .external_lex_state = 14},
  [3595] = {.lex_state = 12, .external_lex_state = 12},
  [3596] = {.lex_state = 12, .external_lex_state = 12},
  [3597] = {.lex_state = 15, .external_lex_state = 14},
  [3598] = {.lex_state = 10, .external_lex_state = 3},
  [3599] = {.lex_state = 12, .external_lex_state = 12},
  [3600] = {.lex_state = 14, .external_lex_state = 18},
  [3601] = {.lex_state = 15, .external_lex_state = 14},
  [3602] = {.lex_state = 12, .external_lex_state = 12},
  [3603] = {.lex_state = 12, .external_lex_state = 12},
  [3604] = {.lex_state = 12, .external_lex_state = 12},
  [3605] = {.lex_state = 12, .external_lex_state = 12},
  [3606] = {.lex_state = 12, .external_lex_state = 12},
  [3607] = {.lex_state = 12, .external_lex_state = 12},
  [3608] = {.lex_state = 12, .external_lex_state = 11},
  [3609] = {.lex_state = 12, .external_lex_state = 12},
  [3610] = {.lex_state = 12, .external_lex_state = 12},
  [3611] = {.lex_state = 12, .external_lex_state = 12},
  [3612] = {.lex_state = 15, .external_lex_state = 14},
  [3613] = {.lex_state = 12, .external_lex_state = 12},
  [3614] = {.lex_state = 12, .external_lex_state = 11},
  [3615] = {.lex_state = 12, .external_lex_state = 12},
  [3616] = {.lex_state = 12, .external_lex_state = 11},
  [3617] = {.lex_state = 14, .external_lex_state = 18},
  [3618] = {.lex_state = 15, .external_lex_state = 14},
  [3619] = {.lex_state = 12, .external_lex_state = 11},
  [3620] = {.lex_state = 12, .external_lex_state = 12},
  [3621] = {.lex_state = 14, .external_lex_state = 16},
  [3622] = {.lex_state = 1, .external_lex_state = 4},
  [3623] = {.lex_state = 20, .external_lex_state = 16},
  [3624] = {.lex_state = 14, .external_lex_state = 15},
  [3625] = {.lex_state = 14, .external_lex_state = 15},
  [3626] = {.lex_state = 12, .external_lex_state = 12},
  [3627] = {.lex_state = 12, .external_lex_state = 11},
  [3628] = {.lex_state = 12, .external_lex_state = 12},
  [3629] = {.lex_state = 12, .external_lex_state = 12},
  [3630] = {.lex_state = 12, .external_lex_state = 12},
  [3631] = {.lex_state = 14, .external_lex_state = 15},
  [3632] = {.lex_state = 14, .external_lex_state = 16},
  [3633] = {.lex_state = 12, .external_lex_state = 11},
  [3634] = {.lex_state = 12, .external_lex_state = 12},
  [3635] = {.lex_state = 14, .external_lex_state = 15},
  [3636] = {.lex_state = 12, .external_lex_state = 12},
  [3637] = {.lex_state = 12, .external_lex_state = 12},
  [3638] = {.lex_state = 12, .external_lex_state = 12},
  [3639] = {.lex_state = 12, .external_lex_state = 11},
  [3640] = {.lex_state = 14, .external_lex_state = 15},
  [3641] = {.lex_state = 14, .external_lex_state = 16},
  [3642] = {.lex_state = 12, .external_lex_state = 12},
  [3643] = {.lex_state = 14, .external_lex_state = 15},
  [3644] = {.lex_state = 12, .external_lex_state = 12},
  [3645] = {.lex_state = 12, .external_lex_state = 12},
  [3646] = {.lex_state = 12, .external_lex_state = 12},
  [3647] = {.lex_state = 12, .external_lex_state = 12},
  [3648] = {.lex_state = 12, .external_lex_state = 11},
  [3649] = {.lex_state = 12, .external_lex_state = 12},
  [3650] = {.lex_state = 12, .external_lex_state = 11},
  [3651] = {.lex_state = 333, .external_lex_state = 2},
  [3652] = {.lex_state = 333, .external_lex_state = 2},
  [3653] = {.lex_state = 12, .external_lex_state = 12},
  [3654] = {.lex_state = 333, .external_lex_state = 2},
  [3655] = {.lex_state = 15, .external_lex_state = 14},
  [3656] = {.lex_state = 333, .external_lex_state = 2},
  [3657] = {.lex_state = 12, .external_lex_state = 11},
  [3658] = {.lex_state = 14, .external_lex_state = 15},
  [3659] = {.lex_state = 12, .external_lex_state = 11},
  [3660] = {.lex_state = 12, .external_lex_state = 11},
  [3661] = {.lex_state = 14, .external_lex_state = 15},
  [3662] = {.lex_state = 14, .external_lex_state = 15},
  [3663] = {.lex_state = 15, .external_lex_state = 19},
  [3664] = {.lex_state = 14, .external_lex_state = 16},
  [3665] = {.lex_state = 14, .external_lex_state = 16},
  [3666] = {.lex_state = 14, .external_lex_state = 16},
  [3667] = {.lex_state = 14, .external_lex_state = 16},
  [3668] = {.lex_state = 14, .external_lex_state = 16},
  [3669] = {.lex_state = 14, .external_lex_state = 18},
  [3670] = {.lex_state = 14, .external_lex_state = 16},
  [3671] = {.lex_state = 15, .external_lex_state = 19},
  [3672] = {.lex_state = 14, .external_lex_state = 16},
  [3673] = {.lex_state = 14, .external_lex_state = 18},
  [3674] = {.lex_state = 14, .external_lex_state = 16},
  [3675] = {.lex_state = 14, .external_lex_state = 16},
  [3676] = {.lex_state = 14, .external_lex_state = 16},
  [3677] = {.lex_state = 15, .external_lex_state = 17},
  [3678] = {.lex_state = 14, .external_lex_state = 16},
  [3679] = {.lex_state = 14, .external_lex_state = 18},
  [3680] = {.lex_state = 15, .external_lex_state = 17},
  [3681] = {.lex_state = 15, .external_lex_state = 17},
  [3682] = {.lex_state = 14, .external_lex_state = 18},
  [3683] = {.lex_state = 15, .external_lex_state = 17},
  [3684] = {.lex_state = 14, .external_lex_state = 16},
  [3685] = {.lex_state = 15, .external_lex_state = 17},
  [3686] = {.lex_state = 15, .external_lex_state = 17},
  [3687] = {.lex_state = 15, .external_lex_state = 17},
  [3688] = {.lex_state = 15, .external_lex_state = 17},
  [3689] = {.lex_state = 15, .external_lex_state = 17},
  [3690] = {.lex_state = 15, .external_lex_state = 17},
  [3691] = {.lex_state = 15, .external_lex_state = 17},
  [3692] = {.lex_state = 15, .external_lex_state = 19},
  [3693] = {.lex_state = 15, .external_lex_state = 17},
  [3694] = {.lex_state = 14, .external_lex_state = 18},
  [3695] = {.lex_state = 15, .external_lex_state = 17},
  [3696] = {.lex_state = 15, .external_lex_state = 17},
  [3697] = {.lex_state = 10, .external_lex_state = 3},
  [3698] = {.lex_state = 15, .external_lex_state = 17},
  [3699] = {.lex_state = 15, .external_lex_state = 17},
  [3700] = {.lex_state = 15, .external_lex_state = 17},
  [3701] = {.lex_state = 15, .external_lex_state = 17},
  [3702] = {.lex_state = 15, .external_lex_state = 17},
  [3703] = {.lex_state = 15, .external_lex_state = 17},
  [3704] = {.lex_state = 15, .external_lex_state = 17},
  [3705] = {.lex_state = 15, .external_lex_state = 17},
  [3706] = {.lex_state = 15, .external_lex_state = 17},
  [3707] = {.lex_state = 15, .external_lex_state = 17},
  [3708] = {.lex_state = 15, .external_lex_state = 17},
  [3709] = {.lex_state = 15, .external_lex_state = 17},
  [3710] = {.lex_state = 15, .external_lex_state = 17},
  [3711] = {.lex_state = 15, .external_lex_state = 17},
  [3712] = {.lex_state = 15, .external_lex_state = 17},
  [3713] = {.lex_state = 15, .external_lex_state = 17},
  [3714] = {.lex_state = 15, .external_lex_state = 17},
  [3715] = {.lex_state = 15, .external_lex_state = 17},
  [3716] = {.lex_state = 15, .external_lex_state = 17},
  [3717] = {.lex_state = 15, .external_lex_state = 17},
  [3718] = {.lex_state = 15, .external_lex_state = 17},
  [3719] = {.lex_state = 15, .external_lex_state = 17},
  [3720] = {.lex_state = 15, .external_lex_state = 17},
  [3721] = {.lex_state = 15, .external_lex_state = 17},
  [3722] = {.lex_state = 15, .external_lex_state = 17},
  [3723] = {.lex_state = 15, .external_lex_state = 17},
  [3724] = {.lex_state = 15, .external_lex_state = 17},
  [3725] = {.lex_state = 15, .external_lex_state = 17},
  [3726] = {.lex_state = 15, .external_lex_state = 17},
  [3727] = {.lex_state = 15, .external_lex_state = 17},
  [3728] = {.lex_state = 15, .external_lex_state = 17},
  [3729] = {.lex_state = 15, .external_lex_state = 17},
  [3730] = {.lex_state = 15, .external_lex_state = 17},
  [3731] = {.lex_state = 15, .external_lex_state = 17},
  [3732] = {.lex_state = 15, .external_lex_state = 17},
  [3733] = {.lex_state = 12, .external_lex_state = 12},
  [3734] = {.lex_state = 15, .external_lex_state = 17},
  [3735] = {.lex_state = 15, .external_lex_state = 17},
  [3736] = {.lex_state = 15, .external_lex_state = 17},
  [3737] = {.lex_state = 15, .external_lex_state = 17},
  [3738] = {.lex_state = 15, .external_lex_state = 17},
  [3739] = {.lex_state = 15, .external_lex_state = 17},
  [3740] = {.lex_state = 15, .external_lex_state = 17},
  [3741] = {.lex_state = 15, .external_lex_state = 17},
  [3742] = {.lex_state = 15, .external_lex_state = 17},
  [3743] = {.lex_state = 15, .external_lex_state = 17},
  [3744] = {.lex_state = 15, .external_lex_state = 17},
  [3745] = {.lex_state = 15, .external_lex_state = 17},
  [3746] = {.lex_state = 15, .external_lex_state = 17},
  [3747] = {.lex_state = 15, .external_lex_state = 17},
  [3748] = {.lex_state = 15, .external_lex_state = 17},
  [3749] = {.lex_state = 15, .external_lex_state = 17},
  [3750] = {.lex_state = 1, .external_lex_state = 4},
  [3751] = {.lex_state = 1, .external_lex_state = 4},
  [3752] = {.lex_state = 333, .external_lex_state = 2},
  [3753] = {.lex_state = 15, .external_lex_state = 17},
  [3754] = {.lex_state = 15, .external_lex_state = 17},
  [3755] = {.lex_state = 15, .external_lex_state = 17},
  [3756] = {.lex_state = 15, .external_lex_state = 17},
  [3757] = {.lex_state = 15, .external_lex_state = 17},
  [3758] = {.lex_state = 15, .external_lex_state = 17},
  [3759] = {.lex_state = 15, .external_lex_state = 17},
  [3760] = {.lex_state = 15, .external_lex_state = 19},
  [3761] = {.lex_state = 15, .external_lex_state = 19},
  [3762] = {.lex_state = 15, .external_lex_state = 17},
  [3763] = {.lex_state = 14, .external_lex_state = 18},
  [3764] = {.lex_state = 14, .external_lex_state = 18},
  [3765] = {.lex_state = 15, .external_lex_state = 17},
  [3766] = {.lex_state = 14, .external_lex_state = 16},
  [3767] = {.lex_state = 14, .external_lex_state = 16},
  [3768] = {.lex_state = 15, .external_lex_state = 17},
  [3769] = {.lex_state = 15, .external_lex_state = 17},
  [3770] = {.lex_state = 15, .external_lex_state = 17},
  [3771] = {.lex_state = 15, .external_lex_state = 17},
  [3772] = {.lex_state = 15, .external_lex_state = 17},
  [3773] = {.lex_state = 15, .external_lex_state = 17},
  [3774] = {.lex_state = 15, .external_lex_state = 17},
  [3775] = {.lex_state = 15, .external_lex_state = 17},
  [3776] = {.lex_state = 15, .external_lex_state = 17},
  [3777] = {.lex_state = 15, .external_lex_state = 17},
  [3778] = {.lex_state = 15, .external_lex_state = 17},
  [3779] = {.lex_state = 15, .external_lex_state = 17},
  [3780] = {.lex_state = 15, .external_lex_state = 17},
  [3781] = {.lex_state = 15, .external_lex_state = 17},
  [3782] = {.lex_state = 15, .external_lex_state = 17},
  [3783] = {.lex_state = 15, .external_lex_state = 19},
  [3784] = {.lex_state = 15, .external_lex_state = 19},
  [3785] = {.lex_state = 15, .external_lex_state = 19},
  [3786] = {.lex_state = 15, .external_lex_state = 19},
  [3787] = {.lex_state = 15, .external_lex_state = 19},
  [3788] = {.lex_state = 15, .external_lex_state = 19},
  [3789] = {.lex_state = 15, .external_lex_state = 19},
  [3790] = {.lex_state = 15, .external_lex_state = 19},
  [3791] = {.lex_state = 15, .external_lex_state = 19},
  [3792] = {.lex_state = 15, .external_lex_state = 19},
  [3793] = {.lex_state = 15, .external_lex_state = 19},
  [3794] = {.lex_state = 15, .external_lex_state = 19},
  [3795] = {.lex_state = 15, .external_lex_state = 19},
  [3796] = {.lex_state = 15, .external_lex_state = 19},
  [3797] = {.lex_state = 15, .external_lex_state = 19},
  [3798] = {.lex_state = 15, .external_lex_state = 19},
  [3799] = {.lex_state = 15, .external_lex_state = 19},
  [3800] = {.lex_state = 15, .external_lex_state = 19},
  [3801] = {.lex_state = 15, .external_lex_state = 19},
  [3802] = {.lex_state = 15, .external_lex_state = 19},
  [3803] = {.lex_state = 15, .external_lex_state = 19},
  [3804] = {.lex_state = 15, .external_lex_state = 19},
  [3805] = {.lex_state = 15, .external_lex_state = 19},
  [3806] = {.lex_state = 15, .external_lex_state = 19},
  [3807] = {.lex_state = 15, .external_lex_state = 19},
  [3808] = {.lex_state = 15, .external_lex_state = 19},
  [3809] = {.lex_state = 15, .external_lex_state = 19},
  [3810] = {.lex_state = 15, .external_lex_state = 19},
  [3811] = {.lex_state = 15, .external_lex_state = 19},
  [3812] = {.lex_state = 15, .external_lex_state = 19},
  [3813] = {.lex_state = 15, .external_lex_state = 19},
  [3814] = {.lex_state = 15, .external_lex_state = 19},
  [3815] = {.lex_state = 15, .external_lex_state = 19},
  [3816] = {.lex_state = 15, .external_lex_state = 19},
  [3817] = {.lex_state = 15, .external_lex_state = 19},
  [3818] = {.lex_state = 15, .external_lex_state = 19},
  [3819] = {.lex_state = 15, .external_lex_state = 19},
  [3820] = {.lex_state = 15, .external_lex_state = 19},
  [3821] = {.lex_state = 15, .external_lex_state = 19},
  [3822] = {.lex_state = 15, .external_lex_state = 19},
  [3823] = {.lex_state = 15, .external_lex_state = 19},
  [3824] = {.lex_state = 15, .external_lex_state = 19},
  [3825] = {.lex_state = 15, .external_lex_state = 19},
  [3826] = {.lex_state = 15, .external_lex_state = 19},
  [3827] = {.lex_state = 15, .external_lex_state = 19},
  [3828] = {.lex_state = 15, .external_lex_state = 19},
  [3829] = {.lex_state = 15, .external_lex_state = 19},
  [3830] = {.lex_state = 14, .external_lex_state = 18},
  [3831] = {.lex_state = 15, .external_lex_state = 19},
  [3832] = {.lex_state = 15, .external_lex_state = 19},
  [3833] = {.lex_state = 15, .external_lex_state = 19},
  [3834] = {.lex_state = 15, .external_lex_state = 19},
  [3835] = {.lex_state = 15, .external_lex_state = 19},
  [3836] = {.lex_state = 14, .external_lex_state = 16},
  [3837] = {.lex_state = 15, .external_lex_state = 19},
  [3838] = {.lex_state = 15, .external_lex_state = 19},
  [3839] = {.lex_state = 15, .external_lex_state = 19},
  [3840] = {.lex_state = 15, .external_lex_state = 19},
  [3841] = {.lex_state = 15, .external_lex_state = 19},
  [3842] = {.lex_state = 15, .external_lex_state = 19},
  [3843] = {.lex_state = 15, .external_lex_state = 19},
  [3844] = {.lex_state = 15, .external_lex_state = 19},
  [3845] = {.lex_state = 15, .external_lex_state = 19},
  [3846] = {.lex_state = 15, .external_lex_state = 19},
  [3847] = {.lex_state = 15, .external_lex_state = 19},
  [3848] = {.lex_state = 15, .external_lex_state = 19},
  [3849] = {.lex_state = 15, .external_lex_state = 19},
  [3850] = {.lex_state = 15, .external_lex_state = 19},
  [3851] = {.lex_state = 15, .external_lex_state = 19},
  [3852] = {.lex_state = 15, .external_lex_state = 19},
  [3853] = {.lex_state = 15, .external_lex_state = 19},
  [3854] = {.lex_state = 15, .external_lex_state = 19},
  [3855] = {.lex_state = 15, .external_lex_state = 19},
  [3856] = {.lex_state = 15, .external_lex_state = 19},
  [3857] = {.lex_state = 14, .external_lex_state = 18},
  [3858] = {.lex_state = 14, .external_lex_state = 18},
  [3859] = {.lex_state = 14, .external_lex_state = 18},
  [3860] = {.lex_state = 14, .external_lex_state = 18},
  [3861] = {.lex_state = 14, .external_lex_state = 18},
  [3862] = {.lex_state = 14, .external_lex_state = 18},
  [3863] = {.lex_state = 14, .external_lex_state = 18},
  [3864] = {.lex_state = 14, .external_lex_state = 18},
  [3865] = {.lex_state = 14, .external_lex_state = 18},
  [3866] = {.lex_state = 14, .external_lex_state = 18},
  [3867] = {.lex_state = 14, .external_lex_state = 18},
  [3868] = {.lex_state = 14, .external_lex_state = 18},
  [3869] = {.lex_state = 14, .external_lex_state = 18},
  [3870] = {.lex_state = 14, .external_lex_state = 18},
  [3871] = {.lex_state = 14, .external_lex_state = 18},
  [3872] = {.lex_state = 14, .external_lex_state = 18},
  [3873] = {.lex_state = 14, .external_lex_state = 18},
  [3874] = {.lex_state = 14, .external_lex_state = 18},
  [3875] = {.lex_state = 14, .external_lex_state = 16},
  [3876] = {.lex_state = 14, .external_lex_state = 18},
  [3877] = {.lex_state = 14, .external_lex_state = 18},
  [3878] = {.lex_state = 14, .external_lex_state = 18},
  [3879] = {.lex_state = 14, .external_lex_state = 18},
  [3880] = {.lex_state = 14, .external_lex_state = 18},
  [3881] = {.lex_state = 14, .external_lex_state = 18},
  [3882] = {.lex_state = 15, .external_lex_state = 19},
  [3883] = {.lex_state = 14, .external_lex_state = 18},
  [3884] = {.lex_state = 14, .external_lex_state = 18},
  [3885] = {.lex_state = 14, .external_lex_state = 18},
  [3886] = {.lex_state = 14, .external_lex_state = 18},
  [3887] = {.lex_state = 14, .external_lex_state = 18},
  [3888] = {.lex_state = 14, .external_lex_state = 18},
  [3889] = {.lex_state = 14, .external_lex_state = 18},
  [3890] = {.lex_state = 14, .external_lex_state = 18},
  [3891] = {.lex_state = 14, .external_lex_state = 18},
  [3892] = {.lex_state = 14, .external_lex_state = 18},
  [3893] = {.lex_state = 14, .external_lex_state = 18},
  [3894] = {.lex_state = 15, .external_lex_state = 19},
  [3895] = {.lex_state = 14, .external_lex_state = 18},
  [3896] = {.lex_state = 14, .external_lex_state = 18},
  [3897] = {.lex_state = 14, .external_lex_state = 18},
  [3898] = {.lex_state = 14, .external_lex_state = 18},
  [3899] = {.lex_state = 14, .external_lex_state = 18},
  [3900] = {.lex_state = 14, .external_lex_state = 18},
  [3901] = {.lex_state = 14, .external_lex_state = 18},
  [3902] = {.lex_state = 14, .external_lex_state = 18},
  [3903] = {.lex_state = 14, .external_lex_state = 18},
  [3904] = {.lex_state = 14, .external_lex_state = 18},
  [3905] = {.lex_state = 14, .external_lex_state = 18},
  [3906] = {.lex_state = 14, .external_lex_state = 18},
  [3907] = {.lex_state = 10, .external_lex_state = 3},
  [3908] = {.lex_state = 14, .external_lex_state = 16},
  [3909] = {.lex_state = 14, .external_lex_state = 16},
  [3910] = {.lex_state = 14, .external_lex_state = 18},
  [3911] = {.lex_state = 14, .external_lex_state = 18},
  [3912] = {.lex_state = 14, .external_lex_state = 18},
  [3913] = {.lex_state = 15, .external_lex_state = 19},
  [3914] = {.lex_state = 15, .external_lex_state = 19},
  [3915] = {.lex_state = 14, .external_lex_state = 18},
  [3916] = {.lex_state = 15, .external_lex_state = 19},
  [3917] = {.lex_state = 14, .external_lex_state = 18},
  [3918] = {.lex_state = 14, .external_lex_state = 18},
  [3919] = {.lex_state = 14, .external_lex_state = 18},
  [3920] = {.lex_state = 10, .external_lex_state = 3},
  [3921] = {.lex_state = 14, .external_lex_state = 18},
  [3922] = {.lex_state = 14, .external_lex_state = 18},
  [3923] = {.lex_state = 14, .external_lex_state = 18},
  [3924] = {.lex_state = 14, .external_lex_state = 18},
  [3925] = {.lex_state = 10, .external_lex_state = 3},
  [3926] = {.lex_state = 10, .external_lex_state = 3},
  [3927] = {.lex_state = 14, .external_lex_state = 18},
  [3928] = {.lex_state = 14, .external_lex_state = 18},
  [3929] = {.lex_state = 15, .external_lex_state = 17},
  [3930] = {.lex_state = 14, .external_lex_state = 18},
  [3931] = {.lex_state = 14, .external_lex_state = 18},
  [3932] = {.lex_state = 15, .external_lex_state = 19},
  [3933] = {.lex_state = 10, .external_lex_state = 3},
  [3934] = {.lex_state = 15, .external_lex_state = 19},
  [3935] = {.lex_state = 14, .external_lex_state = 18},
  [3936] = {.lex_state = 14, .external_lex_state = 16},
  [3937] = {.lex_state = 14, .external_lex_state = 18},
  [3938] = {.lex_state = 14, .external_lex_state = 18},
  [3939] = {.lex_state = 14, .external_lex_state = 18},
  [3940] = {.lex_state = 15, .external_lex_state = 19},
  [3941] = {.lex_state = 14, .external_lex_state = 18},
  [3942] = {.lex_state = 14, .external_lex_state = 18},
  [3943] = {.lex_state = 14, .external_lex_state = 18},
  [3944] = {.lex_state = 15, .external_lex_state = 19},
  [3945] = {.lex_state = 15, .external_lex_state = 19},
  [3946] = {.lex_state = 14, .external_lex_state = 18},
  [3947] = {.lex_state = 14, .external_lex_state = 18},
  [3948] = {.lex_state = 15, .external_lex_state = 19},
  [3949] = {.lex_state = 15, .external_lex_state = 19},
  [3950] = {.lex_state = 14, .external_lex_state = 16},
  [3951] = {.lex_state = 14, .external_lex_state = 16},
  [3952] = {.lex_state = 14, .external_lex_state = 18},
  [3953] = {.lex_state = 14, .external_lex_state = 18},
  [3954] = {.lex_state = 15, .external_lex_state = 17},
  [3955] = {.lex_state = 14, .external_lex_state = 16},
  [3956] = {.lex_state = 14, .external_lex_state = 16},
  [3957] = {.lex_state = 14, .external_lex_state = 16},
  [3958] = {.lex_state = 14, .external_lex_state = 16},
  [3959] = {.lex_state = 14, .external_lex_state = 16},
  [3960] = {.lex_state = 14, .external_lex_state = 16},
  [3961] = {.lex_state = 14, .external_lex_state = 16},
  [3962] = {.lex_state = 14, .external_lex_state = 16},
  [3963] = {.lex_state = 14, .external_lex_state = 16},
  [3964] = {.lex_state = 14, .external_lex_state = 18},
  [3965] = {.lex_state = 14, .external_lex_state = 16},
  [3966] = {.lex_state = 14, .external_lex_state = 16},
  [3967] = {.lex_state = 14, .external_lex_state = 16},
  [3968] = {.lex_state = 14, .external_lex_state = 16},
  [3969] = {.lex_state = 14, .external_lex_state = 16},
  [3970] = {.lex_state = 14, .external_lex_state = 16},
  [3971] = {.lex_state = 14, .external_lex_state = 16},
  [3972] = {.lex_state = 14, .external_lex_state = 18},
  [3973] = {.lex_state = 14, .external_lex_state = 16},
  [3974] = {.lex_state = 14, .external_lex_state = 16},
  [3975] = {.lex_state = 14, .external_lex_state = 16},
  [3976] = {.lex_state = 14, .external_lex_state = 16},
  [3977] = {.lex_state = 15, .external_lex_state = 17},
  [3978] = {.lex_state = 14, .external_lex_state = 16},
  [3979] = {.lex_state = 14, .external_lex_state = 16},
  [3980] = {.lex_state = 14, .external_lex_state = 16},
  [3981] = {.lex_state = 14, .external_lex_state = 16},
  [3982] = {.lex_state = 14, .external_lex_state = 16},
  [3983] = {.lex_state = 14, .external_lex_state = 16},
  [3984] = {.lex_state = 14, .external_lex_state = 16},
  [3985] = {.lex_state = 14, .external_lex_state = 16},
  [3986] = {.lex_state = 14, .external_lex_state = 16},
  [3987] = {.lex_state = 14, .external_lex_state = 16},
  [3988] = {.lex_state = 14, .external_lex_state = 16},
  [3989] = {.lex_state = 14, .external_lex_state = 16},
  [3990] = {.lex_state = 14, .external_lex_state = 18},
  [3991] = {.lex_state = 14, .external_lex_state = 16},
  [3992] = {.lex_state = 14, .external_lex_state = 16},
  [3993] = {.lex_state = 14, .external_lex_state = 16},
  [3994] = {.lex_state = 14, .external_lex_state = 16},
  [3995] = {.lex_state = 14, .external_lex_state = 16},
  [3996] = {.lex_state = 14, .external_lex_state = 16},
  [3997] = {.lex_state = 14, .external_lex_state = 16},
  [3998] = {.lex_state = 14, .external_lex_state = 16},
  [3999] = {.lex_state = 14, .external_lex_state = 16},
  [4000] = {.lex_state = 14, .external_lex_state = 16},
  [4001] = {.lex_state = 14, .external_lex_state = 16},
  [4002] = {.lex_state = 14, .external_lex_state = 16},
  [4003] = {.lex_state = 12, .external_lex_state = 11},
  [4004] = {.lex_state = 14, .external_lex_state = 16},
  [4005] = {.lex_state = 14, .external_lex_state = 18},
  [4006] = {.lex_state = 14, .external_lex_state = 18},
  [4007] = {.lex_state = 14, .external_lex_state = 16},
  [4008] = {.lex_state = 14, .external_lex_state = 16},
  [4009] = {.lex_state = 14, .external_lex_state = 16},
  [4010] = {.lex_state = 15, .external_lex_state = 17},
  [4011] = {.lex_state = 14, .external_lex_state = 18},
  [4012] = {.lex_state = 14, .external_lex_state = 16},
  [4013] = {.lex_state = 14, .external_lex_state = 16},
  [4014] = {.lex_state = 14, .external_lex_state = 16},
  [4015] = {.lex_state = 14, .external_lex_state = 16},
  [4016] = {.lex_state = 14, .external_lex_state = 16},
  [4017] = {.lex_state = 14, .external_lex_state = 16},
  [4018] = {.lex_state = 14, .external_lex_state = 16},
  [4019] = {.lex_state = 14, .external_lex_state = 16},
  [4020] = {.lex_state = 14, .external_lex_state = 18},
  [4021] = {.lex_state = 14, .external_lex_state = 16},
  [4022] = {.lex_state = 14, .external_lex_state = 16},
  [4023] = {.lex_state = 14, .external_lex_state = 18},
  [4024] = {.lex_state = 14, .external_lex_state = 16},
  [4025] = {.lex_state = 14, .external_lex_state = 16},
  [4026] = {.lex_state = 14, .external_lex_state = 18},
  [4027] = {.lex_state = 15, .external_lex_state = 19},
  [4028] = {.lex_state = 14, .external_lex_state = 16},
  [4029] = {.lex_state = 14, .external_lex_state = 16},
  [4030] = {.lex_state = 14, .external_lex_state = 16},
  [4031] = {.lex_state = 14, .external_lex_state = 18},
  [4032] = {.lex_state = 14, .external_lex_state = 18},
  [4033] = {.lex_state = 14, .external_lex_state = 16},
  [4034] = {.lex_state = 14, .external_lex_state = 18},
  [4035] = {.lex_state = 14, .external_lex_state = 16},
  [4036] = {.lex_state = 14, .external_lex_state = 16},
  [4037] = {.lex_state = 14, .external_lex_state = 16},
  [4038] = {.lex_state = 14, .external_lex_state = 16},
  [4039] = {.lex_state = 14, .external_lex_state = 16},
  [4040] = {.lex_state = 14, .external_lex_state = 16},
  [4041] = {.lex_state = 14, .external_lex_state = 16},
  [4042] = {.lex_state = 15, .external_lex_state = 19},
  [4043] = {.lex_state = 14, .external_lex_state = 16},
  [4044] = {.lex_state = 15, .external_lex_state = 19},
  [4045] = {.lex_state = 15, .external_lex_state = 19},
  [4046] = {.lex_state = 333, .external_lex_state = 2},
  [4047] = {.lex_state = 10, .external_lex_state = 3},
  [4048] = {.lex_state = 10, .external_lex_state = 3},
  [4049] = {.lex_state = 10, .external_lex_state = 3},
  [4050] = {.lex_state = 10, .external_lex_state = 3},
  [4051] = {.lex_state = 333, .external_lex_state = 2},
  [4052] = {.lex_state = 12, .external_lex_state = 10},
  [4053] = {.lex_state = 12, .external_lex_state = 10},
  [4054] = {.lex_state = 333, .external_lex_state = 2},
  [4055] = {.lex_state = 10, .external_lex_state = 3},
  [4056] = {.lex_state = 333, .external_lex_state = 2},
  [4057] = {.lex_state = 12, .external_lex_state = 10},
  [4058] = {.lex_state = 12, .external_lex_state = 12},
  [4059] = {.lex_state = 15, .external_lex_state = 14},
  [4060] = {.lex_state = 333, .external_lex_state = 2},
  [4061] = {.lex_state = 15, .external_lex_state = 14},
  [4062] = {.lex_state = 12, .external_lex_state = 11},
  [4063] = {.lex_state = 333, .external_lex_state = 2},
  [4064] = {.lex_state = 333, .external_lex_state = 2},
  [4065] = {.lex_state = 14, .external_lex_state = 15},
  [4066] = {.lex_state = 333, .external_lex_state = 2},
  [4067] = {.lex_state = 333, .external_lex_state = 2},
  [4068] = {.lex_state = 14, .external_lex_state = 15},
  [4069] = {.lex_state = 14, .external_lex_state = 15},
  [4070] = {.lex_state = 12, .external_lex_state = 12},
  [4071] = {.lex_state = 12, .external_lex_state = 12},
  [4072] = {.lex_state = 12, .external_lex_state = 11},
  [4073] = {.lex_state = 15, .external_lex_state = 14},
  [4074] = {.lex_state = 12, .external_lex_state = 11},
  [4075] = {.lex_state = 333, .external_lex_state = 2},
  [4076] = {.lex_state = 15, .external_lex_state = 19},
  [4077] = {.lex_state = 15, .external_lex_state = 19},
  [4078] = {.lex_state = 333, .external_lex_state = 2},
  [4079] = {.lex_state = 15, .external_lex_state = 19},
  [4080] = {.lex_state = 333, .external_lex_state = 2},
  [4081] = {.lex_state = 14, .external_lex_state = 18},
  [4082] = {.lex_state = 333, .external_lex_state = 2},
  [4083] = {.lex_state = 333, .external_lex_state = 2},
  [4084] = {.lex_state = 14, .external_lex_state = 18},
  [4085] = {.lex_state = 15, .external_lex_state = 17},
  [4086] = {.lex_state = 14, .external_lex_state = 18},
  [4087] = {.lex_state = 333, .external_lex_state = 2},
  [4088] = {.lex_state = 15, .external_lex_state = 17},
  [4089] = {.lex_state = 333, .external_lex_state = 2},
  [4090] = {.lex_state = 14, .external_lex_state = 16},
  [4091] = {.lex_state = 333, .external_lex_state = 2},
  [4092] = {.lex_state = 10, .external_lex_state = 3},
  [4093] = {.lex_state = 14, .external_lex_state = 16},
  [4094] = {.lex_state = 14, .external_lex_state = 16},
  [4095] = {.lex_state = 15, .external_lex_state = 17},
  [4096] = {.lex_state = 10, .external_lex_state = 3},
  [4097] = {.lex_state = 333, .external_lex_state = 2},
  [4098] = {.lex_state = 333, .external_lex_state = 2},
  [4099] = {.lex_state = 12, .external_lex_state = 10},
  [4100] = {.lex_state = 333, .external_lex_state = 2},
  [4101] = {.lex_state = 333, .external_lex_state = 2},
  [4102] = {.lex_state = 333, .external_lex_state = 2},
  [4103] = {.lex_state = 333, .external_lex_state = 2},
  [4104] = {.lex_state = 333, .external_lex_state = 2},
  [4105] = {.lex_state = 333, .external_lex_state = 2},
  [4106] = {.lex_state = 333, .external_lex_state = 2},
  [4107] = {.lex_state = 333, .external_lex_state = 2},
  [4108] = {.lex_state = 333, .external_lex_state = 2},
  [4109] = {.lex_state = 333, .external_lex_state = 2},
  [4110] = {.lex_state = 12, .external_lex_state = 10},
  [4111] = {.lex_state = 333, .external_lex_state = 2},
  [4112] = {.lex_state = 10, .external_lex_state = 3},
  [4113] = {.lex_state = 333, .external_lex_state = 2},
  [4114] = {.lex_state = 14, .external_lex_state = 15},
  [4115] = {.lex_state = 14, .external_lex_state = 15},
  [4116] = {.lex_state = 15, .external_lex_state = 14},
  [4117] = {.lex_state = 333, .external_lex_state = 2},
  [4118] = {.lex_state = 333, .external_lex_state = 2},
  [4119] = {.lex_state = 10, .external_lex_state = 3},
  [4120] = {.lex_state = 10, .external_lex_state = 3},
  [4121] = {.lex_state = 333, .external_lex_state = 2},
  [4122] = {.lex_state = 10, .external_lex_state = 3},
  [4123] = {.lex_state = 333, .external_lex_state = 2},
  [4124] = {.lex_state = 10, .external_lex_state = 3},
  [4125] = {.lex_state = 10, .external_lex_state = 3},
  [4126] = {.lex_state = 10, .external_lex_state = 3},
  [4127] = {.lex_state = 10, .external_lex_state = 3},
  [4128] = {.lex_state = 10, .external_lex_state = 3},
  [4129] = {.lex_state = 10, .external_lex_state = 3},
  [4130] = {.lex_state = 10, .external_lex_state = 3},
  [4131] = {.lex_state = 10, .external_lex_state = 3},
  [4132] = {.lex_state = 10, .external_lex_state = 3},
  [4133] = {.lex_state = 10, .external_lex_state = 3},
  [4134] = {.lex_state = 10, .external_lex_state = 3},
  [4135] = {.lex_state = 10, .external_lex_state = 3},
  [4136] = {.lex_state = 333, .external_lex_state = 2},
  [4137] = {.lex_state = 333, .external_lex_state = 2},
  [4138] = {.lex_state = 10, .external_lex_state = 3},
  [4139] = {.lex_state = 15, .external_lex_state = 14},
  [4140] = {.lex_state = 10, .external_lex_state = 3},
  [4141] = {.lex_state = 10, .external_lex_state = 3},
  [4142] = {.lex_state = 10, .external_lex_state = 3},
  [4143] = {.lex_state = 333, .external_lex_state = 2},
  [4144] = {.lex_state = 333, .external_lex_state = 2},
  [4145] = {.lex_state = 333, .external_lex_state = 2},
  [4146] = {.lex_state = 10, .external_lex_state = 3},
  [4147] = {.lex_state = 333, .external_lex_state = 2},
  [4148] = {.lex_state = 12, .external_lex_state = 12},
  [4149] = {.lex_state = 10, .external_lex_state = 3},
  [4150] = {.lex_state = 333, .external_lex_state = 2},
  [4151] = {.lex_state = 12, .external_lex_state = 12},
  [4152] = {.lex_state = 12, .external_lex_state = 11},
  [4153] = {.lex_state = 12, .external_lex_state = 11},
  [4154] = {.lex_state = 14, .external_lex_state = 16},
  [4155] = {.lex_state = 14, .external_lex_state = 18},
  [4156] = {.lex_state = 14, .external_lex_state = 18},
  [4157] = {.lex_state = 15, .external_lex_state = 19},
  [4158] = {.lex_state = 15, .external_lex_state = 17},
  [4159] = {.lex_state = 15, .external_lex_state = 17},
  [4160] = {.lex_state = 15, .external_lex_state = 19},
  [4161] = {.lex_state = 14, .external_lex_state = 16},
  [4162] = {.lex_state = 333, .external_lex_state = 2},
  [4163] = {.lex_state = 333, .external_lex_state = 2},
  [4164] = {.lex_state = 333, .external_lex_state = 2},
  [4165] = {.lex_state = 333, .external_lex_state = 2},
  [4166] = {.lex_state = 333, .external_lex_state = 2},
  [4167] = {.lex_state = 333, .external_lex_state = 2},
  [4168] = {.lex_state = 333, .external_lex_state = 2},
  [4169] = {.lex_state = 333, .external_lex_state = 2},
  [4170] = {.lex_state = 333, .external_lex_state = 2},
  [4171] = {.lex_state = 31, .external_lex_state = 21},
  [4172] = {.lex_state = 31, .external_lex_state = 21},
  [4173] = {.lex_state = 31, .external_lex_state = 21},
  [4174] = {.lex_state = 31, .external_lex_state = 21},
  [4175] = {.lex_state = 31, .external_lex_state = 21},
  [4176] = {.lex_state = 31, .external_lex_state = 21},
  [4177] = {.lex_state = 31, .external_lex_state = 21},
  [4178] = {.lex_state = 31, .external_lex_state = 21},
  [4179] = {.lex_state = 31, .external_lex_state = 21},
  [4180] = {.lex_state = 31, .external_lex_state = 21},
  [4181] = {.lex_state = 31, .external_lex_state = 21},
  [4182] = {.lex_state = 31, .external_lex_state = 21},
  [4183] = {.lex_state = 31, .external_lex_state = 21},
  [4184] = {.lex_state = 31, .external_lex_state = 21},
  [4185] = {.lex_state = 31, .external_lex_state = 21},
  [4186] = {.lex_state = 31, .external_lex_state = 21},
  [4187] = {.lex_state = 31, .external_lex_state = 21},
  [4188] = {.lex_state = 31, .external_lex_state = 21},
  [4189] = {.lex_state = 31, .external_lex_state = 21},
  [4190] = {.lex_state = 31, .external_lex_state = 21},
  [4191] = {.lex_state = 31, .external_lex_state = 21},
  [4192] = {.lex_state = 31, .external_lex_state = 21},
  [4193] = {.lex_state = 31, .external_lex_state = 21},
  [4194] = {.lex_state = 31, .external_lex_state = 21},
  [4195] = {.lex_state = 31, .external_lex_state = 21},
  [4196] = {.lex_state = 31, .external_lex_state = 21},
  [4197] = {.lex_state = 31, .external_lex_state = 21},
  [4198] = {.lex_state = 31, .external_lex_state = 21},
  [4199] = {.lex_state = 31, .external_lex_state = 21},
  [4200] = {.lex_state = 31, .external_lex_state = 21},
  [4201] = {.lex_state = 31, .external_lex_state = 21},
  [4202] = {.lex_state = 31, .external_lex_state = 21},
  [4203] = {.lex_state = 31, .external_lex_state = 21},
  [4204] = {.lex_state = 31, .external_lex_state = 21},
  [4205] = {.lex_state = 31, .external_lex_state = 21},
  [4206] = {.lex_state = 31, .external_lex_state = 21},
  [4207] = {.lex_state = 31, .external_lex_state = 21},
  [4208] = {.lex_state = 31, .external_lex_state = 21},
  [4209] = {.lex_state = 31, .external_lex_state = 21},
  [4210] = {.lex_state = 31, .external_lex_state = 21},
  [4211] = {.lex_state = 31, .external_lex_state = 21},
  [4212] = {.lex_state = 31, .external_lex_state = 21},
  [4213] = {.lex_state = 31, .external_lex_state = 21},
  [4214] = {.lex_state = 31, .external_lex_state = 21},
  [4215] = {.lex_state = 31, .external_lex_state = 21},
  [4216] = {.lex_state = 31, .external_lex_state = 21},
  [4217] = {.lex_state = 31, .external_lex_state = 21},
  [4218] = {.lex_state = 31, .external_lex_state = 21},
  [4219] = {.lex_state = 31, .external_lex_state = 21},
  [4220] = {.lex_state = 31, .external_lex_state = 21},
  [4221] = {.lex_state = 31, .external_lex_state = 21},
  [4222] = {.lex_state = 31, .external_lex_state = 21},
  [4223] = {.lex_state = 31, .external_lex_state = 21},
  [4224] = {.lex_state = 31, .external_lex_state = 21},
  [4225] = {.lex_state = 31, .external_lex_state = 21},
  [4226] = {.lex_state = 31, .external_lex_state = 21},
  [4227] = {.lex_state = 31, .external_lex_state = 21},
  [4228] = {.lex_state = 31, .external_lex_state = 21},
  [4229] = {.lex_state = 31, .external_lex_state = 21},
  [4230] = {.lex_state = 31, .external_lex_state = 21},
  [4231] = {.lex_state = 31, .external_lex_state = 21},
  [4232] = {.lex_state = 31, .external_lex_state = 21},
  [4233] = {.lex_state = 31, .external_lex_state = 21},
  [4234] = {.lex_state = 31, .external_lex_state = 21},
  [4235] = {.lex_state = 31, .external_lex_state = 21},
  [4236] = {.lex_state = 31, .external_lex_state = 21},
  [4237] = {.lex_state = 31, .external_lex_state = 21},
  [4238] = {.lex_state = 31, .external_lex_state = 21},
  [4239] = {.lex_state = 31, .external_lex_state = 21},
  [4240] = {.lex_state = 31, .external_lex_state = 21},
  [4241] = {.lex_state = 31, .external_lex_state = 21},
  [4242] = {.lex_state = 31, .external_lex_state = 21},
  [4243] = {.lex_state = 31, .external_lex_state = 21},
  [4244] = {.lex_state = 11, .external_lex_state = 3},
  [4245] = {.lex_state = 11, .external_lex_state = 3},
  [4246] = {.lex_state = 11, .external_lex_state = 3},
  [4247] = {.lex_state = 11, .external_lex_state = 3},
  [4248] = {.lex_state = 11, .external_lex_state = 3},
  [4249] = {.lex_state = 11, .external_lex_state = 3},
  [4250] = {.lex_state = 11, .external_lex_state = 3},
  [4251] = {.lex_state = 11, .external_lex_state = 3},
  [4252] = {.lex_state = 11, .external_lex_state = 3},
  [4253] = {.lex_state = 11, .external_lex_state = 3},
  [4254] = {.lex_state = 11, .external_lex_state = 3},
  [4255] = {.lex_state = 11, .external_lex_state = 3},
  [4256] = {.lex_state = 11, .external_lex_state = 3},
  [4257] = {.lex_state = 11, .external_lex_state = 3},
  [4258] = {.lex_state = 11, .external_lex_state = 3},
  [4259] = {.lex_state = 11, .external_lex_state = 3},
  [4260] = {.lex_state = 11, .external_lex_state = 3},
  [4261] = {.lex_state = 11, .external_lex_state = 3},
  [4262] = {.lex_state = 11, .external_lex_state = 3},
  [4263] = {.lex_state = 11, .external_lex_state = 3},
  [4264] = {.lex_state = 11, .external_lex_state = 3},
  [4265] = {.lex_state = 11, .external_lex_state = 3},
  [4266] = {.lex_state = 11, .external_lex_state = 3},
  [4267] = {.lex_state = 11, .external_lex_state = 3},
  [4268] = {.lex_state = 11, .external_lex_state = 3},
  [4269] = {.lex_state = 11, .external_lex_state = 3},
  [4270] = {.lex_state = 11, .external_lex_state = 3},
  [4271] = {.lex_state = 11, .external_lex_state = 3},
  [4272] = {.lex_state = 13, .external_lex_state = 20},
  [4273] = {.lex_state = 11, .external_lex_state = 3},
  [4274] = {.lex_state = 11, .external_lex_state = 3},
  [4275] = {.lex_state = 11, .external_lex_state = 3},
  [4276] = {.lex_state = 11, .external_lex_state = 3},
  [4277] = {.lex_state = 11, .external_lex_state = 3},
  [4278] = {.lex_state = 11, .external_lex_state = 3},
  [4279] = {.lex_state = 11, .external_lex_state = 3},
  [4280] = {.lex_state = 11, .external_lex_state = 3},
  [4281] = {.lex_state = 11, .external_lex_state = 3},
  [4282] = {.lex_state = 11, .external_lex_state = 3},
  [4283] = {.lex_state = 11, .external_lex_state = 3},
  [4284] = {.lex_state = 11, .external_lex_state = 3},
  [4285] = {.lex_state = 11, .external_lex_state = 3},
  [4286] = {.lex_state = 11, .external_lex_state = 3},
  [4287] = {.lex_state = 11, .external_lex_state = 3},
  [4288] = {.lex_state = 11, .external_lex_state = 3},
  [4289] = {.lex_state = 11, .external_lex_state = 3},
  [4290] = {.lex_state = 11, .external_lex_state = 3},
  [4291] = {.lex_state = 11, .external_lex_state = 3},
  [4292] = {.lex_state = 11, .external_lex_state = 3},
  [4293] = {.lex_state = 13, .external_lex_state = 20},
  [4294] = {.lex_state = 11, .external_lex_state = 3},
  [4295] = {.lex_state = 11, .external_lex_state = 3},
  [4296] = {.lex_state = 13, .external_lex_state = 20},
  [4297] = {.lex_state = 13, .external_lex_state = 20},
  [4298] = {.lex_state = 11, .external_lex_state = 3},
  [4299] = {.lex_state = 11, .external_lex_state = 3},
  [4300] = {.lex_state = 13, .external_lex_state = 20},
  [4301] = {.lex_state = 11, .external_lex_state = 3},
  [4302] = {.lex_state = 13, .external_lex_state = 20},
  [4303] = {.lex_state = 13, .external_lex_state = 20},
  [4304] = {.lex_state = 13, .external_lex_state = 20},
  [4305] = {.lex_state = 13, .external_lex_state = 20},
  [4306] = {.lex_state = 11, .external_lex_state = 3},
  [4307] = {.lex_state = 13, .external_lex_state = 20},
  [4308] = {.lex_state = 13, .external_lex_state = 20},
  [4309] = {.lex_state = 13, .external_lex_state = 20},
  [4310] = {.lex_state = 11, .external_lex_state = 3},
  [4311] = {.lex_state = 13, .external_lex_state = 20},
  [4312] = {.lex_state = 13, .external_lex_state = 20},
  [4313] = {.lex_state = 11, .external_lex_state = 3},
  [4314] = {.lex_state = 13, .external_lex_state = 20},
  [4315] = {.lex_state = 13, .external_lex_state = 20},
  [4316] = {.lex_state = 13, .external_lex_state = 20},
  [4317] = {.lex_state = 13, .external_lex_state = 20},
  [4318] = {.lex_state = 13, .external_lex_state = 20},
  [4319] = {.lex_state = 13, .external_lex_state = 20},
  [4320] = {.lex_state = 13, .external_lex_state = 20},
  [4321] = {.lex_state = 13, .external_lex_state = 20},
  [4322] = {.lex_state = 13, .external_lex_state = 20},
  [4323] = {.lex_state = 13, .external_lex_state = 20},
  [4324] = {.lex_state = 13, .external_lex_state = 20},
  [4325] = {.lex_state = 13, .external_lex_state = 20},
  [4326] = {.lex_state = 13, .external_lex_state = 20},
  [4327] = {.lex_state = 13, .external_lex_state = 20},
  [4328] = {.lex_state = 13, .external_lex_state = 20},
  [4329] = {.lex_state = 13, .external_lex_state = 20},
  [4330] = {.lex_state = 11, .external_lex_state = 3},
  [4331] = {.lex_state = 11, .external_lex_state = 3},
  [4332] = {.lex_state = 11, .external_lex_state = 3},
  [4333] = {.lex_state = 11, .external_lex_state = 3},
  [4334] = {.lex_state = 13, .external_lex_state = 20},
  [4335] = {.lex_state = 13, .external_lex_state = 13},
  [4336] = {.lex_state = 11, .external_lex_state = 3},
  [4337] = {.lex_state = 11, .external_lex_state = 3},
  [4338] = {.lex_state = 11, .external_lex_state = 3},
  [4339] = {.lex_state = 11, .external_lex_state = 3},
  [4340] = {.lex_state = 11, .external_lex_state = 3},
  [4341] = {.lex_state = 13, .external_lex_state = 13},
  [4342] = {.lex_state = 13, .external_lex_state = 13},
  [4343] = {.lex_state = 13, .external_lex_state = 20},
  [4344] = {.lex_state = 13, .external_lex_state = 20},
  [4345] = {.lex_state = 11, .external_lex_state = 3},
  [4346] = {.lex_state = 13, .external_lex_state = 20},
  [4347] = {.lex_state = 13, .external_lex_state = 13},
  [4348] = {.lex_state = 13, .external_lex_state = 13},
  [4349] = {.lex_state = 13, .external_lex_state = 13},
  [4350] = {.lex_state = 13, .external_lex_state = 13},
  [4351] = {.lex_state = 11, .external_lex_state = 3},
  [4352] = {.lex_state = 11, .external_lex_state = 3},
  [4353] = {.lex_state = 13, .external_lex_state = 20},
  [4354] = {.lex_state = 11, .external_lex_state = 3},
  [4355] = {.lex_state = 11, .external_lex_state = 3},
  [4356] = {.lex_state = 13, .external_lex_state = 20},
  [4357] = {.lex_state = 13, .external_lex_state = 20},
  [4358] = {.lex_state = 13, .external_lex_state = 20},
  [4359] = {.lex_state = 13, .external_lex_state = 20},
  [4360] = {.lex_state = 11, .external_lex_state = 3},
  [4361] = {.lex_state = 11, .external_lex_state = 3},
  [4362] = {.lex_state = 13, .external_lex_state = 20},
  [4363] = {.lex_state = 13, .external_lex_state = 20},
  [4364] = {.lex_state = 11, .external_lex_state = 3},
  [4365] = {.lex_state = 11, .external_lex_state = 3},
  [4366] = {.lex_state = 11, .external_lex_state = 3},
  [4367] = {.lex_state = 13, .external_lex_state = 20},
  [4368] = {.lex_state = 13, .external_lex_state = 13},
  [4369] = {.lex_state = 11, .external_lex_state = 3},
  [4370] = {.lex_state = 11, .external_lex_state = 3},
  [4371] = {.lex_state = 11, .external_lex_state = 3},
  [4372] = {.lex_state = 13, .external_lex_state = 20},
  [4373] = {.lex_state = 13, .external_lex_state = 13},
  [4374] = {.lex_state = 13, .external_lex_state = 13},
  [4375] = {.lex_state = 13, .external_lex_state = 13},
  [4376] = {.lex_state = 13, .external_lex_state = 13},
  [4377] = {.lex_state = 13, .external_lex_state = 13},
  [4378] = {.lex_state = 13, .external_lex_state = 13},
  [4379] = {.lex_state = 13, .external_lex_state = 13},
  [4380] = {.lex_state = 13, .external_lex_state = 13},
  [4381] = {.lex_state = 13, .external_lex_state = 13},
  [4382] = {.lex_state = 13, .external_lex_state = 13},
  [4383] = {.lex_state = 13, .external_lex_state = 13},
  [4384] = {.lex_state = 11, .external_lex_state = 3},
  [4385] = {.lex_state = 13, .external_lex_state = 13},
  [4386] = {.lex_state = 13, .external_lex_state = 13},
  [4387] = {.lex_state = 13, .external_lex_state = 13},
  [4388] = {.lex_state = 13, .external_lex_state = 13},
  [4389] = {.lex_state = 13, .external_lex_state = 13},
  [4390] = {.lex_state = 13, .external_lex_state = 13},
  [4391] = {.lex_state = 11, .external_lex_state = 3},
  [4392] = {.lex_state = 11, .external_lex_state = 3},
  [4393] = {.lex_state = 11, .external_lex_state = 3},
  [4394] = {.lex_state = 13, .external_lex_state = 13},
  [4395] = {.lex_state = 13, .external_lex_state = 13},
  [4396] = {.lex_state = 11, .external_lex_state = 3},
  [4397] = {.lex_state = 11, .external_lex_state = 3},
  [4398] = {.lex_state = 11, .external_lex_state = 3},
  [4399] = {.lex_state = 31, .external_lex_state = 22},
  [4400] = {.lex_state = 13, .external_lex_state = 20},
  [4401] = {.lex_state = 13, .external_lex_state = 20},
  [4402] = {.lex_state = 11, .external_lex_state = 3},
  [4403] = {.lex_state = 13, .external_lex_state = 20},
  [4404] = {.lex_state = 13, .external_lex_state = 20},
  [4405] = {.lex_state = 11, .external_lex_state = 3},
  [4406] = {.lex_state = 11, .external_lex_state = 3},
  [4407] = {.lex_state = 11, .external_lex_state = 3},
  [4408] = {.lex_state = 11, .external_lex_state = 3},
  [4409] = {.lex_state = 13, .external_lex_state = 20},
  [4410] = {.lex_state = 11, .external_lex_state = 3},
  [4411] = {.lex_state = 13, .external_lex_state = 20},
  [4412] = {.lex_state = 11, .external_lex_state = 3},
  [4413] = {.lex_state = 13, .external_lex_state = 20},
  [4414] = {.lex_state = 13, .external_lex_state = 20},
  [4415] = {.lex_state = 13, .external_lex_state = 20},
  [4416] = {.lex_state = 13, .external_lex_state = 20},
  [4417] = {.lex_state = 13, .external_lex_state = 20},
  [4418] = {.lex_state = 13, .external_lex_state = 20},
  [4419] = {.lex_state = 11, .external_lex_state = 3},
  [4420] = {.lex_state = 11, .external_lex_state = 3},
  [4421] = {.lex_state = 13, .external_lex_state = 20},
  [4422] = {.lex_state = 13, .external_lex_state = 20},
  [4423] = {.lex_state = 11, .external_lex_state = 3},
  [4424] = {.lex_state = 11, .external_lex_state = 3},
  [4425] = {.lex_state = 13, .external_lex_state = 20},
  [4426] = {.lex_state = 13, .external_lex_state = 20},
  [4427] = {.lex_state = 13, .external_lex_state = 20},
  [4428] = {.lex_state = 13, .external_lex_state = 20},
  [4429] = {.lex_state = 13, .external_lex_state = 20},
  [4430] = {.lex_state = 13, .external_lex_state = 13},
  [4431] = {.lex_state = 13, .external_lex_state = 23},
  [4432] = {.lex_state = 11, .external_lex_state = 3},
  [4433] = {.lex_state = 13, .external_lex_state = 23},
  [4434] = {.lex_state = 11, .external_lex_state = 3},
  [4435] = {.lex_state = 31, .external_lex_state = 22},
  [4436] = {.lex_state = 11, .external_lex_state = 3},
  [4437] = {.lex_state = 11, .external_lex_state = 3},
  [4438] = {.lex_state = 11, .external_lex_state = 3},
  [4439] = {.lex_state = 13, .external_lex_state = 20},
  [4440] = {.lex_state = 11, .external_lex_state = 3},
  [4441] = {.lex_state = 13, .external_lex_state = 20},
  [4442] = {.lex_state = 13, .external_lex_state = 23},
  [4443] = {.lex_state = 13, .external_lex_state = 23},
  [4444] = {.lex_state = 13, .external_lex_state = 20},
  [4445] = {.lex_state = 11, .external_lex_state = 3},
  [4446] = {.lex_state = 13, .external_lex_state = 20},
  [4447] = {.lex_state = 13, .external_lex_state = 20},
  [4448] = {.lex_state = 13, .external_lex_state = 20},
  [4449] = {.lex_state = 13, .external_lex_state = 20},
  [4450] = {.lex_state = 13, .external_lex_state = 20},
  [4451] = {.lex_state = 13, .external_lex_state = 20},
  [4452] = {.lex_state = 13, .external_lex_state = 20},
  [4453] = {.lex_state = 13, .external_lex_state = 20},
  [4454] = {.lex_state = 13, .external_lex_state = 20},
  [4455] = {.lex_state = 13, .external_lex_state = 20},
  [4456] = {.lex_state = 13, .external_lex_state = 20},
  [4457] = {.lex_state = 13, .external_lex_state = 20},
  [4458] = {.lex_state = 13, .external_lex_state = 20},
  [4459] = {.lex_state = 13, .external_lex_state = 20},
  [4460] = {.lex_state = 11, .external_lex_state = 3},
  [4461] = {.lex_state = 13, .external_lex_state = 20},
  [4462] = {.lex_state = 13, .external_lex_state = 20},
  [4463] = {.lex_state = 13, .external_lex_state = 20},
  [4464] = {.lex_state = 13, .external_lex_state = 20},
  [4465] = {.lex_state = 13, .external_lex_state = 20},
  [4466] = {.lex_state = 13, .external_lex_state = 20},
  [4467] = {.lex_state = 11, .external_lex_state = 3},
  [4468] = {.lex_state = 13, .external_lex_state = 20},
  [4469] = {.lex_state = 13, .external_lex_state = 20},
  [4470] = {.lex_state = 13, .external_lex_state = 23},
  [4471] = {.lex_state = 11, .external_lex_state = 3},
  [4472] = {.lex_state = 11, .external_lex_state = 3},
  [4473] = {.lex_state = 13, .external_lex_state = 20},
  [4474] = {.lex_state = 11, .external_lex_state = 3},
  [4475] = {.lex_state = 13, .external_lex_state = 20},
  [4476] = {.lex_state = 13, .external_lex_state = 20},
  [4477] = {.lex_state = 11, .external_lex_state = 3},
  [4478] = {.lex_state = 13, .external_lex_state = 23},
  [4479] = {.lex_state = 13, .external_lex_state = 20},
  [4480] = {.lex_state = 11, .external_lex_state = 3},
  [4481] = {.lex_state = 13, .external_lex_state = 23},
  [4482] = {.lex_state = 11, .external_lex_state = 3},
  [4483] = {.lex_state = 13, .external_lex_state = 23},
  [4484] = {.lex_state = 11, .external_lex_state = 3},
  [4485] = {.lex_state = 11, .external_lex_state = 3},
  [4486] = {.lex_state = 13, .external_lex_state = 23},
  [4487] = {.lex_state = 13, .external_lex_state = 23},
  [4488] = {.lex_state = 13, .external_lex_state = 23},
  [4489] = {.lex_state = 11, .external_lex_state = 3},
  [4490] = {.lex_state = 13, .external_lex_state = 23},
  [4491] = {.lex_state = 13, .external_lex_state = 23},
  [4492] = {.lex_state = 13, .external_lex_state = 23},
  [4493] = {.lex_state = 13, .external_lex_state = 23},
  [4494] = {.lex_state = 13, .external_lex_state = 23},
  [4495] = {.lex_state = 13, .external_lex_state = 23},
  [4496] = {.lex_state = 13, .external_lex_state = 23},
  [4497] = {.lex_state = 13, .external_lex_state = 23},
  [4498] = {.lex_state = 11, .external_lex_state = 3},
  [4499] = {.lex_state = 11, .external_lex_state = 3},
  [4500] = {.lex_state = 13, .external_lex_state = 23},
  [4501] = {.lex_state = 13, .external_lex_state = 23},
  [4502] = {.lex_state = 13, .external_lex_state = 23},
  [4503] = {.lex_state = 11, .external_lex_state = 3},
  [4504] = {.lex_state = 13, .external_lex_state = 20},
  [4505] = {.lex_state = 13, .external_lex_state = 20},
  [4506] = {.lex_state = 13, .external_lex_state = 20},
  [4507] = {.lex_state = 11, .external_lex_state = 3},
  [4508] = {.lex_state = 13, .external_lex_state = 20},
  [4509] = {.lex_state = 13, .external_lex_state = 23},
  [4510] = {.lex_state = 13, .external_lex_state = 23},
  [4511] = {.lex_state = 13, .external_lex_state = 20},
  [4512] = {.lex_state = 31, .external_lex_state = 22},
  [4513] = {.lex_state = 13, .external_lex_state = 13},
  [4514] = {.lex_state = 13, .external_lex_state = 13},
  [4515] = {.lex_state = 13, .external_lex_state = 23},
  [4516] = {.lex_state = 13, .external_lex_state = 23},
  [4517] = {.lex_state = 13, .external_lex_state = 23},
  [4518] = {.lex_state = 11, .external_lex_state = 3},
  [4519] = {.lex_state = 11, .external_lex_state = 3},
  [4520] = {.lex_state = 13, .external_lex_state = 20},
  [4521] = {.lex_state = 13, .external_lex_state = 13},
  [4522] = {.lex_state = 13, .external_lex_state = 20},
  [4523] = {.lex_state = 13, .external_lex_state = 20},
  [4524] = {.lex_state = 13, .external_lex_state = 13},
  [4525] = {.lex_state = 31, .external_lex_state = 21},
  [4526] = {.lex_state = 13, .external_lex_state = 13},
  [4527] = {.lex_state = 13, .external_lex_state = 13},
  [4528] = {.lex_state = 13, .external_lex_state = 13},
  [4529] = {.lex_state = 13, .external_lex_state = 13},
  [4530] = {.lex_state = 13, .external_lex_state = 20},
  [4531] = {.lex_state = 13, .external_lex_state = 20},
  [4532] = {.lex_state = 11, .external_lex_state = 3},
  [4533] = {.lex_state = 13, .external_lex_state = 20},
  [4534] = {.lex_state = 13, .external_lex_state = 20},
  [4535] = {.lex_state = 13, .external_lex_state = 13},
  [4536] = {.lex_state = 13, .external_lex_state = 20},
  [4537] = {.lex_state = 13, .external_lex_state = 20},
  [4538] = {.lex_state = 31, .external_lex_state = 24},
  [4539] = {.lex_state = 13, .external_lex_state = 20},
  [4540] = {.lex_state = 13, .external_lex_state = 20},
  [4541] = {.lex_state = 13, .external_lex_state = 20},
  [4542] = {.lex_state = 13, .external_lex_state = 20},
  [4543] = {.lex_state = 13, .external_lex_state = 20},
  [4544] = {.lex_state = 13, .external_lex_state = 13},
  [4545] = {.lex_state = 13, .external_lex_state = 20},
  [4546] = {.lex_state = 31, .external_lex_state = 21},
  [4547] = {.lex_state = 13, .external_lex_state = 20},
  [4548] = {.lex_state = 13, .external_lex_state = 20},
  [4549] = {.lex_state = 13, .external_lex_state = 20},
  [4550] = {.lex_state = 13, .external_lex_state = 20},
  [4551] = {.lex_state = 31, .external_lex_state = 24},
  [4552] = {.lex_state = 13, .external_lex_state = 20},
  [4553] = {.lex_state = 13, .external_lex_state = 20},
  [4554] = {.lex_state = 11, .external_lex_state = 3},
  [4555] = {.lex_state = 13, .external_lex_state = 13},
  [4556] = {.lex_state = 13, .external_lex_state = 20},
  [4557] = {.lex_state = 13, .external_lex_state = 20},
  [4558] = {.lex_state = 13, .external_lex_state = 20},
  [4559] = {.lex_state = 13, .external_lex_state = 13},
  [4560] = {.lex_state = 13, .external_lex_state = 20},
  [4561] = {.lex_state = 13, .external_lex_state = 20},
  [4562] = {.lex_state = 13, .external_lex_state = 20},
  [4563] = {.lex_state = 13, .external_lex_state = 20},
  [4564] = {.lex_state = 13, .external_lex_state = 20},
  [4565] = {.lex_state = 13, .external_lex_state = 20},
  [4566] = {.lex_state = 13, .external_lex_state = 13},
  [4567] = {.lex_state = 13, .external_lex_state = 13},
  [4568] = {.lex_state = 13, .external_lex_state = 13},
  [4569] = {.lex_state = 13, .external_lex_state = 20},
  [4570] = {.lex_state = 13, .external_lex_state = 23},
  [4571] = {.lex_state = 13, .external_lex_state = 20},
  [4572] = {.lex_state = 13, .external_lex_state = 20},
  [4573] = {.lex_state = 13, .external_lex_state = 13},
  [4574] = {.lex_state = 13, .external_lex_state = 23},
  [4575] = {.lex_state = 13, .external_lex_state = 23},
  [4576] = {.lex_state = 17, .external_lex_state = 20},
  [4577] = {.lex_state = 13, .external_lex_state = 20},
  [4578] = {.lex_state = 13, .external_lex_state = 13},
  [4579] = {.lex_state = 13, .external_lex_state = 13},
  [4580] = {.lex_state = 13, .external_lex_state = 13},
  [4581] = {.lex_state = 31, .external_lex_state = 24},
  [4582] = {.lex_state = 13, .external_lex_state = 20},
  [4583] = {.lex_state = 13, .external_lex_state = 20},
  [4584] = {.lex_state = 13, .external_lex_state = 20},
  [4585] = {.lex_state = 13, .external_lex_state = 20},
  [4586] = {.lex_state = 13, .external_lex_state = 20},
  [4587] = {.lex_state = 13, .external_lex_state = 20},
  [4588] = {.lex_state = 13, .external_lex_state = 13},
  [4589] = {.lex_state = 13, .external_lex_state = 13},
  [4590] = {.lex_state = 13, .external_lex_state = 20},
  [4591] = {.lex_state = 13, .external_lex_state = 20},
  [4592] = {.lex_state = 13, .external_lex_state = 20},
  [4593] = {.lex_state = 13, .external_lex_state = 13},
  [4594] = {.lex_state = 13, .external_lex_state = 20},
  [4595] = {.lex_state = 13, .external_lex_state = 13},
  [4596] = {.lex_state = 13, .external_lex_state = 13},
  [4597] = {.lex_state = 13, .external_lex_state = 13},
  [4598] = {.lex_state = 13, .external_lex_state = 20},
  [4599] = {.lex_state = 13, .external_lex_state = 20},
  [4600] = {.lex_state = 13, .external_lex_state = 13},
  [4601] = {.lex_state = 13, .external_lex_state = 13},
  [4602] = {.lex_state = 13, .external_lex_state = 20},
  [4603] = {.lex_state = 13, .external_lex_state = 13},
  [4604] = {.lex_state = 13, .external_lex_state = 20},
  [4605] = {.lex_state = 13, .external_lex_state = 13},
  [4606] = {.lex_state = 13, .external_lex_state = 13},
  [4607] = {.lex_state = 13, .external_lex_state = 20},
  [4608] = {.lex_state = 13, .external_lex_state = 13},
  [4609] = {.lex_state = 13, .external_lex_state = 13},
  [4610] = {.lex_state = 31, .external_lex_state = 21},
  [4611] = {.lex_state = 13, .external_lex_state = 13},
  [4612] = {.lex_state = 13, .external_lex_state = 13},
  [4613] = {.lex_state = 13, .external_lex_state = 20},
  [4614] = {.lex_state = 13, .external_lex_state = 13},
  [4615] = {.lex_state = 13, .external_lex_state = 13},
  [4616] = {.lex_state = 13, .external_lex_state = 23},
  [4617] = {.lex_state = 13, .external_lex_state = 20},
  [4618] = {.lex_state = 11, .external_lex_state = 3},
  [4619] = {.lex_state = 13, .external_lex_state = 20},
  [4620] = {.lex_state = 34, .external_lex_state = 25},
  [4621] = {.lex_state = 13, .external_lex_state = 23},
  [4622] = {.lex_state = 11, .external_lex_state = 3},
  [4623] = {.lex_state = 13, .external_lex_state = 23},
  [4624] = {.lex_state = 13, .external_lex_state = 20},
  [4625] = {.lex_state = 11, .external_lex_state = 3},
  [4626] = {.lex_state = 13, .external_lex_state = 23},
  [4627] = {.lex_state = 11, .external_lex_state = 3},
  [4628] = {.lex_state = 13, .external_lex_state = 20},
  [4629] = {.lex_state = 13, .external_lex_state = 23},
  [4630] = {.lex_state = 13, .external_lex_state = 20},
  [4631] = {.lex_state = 11, .external_lex_state = 3},
  [4632] = {.lex_state = 11, .external_lex_state = 3},
  [4633] = {.lex_state = 13, .external_lex_state = 23},
  [4634] = {.lex_state = 13, .external_lex_state = 20},
  [4635] = {.lex_state = 13, .external_lex_state = 20},
  [4636] = {.lex_state = 13, .external_lex_state = 23},
  [4637] = {.lex_state = 11, .external_lex_state = 3},
  [4638] = {.lex_state = 13, .external_lex_state = 20},
  [4639] = {.lex_state = 13, .external_lex_state = 20},
  [4640] = {.lex_state = 11, .external_lex_state = 3},
  [4641] = {.lex_state = 13, .external_lex_state = 20},
  [4642] = {.lex_state = 13, .external_lex_state = 13},
  [4643] = {.lex_state = 11, .external_lex_state = 3},
  [4644] = {.lex_state = 13, .external_lex_state = 13},
  [4645] = {.lex_state = 13, .external_lex_state = 20},
  [4646] = {.lex_state = 11, .external_lex_state = 3},
  [4647] = {.lex_state = 11, .external_lex_state = 3},
  [4648] = {.lex_state = 13, .external_lex_state = 13},
  [4649] = {.lex_state = 11, .external_lex_state = 3},
  [4650] = {.lex_state = 11, .external_lex_state = 3},
  [4651] = {.lex_state = 11, .external_lex_state = 3},
  [4652] = {.lex_state = 11, .external_lex_state = 3},
  [4653] = {.lex_state = 13, .external_lex_state = 20},
  [4654] = {.lex_state = 11, .external_lex_state = 3},
  [4655] = {.lex_state = 13, .external_lex_state = 20},
  [4656] = {.lex_state = 13, .external_lex_state = 20},
  [4657] = {.lex_state = 13, .external_lex_state = 20},
  [4658] = {.lex_state = 13, .external_lex_state = 20},
  [4659] = {.lex_state = 11, .external_lex_state = 3},
  [4660] = {.lex_state = 11, .external_lex_state = 3},
  [4661] = {.lex_state = 11, .external_lex_state = 3},
  [4662] = {.lex_state = 11, .external_lex_state = 3},
  [4663] = {.lex_state = 11, .external_lex_state = 3},
  [4664] = {.lex_state = 11, .external_lex_state = 3},
  [4665] = {.lex_state = 11, .external_lex_state = 3},
  [4666] = {.lex_state = 11, .external_lex_state = 3},
  [4667] = {.lex_state = 11, .external_lex_state = 3},
  [4668] = {.lex_state = 13, .external_lex_state = 20},
  [4669] = {.lex_state = 13, .external_lex_state = 20},
  [4670] = {.lex_state = 11, .external_lex_state = 3},
  [4671] = {.lex_state = 11, .external_lex_state = 3},
  [4672] = {.lex_state = 11, .external_lex_state = 3},
  [4673] = {.lex_state = 13, .external_lex_state = 20},
  [4674] = {.lex_state = 11, .external_lex_state = 3},
  [4675] = {.lex_state = 11, .external_lex_state = 3},
  [4676] = {.lex_state = 11, .external_lex_state = 3},
  [4677] = {.lex_state = 11, .external_lex_state = 3},
  [4678] = {.lex_state = 11, .external_lex_state = 3},
  [4679] = {.lex_state = 11, .external_lex_state = 3},
  [4680] = {.lex_state = 11, .external_lex_state = 3},
  [4681] = {.lex_state = 13, .external_lex_state = 20},
  [4682] = {.lex_state = 11, .external_lex_state = 3},
  [4683] = {.lex_state = 11, .external_lex_state = 3},
  [4684] = {.lex_state = 13, .external_lex_state = 20},
  [4685] = {.lex_state = 13, .external_lex_state = 20},
  [4686] = {.lex_state = 13, .external_lex_state = 20},
  [4687] = {.lex_state = 13, .external_lex_state = 20},
  [4688] = {.lex_state = 13, .external_lex_state = 20},
  [4689] = {.lex_state = 13, .external_lex_state = 20},
  [4690] = {.lex_state = 13, .external_lex_state = 20},
  [4691] = {.lex_state = 11, .external_lex_state = 3},
  [4692] = {.lex_state = 11, .external_lex_state = 3},
  [4693] = {.lex_state = 11, .external_lex_state = 3},
  [4694] = {.lex_state = 11, .external_lex_state = 3},
  [4695] = {.lex_state = 11, .external_lex_state = 3},
  [4696] = {.lex_state = 11, .external_lex_state = 3},
  [4697] = {.lex_state = 11, .external_lex_state = 3},
  [4698] = {.lex_state = 11, .external_lex_state = 3},
  [4699] = {.lex_state = 13, .external_lex_state = 20},
  [4700] = {.lex_state = 11, .external_lex_state = 3},
  [4701] = {.lex_state = 11, .external_lex_state = 3},
  [4702] = {.lex_state = 13, .external_lex_state = 20},
  [4703] = {.lex_state = 13, .external_lex_state = 20},
  [4704] = {.lex_state = 11, .external_lex_state = 3},
  [4705] = {.lex_state = 11, .external_lex_state = 3},
  [4706] = {.lex_state = 11, .external_lex_state = 3},
  [4707] = {.lex_state = 11, .external_lex_state = 3},
  [4708] = {.lex_state = 11, .external_lex_state = 3},
  [4709] = {.lex_state = 11, .external_lex_state = 3},
  [4710] = {.lex_state = 11, .external_lex_state = 3},
  [4711] = {.lex_state = 13, .external_lex_state = 20},
  [4712] = {.lex_state = 11, .external_lex_state = 3},
  [4713] = {.lex_state = 13, .external_lex_state = 20},
  [4714] = {.lex_state = 13, .external_lex_state = 20},
  [4715] = {.lex_state = 34, .external_lex_state = 25},
  [4716] = {.lex_state = 11, .external_lex_state = 3},
  [4717] = {.lex_state = 11, .external_lex_state = 3},
  [4718] = {.lex_state = 11, .external_lex_state = 3},
  [4719] = {.lex_state = 11, .external_lex_state = 3},
  [4720] = {.lex_state = 11, .external_lex_state = 3},
  [4721] = {.lex_state = 11, .external_lex_state = 3},
  [4722] = {.lex_state = 11, .external_lex_state = 3},
  [4723] = {.lex_state = 13, .external_lex_state = 20},
  [4724] = {.lex_state = 13, .external_lex_state = 20},
  [4725] = {.lex_state = 13, .external_lex_state = 20},
  [4726] = {.lex_state = 11, .external_lex_state = 3},
  [4727] = {.lex_state = 11, .external_lex_state = 3},
  [4728] = {.lex_state = 11, .external_lex_state = 3},
  [4729] = {.lex_state = 11, .external_lex_state = 3},
  [4730] = {.lex_state = 11, .external_lex_state = 3},
  [4731] = {.lex_state = 11, .external_lex_state = 3},
  [4732] = {.lex_state = 11, .external_lex_state = 3},
  [4733] = {.lex_state = 11, .external_lex_state = 3},
  [4734] = {.lex_state = 11, .external_lex_state = 3},
  [4735] = {.lex_state = 11, .external_lex_state = 3},
  [4736] = {.lex_state = 13, .external_lex_state = 20},
  [4737] = {.lex_state = 11, .external_lex_state = 3},
  [4738] = {.lex_state = 11, .external_lex_state = 3},
  [4739] = {.lex_state = 11, .external_lex_state = 3},
  [4740] = {.lex_state = 13, .external_lex_state = 23},
  [4741] = {.lex_state = 13, .external_lex_state = 20},
  [4742] = {.lex_state = 31, .external_lex_state = 22},
  [4743] = {.lex_state = 13, .external_lex_state = 20},
  [4744] = {.lex_state = 13, .external_lex_state = 20},
  [4745] = {.lex_state = 34, .external_lex_state = 25},
  [4746] = {.lex_state = 13, .external_lex_state = 20},
  [4747] = {.lex_state = 13, .external_lex_state = 20},
  [4748] = {.lex_state = 13, .external_lex_state = 20},
  [4749] = {.lex_state = 13, .external_lex_state = 13},
  [4750] = {.lex_state = 13, .external_lex_state = 20},
  [4751] = {.lex_state = 13, .external_lex_state = 20},
  [4752] = {.lex_state = 13, .external_lex_state = 20},
  [4753] = {.lex_state = 13, .external_lex_state = 20},
  [4754] = {.lex_state = 13, .external_lex_state = 20},
  [4755] = {.lex_state = 13, .external_lex_state = 20},
  [4756] = {.lex_state = 13, .external_lex_state = 20},
  [4757] = {.lex_state = 13, .external_lex_state = 20},
  [4758] = {.lex_state = 13, .external_lex_state = 20},
  [4759] = {.lex_state = 13, .external_lex_state = 20},
  [4760] = {.lex_state = 13, .external_lex_state = 20},
  [4761] = {.lex_state = 13, .external_lex_state = 20},
  [4762] = {.lex_state = 13, .external_lex_state = 20},
  [4763] = {.lex_state = 34, .external_lex_state = 25},
  [4764] = {.lex_state = 13, .external_lex_state = 20},
  [4765] = {.lex_state = 13, .external_lex_state = 20},
  [4766] = {.lex_state = 13, .external_lex_state = 20},
  [4767] = {.lex_state = 13, .external_lex_state = 20},
  [4768] = {.lex_state = 13, .external_lex_state = 23},
  [4769] = {.lex_state = 13, .external_lex_state = 23},
  [4770] = {.lex_state = 13, .external_lex_state = 23},
  [4771] = {.lex_state = 13, .external_lex_state = 23},
  [4772] = {.lex_state = 13, .external_lex_state = 23},
  [4773] = {.lex_state = 13, .external_lex_state = 23},
  [4774] = {.lex_state = 13, .external_lex_state = 23},
  [4775] = {.lex_state = 13, .external_lex_state = 23},
  [4776] = {.lex_state = 13, .external_lex_state = 23},
  [4777] = {.lex_state = 13, .external_lex_state = 23},
  [4778] = {.lex_state = 13, .external_lex_state = 23},
  [4779] = {.lex_state = 13, .external_lex_state = 23},
  [4780] = {.lex_state = 13, .external_lex_state = 23},
  [4781] = {.lex_state = 13, .external_lex_state = 23},
  [4782] = {.lex_state = 11, .external_lex_state = 3},
  [4783] = {.lex_state = 13, .external_lex_state = 20},
  [4784] = {.lex_state = 11, .external_lex_state = 3},
  [4785] = {.lex_state = 13, .external_lex_state = 13},
  [4786] = {.lex_state = 11, .external_lex_state = 3},
  [4787] = {.lex_state = 11, .external_lex_state = 3},
  [4788] = {.lex_state = 11, .external_lex_state = 3},
  [4789] = {.lex_state = 34, .external_lex_state = 25},
  [4790] = {.lex_state = 11, .external_lex_state = 3},
  [4791] = {.lex_state = 11, .external_lex_state = 3},
  [4792] = {.lex_state = 13, .external_lex_state = 20},
  [4793] = {.lex_state = 13, .external_lex_state = 20},
  [4794] = {.lex_state = 11, .external_lex_state = 3},
  [4795] = {.lex_state = 11, .external_lex_state = 3},
  [4796] = {.lex_state = 11, .external_lex_state = 3},
  [4797] = {.lex_state = 13, .external_lex_state = 20},
  [4798] = {.lex_state = 13, .external_lex_state = 20},
  [4799] = {.lex_state = 13, .external_lex_state = 13},
  [4800] = {.lex_state = 13, .external_lex_state = 13},
  [4801] = {.lex_state = 13, .external_lex_state = 20},
  [4802] = {.lex_state = 31, .external_lex_state = 22},
  [4803] = {.lex_state = 13, .external_lex_state = 20},
  [4804] = {.lex_state = 13, .external_lex_state = 13},
  [4805] = {.lex_state = 11, .external_lex_state = 3},
  [4806] = {.lex_state = 13, .external_lex_state = 23},
  [4807] = {.lex_state = 13, .external_lex_state = 23},
  [4808] = {.lex_state = 13, .external_lex_state = 20},
  [4809] = {.lex_state = 31, .external_lex_state = 22},
  [4810] = {.lex_state = 13, .external_lex_state = 13},
  [4811] = {.lex_state = 13, .external_lex_state = 20},
  [4812] = {.lex_state = 13, .external_lex_state = 23},
  [4813] = {.lex_state = 13, .external_lex_state = 13},
  [4814] = {.lex_state = 11, .external_lex_state = 3},
  [4815] = {.lex_state = 13, .external_lex_state = 20},
  [4816] = {.lex_state = 11, .external_lex_state = 3},
  [4817] = {.lex_state = 13, .external_lex_state = 13},
  [4818] = {.lex_state = 11, .external_lex_state = 3},
  [4819] = {.lex_state = 13, .external_lex_state = 13},
  [4820] = {.lex_state = 13, .external_lex_state = 23},
  [4821] = {.lex_state = 13, .external_lex_state = 23},
  [4822] = {.lex_state = 13, .external_lex_state = 23},
  [4823] = {.lex_state = 13, .external_lex_state = 23},
  [4824] = {.lex_state = 13, .external_lex_state = 23},
  [4825] = {.lex_state = 13, .external_lex_state = 23},
  [4826] = {.lex_state = 13, .external_lex_state = 23},
  [4827] = {.lex_state = 13, .external_lex_state = 23},
  [4828] = {.lex_state = 11, .external_lex_state = 3},
  [4829] = {.lex_state = 13, .external_lex_state = 20},
  [4830] = {.lex_state = 13, .external_lex_state = 20},
  [4831] = {.lex_state = 11, .external_lex_state = 3},
  [4832] = {.lex_state = 13, .external_lex_state = 13},
  [4833] = {.lex_state = 11, .external_lex_state = 3},
  [4834] = {.lex_state = 11, .external_lex_state = 3},
  [4835] = {.lex_state = 11, .external_lex_state = 3},
  [4836] = {.lex_state = 11, .external_lex_state = 3},
  [4837] = {.lex_state = 11, .external_lex_state = 3},
  [4838] = {.lex_state = 13, .external_lex_state = 20},
  [4839] = {.lex_state = 13, .external_lex_state = 20},
  [4840] = {.lex_state = 13, .external_lex_state = 20},
  [4841] = {.lex_state = 11, .external_lex_state = 3},
  [4842] = {.lex_state = 13, .external_lex_state = 20},
  [4843] = {.lex_state = 13, .external_lex_state = 20},
  [4844] = {.lex_state = 11, .external_lex_state = 9},
  [4845] = {.lex_state = 13, .external_lex_state = 23},
  [4846] = {.lex_state = 34, .external_lex_state = 26},
  [4847] = {.lex_state = 13, .external_lex_state = 13},
  [4848] = {.lex_state = 31, .external_lex_state = 21},
  [4849] = {.lex_state = 13, .external_lex_state = 23},
  [4850] = {.lex_state = 13, .external_lex_state = 13},
  [4851] = {.lex_state = 13, .external_lex_state = 13},
  [4852] = {.lex_state = 34, .external_lex_state = 26},
  [4853] = {.lex_state = 13, .external_lex_state = 23},
  [4854] = {.lex_state = 13, .external_lex_state = 23},
  [4855] = {.lex_state = 31, .external_lex_state = 24},
  [4856] = {.lex_state = 34, .external_lex_state = 26},
  [4857] = {.lex_state = 34, .external_lex_state = 27},
  [4858] = {.lex_state = 13, .external_lex_state = 13},
  [4859] = {.lex_state = 13, .external_lex_state = 23},
  [4860] = {.lex_state = 13, .external_lex_state = 23},
  [4861] = {.lex_state = 13, .external_lex_state = 13},
  [4862] = {.lex_state = 9, .external_lex_state = 2},
  [4863] = {.lex_state = 34, .external_lex_state = 27},
  [4864] = {.lex_state = 31, .external_lex_state = 21},
  [4865] = {.lex_state = 13, .external_lex_state = 13},
  [4866] = {.lex_state = 13, .external_lex_state = 23},
  [4867] = {.lex_state = 11, .external_lex_state = 9},
  [4868] = {.lex_state = 11, .external_lex_state = 9},
  [4869] = {.lex_state = 13, .external_lex_state = 13},
  [4870] = {.lex_state = 13, .external_lex_state = 13},
  [4871] = {.lex_state = 13, .external_lex_state = 23},
  [4872] = {.lex_state = 13, .external_lex_state = 13},
  [4873] = {.lex_state = 31, .external_lex_state = 24},
  [4874] = {.lex_state = 13, .external_lex_state = 13},
  [4875] = {.lex_state = 34, .external_lex_state = 27},
  [4876] = {.lex_state = 13, .external_lex_state = 23},
  [4877] = {.lex_state = 13, .external_lex_state = 13},
  [4878] = {.lex_state = 13, .external_lex_state = 13},
  [4879] = {.lex_state = 13, .external_lex_state = 13},
  [4880] = {.lex_state = 11, .external_lex_state = 9},
  [4881] = {.lex_state = 13, .external_lex_state = 23},
  [4882] = {.lex_state = 11, .external_lex_state = 9},
  [4883] = {.lex_state = 13, .external_lex_state = 23},
  [4884] = {.lex_state = 13, .external_lex_state = 23},
  [4885] = {.lex_state = 34, .external_lex_state = 26},
  [4886] = {.lex_state = 13, .external_lex_state = 13},
  [4887] = {.lex_state = 13, .external_lex_state = 13},
  [4888] = {.lex_state = 11, .external_lex_state = 9},
  [4889] = {.lex_state = 13, .external_lex_state = 13},
  [4890] = {.lex_state = 13, .external_lex_state = 13},
  [4891] = {.lex_state = 13, .external_lex_state = 13},
  [4892] = {.lex_state = 11, .external_lex_state = 9},
  [4893] = {.lex_state = 34, .external_lex_state = 26},
  [4894] = {.lex_state = 9, .external_lex_state = 2},
  [4895] = {.lex_state = 13, .external_lex_state = 13},
  [4896] = {.lex_state = 31, .external_lex_state = 24},
  [4897] = {.lex_state = 13, .external_lex_state = 13},
  [4898] = {.lex_state = 13, .external_lex_state = 13},
  [4899] = {.lex_state = 34, .external_lex_state = 27},
  [4900] = {.lex_state = 31, .external_lex_state = 21},
  [4901] = {.lex_state = 13, .external_lex_state = 13},
  [4902] = {.lex_state = 13, .external_lex_state = 13},
  [4903] = {.lex_state = 13, .external_lex_state = 13},
  [4904] = {.lex_state = 13, .external_lex_state = 13},
  [4905] = {.lex_state = 13, .external_lex_state = 13},
  [4906] = {.lex_state = 13, .external_lex_state = 13},
  [4907] = {.lex_state = 13, .external_lex_state = 13},
  [4908] = {.lex_state = 13, .external_lex_state = 13},
  [4909] = {.lex_state = 13, .external_lex_state = 13},
  [4910] = {.lex_state = 13, .external_lex_state = 13},
  [4911] = {.lex_state = 13, .external_lex_state = 13},
  [4912] = {.lex_state = 13, .external_lex_state = 13},
  [4913] = {.lex_state = 13, .external_lex_state = 13},
  [4914] = {.lex_state = 34, .external_lex_state = 27},
  [4915] = {.lex_state = 13, .external_lex_state = 13},
  [4916] = {.lex_state = 13, .external_lex_state = 13},
  [4917] = {.lex_state = 13, .external_lex_state = 23},
  [4918] = {.lex_state = 13, .external_lex_state = 13},
  [4919] = {.lex_state = 13, .external_lex_state = 13},
  [4920] = {.lex_state = 13, .external_lex_state = 13},
  [4921] = {.lex_state = 13, .external_lex_state = 13},
  [4922] = {.lex_state = 9, .external_lex_state = 2},
  [4923] = {.lex_state = 13, .external_lex_state = 23},
  [4924] = {.lex_state = 17, .external_lex_state = 13},
  [4925] = {.lex_state = 13, .external_lex_state = 23},
  [4926] = {.lex_state = 13, .external_lex_state = 23},
  [4927] = {.lex_state = 31, .external_lex_state = 28},
  [4928] = {.lex_state = 13, .external_lex_state = 13},
  [4929] = {.lex_state = 13, .external_lex_state = 20},
  [4930] = {.lex_state = 13, .external_lex_state = 23},
  [4931] = {.lex_state = 13, .external_lex_state = 23},
  [4932] = {.lex_state = 13, .external_lex_state = 23},
  [4933] = {.lex_state = 13, .external_lex_state = 23},
  [4934] = {.lex_state = 13, .external_lex_state = 13},
  [4935] = {.lex_state = 13, .external_lex_state = 20},
  [4936] = {.lex_state = 13, .external_lex_state = 20},
  [4937] = {.lex_state = 13, .external_lex_state = 20},
  [4938] = {.lex_state = 13, .external_lex_state = 20},
  [4939] = {.lex_state = 9, .external_lex_state = 2},
  [4940] = {.lex_state = 13, .external_lex_state = 20},
  [4941] = {.lex_state = 13, .external_lex_state = 23},
  [4942] = {.lex_state = 34, .external_lex_state = 25},
  [4943] = {.lex_state = 13, .external_lex_state = 20},
  [4944] = {.lex_state = 13, .external_lex_state = 20},
  [4945] = {.lex_state = 13, .external_lex_state = 13},
  [4946] = {.lex_state = 13, .external_lex_state = 23},
  [4947] = {.lex_state = 13, .external_lex_state = 23},
  [4948] = {.lex_state = 31, .external_lex_state = 28},
  [4949] = {.lex_state = 13, .external_lex_state = 23},
  [4950] = {.lex_state = 13, .external_lex_state = 23},
  [4951] = {.lex_state = 13, .external_lex_state = 23},
  [4952] = {.lex_state = 13, .external_lex_state = 20},
  [4953] = {.lex_state = 13, .external_lex_state = 23},
  [4954] = {.lex_state = 13, .external_lex_state = 13},
  [4955] = {.lex_state = 13, .external_lex_state = 20},
  [4956] = {.lex_state = 13, .external_lex_state = 20},
  [4957] = {.lex_state = 9, .external_lex_state = 2},
  [4958] = {.lex_state = 13, .external_lex_state = 13},
  [4959] = {.lex_state = 13, .external_lex_state = 20},
  [4960] = {.lex_state = 13, .external_lex_state = 23},
  [4961] = {.lex_state = 31, .external_lex_state = 28},
  [4962] = {.lex_state = 13, .external_lex_state = 20},
  [4963] = {.lex_state = 13, .external_lex_state = 23},
  [4964] = {.lex_state = 13, .external_lex_state = 20},
  [4965] = {.lex_state = 13, .external_lex_state = 23},
  [4966] = {.lex_state = 13, .external_lex_state = 23},
  [4967] = {.lex_state = 31, .external_lex_state = 28},
  [4968] = {.lex_state = 13, .external_lex_state = 13},
  [4969] = {.lex_state = 13, .external_lex_state = 13},
  [4970] = {.lex_state = 13, .external_lex_state = 20},
  [4971] = {.lex_state = 9, .external_lex_state = 2},
  [4972] = {.lex_state = 13, .external_lex_state = 23},
  [4973] = {.lex_state = 13, .external_lex_state = 20},
  [4974] = {.lex_state = 13, .external_lex_state = 23},
  [4975] = {.lex_state = 34, .external_lex_state = 25},
  [4976] = {.lex_state = 13, .external_lex_state = 20},
  [4977] = {.lex_state = 13, .external_lex_state = 23},
  [4978] = {.lex_state = 13, .external_lex_state = 20},
  [4979] = {.lex_state = 13, .external_lex_state = 20},
  [4980] = {.lex_state = 31, .external_lex_state = 28},
  [4981] = {.lex_state = 13, .external_lex_state = 20},
  [4982] = {.lex_state = 9, .external_lex_state = 2},
  [4983] = {.lex_state = 9, .external_lex_state = 2},
  [4984] = {.lex_state = 13, .external_lex_state = 23},
  [4985] = {.lex_state = 13, .external_lex_state = 23},
  [4986] = {.lex_state = 13, .external_lex_state = 23},
  [4987] = {.lex_state = 34, .external_lex_state = 25},
  [4988] = {.lex_state = 13, .external_lex_state = 23},
  [4989] = {.lex_state = 34, .external_lex_state = 25},
  [4990] = {.lex_state = 9, .external_lex_state = 2},
  [4991] = {.lex_state = 13, .external_lex_state = 23},
  [4992] = {.lex_state = 13, .external_lex_state = 20},
  [4993] = {.lex_state = 13, .external_lex_state = 23},
  [4994] = {.lex_state = 13, .external_lex_state = 20},
  [4995] = {.lex_state = 13, .external_lex_state = 20},
  [4996] = {.lex_state = 13, .external_lex_state = 23},
  [4997] = {.lex_state = 13, .external_lex_state = 23},
  [4998] = {.lex_state = 31, .external_lex_state = 28},
  [4999] = {.lex_state = 31, .external_lex_state = 28},
  [5000] = {.lex_state = 13, .external_lex_state = 13},
  [5001] = {.lex_state = 13, .external_lex_state = 23},
  [5002] = {.lex_state = 13, .external_lex_state = 20},
  [5003] = {.lex_state = 13, .external_lex_state = 20},
  [5004] = {.lex_state = 34, .external_lex_state = 25},
  [5005] = {.lex_state = 13, .external_lex_state = 23},
  [5006] = {.lex_state = 13, .external_lex_state = 23},
  [5007] = {.lex_state = 13, .external_lex_state = 20},
  [5008] = {.lex_state = 31, .external_lex_state = 28},
  [5009] = {.lex_state = 13, .external_lex_state = 23},
  [5010] = {.lex_state = 13, .external_lex_state = 23},
  [5011] = {.lex_state = 13, .external_lex_state = 23},
  [5012] = {.lex_state = 13, .external_lex_state = 23},
  [5013] = {.lex_state = 13, .external_lex_state = 23},
  [5014] = {.lex_state = 9, .external_lex_state = 2},
  [5015] = {.lex_state = 13, .external_lex_state = 20},
  [5016] = {.lex_state = 13, .external_lex_state = 20},
  [5017] = {.lex_state = 13, .external_lex_state = 20},
  [5018] = {.lex_state = 13, .external_lex_state = 13},
  [5019] = {.lex_state = 13, .external_lex_state = 20},
  [5020] = {.lex_state = 13, .external_lex_state = 23},
  [5021] = {.lex_state = 13, .external_lex_state = 20},
  [5022] = {.lex_state = 13, .external_lex_state = 13},
  [5023] = {.lex_state = 9, .external_lex_state = 2},
  [5024] = {.lex_state = 13, .external_lex_state = 23},
  [5025] = {.lex_state = 13, .external_lex_state = 20},
  [5026] = {.lex_state = 13, .external_lex_state = 20},
  [5027] = {.lex_state = 13, .external_lex_state = 13},
  [5028] = {.lex_state = 13, .external_lex_state = 20},
  [5029] = {.lex_state = 13, .external_lex_state = 20},
  [5030] = {.lex_state = 31, .external_lex_state = 28},
  [5031] = {.lex_state = 13, .external_lex_state = 13},
  [5032] = {.lex_state = 13, .external_lex_state = 13},
  [5033] = {.lex_state = 13, .external_lex_state = 20},
  [5034] = {.lex_state = 34, .external_lex_state = 2},
  [5035] = {.lex_state = 34, .external_lex_state = 2},
  [5036] = {.lex_state = 13, .external_lex_state = 13},
  [5037] = {.lex_state = 34, .external_lex_state = 2},
  [5038] = {.lex_state = 13, .external_lex_state = 13},
  [5039] = {.lex_state = 34, .external_lex_state = 2},
  [5040] = {.lex_state = 34, .external_lex_state = 2},
  [5041] = {.lex_state = 13, .external_lex_state = 20},
  [5042] = {.lex_state = 13, .external_lex_state = 13},
  [5043] = {.lex_state = 13, .external_lex_state = 13},
  [5044] = {.lex_state = 13, .external_lex_state = 13},
  [5045] = {.lex_state = 13, .external_lex_state = 13},
  [5046] = {.lex_state = 34, .external_lex_state = 27},
  [5047] = {.lex_state = 13, .external_lex_state = 13},
  [5048] = {.lex_state = 13, .external_lex_state = 13},
  [5049] = {.lex_state = 13, .external_lex_state = 13},
  [5050] = {.lex_state = 9, .external_lex_state = 2},
  [5051] = {.lex_state = 13, .external_lex_state = 13},
  [5052] = {.lex_state = 34, .external_lex_state = 26},
  [5053] = {.lex_state = 34, .external_lex_state = 2},
  [5054] = {.lex_state = 13, .external_lex_state = 13},
  [5055] = {.lex_state = 34, .external_lex_state = 2},
  [5056] = {.lex_state = 13, .external_lex_state = 13},
  [5057] = {.lex_state = 34, .external_lex_state = 27},
  [5058] = {.lex_state = 13, .external_lex_state = 13},
  [5059] = {.lex_state = 13, .external_lex_state = 13},
  [5060] = {.lex_state = 13, .external_lex_state = 13},
  [5061] = {.lex_state = 9, .external_lex_state = 2},
  [5062] = {.lex_state = 34, .external_lex_state = 2},
  [5063] = {.lex_state = 13, .external_lex_state = 13},
  [5064] = {.lex_state = 9, .external_lex_state = 2},
  [5065] = {.lex_state = 13, .external_lex_state = 13},
  [5066] = {.lex_state = 31, .external_lex_state = 28},
  [5067] = {.lex_state = 13, .external_lex_state = 13},
  [5068] = {.lex_state = 31, .external_lex_state = 28},
  [5069] = {.lex_state = 13, .external_lex_state = 13},
  [5070] = {.lex_state = 13, .external_lex_state = 13},
  [5071] = {.lex_state = 13, .external_lex_state = 13},
  [5072] = {.lex_state = 34, .external_lex_state = 26},
  [5073] = {.lex_state = 13, .external_lex_state = 13},
  [5074] = {.lex_state = 13, .external_lex_state = 13},
  [5075] = {.lex_state = 13, .external_lex_state = 13},
  [5076] = {.lex_state = 13, .external_lex_state = 20},
  [5077] = {.lex_state = 13, .external_lex_state = 13},
  [5078] = {.lex_state = 13, .external_lex_state = 13},
  [5079] = {.lex_state = 9, .external_lex_state = 2},
  [5080] = {.lex_state = 13, .external_lex_state = 13},
  [5081] = {.lex_state = 13, .external_lex_state = 13},
  [5082] = {.lex_state = 13, .external_lex_state = 13},
  [5083] = {.lex_state = 34, .external_lex_state = 26},
  [5084] = {.lex_state = 13, .external_lex_state = 13},
  [5085] = {.lex_state = 13, .external_lex_state = 13},
  [5086] = {.lex_state = 31, .external_lex_state = 21},
  [5087] = {.lex_state = 13, .external_lex_state = 13},
  [5088] = {.lex_state = 13, .external_lex_state = 13},
  [5089] = {.lex_state = 13, .external_lex_state = 13},
  [5090] = {.lex_state = 13, .external_lex_state = 13},
  [5091] = {.lex_state = 13, .external_lex_state = 13},
  [5092] = {.lex_state = 34, .external_lex_state = 2},
  [5093] = {.lex_state = 13, .external_lex_state = 20},
  [5094] = {.lex_state = 9, .external_lex_state = 2},
  [5095] = {.lex_state = 13, .external_lex_state = 23},
  [5096] = {.lex_state = 13, .external_lex_state = 20},
  [5097] = {.lex_state = 34, .external_lex_state = 26},
  [5098] = {.lex_state = 13, .external_lex_state = 20},
  [5099] = {.lex_state = 13, .external_lex_state = 13},
  [5100] = {.lex_state = 13, .external_lex_state = 13},
  [5101] = {.lex_state = 13, .external_lex_state = 23},
  [5102] = {.lex_state = 34, .external_lex_state = 2},
  [5103] = {.lex_state = 13, .external_lex_state = 23},
  [5104] = {.lex_state = 13, .external_lex_state = 13},
  [5105] = {.lex_state = 13, .external_lex_state = 13},
  [5106] = {.lex_state = 13, .external_lex_state = 13},
  [5107] = {.lex_state = 31, .external_lex_state = 21},
  [5108] = {.lex_state = 13, .external_lex_state = 13},
  [5109] = {.lex_state = 13, .external_lex_state = 13},
  [5110] = {.lex_state = 31, .external_lex_state = 28},
  [5111] = {.lex_state = 13, .external_lex_state = 13},
  [5112] = {.lex_state = 34, .external_lex_state = 27},
  [5113] = {.lex_state = 13, .external_lex_state = 20},
  [5114] = {.lex_state = 31, .external_lex_state = 28},
  [5115] = {.lex_state = 13, .external_lex_state = 13},
  [5116] = {.lex_state = 34, .external_lex_state = 27},
  [5117] = {.lex_state = 13, .external_lex_state = 13},
  [5118] = {.lex_state = 13, .external_lex_state = 13},
  [5119] = {.lex_state = 13, .external_lex_state = 13},
  [5120] = {.lex_state = 31, .external_lex_state = 28},
  [5121] = {.lex_state = 34, .external_lex_state = 2},
  [5122] = {.lex_state = 13, .external_lex_state = 13},
  [5123] = {.lex_state = 13, .external_lex_state = 13},
  [5124] = {.lex_state = 13, .external_lex_state = 13},
  [5125] = {.lex_state = 13, .external_lex_state = 13},
  [5126] = {.lex_state = 13, .external_lex_state = 23},
  [5127] = {.lex_state = 9, .external_lex_state = 2},
  [5128] = {.lex_state = 13, .external_lex_state = 13},
  [5129] = {.lex_state = 13, .external_lex_state = 13},
  [5130] = {.lex_state = 13, .external_lex_state = 23},
  [5131] = {.lex_state = 9, .external_lex_state = 2},
  [5132] = {.lex_state = 13, .external_lex_state = 13},
  [5133] = {.lex_state = 13, .external_lex_state = 13},
  [5134] = {.lex_state = 9, .external_lex_state = 2},
  [5135] = {.lex_state = 13, .external_lex_state = 23},
  [5136] = {.lex_state = 17, .external_lex_state = 23},
  [5137] = {.lex_state = 13, .external_lex_state = 23},
  [5138] = {.lex_state = 9, .external_lex_state = 2},
  [5139] = {.lex_state = 13, .external_lex_state = 20},
  [5140] = {.lex_state = 13, .external_lex_state = 13},
  [5141] = {.lex_state = 13, .external_lex_state = 13},
  [5142] = {.lex_state = 13, .external_lex_state = 13},
  [5143] = {.lex_state = 13, .external_lex_state = 13},
  [5144] = {.lex_state = 13, .external_lex_state = 13},
  [5145] = {.lex_state = 13, .external_lex_state = 13},
  [5146] = {.lex_state = 13, .external_lex_state = 13},
  [5147] = {.lex_state = 13, .external_lex_state = 13},
  [5148] = {.lex_state = 13, .external_lex_state = 13},
  [5149] = {.lex_state = 13, .external_lex_state = 13},
  [5150] = {.lex_state = 13, .external_lex_state = 13},
  [5151] = {.lex_state = 13, .external_lex_state = 13},
  [5152] = {.lex_state = 13, .external_lex_state = 13},
  [5153] = {.lex_state = 9, .external_lex_state = 2},
  [5154] = {.lex_state = 13, .external_lex_state = 13},
  [5155] = {.lex_state = 13, .external_lex_state = 13},
  [5156] = {.lex_state = 13, .external_lex_state = 20},
  [5157] = {.lex_state = 13, .external_lex_state = 13},
  [5158] = {.lex_state = 13, .external_lex_state = 13},
  [5159] = {.lex_state = 13, .external_lex_state = 23},
  [5160] = {.lex_state = 13, .external_lex_state = 13},
  [5161] = {.lex_state = 13, .external_lex_state = 23},
  [5162] = {.lex_state = 13, .external_lex_state = 13},
  [5163] = {.lex_state = 13, .external_lex_state = 13},
  [5164] = {.lex_state = 13, .external_lex_state = 13},
  [5165] = {.lex_state = 13, .external_lex_state = 23},
  [5166] = {.lex_state = 13, .external_lex_state = 13},
  [5167] = {.lex_state = 13, .external_lex_state = 13},
  [5168] = {.lex_state = 34, .external_lex_state = 27},
  [5169] = {.lex_state = 13, .external_lex_state = 13},
  [5170] = {.lex_state = 13, .external_lex_state = 13},
  [5171] = {.lex_state = 13, .external_lex_state = 13},
  [5172] = {.lex_state = 13, .external_lex_state = 13},
  [5173] = {.lex_state = 13, .external_lex_state = 13},
  [5174] = {.lex_state = 31, .external_lex_state = 28},
  [5175] = {.lex_state = 13, .external_lex_state = 13},
  [5176] = {.lex_state = 34, .external_lex_state = 26},
  [5177] = {.lex_state = 13, .external_lex_state = 13},
  [5178] = {.lex_state = 13, .external_lex_state = 20},
  [5179] = {.lex_state = 13, .external_lex_state = 20},
  [5180] = {.lex_state = 34, .external_lex_state = 2},
  [5181] = {.lex_state = 13, .external_lex_state = 13},
  [5182] = {.lex_state = 13, .external_lex_state = 13},
  [5183] = {.lex_state = 13, .external_lex_state = 13},
  [5184] = {.lex_state = 13, .external_lex_state = 13},
  [5185] = {.lex_state = 13, .external_lex_state = 23},
  [5186] = {.lex_state = 13, .external_lex_state = 23},
  [5187] = {.lex_state = 13, .external_lex_state = 23},
  [5188] = {.lex_state = 13, .external_lex_state = 23},
  [5189] = {.lex_state = 13, .external_lex_state = 23},
  [5190] = {.lex_state = 13, .external_lex_state = 23},
  [5191] = {.lex_state = 13, .external_lex_state = 23},
  [5192] = {.lex_state = 13, .external_lex_state = 23},
  [5193] = {.lex_state = 13, .external_lex_state = 23},
  [5194] = {.lex_state = 13, .external_lex_state = 23},
  [5195] = {.lex_state = 31, .external_lex_state = 21},
  [5196] = {.lex_state = 13, .external_lex_state = 23},
  [5197] = {.lex_state = 13, .external_lex_state = 23},
  [5198] = {.lex_state = 13, .external_lex_state = 23},
  [5199] = {.lex_state = 13, .external_lex_state = 23},
  [5200] = {.lex_state = 13, .external_lex_state = 23},
  [5201] = {.lex_state = 13, .external_lex_state = 23},
  [5202] = {.lex_state = 13, .external_lex_state = 23},
  [5203] = {.lex_state = 13, .external_lex_state = 23},
  [5204] = {.lex_state = 13, .external_lex_state = 23},
  [5205] = {.lex_state = 13, .external_lex_state = 23},
  [5206] = {.lex_state = 9, .external_lex_state = 2},
  [5207] = {.lex_state = 13, .external_lex_state = 23},
  [5208] = {.lex_state = 13, .external_lex_state = 23},
  [5209] = {.lex_state = 13, .external_lex_state = 23},
  [5210] = {.lex_state = 13, .external_lex_state = 23},
  [5211] = {.lex_state = 13, .external_lex_state = 23},
  [5212] = {.lex_state = 13, .external_lex_state = 23},
  [5213] = {.lex_state = 13, .external_lex_state = 23},
  [5214] = {.lex_state = 13, .external_lex_state = 23},
  [5215] = {.lex_state = 13, .external_lex_state = 23},
  [5216] = {.lex_state = 13, .external_lex_state = 23},
  [5217] = {.lex_state = 13, .external_lex_state = 23},
  [5218] = {.lex_state = 13, .external_lex_state = 23},
  [5219] = {.lex_state = 13, .external_lex_state = 23},
  [5220] = {.lex_state = 13, .external_lex_state = 23},
  [5221] = {.lex_state = 13, .external_lex_state = 23},
  [5222] = {.lex_state = 13, .external_lex_state = 23},
  [5223] = {.lex_state = 13, .external_lex_state = 23},
  [5224] = {.lex_state = 13, .external_lex_state = 23},
  [5225] = {.lex_state = 13, .external_lex_state = 23},
  [5226] = {.lex_state = 9, .external_lex_state = 2},
  [5227] = {.lex_state = 13, .external_lex_state = 23},
  [5228] = {.lex_state = 13, .external_lex_state = 23},
  [5229] = {.lex_state = 13, .external_lex_state = 23},
  [5230] = {.lex_state = 13, .external_lex_state = 23},
  [5231] = {.lex_state = 13, .external_lex_state = 23},
  [5232] = {.lex_state = 13, .external_lex_state = 23},
  [5233] = {.lex_state = 13, .external_lex_state = 23},
  [5234] = {.lex_state = 13, .external_lex_state = 23},
  [5235] = {.lex_state = 9, .external_lex_state = 2},
  [5236] = {.lex_state = 9, .external_lex_state = 2},
  [5237] = {.lex_state = 13, .external_lex_state = 13},
  [5238] = {.lex_state = 13, .external_lex_state = 20},
  [5239] = {.lex_state = 13, .external_lex_state = 23},
  [5240] = {.lex_state = 13, .external_lex_state = 23},
  [5241] = {.lex_state = 13, .external_lex_state = 23},
  [5242] = {.lex_state = 13, .external_lex_state = 23},
  [5243] = {.lex_state = 13, .external_lex_state = 23},
  [5244] = {.lex_state = 13, .external_lex_state = 13},
  [5245] = {.lex_state = 13, .external_lex_state = 23},
  [5246] = {.lex_state = 13, .external_lex_state = 23},
  [5247] = {.lex_state = 13, .external_lex_state = 23},
  [5248] = {.lex_state = 31, .external_lex_state = 21},
  [5249] = {.lex_state = 13, .external_lex_state = 23},
  [5250] = {.lex_state = 13, .external_lex_state = 23},
  [5251] = {.lex_state = 9, .external_lex_state = 2},
  [5252] = {.lex_state = 13, .external_lex_state = 23},
  [5253] = {.lex_state = 13, .external_lex_state = 23},
  [5254] = {.lex_state = 13, .external_lex_state = 23},
  [5255] = {.lex_state = 13, .external_lex_state = 23},
  [5256] = {.lex_state = 13, .external_lex_state = 23},
  [5257] = {.lex_state = 13, .external_lex_state = 13},
  [5258] = {.lex_state = 13, .external_lex_state = 13},
  [5259] = {.lex_state = 31, .external_lex_state = 28},
  [5260] = {.lex_state = 13, .external_lex_state = 20},
  [5261] = {.lex_state = 13, .external_lex_state = 20},
  [5262] = {.lex_state = 13, .external_lex_state = 20},
  [5263] = {.lex_state = 13, .external_lex_state = 20},
  [5264] = {.lex_state = 13, .external_lex_state = 20},
  [5265] = {.lex_state = 13, .external_lex_state = 23},
  [5266] = {.lex_state = 13, .external_lex_state = 20},
  [5267] = {.lex_state = 13, .external_lex_state = 20},
  [5268] = {.lex_state = 13, .external_lex_state = 20},
  [5269] = {.lex_state = 13, .external_lex_state = 20},
  [5270] = {.lex_state = 13, .external_lex_state = 20},
  [5271] = {.lex_state = 13, .external_lex_state = 20},
  [5272] = {.lex_state = 13, .external_lex_state = 20},
  [5273] = {.lex_state = 13, .external_lex_state = 20},
  [5274] = {.lex_state = 13, .external_lex_state = 20},
  [5275] = {.lex_state = 13, .external_lex_state = 20},
  [5276] = {.lex_state = 13, .external_lex_state = 20},
  [5277] = {.lex_state = 13, .external_lex_state = 20},
  [5278] = {.lex_state = 13, .external_lex_state = 20},
  [5279] = {.lex_state = 13, .external_lex_state = 20},
  [5280] = {.lex_state = 13, .external_lex_state = 20},
  [5281] = {.lex_state = 13, .external_lex_state = 20},
  [5282] = {.lex_state = 13, .external_lex_state = 20},
  [5283] = {.lex_state = 13, .external_lex_state = 23},
  [5284] = {.lex_state = 13, .external_lex_state = 20},
  [5285] = {.lex_state = 13, .external_lex_state = 20},
  [5286] = {.lex_state = 13, .external_lex_state = 23},
  [5287] = {.lex_state = 13, .external_lex_state = 23},
  [5288] = {.lex_state = 13, .external_lex_state = 20},
  [5289] = {.lex_state = 9, .external_lex_state = 2},
  [5290] = {.lex_state = 13, .external_lex_state = 23},
  [5291] = {.lex_state = 13, .external_lex_state = 23},
  [5292] = {.lex_state = 13, .external_lex_state = 23},
  [5293] = {.lex_state = 13, .external_lex_state = 23},
  [5294] = {.lex_state = 13, .external_lex_state = 23},
  [5295] = {.lex_state = 13, .external_lex_state = 23},
  [5296] = {.lex_state = 13, .external_lex_state = 23},
  [5297] = {.lex_state = 13, .external_lex_state = 23},
  [5298] = {.lex_state = 13, .external_lex_state = 23},
  [5299] = {.lex_state = 13, .external_lex_state = 23},
  [5300] = {.lex_state = 13, .external_lex_state = 23},
  [5301] = {.lex_state = 13, .external_lex_state = 23},
  [5302] = {.lex_state = 9, .external_lex_state = 2},
  [5303] = {.lex_state = 13, .external_lex_state = 23},
  [5304] = {.lex_state = 13, .external_lex_state = 23},
  [5305] = {.lex_state = 13, .external_lex_state = 23},
  [5306] = {.lex_state = 13, .external_lex_state = 23},
  [5307] = {.lex_state = 13, .external_lex_state = 23},
  [5308] = {.lex_state = 13, .external_lex_state = 23},
  [5309] = {.lex_state = 9, .external_lex_state = 2},
  [5310] = {.lex_state = 13, .external_lex_state = 23},
  [5311] = {.lex_state = 13, .external_lex_state = 23},
  [5312] = {.lex_state = 13, .external_lex_state = 23},
  [5313] = {.lex_state = 13, .external_lex_state = 23},
  [5314] = {.lex_state = 9, .external_lex_state = 2},
  [5315] = {.lex_state = 9, .external_lex_state = 2},
  [5316] = {.lex_state = 13, .external_lex_state = 23},
  [5317] = {.lex_state = 9, .external_lex_state = 2},
  [5318] = {.lex_state = 13, .external_lex_state = 23},
  [5319] = {.lex_state = 13, .external_lex_state = 23},
  [5320] = {.lex_state = 13, .external_lex_state = 20},
  [5321] = {.lex_state = 9, .external_lex_state = 2},
  [5322] = {.lex_state = 13, .external_lex_state = 23},
  [5323] = {.lex_state = 13, .external_lex_state = 23},
  [5324] = {.lex_state = 9, .external_lex_state = 2},
  [5325] = {.lex_state = 34, .external_lex_state = 2},
  [5326] = {.lex_state = 13, .external_lex_state = 20},
  [5327] = {.lex_state = 13, .external_lex_state = 20},
  [5328] = {.lex_state = 13, .external_lex_state = 20},
  [5329] = {.lex_state = 38, .external_lex_state = 25},
  [5330] = {.lex_state = 38, .external_lex_state = 25},
  [5331] = {.lex_state = 13, .external_lex_state = 23},
  [5332] = {.lex_state = 13, .external_lex_state = 20},
  [5333] = {.lex_state = 13, .external_lex_state = 23},
  [5334] = {.lex_state = 13, .external_lex_state = 13},
  [5335] = {.lex_state = 38, .external_lex_state = 25},
  [5336] = {.lex_state = 13, .external_lex_state = 23},
  [5337] = {.lex_state = 13, .external_lex_state = 23},
  [5338] = {.lex_state = 38, .external_lex_state = 25},
  [5339] = {.lex_state = 13, .external_lex_state = 20},
  [5340] = {.lex_state = 38, .external_lex_state = 25},
  [5341] = {.lex_state = 13, .external_lex_state = 13},
  [5342] = {.lex_state = 13, .external_lex_state = 20},
  [5343] = {.lex_state = 13, .external_lex_state = 20},
  [5344] = {.lex_state = 13, .external_lex_state = 20},
  [5345] = {.lex_state = 13, .external_lex_state = 20},
  [5346] = {.lex_state = 13, .external_lex_state = 20},
  [5347] = {.lex_state = 13, .external_lex_state = 20},
  [5348] = {.lex_state = 13, .external_lex_state = 20},
  [5349] = {.lex_state = 13, .external_lex_state = 13},
  [5350] = {.lex_state = 13, .external_lex_state = 13},
  [5351] = {.lex_state = 13, .external_lex_state = 20},
  [5352] = {.lex_state = 13, .external_lex_state = 13},
  [5353] = {.lex_state = 13, .external_lex_state = 13},
  [5354] = {.lex_state = 13, .external_lex_state = 13},
  [5355] = {.lex_state = 13, .external_lex_state = 13},
  [5356] = {.lex_state = 13, .external_lex_state = 13},
  [5357] = {.lex_state = 13, .external_lex_state = 20},
  [5358] = {.lex_state = 13, .external_lex_state = 20},
  [5359] = {.lex_state = 13, .external_lex_state = 20},
  [5360] = {.lex_state = 13, .external_lex_state = 20},
  [5361] = {.lex_state = 13, .external_lex_state = 13},
  [5362] = {.lex_state = 13, .external_lex_state = 13},
  [5363] = {.lex_state = 13, .external_lex_state = 13},
  [5364] = {.lex_state = 13, .external_lex_state = 13},
  [5365] = {.lex_state = 13, .external_lex_state = 13},
  [5366] = {.lex_state = 13, .external_lex_state = 13},
  [5367] = {.lex_state = 13, .external_lex_state = 13},
  [5368] = {.lex_state = 13, .external_lex_state = 20},
  [5369] = {.lex_state = 13, .external_lex_state = 20},
  [5370] = {.lex_state = 13, .external_lex_state = 20},
  [5371] = {.lex_state = 13, .external_lex_state = 20},
  [5372] = {.lex_state = 13, .external_lex_state = 13},
  [5373] = {.lex_state = 38, .external_lex_state = 25},
  [5374] = {.lex_state = 13, .external_lex_state = 20},
  [5375] = {.lex_state = 13, .external_lex_state = 20},
  [5376] = {.lex_state = 13, .external_lex_state = 13},
  [5377] = {.lex_state = 13, .external_lex_state = 13},
  [5378] = {.lex_state = 13, .external_lex_state = 13},
  [5379] = {.lex_state = 13, .external_lex_state = 13},
  [5380] = {.lex_state = 13, .external_lex_state = 13},
  [5381] = {.lex_state = 13, .external_lex_state = 20},
  [5382] = {.lex_state = 13, .external_lex_state = 20},
  [5383] = {.lex_state = 13, .external_lex_state = 20},
  [5384] = {.lex_state = 13, .external_lex_state = 23},
  [5385] = {.lex_state = 34, .external_lex_state = 26},
  [5386] = {.lex_state = 13, .external_lex_state = 23},
  [5387] = {.lex_state = 13, .external_lex_state = 20},
  [5388] = {.lex_state = 13, .external_lex_state = 23},
  [5389] = {.lex_state = 31, .external_lex_state = 28},
  [5390] = {.lex_state = 13, .external_lex_state = 23},
  [5391] = {.lex_state = 13, .external_lex_state = 23},
  [5392] = {.lex_state = 13, .external_lex_state = 23},
  [5393] = {.lex_state = 13, .external_lex_state = 23},
  [5394] = {.lex_state = 13, .external_lex_state = 23},
  [5395] = {.lex_state = 13, .external_lex_state = 20},
  [5396] = {.lex_state = 13, .external_lex_state = 20},
  [5397] = {.lex_state = 13, .external_lex_state = 23},
  [5398] = {.lex_state = 13, .external_lex_state = 23},
  [5399] = {.lex_state = 13, .external_lex_state = 13},
  [5400] = {.lex_state = 13, .external_lex_state = 20},
  [5401] = {.lex_state = 13, .external_lex_state = 20},
  [5402] = {.lex_state = 13, .external_lex_state = 23},
  [5403] = {.lex_state = 13, .external_lex_state = 20},
  [5404] = {.lex_state = 13, .external_lex_state = 13},
  [5405] = {.lex_state = 13, .external_lex_state = 23},
  [5406] = {.lex_state = 13, .external_lex_state = 20},
  [5407] = {.lex_state = 13, .external_lex_state = 13},
  [5408] = {.lex_state = 13, .external_lex_state = 23},
  [5409] = {.lex_state = 34, .external_lex_state = 26},
  [5410] = {.lex_state = 13, .external_lex_state = 20},
  [5411] = {.lex_state = 13, .external_lex_state = 20},
  [5412] = {.lex_state = 13, .external_lex_state = 20},
  [5413] = {.lex_state = 13, .external_lex_state = 20},
  [5414] = {.lex_state = 34, .external_lex_state = 6},
  [5415] = {.lex_state = 34, .external_lex_state = 26},
  [5416] = {.lex_state = 13, .external_lex_state = 20},
  [5417] = {.lex_state = 13, .external_lex_state = 20},
  [5418] = {.lex_state = 34, .external_lex_state = 26},
  [5419] = {.lex_state = 13, .external_lex_state = 20},
  [5420] = {.lex_state = 13, .external_lex_state = 20},
  [5421] = {.lex_state = 38, .external_lex_state = 25},
  [5422] = {.lex_state = 34, .external_lex_state = 26},
  [5423] = {.lex_state = 13, .external_lex_state = 20},
  [5424] = {.lex_state = 13, .external_lex_state = 20},
  [5425] = {.lex_state = 13, .external_lex_state = 20},
  [5426] = {.lex_state = 9, .external_lex_state = 2},
  [5427] = {.lex_state = 13, .external_lex_state = 20},
  [5428] = {.lex_state = 13, .external_lex_state = 20},
  [5429] = {.lex_state = 34, .external_lex_state = 26},
  [5430] = {.lex_state = 13, .external_lex_state = 20},
  [5431] = {.lex_state = 13, .external_lex_state = 20},
  [5432] = {.lex_state = 13, .external_lex_state = 20},
  [5433] = {.lex_state = 13, .external_lex_state = 20},
  [5434] = {.lex_state = 13, .external_lex_state = 20},
  [5435] = {.lex_state = 38, .external_lex_state = 27},
  [5436] = {.lex_state = 38, .external_lex_state = 25},
  [5437] = {.lex_state = 9, .external_lex_state = 2},
  [5438] = {.lex_state = 13, .external_lex_state = 20},
  [5439] = {.lex_state = 13, .external_lex_state = 20},
  [5440] = {.lex_state = 9, .external_lex_state = 2},
  [5441] = {.lex_state = 13, .external_lex_state = 23},
  [5442] = {.lex_state = 9, .external_lex_state = 2},
  [5443] = {.lex_state = 31, .external_lex_state = 28},
  [5444] = {.lex_state = 13, .external_lex_state = 20},
  [5445] = {.lex_state = 13, .external_lex_state = 20},
  [5446] = {.lex_state = 13, .external_lex_state = 23},
  [5447] = {.lex_state = 13, .external_lex_state = 20},
  [5448] = {.lex_state = 13, .external_lex_state = 20},
  [5449] = {.lex_state = 38, .external_lex_state = 27},
  [5450] = {.lex_state = 9, .external_lex_state = 2},
  [5451] = {.lex_state = 38, .external_lex_state = 25},
  [5452] = {.lex_state = 13, .external_lex_state = 20},
  [5453] = {.lex_state = 13, .external_lex_state = 23},
  [5454] = {.lex_state = 13, .external_lex_state = 20},
  [5455] = {.lex_state = 13, .external_lex_state = 20},
  [5456] = {.lex_state = 9, .external_lex_state = 2},
  [5457] = {.lex_state = 13, .external_lex_state = 20},
  [5458] = {.lex_state = 13, .external_lex_state = 20},
  [5459] = {.lex_state = 9, .external_lex_state = 2},
  [5460] = {.lex_state = 13, .external_lex_state = 20},
  [5461] = {.lex_state = 38, .external_lex_state = 25},
  [5462] = {.lex_state = 13, .external_lex_state = 20},
  [5463] = {.lex_state = 13, .external_lex_state = 20},
  [5464] = {.lex_state = 13, .external_lex_state = 20},
  [5465] = {.lex_state = 38, .external_lex_state = 25},
  [5466] = {.lex_state = 13, .external_lex_state = 20},
  [5467] = {.lex_state = 13, .external_lex_state = 20},
  [5468] = {.lex_state = 13, .external_lex_state = 20},
  [5469] = {.lex_state = 13, .external_lex_state = 20},
  [5470] = {.lex_state = 9, .external_lex_state = 2},
  [5471] = {.lex_state = 38, .external_lex_state = 25},
  [5472] = {.lex_state = 13, .external_lex_state = 23},
  [5473] = {.lex_state = 13, .external_lex_state = 20},
  [5474] = {.lex_state = 38, .external_lex_state = 27},
  [5475] = {.lex_state = 31, .external_lex_state = 28},
  [5476] = {.lex_state = 13, .external_lex_state = 20},
  [5477] = {.lex_state = 13, .external_lex_state = 20},
  [5478] = {.lex_state = 38, .external_lex_state = 27},
  [5479] = {.lex_state = 13, .external_lex_state = 20},
  [5480] = {.lex_state = 38, .external_lex_state = 27},
  [5481] = {.lex_state = 13, .external_lex_state = 20},
  [5482] = {.lex_state = 31, .external_lex_state = 28},
  [5483] = {.lex_state = 13, .external_lex_state = 20},
  [5484] = {.lex_state = 13, .external_lex_state = 23},
  [5485] = {.lex_state = 13, .external_lex_state = 20},
  [5486] = {.lex_state = 13, .external_lex_state = 20},
  [5487] = {.lex_state = 13, .external_lex_state = 20},
  [5488] = {.lex_state = 13, .external_lex_state = 20},
  [5489] = {.lex_state = 13, .external_lex_state = 23},
  [5490] = {.lex_state = 13, .external_lex_state = 20},
  [5491] = {.lex_state = 13, .external_lex_state = 20},
  [5492] = {.lex_state = 38, .external_lex_state = 25},
  [5493] = {.lex_state = 13, .external_lex_state = 20},
  [5494] = {.lex_state = 9, .external_lex_state = 2},
  [5495] = {.lex_state = 38, .external_lex_state = 25},
  [5496] = {.lex_state = 13, .external_lex_state = 20},
  [5497] = {.lex_state = 13, .external_lex_state = 23},
  [5498] = {.lex_state = 13, .external_lex_state = 20},
  [5499] = {.lex_state = 34, .external_lex_state = 2},
  [5500] = {.lex_state = 38, .external_lex_state = 27},
  [5501] = {.lex_state = 13, .external_lex_state = 20},
  [5502] = {.lex_state = 13, .external_lex_state = 20},
  [5503] = {.lex_state = 13, .external_lex_state = 20},
  [5504] = {.lex_state = 13, .external_lex_state = 23},
  [5505] = {.lex_state = 13, .external_lex_state = 20},
  [5506] = {.lex_state = 13, .external_lex_state = 23},
  [5507] = {.lex_state = 31, .external_lex_state = 21},
  [5508] = {.lex_state = 13, .external_lex_state = 20},
  [5509] = {.lex_state = 34, .external_lex_state = 26},
  [5510] = {.lex_state = 13, .external_lex_state = 23},
  [5511] = {.lex_state = 34, .external_lex_state = 26},
  [5512] = {.lex_state = 13, .external_lex_state = 20},
  [5513] = {.lex_state = 34, .external_lex_state = 26},
  [5514] = {.lex_state = 34, .external_lex_state = 2},
  [5515] = {.lex_state = 13, .external_lex_state = 20},
  [5516] = {.lex_state = 13, .external_lex_state = 20},
  [5517] = {.lex_state = 38, .external_lex_state = 27},
  [5518] = {.lex_state = 13, .external_lex_state = 20},
  [5519] = {.lex_state = 38, .external_lex_state = 27},
  [5520] = {.lex_state = 34, .external_lex_state = 26},
  [5521] = {.lex_state = 38, .external_lex_state = 27},
  [5522] = {.lex_state = 13, .external_lex_state = 23},
  [5523] = {.lex_state = 13, .external_lex_state = 20},
  [5524] = {.lex_state = 38, .external_lex_state = 27},
  [5525] = {.lex_state = 13, .external_lex_state = 20},
  [5526] = {.lex_state = 31, .external_lex_state = 21},
  [5527] = {.lex_state = 13, .external_lex_state = 20},
  [5528] = {.lex_state = 13, .external_lex_state = 13},
  [5529] = {.lex_state = 34, .external_lex_state = 29},
  [5530] = {.lex_state = 34, .external_lex_state = 2},
  [5531] = {.lex_state = 38, .external_lex_state = 27},
  [5532] = {.lex_state = 13, .external_lex_state = 20},
  [5533] = {.lex_state = 38, .external_lex_state = 27},
  [5534] = {.lex_state = 13, .external_lex_state = 20},
  [5535] = {.lex_state = 13, .external_lex_state = 13},
  [5536] = {.lex_state = 13, .external_lex_state = 20},
  [5537] = {.lex_state = 13, .external_lex_state = 20},
  [5538] = {.lex_state = 34, .external_lex_state = 26},
  [5539] = {.lex_state = 34, .external_lex_state = 26},
  [5540] = {.lex_state = 13, .external_lex_state = 20},
  [5541] = {.lex_state = 38, .external_lex_state = 27},
  [5542] = {.lex_state = 34, .external_lex_state = 26},
  [5543] = {.lex_state = 13, .external_lex_state = 13},
  [5544] = {.lex_state = 38, .external_lex_state = 27},
  [5545] = {.lex_state = 13, .external_lex_state = 20},
  [5546] = {.lex_state = 34, .external_lex_state = 2},
  [5547] = {.lex_state = 34, .external_lex_state = 26},
  [5548] = {.lex_state = 13, .external_lex_state = 20},
  [5549] = {.lex_state = 34, .external_lex_state = 6},
  [5550] = {.lex_state = 13, .external_lex_state = 13},
  [5551] = {.lex_state = 13, .external_lex_state = 23},
  [5552] = {.lex_state = 13, .external_lex_state = 20},
  [5553] = {.lex_state = 13, .external_lex_state = 20},
  [5554] = {.lex_state = 13, .external_lex_state = 20},
  [5555] = {.lex_state = 13, .external_lex_state = 20},
  [5556] = {.lex_state = 13, .external_lex_state = 20},
  [5557] = {.lex_state = 13, .external_lex_state = 20},
  [5558] = {.lex_state = 13, .external_lex_state = 20},
  [5559] = {.lex_state = 13, .external_lex_state = 20},
  [5560] = {.lex_state = 13, .external_lex_state = 20},
  [5561] = {.lex_state = 13, .external_lex_state = 20},
  [5562] = {.lex_state = 13, .external_lex_state = 20},
  [5563] = {.lex_state = 13, .external_lex_state = 20},
  [5564] = {.lex_state = 38, .external_lex_state = 30},
  [5565] = {.lex_state = 13, .external_lex_state = 20},
  [5566] = {.lex_state = 13, .external_lex_state = 20},
  [5567] = {.lex_state = 13, .external_lex_state = 20},
  [5568] = {.lex_state = 13, .external_lex_state = 20},
  [5569] = {.lex_state = 38, .external_lex_state = 31},
  [5570] = {.lex_state = 38, .external_lex_state = 30},
  [5571] = {.lex_state = 13, .external_lex_state = 20},
  [5572] = {.lex_state = 13, .external_lex_state = 20},
  [5573] = {.lex_state = 13, .external_lex_state = 20},
  [5574] = {.lex_state = 31, .external_lex_state = 28},
  [5575] = {.lex_state = 13, .external_lex_state = 20},
  [5576] = {.lex_state = 31, .external_lex_state = 28},
  [5577] = {.lex_state = 13, .external_lex_state = 20},
  [5578] = {.lex_state = 31, .external_lex_state = 28},
  [5579] = {.lex_state = 13, .external_lex_state = 20},
  [5580] = {.lex_state = 31, .external_lex_state = 21},
  [5581] = {.lex_state = 13, .external_lex_state = 20},
  [5582] = {.lex_state = 13, .external_lex_state = 20},
  [5583] = {.lex_state = 13, .external_lex_state = 20},
  [5584] = {.lex_state = 13, .external_lex_state = 20},
  [5585] = {.lex_state = 13, .external_lex_state = 20},
  [5586] = {.lex_state = 13, .external_lex_state = 20},
  [5587] = {.lex_state = 13, .external_lex_state = 20},
  [5588] = {.lex_state = 13, .external_lex_state = 20},
  [5589] = {.lex_state = 13, .external_lex_state = 20},
  [5590] = {.lex_state = 13, .external_lex_state = 20},
  [5591] = {.lex_state = 13, .external_lex_state = 20},
  [5592] = {.lex_state = 13, .external_lex_state = 20},
  [5593] = {.lex_state = 13, .external_lex_state = 20},
  [5594] = {.lex_state = 13, .external_lex_state = 20},
  [5595] = {.lex_state = 13, .external_lex_state = 20},
  [5596] = {.lex_state = 13, .external_lex_state = 20},
  [5597] = {.lex_state = 38, .external_lex_state = 31},
  [5598] = {.lex_state = 38, .external_lex_state = 30},
  [5599] = {.lex_state = 38, .external_lex_state = 31},
  [5600] = {.lex_state = 13, .external_lex_state = 20},
  [5601] = {.lex_state = 31, .external_lex_state = 21},
  [5602] = {.lex_state = 13, .external_lex_state = 20},
  [5603] = {.lex_state = 13, .external_lex_state = 20},
  [5604] = {.lex_state = 13, .external_lex_state = 20},
  [5605] = {.lex_state = 31, .external_lex_state = 21},
  [5606] = {.lex_state = 13, .external_lex_state = 20},
  [5607] = {.lex_state = 13, .external_lex_state = 20},
  [5608] = {.lex_state = 13, .external_lex_state = 20},
  [5609] = {.lex_state = 13, .external_lex_state = 20},
  [5610] = {.lex_state = 13, .external_lex_state = 20},
  [5611] = {.lex_state = 13, .external_lex_state = 20},
  [5612] = {.lex_state = 13, .external_lex_state = 20},
  [5613] = {.lex_state = 38, .external_lex_state = 30},
  [5614] = {.lex_state = 13, .external_lex_state = 20},
  [5615] = {.lex_state = 38, .external_lex_state = 30},
  [5616] = {.lex_state = 31, .external_lex_state = 21},
  [5617] = {.lex_state = 13, .external_lex_state = 20},
  [5618] = {.lex_state = 13, .external_lex_state = 20},
  [5619] = {.lex_state = 31, .external_lex_state = 21},
  [5620] = {.lex_state = 13, .external_lex_state = 20},
  [5621] = {.lex_state = 13, .external_lex_state = 20},
  [5622] = {.lex_state = 13, .external_lex_state = 20},
  [5623] = {.lex_state = 38, .external_lex_state = 31},
  [5624] = {.lex_state = 13, .external_lex_state = 20},
  [5625] = {.lex_state = 13, .external_lex_state = 20},
  [5626] = {.lex_state = 13, .external_lex_state = 20},
  [5627] = {.lex_state = 13, .external_lex_state = 20},
  [5628] = {.lex_state = 38, .external_lex_state = 31},
  [5629] = {.lex_state = 38, .external_lex_state = 31},
  [5630] = {.lex_state = 38, .external_lex_state = 30},
  [5631] = {.lex_state = 13, .external_lex_state = 20},
  [5632] = {.lex_state = 13, .external_lex_state = 20},
  [5633] = {.lex_state = 31, .external_lex_state = 21},
  [5634] = {.lex_state = 31, .external_lex_state = 21},
  [5635] = {.lex_state = 13, .external_lex_state = 20},
  [5636] = {.lex_state = 13, .external_lex_state = 20},
  [5637] = {.lex_state = 13, .external_lex_state = 13},
  [5638] = {.lex_state = 38, .external_lex_state = 30},
  [5639] = {.lex_state = 31, .external_lex_state = 21},
  [5640] = {.lex_state = 31, .external_lex_state = 28},
  [5641] = {.lex_state = 13, .external_lex_state = 20},
  [5642] = {.lex_state = 13, .external_lex_state = 20},
  [5643] = {.lex_state = 13, .external_lex_state = 20},
  [5644] = {.lex_state = 13, .external_lex_state = 20},
  [5645] = {.lex_state = 13, .external_lex_state = 20},
  [5646] = {.lex_state = 13, .external_lex_state = 13},
  [5647] = {.lex_state = 13, .external_lex_state = 20},
  [5648] = {.lex_state = 13, .external_lex_state = 20},
  [5649] = {.lex_state = 13, .external_lex_state = 13},
  [5650] = {.lex_state = 13, .external_lex_state = 20},
  [5651] = {.lex_state = 13, .external_lex_state = 20},
  [5652] = {.lex_state = 13, .external_lex_state = 20},
  [5653] = {.lex_state = 13, .external_lex_state = 20},
  [5654] = {.lex_state = 38, .external_lex_state = 31},
  [5655] = {.lex_state = 13, .external_lex_state = 20},
  [5656] = {.lex_state = 13, .external_lex_state = 20},
  [5657] = {.lex_state = 13, .external_lex_state = 20},
  [5658] = {.lex_state = 13, .external_lex_state = 20},
  [5659] = {.lex_state = 13, .external_lex_state = 20},
  [5660] = {.lex_state = 13, .external_lex_state = 20},
  [5661] = {.lex_state = 13, .external_lex_state = 20},
  [5662] = {.lex_state = 31, .external_lex_state = 21},
  [5663] = {.lex_state = 13, .external_lex_state = 20},
  [5664] = {.lex_state = 13, .external_lex_state = 20},
  [5665] = {.lex_state = 13, .external_lex_state = 20},
  [5666] = {.lex_state = 13, .external_lex_state = 20},
  [5667] = {.lex_state = 13, .external_lex_state = 20},
  [5668] = {.lex_state = 13, .external_lex_state = 20},
  [5669] = {.lex_state = 13, .external_lex_state = 20},
  [5670] = {.lex_state = 38, .external_lex_state = 31},
  [5671] = {.lex_state = 38, .external_lex_state = 30},
  [5672] = {.lex_state = 31, .external_lex_state = 28},
  [5673] = {.lex_state = 13, .external_lex_state = 20},
  [5674] = {.lex_state = 13, .external_lex_state = 20},
  [5675] = {.lex_state = 13, .external_lex_state = 20},
  [5676] = {.lex_state = 13, .external_lex_state = 20},
  [5677] = {.lex_state = 13, .external_lex_state = 20},
  [5678] = {.lex_state = 13, .external_lex_state = 20},
  [5679] = {.lex_state = 13, .external_lex_state = 20},
  [5680] = {.lex_state = 13, .external_lex_state = 20},
  [5681] = {.lex_state = 31, .external_lex_state = 21},
  [5682] = {.lex_state = 13, .external_lex_state = 20},
  [5683] = {.lex_state = 13, .external_lex_state = 20},
  [5684] = {.lex_state = 31, .external_lex_state = 28},
  [5685] = {.lex_state = 13, .external_lex_state = 20},
  [5686] = {.lex_state = 13, .external_lex_state = 20},
  [5687] = {.lex_state = 13, .external_lex_state = 20},
  [5688] = {.lex_state = 13, .external_lex_state = 20},
  [5689] = {.lex_state = 13, .external_lex_state = 20},
  [5690] = {.lex_state = 13, .external_lex_state = 20},
  [5691] = {.lex_state = 13, .external_lex_state = 20},
  [5692] = {.lex_state = 13, .external_lex_state = 20},
  [5693] = {.lex_state = 31, .external_lex_state = 28},
  [5694] = {.lex_state = 13, .external_lex_state = 20},
  [5695] = {.lex_state = 13, .external_lex_state = 20},
  [5696] = {.lex_state = 13, .external_lex_state = 20},
  [5697] = {.lex_state = 13, .external_lex_state = 20},
  [5698] = {.lex_state = 13, .external_lex_state = 20},
  [5699] = {.lex_state = 13, .external_lex_state = 20},
  [5700] = {.lex_state = 13, .external_lex_state = 20},
  [5701] = {.lex_state = 13, .external_lex_state = 20},
  [5702] = {.lex_state = 13, .external_lex_state = 20},
  [5703] = {.lex_state = 31, .external_lex_state = 21},
  [5704] = {.lex_state = 13, .external_lex_state = 20},
  [5705] = {.lex_state = 13, .external_lex_state = 20},
  [5706] = {.lex_state = 13, .external_lex_state = 20},
  [5707] = {.lex_state = 38, .external_lex_state = 31},
  [5708] = {.lex_state = 13, .external_lex_state = 20},
  [5709] = {.lex_state = 38, .external_lex_state = 30},
  [5710] = {.lex_state = 13, .external_lex_state = 20},
  [5711] = {.lex_state = 13, .external_lex_state = 20},
  [5712] = {.lex_state = 34, .external_lex_state = 29},
  [5713] = {.lex_state = 13, .external_lex_state = 20},
  [5714] = {.lex_state = 13, .external_lex_state = 20},
  [5715] = {.lex_state = 13, .external_lex_state = 20},
  [5716] = {.lex_state = 13, .external_lex_state = 20},
  [5717] = {.lex_state = 13, .external_lex_state = 20},
  [5718] = {.lex_state = 13, .external_lex_state = 20},
  [5719] = {.lex_state = 13, .external_lex_state = 20},
  [5720] = {.lex_state = 13, .external_lex_state = 20},
  [5721] = {.lex_state = 31, .external_lex_state = 28},
  [5722] = {.lex_state = 13, .external_lex_state = 20},
  [5723] = {.lex_state = 13, .external_lex_state = 20},
  [5724] = {.lex_state = 13, .external_lex_state = 20},
  [5725] = {.lex_state = 13, .external_lex_state = 20},
  [5726] = {.lex_state = 31, .external_lex_state = 21},
  [5727] = {.lex_state = 42, .external_lex_state = 32},
  [5728] = {.lex_state = 13, .external_lex_state = 20},
  [5729] = {.lex_state = 13, .external_lex_state = 20},
  [5730] = {.lex_state = 31, .external_lex_state = 21},
  [5731] = {.lex_state = 13, .external_lex_state = 13},
  [5732] = {.lex_state = 13, .external_lex_state = 13},
  [5733] = {.lex_state = 42, .external_lex_state = 32},
  [5734] = {.lex_state = 41, .external_lex_state = 33},
  [5735] = {.lex_state = 38, .external_lex_state = 34},
  [5736] = {.lex_state = 38, .external_lex_state = 35},
  [5737] = {.lex_state = 42, .external_lex_state = 32},
  [5738] = {.lex_state = 41, .external_lex_state = 33},
  [5739] = {.lex_state = 42, .external_lex_state = 32},
  [5740] = {.lex_state = 41, .external_lex_state = 33},
  [5741] = {.lex_state = 41, .external_lex_state = 33},
  [5742] = {.lex_state = 13, .external_lex_state = 20},
  [5743] = {.lex_state = 42, .external_lex_state = 32},
  [5744] = {.lex_state = 41, .external_lex_state = 33},
  [5745] = {.lex_state = 38, .external_lex_state = 34},
  [5746] = {.lex_state = 38, .external_lex_state = 35},
  [5747] = {.lex_state = 42, .external_lex_state = 32},
  [5748] = {.lex_state = 41, .external_lex_state = 33},
  [5749] = {.lex_state = 42, .external_lex_state = 32},
  [5750] = {.lex_state = 41, .external_lex_state = 33},
  [5751] = {.lex_state = 38, .external_lex_state = 34},
  [5752] = {.lex_state = 13, .external_lex_state = 20},
  [5753] = {.lex_state = 31, .external_lex_state = 21},
  [5754] = {.lex_state = 13, .external_lex_state = 23},
  [5755] = {.lex_state = 13, .external_lex_state = 20},
  [5756] = {.lex_state = 31, .external_lex_state = 21},
  [5757] = {.lex_state = 31, .external_lex_state = 21},
  [5758] = {.lex_state = 34, .external_lex_state = 25},
  [5759] = {.lex_state = 31, .external_lex_state = 21},
  [5760] = {.lex_state = 31, .external_lex_state = 21},
  [5761] = {.lex_state = 31, .external_lex_state = 21},
  [5762] = {.lex_state = 38, .external_lex_state = 35},
  [5763] = {.lex_state = 42, .external_lex_state = 32},
  [5764] = {.lex_state = 31, .external_lex_state = 21},
  [5765] = {.lex_state = 38, .external_lex_state = 34},
  [5766] = {.lex_state = 38, .external_lex_state = 35},
  [5767] = {.lex_state = 38, .external_lex_state = 34},
  [5768] = {.lex_state = 38, .external_lex_state = 35},
  [5769] = {.lex_state = 31, .external_lex_state = 21},
  [5770] = {.lex_state = 31, .external_lex_state = 21},
  [5771] = {.lex_state = 31, .external_lex_state = 21},
  [5772] = {.lex_state = 41, .external_lex_state = 33},
  [5773] = {.lex_state = 13, .external_lex_state = 20},
  [5774] = {.lex_state = 31, .external_lex_state = 21},
  [5775] = {.lex_state = 38, .external_lex_state = 34},
  [5776] = {.lex_state = 38, .external_lex_state = 35},
  [5777] = {.lex_state = 38, .external_lex_state = 34},
  [5778] = {.lex_state = 31, .external_lex_state = 21},
  [5779] = {.lex_state = 13, .external_lex_state = 23},
  [5780] = {.lex_state = 13, .external_lex_state = 23},
  [5781] = {.lex_state = 38, .external_lex_state = 34},
  [5782] = {.lex_state = 31, .external_lex_state = 21},
  [5783] = {.lex_state = 34, .external_lex_state = 26},
  [5784] = {.lex_state = 38, .external_lex_state = 35},
  [5785] = {.lex_state = 31, .external_lex_state = 21},
  [5786] = {.lex_state = 31, .external_lex_state = 21},
  [5787] = {.lex_state = 34, .external_lex_state = 25},
  [5788] = {.lex_state = 13, .external_lex_state = 20},
  [5789] = {.lex_state = 31, .external_lex_state = 21},
  [5790] = {.lex_state = 42, .external_lex_state = 32},
  [5791] = {.lex_state = 41, .external_lex_state = 33},
  [5792] = {.lex_state = 38, .external_lex_state = 34},
  [5793] = {.lex_state = 38, .external_lex_state = 35},
  [5794] = {.lex_state = 38, .external_lex_state = 35},
  [5795] = {.lex_state = 31, .external_lex_state = 21},
  [5796] = {.lex_state = 34, .external_lex_state = 26},
  [5797] = {.lex_state = 31, .external_lex_state = 21},
  [5798] = {.lex_state = 31, .external_lex_state = 21},
  [5799] = {.lex_state = 34, .external_lex_state = 25},
  [5800] = {.lex_state = 31, .external_lex_state = 21},
  [5801] = {.lex_state = 34, .external_lex_state = 25},
  [5802] = {.lex_state = 34, .external_lex_state = 25},
  [5803] = {.lex_state = 34, .external_lex_state = 27},
  [5804] = {.lex_state = 31, .external_lex_state = 28},
  [5805] = {.lex_state = 31, .external_lex_state = 21},
  [5806] = {.lex_state = 31, .external_lex_state = 21},
  [5807] = {.lex_state = 31, .external_lex_state = 21},
  [5808] = {.lex_state = 31, .external_lex_state = 21},
  [5809] = {.lex_state = 34, .external_lex_state = 25},
  [5810] = {.lex_state = 34, .external_lex_state = 26},
  [5811] = {.lex_state = 31, .external_lex_state = 21},
  [5812] = {.lex_state = 31, .external_lex_state = 21},
  [5813] = {.lex_state = 34, .external_lex_state = 27},
  [5814] = {.lex_state = 34, .external_lex_state = 26},
  [5815] = {.lex_state = 13, .external_lex_state = 23},
  [5816] = {.lex_state = 13, .external_lex_state = 23},
  [5817] = {.lex_state = 34, .external_lex_state = 25},
  [5818] = {.lex_state = 31, .external_lex_state = 21},
  [5819] = {.lex_state = 34, .external_lex_state = 26},
  [5820] = {.lex_state = 34, .external_lex_state = 26},
  [5821] = {.lex_state = 31, .external_lex_state = 21},
  [5822] = {.lex_state = 31, .external_lex_state = 21},
  [5823] = {.lex_state = 34, .external_lex_state = 25},
  [5824] = {.lex_state = 34, .external_lex_state = 26},
  [5825] = {.lex_state = 30, .external_lex_state = 2},
  [5826] = {.lex_state = 31, .external_lex_state = 28},
  [5827] = {.lex_state = 31, .external_lex_state = 21},
  [5828] = {.lex_state = 34, .external_lex_state = 26},
  [5829] = {.lex_state = 34, .external_lex_state = 2},
  [5830] = {.lex_state = 13, .external_lex_state = 20},
  [5831] = {.lex_state = 13, .external_lex_state = 20},
  [5832] = {.lex_state = 34, .external_lex_state = 25},
  [5833] = {.lex_state = 31, .external_lex_state = 21},
  [5834] = {.lex_state = 34, .external_lex_state = 25},
  [5835] = {.lex_state = 31, .external_lex_state = 21},
  [5836] = {.lex_state = 31, .external_lex_state = 21},
  [5837] = {.lex_state = 34, .external_lex_state = 26},
  [5838] = {.lex_state = 31, .external_lex_state = 21},
  [5839] = {.lex_state = 34, .external_lex_state = 26},
  [5840] = {.lex_state = 31, .external_lex_state = 21},
  [5841] = {.lex_state = 31, .external_lex_state = 21},
  [5842] = {.lex_state = 31, .external_lex_state = 21},
  [5843] = {.lex_state = 31, .external_lex_state = 21},
  [5844] = {.lex_state = 31, .external_lex_state = 21},
  [5845] = {.lex_state = 31, .external_lex_state = 21},
  [5846] = {.lex_state = 34, .external_lex_state = 26},
  [5847] = {.lex_state = 30, .external_lex_state = 2},
  [5848] = {.lex_state = 30, .external_lex_state = 2},
  [5849] = {.lex_state = 31, .external_lex_state = 28},
  [5850] = {.lex_state = 34, .external_lex_state = 25},
  [5851] = {.lex_state = 31, .external_lex_state = 28},
  [5852] = {.lex_state = 31, .external_lex_state = 21},
  [5853] = {.lex_state = 34, .external_lex_state = 25},
  [5854] = {.lex_state = 31, .external_lex_state = 28},
  [5855] = {.lex_state = 34, .external_lex_state = 2},
  [5856] = {.lex_state = 30, .external_lex_state = 2},
  [5857] = {.lex_state = 31, .external_lex_state = 21},
  [5858] = {.lex_state = 34, .external_lex_state = 25},
  [5859] = {.lex_state = 30, .external_lex_state = 2},
  [5860] = {.lex_state = 30, .external_lex_state = 2},
  [5861] = {.lex_state = 34, .external_lex_state = 26},
  [5862] = {.lex_state = 31, .external_lex_state = 21},
  [5863] = {.lex_state = 30, .external_lex_state = 2},
  [5864] = {.lex_state = 34, .external_lex_state = 25},
  [5865] = {.lex_state = 30, .external_lex_state = 2},
  [5866] = {.lex_state = 31, .external_lex_state = 21},
  [5867] = {.lex_state = 30, .external_lex_state = 2},
  [5868] = {.lex_state = 38, .external_lex_state = 26},
  [5869] = {.lex_state = 34, .external_lex_state = 25},
  [5870] = {.lex_state = 34, .external_lex_state = 27},
  [5871] = {.lex_state = 31, .external_lex_state = 21},
  [5872] = {.lex_state = 34, .external_lex_state = 26},
  [5873] = {.lex_state = 34, .external_lex_state = 27},
  [5874] = {.lex_state = 31, .external_lex_state = 21},
  [5875] = {.lex_state = 30, .external_lex_state = 2},
  [5876] = {.lex_state = 34, .external_lex_state = 25},
  [5877] = {.lex_state = 30, .external_lex_state = 2},
  [5878] = {.lex_state = 31, .external_lex_state = 21},
  [5879] = {.lex_state = 34, .external_lex_state = 25},
  [5880] = {.lex_state = 31, .external_lex_state = 21},
  [5881] = {.lex_state = 31, .external_lex_state = 28},
  [5882] = {.lex_state = 34, .external_lex_state = 27},
  [5883] = {.lex_state = 34, .external_lex_state = 27},
  [5884] = {.lex_state = 30, .external_lex_state = 2},
  [5885] = {.lex_state = 31, .external_lex_state = 21},
  [5886] = {.lex_state = 13, .external_lex_state = 13},
  [5887] = {.lex_state = 34, .external_lex_state = 27},
  [5888] = {.lex_state = 31, .external_lex_state = 21},
  [5889] = {.lex_state = 30, .external_lex_state = 2},
  [5890] = {.lex_state = 34, .external_lex_state = 2},
  [5891] = {.lex_state = 30, .external_lex_state = 2},
  [5892] = {.lex_state = 30, .external_lex_state = 2},
  [5893] = {.lex_state = 31, .external_lex_state = 28},
  [5894] = {.lex_state = 38, .external_lex_state = 26},
  [5895] = {.lex_state = 30, .external_lex_state = 2},
  [5896] = {.lex_state = 31, .external_lex_state = 28},
  [5897] = {.lex_state = 13, .external_lex_state = 20},
  [5898] = {.lex_state = 34, .external_lex_state = 26},
  [5899] = {.lex_state = 31, .external_lex_state = 28},
  [5900] = {.lex_state = 13, .external_lex_state = 13},
  [5901] = {.lex_state = 13, .external_lex_state = 13},
  [5902] = {.lex_state = 34, .external_lex_state = 25},
  [5903] = {.lex_state = 34, .external_lex_state = 26},
  [5904] = {.lex_state = 34, .external_lex_state = 27},
  [5905] = {.lex_state = 30, .external_lex_state = 2},
  [5906] = {.lex_state = 31, .external_lex_state = 28},
  [5907] = {.lex_state = 34, .external_lex_state = 26},
  [5908] = {.lex_state = 34, .external_lex_state = 26},
  [5909] = {.lex_state = 34, .external_lex_state = 26},
  [5910] = {.lex_state = 31, .external_lex_state = 21},
  [5911] = {.lex_state = 34, .external_lex_state = 27},
  [5912] = {.lex_state = 30, .external_lex_state = 2},
  [5913] = {.lex_state = 13, .external_lex_state = 20},
  [5914] = {.lex_state = 31, .external_lex_state = 21},
  [5915] = {.lex_state = 34, .external_lex_state = 27},
  [5916] = {.lex_state = 34, .external_lex_state = 25},
  [5917] = {.lex_state = 30, .external_lex_state = 2},
  [5918] = {.lex_state = 31, .external_lex_state = 21},
  [5919] = {.lex_state = 34, .external_lex_state = 26},
  [5920] = {.lex_state = 30, .external_lex_state = 2},
  [5921] = {.lex_state = 34, .external_lex_state = 2},
  [5922] = {.lex_state = 34, .external_lex_state = 25},
  [5923] = {.lex_state = 31, .external_lex_state = 28},
  [5924] = {.lex_state = 38, .external_lex_state = 32},
  [5925] = {.lex_state = 13, .external_lex_state = 23},
  [5926] = {.lex_state = 34, .external_lex_state = 2},
  [5927] = {.lex_state = 34, .external_lex_state = 27},
  [5928] = {.lex_state = 34, .external_lex_state = 2},
  [5929] = {.lex_state = 31, .external_lex_state = 21},
  [5930] = {.lex_state = 34, .external_lex_state = 2},
  [5931] = {.lex_state = 34, .external_lex_state = 26},
  [5932] = {.lex_state = 34, .external_lex_state = 26},
  [5933] = {.lex_state = 34, .external_lex_state = 26},
  [5934] = {.lex_state = 34, .external_lex_state = 2},
  [5935] = {.lex_state = 34, .external_lex_state = 26},
  [5936] = {.lex_state = 34, .external_lex_state = 27},
  [5937] = {.lex_state = 34, .external_lex_state = 26},
  [5938] = {.lex_state = 34, .external_lex_state = 2},
  [5939] = {.lex_state = 38, .external_lex_state = 33},
  [5940] = {.lex_state = 34, .external_lex_state = 2},
  [5941] = {.lex_state = 34, .external_lex_state = 26},
  [5942] = {.lex_state = 34, .external_lex_state = 26},
  [5943] = {.lex_state = 34, .external_lex_state = 27},
  [5944] = {.lex_state = 38, .external_lex_state = 32},
  [5945] = {.lex_state = 34, .external_lex_state = 27},
  [5946] = {.lex_state = 13, .external_lex_state = 20},
  [5947] = {.lex_state = 34, .external_lex_state = 27},
  [5948] = {.lex_state = 34, .external_lex_state = 25},
  [5949] = {.lex_state = 31, .external_lex_state = 28},
  [5950] = {.lex_state = 34, .external_lex_state = 2},
  [5951] = {.lex_state = 34, .external_lex_state = 25},
  [5952] = {.lex_state = 34, .external_lex_state = 27},
  [5953] = {.lex_state = 34, .external_lex_state = 25},
  [5954] = {.lex_state = 34, .external_lex_state = 26},
  [5955] = {.lex_state = 31, .external_lex_state = 28},
  [5956] = {.lex_state = 34, .external_lex_state = 27},
  [5957] = {.lex_state = 34, .external_lex_state = 26},
  [5958] = {.lex_state = 34, .external_lex_state = 26},
  [5959] = {.lex_state = 34, .external_lex_state = 27},
  [5960] = {.lex_state = 13, .external_lex_state = 23},
  [5961] = {.lex_state = 34, .external_lex_state = 27},
  [5962] = {.lex_state = 34, .external_lex_state = 25},
  [5963] = {.lex_state = 34, .external_lex_state = 26},
  [5964] = {.lex_state = 34, .external_lex_state = 26},
  [5965] = {.lex_state = 31, .external_lex_state = 28},
  [5966] = {.lex_state = 34, .external_lex_state = 25},
  [5967] = {.lex_state = 31, .external_lex_state = 28},
  [5968] = {.lex_state = 34, .external_lex_state = 26},
  [5969] = {.lex_state = 34, .external_lex_state = 25},
  [5970] = {.lex_state = 38, .external_lex_state = 33},
  [5971] = {.lex_state = 34, .external_lex_state = 25},
  [5972] = {.lex_state = 34, .external_lex_state = 25},
  [5973] = {.lex_state = 34, .external_lex_state = 25},
  [5974] = {.lex_state = 34, .external_lex_state = 25},
  [5975] = {.lex_state = 31, .external_lex_state = 28},
  [5976] = {.lex_state = 34, .external_lex_state = 25},
  [5977] = {.lex_state = 31, .external_lex_state = 28},
  [5978] = {.lex_state = 13, .external_lex_state = 23},
  [5979] = {.lex_state = 31, .external_lex_state = 28},
  [5980] = {.lex_state = 34, .external_lex_state = 25},
  [5981] = {.lex_state = 35, .external_lex_state = 2},
  [5982] = {.lex_state = 34, .external_lex_state = 2},
  [5983] = {.lex_state = 31, .external_lex_state = 21},
  [5984] = {.lex_state = 31, .external_lex_state = 21},
  [5985] = {.lex_state = 35, .external_lex_state = 2},
  [5986] = {.lex_state = 31, .external_lex_state = 21},
  [5987] = {.lex_state = 34, .external_lex_state = 25},
  [5988] = {.lex_state = 35, .external_lex_state = 2},
  [5989] = {.lex_state = 35, .external_lex_state = 2},
  [5990] = {.lex_state = 35, .external_lex_state = 2},
  [5991] = {.lex_state = 31, .external_lex_state = 21},
  [5992] = {.lex_state = 34, .external_lex_state = 2},
  [5993] = {.lex_state = 35, .external_lex_state = 2},
  [5994] = {.lex_state = 35, .external_lex_state = 2},
  [5995] = {.lex_state = 35, .external_lex_state = 2},
  [5996] = {.lex_state = 31, .external_lex_state = 21},
  [5997] = {.lex_state = 35, .external_lex_state = 2},
  [5998] = {.lex_state = 31, .external_lex_state = 21},
  [5999] = {.lex_state = 31, .external_lex_state = 21},
  [6000] = {.lex_state = 31, .external_lex_state = 21},
  [6001] = {.lex_state = 31, .external_lex_state = 28},
  [6002] = {.lex_state = 31, .external_lex_state = 21},
  [6003] = {.lex_state = 35, .external_lex_state = 2},
  [6004] = {.lex_state = 31, .external_lex_state = 28},
  [6005] = {.lex_state = 31, .external_lex_state = 21},
  [6006] = {.lex_state = 35, .external_lex_state = 2},
  [6007] = {.lex_state = 35, .external_lex_state = 2},
  [6008] = {.lex_state = 34, .external_lex_state = 2},
  [6009] = {.lex_state = 34, .external_lex_state = 27},
  [6010] = {.lex_state = 35, .external_lex_state = 2},
  [6011] = {.lex_state = 35, .external_lex_state = 2},
  [6012] = {.lex_state = 34, .external_lex_state = 2},
  [6013] = {.lex_state = 31, .external_lex_state = 21},
  [6014] = {.lex_state = 31, .external_lex_state = 28},
  [6015] = {.lex_state = 34, .external_lex_state = 27},
  [6016] = {.lex_state = 34, .external_lex_state = 2},
  [6017] = {.lex_state = 34, .external_lex_state = 27},
  [6018] = {.lex_state = 34, .external_lex_state = 27},
  [6019] = {.lex_state = 31, .external_lex_state = 28},
  [6020] = {.lex_state = 35, .external_lex_state = 2},
  [6021] = {.lex_state = 31, .external_lex_state = 21},
  [6022] = {.lex_state = 35, .external_lex_state = 2},
  [6023] = {.lex_state = 35, .external_lex_state = 2},
  [6024] = {.lex_state = 34, .external_lex_state = 27},
  [6025] = {.lex_state = 34, .external_lex_state = 27},
  [6026] = {.lex_state = 34, .external_lex_state = 2},
  [6027] = {.lex_state = 31, .external_lex_state = 21},
  [6028] = {.lex_state = 34, .external_lex_state = 27},
  [6029] = {.lex_state = 34, .external_lex_state = 27},
  [6030] = {.lex_state = 35, .external_lex_state = 2},
  [6031] = {.lex_state = 34, .external_lex_state = 2},
  [6032] = {.lex_state = 31, .external_lex_state = 21},
  [6033] = {.lex_state = 35, .external_lex_state = 2},
  [6034] = {.lex_state = 35, .external_lex_state = 2},
  [6035] = {.lex_state = 34, .external_lex_state = 25},
  [6036] = {.lex_state = 35, .external_lex_state = 2},
  [6037] = {.lex_state = 35, .external_lex_state = 2},
  [6038] = {.lex_state = 40, .external_lex_state = 26},
  [6039] = {.lex_state = 35, .external_lex_state = 2},
  [6040] = {.lex_state = 34, .external_lex_state = 27},
  [6041] = {.lex_state = 35, .external_lex_state = 2},
  [6042] = {.lex_state = 31, .external_lex_state = 28},
  [6043] = {.lex_state = 35, .external_lex_state = 2},
  [6044] = {.lex_state = 34, .external_lex_state = 27},
  [6045] = {.lex_state = 34, .external_lex_state = 25},
  [6046] = {.lex_state = 31, .external_lex_state = 21},
  [6047] = {.lex_state = 34, .external_lex_state = 2},
  [6048] = {.lex_state = 31, .external_lex_state = 21},
  [6049] = {.lex_state = 34, .external_lex_state = 2},
  [6050] = {.lex_state = 34, .external_lex_state = 27},
  [6051] = {.lex_state = 34, .external_lex_state = 2},
  [6052] = {.lex_state = 31, .external_lex_state = 21},
  [6053] = {.lex_state = 40, .external_lex_state = 26},
  [6054] = {.lex_state = 35, .external_lex_state = 2},
  [6055] = {.lex_state = 35, .external_lex_state = 2},
  [6056] = {.lex_state = 35, .external_lex_state = 2},
  [6057] = {.lex_state = 35, .external_lex_state = 2},
  [6058] = {.lex_state = 34, .external_lex_state = 27},
  [6059] = {.lex_state = 35, .external_lex_state = 2},
  [6060] = {.lex_state = 35, .external_lex_state = 2},
  [6061] = {.lex_state = 31, .external_lex_state = 28},
  [6062] = {.lex_state = 35, .external_lex_state = 2},
  [6063] = {.lex_state = 35, .external_lex_state = 2},
  [6064] = {.lex_state = 34, .external_lex_state = 27},
  [6065] = {.lex_state = 31, .external_lex_state = 21},
  [6066] = {.lex_state = 40, .external_lex_state = 26},
  [6067] = {.lex_state = 31, .external_lex_state = 21},
  [6068] = {.lex_state = 34, .external_lex_state = 25},
  [6069] = {.lex_state = 34, .external_lex_state = 2},
  [6070] = {.lex_state = 31, .external_lex_state = 21},
  [6071] = {.lex_state = 34, .external_lex_state = 2},
  [6072] = {.lex_state = 34, .external_lex_state = 2},
  [6073] = {.lex_state = 40, .external_lex_state = 26},
  [6074] = {.lex_state = 34, .external_lex_state = 2},
  [6075] = {.lex_state = 34, .external_lex_state = 2},
  [6076] = {.lex_state = 31, .external_lex_state = 21},
  [6077] = {.lex_state = 34, .external_lex_state = 27},
  [6078] = {.lex_state = 31, .external_lex_state = 21},
  [6079] = {.lex_state = 31, .external_lex_state = 21},
  [6080] = {.lex_state = 34, .external_lex_state = 25},
  [6081] = {.lex_state = 31, .external_lex_state = 21},
  [6082] = {.lex_state = 31, .external_lex_state = 21},
  [6083] = {.lex_state = 34, .external_lex_state = 2},
  [6084] = {.lex_state = 34, .external_lex_state = 26},
  [6085] = {.lex_state = 31, .external_lex_state = 21},
  [6086] = {.lex_state = 31, .external_lex_state = 21},
  [6087] = {.lex_state = 34, .external_lex_state = 26},
  [6088] = {.lex_state = 40, .external_lex_state = 26},
  [6089] = {.lex_state = 31, .external_lex_state = 21},
  [6090] = {.lex_state = 40, .external_lex_state = 26},
  [6091] = {.lex_state = 34, .external_lex_state = 2},
  [6092] = {.lex_state = 34, .external_lex_state = 25},
  [6093] = {.lex_state = 40, .external_lex_state = 26},
  [6094] = {.lex_state = 34, .external_lex_state = 27},
  [6095] = {.lex_state = 34, .external_lex_state = 25},
  [6096] = {.lex_state = 34, .external_lex_state = 25},
  [6097] = {.lex_state = 34, .external_lex_state = 2},
  [6098] = {.lex_state = 34, .external_lex_state = 2},
  [6099] = {.lex_state = 34, .external_lex_state = 2},
  [6100] = {.lex_state = 34, .external_lex_state = 2},
  [6101] = {.lex_state = 34, .external_lex_state = 27},
  [6102] = {.lex_state = 34, .external_lex_state = 2},
  [6103] = {.lex_state = 34, .external_lex_state = 26},
  [6104] = {.lex_state = 31, .external_lex_state = 21},
  [6105] = {.lex_state = 40, .external_lex_state = 26},
  [6106] = {.lex_state = 34, .external_lex_state = 2},
  [6107] = {.lex_state = 31, .external_lex_state = 21},
  [6108] = {.lex_state = 34, .external_lex_state = 25},
  [6109] = {.lex_state = 40, .external_lex_state = 26},
  [6110] = {.lex_state = 31, .external_lex_state = 21},
  [6111] = {.lex_state = 31, .external_lex_state = 21},
  [6112] = {.lex_state = 31, .external_lex_state = 21},
  [6113] = {.lex_state = 40, .external_lex_state = 26},
  [6114] = {.lex_state = 31, .external_lex_state = 21},
  [6115] = {.lex_state = 40, .external_lex_state = 26},
  [6116] = {.lex_state = 30, .external_lex_state = 2},
  [6117] = {.lex_state = 34, .external_lex_state = 25},
  [6118] = {.lex_state = 30, .external_lex_state = 2},
  [6119] = {.lex_state = 30, .external_lex_state = 2},
  [6120] = {.lex_state = 40, .external_lex_state = 26},
  [6121] = {.lex_state = 34, .external_lex_state = 25},
  [6122] = {.lex_state = 30, .external_lex_state = 2},
  [6123] = {.lex_state = 40, .external_lex_state = 26},
  [6124] = {.lex_state = 30, .external_lex_state = 2},
  [6125] = {.lex_state = 30, .external_lex_state = 2},
  [6126] = {.lex_state = 30, .external_lex_state = 2},
  [6127] = {.lex_state = 40, .external_lex_state = 26},
  [6128] = {.lex_state = 40, .external_lex_state = 26},
  [6129] = {.lex_state = 30, .external_lex_state = 2},
  [6130] = {.lex_state = 30, .external_lex_state = 2},
  [6131] = {.lex_state = 30, .external_lex_state = 2},
  [6132] = {.lex_state = 38, .external_lex_state = 26},
  [6133] = {.lex_state = 30, .external_lex_state = 2},
  [6134] = {.lex_state = 30, .external_lex_state = 2},
  [6135] = {.lex_state = 34, .external_lex_state = 27},
  [6136] = {.lex_state = 30, .external_lex_state = 2},
  [6137] = {.lex_state = 30, .external_lex_state = 2},
  [6138] = {.lex_state = 30, .external_lex_state = 2},
  [6139] = {.lex_state = 30, .external_lex_state = 2},
  [6140] = {.lex_state = 34, .external_lex_state = 25},
  [6141] = {.lex_state = 40, .external_lex_state = 26},
  [6142] = {.lex_state = 30, .external_lex_state = 2},
  [6143] = {.lex_state = 30, .external_lex_state = 2},
  [6144] = {.lex_state = 34, .external_lex_state = 27},
  [6145] = {.lex_state = 30, .external_lex_state = 2},
  [6146] = {.lex_state = 30, .external_lex_state = 2},
  [6147] = {.lex_state = 30, .external_lex_state = 2},
  [6148] = {.lex_state = 30, .external_lex_state = 2},
  [6149] = {.lex_state = 30, .external_lex_state = 2},
  [6150] = {.lex_state = 30, .external_lex_state = 2},
  [6151] = {.lex_state = 34, .external_lex_state = 25},
  [6152] = {.lex_state = 40, .external_lex_state = 26},
  [6153] = {.lex_state = 30, .external_lex_state = 2},
  [6154] = {.lex_state = 40, .external_lex_state = 26},
  [6155] = {.lex_state = 34, .external_lex_state = 27},
  [6156] = {.lex_state = 30, .external_lex_state = 2},
  [6157] = {.lex_state = 40, .external_lex_state = 26},
  [6158] = {.lex_state = 30, .external_lex_state = 2},
  [6159] = {.lex_state = 34, .external_lex_state = 26},
  [6160] = {.lex_state = 30, .external_lex_state = 2},
  [6161] = {.lex_state = 30, .external_lex_state = 2},
  [6162] = {.lex_state = 30, .external_lex_state = 2},
  [6163] = {.lex_state = 34, .external_lex_state = 26},
  [6164] = {.lex_state = 30, .external_lex_state = 2},
  [6165] = {.lex_state = 34, .external_lex_state = 27},
  [6166] = {.lex_state = 34, .external_lex_state = 27},
  [6167] = {.lex_state = 34, .external_lex_state = 26},
  [6168] = {.lex_state = 40, .external_lex_state = 26},
  [6169] = {.lex_state = 30, .external_lex_state = 2},
  [6170] = {.lex_state = 34, .external_lex_state = 25},
  [6171] = {.lex_state = 34, .external_lex_state = 26},
  [6172] = {.lex_state = 30, .external_lex_state = 2},
  [6173] = {.lex_state = 34, .external_lex_state = 26},
  [6174] = {.lex_state = 40, .external_lex_state = 26},
  [6175] = {.lex_state = 34, .external_lex_state = 27},
  [6176] = {.lex_state = 30, .external_lex_state = 2},
  [6177] = {.lex_state = 30, .external_lex_state = 2},
  [6178] = {.lex_state = 34, .external_lex_state = 26},
  [6179] = {.lex_state = 30, .external_lex_state = 2},
  [6180] = {.lex_state = 30, .external_lex_state = 2},
  [6181] = {.lex_state = 30, .external_lex_state = 2},
  [6182] = {.lex_state = 30, .external_lex_state = 2},
  [6183] = {.lex_state = 31, .external_lex_state = 28},
  [6184] = {.lex_state = 30, .external_lex_state = 2},
  [6185] = {.lex_state = 30, .external_lex_state = 2},
  [6186] = {.lex_state = 30, .external_lex_state = 2},
  [6187] = {.lex_state = 30, .external_lex_state = 2},
  [6188] = {.lex_state = 34, .external_lex_state = 2},
  [6189] = {.lex_state = 34, .external_lex_state = 2},
  [6190] = {.lex_state = 34, .external_lex_state = 27},
  [6191] = {.lex_state = 40, .external_lex_state = 26},
  [6192] = {.lex_state = 30, .external_lex_state = 2},
  [6193] = {.lex_state = 30, .external_lex_state = 2},
  [6194] = {.lex_state = 30, .external_lex_state = 2},
  [6195] = {.lex_state = 31, .external_lex_state = 22},
  [6196] = {.lex_state = 31, .external_lex_state = 28},
  [6197] = {.lex_state = 34, .external_lex_state = 2},
  [6198] = {.lex_state = 40, .external_lex_state = 26},
  [6199] = {.lex_state = 30, .external_lex_state = 2},
  [6200] = {.lex_state = 30, .external_lex_state = 2},
  [6201] = {.lex_state = 34, .external_lex_state = 26},
  [6202] = {.lex_state = 34, .external_lex_state = 27},
  [6203] = {.lex_state = 30, .external_lex_state = 2},
  [6204] = {.lex_state = 30, .external_lex_state = 2},
  [6205] = {.lex_state = 30, .external_lex_state = 2},
  [6206] = {.lex_state = 30, .external_lex_state = 2},
  [6207] = {.lex_state = 34, .external_lex_state = 27},
  [6208] = {.lex_state = 31, .external_lex_state = 28},
  [6209] = {.lex_state = 30, .external_lex_state = 2},
  [6210] = {.lex_state = 30, .external_lex_state = 2},
  [6211] = {.lex_state = 30, .external_lex_state = 2},
  [6212] = {.lex_state = 40, .external_lex_state = 26},
  [6213] = {.lex_state = 30, .external_lex_state = 2},
  [6214] = {.lex_state = 31, .external_lex_state = 28},
  [6215] = {.lex_state = 31, .external_lex_state = 28},
  [6216] = {.lex_state = 31, .external_lex_state = 28},
  [6217] = {.lex_state = 40, .external_lex_state = 26},
  [6218] = {.lex_state = 30, .external_lex_state = 2},
  [6219] = {.lex_state = 30, .external_lex_state = 2},
  [6220] = {.lex_state = 30, .external_lex_state = 2},
  [6221] = {.lex_state = 31, .external_lex_state = 28},
  [6222] = {.lex_state = 30, .external_lex_state = 2},
  [6223] = {.lex_state = 30, .external_lex_state = 2},
  [6224] = {.lex_state = 30, .external_lex_state = 2},
  [6225] = {.lex_state = 34, .external_lex_state = 26},
  [6226] = {.lex_state = 30, .external_lex_state = 2},
  [6227] = {.lex_state = 30, .external_lex_state = 2},
  [6228] = {.lex_state = 40, .external_lex_state = 26},
  [6229] = {.lex_state = 38, .external_lex_state = 33},
  [6230] = {.lex_state = 31, .external_lex_state = 28},
  [6231] = {.lex_state = 30, .external_lex_state = 2},
  [6232] = {.lex_state = 31, .external_lex_state = 28},
  [6233] = {.lex_state = 30, .external_lex_state = 2},
  [6234] = {.lex_state = 31, .external_lex_state = 28},
  [6235] = {.lex_state = 30, .external_lex_state = 2},
  [6236] = {.lex_state = 30, .external_lex_state = 2},
  [6237] = {.lex_state = 40, .external_lex_state = 26},
  [6238] = {.lex_state = 30, .external_lex_state = 2},
  [6239] = {.lex_state = 30, .external_lex_state = 2},
  [6240] = {.lex_state = 30, .external_lex_state = 2},
  [6241] = {.lex_state = 30, .external_lex_state = 2},
  [6242] = {.lex_state = 30, .external_lex_state = 2},
  [6243] = {.lex_state = 31, .external_lex_state = 28},
  [6244] = {.lex_state = 31, .external_lex_state = 28},
  [6245] = {.lex_state = 30, .external_lex_state = 2},
  [6246] = {.lex_state = 30, .external_lex_state = 2},
  [6247] = {.lex_state = 40, .external_lex_state = 26},
  [6248] = {.lex_state = 30, .external_lex_state = 2},
  [6249] = {.lex_state = 30, .external_lex_state = 2},
  [6250] = {.lex_state = 30, .external_lex_state = 2},
  [6251] = {.lex_state = 40, .external_lex_state = 26},
  [6252] = {.lex_state = 30, .external_lex_state = 2},
  [6253] = {.lex_state = 30, .external_lex_state = 2},
  [6254] = {.lex_state = 30, .external_lex_state = 2},
  [6255] = {.lex_state = 30, .external_lex_state = 2},
  [6256] = {.lex_state = 30, .external_lex_state = 2},
  [6257] = {.lex_state = 30, .external_lex_state = 2},
  [6258] = {.lex_state = 38, .external_lex_state = 33},
  [6259] = {.lex_state = 40, .external_lex_state = 26},
  [6260] = {.lex_state = 38, .external_lex_state = 32},
  [6261] = {.lex_state = 30, .external_lex_state = 2},
  [6262] = {.lex_state = 30, .external_lex_state = 2},
  [6263] = {.lex_state = 31, .external_lex_state = 28},
  [6264] = {.lex_state = 30, .external_lex_state = 2},
  [6265] = {.lex_state = 34, .external_lex_state = 26},
  [6266] = {.lex_state = 30, .external_lex_state = 2},
  [6267] = {.lex_state = 34, .external_lex_state = 26},
  [6268] = {.lex_state = 40, .external_lex_state = 26},
  [6269] = {.lex_state = 30, .external_lex_state = 2},
  [6270] = {.lex_state = 30, .external_lex_state = 2},
  [6271] = {.lex_state = 30, .external_lex_state = 2},
  [6272] = {.lex_state = 30, .external_lex_state = 2},
  [6273] = {.lex_state = 30, .external_lex_state = 2},
  [6274] = {.lex_state = 30, .external_lex_state = 2},
  [6275] = {.lex_state = 34, .external_lex_state = 27},
  [6276] = {.lex_state = 40, .external_lex_state = 26},
  [6277] = {.lex_state = 30, .external_lex_state = 2},
  [6278] = {.lex_state = 30, .external_lex_state = 2},
  [6279] = {.lex_state = 30, .external_lex_state = 2},
  [6280] = {.lex_state = 30, .external_lex_state = 2},
  [6281] = {.lex_state = 30, .external_lex_state = 2},
  [6282] = {.lex_state = 38, .external_lex_state = 32},
  [6283] = {.lex_state = 30, .external_lex_state = 2},
  [6284] = {.lex_state = 31, .external_lex_state = 22},
  [6285] = {.lex_state = 30, .external_lex_state = 2},
  [6286] = {.lex_state = 30, .external_lex_state = 2},
  [6287] = {.lex_state = 30, .external_lex_state = 2},
  [6288] = {.lex_state = 30, .external_lex_state = 2},
  [6289] = {.lex_state = 30, .external_lex_state = 2},
  [6290] = {.lex_state = 40, .external_lex_state = 26},
  [6291] = {.lex_state = 34, .external_lex_state = 26},
  [6292] = {.lex_state = 30, .external_lex_state = 2},
  [6293] = {.lex_state = 31, .external_lex_state = 28},
  [6294] = {.lex_state = 30, .external_lex_state = 2},
  [6295] = {.lex_state = 30, .external_lex_state = 2},
  [6296] = {.lex_state = 34, .external_lex_state = 2},
  [6297] = {.lex_state = 30, .external_lex_state = 2},
  [6298] = {.lex_state = 34, .external_lex_state = 27},
  [6299] = {.lex_state = 40, .external_lex_state = 26},
  [6300] = {.lex_state = 34, .external_lex_state = 2},
  [6301] = {.lex_state = 34, .external_lex_state = 2},
  [6302] = {.lex_state = 34, .external_lex_state = 2},
  [6303] = {.lex_state = 30, .external_lex_state = 2},
  [6304] = {.lex_state = 31, .external_lex_state = 21},
  [6305] = {.lex_state = 30, .external_lex_state = 2},
  [6306] = {.lex_state = 30, .external_lex_state = 2},
  [6307] = {.lex_state = 30, .external_lex_state = 2},
  [6308] = {.lex_state = 30, .external_lex_state = 2},
  [6309] = {.lex_state = 31, .external_lex_state = 28},
  [6310] = {.lex_state = 38, .external_lex_state = 33},
  [6311] = {.lex_state = 30, .external_lex_state = 2},
  [6312] = {.lex_state = 31, .external_lex_state = 28},
  [6313] = {.lex_state = 30, .external_lex_state = 2},
  [6314] = {.lex_state = 30, .external_lex_state = 2},
  [6315] = {.lex_state = 30, .external_lex_state = 2},
  [6316] = {.lex_state = 31, .external_lex_state = 28},
  [6317] = {.lex_state = 38, .external_lex_state = 33},
  [6318] = {.lex_state = 38, .external_lex_state = 33},
  [6319] = {.lex_state = 30, .external_lex_state = 2},
  [6320] = {.lex_state = 30, .external_lex_state = 2},
  [6321] = {.lex_state = 30, .external_lex_state = 2},
  [6322] = {.lex_state = 30, .external_lex_state = 2},
  [6323] = {.lex_state = 34, .external_lex_state = 2},
  [6324] = {.lex_state = 30, .external_lex_state = 2},
  [6325] = {.lex_state = 34, .external_lex_state = 2},
  [6326] = {.lex_state = 30, .external_lex_state = 2},
  [6327] = {.lex_state = 34, .external_lex_state = 2},
  [6328] = {.lex_state = 38, .external_lex_state = 33},
  [6329] = {.lex_state = 30, .external_lex_state = 2},
  [6330] = {.lex_state = 34, .external_lex_state = 2},
  [6331] = {.lex_state = 30, .external_lex_state = 2},
  [6332] = {.lex_state = 31, .external_lex_state = 28},
  [6333] = {.lex_state = 38, .external_lex_state = 32},
  [6334] = {.lex_state = 30, .external_lex_state = 2},
  [6335] = {.lex_state = 30, .external_lex_state = 2},
  [6336] = {.lex_state = 38, .external_lex_state = 32},
  [6337] = {.lex_state = 31, .external_lex_state = 28},
  [6338] = {.lex_state = 30, .external_lex_state = 2},
  [6339] = {.lex_state = 30, .external_lex_state = 2},
  [6340] = {.lex_state = 30, .external_lex_state = 2},
  [6341] = {.lex_state = 34, .external_lex_state = 2},
  [6342] = {.lex_state = 38, .external_lex_state = 32},
  [6343] = {.lex_state = 30, .external_lex_state = 2},
  [6344] = {.lex_state = 30, .external_lex_state = 2},
  [6345] = {.lex_state = 30, .external_lex_state = 2},
  [6346] = {.lex_state = 30, .external_lex_state = 2},
  [6347] = {.lex_state = 30, .external_lex_state = 2},
  [6348] = {.lex_state = 38, .external_lex_state = 33},
  [6349] = {.lex_state = 34, .external_lex_state = 2},
  [6350] = {.lex_state = 30, .external_lex_state = 2},
  [6351] = {.lex_state = 30, .external_lex_state = 2},
  [6352] = {.lex_state = 30, .external_lex_state = 2},
  [6353] = {.lex_state = 30, .external_lex_state = 2},
  [6354] = {.lex_state = 30, .external_lex_state = 2},
  [6355] = {.lex_state = 30, .external_lex_state = 2},
  [6356] = {.lex_state = 31, .external_lex_state = 28},
  [6357] = {.lex_state = 38, .external_lex_state = 33},
  [6358] = {.lex_state = 34, .external_lex_state = 2},
  [6359] = {.lex_state = 34, .external_lex_state = 2},
  [6360] = {.lex_state = 30, .external_lex_state = 2},
  [6361] = {.lex_state = 31, .external_lex_state = 24},
  [6362] = {.lex_state = 30, .external_lex_state = 2},
  [6363] = {.lex_state = 38, .external_lex_state = 32},
  [6364] = {.lex_state = 30, .external_lex_state = 2},
  [6365] = {.lex_state = 30, .external_lex_state = 2},
  [6366] = {.lex_state = 30, .external_lex_state = 2},
  [6367] = {.lex_state = 31, .external_lex_state = 28},
  [6368] = {.lex_state = 38, .external_lex_state = 33},
  [6369] = {.lex_state = 30, .external_lex_state = 2},
  [6370] = {.lex_state = 31, .external_lex_state = 24},
  [6371] = {.lex_state = 30, .external_lex_state = 2},
  [6372] = {.lex_state = 31, .external_lex_state = 28},
  [6373] = {.lex_state = 30, .external_lex_state = 2},
  [6374] = {.lex_state = 34, .external_lex_state = 2},
  [6375] = {.lex_state = 31, .external_lex_state = 28},
  [6376] = {.lex_state = 34, .external_lex_state = 2},
  [6377] = {.lex_state = 30, .external_lex_state = 2},
  [6378] = {.lex_state = 38, .external_lex_state = 33},
  [6379] = {.lex_state = 30, .external_lex_state = 2},
  [6380] = {.lex_state = 30, .external_lex_state = 2},
  [6381] = {.lex_state = 30, .external_lex_state = 2},
  [6382] = {.lex_state = 38, .external_lex_state = 32},
  [6383] = {.lex_state = 38, .external_lex_state = 32},
  [6384] = {.lex_state = 30, .external_lex_state = 2},
  [6385] = {.lex_state = 30, .external_lex_state = 2},
  [6386] = {.lex_state = 30, .external_lex_state = 2},
  [6387] = {.lex_state = 30, .external_lex_state = 2},
  [6388] = {.lex_state = 34, .external_lex_state = 2},
  [6389] = {.lex_state = 38, .external_lex_state = 26},
  [6390] = {.lex_state = 30, .external_lex_state = 2},
  [6391] = {.lex_state = 30, .external_lex_state = 2},
  [6392] = {.lex_state = 30, .external_lex_state = 2},
  [6393] = {.lex_state = 34, .external_lex_state = 2},
  [6394] = {.lex_state = 38, .external_lex_state = 32},
  [6395] = {.lex_state = 38, .external_lex_state = 32},
  [6396] = {.lex_state = 30, .external_lex_state = 2},
  [6397] = {.lex_state = 38, .external_lex_state = 32},
  [6398] = {.lex_state = 30, .external_lex_state = 2},
  [6399] = {.lex_state = 34, .external_lex_state = 2},
  [6400] = {.lex_state = 34, .external_lex_state = 2},
  [6401] = {.lex_state = 38, .external_lex_state = 33},
  [6402] = {.lex_state = 30, .external_lex_state = 2},
  [6403] = {.lex_state = 31, .external_lex_state = 21},
  [6404] = {.lex_state = 38, .external_lex_state = 33},
  [6405] = {.lex_state = 31, .external_lex_state = 28},
  [6406] = {.lex_state = 30, .external_lex_state = 2},
  [6407] = {.lex_state = 30, .external_lex_state = 2},
  [6408] = {.lex_state = 30, .external_lex_state = 2},
  [6409] = {.lex_state = 30, .external_lex_state = 2},
  [6410] = {.lex_state = 30, .external_lex_state = 2},
  [6411] = {.lex_state = 30, .external_lex_state = 2},
  [6412] = {.lex_state = 31, .external_lex_state = 28},
  [6413] = {.lex_state = 30, .external_lex_state = 2},
  [6414] = {.lex_state = 38, .external_lex_state = 33},
  [6415] = {.lex_state = 30, .external_lex_state = 2},
  [6416] = {.lex_state = 30, .external_lex_state = 2},
  [6417] = {.lex_state = 38, .external_lex_state = 33},
  [6418] = {.lex_state = 30, .external_lex_state = 2},
  [6419] = {.lex_state = 30, .external_lex_state = 2},
  [6420] = {.lex_state = 30, .external_lex_state = 2},
  [6421] = {.lex_state = 30, .external_lex_state = 2},
  [6422] = {.lex_state = 31, .external_lex_state = 28},
  [6423] = {.lex_state = 38, .external_lex_state = 33},
  [6424] = {.lex_state = 30, .external_lex_state = 2},
  [6425] = {.lex_state = 38, .external_lex_state = 32},
  [6426] = {.lex_state = 30, .external_lex_state = 2},
  [6427] = {.lex_state = 31, .external_lex_state = 28},
  [6428] = {.lex_state = 30, .external_lex_state = 2},
  [6429] = {.lex_state = 30, .external_lex_state = 2},
  [6430] = {.lex_state = 31, .external_lex_state = 28},
  [6431] = {.lex_state = 30, .external_lex_state = 2},
  [6432] = {.lex_state = 31, .external_lex_state = 28},
  [6433] = {.lex_state = 30, .external_lex_state = 2},
  [6434] = {.lex_state = 30, .external_lex_state = 2},
  [6435] = {.lex_state = 30, .external_lex_state = 2},
  [6436] = {.lex_state = 30, .external_lex_state = 2},
  [6437] = {.lex_state = 38, .external_lex_state = 32},
  [6438] = {.lex_state = 30, .external_lex_state = 2},
  [6439] = {.lex_state = 30, .external_lex_state = 2},
  [6440] = {.lex_state = 30, .external_lex_state = 2},
  [6441] = {.lex_state = 30, .external_lex_state = 2},
  [6442] = {.lex_state = 30, .external_lex_state = 2},
  [6443] = {.lex_state = 30, .external_lex_state = 2},
  [6444] = {.lex_state = 38, .external_lex_state = 33},
  [6445] = {.lex_state = 30, .external_lex_state = 2},
  [6446] = {.lex_state = 30, .external_lex_state = 2},
  [6447] = {.lex_state = 30, .external_lex_state = 2},
  [6448] = {.lex_state = 30, .external_lex_state = 2},
  [6449] = {.lex_state = 30, .external_lex_state = 2},
  [6450] = {.lex_state = 38, .external_lex_state = 32},
  [6451] = {.lex_state = 30, .external_lex_state = 2},
  [6452] = {.lex_state = 30, .external_lex_state = 2},
  [6453] = {.lex_state = 30, .external_lex_state = 2},
  [6454] = {.lex_state = 30, .external_lex_state = 2},
  [6455] = {.lex_state = 30, .external_lex_state = 2},
  [6456] = {.lex_state = 30, .external_lex_state = 2},
  [6457] = {.lex_state = 30, .external_lex_state = 2},
  [6458] = {.lex_state = 31, .external_lex_state = 28},
  [6459] = {.lex_state = 30, .external_lex_state = 2},
  [6460] = {.lex_state = 30, .external_lex_state = 2},
  [6461] = {.lex_state = 30, .external_lex_state = 2},
  [6462] = {.lex_state = 31, .external_lex_state = 28},
  [6463] = {.lex_state = 30, .external_lex_state = 2},
  [6464] = {.lex_state = 30, .external_lex_state = 2},
  [6465] = {.lex_state = 30, .external_lex_state = 2},
  [6466] = {.lex_state = 31, .external_lex_state = 28},
  [6467] = {.lex_state = 30, .external_lex_state = 2},
  [6468] = {.lex_state = 30, .external_lex_state = 2},
  [6469] = {.lex_state = 30, .external_lex_state = 2},
  [6470] = {.lex_state = 30, .external_lex_state = 2},
  [6471] = {.lex_state = 30, .external_lex_state = 2},
  [6472] = {.lex_state = 30, .external_lex_state = 2},
  [6473] = {.lex_state = 30, .external_lex_state = 2},
  [6474] = {.lex_state = 38, .external_lex_state = 32},
  [6475] = {.lex_state = 38, .external_lex_state = 33},
  [6476] = {.lex_state = 30, .external_lex_state = 2},
  [6477] = {.lex_state = 38, .external_lex_state = 32},
  [6478] = {.lex_state = 30, .external_lex_state = 2},
  [6479] = {.lex_state = 30, .external_lex_state = 2},
  [6480] = {.lex_state = 30, .external_lex_state = 2},
  [6481] = {.lex_state = 30, .external_lex_state = 2},
  [6482] = {.lex_state = 30, .external_lex_state = 2},
  [6483] = {.lex_state = 30, .external_lex_state = 2},
  [6484] = {.lex_state = 30, .external_lex_state = 2},
  [6485] = {.lex_state = 30, .external_lex_state = 2},
  [6486] = {.lex_state = 30, .external_lex_state = 2},
  [6487] = {.lex_state = 38, .external_lex_state = 33},
  [6488] = {.lex_state = 30, .external_lex_state = 2},
  [6489] = {.lex_state = 38, .external_lex_state = 32},
  [6490] = {.lex_state = 38, .external_lex_state = 33},
  [6491] = {.lex_state = 38, .external_lex_state = 32},
  [6492] = {.lex_state = 30, .external_lex_state = 2},
  [6493] = {.lex_state = 38, .external_lex_state = 32},
  [6494] = {.lex_state = 31, .external_lex_state = 28},
  [6495] = {.lex_state = 30, .external_lex_state = 2},
  [6496] = {.lex_state = 30, .external_lex_state = 2},
  [6497] = {.lex_state = 38, .external_lex_state = 32},
  [6498] = {.lex_state = 30, .external_lex_state = 2},
  [6499] = {.lex_state = 38, .external_lex_state = 33},
  [6500] = {.lex_state = 30, .external_lex_state = 2},
  [6501] = {.lex_state = 30, .external_lex_state = 2},
  [6502] = {.lex_state = 30, .external_lex_state = 2},
  [6503] = {.lex_state = 30, .external_lex_state = 2},
  [6504] = {.lex_state = 30, .external_lex_state = 2},
  [6505] = {.lex_state = 38, .external_lex_state = 32},
  [6506] = {.lex_state = 30, .external_lex_state = 2},
  [6507] = {.lex_state = 30, .external_lex_state = 2},
  [6508] = {.lex_state = 38, .external_lex_state = 33},
  [6509] = {.lex_state = 30, .external_lex_state = 2},
  [6510] = {.lex_state = 30, .external_lex_state = 2},
  [6511] = {.lex_state = 38, .external_lex_state = 31},
  [6512] = {.lex_state = 38, .external_lex_state = 33},
  [6513] = {.lex_state = 38, .external_lex_state = 33},
  [6514] = {.lex_state = 31, .external_lex_state = 28},
  [6515] = {.lex_state = 31, .external_lex_state = 28},
  [6516] = {.lex_state = 38, .external_lex_state = 30},
  [6517] = {.lex_state = 38, .external_lex_state = 33},
  [6518] = {.lex_state = 31, .external_lex_state = 28},
  [6519] = {.lex_state = 40, .external_lex_state = 26},
  [6520] = {.lex_state = 30, .external_lex_state = 2},
  [6521] = {.lex_state = 30, .external_lex_state = 2},
  [6522] = {.lex_state = 30, .external_lex_state = 2},
  [6523] = {.lex_state = 30, .external_lex_state = 2},
  [6524] = {.lex_state = 30, .external_lex_state = 2},
  [6525] = {.lex_state = 38, .external_lex_state = 32},
  [6526] = {.lex_state = 30, .external_lex_state = 2},
  [6527] = {.lex_state = 30, .external_lex_state = 2},
  [6528] = {.lex_state = 30, .external_lex_state = 2},
  [6529] = {.lex_state = 38, .external_lex_state = 33},
  [6530] = {.lex_state = 38, .external_lex_state = 32},
  [6531] = {.lex_state = 38, .external_lex_state = 33},
  [6532] = {.lex_state = 30, .external_lex_state = 2},
  [6533] = {.lex_state = 38, .external_lex_state = 32},
  [6534] = {.lex_state = 31, .external_lex_state = 28},
  [6535] = {.lex_state = 30, .external_lex_state = 2},
  [6536] = {.lex_state = 38, .external_lex_state = 33},
  [6537] = {.lex_state = 30, .external_lex_state = 2},
  [6538] = {.lex_state = 30, .external_lex_state = 2},
  [6539] = {.lex_state = 38, .external_lex_state = 32},
  [6540] = {.lex_state = 30, .external_lex_state = 2},
  [6541] = {.lex_state = 30, .external_lex_state = 2},
  [6542] = {.lex_state = 38, .external_lex_state = 32},
  [6543] = {.lex_state = 31, .external_lex_state = 28},
  [6544] = {.lex_state = 30, .external_lex_state = 2},
  [6545] = {.lex_state = 38, .external_lex_state = 32},
  [6546] = {.lex_state = 30, .external_lex_state = 2},
  [6547] = {.lex_state = 30, .external_lex_state = 2},
  [6548] = {.lex_state = 40, .external_lex_state = 26},
  [6549] = {.lex_state = 30, .external_lex_state = 2},
  [6550] = {.lex_state = 38, .external_lex_state = 32},
  [6551] = {.lex_state = 30, .external_lex_state = 2},
  [6552] = {.lex_state = 31, .external_lex_state = 28},
  [6553] = {.lex_state = 30, .external_lex_state = 2},
  [6554] = {.lex_state = 40, .external_lex_state = 26},
  [6555] = {.lex_state = 30, .external_lex_state = 2},
  [6556] = {.lex_state = 30, .external_lex_state = 2},
  [6557] = {.lex_state = 38, .external_lex_state = 32},
  [6558] = {.lex_state = 30, .external_lex_state = 2},
  [6559] = {.lex_state = 38, .external_lex_state = 33},
  [6560] = {.lex_state = 38, .external_lex_state = 33},
  [6561] = {.lex_state = 30, .external_lex_state = 2},
  [6562] = {.lex_state = 31, .external_lex_state = 28},
  [6563] = {.lex_state = 30, .external_lex_state = 2},
  [6564] = {.lex_state = 30, .external_lex_state = 2},
  [6565] = {.lex_state = 38, .external_lex_state = 33},
  [6566] = {.lex_state = 30, .external_lex_state = 2},
  [6567] = {.lex_state = 40, .external_lex_state = 26},
  [6568] = {.lex_state = 38, .external_lex_state = 32},
  [6569] = {.lex_state = 38, .external_lex_state = 33},
  [6570] = {.lex_state = 30, .external_lex_state = 2},
  [6571] = {.lex_state = 38, .external_lex_state = 32},
  [6572] = {.lex_state = 31, .external_lex_state = 28},
  [6573] = {.lex_state = 38, .external_lex_state = 32},
  [6574] = {.lex_state = 30, .external_lex_state = 2},
  [6575] = {.lex_state = 30, .external_lex_state = 2},
  [6576] = {.lex_state = 31, .external_lex_state = 28},
  [6577] = {.lex_state = 31, .external_lex_state = 28},
  [6578] = {.lex_state = 40, .external_lex_state = 26},
  [6579] = {.lex_state = 40, .external_lex_state = 26},
  [6580] = {.lex_state = 30, .external_lex_state = 2},
  [6581] = {.lex_state = 31, .external_lex_state = 28},
  [6582] = {.lex_state = 30, .external_lex_state = 2},
  [6583] = {.lex_state = 30, .external_lex_state = 2},
  [6584] = {.lex_state = 30, .external_lex_state = 2},
  [6585] = {.lex_state = 31, .external_lex_state = 28},
  [6586] = {.lex_state = 30, .external_lex_state = 2},
  [6587] = {.lex_state = 31, .external_lex_state = 28},
  [6588] = {.lex_state = 38, .external_lex_state = 31},
  [6589] = {.lex_state = 40, .external_lex_state = 26},
  [6590] = {.lex_state = 38, .external_lex_state = 30},
  [6591] = {.lex_state = 30, .external_lex_state = 2},
  [6592] = {.lex_state = 30, .external_lex_state = 2},
  [6593] = {.lex_state = 38, .external_lex_state = 32},
  [6594] = {.lex_state = 40, .external_lex_state = 26},
  [6595] = {.lex_state = 38, .external_lex_state = 33},
  [6596] = {.lex_state = 38, .external_lex_state = 32},
  [6597] = {.lex_state = 38, .external_lex_state = 33},
  [6598] = {.lex_state = 30, .external_lex_state = 2},
  [6599] = {.lex_state = 38, .external_lex_state = 33},
  [6600] = {.lex_state = 40, .external_lex_state = 26},
  [6601] = {.lex_state = 30, .external_lex_state = 2},
  [6602] = {.lex_state = 30, .external_lex_state = 2},
  [6603] = {.lex_state = 30, .external_lex_state = 2},
  [6604] = {.lex_state = 40, .external_lex_state = 26},
  [6605] = {.lex_state = 30, .external_lex_state = 2},
  [6606] = {.lex_state = 30, .external_lex_state = 2},
  [6607] = {.lex_state = 38, .external_lex_state = 31},
  [6608] = {.lex_state = 30, .external_lex_state = 2},
  [6609] = {.lex_state = 38, .external_lex_state = 31},
  [6610] = {.lex_state = 30, .external_lex_state = 2},
  [6611] = {.lex_state = 30, .external_lex_state = 2},
  [6612] = {.lex_state = 30, .external_lex_state = 2},
  [6613] = {.lex_state = 38, .external_lex_state = 31},
  [6614] = {.lex_state = 38, .external_lex_state = 30},
  [6615] = {.lex_state = 38, .external_lex_state = 30},
  [6616] = {.lex_state = 30, .external_lex_state = 2},
  [6617] = {.lex_state = 38, .external_lex_state = 30},
  [6618] = {.lex_state = 30, .external_lex_state = 2},
  [6619] = {.lex_state = 38, .external_lex_state = 30},
  [6620] = {.lex_state = 30, .external_lex_state = 2},
  [6621] = {.lex_state = 38, .external_lex_state = 30},
  [6622] = {.lex_state = 38, .external_lex_state = 30},
  [6623] = {.lex_state = 30, .external_lex_state = 2},
  [6624] = {.lex_state = 38, .external_lex_state = 30},
  [6625] = {.lex_state = 38, .external_lex_state = 31},
  [6626] = {.lex_state = 38, .external_lex_state = 30},
  [6627] = {.lex_state = 38, .external_lex_state = 30},
  [6628] = {.lex_state = 38, .external_lex_state = 30},
  [6629] = {.lex_state = 38, .external_lex_state = 30},
  [6630] = {.lex_state = 38, .external_lex_state = 30},
  [6631] = {.lex_state = 38, .external_lex_state = 30},
  [6632] = {.lex_state = 38, .external_lex_state = 34},
  [6633] = {.lex_state = 38, .external_lex_state = 35},
  [6634] = {.lex_state = 38, .external_lex_state = 34},
  [6635] = {.lex_state = 38, .external_lex_state = 35},
  [6636] = {.lex_state = 30, .external_lex_state = 2},
  [6637] = {.lex_state = 30, .external_lex_state = 2},
  [6638] = {.lex_state = 30, .external_lex_state = 2},
  [6639] = {.lex_state = 30, .external_lex_state = 2},
  [6640] = {.lex_state = 30, .external_lex_state = 2},
  [6641] = {.lex_state = 38, .external_lex_state = 31},
  [6642] = {.lex_state = 30, .external_lex_state = 2},
  [6643] = {.lex_state = 38, .external_lex_state = 31},
  [6644] = {.lex_state = 30, .external_lex_state = 2},
  [6645] = {.lex_state = 42, .external_lex_state = 32},
  [6646] = {.lex_state = 41, .external_lex_state = 33},
  [6647] = {.lex_state = 30, .external_lex_state = 2},
  [6648] = {.lex_state = 30, .external_lex_state = 2},
  [6649] = {.lex_state = 30, .external_lex_state = 2},
  [6650] = {.lex_state = 30, .external_lex_state = 2},
  [6651] = {.lex_state = 30, .external_lex_state = 2},
  [6652] = {.lex_state = 30, .external_lex_state = 2},
  [6653] = {.lex_state = 38, .external_lex_state = 31},
  [6654] = {.lex_state = 38, .external_lex_state = 31},
  [6655] = {.lex_state = 42, .external_lex_state = 32},
  [6656] = {.lex_state = 41, .external_lex_state = 33},
  [6657] = {.lex_state = 30, .external_lex_state = 2},
  [6658] = {.lex_state = 38, .external_lex_state = 30},
  [6659] = {.lex_state = 30, .external_lex_state = 2},
  [6660] = {.lex_state = 30, .external_lex_state = 2},
  [6661] = {.lex_state = 30, .external_lex_state = 2},
  [6662] = {.lex_state = 30, .external_lex_state = 2},
  [6663] = {.lex_state = 30, .external_lex_state = 2},
  [6664] = {.lex_state = 30, .external_lex_state = 2},
  [6665] = {.lex_state = 30, .external_lex_state = 2},
  [6666] = {.lex_state = 30, .external_lex_state = 2},
  [6667] = {.lex_state = 30, .external_lex_state = 2},
  [6668] = {.lex_state = 30, .external_lex_state = 2},
  [6669] = {.lex_state = 30, .external_lex_state = 2},
  [6670] = {.lex_state = 30, .external_lex_state = 2},
  [6671] = {.lex_state = 30, .external_lex_state = 2},
  [6672] = {.lex_state = 30, .external_lex_state = 2},
  [6673] = {.lex_state = 38, .external_lex_state = 31},
  [6674] = {.lex_state = 30, .external_lex_state = 2},
  [6675] = {.lex_state = 30, .external_lex_state = 2},
  [6676] = {.lex_state = 30, .external_lex_state = 2},
  [6677] = {.lex_state = 30, .external_lex_state = 2},
  [6678] = {.lex_state = 30, .external_lex_state = 2},
  [6679] = {.lex_state = 30, .external_lex_state = 2},
  [6680] = {.lex_state = 38, .external_lex_state = 35},
  [6681] = {.lex_state = 30, .external_lex_state = 2},
  [6682] = {.lex_state = 38, .external_lex_state = 35},
  [6683] = {.lex_state = 30, .external_lex_state = 2},
  [6684] = {.lex_state = 30, .external_lex_state = 2},
  [6685] = {.lex_state = 30, .external_lex_state = 2},
  [6686] = {.lex_state = 30, .external_lex_state = 2},
  [6687] = {.lex_state = 30, .external_lex_state = 2},
  [6688] = {.lex_state = 30, .external_lex_state = 2},
  [6689] = {.lex_state = 30, .external_lex_state = 2},
  [6690] = {.lex_state = 30, .external_lex_state = 2},
  [6691] = {.lex_state = 30, .external_lex_state = 2},
  [6692] = {.lex_state = 30, .external_lex_state = 2},
  [6693] = {.lex_state = 30, .external_lex_state = 2},
  [6694] = {.lex_state = 30, .external_lex_state = 2},
  [6695] = {.lex_state = 30, .external_lex_state = 2},
  [6696] = {.lex_state = 30, .external_lex_state = 2},
  [6697] = {.lex_state = 38, .external_lex_state = 35},
  [6698] = {.lex_state = 42, .external_lex_state = 32},
  [6699] = {.lex_state = 38, .external_lex_state = 35},
  [6700] = {.lex_state = 30, .external_lex_state = 2},
  [6701] = {.lex_state = 30, .external_lex_state = 2},
  [6702] = {.lex_state = 38, .external_lex_state = 35},
  [6703] = {.lex_state = 30, .external_lex_state = 2},
  [6704] = {.lex_state = 30, .external_lex_state = 2},
  [6705] = {.lex_state = 30, .external_lex_state = 2},
  [6706] = {.lex_state = 30, .external_lex_state = 2},
  [6707] = {.lex_state = 30, .external_lex_state = 2},
  [6708] = {.lex_state = 30, .external_lex_state = 2},
  [6709] = {.lex_state = 30, .external_lex_state = 2},
  [6710] = {.lex_state = 30, .external_lex_state = 2},
  [6711] = {.lex_state = 30, .external_lex_state = 2},
  [6712] = {.lex_state = 30, .external_lex_state = 2},
  [6713] = {.lex_state = 30, .external_lex_state = 2},
  [6714] = {.lex_state = 30, .external_lex_state = 2},
  [6715] = {.lex_state = 30, .external_lex_state = 2},
  [6716] = {.lex_state = 30, .external_lex_state = 2},
  [6717] = {.lex_state = 30, .external_lex_state = 2},
  [6718] = {.lex_state = 30, .external_lex_state = 2},
  [6719] = {.lex_state = 38, .external_lex_state = 26},
  [6720] = {.lex_state = 30, .external_lex_state = 2},
  [6721] = {.lex_state = 30, .external_lex_state = 2},
  [6722] = {.lex_state = 30, .external_lex_state = 2},
  [6723] = {.lex_state = 30, .external_lex_state = 2},
  [6724] = {.lex_state = 30, .external_lex_state = 2},
  [6725] = {.lex_state = 30, .external_lex_state = 2},
  [6726] = {.lex_state = 30, .external_lex_state = 2},
  [6727] = {.lex_state = 30, .external_lex_state = 2},
  [6728] = {.lex_state = 30, .external_lex_state = 2},
  [6729] = {.lex_state = 30, .external_lex_state = 2},
  [6730] = {.lex_state = 30, .external_lex_state = 2},
  [6731] = {.lex_state = 30, .external_lex_state = 2},
  [6732] = {.lex_state = 30, .external_lex_state = 2},
  [6733] = {.lex_state = 30, .external_lex_state = 2},
  [6734] = {.lex_state = 30, .external_lex_state = 2},
  [6735] = {.lex_state = 30, .external_lex_state = 2},
  [6736] = {.lex_state = 30, .external_lex_state = 2},
  [6737] = {.lex_state = 30, .external_lex_state = 2},
  [6738] = {.lex_state = 30, .external_lex_state = 2},
  [6739] = {.lex_state = 30, .external_lex_state = 2},
  [6740] = {.lex_state = 41, .external_lex_state = 33},
  [6741] = {.lex_state = 42, .external_lex_state = 32},
  [6742] = {.lex_state = 30, .external_lex_state = 2},
  [6743] = {.lex_state = 30, .external_lex_state = 2},
  [6744] = {.lex_state = 30, .external_lex_state = 2},
  [6745] = {.lex_state = 30, .external_lex_state = 2},
  [6746] = {.lex_state = 30, .external_lex_state = 2},
  [6747] = {.lex_state = 30, .external_lex_state = 2},
  [6748] = {.lex_state = 30, .external_lex_state = 2},
  [6749] = {.lex_state = 30, .external_lex_state = 2},
  [6750] = {.lex_state = 30, .external_lex_state = 2},
  [6751] = {.lex_state = 30, .external_lex_state = 2},
  [6752] = {.lex_state = 30, .external_lex_state = 2},
  [6753] = {.lex_state = 30, .external_lex_state = 2},
  [6754] = {.lex_state = 30, .external_lex_state = 2},
  [6755] = {.lex_state = 30, .external_lex_state = 2},
  [6756] = {.lex_state = 30, .external_lex_state = 2},
  [6757] = {.lex_state = 42, .external_lex_state = 32},
  [6758] = {.lex_state = 41, .external_lex_state = 33},
  [6759] = {.lex_state = 30, .external_lex_state = 2},
  [6760] = {.lex_state = 30, .external_lex_state = 2},
  [6761] = {.lex_state = 30, .external_lex_state = 2},
  [6762] = {.lex_state = 30, .external_lex_state = 2},
  [6763] = {.lex_state = 30, .external_lex_state = 2},
  [6764] = {.lex_state = 30, .external_lex_state = 2},
  [6765] = {.lex_state = 30, .external_lex_state = 2},
  [6766] = {.lex_state = 30, .external_lex_state = 2},
  [6767] = {.lex_state = 30, .external_lex_state = 2},
  [6768] = {.lex_state = 30, .external_lex_state = 2},
  [6769] = {.lex_state = 30, .external_lex_state = 2},
  [6770] = {.lex_state = 30, .external_lex_state = 2},
  [6771] = {.lex_state = 30, .external_lex_state = 2},
  [6772] = {.lex_state = 30, .external_lex_state = 2},
  [6773] = {.lex_state = 30, .external_lex_state = 2},
  [6774] = {.lex_state = 30, .external_lex_state = 2},
  [6775] = {.lex_state = 30, .external_lex_state = 2},
  [6776] = {.lex_state = 30, .external_lex_state = 2},
  [6777] = {.lex_state = 41, .external_lex_state = 33},
  [6778] = {.lex_state = 30, .external_lex_state = 2},
  [6779] = {.lex_state = 42, .external_lex_state = 32},
  [6780] = {.lex_state = 30, .external_lex_state = 2},
  [6781] = {.lex_state = 41, .external_lex_state = 33},
  [6782] = {.lex_state = 41, .external_lex_state = 33},
  [6783] = {.lex_state = 30, .external_lex_state = 2},
  [6784] = {.lex_state = 41, .external_lex_state = 33},
  [6785] = {.lex_state = 41, .external_lex_state = 33},
  [6786] = {.lex_state = 41, .external_lex_state = 33},
  [6787] = {.lex_state = 41, .external_lex_state = 33},
  [6788] = {.lex_state = 30, .external_lex_state = 2},
  [6789] = {.lex_state = 30, .external_lex_state = 2},
  [6790] = {.lex_state = 30, .external_lex_state = 2},
  [6791] = {.lex_state = 30, .external_lex_state = 2},
  [6792] = {.lex_state = 30, .external_lex_state = 2},
  [6793] = {.lex_state = 30, .external_lex_state = 2},
  [6794] = {.lex_state = 30, .external_lex_state = 2},
  [6795] = {.lex_state = 30, .external_lex_state = 2},
  [6796] = {.lex_state = 30, .external_lex_state = 2},
  [6797] = {.lex_state = 30, .external_lex_state = 2},
  [6798] = {.lex_state = 30, .external_lex_state = 2},
  [6799] = {.lex_state = 30, .external_lex_state = 2},
  [6800] = {.lex_state = 30, .external_lex_state = 2},
  [6801] = {.lex_state = 30, .external_lex_state = 2},
  [6802] = {.lex_state = 38, .external_lex_state = 26},
  [6803] = {.lex_state = 30, .external_lex_state = 2},
  [6804] = {.lex_state = 30, .external_lex_state = 2},
  [6805] = {.lex_state = 30, .external_lex_state = 2},
  [6806] = {.lex_state = 30, .external_lex_state = 2},
  [6807] = {.lex_state = 30, .external_lex_state = 2},
  [6808] = {.lex_state = 30, .external_lex_state = 2},
  [6809] = {.lex_state = 30, .external_lex_state = 2},
  [6810] = {.lex_state = 30, .external_lex_state = 2},
  [6811] = {.lex_state = 30, .external_lex_state = 2},
  [6812] = {.lex_state = 30, .external_lex_state = 2},
  [6813] = {.lex_state = 30, .external_lex_state = 2},
  [6814] = {.lex_state = 30, .external_lex_state = 2},
  [6815] = {.lex_state = 30, .external_lex_state = 2},
  [6816] = {.lex_state = 30, .external_lex_state = 2},
  [6817] = {.lex_state = 38, .external_lex_state = 26},
  [6818] = {.lex_state = 30, .external_lex_state = 2},
  [6819] = {.lex_state = 30, .external_lex_state = 2},
  [6820] = {.lex_state = 30, .external_lex_state = 2},
  [6821] = {.lex_state = 30, .external_lex_state = 2},
  [6822] = {.lex_state = 30, .external_lex_state = 2},
  [6823] = {.lex_state = 30, .external_lex_state = 2},
  [6824] = {.lex_state = 30, .external_lex_state = 2},
  [6825] = {.lex_state = 30, .external_lex_state = 2},
  [6826] = {.lex_state = 30, .external_lex_state = 2},
  [6827] = {.lex_state = 30, .external_lex_state = 2},
  [6828] = {.lex_state = 30, .external_lex_state = 2},
  [6829] = {.lex_state = 30, .external_lex_state = 2},
  [6830] = {.lex_state = 30, .external_lex_state = 2},
  [6831] = {.lex_state = 30, .external_lex_state = 2},
  [6832] = {.lex_state = 30, .external_lex_state = 2},
  [6833] = {.lex_state = 30, .external_lex_state = 2},
  [6834] = {.lex_state = 30, .external_lex_state = 2},
  [6835] = {.lex_state = 30, .external_lex_state = 2},
  [6836] = {.lex_state = 30, .external_lex_state = 2},
  [6837] = {.lex_state = 30, .external_lex_state = 2},
  [6838] = {.lex_state = 30, .external_lex_state = 2},
  [6839] = {.lex_state = 30, .external_lex_state = 2},
  [6840] = {.lex_state = 30, .external_lex_state = 2},
  [6841] = {.lex_state = 30, .external_lex_state = 2},
  [6842] = {.lex_state = 30, .external_lex_state = 2},
  [6843] = {.lex_state = 30, .external_lex_state = 2},
  [6844] = {.lex_state = 30, .external_lex_state = 2},
  [6845] = {.lex_state = 30, .external_lex_state = 2},
  [6846] = {.lex_state = 30, .external_lex_state = 2},
  [6847] = {.lex_state = 38, .external_lex_state = 26},
  [6848] = {.lex_state = 30, .external_lex_state = 2},
  [6849] = {.lex_state = 30, .external_lex_state = 2},
  [6850] = {.lex_state = 30, .external_lex_state = 2},
  [6851] = {.lex_state = 30, .external_lex_state = 2},
  [6852] = {.lex_state = 30, .external_lex_state = 2},
  [6853] = {.lex_state = 30, .external_lex_state = 2},
  [6854] = {.lex_state = 30, .external_lex_state = 2},
  [6855] = {.lex_state = 30, .external_lex_state = 2},
  [6856] = {.lex_state = 30, .external_lex_state = 2},
  [6857] = {.lex_state = 30, .external_lex_state = 2},
  [6858] = {.lex_state = 30, .external_lex_state = 2},
  [6859] = {.lex_state = 30, .external_lex_state = 2},
  [6860] = {.lex_state = 30, .external_lex_state = 2},
  [6861] = {.lex_state = 30, .external_lex_state = 2},
  [6862] = {.lex_state = 30, .external_lex_state = 2},
  [6863] = {.lex_state = 30, .external_lex_state = 2},
  [6864] = {.lex_state = 30, .external_lex_state = 2},
  [6865] = {.lex_state = 30, .external_lex_state = 2},
  [6866] = {.lex_state = 30, .external_lex_state = 2},
  [6867] = {.lex_state = 30, .external_lex_state = 2},
  [6868] = {.lex_state = 30, .external_lex_state = 2},
  [6869] = {.lex_state = 30, .external_lex_state = 2},
  [6870] = {.lex_state = 30, .external_lex_state = 2},
  [6871] = {.lex_state = 30, .external_lex_state = 2},
  [6872] = {.lex_state = 30, .external_lex_state = 2},
  [6873] = {.lex_state = 30, .external_lex_state = 2},
  [6874] = {.lex_state = 30, .external_lex_state = 2},
  [6875] = {.lex_state = 30, .external_lex_state = 2},
  [6876] = {.lex_state = 30, .external_lex_state = 2},
  [6877] = {.lex_state = 30, .external_lex_state = 2},
  [6878] = {.lex_state = 30, .external_lex_state = 2},
  [6879] = {.lex_state = 30, .external_lex_state = 2},
  [6880] = {.lex_state = 30, .external_lex_state = 2},
  [6881] = {.lex_state = 30, .external_lex_state = 2},
  [6882] = {.lex_state = 30, .external_lex_state = 2},
  [6883] = {.lex_state = 30, .external_lex_state = 2},
  [6884] = {.lex_state = 30, .external_lex_state = 2},
  [6885] = {.lex_state = 30, .external_lex_state = 2},
  [6886] = {.lex_state = 30, .external_lex_state = 2},
  [6887] = {.lex_state = 30, .external_lex_state = 2},
  [6888] = {.lex_state = 30, .external_lex_state = 2},
  [6889] = {.lex_state = 30, .external_lex_state = 2},
  [6890] = {.lex_state = 30, .external_lex_state = 2},
  [6891] = {.lex_state = 30, .external_lex_state = 2},
  [6892] = {.lex_state = 30, .external_lex_state = 2},
  [6893] = {.lex_state = 30, .external_lex_state = 2},
  [6894] = {.lex_state = 30, .external_lex_state = 2},
  [6895] = {.lex_state = 30, .external_lex_state = 2},
  [6896] = {.lex_state = 30, .external_lex_state = 2},
  [6897] = {.lex_state = 30, .external_lex_state = 2},
  [6898] = {.lex_state = 30, .external_lex_state = 2},
  [6899] = {.lex_state = 30, .external_lex_state = 2},
  [6900] = {.lex_state = 30, .external_lex_state = 2},
  [6901] = {.lex_state = 30, .external_lex_state = 2},
  [6902] = {.lex_state = 30, .external_lex_state = 2},
  [6903] = {.lex_state = 30, .external_lex_state = 2},
  [6904] = {.lex_state = 38, .external_lex_state = 26},
  [6905] = {.lex_state = 30, .external_lex_state = 2},
  [6906] = {.lex_state = 30, .external_lex_state = 2},
  [6907] = {.lex_state = 30, .external_lex_state = 2},
  [6908] = {.lex_state = 30, .external_lex_state = 2},
  [6909] = {.lex_state = 30, .external_lex_state = 2},
  [6910] = {.lex_state = 30, .external_lex_state = 2},
  [6911] = {.lex_state = 30, .external_lex_state = 2},
  [6912] = {.lex_state = 30, .external_lex_state = 2},
  [6913] = {.lex_state = 30, .external_lex_state = 2},
  [6914] = {.lex_state = 30, .external_lex_state = 2},
  [6915] = {.lex_state = 30, .external_lex_state = 2},
  [6916] = {.lex_state = 30, .external_lex_state = 2},
  [6917] = {.lex_state = 30, .external_lex_state = 2},
  [6918] = {.lex_state = 30, .external_lex_state = 2},
  [6919] = {.lex_state = 30, .external_lex_state = 2},
  [6920] = {.lex_state = 30, .external_lex_state = 2},
  [6921] = {.lex_state = 30, .external_lex_state = 2},
  [6922] = {.lex_state = 30, .external_lex_state = 2},
  [6923] = {.lex_state = 30, .external_lex_state = 2},
  [6924] = {.lex_state = 30, .external_lex_state = 2},
  [6925] = {.lex_state = 30, .external_lex_state = 2},
  [6926] = {.lex_state = 30, .external_lex_state = 2},
  [6927] = {.lex_state = 30, .external_lex_state = 2},
  [6928] = {.lex_state = 30, .external_lex_state = 2},
  [6929] = {.lex_state = 30, .external_lex_state = 2},
  [6930] = {.lex_state = 30, .external_lex_state = 2},
  [6931] = {.lex_state = 30, .external_lex_state = 2},
  [6932] = {.lex_state = 30, .external_lex_state = 2},
  [6933] = {.lex_state = 30, .external_lex_state = 2},
  [6934] = {.lex_state = 30, .external_lex_state = 2},
  [6935] = {.lex_state = 30, .external_lex_state = 2},
  [6936] = {.lex_state = 30, .external_lex_state = 2},
  [6937] = {.lex_state = 30, .external_lex_state = 2},
  [6938] = {.lex_state = 30, .external_lex_state = 2},
  [6939] = {.lex_state = 30, .external_lex_state = 2},
  [6940] = {.lex_state = 30, .external_lex_state = 2},
  [6941] = {.lex_state = 30, .external_lex_state = 2},
  [6942] = {.lex_state = 30, .external_lex_state = 2},
  [6943] = {.lex_state = 30, .external_lex_state = 2},
  [6944] = {.lex_state = 30, .external_lex_state = 2},
  [6945] = {.lex_state = 30, .external_lex_state = 2},
  [6946] = {.lex_state = 38, .external_lex_state = 26},
  [6947] = {.lex_state = 30, .external_lex_state = 2},
  [6948] = {.lex_state = 30, .external_lex_state = 2},
  [6949] = {.lex_state = 30, .external_lex_state = 2},
  [6950] = {.lex_state = 30, .external_lex_state = 2},
  [6951] = {.lex_state = 30, .external_lex_state = 2},
  [6952] = {.lex_state = 30, .external_lex_state = 2},
  [6953] = {.lex_state = 30, .external_lex_state = 2},
  [6954] = {.lex_state = 30, .external_lex_state = 2},
  [6955] = {.lex_state = 30, .external_lex_state = 2},
  [6956] = {.lex_state = 30, .external_lex_state = 2},
  [6957] = {.lex_state = 30, .external_lex_state = 2},
  [6958] = {.lex_state = 30, .external_lex_state = 2},
  [6959] = {.lex_state = 30, .external_lex_state = 2},
  [6960] = {.lex_state = 30, .external_lex_state = 2},
  [6961] = {.lex_state = 30, .external_lex_state = 2},
  [6962] = {.lex_state = 30, .external_lex_state = 2},
  [6963] = {.lex_state = 30, .external_lex_state = 2},
  [6964] = {.lex_state = 30, .external_lex_state = 2},
  [6965] = {.lex_state = 30, .external_lex_state = 2},
  [6966] = {.lex_state = 30, .external_lex_state = 2},
  [6967] = {.lex_state = 30, .external_lex_state = 2},
  [6968] = {.lex_state = 30, .external_lex_state = 2},
  [6969] = {.lex_state = 30, .external_lex_state = 2},
  [6970] = {.lex_state = 30, .external_lex_state = 2},
  [6971] = {.lex_state = 30, .external_lex_state = 2},
  [6972] = {.lex_state = 30, .external_lex_state = 2},
  [6973] = {.lex_state = 30, .external_lex_state = 2},
  [6974] = {.lex_state = 30, .external_lex_state = 2},
  [6975] = {.lex_state = 30, .external_lex_state = 2},
  [6976] = {.lex_state = 30, .external_lex_state = 2},
  [6977] = {.lex_state = 30, .external_lex_state = 2},
  [6978] = {.lex_state = 30, .external_lex_state = 2},
  [6979] = {.lex_state = 30, .external_lex_state = 2},
  [6980] = {.lex_state = 30, .external_lex_state = 2},
  [6981] = {.lex_state = 30, .external_lex_state = 2},
  [6982] = {.lex_state = 30, .external_lex_state = 2},
  [6983] = {.lex_state = 30, .external_lex_state = 2},
  [6984] = {.lex_state = 30, .external_lex_state = 2},
  [6985] = {.lex_state = 30, .external_lex_state = 2},
  [6986] = {.lex_state = 30, .external_lex_state = 2},
  [6987] = {.lex_state = 30, .external_lex_state = 2},
  [6988] = {.lex_state = 30, .external_lex_state = 2},
  [6989] = {.lex_state = 30, .external_lex_state = 2},
  [6990] = {.lex_state = 30, .external_lex_state = 2},
  [6991] = {.lex_state = 30, .external_lex_state = 2},
  [6992] = {.lex_state = 30, .external_lex_state = 2},
  [6993] = {.lex_state = 30, .external_lex_state = 2},
  [6994] = {.lex_state = 30, .external_lex_state = 2},
  [6995] = {.lex_state = 30, .external_lex_state = 2},
  [6996] = {.lex_state = 30, .external_lex_state = 2},
  [6997] = {.lex_state = 30, .external_lex_state = 2},
  [6998] = {.lex_state = 30, .external_lex_state = 2},
  [6999] = {.lex_state = 30, .external_lex_state = 2},
  [7000] = {.lex_state = 30, .external_lex_state = 2},
  [7001] = {.lex_state = 30, .external_lex_state = 2},
  [7002] = {.lex_state = 30, .external_lex_state = 2},
  [7003] = {.lex_state = 30, .external_lex_state = 2},
  [7004] = {.lex_state = 30, .external_lex_state = 2},
  [7005] = {.lex_state = 30, .external_lex_state = 2},
  [7006] = {.lex_state = 30, .external_lex_state = 2},
  [7007] = {.lex_state = 30, .external_lex_state = 2},
  [7008] = {.lex_state = 30, .external_lex_state = 2},
  [7009] = {.lex_state = 30, .external_lex_state = 2},
  [7010] = {.lex_state = 30, .external_lex_state = 2},
  [7011] = {.lex_state = 30, .external_lex_state = 2},
  [7012] = {.lex_state = 30, .external_lex_state = 2},
  [7013] = {.lex_state = 30, .external_lex_state = 2},
  [7014] = {.lex_state = 30, .external_lex_state = 2},
  [7015] = {.lex_state = 30, .external_lex_state = 2},
  [7016] = {.lex_state = 30, .external_lex_state = 2},
  [7017] = {.lex_state = 30, .external_lex_state = 2},
  [7018] = {.lex_state = 30, .external_lex_state = 2},
  [7019] = {.lex_state = 30, .external_lex_state = 2},
  [7020] = {.lex_state = 30, .external_lex_state = 2},
  [7021] = {.lex_state = 30, .external_lex_state = 2},
  [7022] = {.lex_state = 30, .external_lex_state = 2},
  [7023] = {.lex_state = 30, .external_lex_state = 2},
  [7024] = {.lex_state = 30, .external_lex_state = 2},
  [7025] = {.lex_state = 30, .external_lex_state = 2},
  [7026] = {.lex_state = 30, .external_lex_state = 2},
  [7027] = {.lex_state = 30, .external_lex_state = 2},
  [7028] = {.lex_state = 30, .external_lex_state = 2},
  [7029] = {.lex_state = 30, .external_lex_state = 2},
  [7030] = {.lex_state = 30, .external_lex_state = 2},
  [7031] = {.lex_state = 30, .external_lex_state = 2},
  [7032] = {.lex_state = 30, .external_lex_state = 2},
  [7033] = {.lex_state = 30, .external_lex_state = 2},
  [7034] = {.lex_state = 30, .external_lex_state = 2},
  [7035] = {.lex_state = 30, .external_lex_state = 2},
  [7036] = {.lex_state = 30, .external_lex_state = 2},
  [7037] = {.lex_state = 30, .external_lex_state = 2},
  [7038] = {.lex_state = 30, .external_lex_state = 2},
  [7039] = {.lex_state = 30, .external_lex_state = 2},
  [7040] = {.lex_state = 30, .external_lex_state = 2},
  [7041] = {.lex_state = 30, .external_lex_state = 2},
  [7042] = {.lex_state = 30, .external_lex_state = 2},
  [7043] = {.lex_state = 30, .external_lex_state = 2},
  [7044] = {.lex_state = 30, .external_lex_state = 2},
  [7045] = {.lex_state = 30, .external_lex_state = 2},
  [7046] = {.lex_state = 30, .external_lex_state = 2},
  [7047] = {.lex_state = 30, .external_lex_state = 2},
  [7048] = {.lex_state = 30, .external_lex_state = 2},
  [7049] = {.lex_state = 30, .external_lex_state = 2},
  [7050] = {.lex_state = 30, .external_lex_state = 2},
  [7051] = {.lex_state = 30, .external_lex_state = 2},
  [7052] = {.lex_state = 30, .external_lex_state = 2},
  [7053] = {.lex_state = 30, .external_lex_state = 2},
  [7054] = {.lex_state = 30, .external_lex_state = 2},
  [7055] = {.lex_state = 30, .external_lex_state = 2},
  [7056] = {.lex_state = 30, .external_lex_state = 2},
  [7057] = {.lex_state = 30, .external_lex_state = 2},
  [7058] = {.lex_state = 30, .external_lex_state = 2},
  [7059] = {.lex_state = 30, .external_lex_state = 2},
  [7060] = {.lex_state = 30, .external_lex_state = 2},
  [7061] = {.lex_state = 30, .external_lex_state = 2},
  [7062] = {.lex_state = 30, .external_lex_state = 2},
  [7063] = {.lex_state = 30, .external_lex_state = 2},
  [7064] = {.lex_state = 30, .external_lex_state = 2},
  [7065] = {.lex_state = 30, .external_lex_state = 2},
  [7066] = {.lex_state = 30, .external_lex_state = 2},
  [7067] = {.lex_state = 30, .external_lex_state = 2},
  [7068] = {.lex_state = 30, .external_lex_state = 2},
  [7069] = {.lex_state = 30, .external_lex_state = 2},
  [7070] = {.lex_state = 30, .external_lex_state = 2},
  [7071] = {.lex_state = 30, .external_lex_state = 2},
  [7072] = {.lex_state = 30, .external_lex_state = 2},
  [7073] = {.lex_state = 30, .external_lex_state = 2},
  [7074] = {.lex_state = 30, .external_lex_state = 2},
  [7075] = {.lex_state = 30, .external_lex_state = 2},
  [7076] = {.lex_state = 30, .external_lex_state = 2},
  [7077] = {.lex_state = 30, .external_lex_state = 2},
  [7078] = {.lex_state = 30, .external_lex_state = 2},
  [7079] = {.lex_state = 30, .external_lex_state = 2},
  [7080] = {.lex_state = 30, .external_lex_state = 2},
  [7081] = {.lex_state = 30, .external_lex_state = 2},
  [7082] = {.lex_state = 30, .external_lex_state = 2},
  [7083] = {.lex_state = 30, .external_lex_state = 2},
  [7084] = {.lex_state = 30, .external_lex_state = 2},
  [7085] = {.lex_state = 30, .external_lex_state = 2},
  [7086] = {.lex_state = 30, .external_lex_state = 2},
  [7087] = {.lex_state = 30, .external_lex_state = 2},
  [7088] = {.lex_state = 30, .external_lex_state = 2},
  [7089] = {.lex_state = 30, .external_lex_state = 2},
  [7090] = {.lex_state = 30, .external_lex_state = 2},
  [7091] = {.lex_state = 30, .external_lex_state = 2},
  [7092] = {.lex_state = 30, .external_lex_state = 2},
  [7093] = {.lex_state = 30, .external_lex_state = 2},
  [7094] = {.lex_state = 30, .external_lex_state = 2},
  [7095] = {.lex_state = 30, .external_lex_state = 2},
  [7096] = {.lex_state = 30, .external_lex_state = 2},
  [7097] = {.lex_state = 30, .external_lex_state = 2},
  [7098] = {.lex_state = 30, .external_lex_state = 2},
  [7099] = {.lex_state = 30, .external_lex_state = 2},
  [7100] = {.lex_state = 30, .external_lex_state = 2},
  [7101] = {.lex_state = 30, .external_lex_state = 2},
  [7102] = {.lex_state = 30, .external_lex_state = 2},
  [7103] = {.lex_state = 30, .external_lex_state = 2},
  [7104] = {.lex_state = 30, .external_lex_state = 2},
  [7105] = {.lex_state = 30, .external_lex_state = 2},
  [7106] = {.lex_state = 30, .external_lex_state = 2},
  [7107] = {.lex_state = 30, .external_lex_state = 2},
  [7108] = {.lex_state = 30, .external_lex_state = 2},
  [7109] = {.lex_state = 30, .external_lex_state = 2},
  [7110] = {.lex_state = 30, .external_lex_state = 2},
  [7111] = {.lex_state = 30, .external_lex_state = 2},
  [7112] = {.lex_state = 30, .external_lex_state = 2},
  [7113] = {.lex_state = 30, .external_lex_state = 2},
  [7114] = {.lex_state = 30, .external_lex_state = 2},
  [7115] = {.lex_state = 30, .external_lex_state = 2},
  [7116] = {.lex_state = 30, .external_lex_state = 2},
  [7117] = {.lex_state = 30, .external_lex_state = 2},
  [7118] = {.lex_state = 30, .external_lex_state = 2},
  [7119] = {.lex_state = 30, .external_lex_state = 2},
  [7120] = {.lex_state = 30, .external_lex_state = 2},
  [7121] = {.lex_state = 30, .external_lex_state = 2},
  [7122] = {.lex_state = 30, .external_lex_state = 2},
  [7123] = {.lex_state = 30, .external_lex_state = 2},
  [7124] = {.lex_state = 30, .external_lex_state = 2},
  [7125] = {.lex_state = 30, .external_lex_state = 2},
  [7126] = {.lex_state = 30, .external_lex_state = 2},
  [7127] = {.lex_state = 30, .external_lex_state = 2},
  [7128] = {.lex_state = 30, .external_lex_state = 2},
  [7129] = {.lex_state = 30, .external_lex_state = 2},
  [7130] = {.lex_state = 30, .external_lex_state = 2},
  [7131] = {.lex_state = 30, .external_lex_state = 2},
  [7132] = {.lex_state = 30, .external_lex_state = 2},
  [7133] = {.lex_state = 30, .external_lex_state = 2},
  [7134] = {.lex_state = 30, .external_lex_state = 2},
  [7135] = {.lex_state = 30, .external_lex_state = 2},
  [7136] = {.lex_state = 30, .external_lex_state = 2},
  [7137] = {.lex_state = 30, .external_lex_state = 2},
  [7138] = {.lex_state = 30, .external_lex_state = 2},
  [7139] = {.lex_state = 42, .external_lex_state = 32},
  [7140] = {.lex_state = 30, .external_lex_state = 2},
  [7141] = {.lex_state = 30, .external_lex_state = 2},
  [7142] = {.lex_state = 42, .external_lex_state = 32},
  [7143] = {.lex_state = 30, .external_lex_state = 2},
  [7144] = {.lex_state = 30, .external_lex_state = 2},
  [7145] = {.lex_state = 30, .external_lex_state = 2},
  [7146] = {.lex_state = 30, .external_lex_state = 2},
  [7147] = {.lex_state = 30, .external_lex_state = 2},
  [7148] = {.lex_state = 30, .external_lex_state = 2},
  [7149] = {.lex_state = 30, .external_lex_state = 2},
  [7150] = {.lex_state = 30, .external_lex_state = 2},
  [7151] = {.lex_state = 30, .external_lex_state = 2},
  [7152] = {.lex_state = 30, .external_lex_state = 2},
  [7153] = {.lex_state = 30, .external_lex_state = 2},
  [7154] = {.lex_state = 30, .external_lex_state = 2},
  [7155] = {.lex_state = 30, .external_lex_state = 2},
  [7156] = {.lex_state = 30, .external_lex_state = 2},
  [7157] = {.lex_state = 30, .external_lex_state = 2},
  [7158] = {.lex_state = 30, .external_lex_state = 2},
  [7159] = {.lex_state = 30, .external_lex_state = 2},
  [7160] = {.lex_state = 30, .external_lex_state = 2},
  [7161] = {.lex_state = 38, .external_lex_state = 26},
  [7162] = {.lex_state = 30, .external_lex_state = 2},
  [7163] = {.lex_state = 42, .external_lex_state = 32},
  [7164] = {.lex_state = 30, .external_lex_state = 2},
  [7165] = {.lex_state = 30, .external_lex_state = 2},
  [7166] = {.lex_state = 38, .external_lex_state = 26},
  [7167] = {.lex_state = 30, .external_lex_state = 2},
  [7168] = {.lex_state = 30, .external_lex_state = 2},
  [7169] = {.lex_state = 38, .external_lex_state = 34},
  [7170] = {.lex_state = 42, .external_lex_state = 32},
  [7171] = {.lex_state = 30, .external_lex_state = 2},
  [7172] = {.lex_state = 30, .external_lex_state = 2},
  [7173] = {.lex_state = 38, .external_lex_state = 26},
  [7174] = {.lex_state = 42, .external_lex_state = 32},
  [7175] = {.lex_state = 38, .external_lex_state = 26},
  [7176] = {.lex_state = 30, .external_lex_state = 2},
  [7177] = {.lex_state = 30, .external_lex_state = 2},
  [7178] = {.lex_state = 30, .external_lex_state = 2},
  [7179] = {.lex_state = 30, .external_lex_state = 2},
  [7180] = {.lex_state = 38, .external_lex_state = 35},
  [7181] = {.lex_state = 30, .external_lex_state = 2},
  [7182] = {.lex_state = 30, .external_lex_state = 2},
  [7183] = {.lex_state = 38, .external_lex_state = 34},
  [7184] = {.lex_state = 30, .external_lex_state = 2},
  [7185] = {.lex_state = 30, .external_lex_state = 2},
  [7186] = {.lex_state = 30, .external_lex_state = 2},
  [7187] = {.lex_state = 30, .external_lex_state = 2},
  [7188] = {.lex_state = 30, .external_lex_state = 2},
  [7189] = {.lex_state = 30, .external_lex_state = 2},
  [7190] = {.lex_state = 30, .external_lex_state = 2},
  [7191] = {.lex_state = 30, .external_lex_state = 2},
  [7192] = {.lex_state = 30, .external_lex_state = 2},
  [7193] = {.lex_state = 30, .external_lex_state = 2},
  [7194] = {.lex_state = 30, .external_lex_state = 2},
  [7195] = {.lex_state = 30, .external_lex_state = 2},
  [7196] = {.lex_state = 30, .external_lex_state = 2},
  [7197] = {.lex_state = 30, .external_lex_state = 2},
  [7198] = {.lex_state = 30, .external_lex_state = 2},
  [7199] = {.lex_state = 30, .external_lex_state = 2},
  [7200] = {.lex_state = 30, .external_lex_state = 2},
  [7201] = {.lex_state = 30, .external_lex_state = 2},
  [7202] = {.lex_state = 38, .external_lex_state = 34},
  [7203] = {.lex_state = 38, .external_lex_state = 35},
  [7204] = {.lex_state = 30, .external_lex_state = 2},
  [7205] = {.lex_state = 30, .external_lex_state = 2},
  [7206] = {.lex_state = 30, .external_lex_state = 2},
  [7207] = {.lex_state = 30, .external_lex_state = 2},
  [7208] = {.lex_state = 30, .external_lex_state = 2},
  [7209] = {.lex_state = 30, .external_lex_state = 2},
  [7210] = {.lex_state = 30, .external_lex_state = 2},
  [7211] = {.lex_state = 38, .external_lex_state = 35},
  [7212] = {.lex_state = 38, .external_lex_state = 34},
  [7213] = {.lex_state = 30, .external_lex_state = 2},
  [7214] = {.lex_state = 30, .external_lex_state = 2},
  [7215] = {.lex_state = 30, .external_lex_state = 2},
  [7216] = {.lex_state = 30, .external_lex_state = 2},
  [7217] = {.lex_state = 30, .external_lex_state = 2},
  [7218] = {.lex_state = 30, .external_lex_state = 2},
  [7219] = {.lex_state = 30, .external_lex_state = 2},
  [7220] = {.lex_state = 30, .external_lex_state = 2},
  [7221] = {.lex_state = 30, .external_lex_state = 2},
  [7222] = {.lex_state = 30, .external_lex_state = 2},
  [7223] = {.lex_state = 30, .external_lex_state = 2},
  [7224] = {.lex_state = 30, .external_lex_state = 2},
  [7225] = {.lex_state = 38, .external_lex_state = 35},
  [7226] = {.lex_state = 30, .external_lex_state = 2},
  [7227] = {.lex_state = 30, .external_lex_state = 2},
  [7228] = {.lex_state = 38, .external_lex_state = 35},
  [7229] = {.lex_state = 38, .external_lex_state = 35},
  [7230] = {.lex_state = 30, .external_lex_state = 2},
  [7231] = {.lex_state = 30, .external_lex_state = 2},
  [7232] = {.lex_state = 30, .external_lex_state = 2},
  [7233] = {.lex_state = 30, .external_lex_state = 2},
  [7234] = {.lex_state = 38, .external_lex_state = 35},
  [7235] = {.lex_state = 30, .external_lex_state = 2},
  [7236] = {.lex_state = 30, .external_lex_state = 2},
  [7237] = {.lex_state = 30, .external_lex_state = 2},
  [7238] = {.lex_state = 38, .external_lex_state = 35},
  [7239] = {.lex_state = 38, .external_lex_state = 35},
  [7240] = {.lex_state = 30, .external_lex_state = 2},
  [7241] = {.lex_state = 30, .external_lex_state = 2},
  [7242] = {.lex_state = 30, .external_lex_state = 2},
  [7243] = {.lex_state = 30, .external_lex_state = 2},
  [7244] = {.lex_state = 30, .external_lex_state = 2},
  [7245] = {.lex_state = 30, .external_lex_state = 2},
  [7246] = {.lex_state = 30, .external_lex_state = 2},
  [7247] = {.lex_state = 30, .external_lex_state = 2},
  [7248] = {.lex_state = 30, .external_lex_state = 2},
  [7249] = {.lex_state = 30, .external_lex_state = 2},
  [7250] = {.lex_state = 30, .external_lex_state = 2},
  [7251] = {.lex_state = 30, .external_lex_state = 2},
  [7252] = {.lex_state = 30, .external_lex_state = 2},
  [7253] = {.lex_state = 30, .external_lex_state = 2},
  [7254] = {.lex_state = 30, .external_lex_state = 2},
  [7255] = {.lex_state = 30, .external_lex_state = 2},
  [7256] = {.lex_state = 30, .external_lex_state = 2},
  [7257] = {.lex_state = 30, .external_lex_state = 2},
  [7258] = {.lex_state = 30, .external_lex_state = 2},
  [7259] = {.lex_state = 30, .external_lex_state = 2},
  [7260] = {.lex_state = 30, .external_lex_state = 2},
  [7261] = {.lex_state = 30, .external_lex_state = 2},
  [7262] = {.lex_state = 30, .external_lex_state = 2},
  [7263] = {.lex_state = 30, .external_lex_state = 2},
  [7264] = {.lex_state = 30, .external_lex_state = 2},
  [7265] = {.lex_state = 30, .external_lex_state = 2},
  [7266] = {.lex_state = 30, .external_lex_state = 2},
  [7267] = {.lex_state = 30, .external_lex_state = 2},
  [7268] = {.lex_state = 30, .external_lex_state = 2},
  [7269] = {.lex_state = 30, .external_lex_state = 2},
  [7270] = {.lex_state = 30, .external_lex_state = 2},
  [7271] = {.lex_state = 30, .external_lex_state = 2},
  [7272] = {.lex_state = 30, .external_lex_state = 2},
  [7273] = {.lex_state = 30, .external_lex_state = 2},
  [7274] = {.lex_state = 30, .external_lex_state = 2},
  [7275] = {.lex_state = 30, .external_lex_state = 2},
  [7276] = {.lex_state = 30, .external_lex_state = 2},
  [7277] = {.lex_state = 30, .external_lex_state = 2},
  [7278] = {.lex_state = 30, .external_lex_state = 2},
  [7279] = {.lex_state = 30, .external_lex_state = 2},
  [7280] = {.lex_state = 30, .external_lex_state = 2},
  [7281] = {.lex_state = 30, .external_lex_state = 2},
  [7282] = {.lex_state = 30, .external_lex_state = 2},
  [7283] = {.lex_state = 30, .external_lex_state = 2},
  [7284] = {.lex_state = 30, .external_lex_state = 2},
  [7285] = {.lex_state = 30, .external_lex_state = 2},
  [7286] = {.lex_state = 30, .external_lex_state = 2},
  [7287] = {.lex_state = 30, .external_lex_state = 2},
  [7288] = {.lex_state = 30, .external_lex_state = 2},
  [7289] = {.lex_state = 30, .external_lex_state = 2},
  [7290] = {.lex_state = 30, .external_lex_state = 2},
  [7291] = {.lex_state = 30, .external_lex_state = 2},
  [7292] = {.lex_state = 30, .external_lex_state = 2},
  [7293] = {.lex_state = 30, .external_lex_state = 2},
  [7294] = {.lex_state = 30, .external_lex_state = 2},
  [7295] = {.lex_state = 30, .external_lex_state = 2},
  [7296] = {.lex_state = 30, .external_lex_state = 2},
  [7297] = {.lex_state = 30, .external_lex_state = 2},
  [7298] = {.lex_state = 30, .external_lex_state = 2},
  [7299] = {.lex_state = 30, .external_lex_state = 2},
  [7300] = {.lex_state = 30, .external_lex_state = 2},
  [7301] = {.lex_state = 30, .external_lex_state = 2},
  [7302] = {.lex_state = 30, .external_lex_state = 2},
  [7303] = {.lex_state = 30, .external_lex_state = 2},
  [7304] = {.lex_state = 30, .external_lex_state = 2},
  [7305] = {.lex_state = 30, .external_lex_state = 2},
  [7306] = {.lex_state = 30, .external_lex_state = 2},
  [7307] = {.lex_state = 30, .external_lex_state = 2},
  [7308] = {.lex_state = 30, .external_lex_state = 2},
  [7309] = {.lex_state = 30, .external_lex_state = 2},
  [7310] = {.lex_state = 30, .external_lex_state = 2},
  [7311] = {.lex_state = 30, .external_lex_state = 2},
  [7312] = {.lex_state = 30, .external_lex_state = 2},
  [7313] = {.lex_state = 30, .external_lex_state = 2},
  [7314] = {.lex_state = 30, .external_lex_state = 2},
  [7315] = {.lex_state = 30, .external_lex_state = 2},
  [7316] = {.lex_state = 30, .external_lex_state = 2},
  [7317] = {.lex_state = 30, .external_lex_state = 2},
  [7318] = {.lex_state = 30, .external_lex_state = 2},
  [7319] = {.lex_state = 30, .external_lex_state = 2},
  [7320] = {.lex_state = 30, .external_lex_state = 2},
  [7321] = {.lex_state = 30, .external_lex_state = 2},
  [7322] = {.lex_state = 30, .external_lex_state = 2},
  [7323] = {.lex_state = 30, .external_lex_state = 2},
  [7324] = {.lex_state = 30, .external_lex_state = 2},
  [7325] = {.lex_state = 30, .external_lex_state = 2},
  [7326] = {.lex_state = 30, .external_lex_state = 2},
  [7327] = {.lex_state = 30, .external_lex_state = 2},
  [7328] = {.lex_state = 30, .external_lex_state = 2},
  [7329] = {.lex_state = 30, .external_lex_state = 2},
  [7330] = {.lex_state = 30, .external_lex_state = 2},
  [7331] = {.lex_state = 30, .external_lex_state = 2},
  [7332] = {.lex_state = 30, .external_lex_state = 2},
  [7333] = {.lex_state = 30, .external_lex_state = 2},
  [7334] = {.lex_state = 30, .external_lex_state = 2},
  [7335] = {.lex_state = 30, .external_lex_state = 2},
  [7336] = {.lex_state = 30, .external_lex_state = 2},
  [7337] = {.lex_state = 30, .external_lex_state = 2},
  [7338] = {.lex_state = 30, .external_lex_state = 2},
  [7339] = {.lex_state = 30, .external_lex_state = 2},
  [7340] = {.lex_state = 30, .external_lex_state = 2},
  [7341] = {.lex_state = 30, .external_lex_state = 2},
  [7342] = {.lex_state = 30, .external_lex_state = 2},
  [7343] = {.lex_state = 30, .external_lex_state = 2},
  [7344] = {.lex_state = 30, .external_lex_state = 2},
  [7345] = {.lex_state = 30, .external_lex_state = 2},
  [7346] = {.lex_state = 30, .external_lex_state = 2},
  [7347] = {.lex_state = 30, .external_lex_state = 2},
  [7348] = {.lex_state = 30, .external_lex_state = 2},
  [7349] = {.lex_state = 30, .external_lex_state = 2},
  [7350] = {.lex_state = 30, .external_lex_state = 2},
  [7351] = {.lex_state = 30, .external_lex_state = 2},
  [7352] = {.lex_state = 30, .external_lex_state = 2},
  [7353] = {.lex_state = 30, .external_lex_state = 2},
  [7354] = {.lex_state = 30, .external_lex_state = 2},
  [7355] = {.lex_state = 30, .external_lex_state = 2},
  [7356] = {.lex_state = 30, .external_lex_state = 2},
  [7357] = {.lex_state = 30, .external_lex_state = 2},
  [7358] = {.lex_state = 30, .external_lex_state = 2},
  [7359] = {.lex_state = 30, .external_lex_state = 2},
  [7360] = {.lex_state = 30, .external_lex_state = 2},
  [7361] = {.lex_state = 30, .external_lex_state = 2},
  [7362] = {.lex_state = 30, .external_lex_state = 2},
  [7363] = {.lex_state = 30, .external_lex_state = 2},
  [7364] = {.lex_state = 30, .external_lex_state = 2},
  [7365] = {.lex_state = 30, .external_lex_state = 2},
  [7366] = {.lex_state = 30, .external_lex_state = 2},
  [7367] = {.lex_state = 30, .external_lex_state = 2},
  [7368] = {.lex_state = 30, .external_lex_state = 2},
  [7369] = {.lex_state = 30, .external_lex_state = 2},
  [7370] = {.lex_state = 30, .external_lex_state = 2},
  [7371] = {.lex_state = 30, .external_lex_state = 2},
  [7372] = {.lex_state = 30, .external_lex_state = 2},
  [7373] = {.lex_state = 30, .external_lex_state = 2},
  [7374] = {.lex_state = 30, .external_lex_state = 2},
  [7375] = {.lex_state = 30, .external_lex_state = 2},
  [7376] = {.lex_state = 30, .external_lex_state = 2},
  [7377] = {.lex_state = 30, .external_lex_state = 2},
  [7378] = {.lex_state = 30, .external_lex_state = 2},
  [7379] = {.lex_state = 30, .external_lex_state = 2},
  [7380] = {.lex_state = 30, .external_lex_state = 2},
  [7381] = {.lex_state = 30, .external_lex_state = 2},
  [7382] = {.lex_state = 30, .external_lex_state = 2},
  [7383] = {.lex_state = 30, .external_lex_state = 2},
  [7384] = {.lex_state = 30, .external_lex_state = 2},
  [7385] = {.lex_state = 30, .external_lex_state = 2},
  [7386] = {.lex_state = 30, .external_lex_state = 2},
  [7387] = {.lex_state = 30, .external_lex_state = 2},
  [7388] = {.lex_state = 30, .external_lex_state = 2},
  [7389] = {.lex_state = 30, .external_lex_state = 2},
  [7390] = {.lex_state = 30, .external_lex_state = 2},
  [7391] = {.lex_state = 30, .external_lex_state = 2},
  [7392] = {.lex_state = 30, .external_lex_state = 2},
  [7393] = {.lex_state = 30, .external_lex_state = 2},
  [7394] = {.lex_state = 30, .external_lex_state = 2},
  [7395] = {.lex_state = 30, .external_lex_state = 2},
  [7396] = {.lex_state = 30, .external_lex_state = 2},
  [7397] = {.lex_state = 30, .external_lex_state = 2},
  [7398] = {.lex_state = 30, .external_lex_state = 2},
  [7399] = {.lex_state = 30, .external_lex_state = 2},
  [7400] = {.lex_state = 30, .external_lex_state = 2},
  [7401] = {.lex_state = 30, .external_lex_state = 2},
  [7402] = {.lex_state = 30, .external_lex_state = 2},
  [7403] = {.lex_state = 30, .external_lex_state = 2},
  [7404] = {.lex_state = 30, .external_lex_state = 2},
  [7405] = {.lex_state = 30, .external_lex_state = 2},
  [7406] = {.lex_state = 30, .external_lex_state = 2},
  [7407] = {.lex_state = 30, .external_lex_state = 2},
  [7408] = {.lex_state = 30, .external_lex_state = 2},
  [7409] = {.lex_state = 30, .external_lex_state = 2},
  [7410] = {.lex_state = 30, .external_lex_state = 2},
  [7411] = {.lex_state = 30, .external_lex_state = 2},
  [7412] = {.lex_state = 30, .external_lex_state = 2},
  [7413] = {.lex_state = 30, .external_lex_state = 2},
  [7414] = {.lex_state = 30, .external_lex_state = 2},
  [7415] = {.lex_state = 38, .external_lex_state = 26},
  [7416] = {.lex_state = 38, .external_lex_state = 26},
  [7417] = {.lex_state = 30, .external_lex_state = 2},
  [7418] = {.lex_state = 38, .external_lex_state = 26},
  [7419] = {.lex_state = 30, .external_lex_state = 2},
  [7420] = {.lex_state = 30, .external_lex_state = 2},
  [7421] = {.lex_state = 38, .external_lex_state = 26},
  [7422] = {.lex_state = 38, .external_lex_state = 26},
  [7423] = {.lex_state = 38, .external_lex_state = 34},
  [7424] = {.lex_state = 30, .external_lex_state = 2},
  [7425] = {.lex_state = 38, .external_lex_state = 34},
  [7426] = {.lex_state = 30, .external_lex_state = 2},
  [7427] = {.lex_state = 30, .external_lex_state = 2},
  [7428] = {.lex_state = 30, .external_lex_state = 2},
  [7429] = {.lex_state = 30, .external_lex_state = 2},
  [7430] = {.lex_state = 30, .external_lex_state = 2},
  [7431] = {.lex_state = 30, .external_lex_state = 2},
  [7432] = {.lex_state = 30, .external_lex_state = 2},
  [7433] = {.lex_state = 30, .external_lex_state = 2},
  [7434] = {.lex_state = 30, .external_lex_state = 2},
  [7435] = {.lex_state = 30, .external_lex_state = 2},
  [7436] = {.lex_state = 30, .external_lex_state = 2},
  [7437] = {.lex_state = 30, .external_lex_state = 2},
  [7438] = {.lex_state = 30, .external_lex_state = 2},
  [7439] = {.lex_state = 30, .external_lex_state = 2},
  [7440] = {.lex_state = 30, .external_lex_state = 2},
  [7441] = {.lex_state = 30, .external_lex_state = 2},
  [7442] = {.lex_state = 30, .external_lex_state = 2},
  [7443] = {.lex_state = 30, .external_lex_state = 2},
  [7444] = {.lex_state = 30, .external_lex_state = 2},
  [7445] = {.lex_state = 30, .external_lex_state = 2},
  [7446] = {.lex_state = 30, .external_lex_state = 2},
  [7447] = {.lex_state = 30, .external_lex_state = 2},
  [7448] = {.lex_state = 30, .external_lex_state = 2},
  [7449] = {.lex_state = 30, .external_lex_state = 2},
  [7450] = {.lex_state = 30, .external_lex_state = 2},
  [7451] = {.lex_state = 38, .external_lex_state = 34},
  [7452] = {.lex_state = 30, .external_lex_state = 2},
  [7453] = {.lex_state = 30, .external_lex_state = 2},
  [7454] = {.lex_state = 30, .external_lex_state = 2},
  [7455] = {.lex_state = 30, .external_lex_state = 2},
  [7456] = {.lex_state = 30, .external_lex_state = 2},
  [7457] = {.lex_state = 30, .external_lex_state = 2},
  [7458] = {.lex_state = 30, .external_lex_state = 2},
  [7459] = {.lex_state = 30, .external_lex_state = 2},
  [7460] = {.lex_state = 30, .external_lex_state = 2},
  [7461] = {.lex_state = 30, .external_lex_state = 2},
  [7462] = {.lex_state = 30, .external_lex_state = 2},
  [7463] = {.lex_state = 30, .external_lex_state = 2},
  [7464] = {.lex_state = 30, .external_lex_state = 2},
  [7465] = {.lex_state = 38, .external_lex_state = 26},
  [7466] = {.lex_state = 38, .external_lex_state = 26},
  [7467] = {.lex_state = 30, .external_lex_state = 2},
  [7468] = {.lex_state = 30, .external_lex_state = 2},
  [7469] = {.lex_state = 30, .external_lex_state = 2},
  [7470] = {.lex_state = 30, .external_lex_state = 2},
  [7471] = {.lex_state = 30, .external_lex_state = 2},
  [7472] = {.lex_state = 30, .external_lex_state = 2},
  [7473] = {.lex_state = 38, .external_lex_state = 34},
  [7474] = {.lex_state = 30, .external_lex_state = 2},
  [7475] = {.lex_state = 30, .external_lex_state = 2},
  [7476] = {.lex_state = 30, .external_lex_state = 2},
  [7477] = {.lex_state = 30, .external_lex_state = 2},
  [7478] = {.lex_state = 30, .external_lex_state = 2},
  [7479] = {.lex_state = 30, .external_lex_state = 2},
  [7480] = {.lex_state = 30, .external_lex_state = 2},
  [7481] = {.lex_state = 30, .external_lex_state = 2},
  [7482] = {.lex_state = 30, .external_lex_state = 2},
  [7483] = {.lex_state = 30, .external_lex_state = 2},
  [7484] = {.lex_state = 30, .external_lex_state = 2},
  [7485] = {.lex_state = 30, .external_lex_state = 2},
  [7486] = {.lex_state = 30, .external_lex_state = 2},
  [7487] = {.lex_state = 38, .external_lex_state = 34},
  [7488] = {.lex_state = 30, .external_lex_state = 2},
  [7489] = {.lex_state = 30, .external_lex_state = 2},
  [7490] = {.lex_state = 30, .external_lex_state = 2},
  [7491] = {.lex_state = 30, .external_lex_state = 2},
  [7492] = {.lex_state = 30, .external_lex_state = 2},
  [7493] = {.lex_state = 30, .external_lex_state = 2},
  [7494] = {.lex_state = 30, .external_lex_state = 2},
  [7495] = {.lex_state = 30, .external_lex_state = 2},
  [7496] = {.lex_state = 30, .external_lex_state = 2},
  [7497] = {.lex_state = 30, .external_lex_state = 2},
  [7498] = {.lex_state = 30, .external_lex_state = 2},
  [7499] = {.lex_state = 30, .external_lex_state = 2},
  [7500] = {.lex_state = 30, .external_lex_state = 2},
  [7501] = {.lex_state = 30, .external_lex_state = 2},
  [7502] = {.lex_state = 30, .external_lex_state = 2},
  [7503] = {.lex_state = 30, .external_lex_state = 2},
  [7504] = {.lex_state = 30, .external_lex_state = 2},
  [7505] = {.lex_state = 30, .external_lex_state = 2},
  [7506] = {.lex_state = 30, .external_lex_state = 2},
  [7507] = {.lex_state = 30, .external_lex_state = 2},
  [7508] = {.lex_state = 30, .external_lex_state = 2},
  [7509] = {.lex_state = 30, .external_lex_state = 2},
  [7510] = {.lex_state = 30, .external_lex_state = 2},
  [7511] = {.lex_state = 30, .external_lex_state = 2},
  [7512] = {.lex_state = 30, .external_lex_state = 2},
  [7513] = {.lex_state = 30, .external_lex_state = 2},
  [7514] = {.lex_state = 30, .external_lex_state = 2},
  [7515] = {.lex_state = 30, .external_lex_state = 2},
  [7516] = {.lex_state = 30, .external_lex_state = 2},
  [7517] = {.lex_state = 30, .external_lex_state = 2},
  [7518] = {.lex_state = 30, .external_lex_state = 2},
  [7519] = {.lex_state = 30, .external_lex_state = 2},
  [7520] = {.lex_state = 30, .external_lex_state = 2},
  [7521] = {.lex_state = 30, .external_lex_state = 2},
  [7522] = {.lex_state = 30, .external_lex_state = 2},
  [7523] = {.lex_state = 30, .external_lex_state = 2},
  [7524] = {.lex_state = 30, .external_lex_state = 2},
  [7525] = {.lex_state = 30, .external_lex_state = 2},
  [7526] = {.lex_state = 30, .external_lex_state = 2},
  [7527] = {.lex_state = 30, .external_lex_state = 2},
  [7528] = {.lex_state = 30, .external_lex_state = 2},
  [7529] = {.lex_state = 30, .external_lex_state = 2},
  [7530] = {.lex_state = 30, .external_lex_state = 2},
  [7531] = {.lex_state = 30, .external_lex_state = 2},
  [7532] = {.lex_state = 30, .external_lex_state = 2},
  [7533] = {.lex_state = 30, .external_lex_state = 2},
  [7534] = {.lex_state = 30, .external_lex_state = 2},
  [7535] = {.lex_state = 30, .external_lex_state = 2},
  [7536] = {.lex_state = 30, .external_lex_state = 2},
  [7537] = {.lex_state = 30, .external_lex_state = 2},
  [7538] = {.lex_state = 30, .external_lex_state = 2},
  [7539] = {.lex_state = 30, .external_lex_state = 2},
  [7540] = {.lex_state = 30, .external_lex_state = 2},
  [7541] = {.lex_state = 41, .external_lex_state = 33},
  [7542] = {.lex_state = 30, .external_lex_state = 2},
  [7543] = {.lex_state = 41, .external_lex_state = 33},
  [7544] = {.lex_state = 30, .external_lex_state = 2},
  [7545] = {.lex_state = 30, .external_lex_state = 2},
  [7546] = {.lex_state = 30, .external_lex_state = 2},
  [7547] = {.lex_state = 30, .external_lex_state = 2},
  [7548] = {.lex_state = 30, .external_lex_state = 2},
  [7549] = {.lex_state = 30, .external_lex_state = 2},
  [7550] = {.lex_state = 30, .external_lex_state = 2},
  [7551] = {.lex_state = 30, .external_lex_state = 2},
  [7552] = {.lex_state = 30, .external_lex_state = 2},
  [7553] = {.lex_state = 30, .external_lex_state = 2},
  [7554] = {.lex_state = 30, .external_lex_state = 2},
  [7555] = {.lex_state = 30, .external_lex_state = 2},
  [7556] = {.lex_state = 30, .external_lex_state = 2},
  [7557] = {.lex_state = 30, .external_lex_state = 2},
  [7558] = {.lex_state = 30, .external_lex_state = 2},
  [7559] = {.lex_state = 30, .external_lex_state = 2},
  [7560] = {.lex_state = 30, .external_lex_state = 2},
  [7561] = {.lex_state = 30, .external_lex_state = 2},
  [7562] = {.lex_state = 30, .external_lex_state = 2},
  [7563] = {.lex_state = 30, .external_lex_state = 2},
  [7564] = {.lex_state = 30, .external_lex_state = 2},
  [7565] = {.lex_state = 30, .external_lex_state = 2},
  [7566] = {.lex_state = 30, .external_lex_state = 2},
  [7567] = {.lex_state = 30, .external_lex_state = 2},
  [7568] = {.lex_state = 30, .external_lex_state = 2},
  [7569] = {.lex_state = 30, .external_lex_state = 2},
  [7570] = {.lex_state = 30, .external_lex_state = 2},
  [7571] = {.lex_state = 30, .external_lex_state = 2},
  [7572] = {.lex_state = 30, .external_lex_state = 2},
  [7573] = {.lex_state = 30, .external_lex_state = 2},
  [7574] = {.lex_state = 30, .external_lex_state = 2},
  [7575] = {.lex_state = 30, .external_lex_state = 2},
  [7576] = {.lex_state = 30, .external_lex_state = 2},
  [7577] = {.lex_state = 41, .external_lex_state = 33},
  [7578] = {.lex_state = 30, .external_lex_state = 2},
  [7579] = {.lex_state = 30, .external_lex_state = 2},
  [7580] = {.lex_state = 30, .external_lex_state = 2},
  [7581] = {.lex_state = 30, .external_lex_state = 2},
  [7582] = {.lex_state = 30, .external_lex_state = 2},
  [7583] = {.lex_state = 30, .external_lex_state = 2},
  [7584] = {.lex_state = 30, .external_lex_state = 2},
  [7585] = {.lex_state = 30, .external_lex_state = 2},
  [7586] = {.lex_state = 30, .external_lex_state = 2},
  [7587] = {.lex_state = 30, .external_lex_state = 2},
  [7588] = {.lex_state = 30, .external_lex_state = 2},
  [7589] = {.lex_state = 30, .external_lex_state = 2},
  [7590] = {.lex_state = 41, .external_lex_state = 33},
  [7591] = {.lex_state = 30, .external_lex_state = 2},
  [7592] = {.lex_state = 30, .external_lex_state = 2},
  [7593] = {.lex_state = 30, .external_lex_state = 2},
  [7594] = {.lex_state = 30, .external_lex_state = 2},
  [7595] = {.lex_state = 30, .external_lex_state = 2},
  [7596] = {.lex_state = 30, .external_lex_state = 2},
  [7597] = {.lex_state = 30, .external_lex_state = 2},
  [7598] = {.lex_state = 30, .external_lex_state = 2},
  [7599] = {.lex_state = 30, .external_lex_state = 2},
  [7600] = {.lex_state = 30, .external_lex_state = 2},
  [7601] = {.lex_state = 30, .external_lex_state = 2},
  [7602] = {.lex_state = 30, .external_lex_state = 2},
  [7603] = {.lex_state = 30, .external_lex_state = 2},
  [7604] = {.lex_state = 30, .external_lex_state = 2},
  [7605] = {.lex_state = 30, .external_lex_state = 2},
  [7606] = {.lex_state = 41, .external_lex_state = 33},
  [7607] = {.lex_state = 30, .external_lex_state = 2},
  [7608] = {.lex_state = 30, .external_lex_state = 2},
  [7609] = {.lex_state = 30, .external_lex_state = 2},
  [7610] = {.lex_state = 30, .external_lex_state = 2},
  [7611] = {.lex_state = 30, .external_lex_state = 2},
  [7612] = {.lex_state = 30, .external_lex_state = 2},
  [7613] = {.lex_state = 30, .external_lex_state = 2},
  [7614] = {.lex_state = 30, .external_lex_state = 2},
  [7615] = {.lex_state = 30, .external_lex_state = 2},
  [7616] = {.lex_state = 30, .external_lex_state = 2},
  [7617] = {.lex_state = 30, .external_lex_state = 2},
  [7618] = {.lex_state = 30, .external_lex_state = 2},
  [7619] = {.lex_state = 30, .external_lex_state = 2},
  [7620] = {.lex_state = 30, .external_lex_state = 2},
  [7621] = {.lex_state = 30, .external_lex_state = 2},
  [7622] = {.lex_state = 30, .external_lex_state = 2},
  [7623] = {.lex_state = 30, .external_lex_state = 2},
  [7624] = {.lex_state = 30, .external_lex_state = 2},
  [7625] = {.lex_state = 30, .external_lex_state = 2},
  [7626] = {.lex_state = 30, .external_lex_state = 2},
  [7627] = {.lex_state = 30, .external_lex_state = 2},
  [7628] = {.lex_state = 30, .external_lex_state = 2},
  [7629] = {.lex_state = 30, .external_lex_state = 2},
  [7630] = {.lex_state = 30, .external_lex_state = 2},
  [7631] = {.lex_state = 30, .external_lex_state = 2},
  [7632] = {.lex_state = 30, .external_lex_state = 2},
  [7633] = {.lex_state = 30, .external_lex_state = 2},
  [7634] = {.lex_state = 30, .external_lex_state = 2},
  [7635] = {.lex_state = 30, .external_lex_state = 2},
  [7636] = {.lex_state = 30, .external_lex_state = 2},
  [7637] = {.lex_state = 30, .external_lex_state = 2},
  [7638] = {.lex_state = 30, .external_lex_state = 2},
  [7639] = {.lex_state = 30, .external_lex_state = 2},
  [7640] = {.lex_state = 30, .external_lex_state = 2},
  [7641] = {.lex_state = 30, .external_lex_state = 2},
  [7642] = {.lex_state = 30, .external_lex_state = 2},
  [7643] = {.lex_state = 30, .external_lex_state = 2},
  [7644] = {.lex_state = 30, .external_lex_state = 2},
  [7645] = {.lex_state = 30, .external_lex_state = 2},
  [7646] = {.lex_state = 30, .external_lex_state = 2},
  [7647] = {.lex_state = 30, .external_lex_state = 2},
  [7648] = {.lex_state = 30, .external_lex_state = 2},
  [7649] = {.lex_state = 30, .external_lex_state = 2},
  [7650] = {.lex_state = 30, .external_lex_state = 2},
  [7651] = {.lex_state = 30, .external_lex_state = 2},
  [7652] = {.lex_state = 30, .external_lex_state = 2},
  [7653] = {.lex_state = 30, .external_lex_state = 2},
  [7654] = {.lex_state = 30, .external_lex_state = 2},
  [7655] = {.lex_state = 30, .external_lex_state = 2},
  [7656] = {.lex_state = 30, .external_lex_state = 2},
  [7657] = {.lex_state = 30, .external_lex_state = 2},
  [7658] = {.lex_state = 30, .external_lex_state = 2},
  [7659] = {.lex_state = 38, .external_lex_state = 32},
  [7660] = {.lex_state = 31, .external_lex_state = 28},
  [7661] = {.lex_state = 38, .external_lex_state = 33},
  [7662] = {.lex_state = 31, .external_lex_state = 28},
  [7663] = {.lex_state = 38, .external_lex_state = 33},
  [7664] = {.lex_state = 38, .external_lex_state = 32},
  [7665] = {.lex_state = 38, .external_lex_state = 33},
  [7666] = {.lex_state = 31, .external_lex_state = 28},
  [7667] = {.lex_state = 38, .external_lex_state = 32},
  [7668] = {.lex_state = 38, .external_lex_state = 32},
  [7669] = {.lex_state = 31, .external_lex_state = 28},
  [7670] = {.lex_state = 31, .external_lex_state = 28},
  [7671] = {.lex_state = 38, .external_lex_state = 32},
  [7672] = {.lex_state = 38, .external_lex_state = 33},
  [7673] = {.lex_state = 38, .external_lex_state = 33},
  [7674] = {.lex_state = 38, .external_lex_state = 33},
  [7675] = {.lex_state = 38, .external_lex_state = 33},
  [7676] = {.lex_state = 38, .external_lex_state = 33},
  [7677] = {.lex_state = 38, .external_lex_state = 32},
  [7678] = {.lex_state = 38, .external_lex_state = 32},
  [7679] = {.lex_state = 38, .external_lex_state = 33},
  [7680] = {.lex_state = 31, .external_lex_state = 28},
  [7681] = {.lex_state = 38, .external_lex_state = 32},
  [7682] = {.lex_state = 38, .external_lex_state = 32},
  [7683] = {.lex_state = 31, .external_lex_state = 28},
  [7684] = {.lex_state = 31, .external_lex_state = 28},
  [7685] = {.lex_state = 38, .external_lex_state = 33},
  [7686] = {.lex_state = 38, .external_lex_state = 32},
  [7687] = {.lex_state = 38, .external_lex_state = 32},
  [7688] = {.lex_state = 38, .external_lex_state = 32},
  [7689] = {.lex_state = 31, .external_lex_state = 28},
  [7690] = {.lex_state = 31, .external_lex_state = 28},
  [7691] = {.lex_state = 38, .external_lex_state = 33},
  [7692] = {.lex_state = 38, .external_lex_state = 32},
  [7693] = {.lex_state = 38, .external_lex_state = 33},
  [7694] = {.lex_state = 38, .external_lex_state = 32},
  [7695] = {.lex_state = 38, .external_lex_state = 32},
  [7696] = {.lex_state = 38, .external_lex_state = 32},
  [7697] = {.lex_state = 31, .external_lex_state = 28},
  [7698] = {.lex_state = 38, .external_lex_state = 33},
  [7699] = {.lex_state = 38, .external_lex_state = 32},
  [7700] = {.lex_state = 31, .external_lex_state = 28},
  [7701] = {.lex_state = 38, .external_lex_state = 33},
  [7702] = {.lex_state = 31, .external_lex_state = 28},
  [7703] = {.lex_state = 31, .external_lex_state = 28},
  [7704] = {.lex_state = 38, .external_lex_state = 33},
  [7705] = {.lex_state = 38, .external_lex_state = 33},
  [7706] = {.lex_state = 38, .external_lex_state = 33},
  [7707] = {.lex_state = 31, .external_lex_state = 28},
  [7708] = {.lex_state = 31, .external_lex_state = 28},
  [7709] = {.lex_state = 31, .external_lex_state = 28},
  [7710] = {.lex_state = 35, .external_lex_state = 2},
  [7711] = {.lex_state = 35, .external_lex_state = 2},
  [7712] = {.lex_state = 36, .external_lex_state = 2},
  [7713] = {.lex_state = 36, .external_lex_state = 2},
  [7714] = {.lex_state = 36, .external_lex_state = 2},
  [7715] = {.lex_state = 36, .external_lex_state = 2},
  [7716] = {.lex_state = 36, .external_lex_state = 2},
  [7717] = {.lex_state = 36, .external_lex_state = 2},
  [7718] = {.lex_state = 36, .external_lex_state = 2},
  [7719] = {.lex_state = 36, .external_lex_state = 2},
  [7720] = {.lex_state = 36, .external_lex_state = 2},
  [7721] = {.lex_state = 36, .external_lex_state = 2},
  [7722] = {.lex_state = 36, .external_lex_state = 2},
  [7723] = {.lex_state = 36, .external_lex_state = 2},
  [7724] = {.lex_state = 36, .external_lex_state = 2},
  [7725] = {.lex_state = 36, .external_lex_state = 2},
  [7726] = {.lex_state = 36, .external_lex_state = 2},
  [7727] = {.lex_state = 36, .external_lex_state = 2},
  [7728] = {.lex_state = 36, .external_lex_state = 2},
  [7729] = {.lex_state = 35, .external_lex_state = 2},
  [7730] = {.lex_state = 36, .external_lex_state = 2},
  [7731] = {.lex_state = 36, .external_lex_state = 2},
  [7732] = {.lex_state = 36, .external_lex_state = 2},
  [7733] = {.lex_state = 36, .external_lex_state = 2},
  [7734] = {.lex_state = 36, .external_lex_state = 2},
  [7735] = {.lex_state = 36, .external_lex_state = 2},
  [7736] = {.lex_state = 35, .external_lex_state = 2},
  [7737] = {.lex_state = 35, .external_lex_state = 2},
  [7738] = {.lex_state = 36, .external_lex_state = 2},
  [7739] = {.lex_state = 36, .external_lex_state = 2},
  [7740] = {.lex_state = 36, .external_lex_state = 2},
  [7741] = {.lex_state = 36, .external_lex_state = 2},
  [7742] = {.lex_state = 36, .external_lex_state = 2},
  [7743] = {.lex_state = 36, .external_lex_state = 2},
  [7744] = {.lex_state = 36, .external_lex_state = 2},
  [7745] = {.lex_state = 36, .external_lex_state = 2},
  [7746] = {.lex_state = 36, .external_lex_state = 2},
  [7747] = {.lex_state = 36, .external_lex_state = 2},
  [7748] = {.lex_state = 35, .external_lex_state = 2},
  [7749] = {.lex_state = 36, .external_lex_state = 2},
  [7750] = {.lex_state = 36, .external_lex_state = 2},
  [7751] = {.lex_state = 36, .external_lex_state = 2},
  [7752] = {.lex_state = 35, .external_lex_state = 2},
  [7753] = {.lex_state = 36, .external_lex_state = 2},
  [7754] = {.lex_state = 36, .external_lex_state = 2},
  [7755] = {.lex_state = 36, .external_lex_state = 2},
  [7756] = {.lex_state = 36, .external_lex_state = 2},
  [7757] = {.lex_state = 36, .external_lex_state = 2},
  [7758] = {.lex_state = 36, .external_lex_state = 2},
  [7759] = {.lex_state = 35, .external_lex_state = 2},
  [7760] = {.lex_state = 36, .external_lex_state = 2},
  [7761] = {.lex_state = 36, .external_lex_state = 2},
  [7762] = {.lex_state = 36, .external_lex_state = 2},
  [7763] = {.lex_state = 36, .external_lex_state = 2},
  [7764] = {.lex_state = 36, .external_lex_state = 2},
  [7765] = {.lex_state = 36, .external_lex_state = 2},
  [7766] = {.lex_state = 36, .external_lex_state = 2},
  [7767] = {.lex_state = 36, .external_lex_state = 2},
  [7768] = {.lex_state = 35, .external_lex_state = 2},
  [7769] = {.lex_state = 36, .external_lex_state = 2},
  [7770] = {.lex_state = 36, .external_lex_state = 2},
  [7771] = {.lex_state = 36, .external_lex_state = 2},
  [7772] = {.lex_state = 36, .external_lex_state = 2},
  [7773] = {.lex_state = 36, .external_lex_state = 2},
  [7774] = {.lex_state = 36, .external_lex_state = 2},
  [7775] = {.lex_state = 36, .external_lex_state = 2},
  [7776] = {.lex_state = 36, .external_lex_state = 2},
  [7777] = {.lex_state = 36, .external_lex_state = 2},
  [7778] = {.lex_state = 36, .external_lex_state = 2},
  [7779] = {.lex_state = 36, .external_lex_state = 2},
  [7780] = {.lex_state = 36, .external_lex_state = 2},
  [7781] = {.lex_state = 36, .external_lex_state = 2},
  [7782] = {.lex_state = 36, .external_lex_state = 2},
  [7783] = {.lex_state = 36, .external_lex_state = 2},
  [7784] = {.lex_state = 36, .external_lex_state = 2},
  [7785] = {.lex_state = 36, .external_lex_state = 2},
  [7786] = {.lex_state = 36, .external_lex_state = 2},
  [7787] = {.lex_state = 36, .external_lex_state = 2},
  [7788] = {.lex_state = 36, .external_lex_state = 2},
  [7789] = {.lex_state = 36, .external_lex_state = 2},
  [7790] = {.lex_state = 36, .external_lex_state = 2},
  [7791] = {.lex_state = 36, .external_lex_state = 2},
  [7792] = {.lex_state = 36, .external_lex_state = 2},
  [7793] = {.lex_state = 36, .external_lex_state = 2},
  [7794] = {.lex_state = 36, .external_lex_state = 2},
  [7795] = {.lex_state = 36, .external_lex_state = 2},
  [7796] = {.lex_state = 36, .external_lex_state = 2},
  [7797] = {.lex_state = 36, .external_lex_state = 2},
  [7798] = {.lex_state = 36, .external_lex_state = 2},
  [7799] = {.lex_state = 35, .external_lex_state = 2},
  [7800] = {.lex_state = 36, .external_lex_state = 2},
  [7801] = {.lex_state = 36, .external_lex_state = 2},
  [7802] = {.lex_state = 36, .external_lex_state = 2},
  [7803] = {.lex_state = 36, .external_lex_state = 2},
  [7804] = {.lex_state = 36, .external_lex_state = 2},
  [7805] = {.lex_state = 36, .external_lex_state = 2},
  [7806] = {.lex_state = 36, .external_lex_state = 2},
  [7807] = {.lex_state = 36, .external_lex_state = 2},
  [7808] = {.lex_state = 36, .external_lex_state = 2},
  [7809] = {.lex_state = 36, .external_lex_state = 2},
  [7810] = {.lex_state = 36, .external_lex_state = 2},
  [7811] = {.lex_state = 36, .external_lex_state = 2},
  [7812] = {.lex_state = 36, .external_lex_state = 2},
  [7813] = {.lex_state = 36, .external_lex_state = 2},
  [7814] = {.lex_state = 36, .external_lex_state = 2},
  [7815] = {.lex_state = 36, .external_lex_state = 2},
  [7816] = {.lex_state = 36, .external_lex_state = 2},
  [7817] = {.lex_state = 36, .external_lex_state = 2},
  [7818] = {.lex_state = 35, .external_lex_state = 2},
  [7819] = {.lex_state = 36, .external_lex_state = 2},
  [7820] = {.lex_state = 36, .external_lex_state = 2},
  [7821] = {.lex_state = 36, .external_lex_state = 2},
  [7822] = {.lex_state = 36, .external_lex_state = 2},
  [7823] = {.lex_state = 36, .external_lex_state = 2},
  [7824] = {.lex_state = 36, .external_lex_state = 2},
  [7825] = {.lex_state = 36, .external_lex_state = 2},
  [7826] = {.lex_state = 36, .external_lex_state = 2},
  [7827] = {.lex_state = 36, .external_lex_state = 2},
  [7828] = {.lex_state = 36, .external_lex_state = 2},
  [7829] = {.lex_state = 35, .external_lex_state = 2},
  [7830] = {.lex_state = 35, .external_lex_state = 2},
  [7831] = {.lex_state = 36, .external_lex_state = 2},
  [7832] = {.lex_state = 36, .external_lex_state = 2},
  [7833] = {.lex_state = 35, .external_lex_state = 2},
  [7834] = {.lex_state = 30, .external_lex_state = 2},
  [7835] = {.lex_state = 35, .external_lex_state = 2},
  [7836] = {.lex_state = 35, .external_lex_state = 2},
  [7837] = {.lex_state = 35, .external_lex_state = 2},
  [7838] = {.lex_state = 35, .external_lex_state = 2},
  [7839] = {.lex_state = 35, .external_lex_state = 2},
  [7840] = {.lex_state = 36, .external_lex_state = 2},
  [7841] = {.lex_state = 35, .external_lex_state = 2},
  [7842] = {.lex_state = 35, .external_lex_state = 2},
  [7843] = {.lex_state = 36, .external_lex_state = 2},
  [7844] = {.lex_state = 35, .external_lex_state = 2},
  [7845] = {.lex_state = 30, .external_lex_state = 2},
  [7846] = {.lex_state = 30, .external_lex_state = 2},
  [7847] = {.lex_state = 30, .external_lex_state = 2},
  [7848] = {.lex_state = 37, .external_lex_state = 2},
  [7849] = {.lex_state = 35, .external_lex_state = 2},
  [7850] = {.lex_state = 30, .external_lex_state = 2},
  [7851] = {.lex_state = 37, .external_lex_state = 2},
  [7852] = {.lex_state = 32, .external_lex_state = 28},
  [7853] = {.lex_state = 36, .external_lex_state = 2},
  [7854] = {.lex_state = 35, .external_lex_state = 2},
  [7855] = {.lex_state = 36, .external_lex_state = 2},
  [7856] = {.lex_state = 30, .external_lex_state = 2},
  [7857] = {.lex_state = 35, .external_lex_state = 2},
  [7858] = {.lex_state = 30, .external_lex_state = 2},
  [7859] = {.lex_state = 35, .external_lex_state = 2},
  [7860] = {.lex_state = 35, .external_lex_state = 2},
  [7861] = {.lex_state = 35, .external_lex_state = 2},
  [7862] = {.lex_state = 36, .external_lex_state = 2},
  [7863] = {.lex_state = 35, .external_lex_state = 2},
  [7864] = {.lex_state = 30, .external_lex_state = 2},
  [7865] = {.lex_state = 35, .external_lex_state = 2},
  [7866] = {.lex_state = 35, .external_lex_state = 2},
  [7867] = {.lex_state = 36, .external_lex_state = 2},
  [7868] = {.lex_state = 35, .external_lex_state = 2},
  [7869] = {.lex_state = 30, .external_lex_state = 2},
  [7870] = {.lex_state = 35, .external_lex_state = 2},
  [7871] = {.lex_state = 36, .external_lex_state = 2},
  [7872] = {.lex_state = 30, .external_lex_state = 2},
  [7873] = {.lex_state = 36, .external_lex_state = 2},
  [7874] = {.lex_state = 36, .external_lex_state = 2},
  [7875] = {.lex_state = 35, .external_lex_state = 2},
  [7876] = {.lex_state = 36, .external_lex_state = 2},
  [7877] = {.lex_state = 30, .external_lex_state = 2},
  [7878] = {.lex_state = 36, .external_lex_state = 2},
  [7879] = {.lex_state = 36, .external_lex_state = 2},
  [7880] = {.lex_state = 37, .external_lex_state = 2},
  [7881] = {.lex_state = 36, .external_lex_state = 2},
  [7882] = {.lex_state = 37, .external_lex_state = 2},
  [7883] = {.lex_state = 36, .external_lex_state = 2},
  [7884] = {.lex_state = 37, .external_lex_state = 2},
  [7885] = {.lex_state = 30, .external_lex_state = 2},
  [7886] = {.lex_state = 30, .external_lex_state = 2},
  [7887] = {.lex_state = 37, .external_lex_state = 2},
  [7888] = {.lex_state = 37, .external_lex_state = 2},
  [7889] = {.lex_state = 30, .external_lex_state = 2},
  [7890] = {.lex_state = 30, .external_lex_state = 2},
  [7891] = {.lex_state = 30, .external_lex_state = 2},
  [7892] = {.lex_state = 37, .external_lex_state = 2},
  [7893] = {.lex_state = 37, .external_lex_state = 2},
  [7894] = {.lex_state = 37, .external_lex_state = 2},
  [7895] = {.lex_state = 37, .external_lex_state = 2},
  [7896] = {.lex_state = 37, .external_lex_state = 2},
  [7897] = {.lex_state = 37, .external_lex_state = 2},
  [7898] = {.lex_state = 30, .external_lex_state = 2},
  [7899] = {.lex_state = 36, .external_lex_state = 2},
  [7900] = {.lex_state = 36, .external_lex_state = 2},
  [7901] = {.lex_state = 36, .external_lex_state = 2},
  [7902] = {.lex_state = 30, .external_lex_state = 2},
  [7903] = {.lex_state = 36, .external_lex_state = 2},
  [7904] = {.lex_state = 37, .external_lex_state = 2},
  [7905] = {.lex_state = 37, .external_lex_state = 2},
  [7906] = {.lex_state = 37, .external_lex_state = 2},
  [7907] = {.lex_state = 30, .external_lex_state = 2},
  [7908] = {.lex_state = 37, .external_lex_state = 2},
  [7909] = {.lex_state = 37, .external_lex_state = 2},
  [7910] = {.lex_state = 37, .external_lex_state = 2},
  [7911] = {.lex_state = 30, .external_lex_state = 2},
  [7912] = {.lex_state = 36, .external_lex_state = 2},
  [7913] = {.lex_state = 30, .external_lex_state = 2},
  [7914] = {.lex_state = 37, .external_lex_state = 2},
  [7915] = {.lex_state = 37, .external_lex_state = 2},
  [7916] = {.lex_state = 37, .external_lex_state = 2},
  [7917] = {.lex_state = 37, .external_lex_state = 2},
  [7918] = {.lex_state = 37, .external_lex_state = 2},
  [7919] = {.lex_state = 37, .external_lex_state = 2},
  [7920] = {.lex_state = 37, .external_lex_state = 2},
  [7921] = {.lex_state = 36, .external_lex_state = 2},
  [7922] = {.lex_state = 37, .external_lex_state = 2},
  [7923] = {.lex_state = 30, .external_lex_state = 2},
  [7924] = {.lex_state = 37, .external_lex_state = 2},
  [7925] = {.lex_state = 37, .external_lex_state = 2},
  [7926] = {.lex_state = 36, .external_lex_state = 2},
  [7927] = {.lex_state = 37, .external_lex_state = 2},
  [7928] = {.lex_state = 35, .external_lex_state = 2},
  [7929] = {.lex_state = 35, .external_lex_state = 2},
  [7930] = {.lex_state = 35, .external_lex_state = 2},
  [7931] = {.lex_state = 30, .external_lex_state = 2},
  [7932] = {.lex_state = 37, .external_lex_state = 2},
  [7933] = {.lex_state = 36, .external_lex_state = 2},
  [7934] = {.lex_state = 36, .external_lex_state = 2},
  [7935] = {.lex_state = 30, .external_lex_state = 2},
  [7936] = {.lex_state = 30, .external_lex_state = 2},
  [7937] = {.lex_state = 36, .external_lex_state = 2},
  [7938] = {.lex_state = 36, .external_lex_state = 2},
  [7939] = {.lex_state = 30, .external_lex_state = 2},
  [7940] = {.lex_state = 30, .external_lex_state = 2},
  [7941] = {.lex_state = 27, .external_lex_state = 36},
  [7942] = {.lex_state = 37, .external_lex_state = 2},
  [7943] = {.lex_state = 35, .external_lex_state = 2},
  [7944] = {.lex_state = 37, .external_lex_state = 2},
  [7945] = {.lex_state = 37, .external_lex_state = 2},
  [7946] = {.lex_state = 30, .external_lex_state = 2},
  [7947] = {.lex_state = 30, .external_lex_state = 2},
  [7948] = {.lex_state = 36, .external_lex_state = 2},
  [7949] = {.lex_state = 37, .external_lex_state = 2},
  [7950] = {.lex_state = 36, .external_lex_state = 2},
  [7951] = {.lex_state = 37, .external_lex_state = 2},
  [7952] = {.lex_state = 37, .external_lex_state = 2},
  [7953] = {.lex_state = 35, .external_lex_state = 2},
  [7954] = {.lex_state = 37, .external_lex_state = 2},
  [7955] = {.lex_state = 36, .external_lex_state = 2},
  [7956] = {.lex_state = 35, .external_lex_state = 2},
  [7957] = {.lex_state = 35, .external_lex_state = 2},
  [7958] = {.lex_state = 36, .external_lex_state = 2},
  [7959] = {.lex_state = 37, .external_lex_state = 2},
  [7960] = {.lex_state = 36, .external_lex_state = 2},
  [7961] = {.lex_state = 37, .external_lex_state = 2},
  [7962] = {.lex_state = 37, .external_lex_state = 2},
  [7963] = {.lex_state = 37, .external_lex_state = 2},
  [7964] = {.lex_state = 35, .external_lex_state = 2},
  [7965] = {.lex_state = 30, .external_lex_state = 2},
  [7966] = {.lex_state = 36, .external_lex_state = 2},
  [7967] = {.lex_state = 36, .external_lex_state = 2},
  [7968] = {.lex_state = 30, .external_lex_state = 2},
  [7969] = {.lex_state = 37, .external_lex_state = 2},
  [7970] = {.lex_state = 37, .external_lex_state = 2},
  [7971] = {.lex_state = 37, .external_lex_state = 2},
  [7972] = {.lex_state = 37, .external_lex_state = 2},
  [7973] = {.lex_state = 35, .external_lex_state = 2},
  [7974] = {.lex_state = 37, .external_lex_state = 2},
  [7975] = {.lex_state = 30, .external_lex_state = 2},
  [7976] = {.lex_state = 37, .external_lex_state = 2},
  [7977] = {.lex_state = 36, .external_lex_state = 2},
  [7978] = {.lex_state = 35, .external_lex_state = 2},
  [7979] = {.lex_state = 36, .external_lex_state = 2},
  [7980] = {.lex_state = 37, .external_lex_state = 2},
  [7981] = {.lex_state = 37, .external_lex_state = 2},
  [7982] = {.lex_state = 37, .external_lex_state = 2},
  [7983] = {.lex_state = 37, .external_lex_state = 2},
  [7984] = {.lex_state = 30, .external_lex_state = 2},
  [7985] = {.lex_state = 37, .external_lex_state = 2},
  [7986] = {.lex_state = 36, .external_lex_state = 2},
  [7987] = {.lex_state = 30, .external_lex_state = 2},
  [7988] = {.lex_state = 30, .external_lex_state = 2},
  [7989] = {.lex_state = 37, .external_lex_state = 2},
  [7990] = {.lex_state = 37, .external_lex_state = 2},
  [7991] = {.lex_state = 37, .external_lex_state = 2},
  [7992] = {.lex_state = 37, .external_lex_state = 2},
  [7993] = {.lex_state = 30, .external_lex_state = 2},
  [7994] = {.lex_state = 30, .external_lex_state = 2},
  [7995] = {.lex_state = 37, .external_lex_state = 2},
  [7996] = {.lex_state = 37, .external_lex_state = 2},
  [7997] = {.lex_state = 37, .external_lex_state = 2},
  [7998] = {.lex_state = 37, .external_lex_state = 2},
  [7999] = {.lex_state = 30, .external_lex_state = 2},
  [8000] = {.lex_state = 37, .external_lex_state = 2},
  [8001] = {.lex_state = 37, .external_lex_state = 2},
  [8002] = {.lex_state = 30, .external_lex_state = 2},
  [8003] = {.lex_state = 37, .external_lex_state = 2},
  [8004] = {.lex_state = 37, .external_lex_state = 2},
  [8005] = {.lex_state = 37, .external_lex_state = 2},
  [8006] = {.lex_state = 37, .external_lex_state = 2},
  [8007] = {.lex_state = 37, .external_lex_state = 2},
  [8008] = {.lex_state = 37, .external_lex_state = 2},
  [8009] = {.lex_state = 37, .external_lex_state = 2},
  [8010] = {.lex_state = 37, .external_lex_state = 2},
  [8011] = {.lex_state = 37, .external_lex_state = 2},
  [8012] = {.lex_state = 37, .external_lex_state = 2},
  [8013] = {.lex_state = 37, .external_lex_state = 2},
  [8014] = {.lex_state = 37, .external_lex_state = 2},
  [8015] = {.lex_state = 37, .external_lex_state = 2},
  [8016] = {.lex_state = 37, .external_lex_state = 2},
  [8017] = {.lex_state = 30, .external_lex_state = 2},
  [8018] = {.lex_state = 37, .external_lex_state = 2},
  [8019] = {.lex_state = 30, .external_lex_state = 2},
  [8020] = {.lex_state = 37, .external_lex_state = 2},
  [8021] = {.lex_state = 37, .external_lex_state = 2},
  [8022] = {.lex_state = 37, .external_lex_state = 2},
  [8023] = {.lex_state = 37, .external_lex_state = 2},
  [8024] = {.lex_state = 37, .external_lex_state = 2},
  [8025] = {.lex_state = 30, .external_lex_state = 2},
  [8026] = {.lex_state = 30, .external_lex_state = 2},
  [8027] = {.lex_state = 37, .external_lex_state = 2},
  [8028] = {.lex_state = 37, .external_lex_state = 2},
  [8029] = {.lex_state = 30, .external_lex_state = 2},
  [8030] = {.lex_state = 37, .external_lex_state = 2},
  [8031] = {.lex_state = 37, .external_lex_state = 2},
  [8032] = {.lex_state = 37, .external_lex_state = 2},
  [8033] = {.lex_state = 37, .external_lex_state = 2},
  [8034] = {.lex_state = 37, .external_lex_state = 2},
  [8035] = {.lex_state = 30, .external_lex_state = 2},
  [8036] = {.lex_state = 37, .external_lex_state = 2},
  [8037] = {.lex_state = 37, .external_lex_state = 2},
  [8038] = {.lex_state = 37, .external_lex_state = 2},
  [8039] = {.lex_state = 37, .external_lex_state = 2},
  [8040] = {.lex_state = 36, .external_lex_state = 2},
  [8041] = {.lex_state = 30, .external_lex_state = 2},
  [8042] = {.lex_state = 30, .external_lex_state = 2},
  [8043] = {.lex_state = 36, .external_lex_state = 2},
  [8044] = {.lex_state = 37, .external_lex_state = 2},
  [8045] = {.lex_state = 37, .external_lex_state = 2},
  [8046] = {.lex_state = 37, .external_lex_state = 2},
  [8047] = {.lex_state = 37, .external_lex_state = 2},
  [8048] = {.lex_state = 37, .external_lex_state = 2},
  [8049] = {.lex_state = 37, .external_lex_state = 2},
  [8050] = {.lex_state = 36, .external_lex_state = 2},
  [8051] = {.lex_state = 37, .external_lex_state = 2},
  [8052] = {.lex_state = 37, .external_lex_state = 2},
  [8053] = {.lex_state = 36, .external_lex_state = 2},
  [8054] = {.lex_state = 30, .external_lex_state = 2},
  [8055] = {.lex_state = 37, .external_lex_state = 2},
  [8056] = {.lex_state = 37, .external_lex_state = 2},
  [8057] = {.lex_state = 37, .external_lex_state = 2},
  [8058] = {.lex_state = 36, .external_lex_state = 2},
  [8059] = {.lex_state = 30, .external_lex_state = 2},
  [8060] = {.lex_state = 30, .external_lex_state = 2},
  [8061] = {.lex_state = 37, .external_lex_state = 2},
  [8062] = {.lex_state = 36, .external_lex_state = 2},
  [8063] = {.lex_state = 36, .external_lex_state = 2},
  [8064] = {.lex_state = 37, .external_lex_state = 2},
  [8065] = {.lex_state = 37, .external_lex_state = 2},
  [8066] = {.lex_state = 37, .external_lex_state = 2},
  [8067] = {.lex_state = 36, .external_lex_state = 2},
  [8068] = {.lex_state = 36, .external_lex_state = 2},
  [8069] = {.lex_state = 30, .external_lex_state = 2},
  [8070] = {.lex_state = 37, .external_lex_state = 2},
  [8071] = {.lex_state = 37, .external_lex_state = 2},
  [8072] = {.lex_state = 37, .external_lex_state = 2},
  [8073] = {.lex_state = 36, .external_lex_state = 2},
  [8074] = {.lex_state = 30, .external_lex_state = 2},
  [8075] = {.lex_state = 30, .external_lex_state = 2},
  [8076] = {.lex_state = 37, .external_lex_state = 2},
  [8077] = {.lex_state = 37, .external_lex_state = 2},
  [8078] = {.lex_state = 37, .external_lex_state = 2},
  [8079] = {.lex_state = 37, .external_lex_state = 2},
  [8080] = {.lex_state = 37, .external_lex_state = 2},
  [8081] = {.lex_state = 37, .external_lex_state = 2},
  [8082] = {.lex_state = 37, .external_lex_state = 2},
  [8083] = {.lex_state = 37, .external_lex_state = 2},
  [8084] = {.lex_state = 37, .external_lex_state = 2},
  [8085] = {.lex_state = 37, .external_lex_state = 2},
  [8086] = {.lex_state = 37, .external_lex_state = 2},
  [8087] = {.lex_state = 37, .external_lex_state = 2},
  [8088] = {.lex_state = 37, .external_lex_state = 2},
  [8089] = {.lex_state = 37, .external_lex_state = 2},
  [8090] = {.lex_state = 37, .external_lex_state = 2},
  [8091] = {.lex_state = 37, .external_lex_state = 2},
  [8092] = {.lex_state = 37, .external_lex_state = 2},
  [8093] = {.lex_state = 37, .external_lex_state = 2},
  [8094] = {.lex_state = 37, .external_lex_state = 2},
  [8095] = {.lex_state = 37, .external_lex_state = 2},
  [8096] = {.lex_state = 37, .external_lex_state = 2},
  [8097] = {.lex_state = 37, .external_lex_state = 2},
  [8098] = {.lex_state = 37, .external_lex_state = 2},
  [8099] = {.lex_state = 37, .external_lex_state = 2},
  [8100] = {.lex_state = 37, .external_lex_state = 2},
  [8101] = {.lex_state = 37, .external_lex_state = 2},
  [8102] = {.lex_state = 37, .external_lex_state = 2},
  [8103] = {.lex_state = 37, .external_lex_state = 2},
  [8104] = {.lex_state = 37, .external_lex_state = 2},
  [8105] = {.lex_state = 37, .external_lex_state = 2},
  [8106] = {.lex_state = 37, .external_lex_state = 2},
  [8107] = {.lex_state = 37, .external_lex_state = 2},
  [8108] = {.lex_state = 37, .external_lex_state = 2},
  [8109] = {.lex_state = 37, .external_lex_state = 2},
  [8110] = {.lex_state = 37, .external_lex_state = 2},
  [8111] = {.lex_state = 37, .external_lex_state = 2},
  [8112] = {.lex_state = 37, .external_lex_state = 2},
  [8113] = {.lex_state = 37, .external_lex_state = 2},
  [8114] = {.lex_state = 37, .external_lex_state = 2},
  [8115] = {.lex_state = 37, .external_lex_state = 2},
  [8116] = {.lex_state = 37, .external_lex_state = 2},
  [8117] = {.lex_state = 37, .external_lex_state = 2},
  [8118] = {.lex_state = 37, .external_lex_state = 2},
  [8119] = {.lex_state = 37, .external_lex_state = 2},
  [8120] = {.lex_state = 37, .external_lex_state = 2},
  [8121] = {.lex_state = 37, .external_lex_state = 2},
  [8122] = {.lex_state = 37, .external_lex_state = 2},
  [8123] = {.lex_state = 37, .external_lex_state = 2},
  [8124] = {.lex_state = 37, .external_lex_state = 2},
  [8125] = {.lex_state = 37, .external_lex_state = 2},
  [8126] = {.lex_state = 37, .external_lex_state = 2},
  [8127] = {.lex_state = 37, .external_lex_state = 2},
  [8128] = {.lex_state = 37, .external_lex_state = 2},
  [8129] = {.lex_state = 37, .external_lex_state = 2},
  [8130] = {.lex_state = 37, .external_lex_state = 2},
  [8131] = {.lex_state = 37, .external_lex_state = 2},
  [8132] = {.lex_state = 37, .external_lex_state = 2},
  [8133] = {.lex_state = 37, .external_lex_state = 2},
  [8134] = {.lex_state = 37, .external_lex_state = 2},
  [8135] = {.lex_state = 37, .external_lex_state = 2},
  [8136] = {.lex_state = 37, .external_lex_state = 2},
  [8137] = {.lex_state = 37, .external_lex_state = 2},
  [8138] = {.lex_state = 37, .external_lex_state = 2},
  [8139] = {.lex_state = 37, .external_lex_state = 2},
  [8140] = {.lex_state = 37, .external_lex_state = 2},
  [8141] = {.lex_state = 37, .external_lex_state = 2},
  [8142] = {.lex_state = 37, .external_lex_state = 2},
  [8143] = {.lex_state = 37, .external_lex_state = 2},
  [8144] = {.lex_state = 37, .external_lex_state = 2},
  [8145] = {.lex_state = 37, .external_lex_state = 2},
  [8146] = {.lex_state = 37, .external_lex_state = 2},
  [8147] = {.lex_state = 37, .external_lex_state = 2},
  [8148] = {.lex_state = 37, .external_lex_state = 2},
  [8149] = {.lex_state = 37, .external_lex_state = 2},
  [8150] = {.lex_state = 37, .external_lex_state = 2},
  [8151] = {.lex_state = 37, .external_lex_state = 2},
  [8152] = {.lex_state = 37, .external_lex_state = 2},
  [8153] = {.lex_state = 37, .external_lex_state = 2},
  [8154] = {.lex_state = 37, .external_lex_state = 2},
  [8155] = {.lex_state = 37, .external_lex_state = 2},
  [8156] = {.lex_state = 37, .external_lex_state = 2},
  [8157] = {.lex_state = 37, .external_lex_state = 2},
  [8158] = {.lex_state = 37, .external_lex_state = 2},
  [8159] = {.lex_state = 37, .external_lex_state = 2},
  [8160] = {.lex_state = 37, .external_lex_state = 2},
  [8161] = {.lex_state = 37, .external_lex_state = 2},
  [8162] = {.lex_state = 37, .external_lex_state = 2},
  [8163] = {.lex_state = 37, .external_lex_state = 2},
  [8164] = {.lex_state = 37, .external_lex_state = 2},
  [8165] = {.lex_state = 37, .external_lex_state = 2},
  [8166] = {.lex_state = 37, .external_lex_state = 2},
  [8167] = {.lex_state = 37, .external_lex_state = 2},
  [8168] = {.lex_state = 37, .external_lex_state = 2},
  [8169] = {.lex_state = 37, .external_lex_state = 2},
  [8170] = {.lex_state = 37, .external_lex_state = 2},
  [8171] = {.lex_state = 37, .external_lex_state = 2},
  [8172] = {.lex_state = 37, .external_lex_state = 2},
  [8173] = {.lex_state = 37, .external_lex_state = 2},
  [8174] = {.lex_state = 33, .external_lex_state = 28},
  [8175] = {.lex_state = 37, .external_lex_state = 2},
  [8176] = {.lex_state = 37, .external_lex_state = 2},
  [8177] = {.lex_state = 33, .external_lex_state = 28},
  [8178] = {.lex_state = 32, .external_lex_state = 28},
  [8179] = {.lex_state = 32, .external_lex_state = 37},
  [8180] = {.lex_state = 32, .external_lex_state = 28},
  [8181] = {.lex_state = 32, .external_lex_state = 28},
  [8182] = {.lex_state = 32, .external_lex_state = 37},
  [8183] = {.lex_state = 32, .external_lex_state = 28},
  [8184] = {.lex_state = 32, .external_lex_state = 37},
  [8185] = {.lex_state = 32, .external_lex_state = 37},
  [8186] = {.lex_state = 32, .external_lex_state = 37},
  [8187] = {.lex_state = 32, .external_lex_state = 28},
  [8188] = {.lex_state = 32, .external_lex_state = 37},
  [8189] = {.lex_state = 32, .external_lex_state = 28},
  [8190] = {.lex_state = 32, .external_lex_state = 37},
  [8191] = {.lex_state = 32, .external_lex_state = 37},
  [8192] = {.lex_state = 32, .external_lex_state = 37},
  [8193] = {.lex_state = 32, .external_lex_state = 28},
  [8194] = {.lex_state = 32, .external_lex_state = 38},
  [8195] = {.lex_state = 32, .external_lex_state = 28},
  [8196] = {.lex_state = 32, .external_lex_state = 28},
  [8197] = {.lex_state = 32, .external_lex_state = 37},
  [8198] = {.lex_state = 32, .external_lex_state = 28},
  [8199] = {.lex_state = 32, .external_lex_state = 28},
  [8200] = {.lex_state = 32, .external_lex_state = 28},
  [8201] = {.lex_state = 32, .external_lex_state = 38},
  [8202] = {.lex_state = 39, .external_lex_state = 28},
  [8203] = {.lex_state = 32, .external_lex_state = 38},
  [8204] = {.lex_state = 32, .external_lex_state = 38},
  [8205] = {.lex_state = 32, .external_lex_state = 28},
  [8206] = {.lex_state = 32, .external_lex_state = 37},
  [8207] = {.lex_state = 32, .external_lex_state = 28},
  [8208] = {.lex_state = 32, .external_lex_state = 38},
  [8209] = {.lex_state = 32, .external_lex_state = 28},
  [8210] = {.lex_state = 32, .external_lex_state = 28},
  [8211] = {.lex_state = 32, .external_lex_state = 38},
  [8212] = {.lex_state = 32, .external_lex_state = 28},
  [8213] = {.lex_state = 32, .external_lex_state = 37},
  [8214] = {.lex_state = 32, .external_lex_state = 28},
  [8215] = {.lex_state = 32, .external_lex_state = 37},
  [8216] = {.lex_state = 32, .external_lex_state = 28},
  [8217] = {.lex_state = 32, .external_lex_state = 28},
  [8218] = {.lex_state = 32, .external_lex_state = 38},
  [8219] = {.lex_state = 32, .external_lex_state = 38},
  [8220] = {.lex_state = 32, .external_lex_state = 28},
  [8221] = {.lex_state = 32, .external_lex_state = 37},
  [8222] = {.lex_state = 32, .external_lex_state = 28},
  [8223] = {.lex_state = 32, .external_lex_state = 37},
  [8224] = {.lex_state = 32, .external_lex_state = 37},
  [8225] = {.lex_state = 32, .external_lex_state = 28},
  [8226] = {.lex_state = 32, .external_lex_state = 28},
  [8227] = {.lex_state = 32, .external_lex_state = 28},
  [8228] = {.lex_state = 32, .external_lex_state = 37},
  [8229] = {.lex_state = 32, .external_lex_state = 38},
  [8230] = {.lex_state = 32, .external_lex_state = 37},
  [8231] = {.lex_state = 32, .external_lex_state = 38},
  [8232] = {.lex_state = 39, .external_lex_state = 28},
  [8233] = {.lex_state = 32, .external_lex_state = 37},
  [8234] = {.lex_state = 32, .external_lex_state = 28},
  [8235] = {.lex_state = 32, .external_lex_state = 28},
  [8236] = {.lex_state = 32, .external_lex_state = 37},
  [8237] = {.lex_state = 32, .external_lex_state = 37},
  [8238] = {.lex_state = 32, .external_lex_state = 37},
  [8239] = {.lex_state = 32, .external_lex_state = 37},
  [8240] = {.lex_state = 32, .external_lex_state = 37},
  [8241] = {.lex_state = 32, .external_lex_state = 37},
  [8242] = {.lex_state = 32, .external_lex_state = 28},
  [8243] = {.lex_state = 32, .external_lex_state = 28},
  [8244] = {.lex_state = 32, .external_lex_state = 28},
  [8245] = {.lex_state = 32, .external_lex_state = 38},
  [8246] = {.lex_state = 39, .external_lex_state = 28},
  [8247] = {.lex_state = 32, .external_lex_state = 37},
  [8248] = {.lex_state = 32, .external_lex_state = 38},
  [8249] = {.lex_state = 39, .external_lex_state = 28},
  [8250] = {.lex_state = 32, .external_lex_state = 37},
  [8251] = {.lex_state = 32, .external_lex_state = 28},
  [8252] = {.lex_state = 32, .external_lex_state = 28},
  [8253] = {.lex_state = 32, .external_lex_state = 37},
  [8254] = {.lex_state = 32, .external_lex_state = 38},
  [8255] = {.lex_state = 32, .external_lex_state = 38},
  [8256] = {.lex_state = 32, .external_lex_state = 37},
  [8257] = {.lex_state = 32, .external_lex_state = 37},
  [8258] = {.lex_state = 32, .external_lex_state = 37},
  [8259] = {.lex_state = 32, .external_lex_state = 37},
  [8260] = {.lex_state = 39, .external_lex_state = 28},
  [8261] = {.lex_state = 32, .external_lex_state = 37},
  [8262] = {.lex_state = 32, .external_lex_state = 38},
  [8263] = {.lex_state = 32, .external_lex_state = 21},
  [8264] = {.lex_state = 32, .external_lex_state = 37},
  [8265] = {.lex_state = 32, .external_lex_state = 28},
  [8266] = {.lex_state = 32, .external_lex_state = 28},
  [8267] = {.lex_state = 39, .external_lex_state = 28},
  [8268] = {.lex_state = 32, .external_lex_state = 38},
  [8269] = {.lex_state = 32, .external_lex_state = 28},
  [8270] = {.lex_state = 32, .external_lex_state = 28},
  [8271] = {.lex_state = 32, .external_lex_state = 37},
  [8272] = {.lex_state = 32, .external_lex_state = 28},
  [8273] = {.lex_state = 32, .external_lex_state = 37},
  [8274] = {.lex_state = 32, .external_lex_state = 28},
  [8275] = {.lex_state = 32, .external_lex_state = 38},
  [8276] = {.lex_state = 32, .external_lex_state = 37},
  [8277] = {.lex_state = 32, .external_lex_state = 28},
  [8278] = {.lex_state = 32, .external_lex_state = 38},
  [8279] = {.lex_state = 32, .external_lex_state = 38},
  [8280] = {.lex_state = 32, .external_lex_state = 28},
  [8281] = {.lex_state = 32, .external_lex_state = 37},
  [8282] = {.lex_state = 39, .external_lex_state = 28},
  [8283] = {.lex_state = 32, .external_lex_state = 37},
  [8284] = {.lex_state = 39, .external_lex_state = 28},
  [8285] = {.lex_state = 39, .external_lex_state = 28},
  [8286] = {.lex_state = 39, .external_lex_state = 28},
  [8287] = {.lex_state = 32, .external_lex_state = 28},
  [8288] = {.lex_state = 32, .external_lex_state = 28},
  [8289] = {.lex_state = 39, .external_lex_state = 28},
  [8290] = {.lex_state = 39, .external_lex_state = 28},
  [8291] = {.lex_state = 39, .external_lex_state = 28},
  [8292] = {.lex_state = 12, .external_lex_state = 28},
  [8293] = {.lex_state = 12, .external_lex_state = 28},
  [8294] = {.lex_state = 32, .external_lex_state = 28},
  [8295] = {.lex_state = 39, .external_lex_state = 28},
  [8296] = {.lex_state = 39, .external_lex_state = 28},
  [8297] = {.lex_state = 39, .external_lex_state = 28},
  [8298] = {.lex_state = 32, .external_lex_state = 28},
  [8299] = {.lex_state = 32, .external_lex_state = 37},
  [8300] = {.lex_state = 32, .external_lex_state = 37},
  [8301] = {.lex_state = 12, .external_lex_state = 28},
  [8302] = {.lex_state = 32, .external_lex_state = 28},
  [8303] = {.lex_state = 32, .external_lex_state = 28},
  [8304] = {.lex_state = 12, .external_lex_state = 28},
  [8305] = {.lex_state = 32, .external_lex_state = 38},
  [8306] = {.lex_state = 32, .external_lex_state = 28},
  [8307] = {.lex_state = 32, .external_lex_state = 28},
  [8308] = {.lex_state = 32, .external_lex_state = 38},
  [8309] = {.lex_state = 32, .external_lex_state = 37},
  [8310] = {.lex_state = 39, .external_lex_state = 28},
  [8311] = {.lex_state = 39, .external_lex_state = 28},
  [8312] = {.lex_state = 32, .external_lex_state = 38},
  [8313] = {.lex_state = 32, .external_lex_state = 28},
  [8314] = {.lex_state = 12, .external_lex_state = 28},
  [8315] = {.lex_state = 39, .external_lex_state = 28},
  [8316] = {.lex_state = 32, .external_lex_state = 28},
  [8317] = {.lex_state = 32, .external_lex_state = 37},
  [8318] = {.lex_state = 32, .external_lex_state = 28},
  [8319] = {.lex_state = 32, .external_lex_state = 38},
  [8320] = {.lex_state = 40, .external_lex_state = 28},
  [8321] = {.lex_state = 39, .external_lex_state = 28},
  [8322] = {.lex_state = 39, .external_lex_state = 28},
  [8323] = {.lex_state = 40, .external_lex_state = 28},
  [8324] = {.lex_state = 39, .external_lex_state = 28},
  [8325] = {.lex_state = 32, .external_lex_state = 38},
  [8326] = {.lex_state = 32, .external_lex_state = 28},
  [8327] = {.lex_state = 32, .external_lex_state = 38},
  [8328] = {.lex_state = 32, .external_lex_state = 38},
  [8329] = {.lex_state = 32, .external_lex_state = 28},
  [8330] = {.lex_state = 39, .external_lex_state = 28},
  [8331] = {.lex_state = 32, .external_lex_state = 28},
  [8332] = {.lex_state = 32, .external_lex_state = 38},
  [8333] = {.lex_state = 32, .external_lex_state = 38},
  [8334] = {.lex_state = 12, .external_lex_state = 28},
  [8335] = {.lex_state = 32, .external_lex_state = 28},
  [8336] = {.lex_state = 12, .external_lex_state = 28},
  [8337] = {.lex_state = 39, .external_lex_state = 28},
  [8338] = {.lex_state = 32, .external_lex_state = 38},
  [8339] = {.lex_state = 12, .external_lex_state = 28},
  [8340] = {.lex_state = 32, .external_lex_state = 38},
  [8341] = {.lex_state = 32, .external_lex_state = 38},
  [8342] = {.lex_state = 32, .external_lex_state = 28},
  [8343] = {.lex_state = 39, .external_lex_state = 28},
  [8344] = {.lex_state = 12, .external_lex_state = 28},
  [8345] = {.lex_state = 12, .external_lex_state = 28},
  [8346] = {.lex_state = 32, .external_lex_state = 28},
  [8347] = {.lex_state = 32, .external_lex_state = 38},
  [8348] = {.lex_state = 39, .external_lex_state = 28},
  [8349] = {.lex_state = 32, .external_lex_state = 38},
  [8350] = {.lex_state = 12, .external_lex_state = 28},
  [8351] = {.lex_state = 32, .external_lex_state = 28},
  [8352] = {.lex_state = 32, .external_lex_state = 38},
  [8353] = {.lex_state = 32, .external_lex_state = 28},
  [8354] = {.lex_state = 39, .external_lex_state = 28},
  [8355] = {.lex_state = 39, .external_lex_state = 28},
  [8356] = {.lex_state = 32, .external_lex_state = 28},
  [8357] = {.lex_state = 32, .external_lex_state = 28},
  [8358] = {.lex_state = 39, .external_lex_state = 28},
  [8359] = {.lex_state = 32, .external_lex_state = 28},
  [8360] = {.lex_state = 32, .external_lex_state = 28},
  [8361] = {.lex_state = 39, .external_lex_state = 28},
  [8362] = {.lex_state = 39, .external_lex_state = 28},
  [8363] = {.lex_state = 32, .external_lex_state = 38},
  [8364] = {.lex_state = 32, .external_lex_state = 28},
  [8365] = {.lex_state = 32, .external_lex_state = 28},
  [8366] = {.lex_state = 32, .external_lex_state = 28},
  [8367] = {.lex_state = 32, .external_lex_state = 28},
  [8368] = {.lex_state = 32, .external_lex_state = 38},
  [8369] = {.lex_state = 32, .external_lex_state = 38},
  [8370] = {.lex_state = 12, .external_lex_state = 28},
  [8371] = {.lex_state = 32, .external_lex_state = 21},
  [8372] = {.lex_state = 39, .external_lex_state = 28},
  [8373] = {.lex_state = 39, .external_lex_state = 28},
  [8374] = {.lex_state = 32, .external_lex_state = 38},
  [8375] = {.lex_state = 39, .external_lex_state = 28},
  [8376] = {.lex_state = 32, .external_lex_state = 38},
  [8377] = {.lex_state = 39, .external_lex_state = 28},
  [8378] = {.lex_state = 39, .external_lex_state = 28},
  [8379] = {.lex_state = 39, .external_lex_state = 28},
  [8380] = {.lex_state = 12, .external_lex_state = 28},
  [8381] = {.lex_state = 39, .external_lex_state = 28},
  [8382] = {.lex_state = 32, .external_lex_state = 37},
  [8383] = {.lex_state = 39, .external_lex_state = 28},
  [8384] = {.lex_state = 12, .external_lex_state = 28},
  [8385] = {.lex_state = 32, .external_lex_state = 28},
  [8386] = {.lex_state = 32, .external_lex_state = 37},
  [8387] = {.lex_state = 27, .external_lex_state = 39},
  [8388] = {.lex_state = 27, .external_lex_state = 39},
  [8389] = {.lex_state = 32, .external_lex_state = 28},
  [8390] = {.lex_state = 27, .external_lex_state = 39},
  [8391] = {.lex_state = 40, .external_lex_state = 28},
  [8392] = {.lex_state = 32, .external_lex_state = 28},
  [8393] = {.lex_state = 27, .external_lex_state = 39},
  [8394] = {.lex_state = 39, .external_lex_state = 28},
  [8395] = {.lex_state = 40, .external_lex_state = 28},
  [8396] = {.lex_state = 40, .external_lex_state = 28},
  [8397] = {.lex_state = 40, .external_lex_state = 28},
  [8398] = {.lex_state = 40, .external_lex_state = 28},
  [8399] = {.lex_state = 32, .external_lex_state = 28},
  [8400] = {.lex_state = 333, .external_lex_state = 28},
  [8401] = {.lex_state = 32, .external_lex_state = 28},
  [8402] = {.lex_state = 27, .external_lex_state = 39},
  [8403] = {.lex_state = 39, .external_lex_state = 28},
  [8404] = {.lex_state = 27, .external_lex_state = 39},
  [8405] = {.lex_state = 32, .external_lex_state = 38},
  [8406] = {.lex_state = 32, .external_lex_state = 28},
  [8407] = {.lex_state = 32, .external_lex_state = 37},
  [8408] = {.lex_state = 27, .external_lex_state = 39},
  [8409] = {.lex_state = 39, .external_lex_state = 28},
  [8410] = {.lex_state = 27, .external_lex_state = 39},
  [8411] = {.lex_state = 27, .external_lex_state = 39},
  [8412] = {.lex_state = 39, .external_lex_state = 28},
  [8413] = {.lex_state = 32, .external_lex_state = 28},
  [8414] = {.lex_state = 32, .external_lex_state = 28},
  [8415] = {.lex_state = 27, .external_lex_state = 39},
  [8416] = {.lex_state = 27, .external_lex_state = 39},
  [8417] = {.lex_state = 32, .external_lex_state = 37},
  [8418] = {.lex_state = 27, .external_lex_state = 39},
  [8419] = {.lex_state = 32, .external_lex_state = 38},
  [8420] = {.lex_state = 39, .external_lex_state = 28},
  [8421] = {.lex_state = 32, .external_lex_state = 28},
  [8422] = {.lex_state = 39, .external_lex_state = 28},
  [8423] = {.lex_state = 32, .external_lex_state = 37},
  [8424] = {.lex_state = 32, .external_lex_state = 28},
  [8425] = {.lex_state = 27, .external_lex_state = 39},
  [8426] = {.lex_state = 27, .external_lex_state = 39},
  [8427] = {.lex_state = 39, .external_lex_state = 28},
  [8428] = {.lex_state = 39, .external_lex_state = 28},
  [8429] = {.lex_state = 32, .external_lex_state = 37},
  [8430] = {.lex_state = 27, .external_lex_state = 39},
  [8431] = {.lex_state = 32, .external_lex_state = 28},
  [8432] = {.lex_state = 27, .external_lex_state = 39},
  [8433] = {.lex_state = 27, .external_lex_state = 39},
  [8434] = {.lex_state = 27, .external_lex_state = 39},
  [8435] = {.lex_state = 39, .external_lex_state = 28},
  [8436] = {.lex_state = 27, .external_lex_state = 39},
  [8437] = {.lex_state = 27, .external_lex_state = 39},
  [8438] = {.lex_state = 32, .external_lex_state = 28},
  [8439] = {.lex_state = 27, .external_lex_state = 39},
  [8440] = {.lex_state = 32, .external_lex_state = 38},
  [8441] = {.lex_state = 27, .external_lex_state = 39},
  [8442] = {.lex_state = 39, .external_lex_state = 28},
  [8443] = {.lex_state = 27, .external_lex_state = 39},
  [8444] = {.lex_state = 32, .external_lex_state = 28},
  [8445] = {.lex_state = 32, .external_lex_state = 28},
  [8446] = {.lex_state = 40, .external_lex_state = 28},
  [8447] = {.lex_state = 40, .external_lex_state = 28},
  [8448] = {.lex_state = 333, .external_lex_state = 28},
  [8449] = {.lex_state = 32, .external_lex_state = 37},
  [8450] = {.lex_state = 40, .external_lex_state = 28},
  [8451] = {.lex_state = 27, .external_lex_state = 39},
  [8452] = {.lex_state = 32, .external_lex_state = 38},
  [8453] = {.lex_state = 27, .external_lex_state = 39},
  [8454] = {.lex_state = 32, .external_lex_state = 28},
  [8455] = {.lex_state = 27, .external_lex_state = 39},
  [8456] = {.lex_state = 27, .external_lex_state = 39},
  [8457] = {.lex_state = 27, .external_lex_state = 39},
  [8458] = {.lex_state = 39, .external_lex_state = 28},
  [8459] = {.lex_state = 32, .external_lex_state = 38},
  [8460] = {.lex_state = 40, .external_lex_state = 28},
  [8461] = {.lex_state = 27, .external_lex_state = 39},
  [8462] = {.lex_state = 39, .external_lex_state = 28},
  [8463] = {.lex_state = 39, .external_lex_state = 28},
  [8464] = {.lex_state = 32, .external_lex_state = 28},
  [8465] = {.lex_state = 32, .external_lex_state = 38},
  [8466] = {.lex_state = 12, .external_lex_state = 40},
  [8467] = {.lex_state = 33, .external_lex_state = 28},
  [8468] = {.lex_state = 32, .external_lex_state = 37},
  [8469] = {.lex_state = 32, .external_lex_state = 28},
  [8470] = {.lex_state = 12, .external_lex_state = 40},
  [8471] = {.lex_state = 12, .external_lex_state = 40},
  [8472] = {.lex_state = 12, .external_lex_state = 40},
  [8473] = {.lex_state = 32, .external_lex_state = 28},
  [8474] = {.lex_state = 32, .external_lex_state = 38},
  [8475] = {.lex_state = 40, .external_lex_state = 28},
  [8476] = {.lex_state = 12, .external_lex_state = 40},
  [8477] = {.lex_state = 12, .external_lex_state = 40},
  [8478] = {.lex_state = 12, .external_lex_state = 40},
  [8479] = {.lex_state = 32, .external_lex_state = 28},
  [8480] = {.lex_state = 32, .external_lex_state = 38},
  [8481] = {.lex_state = 32, .external_lex_state = 28},
  [8482] = {.lex_state = 12, .external_lex_state = 40},
  [8483] = {.lex_state = 32, .external_lex_state = 28},
  [8484] = {.lex_state = 32, .external_lex_state = 37},
  [8485] = {.lex_state = 12, .external_lex_state = 40},
  [8486] = {.lex_state = 12, .external_lex_state = 40},
  [8487] = {.lex_state = 32, .external_lex_state = 37},
  [8488] = {.lex_state = 12, .external_lex_state = 40},
  [8489] = {.lex_state = 32, .external_lex_state = 28},
  [8490] = {.lex_state = 12, .external_lex_state = 40},
  [8491] = {.lex_state = 12, .external_lex_state = 40},
  [8492] = {.lex_state = 40, .external_lex_state = 28},
  [8493] = {.lex_state = 33, .external_lex_state = 28},
  [8494] = {.lex_state = 33, .external_lex_state = 28},
  [8495] = {.lex_state = 40, .external_lex_state = 28},
  [8496] = {.lex_state = 40, .external_lex_state = 28},
  [8497] = {.lex_state = 12, .external_lex_state = 40},
  [8498] = {.lex_state = 12, .external_lex_state = 40},
  [8499] = {.lex_state = 0, .external_lex_state = 28},
  [8500] = {.lex_state = 32, .external_lex_state = 28},
  [8501] = {.lex_state = 12, .external_lex_state = 40},
  [8502] = {.lex_state = 12, .external_lex_state = 40},
  [8503] = {.lex_state = 32, .external_lex_state = 28},
  [8504] = {.lex_state = 12, .external_lex_state = 40},
  [8505] = {.lex_state = 12, .external_lex_state = 40},
  [8506] = {.lex_state = 32, .external_lex_state = 38},
  [8507] = {.lex_state = 32, .external_lex_state = 37},
  [8508] = {.lex_state = 0, .external_lex_state = 28},
  [8509] = {.lex_state = 12, .external_lex_state = 40},
  [8510] = {.lex_state = 32, .external_lex_state = 37},
  [8511] = {.lex_state = 12, .external_lex_state = 40},
  [8512] = {.lex_state = 12, .external_lex_state = 40},
  [8513] = {.lex_state = 32, .external_lex_state = 37},
  [8514] = {.lex_state = 32, .external_lex_state = 37},
  [8515] = {.lex_state = 12, .external_lex_state = 40},
  [8516] = {.lex_state = 32, .external_lex_state = 38},
  [8517] = {.lex_state = 333, .external_lex_state = 37},
  [8518] = {.lex_state = 32, .external_lex_state = 38},
  [8519] = {.lex_state = 32, .external_lex_state = 37},
  [8520] = {.lex_state = 40, .external_lex_state = 28},
  [8521] = {.lex_state = 12, .external_lex_state = 40},
  [8522] = {.lex_state = 40, .external_lex_state = 28},
  [8523] = {.lex_state = 33, .external_lex_state = 28},
  [8524] = {.lex_state = 12, .external_lex_state = 40},
  [8525] = {.lex_state = 32, .external_lex_state = 28},
  [8526] = {.lex_state = 12, .external_lex_state = 40},
  [8527] = {.lex_state = 12, .external_lex_state = 40},
  [8528] = {.lex_state = 12, .external_lex_state = 40},
  [8529] = {.lex_state = 32, .external_lex_state = 37},
  [8530] = {.lex_state = 40, .external_lex_state = 28},
  [8531] = {.lex_state = 12, .external_lex_state = 40},
  [8532] = {.lex_state = 40, .external_lex_state = 28},
  [8533] = {.lex_state = 333, .external_lex_state = 38},
  [8534] = {.lex_state = 32, .external_lex_state = 38},
  [8535] = {.lex_state = 32, .external_lex_state = 28},
  [8536] = {.lex_state = 32, .external_lex_state = 37},
  [8537] = {.lex_state = 40, .external_lex_state = 28},
  [8538] = {.lex_state = 12, .external_lex_state = 28},
  [8539] = {.lex_state = 40, .external_lex_state = 28},
  [8540] = {.lex_state = 40, .external_lex_state = 28},
  [8541] = {.lex_state = 333, .external_lex_state = 28},
  [8542] = {.lex_state = 0, .external_lex_state = 37},
  [8543] = {.lex_state = 333, .external_lex_state = 28},
  [8544] = {.lex_state = 333, .external_lex_state = 28},
  [8545] = {.lex_state = 0, .external_lex_state = 37},
  [8546] = {.lex_state = 40, .external_lex_state = 28},
  [8547] = {.lex_state = 40, .external_lex_state = 28},
  [8548] = {.lex_state = 333, .external_lex_state = 28},
  [8549] = {.lex_state = 32, .external_lex_state = 37},
  [8550] = {.lex_state = 32, .external_lex_state = 37},
  [8551] = {.lex_state = 40, .external_lex_state = 28},
  [8552] = {.lex_state = 333, .external_lex_state = 28},
  [8553] = {.lex_state = 12, .external_lex_state = 28},
  [8554] = {.lex_state = 333, .external_lex_state = 28},
  [8555] = {.lex_state = 32, .external_lex_state = 37},
  [8556] = {.lex_state = 32, .external_lex_state = 37},
  [8557] = {.lex_state = 12, .external_lex_state = 28},
  [8558] = {.lex_state = 40, .external_lex_state = 28},
  [8559] = {.lex_state = 333, .external_lex_state = 28},
  [8560] = {.lex_state = 0, .external_lex_state = 37},
  [8561] = {.lex_state = 27, .external_lex_state = 39},
  [8562] = {.lex_state = 333, .external_lex_state = 28},
  [8563] = {.lex_state = 333, .external_lex_state = 28},
  [8564] = {.lex_state = 333, .external_lex_state = 28},
  [8565] = {.lex_state = 333, .external_lex_state = 28},
  [8566] = {.lex_state = 0, .external_lex_state = 37},
  [8567] = {.lex_state = 32, .external_lex_state = 28},
  [8568] = {.lex_state = 333, .external_lex_state = 28},
  [8569] = {.lex_state = 333, .external_lex_state = 28},
  [8570] = {.lex_state = 12, .external_lex_state = 28},
  [8571] = {.lex_state = 333, .external_lex_state = 28},
  [8572] = {.lex_state = 32, .external_lex_state = 28},
  [8573] = {.lex_state = 32, .external_lex_state = 38},
  [8574] = {.lex_state = 32, .external_lex_state = 28},
  [8575] = {.lex_state = 333, .external_lex_state = 28},
  [8576] = {.lex_state = 333, .external_lex_state = 28},
  [8577] = {.lex_state = 333, .external_lex_state = 28},
  [8578] = {.lex_state = 333, .external_lex_state = 28},
  [8579] = {.lex_state = 333, .external_lex_state = 28},
  [8580] = {.lex_state = 0, .external_lex_state = 37},
  [8581] = {.lex_state = 333, .external_lex_state = 28},
  [8582] = {.lex_state = 333, .external_lex_state = 28},
  [8583] = {.lex_state = 32, .external_lex_state = 38},
  [8584] = {.lex_state = 333, .external_lex_state = 28},
  [8585] = {.lex_state = 333, .external_lex_state = 28},
  [8586] = {.lex_state = 333, .external_lex_state = 28},
  [8587] = {.lex_state = 333, .external_lex_state = 28},
  [8588] = {.lex_state = 333, .external_lex_state = 28},
  [8589] = {.lex_state = 333, .external_lex_state = 28},
  [8590] = {.lex_state = 333, .external_lex_state = 28},
  [8591] = {.lex_state = 32, .external_lex_state = 28},
  [8592] = {.lex_state = 12, .external_lex_state = 28},
  [8593] = {.lex_state = 27, .external_lex_state = 39},
  [8594] = {.lex_state = 0, .external_lex_state = 37},
  [8595] = {.lex_state = 333, .external_lex_state = 28},
  [8596] = {.lex_state = 32, .external_lex_state = 28},
  [8597] = {.lex_state = 32, .external_lex_state = 28},
  [8598] = {.lex_state = 333, .external_lex_state = 28},
  [8599] = {.lex_state = 333, .external_lex_state = 28},
  [8600] = {.lex_state = 32, .external_lex_state = 28},
  [8601] = {.lex_state = 333, .external_lex_state = 28},
  [8602] = {.lex_state = 32, .external_lex_state = 28},
  [8603] = {.lex_state = 32, .external_lex_state = 28},
  [8604] = {.lex_state = 27, .external_lex_state = 39},
  [8605] = {.lex_state = 0, .external_lex_state = 37},
  [8606] = {.lex_state = 12, .external_lex_state = 28},
  [8607] = {.lex_state = 32, .external_lex_state = 28},
  [8608] = {.lex_state = 333, .external_lex_state = 28},
  [8609] = {.lex_state = 12, .external_lex_state = 28},
  [8610] = {.lex_state = 333, .external_lex_state = 28},
  [8611] = {.lex_state = 0, .external_lex_state = 37},
  [8612] = {.lex_state = 32, .external_lex_state = 28},
  [8613] = {.lex_state = 0, .external_lex_state = 37},
  [8614] = {.lex_state = 12, .external_lex_state = 28},
  [8615] = {.lex_state = 333, .external_lex_state = 28},
  [8616] = {.lex_state = 40, .external_lex_state = 28},
  [8617] = {.lex_state = 32, .external_lex_state = 38},
  [8618] = {.lex_state = 0, .external_lex_state = 37},
  [8619] = {.lex_state = 333, .external_lex_state = 28},
  [8620] = {.lex_state = 333, .external_lex_state = 28},
  [8621] = {.lex_state = 12, .external_lex_state = 28},
  [8622] = {.lex_state = 40, .external_lex_state = 28},
  [8623] = {.lex_state = 40, .external_lex_state = 28},
  [8624] = {.lex_state = 12, .external_lex_state = 28},
  [8625] = {.lex_state = 32, .external_lex_state = 38},
  [8626] = {.lex_state = 32, .external_lex_state = 28},
  [8627] = {.lex_state = 12, .external_lex_state = 28},
  [8628] = {.lex_state = 32, .external_lex_state = 38},
  [8629] = {.lex_state = 333, .external_lex_state = 28},
  [8630] = {.lex_state = 32, .external_lex_state = 28},
  [8631] = {.lex_state = 333, .external_lex_state = 28},
  [8632] = {.lex_state = 333, .external_lex_state = 28},
  [8633] = {.lex_state = 333, .external_lex_state = 28},
  [8634] = {.lex_state = 333, .external_lex_state = 28},
  [8635] = {.lex_state = 333, .external_lex_state = 28},
  [8636] = {.lex_state = 333, .external_lex_state = 28},
  [8637] = {.lex_state = 333, .external_lex_state = 28},
  [8638] = {.lex_state = 333, .external_lex_state = 28},
  [8639] = {.lex_state = 333, .external_lex_state = 28},
  [8640] = {.lex_state = 333, .external_lex_state = 28},
  [8641] = {.lex_state = 40, .external_lex_state = 28},
  [8642] = {.lex_state = 32, .external_lex_state = 37},
  [8643] = {.lex_state = 333, .external_lex_state = 28},
  [8644] = {.lex_state = 40, .external_lex_state = 28},
  [8645] = {.lex_state = 32, .external_lex_state = 38},
  [8646] = {.lex_state = 32, .external_lex_state = 38},
  [8647] = {.lex_state = 32, .external_lex_state = 38},
  [8648] = {.lex_state = 333, .external_lex_state = 28},
  [8649] = {.lex_state = 32, .external_lex_state = 28},
  [8650] = {.lex_state = 0, .external_lex_state = 37},
  [8651] = {.lex_state = 333, .external_lex_state = 28},
  [8652] = {.lex_state = 32, .external_lex_state = 37},
  [8653] = {.lex_state = 12, .external_lex_state = 28},
  [8654] = {.lex_state = 32, .external_lex_state = 28},
  [8655] = {.lex_state = 333, .external_lex_state = 28},
  [8656] = {.lex_state = 333, .external_lex_state = 28},
  [8657] = {.lex_state = 32, .external_lex_state = 37},
  [8658] = {.lex_state = 0, .external_lex_state = 37},
  [8659] = {.lex_state = 12, .external_lex_state = 28},
  [8660] = {.lex_state = 333, .external_lex_state = 28},
  [8661] = {.lex_state = 333, .external_lex_state = 28},
  [8662] = {.lex_state = 333, .external_lex_state = 28},
  [8663] = {.lex_state = 40, .external_lex_state = 28},
  [8664] = {.lex_state = 32, .external_lex_state = 28},
  [8665] = {.lex_state = 333, .external_lex_state = 28},
  [8666] = {.lex_state = 333, .external_lex_state = 28},
  [8667] = {.lex_state = 32, .external_lex_state = 37},
  [8668] = {.lex_state = 0, .external_lex_state = 37},
  [8669] = {.lex_state = 12, .external_lex_state = 28},
  [8670] = {.lex_state = 32, .external_lex_state = 37},
  [8671] = {.lex_state = 333, .external_lex_state = 28},
  [8672] = {.lex_state = 32, .external_lex_state = 28},
  [8673] = {.lex_state = 333, .external_lex_state = 28},
  [8674] = {.lex_state = 333, .external_lex_state = 28},
  [8675] = {.lex_state = 333, .external_lex_state = 28},
  [8676] = {.lex_state = 333, .external_lex_state = 28},
  [8677] = {.lex_state = 333, .external_lex_state = 28},
  [8678] = {.lex_state = 333, .external_lex_state = 28},
  [8679] = {.lex_state = 333, .external_lex_state = 28},
  [8680] = {.lex_state = 333, .external_lex_state = 28},
  [8681] = {.lex_state = 333, .external_lex_state = 28},
  [8682] = {.lex_state = 333, .external_lex_state = 28},
  [8683] = {.lex_state = 333, .external_lex_state = 28},
  [8684] = {.lex_state = 27, .external_lex_state = 39},
  [8685] = {.lex_state = 333, .external_lex_state = 28},
  [8686] = {.lex_state = 333, .external_lex_state = 28},
  [8687] = {.lex_state = 32, .external_lex_state = 28},
  [8688] = {.lex_state = 32, .external_lex_state = 28},
  [8689] = {.lex_state = 0, .external_lex_state = 28},
  [8690] = {.lex_state = 32, .external_lex_state = 38},
  [8691] = {.lex_state = 0, .external_lex_state = 28},
  [8692] = {.lex_state = 32, .external_lex_state = 37},
  [8693] = {.lex_state = 333, .external_lex_state = 28},
  [8694] = {.lex_state = 32, .external_lex_state = 28},
  [8695] = {.lex_state = 32, .external_lex_state = 28},
  [8696] = {.lex_state = 0, .external_lex_state = 28},
  [8697] = {.lex_state = 0, .external_lex_state = 28},
  [8698] = {.lex_state = 333, .external_lex_state = 28},
  [8699] = {.lex_state = 32, .external_lex_state = 28},
  [8700] = {.lex_state = 39, .external_lex_state = 28},
  [8701] = {.lex_state = 0, .external_lex_state = 37},
  [8702] = {.lex_state = 333, .external_lex_state = 28},
  [8703] = {.lex_state = 333, .external_lex_state = 28},
  [8704] = {.lex_state = 333, .external_lex_state = 28},
  [8705] = {.lex_state = 0, .external_lex_state = 28},
  [8706] = {.lex_state = 0, .external_lex_state = 28},
  [8707] = {.lex_state = 333, .external_lex_state = 28},
  [8708] = {.lex_state = 32, .external_lex_state = 28},
  [8709] = {.lex_state = 32, .external_lex_state = 28},
  [8710] = {.lex_state = 0, .external_lex_state = 37},
  [8711] = {.lex_state = 0, .external_lex_state = 28},
  [8712] = {.lex_state = 0, .external_lex_state = 38},
  [8713] = {.lex_state = 0, .external_lex_state = 37},
  [8714] = {.lex_state = 32, .external_lex_state = 38},
  [8715] = {.lex_state = 32, .external_lex_state = 28},
  [8716] = {.lex_state = 333, .external_lex_state = 28},
  [8717] = {.lex_state = 333, .external_lex_state = 28},
  [8718] = {.lex_state = 333, .external_lex_state = 28},
  [8719] = {.lex_state = 32, .external_lex_state = 38},
  [8720] = {.lex_state = 0, .external_lex_state = 38},
  [8721] = {.lex_state = 0, .external_lex_state = 28},
  [8722] = {.lex_state = 32, .external_lex_state = 38},
  [8723] = {.lex_state = 333, .external_lex_state = 28},
  [8724] = {.lex_state = 32, .external_lex_state = 28},
  [8725] = {.lex_state = 32, .external_lex_state = 28},
  [8726] = {.lex_state = 12, .external_lex_state = 40},
  [8727] = {.lex_state = 32, .external_lex_state = 28},
  [8728] = {.lex_state = 0, .external_lex_state = 28},
  [8729] = {.lex_state = 333, .external_lex_state = 28},
  [8730] = {.lex_state = 39, .external_lex_state = 28},
  [8731] = {.lex_state = 333, .external_lex_state = 28},
  [8732] = {.lex_state = 32, .external_lex_state = 28},
  [8733] = {.lex_state = 0, .external_lex_state = 37},
  [8734] = {.lex_state = 0, .external_lex_state = 28},
  [8735] = {.lex_state = 0, .external_lex_state = 28},
  [8736] = {.lex_state = 333, .external_lex_state = 28},
  [8737] = {.lex_state = 333, .external_lex_state = 28},
  [8738] = {.lex_state = 333, .external_lex_state = 28},
  [8739] = {.lex_state = 32, .external_lex_state = 37},
  [8740] = {.lex_state = 32, .external_lex_state = 37},
  [8741] = {.lex_state = 0, .external_lex_state = 28},
  [8742] = {.lex_state = 39, .external_lex_state = 28},
  [8743] = {.lex_state = 32, .external_lex_state = 28},
  [8744] = {.lex_state = 0, .external_lex_state = 28},
  [8745] = {.lex_state = 39, .external_lex_state = 28},
  [8746] = {.lex_state = 333, .external_lex_state = 28},
  [8747] = {.lex_state = 0, .external_lex_state = 28},
  [8748] = {.lex_state = 0, .external_lex_state = 28},
  [8749] = {.lex_state = 32, .external_lex_state = 28},
  [8750] = {.lex_state = 0, .external_lex_state = 38},
  [8751] = {.lex_state = 32, .external_lex_state = 38},
  [8752] = {.lex_state = 333, .external_lex_state = 28},
  [8753] = {.lex_state = 0, .external_lex_state = 28},
  [8754] = {.lex_state = 32, .external_lex_state = 28},
  [8755] = {.lex_state = 39, .external_lex_state = 28},
  [8756] = {.lex_state = 32, .external_lex_state = 28},
  [8757] = {.lex_state = 333, .external_lex_state = 28},
  [8758] = {.lex_state = 0, .external_lex_state = 28},
  [8759] = {.lex_state = 0, .external_lex_state = 38},
  [8760] = {.lex_state = 32, .external_lex_state = 28},
  [8761] = {.lex_state = 0, .external_lex_state = 37},
  [8762] = {.lex_state = 39, .external_lex_state = 28},
  [8763] = {.lex_state = 32, .external_lex_state = 38},
  [8764] = {.lex_state = 32, .external_lex_state = 28},
  [8765] = {.lex_state = 0, .external_lex_state = 28},
  [8766] = {.lex_state = 333, .external_lex_state = 28},
  [8767] = {.lex_state = 12, .external_lex_state = 28},
  [8768] = {.lex_state = 32, .external_lex_state = 28},
  [8769] = {.lex_state = 0, .external_lex_state = 28},
  [8770] = {.lex_state = 32, .external_lex_state = 28},
  [8771] = {.lex_state = 0, .external_lex_state = 28},
  [8772] = {.lex_state = 0, .external_lex_state = 37},
  [8773] = {.lex_state = 32, .external_lex_state = 38},
  [8774] = {.lex_state = 33, .external_lex_state = 28},
  [8775] = {.lex_state = 32, .external_lex_state = 37},
  [8776] = {.lex_state = 0, .external_lex_state = 28},
  [8777] = {.lex_state = 0, .external_lex_state = 28},
  [8778] = {.lex_state = 32, .external_lex_state = 38},
  [8779] = {.lex_state = 39, .external_lex_state = 28},
  [8780] = {.lex_state = 333, .external_lex_state = 28},
  [8781] = {.lex_state = 0, .external_lex_state = 28},
  [8782] = {.lex_state = 0, .external_lex_state = 37},
  [8783] = {.lex_state = 333, .external_lex_state = 37},
  [8784] = {.lex_state = 32, .external_lex_state = 37},
  [8785] = {.lex_state = 32, .external_lex_state = 38},
  [8786] = {.lex_state = 32, .external_lex_state = 28},
  [8787] = {.lex_state = 0, .external_lex_state = 28},
  [8788] = {.lex_state = 0, .external_lex_state = 28},
  [8789] = {.lex_state = 0, .external_lex_state = 28},
  [8790] = {.lex_state = 0, .external_lex_state = 28},
  [8791] = {.lex_state = 32, .external_lex_state = 37},
  [8792] = {.lex_state = 0, .external_lex_state = 37},
  [8793] = {.lex_state = 0, .external_lex_state = 28},
  [8794] = {.lex_state = 12, .external_lex_state = 40},
  [8795] = {.lex_state = 0, .external_lex_state = 28},
  [8796] = {.lex_state = 32, .external_lex_state = 28},
  [8797] = {.lex_state = 0, .external_lex_state = 28},
  [8798] = {.lex_state = 333, .external_lex_state = 28},
  [8799] = {.lex_state = 0, .external_lex_state = 28},
  [8800] = {.lex_state = 0, .external_lex_state = 28},
  [8801] = {.lex_state = 32, .external_lex_state = 28},
  [8802] = {.lex_state = 0, .external_lex_state = 28},
  [8803] = {.lex_state = 0, .external_lex_state = 37},
  [8804] = {.lex_state = 0, .external_lex_state = 28},
  [8805] = {.lex_state = 32, .external_lex_state = 28},
  [8806] = {.lex_state = 0, .external_lex_state = 28},
  [8807] = {.lex_state = 0, .external_lex_state = 28},
  [8808] = {.lex_state = 0, .external_lex_state = 28},
  [8809] = {.lex_state = 333, .external_lex_state = 28},
  [8810] = {.lex_state = 0, .external_lex_state = 28},
  [8811] = {.lex_state = 333, .external_lex_state = 28},
  [8812] = {.lex_state = 0, .external_lex_state = 28},
  [8813] = {.lex_state = 0, .external_lex_state = 28},
  [8814] = {.lex_state = 32, .external_lex_state = 37},
  [8815] = {.lex_state = 0, .external_lex_state = 37},
  [8816] = {.lex_state = 32, .external_lex_state = 37},
  [8817] = {.lex_state = 0, .external_lex_state = 38},
  [8818] = {.lex_state = 333, .external_lex_state = 28},
  [8819] = {.lex_state = 32, .external_lex_state = 37},
  [8820] = {.lex_state = 333, .external_lex_state = 28},
  [8821] = {.lex_state = 32, .external_lex_state = 38},
  [8822] = {.lex_state = 333, .external_lex_state = 28},
  [8823] = {.lex_state = 0, .external_lex_state = 38},
  [8824] = {.lex_state = 0, .external_lex_state = 28},
  [8825] = {.lex_state = 0, .external_lex_state = 28},
  [8826] = {.lex_state = 333, .external_lex_state = 28},
  [8827] = {.lex_state = 32, .external_lex_state = 28},
  [8828] = {.lex_state = 333, .external_lex_state = 28},
  [8829] = {.lex_state = 32, .external_lex_state = 37},
  [8830] = {.lex_state = 0, .external_lex_state = 37},
  [8831] = {.lex_state = 333, .external_lex_state = 28},
  [8832] = {.lex_state = 32, .external_lex_state = 28},
  [8833] = {.lex_state = 32, .external_lex_state = 28},
  [8834] = {.lex_state = 0, .external_lex_state = 28},
  [8835] = {.lex_state = 333, .external_lex_state = 28},
  [8836] = {.lex_state = 0, .external_lex_state = 38},
  [8837] = {.lex_state = 0, .external_lex_state = 37},
  [8838] = {.lex_state = 0, .external_lex_state = 28},
  [8839] = {.lex_state = 32, .external_lex_state = 28},
  [8840] = {.lex_state = 32, .external_lex_state = 37},
  [8841] = {.lex_state = 0, .external_lex_state = 28},
  [8842] = {.lex_state = 0, .external_lex_state = 37},
  [8843] = {.lex_state = 333, .external_lex_state = 28},
  [8844] = {.lex_state = 0, .external_lex_state = 28},
  [8845] = {.lex_state = 0, .external_lex_state = 37},
  [8846] = {.lex_state = 32, .external_lex_state = 28},
  [8847] = {.lex_state = 32, .external_lex_state = 28},
  [8848] = {.lex_state = 0, .external_lex_state = 37},
  [8849] = {.lex_state = 0, .external_lex_state = 28},
  [8850] = {.lex_state = 32, .external_lex_state = 28},
  [8851] = {.lex_state = 39, .external_lex_state = 28},
  [8852] = {.lex_state = 0, .external_lex_state = 28},
  [8853] = {.lex_state = 0, .external_lex_state = 28},
  [8854] = {.lex_state = 0, .external_lex_state = 28},
  [8855] = {.lex_state = 0, .external_lex_state = 28},
  [8856] = {.lex_state = 32, .external_lex_state = 28},
  [8857] = {.lex_state = 0, .external_lex_state = 28},
  [8858] = {.lex_state = 0, .external_lex_state = 28},
  [8859] = {.lex_state = 0, .external_lex_state = 28},
  [8860] = {.lex_state = 0, .external_lex_state = 28},
  [8861] = {.lex_state = 0, .external_lex_state = 28},
  [8862] = {.lex_state = 0, .external_lex_state = 28},
  [8863] = {.lex_state = 0, .external_lex_state = 28},
  [8864] = {.lex_state = 0, .external_lex_state = 28},
  [8865] = {.lex_state = 333, .external_lex_state = 28},
  [8866] = {.lex_state = 333, .external_lex_state = 28},
  [8867] = {.lex_state = 0, .external_lex_state = 28},
  [8868] = {.lex_state = 333, .external_lex_state = 28},
  [8869] = {.lex_state = 0, .external_lex_state = 38},
  [8870] = {.lex_state = 0, .external_lex_state = 38},
  [8871] = {.lex_state = 0, .external_lex_state = 37},
  [8872] = {.lex_state = 0, .external_lex_state = 28},
  [8873] = {.lex_state = 333, .external_lex_state = 28},
  [8874] = {.lex_state = 32, .external_lex_state = 37},
  [8875] = {.lex_state = 0, .external_lex_state = 28},
  [8876] = {.lex_state = 0, .external_lex_state = 28},
  [8877] = {.lex_state = 0, .external_lex_state = 28},
  [8878] = {.lex_state = 0, .external_lex_state = 28},
  [8879] = {.lex_state = 333, .external_lex_state = 28},
  [8880] = {.lex_state = 0, .external_lex_state = 38},
  [8881] = {.lex_state = 333, .external_lex_state = 28},
  [8882] = {.lex_state = 333, .external_lex_state = 28},
  [8883] = {.lex_state = 32, .external_lex_state = 28},
  [8884] = {.lex_state = 0, .external_lex_state = 28},
  [8885] = {.lex_state = 0, .external_lex_state = 38},
  [8886] = {.lex_state = 0, .external_lex_state = 28},
  [8887] = {.lex_state = 333, .external_lex_state = 28},
  [8888] = {.lex_state = 32, .external_lex_state = 38},
  [8889] = {.lex_state = 32, .external_lex_state = 28},
  [8890] = {.lex_state = 32, .external_lex_state = 38},
  [8891] = {.lex_state = 32, .external_lex_state = 28},
  [8892] = {.lex_state = 0, .external_lex_state = 37},
  [8893] = {.lex_state = 0, .external_lex_state = 28},
  [8894] = {.lex_state = 0, .external_lex_state = 37},
  [8895] = {.lex_state = 32, .external_lex_state = 37},
  [8896] = {.lex_state = 32, .external_lex_state = 28},
  [8897] = {.lex_state = 0, .external_lex_state = 38},
  [8898] = {.lex_state = 39, .external_lex_state = 28},
  [8899] = {.lex_state = 32, .external_lex_state = 37},
  [8900] = {.lex_state = 32, .external_lex_state = 37},
  [8901] = {.lex_state = 32, .external_lex_state = 28},
  [8902] = {.lex_state = 0, .external_lex_state = 28},
  [8903] = {.lex_state = 32, .external_lex_state = 28},
  [8904] = {.lex_state = 333, .external_lex_state = 28},
  [8905] = {.lex_state = 0, .external_lex_state = 28},
  [8906] = {.lex_state = 333, .external_lex_state = 28},
  [8907] = {.lex_state = 39, .external_lex_state = 28},
  [8908] = {.lex_state = 0, .external_lex_state = 28},
  [8909] = {.lex_state = 333, .external_lex_state = 28},
  [8910] = {.lex_state = 0, .external_lex_state = 28},
  [8911] = {.lex_state = 0, .external_lex_state = 28},
  [8912] = {.lex_state = 333, .external_lex_state = 28},
  [8913] = {.lex_state = 32, .external_lex_state = 28},
  [8914] = {.lex_state = 0, .external_lex_state = 28},
  [8915] = {.lex_state = 0, .external_lex_state = 28},
  [8916] = {.lex_state = 0, .external_lex_state = 28},
  [8917] = {.lex_state = 0, .external_lex_state = 28},
  [8918] = {.lex_state = 12, .external_lex_state = 40},
  [8919] = {.lex_state = 0, .external_lex_state = 28},
  [8920] = {.lex_state = 0, .external_lex_state = 28},
  [8921] = {.lex_state = 333, .external_lex_state = 28},
  [8922] = {.lex_state = 0, .external_lex_state = 28},
  [8923] = {.lex_state = 0, .external_lex_state = 28},
  [8924] = {.lex_state = 0, .external_lex_state = 38},
  [8925] = {.lex_state = 0, .external_lex_state = 28},
  [8926] = {.lex_state = 0, .external_lex_state = 28},
  [8927] = {.lex_state = 0, .external_lex_state = 28},
  [8928] = {.lex_state = 333, .external_lex_state = 28},
  [8929] = {.lex_state = 0, .external_lex_state = 28},
  [8930] = {.lex_state = 333, .external_lex_state = 28},
  [8931] = {.lex_state = 0, .external_lex_state = 28},
  [8932] = {.lex_state = 0, .external_lex_state = 28},
  [8933] = {.lex_state = 32, .external_lex_state = 28},
  [8934] = {.lex_state = 0, .external_lex_state = 28},
  [8935] = {.lex_state = 333, .external_lex_state = 28},
  [8936] = {.lex_state = 32, .external_lex_state = 28},
  [8937] = {.lex_state = 333, .external_lex_state = 28},
  [8938] = {.lex_state = 32, .external_lex_state = 28},
  [8939] = {.lex_state = 0, .external_lex_state = 28},
  [8940] = {.lex_state = 32, .external_lex_state = 28},
  [8941] = {.lex_state = 32, .external_lex_state = 28},
  [8942] = {.lex_state = 32, .external_lex_state = 28},
  [8943] = {.lex_state = 0, .external_lex_state = 28},
  [8944] = {.lex_state = 0, .external_lex_state = 28},
  [8945] = {.lex_state = 0, .external_lex_state = 38},
  [8946] = {.lex_state = 0, .external_lex_state = 38},
  [8947] = {.lex_state = 333, .external_lex_state = 28},
  [8948] = {.lex_state = 32, .external_lex_state = 28},
  [8949] = {.lex_state = 0, .external_lex_state = 38},
  [8950] = {.lex_state = 32, .external_lex_state = 28},
  [8951] = {.lex_state = 32, .external_lex_state = 28},
  [8952] = {.lex_state = 32, .external_lex_state = 28},
  [8953] = {.lex_state = 32, .external_lex_state = 38},
  [8954] = {.lex_state = 32, .external_lex_state = 28},
  [8955] = {.lex_state = 32, .external_lex_state = 28},
  [8956] = {.lex_state = 0, .external_lex_state = 28},
  [8957] = {.lex_state = 0, .external_lex_state = 28},
  [8958] = {.lex_state = 32, .external_lex_state = 28},
  [8959] = {.lex_state = 333, .external_lex_state = 28},
  [8960] = {.lex_state = 333, .external_lex_state = 28},
  [8961] = {.lex_state = 333, .external_lex_state = 28},
  [8962] = {.lex_state = 32, .external_lex_state = 38},
  [8963] = {.lex_state = 333, .external_lex_state = 28},
  [8964] = {.lex_state = 0, .external_lex_state = 38},
  [8965] = {.lex_state = 333, .external_lex_state = 37},
  [8966] = {.lex_state = 333, .external_lex_state = 37},
  [8967] = {.lex_state = 0, .external_lex_state = 28},
  [8968] = {.lex_state = 0, .external_lex_state = 28},
  [8969] = {.lex_state = 333, .external_lex_state = 28},
  [8970] = {.lex_state = 333, .external_lex_state = 28},
  [8971] = {.lex_state = 0, .external_lex_state = 28},
  [8972] = {.lex_state = 333, .external_lex_state = 28},
  [8973] = {.lex_state = 0, .external_lex_state = 28},
  [8974] = {.lex_state = 333, .external_lex_state = 28},
  [8975] = {.lex_state = 333, .external_lex_state = 28},
  [8976] = {.lex_state = 333, .external_lex_state = 28},
  [8977] = {.lex_state = 32, .external_lex_state = 28},
  [8978] = {.lex_state = 333, .external_lex_state = 28},
  [8979] = {.lex_state = 333, .external_lex_state = 28},
  [8980] = {.lex_state = 333, .external_lex_state = 28},
  [8981] = {.lex_state = 333, .external_lex_state = 28},
  [8982] = {.lex_state = 32, .external_lex_state = 28},
  [8983] = {.lex_state = 333, .external_lex_state = 28},
  [8984] = {.lex_state = 333, .external_lex_state = 28},
  [8985] = {.lex_state = 333, .external_lex_state = 28},
  [8986] = {.lex_state = 0, .external_lex_state = 38},
  [8987] = {.lex_state = 32, .external_lex_state = 28},
  [8988] = {.lex_state = 0, .external_lex_state = 28},
  [8989] = {.lex_state = 0, .external_lex_state = 28},
  [8990] = {.lex_state = 333, .external_lex_state = 28},
  [8991] = {.lex_state = 333, .external_lex_state = 28},
  [8992] = {.lex_state = 333, .external_lex_state = 28},
  [8993] = {.lex_state = 32, .external_lex_state = 28},
  [8994] = {.lex_state = 32, .external_lex_state = 28},
  [8995] = {.lex_state = 333, .external_lex_state = 28},
  [8996] = {.lex_state = 32, .external_lex_state = 28},
  [8997] = {.lex_state = 0, .external_lex_state = 38},
  [8998] = {.lex_state = 32, .external_lex_state = 28},
  [8999] = {.lex_state = 32, .external_lex_state = 28},
  [9000] = {.lex_state = 32, .external_lex_state = 28},
  [9001] = {.lex_state = 32, .external_lex_state = 28},
  [9002] = {.lex_state = 0, .external_lex_state = 37},
  [9003] = {.lex_state = 333, .external_lex_state = 37},
  [9004] = {.lex_state = 32, .external_lex_state = 28},
  [9005] = {.lex_state = 32, .external_lex_state = 28},
  [9006] = {.lex_state = 32, .external_lex_state = 28},
  [9007] = {.lex_state = 32, .external_lex_state = 28},
  [9008] = {.lex_state = 0, .external_lex_state = 28},
  [9009] = {.lex_state = 0, .external_lex_state = 28},
  [9010] = {.lex_state = 32, .external_lex_state = 28},
  [9011] = {.lex_state = 333, .external_lex_state = 28},
  [9012] = {.lex_state = 0, .external_lex_state = 38},
  [9013] = {.lex_state = 0, .external_lex_state = 28},
  [9014] = {.lex_state = 32, .external_lex_state = 28},
  [9015] = {.lex_state = 0, .external_lex_state = 28},
  [9016] = {.lex_state = 333, .external_lex_state = 28},
  [9017] = {.lex_state = 0, .external_lex_state = 28},
  [9018] = {.lex_state = 0, .external_lex_state = 28},
  [9019] = {.lex_state = 32, .external_lex_state = 28},
  [9020] = {.lex_state = 32, .external_lex_state = 28},
  [9021] = {.lex_state = 32, .external_lex_state = 38},
  [9022] = {.lex_state = 32, .external_lex_state = 28},
  [9023] = {.lex_state = 0, .external_lex_state = 28},
  [9024] = {.lex_state = 333, .external_lex_state = 28},
  [9025] = {.lex_state = 333, .external_lex_state = 28},
  [9026] = {.lex_state = 32, .external_lex_state = 28},
  [9027] = {.lex_state = 32, .external_lex_state = 38},
  [9028] = {.lex_state = 0, .external_lex_state = 28},
  [9029] = {.lex_state = 333, .external_lex_state = 28},
  [9030] = {.lex_state = 333, .external_lex_state = 28},
  [9031] = {.lex_state = 0, .external_lex_state = 28},
  [9032] = {.lex_state = 0, .external_lex_state = 28},
  [9033] = {.lex_state = 32, .external_lex_state = 28},
  [9034] = {.lex_state = 32, .external_lex_state = 28},
  [9035] = {.lex_state = 0, .external_lex_state = 28},
  [9036] = {.lex_state = 32, .external_lex_state = 38},
  [9037] = {.lex_state = 0, .external_lex_state = 38},
  [9038] = {.lex_state = 0, .external_lex_state = 38},
  [9039] = {.lex_state = 0, .external_lex_state = 38},
  [9040] = {.lex_state = 333, .external_lex_state = 28},
  [9041] = {.lex_state = 32, .external_lex_state = 38},
  [9042] = {.lex_state = 333, .external_lex_state = 28},
  [9043] = {.lex_state = 333, .external_lex_state = 28},
  [9044] = {.lex_state = 0, .external_lex_state = 38},
  [9045] = {.lex_state = 0, .external_lex_state = 28},
  [9046] = {.lex_state = 0, .external_lex_state = 28},
  [9047] = {.lex_state = 32, .external_lex_state = 28},
  [9048] = {.lex_state = 0, .external_lex_state = 38},
  [9049] = {.lex_state = 0, .external_lex_state = 28},
  [9050] = {.lex_state = 32, .external_lex_state = 38},
  [9051] = {.lex_state = 0, .external_lex_state = 38},
  [9052] = {.lex_state = 32, .external_lex_state = 38},
  [9053] = {.lex_state = 0, .external_lex_state = 28},
  [9054] = {.lex_state = 0, .external_lex_state = 38},
  [9055] = {.lex_state = 32, .external_lex_state = 28},
  [9056] = {.lex_state = 333, .external_lex_state = 28},
  [9057] = {.lex_state = 333, .external_lex_state = 37},
  [9058] = {.lex_state = 0, .external_lex_state = 38},
  [9059] = {.lex_state = 0, .external_lex_state = 28},
  [9060] = {.lex_state = 0, .external_lex_state = 28},
  [9061] = {.lex_state = 0, .external_lex_state = 38},
  [9062] = {.lex_state = 0, .external_lex_state = 28},
  [9063] = {.lex_state = 0, .external_lex_state = 28},
  [9064] = {.lex_state = 0, .external_lex_state = 28},
  [9065] = {.lex_state = 333, .external_lex_state = 28},
  [9066] = {.lex_state = 0, .external_lex_state = 28},
  [9067] = {.lex_state = 0, .external_lex_state = 38},
  [9068] = {.lex_state = 32, .external_lex_state = 38},
  [9069] = {.lex_state = 32, .external_lex_state = 38},
  [9070] = {.lex_state = 0, .external_lex_state = 38},
  [9071] = {.lex_state = 0, .external_lex_state = 38},
  [9072] = {.lex_state = 0, .external_lex_state = 37},
  [9073] = {.lex_state = 0, .external_lex_state = 28},
  [9074] = {.lex_state = 0, .external_lex_state = 28},
  [9075] = {.lex_state = 32, .external_lex_state = 38},
  [9076] = {.lex_state = 32, .external_lex_state = 28},
  [9077] = {.lex_state = 32, .external_lex_state = 28},
  [9078] = {.lex_state = 0, .external_lex_state = 28},
  [9079] = {.lex_state = 0, .external_lex_state = 28},
  [9080] = {.lex_state = 0, .external_lex_state = 28},
  [9081] = {.lex_state = 0, .external_lex_state = 28},
  [9082] = {.lex_state = 0, .external_lex_state = 28},
  [9083] = {.lex_state = 333, .external_lex_state = 28},
  [9084] = {.lex_state = 32, .external_lex_state = 38},
  [9085] = {.lex_state = 333, .external_lex_state = 28},
  [9086] = {.lex_state = 32, .external_lex_state = 28},
  [9087] = {.lex_state = 0, .external_lex_state = 38},
  [9088] = {.lex_state = 333, .external_lex_state = 28},
  [9089] = {.lex_state = 333, .external_lex_state = 28},
  [9090] = {.lex_state = 0, .external_lex_state = 28},
  [9091] = {.lex_state = 0, .external_lex_state = 28},
  [9092] = {.lex_state = 0, .external_lex_state = 28},
  [9093] = {.lex_state = 0, .external_lex_state = 28},
  [9094] = {.lex_state = 333, .external_lex_state = 28},
  [9095] = {.lex_state = 0, .external_lex_state = 28},
  [9096] = {.lex_state = 32, .external_lex_state = 38},
  [9097] = {.lex_state = 32, .external_lex_state = 28},
  [9098] = {.lex_state = 32, .external_lex_state = 28},
  [9099] = {.lex_state = 32, .external_lex_state = 28},
  [9100] = {.lex_state = 32, .external_lex_state = 28},
  [9101] = {.lex_state = 0, .external_lex_state = 28},
  [9102] = {.lex_state = 32, .external_lex_state = 28},
  [9103] = {.lex_state = 32, .external_lex_state = 28},
  [9104] = {.lex_state = 32, .external_lex_state = 28},
  [9105] = {.lex_state = 32, .external_lex_state = 28},
  [9106] = {.lex_state = 32, .external_lex_state = 28},
  [9107] = {.lex_state = 32, .external_lex_state = 28},
  [9108] = {.lex_state = 32, .external_lex_state = 28},
  [9109] = {.lex_state = 32, .external_lex_state = 28},
  [9110] = {.lex_state = 32, .external_lex_state = 28},
  [9111] = {.lex_state = 32, .external_lex_state = 28},
  [9112] = {.lex_state = 32, .external_lex_state = 28},
  [9113] = {.lex_state = 32, .external_lex_state = 28},
  [9114] = {.lex_state = 32, .external_lex_state = 28},
  [9115] = {.lex_state = 32, .external_lex_state = 28},
  [9116] = {.lex_state = 32, .external_lex_state = 28},
  [9117] = {.lex_state = 32, .external_lex_state = 28},
  [9118] = {.lex_state = 32, .external_lex_state = 28},
  [9119] = {.lex_state = 32, .external_lex_state = 28},
  [9120] = {.lex_state = 32, .external_lex_state = 28},
  [9121] = {.lex_state = 32, .external_lex_state = 28},
  [9122] = {.lex_state = 32, .external_lex_state = 28},
  [9123] = {.lex_state = 32, .external_lex_state = 28},
  [9124] = {.lex_state = 32, .external_lex_state = 28},
  [9125] = {.lex_state = 32, .external_lex_state = 28},
  [9126] = {.lex_state = 0, .external_lex_state = 38},
  [9127] = {.lex_state = 0, .external_lex_state = 38},
  [9128] = {.lex_state = 32, .external_lex_state = 38},
  [9129] = {.lex_state = 32, .external_lex_state = 38},
  [9130] = {.lex_state = 333, .external_lex_state = 28},
  [9131] = {.lex_state = 0, .external_lex_state = 28},
  [9132] = {.lex_state = 0, .external_lex_state = 28},
  [9133] = {.lex_state = 0, .external_lex_state = 28},
  [9134] = {.lex_state = 0, .external_lex_state = 28},
  [9135] = {.lex_state = 0, .external_lex_state = 37},
  [9136] = {.lex_state = 333, .external_lex_state = 28},
  [9137] = {.lex_state = 0, .external_lex_state = 28},
  [9138] = {.lex_state = 0, .external_lex_state = 37},
  [9139] = {.lex_state = 0, .external_lex_state = 28},
  [9140] = {.lex_state = 0, .external_lex_state = 28},
  [9141] = {.lex_state = 0, .external_lex_state = 37},
  [9142] = {.lex_state = 0, .external_lex_state = 28},
  [9143] = {.lex_state = 333, .external_lex_state = 28},
  [9144] = {.lex_state = 333, .external_lex_state = 28},
  [9145] = {.lex_state = 0, .external_lex_state = 28},
  [9146] = {.lex_state = 333, .external_lex_state = 28},
  [9147] = {.lex_state = 0, .external_lex_state = 37},
  [9148] = {.lex_state = 0, .external_lex_state = 28},
  [9149] = {.lex_state = 333, .external_lex_state = 28},
  [9150] = {.lex_state = 0, .external_lex_state = 37},
  [9151] = {.lex_state = 333, .external_lex_state = 28},
  [9152] = {.lex_state = 0, .external_lex_state = 28},
  [9153] = {.lex_state = 0, .external_lex_state = 37},
  [9154] = {.lex_state = 333, .external_lex_state = 28},
  [9155] = {.lex_state = 0, .external_lex_state = 28},
  [9156] = {.lex_state = 0, .external_lex_state = 37},
  [9157] = {.lex_state = 0, .external_lex_state = 28},
  [9158] = {.lex_state = 0, .external_lex_state = 37},
  [9159] = {.lex_state = 0, .external_lex_state = 37},
  [9160] = {.lex_state = 333, .external_lex_state = 28},
  [9161] = {.lex_state = 0, .external_lex_state = 28},
  [9162] = {.lex_state = 333, .external_lex_state = 28},
  [9163] = {.lex_state = 333, .external_lex_state = 28},
  [9164] = {.lex_state = 333, .external_lex_state = 28},
  [9165] = {.lex_state = 0, .external_lex_state = 37},
  [9166] = {.lex_state = 0, .external_lex_state = 28},
  [9167] = {.lex_state = 333, .external_lex_state = 28},
  [9168] = {.lex_state = 0, .external_lex_state = 28},
  [9169] = {.lex_state = 0, .external_lex_state = 28},
  [9170] = {.lex_state = 0, .external_lex_state = 37},
  [9171] = {.lex_state = 333, .external_lex_state = 28},
  [9172] = {.lex_state = 333, .external_lex_state = 28},
  [9173] = {.lex_state = 333, .external_lex_state = 28},
  [9174] = {.lex_state = 0, .external_lex_state = 28},
  [9175] = {.lex_state = 0, .external_lex_state = 37},
  [9176] = {.lex_state = 0, .external_lex_state = 28},
  [9177] = {.lex_state = 0, .external_lex_state = 28},
  [9178] = {.lex_state = 0, .external_lex_state = 37},
  [9179] = {.lex_state = 32, .external_lex_state = 28},
  [9180] = {.lex_state = 333, .external_lex_state = 28},
  [9181] = {.lex_state = 333, .external_lex_state = 28},
  [9182] = {.lex_state = 333, .external_lex_state = 28},
  [9183] = {.lex_state = 333, .external_lex_state = 28},
  [9184] = {.lex_state = 32, .external_lex_state = 28},
  [9185] = {.lex_state = 0, .external_lex_state = 28},
  [9186] = {.lex_state = 32, .external_lex_state = 28},
  [9187] = {.lex_state = 333, .external_lex_state = 28},
  [9188] = {.lex_state = 333, .external_lex_state = 28},
  [9189] = {.lex_state = 333, .external_lex_state = 28},
  [9190] = {.lex_state = 0, .external_lex_state = 28},
  [9191] = {.lex_state = 0, .external_lex_state = 37},
  [9192] = {.lex_state = 0, .external_lex_state = 37},
  [9193] = {.lex_state = 0, .external_lex_state = 28},
  [9194] = {.lex_state = 333, .external_lex_state = 28},
  [9195] = {.lex_state = 333, .external_lex_state = 28},
  [9196] = {.lex_state = 333, .external_lex_state = 28},
  [9197] = {.lex_state = 333, .external_lex_state = 28},
  [9198] = {.lex_state = 0, .external_lex_state = 28},
  [9199] = {.lex_state = 0, .external_lex_state = 28},
  [9200] = {.lex_state = 0, .external_lex_state = 37},
  [9201] = {.lex_state = 0, .external_lex_state = 37},
  [9202] = {.lex_state = 0, .external_lex_state = 37},
  [9203] = {.lex_state = 333, .external_lex_state = 28},
  [9204] = {.lex_state = 0, .external_lex_state = 37},
  [9205] = {.lex_state = 0, .external_lex_state = 28},
  [9206] = {.lex_state = 333, .external_lex_state = 28},
  [9207] = {.lex_state = 333, .external_lex_state = 28},
  [9208] = {.lex_state = 333, .external_lex_state = 28},
  [9209] = {.lex_state = 333, .external_lex_state = 28},
  [9210] = {.lex_state = 0, .external_lex_state = 37},
  [9211] = {.lex_state = 0, .external_lex_state = 28},
  [9212] = {.lex_state = 0, .external_lex_state = 28},
  [9213] = {.lex_state = 0, .external_lex_state = 28},
  [9214] = {.lex_state = 0, .external_lex_state = 37},
  [9215] = {.lex_state = 0, .external_lex_state = 37},
  [9216] = {.lex_state = 0, .external_lex_state = 28},
  [9217] = {.lex_state = 333, .external_lex_state = 28},
  [9218] = {.lex_state = 333, .external_lex_state = 28},
  [9219] = {.lex_state = 333, .external_lex_state = 28},
  [9220] = {.lex_state = 333, .external_lex_state = 28},
  [9221] = {.lex_state = 0, .external_lex_state = 28},
  [9222] = {.lex_state = 32, .external_lex_state = 28},
  [9223] = {.lex_state = 0, .external_lex_state = 37},
  [9224] = {.lex_state = 0, .external_lex_state = 28},
  [9225] = {.lex_state = 0, .external_lex_state = 37},
  [9226] = {.lex_state = 333, .external_lex_state = 28},
  [9227] = {.lex_state = 0, .external_lex_state = 28},
  [9228] = {.lex_state = 0, .external_lex_state = 28},
  [9229] = {.lex_state = 0, .external_lex_state = 37},
  [9230] = {.lex_state = 0, .external_lex_state = 37},
  [9231] = {.lex_state = 333, .external_lex_state = 28},
  [9232] = {.lex_state = 0, .external_lex_state = 28},
  [9233] = {.lex_state = 0, .external_lex_state = 28},
  [9234] = {.lex_state = 0, .external_lex_state = 37},
  [9235] = {.lex_state = 0, .external_lex_state = 37},
  [9236] = {.lex_state = 333, .external_lex_state = 28},
  [9237] = {.lex_state = 0, .external_lex_state = 28},
  [9238] = {.lex_state = 333, .external_lex_state = 28},
  [9239] = {.lex_state = 0, .external_lex_state = 28},
  [9240] = {.lex_state = 0, .external_lex_state = 28},
  [9241] = {.lex_state = 333, .external_lex_state = 28},
  [9242] = {.lex_state = 0, .external_lex_state = 28},
  [9243] = {.lex_state = 0, .external_lex_state = 28},
  [9244] = {.lex_state = 0, .external_lex_state = 37},
  [9245] = {.lex_state = 0, .external_lex_state = 28},
  [9246] = {.lex_state = 333, .external_lex_state = 28},
  [9247] = {.lex_state = 0, .external_lex_state = 28},
  [9248] = {.lex_state = 32, .external_lex_state = 28},
  [9249] = {.lex_state = 0, .external_lex_state = 37},
  [9250] = {.lex_state = 0, .external_lex_state = 28},
  [9251] = {.lex_state = 333, .external_lex_state = 28},
  [9252] = {.lex_state = 0, .external_lex_state = 37},
  [9253] = {.lex_state = 0, .external_lex_state = 28},
  [9254] = {.lex_state = 0, .external_lex_state = 37},
  [9255] = {.lex_state = 333, .external_lex_state = 28},
  [9256] = {.lex_state = 0, .external_lex_state = 28},
  [9257] = {.lex_state = 0, .external_lex_state = 37},
  [9258] = {.lex_state = 0, .external_lex_state = 37},
  [9259] = {.lex_state = 333, .external_lex_state = 28},
  [9260] = {.lex_state = 0, .external_lex_state = 28},
  [9261] = {.lex_state = 0, .external_lex_state = 37},
  [9262] = {.lex_state = 0, .external_lex_state = 28},
  [9263] = {.lex_state = 333, .external_lex_state = 28},
  [9264] = {.lex_state = 0, .external_lex_state = 28},
  [9265] = {.lex_state = 0, .external_lex_state = 28},
  [9266] = {.lex_state = 333, .external_lex_state = 28},
  [9267] = {.lex_state = 333, .external_lex_state = 28},
  [9268] = {.lex_state = 333, .external_lex_state = 28},
  [9269] = {.lex_state = 0, .external_lex_state = 37},
  [9270] = {.lex_state = 0, .external_lex_state = 37},
  [9271] = {.lex_state = 0, .external_lex_state = 37},
  [9272] = {.lex_state = 333, .external_lex_state = 28},
  [9273] = {.lex_state = 0, .external_lex_state = 28},
  [9274] = {.lex_state = 0, .external_lex_state = 37},
  [9275] = {.lex_state = 0, .external_lex_state = 37},
  [9276] = {.lex_state = 0, .external_lex_state = 37},
  [9277] = {.lex_state = 0, .external_lex_state = 28},
  [9278] = {.lex_state = 0, .external_lex_state = 37},
  [9279] = {.lex_state = 333, .external_lex_state = 28},
  [9280] = {.lex_state = 0, .external_lex_state = 28},
  [9281] = {.lex_state = 0, .external_lex_state = 37},
  [9282] = {.lex_state = 0, .external_lex_state = 37},
  [9283] = {.lex_state = 333, .external_lex_state = 28},
  [9284] = {.lex_state = 0, .external_lex_state = 37},
  [9285] = {.lex_state = 0, .external_lex_state = 37},
  [9286] = {.lex_state = 333, .external_lex_state = 28},
  [9287] = {.lex_state = 0, .external_lex_state = 28},
  [9288] = {.lex_state = 333, .external_lex_state = 28},
  [9289] = {.lex_state = 0, .external_lex_state = 37},
  [9290] = {.lex_state = 0, .external_lex_state = 37},
  [9291] = {.lex_state = 333, .external_lex_state = 28},
  [9292] = {.lex_state = 0, .external_lex_state = 28},
  [9293] = {.lex_state = 0, .external_lex_state = 28},
  [9294] = {.lex_state = 0, .external_lex_state = 28},
  [9295] = {.lex_state = 0, .external_lex_state = 28},
  [9296] = {.lex_state = 0, .external_lex_state = 37},
  [9297] = {.lex_state = 0, .external_lex_state = 28},
  [9298] = {.lex_state = 0, .external_lex_state = 28},
  [9299] = {.lex_state = 333, .external_lex_state = 28},
  [9300] = {.lex_state = 333, .external_lex_state = 28},
  [9301] = {.lex_state = 333, .external_lex_state = 28},
  [9302] = {.lex_state = 0, .external_lex_state = 37},
  [9303] = {.lex_state = 0, .external_lex_state = 28},
  [9304] = {.lex_state = 0, .external_lex_state = 37},
  [9305] = {.lex_state = 333, .external_lex_state = 28},
  [9306] = {.lex_state = 0, .external_lex_state = 37},
  [9307] = {.lex_state = 333, .external_lex_state = 28},
  [9308] = {.lex_state = 0, .external_lex_state = 28},
  [9309] = {.lex_state = 0, .external_lex_state = 37},
  [9310] = {.lex_state = 0, .external_lex_state = 37},
  [9311] = {.lex_state = 0, .external_lex_state = 37},
  [9312] = {.lex_state = 333, .external_lex_state = 28},
  [9313] = {.lex_state = 0, .external_lex_state = 37},
  [9314] = {.lex_state = 0, .external_lex_state = 28},
  [9315] = {.lex_state = 333, .external_lex_state = 28},
  [9316] = {.lex_state = 12, .external_lex_state = 28},
  [9317] = {.lex_state = 12, .external_lex_state = 28},
  [9318] = {.lex_state = 0, .external_lex_state = 28},
  [9319] = {.lex_state = 0, .external_lex_state = 37},
  [9320] = {.lex_state = 0, .external_lex_state = 37},
  [9321] = {.lex_state = 333, .external_lex_state = 28},
  [9322] = {.lex_state = 0, .external_lex_state = 28},
  [9323] = {.lex_state = 0, .external_lex_state = 28},
  [9324] = {.lex_state = 0, .external_lex_state = 37},
  [9325] = {.lex_state = 0, .external_lex_state = 28},
  [9326] = {.lex_state = 0, .external_lex_state = 28},
  [9327] = {.lex_state = 0, .external_lex_state = 37},
  [9328] = {.lex_state = 0, .external_lex_state = 28},
  [9329] = {.lex_state = 0, .external_lex_state = 37},
  [9330] = {.lex_state = 0, .external_lex_state = 28},
  [9331] = {.lex_state = 333, .external_lex_state = 28},
  [9332] = {.lex_state = 333, .external_lex_state = 28},
  [9333] = {.lex_state = 0, .external_lex_state = 28},
  [9334] = {.lex_state = 333, .external_lex_state = 28},
  [9335] = {.lex_state = 0, .external_lex_state = 37},
  [9336] = {.lex_state = 0, .external_lex_state = 37},
  [9337] = {.lex_state = 0, .external_lex_state = 37},
  [9338] = {.lex_state = 333, .external_lex_state = 28},
  [9339] = {.lex_state = 0, .external_lex_state = 37},
  [9340] = {.lex_state = 0, .external_lex_state = 28},
  [9341] = {.lex_state = 0, .external_lex_state = 37},
  [9342] = {.lex_state = 0, .external_lex_state = 28},
  [9343] = {.lex_state = 0, .external_lex_state = 37},
  [9344] = {.lex_state = 32, .external_lex_state = 28},
  [9345] = {.lex_state = 0, .external_lex_state = 28},
  [9346] = {.lex_state = 0, .external_lex_state = 37},
  [9347] = {.lex_state = 0, .external_lex_state = 28},
  [9348] = {.lex_state = 0, .external_lex_state = 37},
  [9349] = {.lex_state = 333, .external_lex_state = 28},
  [9350] = {.lex_state = 0, .external_lex_state = 28},
  [9351] = {.lex_state = 0, .external_lex_state = 28},
  [9352] = {.lex_state = 0, .external_lex_state = 37},
  [9353] = {.lex_state = 0, .external_lex_state = 37},
  [9354] = {.lex_state = 0, .external_lex_state = 28},
  [9355] = {.lex_state = 0, .external_lex_state = 28},
  [9356] = {.lex_state = 0, .external_lex_state = 37},
  [9357] = {.lex_state = 0, .external_lex_state = 37},
  [9358] = {.lex_state = 333, .external_lex_state = 28},
  [9359] = {.lex_state = 0, .external_lex_state = 28},
  [9360] = {.lex_state = 0, .external_lex_state = 37},
  [9361] = {.lex_state = 0, .external_lex_state = 37},
  [9362] = {.lex_state = 333, .external_lex_state = 28},
  [9363] = {.lex_state = 333, .external_lex_state = 28},
  [9364] = {.lex_state = 0, .external_lex_state = 28},
  [9365] = {.lex_state = 0, .external_lex_state = 28},
  [9366] = {.lex_state = 0, .external_lex_state = 37},
  [9367] = {.lex_state = 0, .external_lex_state = 28},
  [9368] = {.lex_state = 0, .external_lex_state = 28},
  [9369] = {.lex_state = 0, .external_lex_state = 28},
  [9370] = {.lex_state = 333, .external_lex_state = 28},
  [9371] = {.lex_state = 0, .external_lex_state = 28},
  [9372] = {.lex_state = 0, .external_lex_state = 37},
  [9373] = {.lex_state = 0, .external_lex_state = 37},
  [9374] = {.lex_state = 333, .external_lex_state = 28},
  [9375] = {.lex_state = 0, .external_lex_state = 28},
  [9376] = {.lex_state = 0, .external_lex_state = 37},
  [9377] = {.lex_state = 0, .external_lex_state = 37},
  [9378] = {.lex_state = 0, .external_lex_state = 37},
  [9379] = {.lex_state = 333, .external_lex_state = 28},
  [9380] = {.lex_state = 0, .external_lex_state = 28},
  [9381] = {.lex_state = 0, .external_lex_state = 28},
  [9382] = {.lex_state = 333, .external_lex_state = 28},
  [9383] = {.lex_state = 0, .external_lex_state = 37},
  [9384] = {.lex_state = 0, .external_lex_state = 37},
  [9385] = {.lex_state = 0, .external_lex_state = 37},
  [9386] = {.lex_state = 0, .external_lex_state = 28},
  [9387] = {.lex_state = 0, .external_lex_state = 28},
  [9388] = {.lex_state = 333, .external_lex_state = 28},
  [9389] = {.lex_state = 333, .external_lex_state = 28},
  [9390] = {.lex_state = 333, .external_lex_state = 28},
  [9391] = {.lex_state = 0, .external_lex_state = 37},
  [9392] = {.lex_state = 0, .external_lex_state = 28},
  [9393] = {.lex_state = 0, .external_lex_state = 37},
  [9394] = {.lex_state = 333, .external_lex_state = 28},
  [9395] = {.lex_state = 0, .external_lex_state = 28},
  [9396] = {.lex_state = 0, .external_lex_state = 37},
  [9397] = {.lex_state = 333, .external_lex_state = 28},
  [9398] = {.lex_state = 0, .external_lex_state = 37},
  [9399] = {.lex_state = 0, .external_lex_state = 37},
  [9400] = {.lex_state = 0, .external_lex_state = 37},
  [9401] = {.lex_state = 333, .external_lex_state = 28},
  [9402] = {.lex_state = 0, .external_lex_state = 37},
  [9403] = {.lex_state = 0, .external_lex_state = 28},
  [9404] = {.lex_state = 0, .external_lex_state = 37},
  [9405] = {.lex_state = 0, .external_lex_state = 28},
  [9406] = {.lex_state = 333, .external_lex_state = 28},
  [9407] = {.lex_state = 0, .external_lex_state = 28},
  [9408] = {.lex_state = 32, .external_lex_state = 28},
  [9409] = {.lex_state = 333, .external_lex_state = 28},
  [9410] = {.lex_state = 32, .external_lex_state = 28},
  [9411] = {.lex_state = 0, .external_lex_state = 28},
  [9412] = {.lex_state = 0, .external_lex_state = 28},
  [9413] = {.lex_state = 0, .external_lex_state = 28},
  [9414] = {.lex_state = 0, .external_lex_state = 37},
  [9415] = {.lex_state = 0, .external_lex_state = 28},
  [9416] = {.lex_state = 0, .external_lex_state = 28},
  [9417] = {.lex_state = 0, .external_lex_state = 28},
  [9418] = {.lex_state = 0, .external_lex_state = 37},
  [9419] = {.lex_state = 32, .external_lex_state = 28},
  [9420] = {.lex_state = 0, .external_lex_state = 28},
  [9421] = {.lex_state = 333, .external_lex_state = 28},
  [9422] = {.lex_state = 0, .external_lex_state = 37},
  [9423] = {.lex_state = 333, .external_lex_state = 28},
  [9424] = {.lex_state = 0, .external_lex_state = 28},
  [9425] = {.lex_state = 333, .external_lex_state = 28},
  [9426] = {.lex_state = 0, .external_lex_state = 37},
  [9427] = {.lex_state = 333, .external_lex_state = 28},
  [9428] = {.lex_state = 0, .external_lex_state = 28},
  [9429] = {.lex_state = 0, .external_lex_state = 37},
  [9430] = {.lex_state = 333, .external_lex_state = 28},
  [9431] = {.lex_state = 0, .external_lex_state = 28},
  [9432] = {.lex_state = 0, .external_lex_state = 37},
  [9433] = {.lex_state = 0, .external_lex_state = 28},
  [9434] = {.lex_state = 333, .external_lex_state = 28},
  [9435] = {.lex_state = 0, .external_lex_state = 37},
  [9436] = {.lex_state = 0, .external_lex_state = 37},
  [9437] = {.lex_state = 0, .external_lex_state = 37},
  [9438] = {.lex_state = 0, .external_lex_state = 37},
  [9439] = {.lex_state = 0, .external_lex_state = 37},
  [9440] = {.lex_state = 0, .external_lex_state = 28},
  [9441] = {.lex_state = 0, .external_lex_state = 37},
  [9442] = {.lex_state = 333, .external_lex_state = 28},
  [9443] = {.lex_state = 0, .external_lex_state = 28},
  [9444] = {.lex_state = 0, .external_lex_state = 28},
  [9445] = {.lex_state = 0, .external_lex_state = 28},
  [9446] = {.lex_state = 0, .external_lex_state = 37},
  [9447] = {.lex_state = 0, .external_lex_state = 37},
  [9448] = {.lex_state = 333, .external_lex_state = 28},
  [9449] = {.lex_state = 0, .external_lex_state = 37},
  [9450] = {.lex_state = 0, .external_lex_state = 28},
  [9451] = {.lex_state = 0, .external_lex_state = 38},
  [9452] = {.lex_state = 32, .external_lex_state = 28},
  [9453] = {.lex_state = 0, .external_lex_state = 28},
  [9454] = {.lex_state = 0, .external_lex_state = 28},
  [9455] = {.lex_state = 0, .external_lex_state = 37},
  [9456] = {.lex_state = 333, .external_lex_state = 28},
  [9457] = {.lex_state = 0, .external_lex_state = 28},
  [9458] = {.lex_state = 0, .external_lex_state = 28},
  [9459] = {.lex_state = 0, .external_lex_state = 28},
  [9460] = {.lex_state = 0, .external_lex_state = 28},
  [9461] = {.lex_state = 0, .external_lex_state = 37},
  [9462] = {.lex_state = 0, .external_lex_state = 38},
  [9463] = {.lex_state = 0, .external_lex_state = 37},
  [9464] = {.lex_state = 0, .external_lex_state = 28},
  [9465] = {.lex_state = 32, .external_lex_state = 28},
  [9466] = {.lex_state = 333, .external_lex_state = 28},
  [9467] = {.lex_state = 0, .external_lex_state = 28},
  [9468] = {.lex_state = 0, .external_lex_state = 38},
  [9469] = {.lex_state = 0, .external_lex_state = 28},
  [9470] = {.lex_state = 0, .external_lex_state = 28},
  [9471] = {.lex_state = 0, .external_lex_state = 28},
  [9472] = {.lex_state = 0, .external_lex_state = 37},
  [9473] = {.lex_state = 333, .external_lex_state = 28},
  [9474] = {.lex_state = 0, .external_lex_state = 28},
  [9475] = {.lex_state = 0, .external_lex_state = 28},
  [9476] = {.lex_state = 0, .external_lex_state = 37},
  [9477] = {.lex_state = 333, .external_lex_state = 28},
  [9478] = {.lex_state = 0, .external_lex_state = 37},
  [9479] = {.lex_state = 0, .external_lex_state = 28},
  [9480] = {.lex_state = 0, .external_lex_state = 28},
  [9481] = {.lex_state = 0, .external_lex_state = 28},
  [9482] = {.lex_state = 0, .external_lex_state = 37},
  [9483] = {.lex_state = 0, .external_lex_state = 37},
  [9484] = {.lex_state = 0, .external_lex_state = 28},
  [9485] = {.lex_state = 0, .external_lex_state = 28},
  [9486] = {.lex_state = 0, .external_lex_state = 37},
  [9487] = {.lex_state = 333, .external_lex_state = 28},
  [9488] = {.lex_state = 333, .external_lex_state = 28},
  [9489] = {.lex_state = 0, .external_lex_state = 28},
  [9490] = {.lex_state = 0, .external_lex_state = 28},
  [9491] = {.lex_state = 0, .external_lex_state = 37},
  [9492] = {.lex_state = 333, .external_lex_state = 28},
  [9493] = {.lex_state = 0, .external_lex_state = 28},
  [9494] = {.lex_state = 0, .external_lex_state = 28},
  [9495] = {.lex_state = 0, .external_lex_state = 28},
  [9496] = {.lex_state = 333, .external_lex_state = 28},
  [9497] = {.lex_state = 0, .external_lex_state = 37},
  [9498] = {.lex_state = 333, .external_lex_state = 38},
  [9499] = {.lex_state = 0, .external_lex_state = 37},
  [9500] = {.lex_state = 0, .external_lex_state = 37},
  [9501] = {.lex_state = 333, .external_lex_state = 28},
  [9502] = {.lex_state = 333, .external_lex_state = 28},
  [9503] = {.lex_state = 0, .external_lex_state = 28},
  [9504] = {.lex_state = 0, .external_lex_state = 28},
  [9505] = {.lex_state = 32, .external_lex_state = 28},
  [9506] = {.lex_state = 0, .external_lex_state = 37},
  [9507] = {.lex_state = 0, .external_lex_state = 37},
  [9508] = {.lex_state = 0, .external_lex_state = 37},
  [9509] = {.lex_state = 333, .external_lex_state = 28},
  [9510] = {.lex_state = 333, .external_lex_state = 28},
  [9511] = {.lex_state = 333, .external_lex_state = 28},
  [9512] = {.lex_state = 0, .external_lex_state = 28},
  [9513] = {.lex_state = 0, .external_lex_state = 28},
  [9514] = {.lex_state = 333, .external_lex_state = 28},
  [9515] = {.lex_state = 333, .external_lex_state = 28},
  [9516] = {.lex_state = 0, .external_lex_state = 28},
  [9517] = {.lex_state = 0, .external_lex_state = 28},
  [9518] = {.lex_state = 0, .external_lex_state = 37},
  [9519] = {.lex_state = 0, .external_lex_state = 28},
  [9520] = {.lex_state = 0, .external_lex_state = 28},
  [9521] = {.lex_state = 0, .external_lex_state = 28},
  [9522] = {.lex_state = 0, .external_lex_state = 37},
  [9523] = {.lex_state = 0, .external_lex_state = 37},
  [9524] = {.lex_state = 0, .external_lex_state = 28},
  [9525] = {.lex_state = 0, .external_lex_state = 37},
  [9526] = {.lex_state = 0, .external_lex_state = 37},
  [9527] = {.lex_state = 0, .external_lex_state = 37},
  [9528] = {.lex_state = 333, .external_lex_state = 28},
  [9529] = {.lex_state = 0, .external_lex_state = 28},
  [9530] = {.lex_state = 0, .external_lex_state = 28},
  [9531] = {.lex_state = 0, .external_lex_state = 28},
  [9532] = {.lex_state = 32, .external_lex_state = 28},
  [9533] = {.lex_state = 0, .external_lex_state = 28},
  [9534] = {.lex_state = 0, .external_lex_state = 37},
  [9535] = {.lex_state = 0, .external_lex_state = 28},
  [9536] = {.lex_state = 333, .external_lex_state = 28},
  [9537] = {.lex_state = 0, .external_lex_state = 28},
  [9538] = {.lex_state = 333, .external_lex_state = 28},
  [9539] = {.lex_state = 0, .external_lex_state = 28},
  [9540] = {.lex_state = 32, .external_lex_state = 28},
  [9541] = {.lex_state = 32, .external_lex_state = 28},
  [9542] = {.lex_state = 32, .external_lex_state = 28},
  [9543] = {.lex_state = 0, .external_lex_state = 28},
  [9544] = {.lex_state = 0, .external_lex_state = 28},
  [9545] = {.lex_state = 0, .external_lex_state = 28},
  [9546] = {.lex_state = 333, .external_lex_state = 28},
  [9547] = {.lex_state = 0, .external_lex_state = 28},
  [9548] = {.lex_state = 0, .external_lex_state = 28},
  [9549] = {.lex_state = 333, .external_lex_state = 28},
  [9550] = {.lex_state = 333, .external_lex_state = 28},
  [9551] = {.lex_state = 0, .external_lex_state = 28},
  [9552] = {.lex_state = 0, .external_lex_state = 28},
  [9553] = {.lex_state = 0, .external_lex_state = 37},
  [9554] = {.lex_state = 0, .external_lex_state = 28},
  [9555] = {.lex_state = 0, .external_lex_state = 37},
  [9556] = {.lex_state = 0, .external_lex_state = 37},
  [9557] = {.lex_state = 0, .external_lex_state = 28},
  [9558] = {.lex_state = 0, .external_lex_state = 37},
  [9559] = {.lex_state = 0, .external_lex_state = 28},
  [9560] = {.lex_state = 0, .external_lex_state = 28},
  [9561] = {.lex_state = 333, .external_lex_state = 28},
  [9562] = {.lex_state = 0, .external_lex_state = 37},
  [9563] = {.lex_state = 0, .external_lex_state = 28},
  [9564] = {.lex_state = 0, .external_lex_state = 28},
  [9565] = {.lex_state = 0, .external_lex_state = 28},
  [9566] = {.lex_state = 0, .external_lex_state = 37},
  [9567] = {.lex_state = 333, .external_lex_state = 28},
  [9568] = {.lex_state = 0, .external_lex_state = 37},
  [9569] = {.lex_state = 0, .external_lex_state = 37},
  [9570] = {.lex_state = 0, .external_lex_state = 37},
  [9571] = {.lex_state = 0, .external_lex_state = 37},
  [9572] = {.lex_state = 333, .external_lex_state = 28},
  [9573] = {.lex_state = 0, .external_lex_state = 28},
  [9574] = {.lex_state = 0, .external_lex_state = 28},
  [9575] = {.lex_state = 0, .external_lex_state = 28},
  [9576] = {.lex_state = 0, .external_lex_state = 37},
  [9577] = {.lex_state = 333, .external_lex_state = 28},
  [9578] = {.lex_state = 333, .external_lex_state = 28},
  [9579] = {.lex_state = 333, .external_lex_state = 28},
  [9580] = {.lex_state = 0, .external_lex_state = 28},
  [9581] = {.lex_state = 0, .external_lex_state = 37},
  [9582] = {.lex_state = 333, .external_lex_state = 28},
  [9583] = {.lex_state = 0, .external_lex_state = 28},
  [9584] = {.lex_state = 0, .external_lex_state = 28},
  [9585] = {.lex_state = 0, .external_lex_state = 37},
  [9586] = {.lex_state = 0, .external_lex_state = 37},
  [9587] = {.lex_state = 0, .external_lex_state = 37},
  [9588] = {.lex_state = 333, .external_lex_state = 28},
  [9589] = {.lex_state = 0, .external_lex_state = 37},
  [9590] = {.lex_state = 0, .external_lex_state = 37},
  [9591] = {.lex_state = 333, .external_lex_state = 28},
  [9592] = {.lex_state = 0, .external_lex_state = 37},
  [9593] = {.lex_state = 0, .external_lex_state = 37},
  [9594] = {.lex_state = 0, .external_lex_state = 28},
  [9595] = {.lex_state = 333, .external_lex_state = 28},
  [9596] = {.lex_state = 0, .external_lex_state = 28},
  [9597] = {.lex_state = 0, .external_lex_state = 37},
  [9598] = {.lex_state = 0, .external_lex_state = 28},
  [9599] = {.lex_state = 0, .external_lex_state = 28},
  [9600] = {.lex_state = 0, .external_lex_state = 28},
  [9601] = {.lex_state = 0, .external_lex_state = 38},
  [9602] = {.lex_state = 0, .external_lex_state = 37},
  [9603] = {.lex_state = 333, .external_lex_state = 38},
  [9604] = {.lex_state = 0, .external_lex_state = 28},
  [9605] = {.lex_state = 0, .external_lex_state = 28},
  [9606] = {.lex_state = 0, .external_lex_state = 28},
  [9607] = {.lex_state = 0, .external_lex_state = 37},
  [9608] = {.lex_state = 0, .external_lex_state = 28},
  [9609] = {.lex_state = 0, .external_lex_state = 28},
  [9610] = {.lex_state = 0, .external_lex_state = 37},
  [9611] = {.lex_state = 0, .external_lex_state = 37},
  [9612] = {.lex_state = 0, .external_lex_state = 28},
  [9613] = {.lex_state = 0, .external_lex_state = 28},
  [9614] = {.lex_state = 0, .external_lex_state = 28},
  [9615] = {.lex_state = 0, .external_lex_state = 37},
  [9616] = {.lex_state = 333, .external_lex_state = 28},
  [9617] = {.lex_state = 333, .external_lex_state = 28},
  [9618] = {.lex_state = 333, .external_lex_state = 28},
  [9619] = {.lex_state = 0, .external_lex_state = 37},
  [9620] = {.lex_state = 333, .external_lex_state = 28},
  [9621] = {.lex_state = 0, .external_lex_state = 37},
  [9622] = {.lex_state = 0, .external_lex_state = 28},
  [9623] = {.lex_state = 0, .external_lex_state = 37},
  [9624] = {.lex_state = 0, .external_lex_state = 28},
  [9625] = {.lex_state = 0, .external_lex_state = 37},
  [9626] = {.lex_state = 0, .external_lex_state = 37},
  [9627] = {.lex_state = 0, .external_lex_state = 37},
  [9628] = {.lex_state = 333, .external_lex_state = 28},
  [9629] = {.lex_state = 333, .external_lex_state = 28},
  [9630] = {.lex_state = 333, .external_lex_state = 28},
  [9631] = {.lex_state = 333, .external_lex_state = 28},
  [9632] = {.lex_state = 0, .external_lex_state = 28},
  [9633] = {.lex_state = 333, .external_lex_state = 28},
  [9634] = {.lex_state = 0, .external_lex_state = 28},
  [9635] = {.lex_state = 0, .external_lex_state = 37},
  [9636] = {.lex_state = 12, .external_lex_state = 28},
  [9637] = {.lex_state = 0, .external_lex_state = 37},
  [9638] = {.lex_state = 32, .external_lex_state = 28},
  [9639] = {.lex_state = 0, .external_lex_state = 28},
  [9640] = {.lex_state = 333, .external_lex_state = 28},
  [9641] = {.lex_state = 333, .external_lex_state = 28},
  [9642] = {.lex_state = 0, .external_lex_state = 28},
  [9643] = {.lex_state = 0, .external_lex_state = 37},
  [9644] = {.lex_state = 0, .external_lex_state = 37},
  [9645] = {.lex_state = 0, .external_lex_state = 28},
  [9646] = {.lex_state = 0, .external_lex_state = 37},
  [9647] = {.lex_state = 12, .external_lex_state = 28},
  [9648] = {.lex_state = 0, .external_lex_state = 28},
  [9649] = {.lex_state = 0, .external_lex_state = 37},
  [9650] = {.lex_state = 0, .external_lex_state = 28},
  [9651] = {.lex_state = 333, .external_lex_state = 28},
  [9652] = {.lex_state = 0, .external_lex_state = 37},
  [9653] = {.lex_state = 0, .external_lex_state = 28},
  [9654] = {.lex_state = 0, .external_lex_state = 37},
  [9655] = {.lex_state = 333, .external_lex_state = 28},
  [9656] = {.lex_state = 0, .external_lex_state = 37},
  [9657] = {.lex_state = 0, .external_lex_state = 37},
  [9658] = {.lex_state = 0, .external_lex_state = 38},
  [9659] = {.lex_state = 0, .external_lex_state = 37},
  [9660] = {.lex_state = 333, .external_lex_state = 28},
  [9661] = {.lex_state = 333, .external_lex_state = 28},
  [9662] = {.lex_state = 0, .external_lex_state = 28},
  [9663] = {.lex_state = 0, .external_lex_state = 28},
  [9664] = {.lex_state = 0, .external_lex_state = 28},
  [9665] = {.lex_state = 32, .external_lex_state = 28},
  [9666] = {.lex_state = 0, .external_lex_state = 28},
  [9667] = {.lex_state = 0, .external_lex_state = 37},
  [9668] = {.lex_state = 333, .external_lex_state = 28},
  [9669] = {.lex_state = 0, .external_lex_state = 28},
  [9670] = {.lex_state = 333, .external_lex_state = 28},
  [9671] = {.lex_state = 0, .external_lex_state = 37},
  [9672] = {.lex_state = 0, .external_lex_state = 37},
  [9673] = {.lex_state = 0, .external_lex_state = 28},
  [9674] = {.lex_state = 0, .external_lex_state = 37},
  [9675] = {.lex_state = 0, .external_lex_state = 37},
  [9676] = {.lex_state = 0, .external_lex_state = 38},
  [9677] = {.lex_state = 0, .external_lex_state = 37},
  [9678] = {.lex_state = 0, .external_lex_state = 28},
  [9679] = {.lex_state = 0, .external_lex_state = 37},
  [9680] = {.lex_state = 333, .external_lex_state = 28},
  [9681] = {.lex_state = 0, .external_lex_state = 28},
  [9682] = {.lex_state = 0, .external_lex_state = 28},
  [9683] = {.lex_state = 0, .external_lex_state = 28},
  [9684] = {.lex_state = 0, .external_lex_state = 28},
  [9685] = {.lex_state = 0, .external_lex_state = 28},
  [9686] = {.lex_state = 333, .external_lex_state = 28},
  [9687] = {.lex_state = 333, .external_lex_state = 28},
  [9688] = {.lex_state = 0, .external_lex_state = 37},
  [9689] = {.lex_state = 0, .external_lex_state = 28},
  [9690] = {.lex_state = 0, .external_lex_state = 28},
  [9691] = {.lex_state = 0, .external_lex_state = 28},
  [9692] = {.lex_state = 0, .external_lex_state = 37},
  [9693] = {.lex_state = 0, .external_lex_state = 38},
  [9694] = {.lex_state = 0, .external_lex_state = 28},
  [9695] = {.lex_state = 0, .external_lex_state = 37},
  [9696] = {.lex_state = 0, .external_lex_state = 28},
  [9697] = {.lex_state = 0, .external_lex_state = 28},
  [9698] = {.lex_state = 333, .external_lex_state = 38},
  [9699] = {.lex_state = 333, .external_lex_state = 38},
  [9700] = {.lex_state = 0, .external_lex_state = 38},
  [9701] = {.lex_state = 333, .external_lex_state = 28},
  [9702] = {.lex_state = 0, .external_lex_state = 28},
  [9703] = {.lex_state = 0, .external_lex_state = 28},
  [9704] = {.lex_state = 0, .external_lex_state = 28},
  [9705] = {.lex_state = 0, .external_lex_state = 28},
  [9706] = {.lex_state = 0, .external_lex_state = 37},
  [9707] = {.lex_state = 333, .external_lex_state = 28},
  [9708] = {.lex_state = 0, .external_lex_state = 28},
  [9709] = {.lex_state = 0, .external_lex_state = 28},
  [9710] = {.lex_state = 0, .external_lex_state = 28},
  [9711] = {.lex_state = 333, .external_lex_state = 28},
  [9712] = {.lex_state = 0, .external_lex_state = 28},
  [9713] = {.lex_state = 0, .external_lex_state = 28},
  [9714] = {.lex_state = 0, .external_lex_state = 28},
  [9715] = {.lex_state = 333, .external_lex_state = 28},
  [9716] = {.lex_state = 0, .external_lex_state = 28},
  [9717] = {.lex_state = 0, .external_lex_state = 28},
  [9718] = {.lex_state = 0, .external_lex_state = 28},
  [9719] = {.lex_state = 0, .external_lex_state = 28},
  [9720] = {.lex_state = 0, .external_lex_state = 28},
  [9721] = {.lex_state = 0, .external_lex_state = 37},
  [9722] = {.lex_state = 0, .external_lex_state = 28},
  [9723] = {.lex_state = 0, .external_lex_state = 37},
  [9724] = {.lex_state = 333, .external_lex_state = 28},
  [9725] = {.lex_state = 0, .external_lex_state = 28},
  [9726] = {.lex_state = 333, .external_lex_state = 28},
  [9727] = {.lex_state = 333, .external_lex_state = 28},
  [9728] = {.lex_state = 0, .external_lex_state = 28},
  [9729] = {.lex_state = 0, .external_lex_state = 37},
  [9730] = {.lex_state = 0, .external_lex_state = 28},
  [9731] = {.lex_state = 333, .external_lex_state = 28},
  [9732] = {.lex_state = 0, .external_lex_state = 28},
  [9733] = {.lex_state = 0, .external_lex_state = 28},
  [9734] = {.lex_state = 0, .external_lex_state = 28},
  [9735] = {.lex_state = 0, .external_lex_state = 37},
  [9736] = {.lex_state = 333, .external_lex_state = 28},
  [9737] = {.lex_state = 0, .external_lex_state = 37},
  [9738] = {.lex_state = 0, .external_lex_state = 37},
  [9739] = {.lex_state = 0, .external_lex_state = 37},
  [9740] = {.lex_state = 0, .external_lex_state = 37},
  [9741] = {.lex_state = 333, .external_lex_state = 28},
  [9742] = {.lex_state = 0, .external_lex_state = 28},
  [9743] = {.lex_state = 0, .external_lex_state = 37},
  [9744] = {.lex_state = 333, .external_lex_state = 28},
  [9745] = {.lex_state = 0, .external_lex_state = 28},
  [9746] = {.lex_state = 333, .external_lex_state = 28},
  [9747] = {.lex_state = 0, .external_lex_state = 28},
  [9748] = {.lex_state = 0, .external_lex_state = 28},
  [9749] = {.lex_state = 0, .external_lex_state = 28},
  [9750] = {.lex_state = 333, .external_lex_state = 28},
  [9751] = {.lex_state = 0, .external_lex_state = 28},
  [9752] = {.lex_state = 333, .external_lex_state = 28},
  [9753] = {.lex_state = 32, .external_lex_state = 28},
  [9754] = {.lex_state = 333, .external_lex_state = 28},
  [9755] = {.lex_state = 0, .external_lex_state = 37},
  [9756] = {.lex_state = 0, .external_lex_state = 37},
  [9757] = {.lex_state = 0, .external_lex_state = 37},
  [9758] = {.lex_state = 333, .external_lex_state = 28},
  [9759] = {.lex_state = 0, .external_lex_state = 37},
  [9760] = {.lex_state = 333, .external_lex_state = 28},
  [9761] = {.lex_state = 0, .external_lex_state = 28},
  [9762] = {.lex_state = 333, .external_lex_state = 28},
  [9763] = {.lex_state = 0, .external_lex_state = 28},
  [9764] = {.lex_state = 333, .external_lex_state = 28},
  [9765] = {.lex_state = 0, .external_lex_state = 37},
  [9766] = {.lex_state = 0, .external_lex_state = 37},
  [9767] = {.lex_state = 0, .external_lex_state = 28},
  [9768] = {.lex_state = 333, .external_lex_state = 28},
  [9769] = {.lex_state = 0, .external_lex_state = 37},
  [9770] = {.lex_state = 0, .external_lex_state = 28},
  [9771] = {.lex_state = 0, .external_lex_state = 37},
  [9772] = {.lex_state = 0, .external_lex_state = 37},
  [9773] = {.lex_state = 0, .external_lex_state = 28},
  [9774] = {.lex_state = 0, .external_lex_state = 28},
  [9775] = {.lex_state = 0, .external_lex_state = 28},
  [9776] = {.lex_state = 333, .external_lex_state = 28},
  [9777] = {.lex_state = 333, .external_lex_state = 28},
  [9778] = {.lex_state = 333, .external_lex_state = 28},
  [9779] = {.lex_state = 333, .external_lex_state = 28},
  [9780] = {.lex_state = 333, .external_lex_state = 28},
  [9781] = {.lex_state = 333, .external_lex_state = 28},
  [9782] = {.lex_state = 333, .external_lex_state = 28},
  [9783] = {.lex_state = 333, .external_lex_state = 28},
  [9784] = {.lex_state = 333, .external_lex_state = 28},
  [9785] = {.lex_state = 333, .external_lex_state = 28},
  [9786] = {.lex_state = 333, .external_lex_state = 28},
  [9787] = {.lex_state = 0, .external_lex_state = 28},
  [9788] = {.lex_state = 0, .external_lex_state = 28},
  [9789] = {.lex_state = 0, .external_lex_state = 28},
  [9790] = {.lex_state = 0, .external_lex_state = 37},
  [9791] = {.lex_state = 32, .external_lex_state = 28},
  [9792] = {.lex_state = 0, .external_lex_state = 37},
  [9793] = {.lex_state = 32, .external_lex_state = 28},
  [9794] = {.lex_state = 333, .external_lex_state = 28},
  [9795] = {.lex_state = 0, .external_lex_state = 28},
  [9796] = {.lex_state = 0, .external_lex_state = 28},
  [9797] = {.lex_state = 0, .external_lex_state = 28},
  [9798] = {.lex_state = 0, .external_lex_state = 37},
  [9799] = {.lex_state = 0, .external_lex_state = 37},
  [9800] = {.lex_state = 0, .external_lex_state = 37},
  [9801] = {.lex_state = 0, .external_lex_state = 28},
  [9802] = {.lex_state = 333, .external_lex_state = 28},
  [9803] = {.lex_state = 0, .external_lex_state = 28},
  [9804] = {.lex_state = 333, .external_lex_state = 28},
  [9805] = {.lex_state = 333, .external_lex_state = 28},
  [9806] = {.lex_state = 0, .external_lex_state = 37},
  [9807] = {.lex_state = 0, .external_lex_state = 28},
  [9808] = {.lex_state = 32, .external_lex_state = 28},
  [9809] = {.lex_state = 0, .external_lex_state = 28},
  [9810] = {.lex_state = 333, .external_lex_state = 28},
  [9811] = {.lex_state = 0, .external_lex_state = 37},
  [9812] = {.lex_state = 0, .external_lex_state = 28},
  [9813] = {.lex_state = 0, .external_lex_state = 37},
  [9814] = {.lex_state = 0, .external_lex_state = 37},
  [9815] = {.lex_state = 0, .external_lex_state = 28},
  [9816] = {.lex_state = 0, .external_lex_state = 37},
  [9817] = {.lex_state = 0, .external_lex_state = 28},
  [9818] = {.lex_state = 0, .external_lex_state = 37},
  [9819] = {.lex_state = 333, .external_lex_state = 28},
  [9820] = {.lex_state = 0, .external_lex_state = 28},
  [9821] = {.lex_state = 0, .external_lex_state = 37},
  [9822] = {.lex_state = 333, .external_lex_state = 28},
  [9823] = {.lex_state = 0, .external_lex_state = 28},
  [9824] = {.lex_state = 0, .external_lex_state = 28},
  [9825] = {.lex_state = 333, .external_lex_state = 28},
  [9826] = {.lex_state = 0, .external_lex_state = 28},
  [9827] = {.lex_state = 0, .external_lex_state = 28},
  [9828] = {.lex_state = 0, .external_lex_state = 28},
  [9829] = {.lex_state = 333, .external_lex_state = 28},
  [9830] = {.lex_state = 0, .external_lex_state = 37},
  [9831] = {.lex_state = 0, .external_lex_state = 37},
  [9832] = {.lex_state = 0, .external_lex_state = 28},
  [9833] = {.lex_state = 32, .external_lex_state = 28},
  [9834] = {.lex_state = 32, .external_lex_state = 28},
  [9835] = {.lex_state = 0, .external_lex_state = 28},
  [9836] = {.lex_state = 0, .external_lex_state = 28},
  [9837] = {.lex_state = 0, .external_lex_state = 28},
  [9838] = {.lex_state = 333, .external_lex_state = 28},
  [9839] = {.lex_state = 0, .external_lex_state = 28},
  [9840] = {.lex_state = 0, .external_lex_state = 28},
  [9841] = {.lex_state = 0, .external_lex_state = 28},
  [9842] = {.lex_state = 0, .external_lex_state = 37},
  [9843] = {.lex_state = 0, .external_lex_state = 37},
  [9844] = {.lex_state = 0, .external_lex_state = 37},
  [9845] = {.lex_state = 0, .external_lex_state = 37},
  [9846] = {.lex_state = 0, .external_lex_state = 37},
  [9847] = {.lex_state = 333, .external_lex_state = 28},
  [9848] = {.lex_state = 32, .external_lex_state = 28},
  [9849] = {.lex_state = 0, .external_lex_state = 37},
  [9850] = {.lex_state = 0, .external_lex_state = 37},
  [9851] = {.lex_state = 333, .external_lex_state = 28},
  [9852] = {.lex_state = 32, .external_lex_state = 28},
  [9853] = {.lex_state = 333, .external_lex_state = 28},
  [9854] = {.lex_state = 0, .external_lex_state = 37},
  [9855] = {.lex_state = 0, .external_lex_state = 28},
  [9856] = {.lex_state = 333, .external_lex_state = 28},
  [9857] = {.lex_state = 0, .external_lex_state = 28},
  [9858] = {.lex_state = 0, .external_lex_state = 28},
  [9859] = {.lex_state = 45, .external_lex_state = 28},
  [9860] = {.lex_state = 0, .external_lex_state = 37},
  [9861] = {.lex_state = 32, .external_lex_state = 28},
  [9862] = {.lex_state = 0, .external_lex_state = 28},
  [9863] = {.lex_state = 0, .external_lex_state = 28},
  [9864] = {.lex_state = 0, .external_lex_state = 37},
  [9865] = {.lex_state = 0, .external_lex_state = 28},
  [9866] = {.lex_state = 333, .external_lex_state = 28},
  [9867] = {.lex_state = 0, .external_lex_state = 28},
  [9868] = {.lex_state = 32, .external_lex_state = 28},
  [9869] = {.lex_state = 333, .external_lex_state = 28},
  [9870] = {.lex_state = 333, .external_lex_state = 28},
  [9871] = {.lex_state = 0, .external_lex_state = 28},
  [9872] = {.lex_state = 0, .external_lex_state = 28},
  [9873] = {.lex_state = 0, .external_lex_state = 28},
  [9874] = {.lex_state = 333, .external_lex_state = 28},
  [9875] = {.lex_state = 0, .external_lex_state = 28},
  [9876] = {.lex_state = 0, .external_lex_state = 28},
  [9877] = {.lex_state = 0, .external_lex_state = 28},
  [9878] = {.lex_state = 0, .external_lex_state = 28},
  [9879] = {.lex_state = 333, .external_lex_state = 28},
  [9880] = {.lex_state = 0, .external_lex_state = 37},
  [9881] = {.lex_state = 0, .external_lex_state = 28},
  [9882] = {.lex_state = 0, .external_lex_state = 28},
  [9883] = {.lex_state = 0, .external_lex_state = 28},
  [9884] = {.lex_state = 0, .external_lex_state = 37},
  [9885] = {.lex_state = 0, .external_lex_state = 28},
  [9886] = {.lex_state = 0, .external_lex_state = 37},
  [9887] = {.lex_state = 333, .external_lex_state = 28},
  [9888] = {.lex_state = 32, .external_lex_state = 28},
  [9889] = {.lex_state = 333, .external_lex_state = 28},
  [9890] = {.lex_state = 0, .external_lex_state = 28},
  [9891] = {.lex_state = 32, .external_lex_state = 28},
  [9892] = {.lex_state = 0, .external_lex_state = 28},
  [9893] = {.lex_state = 32, .external_lex_state = 28},
  [9894] = {.lex_state = 0, .external_lex_state = 28},
  [9895] = {.lex_state = 32, .external_lex_state = 28},
  [9896] = {.lex_state = 0, .external_lex_state = 28},
  [9897] = {.lex_state = 0, .external_lex_state = 37},
  [9898] = {.lex_state = 0, .external_lex_state = 28},
  [9899] = {.lex_state = 0, .external_lex_state = 28},
  [9900] = {.lex_state = 333, .external_lex_state = 28},
  [9901] = {.lex_state = 333, .external_lex_state = 28},
  [9902] = {.lex_state = 32, .external_lex_state = 28},
  [9903] = {.lex_state = 32, .external_lex_state = 28},
  [9904] = {.lex_state = 0, .external_lex_state = 28},
  [9905] = {.lex_state = 45, .external_lex_state = 28},
  [9906] = {.lex_state = 0, .external_lex_state = 28},
  [9907] = {.lex_state = 333, .external_lex_state = 28},
  [9908] = {.lex_state = 0, .external_lex_state = 28},
  [9909] = {.lex_state = 0, .external_lex_state = 28},
  [9910] = {.lex_state = 333, .external_lex_state = 28},
  [9911] = {.lex_state = 32, .external_lex_state = 28},
  [9912] = {.lex_state = 0, .external_lex_state = 37},
  [9913] = {.lex_state = 333, .external_lex_state = 28},
  [9914] = {.lex_state = 0, .external_lex_state = 28},
  [9915] = {.lex_state = 0, .external_lex_state = 28},
  [9916] = {.lex_state = 0, .external_lex_state = 28},
  [9917] = {.lex_state = 333, .external_lex_state = 28},
  [9918] = {.lex_state = 32, .external_lex_state = 28},
  [9919] = {.lex_state = 32, .external_lex_state = 28},
  [9920] = {.lex_state = 333, .external_lex_state = 28},
  [9921] = {.lex_state = 333, .external_lex_state = 28},
  [9922] = {.lex_state = 0, .external_lex_state = 37},
  [9923] = {.lex_state = 0, .external_lex_state = 28},
  [9924] = {.lex_state = 333, .external_lex_state = 28},
  [9925] = {.lex_state = 0, .external_lex_state = 28},
  [9926] = {.lex_state = 0, .external_lex_state = 28},
  [9927] = {.lex_state = 0, .external_lex_state = 28},
  [9928] = {.lex_state = 45, .external_lex_state = 28},
  [9929] = {.lex_state = 333, .external_lex_state = 28},
  [9930] = {.lex_state = 32, .external_lex_state = 28},
  [9931] = {.lex_state = 0, .external_lex_state = 28},
  [9932] = {.lex_state = 0, .external_lex_state = 28},
  [9933] = {.lex_state = 32, .external_lex_state = 28},
  [9934] = {.lex_state = 0, .external_lex_state = 28},
  [9935] = {.lex_state = 0, .external_lex_state = 37},
  [9936] = {.lex_state = 0, .external_lex_state = 28},
  [9937] = {.lex_state = 0, .external_lex_state = 28},
  [9938] = {.lex_state = 0, .external_lex_state = 28},
  [9939] = {.lex_state = 0, .external_lex_state = 37},
  [9940] = {.lex_state = 0, .external_lex_state = 28},
  [9941] = {.lex_state = 0, .external_lex_state = 37},
  [9942] = {.lex_state = 32, .external_lex_state = 28},
  [9943] = {.lex_state = 32, .external_lex_state = 28},
  [9944] = {.lex_state = 333, .external_lex_state = 28},
  [9945] = {.lex_state = 0, .external_lex_state = 28},
  [9946] = {.lex_state = 0, .external_lex_state = 28},
  [9947] = {.lex_state = 0, .external_lex_state = 28},
  [9948] = {.lex_state = 0, .external_lex_state = 37},
  [9949] = {.lex_state = 0, .external_lex_state = 28},
  [9950] = {.lex_state = 0, .external_lex_state = 28},
  [9951] = {.lex_state = 45, .external_lex_state = 28},
  [9952] = {.lex_state = 0, .external_lex_state = 28},
  [9953] = {.lex_state = 0, .external_lex_state = 37},
  [9954] = {.lex_state = 38, .external_lex_state = 26},
  [9955] = {.lex_state = 0, .external_lex_state = 28},
  [9956] = {.lex_state = 0, .external_lex_state = 28},
  [9957] = {.lex_state = 45, .external_lex_state = 28},
  [9958] = {.lex_state = 0, .external_lex_state = 28},
  [9959] = {.lex_state = 0, .external_lex_state = 28},
  [9960] = {.lex_state = 0, .external_lex_state = 28},
  [9961] = {.lex_state = 38, .external_lex_state = 26},
  [9962] = {.lex_state = 0, .external_lex_state = 28},
  [9963] = {.lex_state = 0, .external_lex_state = 37},
  [9964] = {.lex_state = 0, .external_lex_state = 28},
  [9965] = {.lex_state = 0, .external_lex_state = 28},
  [9966] = {.lex_state = 333, .external_lex_state = 28},
  [9967] = {.lex_state = 0, .external_lex_state = 28},
  [9968] = {.lex_state = 0, .external_lex_state = 37},
  [9969] = {.lex_state = 32, .external_lex_state = 28},
  [9970] = {.lex_state = 0, .external_lex_state = 38},
  [9971] = {.lex_state = 0, .external_lex_state = 38},
  [9972] = {.lex_state = 32, .external_lex_state = 28},
  [9973] = {.lex_state = 333, .external_lex_state = 28},
  [9974] = {.lex_state = 0, .external_lex_state = 28},
  [9975] = {.lex_state = 333, .external_lex_state = 28},
  [9976] = {.lex_state = 333, .external_lex_state = 28},
  [9977] = {.lex_state = 0, .external_lex_state = 28},
  [9978] = {.lex_state = 45, .external_lex_state = 28},
  [9979] = {.lex_state = 0, .external_lex_state = 28},
  [9980] = {.lex_state = 0, .external_lex_state = 28},
  [9981] = {.lex_state = 0, .external_lex_state = 37},
  [9982] = {.lex_state = 0, .external_lex_state = 37},
  [9983] = {.lex_state = 0, .external_lex_state = 28},
  [9984] = {.lex_state = 0, .external_lex_state = 28},
  [9985] = {.lex_state = 32, .external_lex_state = 28},
  [9986] = {.lex_state = 0, .external_lex_state = 28},
  [9987] = {.lex_state = 32, .external_lex_state = 28},
  [9988] = {.lex_state = 0, .external_lex_state = 28},
  [9989] = {.lex_state = 0, .external_lex_state = 37},
  [9990] = {.lex_state = 0, .external_lex_state = 37},
  [9991] = {.lex_state = 333, .external_lex_state = 28},
  [9992] = {.lex_state = 0, .external_lex_state = 28},
  [9993] = {.lex_state = 0, .external_lex_state = 37},
  [9994] = {.lex_state = 45, .external_lex_state = 28},
  [9995] = {.lex_state = 0, .external_lex_state = 28},
  [9996] = {.lex_state = 32, .external_lex_state = 28},
  [9997] = {.lex_state = 0, .external_lex_state = 28},
  [9998] = {.lex_state = 32, .external_lex_state = 28},
  [9999] = {.lex_state = 0, .external_lex_state = 28},
  [10000] = {.lex_state = 333, .external_lex_state = 28},
  [10001] = {.lex_state = 0, .external_lex_state = 28},
  [10002] = {.lex_state = 0, .external_lex_state = 28},
  [10003] = {.lex_state = 0, .external_lex_state = 28},
  [10004] = {.lex_state = 0, .external_lex_state = 28},
  [10005] = {.lex_state = 0, .external_lex_state = 28},
  [10006] = {.lex_state = 0, .external_lex_state = 28},
  [10007] = {.lex_state = 0, .external_lex_state = 37},
  [10008] = {.lex_state = 0, .external_lex_state = 28},
  [10009] = {.lex_state = 45, .external_lex_state = 28},
  [10010] = {.lex_state = 45, .external_lex_state = 28},
  [10011] = {.lex_state = 0, .external_lex_state = 28},
  [10012] = {.lex_state = 333, .external_lex_state = 28},
  [10013] = {.lex_state = 333, .external_lex_state = 28},
  [10014] = {.lex_state = 0, .external_lex_state = 28},
  [10015] = {.lex_state = 32, .external_lex_state = 28},
  [10016] = {.lex_state = 0, .external_lex_state = 28},
  [10017] = {.lex_state = 32, .external_lex_state = 28},
  [10018] = {.lex_state = 0, .external_lex_state = 28},
  [10019] = {.lex_state = 32, .external_lex_state = 28},
  [10020] = {.lex_state = 0, .external_lex_state = 28},
  [10021] = {.lex_state = 0, .external_lex_state = 28},
  [10022] = {.lex_state = 32, .external_lex_state = 28},
  [10023] = {.lex_state = 0, .external_lex_state = 37},
  [10024] = {.lex_state = 333, .external_lex_state = 28},
  [10025] = {.lex_state = 0, .external_lex_state = 28},
  [10026] = {.lex_state = 32, .external_lex_state = 28},
  [10027] = {.lex_state = 0, .external_lex_state = 37},
  [10028] = {.lex_state = 0, .external_lex_state = 28},
  [10029] = {.lex_state = 0, .external_lex_state = 37},
  [10030] = {.lex_state = 0, .external_lex_state = 38},
  [10031] = {.lex_state = 0, .external_lex_state = 28},
  [10032] = {.lex_state = 45, .external_lex_state = 28},
  [10033] = {.lex_state = 0, .external_lex_state = 28},
  [10034] = {.lex_state = 0, .external_lex_state = 38},
  [10035] = {.lex_state = 0, .external_lex_state = 37},
  [10036] = {.lex_state = 0, .external_lex_state = 28},
  [10037] = {.lex_state = 0, .external_lex_state = 28},
  [10038] = {.lex_state = 32, .external_lex_state = 28},
  [10039] = {.lex_state = 32, .external_lex_state = 28},
  [10040] = {.lex_state = 0, .external_lex_state = 28},
  [10041] = {.lex_state = 0, .external_lex_state = 37},
  [10042] = {.lex_state = 333, .external_lex_state = 28},
  [10043] = {.lex_state = 0, .external_lex_state = 28},
  [10044] = {.lex_state = 0, .external_lex_state = 37},
  [10045] = {.lex_state = 32, .external_lex_state = 28},
  [10046] = {.lex_state = 0, .external_lex_state = 28},
  [10047] = {.lex_state = 0, .external_lex_state = 37},
  [10048] = {.lex_state = 32, .external_lex_state = 28},
  [10049] = {.lex_state = 0, .external_lex_state = 28},
  [10050] = {.lex_state = 333, .external_lex_state = 28},
  [10051] = {.lex_state = 32, .external_lex_state = 28},
  [10052] = {.lex_state = 32, .external_lex_state = 28},
  [10053] = {.lex_state = 333, .external_lex_state = 28},
  [10054] = {.lex_state = 0, .external_lex_state = 28},
  [10055] = {.lex_state = 333, .external_lex_state = 28},
  [10056] = {.lex_state = 0, .external_lex_state = 28},
  [10057] = {.lex_state = 45, .external_lex_state = 28},
  [10058] = {.lex_state = 0, .external_lex_state = 28},
  [10059] = {.lex_state = 32, .external_lex_state = 28},
  [10060] = {.lex_state = 0, .external_lex_state = 28},
  [10061] = {.lex_state = 0, .external_lex_state = 28},
  [10062] = {.lex_state = 0, .external_lex_state = 37},
  [10063] = {.lex_state = 333, .external_lex_state = 28},
  [10064] = {.lex_state = 0, .external_lex_state = 37},
  [10065] = {.lex_state = 0, .external_lex_state = 28},
  [10066] = {.lex_state = 0, .external_lex_state = 28},
  [10067] = {.lex_state = 0, .external_lex_state = 37},
  [10068] = {.lex_state = 0, .external_lex_state = 37},
  [10069] = {.lex_state = 333, .external_lex_state = 28},
  [10070] = {.lex_state = 0, .external_lex_state = 28},
  [10071] = {.lex_state = 32, .external_lex_state = 28},
  [10072] = {.lex_state = 333, .external_lex_state = 28},
  [10073] = {.lex_state = 32, .external_lex_state = 28},
  [10074] = {.lex_state = 0, .external_lex_state = 28},
  [10075] = {.lex_state = 333, .external_lex_state = 28},
  [10076] = {.lex_state = 0, .external_lex_state = 28},
  [10077] = {.lex_state = 333, .external_lex_state = 28},
  [10078] = {.lex_state = 0, .external_lex_state = 37},
  [10079] = {.lex_state = 333, .external_lex_state = 28},
  [10080] = {.lex_state = 0, .external_lex_state = 28},
  [10081] = {.lex_state = 0, .external_lex_state = 37},
  [10082] = {.lex_state = 45, .external_lex_state = 28},
  [10083] = {.lex_state = 0, .external_lex_state = 28},
  [10084] = {.lex_state = 32, .external_lex_state = 28},
  [10085] = {.lex_state = 32, .external_lex_state = 28},
  [10086] = {.lex_state = 32, .external_lex_state = 28},
  [10087] = {.lex_state = 32, .external_lex_state = 28},
  [10088] = {.lex_state = 32, .external_lex_state = 28},
  [10089] = {.lex_state = 0, .external_lex_state = 28},
  [10090] = {.lex_state = 0, .external_lex_state = 28},
  [10091] = {.lex_state = 0, .external_lex_state = 28},
  [10092] = {.lex_state = 0, .external_lex_state = 37},
  [10093] = {.lex_state = 0, .external_lex_state = 37},
  [10094] = {.lex_state = 0, .external_lex_state = 28},
  [10095] = {.lex_state = 0, .external_lex_state = 28},
  [10096] = {.lex_state = 0, .external_lex_state = 37},
  [10097] = {.lex_state = 0, .external_lex_state = 28},
  [10098] = {.lex_state = 0, .external_lex_state = 37},
  [10099] = {.lex_state = 333, .external_lex_state = 28},
  [10100] = {.lex_state = 32, .external_lex_state = 28},
  [10101] = {.lex_state = 0, .external_lex_state = 28},
  [10102] = {.lex_state = 32, .external_lex_state = 28},
  [10103] = {.lex_state = 0, .external_lex_state = 28},
  [10104] = {.lex_state = 0, .external_lex_state = 28},
  [10105] = {.lex_state = 0, .external_lex_state = 28},
  [10106] = {.lex_state = 333, .external_lex_state = 28},
  [10107] = {.lex_state = 0, .external_lex_state = 28},
  [10108] = {.lex_state = 32, .external_lex_state = 28},
  [10109] = {.lex_state = 0, .external_lex_state = 28},
  [10110] = {.lex_state = 0, .external_lex_state = 28},
  [10111] = {.lex_state = 0, .external_lex_state = 28},
  [10112] = {.lex_state = 0, .external_lex_state = 28},
  [10113] = {.lex_state = 0, .external_lex_state = 28},
  [10114] = {.lex_state = 38, .external_lex_state = 26},
  [10115] = {.lex_state = 0, .external_lex_state = 28},
  [10116] = {.lex_state = 0, .external_lex_state = 28},
  [10117] = {.lex_state = 0, .external_lex_state = 37},
  [10118] = {.lex_state = 0, .external_lex_state = 28},
  [10119] = {.lex_state = 32, .external_lex_state = 28},
  [10120] = {.lex_state = 32, .external_lex_state = 28},
  [10121] = {.lex_state = 0, .external_lex_state = 28},
  [10122] = {.lex_state = 32, .external_lex_state = 28},
  [10123] = {.lex_state = 0, .external_lex_state = 28},
  [10124] = {.lex_state = 32, .external_lex_state = 28},
  [10125] = {.lex_state = 0, .external_lex_state = 28},
  [10126] = {.lex_state = 0, .external_lex_state = 28},
  [10127] = {.lex_state = 0, .external_lex_state = 28},
  [10128] = {.lex_state = 0, .external_lex_state = 28},
  [10129] = {.lex_state = 0, .external_lex_state = 28},
  [10130] = {.lex_state = 0, .external_lex_state = 28},
  [10131] = {.lex_state = 32, .external_lex_state = 28},
  [10132] = {.lex_state = 333, .external_lex_state = 28},
  [10133] = {.lex_state = 0, .external_lex_state = 28},
  [10134] = {.lex_state = 0, .external_lex_state = 28},
  [10135] = {.lex_state = 0, .external_lex_state = 28},
  [10136] = {.lex_state = 0, .external_lex_state = 28},
  [10137] = {.lex_state = 0, .external_lex_state = 28},
  [10138] = {.lex_state = 0, .external_lex_state = 28},
  [10139] = {.lex_state = 0, .external_lex_state = 28},
  [10140] = {.lex_state = 0, .external_lex_state = 28},
  [10141] = {.lex_state = 32, .external_lex_state = 28},
  [10142] = {.lex_state = 0, .external_lex_state = 28},
  [10143] = {.lex_state = 0, .external_lex_state = 28},
  [10144] = {.lex_state = 333, .external_lex_state = 28},
  [10145] = {.lex_state = 0, .external_lex_state = 28},
  [10146] = {.lex_state = 32, .external_lex_state = 28},
  [10147] = {.lex_state = 0, .external_lex_state = 28},
  [10148] = {.lex_state = 0, .external_lex_state = 28},
  [10149] = {.lex_state = 0, .external_lex_state = 37},
  [10150] = {.lex_state = 32, .external_lex_state = 28},
  [10151] = {.lex_state = 333, .external_lex_state = 28},
  [10152] = {.lex_state = 0, .external_lex_state = 37},
  [10153] = {.lex_state = 0, .external_lex_state = 28},
  [10154] = {.lex_state = 0, .external_lex_state = 37},
  [10155] = {.lex_state = 0, .external_lex_state = 28},
  [10156] = {.lex_state = 0, .external_lex_state = 28},
  [10157] = {.lex_state = 0, .external_lex_state = 28},
  [10158] = {.lex_state = 0, .external_lex_state = 28},
  [10159] = {.lex_state = 0, .external_lex_state = 28},
  [10160] = {.lex_state = 0, .external_lex_state = 28},
  [10161] = {.lex_state = 0, .external_lex_state = 28},
  [10162] = {.lex_state = 0, .external_lex_state = 28},
  [10163] = {.lex_state = 32, .external_lex_state = 28},
  [10164] = {.lex_state = 0, .external_lex_state = 28},
  [10165] = {.lex_state = 0, .external_lex_state = 28},
  [10166] = {.lex_state = 0, .external_lex_state = 28},
  [10167] = {.lex_state = 45, .external_lex_state = 28},
  [10168] = {.lex_state = 32, .external_lex_state = 28},
  [10169] = {.lex_state = 0, .external_lex_state = 28},
  [10170] = {.lex_state = 0, .external_lex_state = 28},
  [10171] = {.lex_state = 0, .external_lex_state = 28},
  [10172] = {.lex_state = 0, .external_lex_state = 37},
  [10173] = {.lex_state = 0, .external_lex_state = 37},
  [10174] = {.lex_state = 333, .external_lex_state = 28},
  [10175] = {.lex_state = 0, .external_lex_state = 37},
  [10176] = {.lex_state = 32, .external_lex_state = 28},
  [10177] = {.lex_state = 0, .external_lex_state = 28},
  [10178] = {.lex_state = 0, .external_lex_state = 37},
  [10179] = {.lex_state = 0, .external_lex_state = 28},
  [10180] = {.lex_state = 32, .external_lex_state = 28},
  [10181] = {.lex_state = 0, .external_lex_state = 28},
  [10182] = {.lex_state = 0, .external_lex_state = 28},
  [10183] = {.lex_state = 0, .external_lex_state = 37},
  [10184] = {.lex_state = 0, .external_lex_state = 37},
  [10185] = {.lex_state = 0, .external_lex_state = 28},
  [10186] = {.lex_state = 0, .external_lex_state = 28},
  [10187] = {.lex_state = 0, .external_lex_state = 28},
  [10188] = {.lex_state = 0, .external_lex_state = 37},
  [10189] = {.lex_state = 32, .external_lex_state = 28},
  [10190] = {.lex_state = 32, .external_lex_state = 28},
  [10191] = {.lex_state = 0, .external_lex_state = 28},
  [10192] = {.lex_state = 0, .external_lex_state = 37},
  [10193] = {.lex_state = 0, .external_lex_state = 28},
  [10194] = {.lex_state = 333, .external_lex_state = 28},
  [10195] = {.lex_state = 0, .external_lex_state = 28},
  [10196] = {.lex_state = 0, .external_lex_state = 28},
  [10197] = {.lex_state = 0, .external_lex_state = 37},
  [10198] = {.lex_state = 0, .external_lex_state = 28},
  [10199] = {.lex_state = 0, .external_lex_state = 28},
  [10200] = {.lex_state = 0, .external_lex_state = 28},
  [10201] = {.lex_state = 0, .external_lex_state = 28},
  [10202] = {.lex_state = 0, .external_lex_state = 28},
  [10203] = {.lex_state = 0, .external_lex_state = 37},
  [10204] = {.lex_state = 0, .external_lex_state = 37},
  [10205] = {.lex_state = 333, .external_lex_state = 28},
  [10206] = {.lex_state = 0, .external_lex_state = 28},
  [10207] = {.lex_state = 0, .external_lex_state = 28},
  [10208] = {.lex_state = 32, .external_lex_state = 28},
  [10209] = {.lex_state = 333, .external_lex_state = 28},
  [10210] = {.lex_state = 0, .external_lex_state = 28},
  [10211] = {.lex_state = 0, .external_lex_state = 28},
  [10212] = {.lex_state = 0, .external_lex_state = 28},
  [10213] = {.lex_state = 0, .external_lex_state = 37},
  [10214] = {.lex_state = 0, .external_lex_state = 28},
  [10215] = {.lex_state = 0, .external_lex_state = 28},
  [10216] = {.lex_state = 0, .external_lex_state = 28},
  [10217] = {.lex_state = 32, .external_lex_state = 28},
  [10218] = {.lex_state = 0, .external_lex_state = 28},
  [10219] = {.lex_state = 0, .external_lex_state = 28},
  [10220] = {.lex_state = 0, .external_lex_state = 28},
  [10221] = {.lex_state = 45, .external_lex_state = 28},
  [10222] = {.lex_state = 0, .external_lex_state = 28},
  [10223] = {.lex_state = 0, .external_lex_state = 28},
  [10224] = {.lex_state = 0, .external_lex_state = 28},
  [10225] = {.lex_state = 0, .external_lex_state = 28},
  [10226] = {.lex_state = 0, .external_lex_state = 28},
  [10227] = {.lex_state = 32, .external_lex_state = 28},
  [10228] = {.lex_state = 0, .external_lex_state = 28},
  [10229] = {.lex_state = 38, .external_lex_state = 26},
  [10230] = {.lex_state = 0, .external_lex_state = 28},
  [10231] = {.lex_state = 0, .external_lex_state = 28},
  [10232] = {.lex_state = 0, .external_lex_state = 28},
  [10233] = {.lex_state = 0, .external_lex_state = 28},
  [10234] = {.lex_state = 0, .external_lex_state = 28},
  [10235] = {.lex_state = 0, .external_lex_state = 28},
  [10236] = {.lex_state = 0, .external_lex_state = 37},
  [10237] = {.lex_state = 0, .external_lex_state = 28},
  [10238] = {.lex_state = 0, .external_lex_state = 28},
  [10239] = {.lex_state = 0, .external_lex_state = 28},
  [10240] = {.lex_state = 0, .external_lex_state = 28},
  [10241] = {.lex_state = 0, .external_lex_state = 28},
  [10242] = {.lex_state = 0, .external_lex_state = 28},
  [10243] = {.lex_state = 0, .external_lex_state = 28},
  [10244] = {.lex_state = 0, .external_lex_state = 37},
  [10245] = {.lex_state = 0, .external_lex_state = 28},
  [10246] = {.lex_state = 0, .external_lex_state = 28},
  [10247] = {.lex_state = 0, .external_lex_state = 37},
  [10248] = {.lex_state = 0, .external_lex_state = 28},
  [10249] = {.lex_state = 0, .external_lex_state = 28},
  [10250] = {.lex_state = 0, .external_lex_state = 28},
  [10251] = {.lex_state = 0, .external_lex_state = 37},
  [10252] = {.lex_state = 0, .external_lex_state = 28},
  [10253] = {.lex_state = 0, .external_lex_state = 37},
  [10254] = {.lex_state = 0, .external_lex_state = 28},
  [10255] = {.lex_state = 0, .external_lex_state = 28},
  [10256] = {.lex_state = 32, .external_lex_state = 28},
  [10257] = {.lex_state = 0, .external_lex_state = 28},
  [10258] = {.lex_state = 0, .external_lex_state = 28},
  [10259] = {.lex_state = 32, .external_lex_state = 28},
  [10260] = {.lex_state = 0, .external_lex_state = 28},
  [10261] = {.lex_state = 0, .external_lex_state = 28},
  [10262] = {.lex_state = 32, .external_lex_state = 28},
  [10263] = {.lex_state = 0, .external_lex_state = 28},
  [10264] = {.lex_state = 0, .external_lex_state = 28},
  [10265] = {.lex_state = 0, .external_lex_state = 28},
  [10266] = {.lex_state = 0, .external_lex_state = 38},
  [10267] = {.lex_state = 333, .external_lex_state = 28},
  [10268] = {.lex_state = 0, .external_lex_state = 28},
  [10269] = {.lex_state = 0, .external_lex_state = 28},
  [10270] = {.lex_state = 0, .external_lex_state = 28},
  [10271] = {.lex_state = 0, .external_lex_state = 28},
  [10272] = {.lex_state = 0, .external_lex_state = 28},
  [10273] = {.lex_state = 0, .external_lex_state = 28},
  [10274] = {.lex_state = 0, .external_lex_state = 28},
  [10275] = {.lex_state = 0, .external_lex_state = 28},
  [10276] = {.lex_state = 0, .external_lex_state = 28},
  [10277] = {.lex_state = 0, .external_lex_state = 28},
  [10278] = {.lex_state = 0, .external_lex_state = 37},
  [10279] = {.lex_state = 0, .external_lex_state = 28},
  [10280] = {.lex_state = 333, .external_lex_state = 28},
  [10281] = {.lex_state = 0, .external_lex_state = 28},
  [10282] = {.lex_state = 0, .external_lex_state = 28},
  [10283] = {.lex_state = 0, .external_lex_state = 28},
  [10284] = {.lex_state = 0, .external_lex_state = 28},
  [10285] = {.lex_state = 0, .external_lex_state = 28},
  [10286] = {.lex_state = 0, .external_lex_state = 28},
  [10287] = {.lex_state = 0, .external_lex_state = 28},
  [10288] = {.lex_state = 0, .external_lex_state = 28},
  [10289] = {.lex_state = 0, .external_lex_state = 28},
  [10290] = {.lex_state = 0, .external_lex_state = 28},
  [10291] = {.lex_state = 0, .external_lex_state = 28},
  [10292] = {.lex_state = 0, .external_lex_state = 28},
  [10293] = {.lex_state = 0, .external_lex_state = 28},
  [10294] = {.lex_state = 32, .external_lex_state = 28},
  [10295] = {.lex_state = 0, .external_lex_state = 37},
  [10296] = {.lex_state = 0, .external_lex_state = 28},
  [10297] = {.lex_state = 0, .external_lex_state = 37},
  [10298] = {.lex_state = 0, .external_lex_state = 28},
  [10299] = {.lex_state = 0, .external_lex_state = 37},
  [10300] = {.lex_state = 333, .external_lex_state = 28},
  [10301] = {.lex_state = 32, .external_lex_state = 28},
  [10302] = {.lex_state = 32, .external_lex_state = 28},
  [10303] = {.lex_state = 0, .external_lex_state = 37},
  [10304] = {.lex_state = 0, .external_lex_state = 28},
  [10305] = {.lex_state = 0, .external_lex_state = 28},
  [10306] = {.lex_state = 0, .external_lex_state = 28},
  [10307] = {.lex_state = 0, .external_lex_state = 28},
  [10308] = {.lex_state = 0, .external_lex_state = 28},
  [10309] = {.lex_state = 0, .external_lex_state = 28},
  [10310] = {.lex_state = 0, .external_lex_state = 37},
  [10311] = {.lex_state = 0, .external_lex_state = 28},
  [10312] = {.lex_state = 333, .external_lex_state = 28},
  [10313] = {.lex_state = 0, .external_lex_state = 28},
  [10314] = {.lex_state = 0, .external_lex_state = 28},
  [10315] = {.lex_state = 0, .external_lex_state = 28},
  [10316] = {.lex_state = 0, .external_lex_state = 28},
  [10317] = {.lex_state = 32, .external_lex_state = 28},
  [10318] = {.lex_state = 32, .external_lex_state = 28},
  [10319] = {.lex_state = 0, .external_lex_state = 28},
  [10320] = {.lex_state = 333, .external_lex_state = 28},
  [10321] = {.lex_state = 0, .external_lex_state = 37},
  [10322] = {.lex_state = 32, .external_lex_state = 28},
  [10323] = {.lex_state = 0, .external_lex_state = 28},
  [10324] = {.lex_state = 0, .external_lex_state = 28},
  [10325] = {.lex_state = 32, .external_lex_state = 28},
  [10326] = {.lex_state = 0, .external_lex_state = 28},
  [10327] = {.lex_state = 0, .external_lex_state = 37},
  [10328] = {.lex_state = 0, .external_lex_state = 28},
  [10329] = {.lex_state = 32, .external_lex_state = 28},
  [10330] = {.lex_state = 0, .external_lex_state = 28},
  [10331] = {.lex_state = 0, .external_lex_state = 28},
  [10332] = {.lex_state = 0, .external_lex_state = 28},
  [10333] = {.lex_state = 0, .external_lex_state = 28},
  [10334] = {.lex_state = 0, .external_lex_state = 28},
  [10335] = {.lex_state = 0, .external_lex_state = 28},
  [10336] = {.lex_state = 32, .external_lex_state = 28},
  [10337] = {.lex_state = 0, .external_lex_state = 28},
  [10338] = {.lex_state = 0, .external_lex_state = 28},
  [10339] = {.lex_state = 0, .external_lex_state = 28},
  [10340] = {.lex_state = 0, .external_lex_state = 28},
  [10341] = {.lex_state = 0, .external_lex_state = 28},
  [10342] = {.lex_state = 0, .external_lex_state = 37},
  [10343] = {.lex_state = 0, .external_lex_state = 28},
  [10344] = {.lex_state = 0, .external_lex_state = 28},
  [10345] = {.lex_state = 0, .external_lex_state = 28},
  [10346] = {.lex_state = 0, .external_lex_state = 28},
  [10347] = {.lex_state = 0, .external_lex_state = 28},
  [10348] = {.lex_state = 0, .external_lex_state = 28},
  [10349] = {.lex_state = 0, .external_lex_state = 37},
  [10350] = {.lex_state = 0, .external_lex_state = 28},
  [10351] = {.lex_state = 0, .external_lex_state = 28},
  [10352] = {.lex_state = 0, .external_lex_state = 28},
  [10353] = {.lex_state = 0, .external_lex_state = 37},
  [10354] = {.lex_state = 0, .external_lex_state = 37},
  [10355] = {.lex_state = 0, .external_lex_state = 28},
  [10356] = {.lex_state = 333, .external_lex_state = 28},
  [10357] = {.lex_state = 0, .external_lex_state = 28},
  [10358] = {.lex_state = 0, .external_lex_state = 37},
  [10359] = {.lex_state = 0, .external_lex_state = 28},
  [10360] = {.lex_state = 0, .external_lex_state = 28},
  [10361] = {.lex_state = 0, .external_lex_state = 28},
  [10362] = {.lex_state = 0, .external_lex_state = 28},
  [10363] = {.lex_state = 0, .external_lex_state = 28},
  [10364] = {.lex_state = 333, .external_lex_state = 28},
  [10365] = {.lex_state = 0, .external_lex_state = 28},
  [10366] = {.lex_state = 32, .external_lex_state = 28},
  [10367] = {.lex_state = 0, .external_lex_state = 28},
  [10368] = {.lex_state = 0, .external_lex_state = 28},
  [10369] = {.lex_state = 0, .external_lex_state = 28},
  [10370] = {.lex_state = 0, .external_lex_state = 28},
  [10371] = {.lex_state = 0, .external_lex_state = 37},
  [10372] = {.lex_state = 0, .external_lex_state = 28},
  [10373] = {.lex_state = 0, .external_lex_state = 28},
  [10374] = {.lex_state = 0, .external_lex_state = 28},
  [10375] = {.lex_state = 32, .external_lex_state = 28},
  [10376] = {.lex_state = 0, .external_lex_state = 28},
  [10377] = {.lex_state = 0, .external_lex_state = 28},
  [10378] = {.lex_state = 32, .external_lex_state = 28},
  [10379] = {.lex_state = 0, .external_lex_state = 28},
  [10380] = {.lex_state = 0, .external_lex_state = 28},
  [10381] = {.lex_state = 0, .external_lex_state = 28},
  [10382] = {.lex_state = 0, .external_lex_state = 37},
  [10383] = {.lex_state = 0, .external_lex_state = 28},
  [10384] = {.lex_state = 0, .external_lex_state = 37},
  [10385] = {.lex_state = 0, .external_lex_state = 37},
  [10386] = {.lex_state = 333, .external_lex_state = 28},
  [10387] = {.lex_state = 32, .external_lex_state = 28},
  [10388] = {.lex_state = 0, .external_lex_state = 37},
  [10389] = {.lex_state = 32, .external_lex_state = 28},
  [10390] = {.lex_state = 32, .external_lex_state = 28},
  [10391] = {.lex_state = 0, .external_lex_state = 28},
  [10392] = {.lex_state = 0, .external_lex_state = 37},
  [10393] = {.lex_state = 0, .external_lex_state = 28},
  [10394] = {.lex_state = 0, .external_lex_state = 28},
  [10395] = {.lex_state = 0, .external_lex_state = 28},
  [10396] = {.lex_state = 0, .external_lex_state = 28},
  [10397] = {.lex_state = 0, .external_lex_state = 28},
  [10398] = {.lex_state = 32, .external_lex_state = 28},
  [10399] = {.lex_state = 0, .external_lex_state = 37},
  [10400] = {.lex_state = 32, .external_lex_state = 28},
  [10401] = {.lex_state = 0, .external_lex_state = 28},
  [10402] = {.lex_state = 0, .external_lex_state = 28},
  [10403] = {.lex_state = 0, .external_lex_state = 37},
  [10404] = {.lex_state = 0, .external_lex_state = 28},
  [10405] = {.lex_state = 0, .external_lex_state = 28},
  [10406] = {.lex_state = 0, .external_lex_state = 37},
  [10407] = {.lex_state = 0, .external_lex_state = 37},
  [10408] = {.lex_state = 0, .external_lex_state = 37},
  [10409] = {.lex_state = 0, .external_lex_state = 28},
  [10410] = {.lex_state = 0, .external_lex_state = 28},
  [10411] = {.lex_state = 0, .external_lex_state = 37},
  [10412] = {.lex_state = 0, .external_lex_state = 28},
  [10413] = {.lex_state = 0, .external_lex_state = 28},
  [10414] = {.lex_state = 0, .external_lex_state = 28},
  [10415] = {.lex_state = 0, .external_lex_state = 28},
  [10416] = {.lex_state = 0, .external_lex_state = 28},
  [10417] = {.lex_state = 0, .external_lex_state = 28},
  [10418] = {.lex_state = 0, .external_lex_state = 28},
  [10419] = {.lex_state = 0, .external_lex_state = 28},
  [10420] = {.lex_state = 0, .external_lex_state = 28},
  [10421] = {.lex_state = 0, .external_lex_state = 28},
  [10422] = {.lex_state = 0, .external_lex_state = 28},
  [10423] = {.lex_state = 0, .external_lex_state = 28},
  [10424] = {.lex_state = 0, .external_lex_state = 28},
  [10425] = {.lex_state = 0, .external_lex_state = 28},
  [10426] = {.lex_state = 333, .external_lex_state = 28},
  [10427] = {.lex_state = 0, .external_lex_state = 28},
  [10428] = {.lex_state = 0, .external_lex_state = 28},
  [10429] = {.lex_state = 0, .external_lex_state = 37},
  [10430] = {.lex_state = 32, .external_lex_state = 28},
  [10431] = {.lex_state = 0, .external_lex_state = 28},
  [10432] = {.lex_state = 32, .external_lex_state = 28},
  [10433] = {.lex_state = 0, .external_lex_state = 28},
  [10434] = {.lex_state = 0, .external_lex_state = 28},
  [10435] = {.lex_state = 0, .external_lex_state = 28},
  [10436] = {.lex_state = 32, .external_lex_state = 28},
  [10437] = {.lex_state = 0, .external_lex_state = 28},
  [10438] = {.lex_state = 0, .external_lex_state = 28},
  [10439] = {.lex_state = 32, .external_lex_state = 28},
  [10440] = {.lex_state = 32, .external_lex_state = 28},
  [10441] = {.lex_state = 0, .external_lex_state = 28},
  [10442] = {.lex_state = 0, .external_lex_state = 28},
  [10443] = {.lex_state = 0, .external_lex_state = 28},
  [10444] = {.lex_state = 0, .external_lex_state = 28},
  [10445] = {.lex_state = 0, .external_lex_state = 28},
  [10446] = {.lex_state = 32, .external_lex_state = 28},
  [10447] = {.lex_state = 32, .external_lex_state = 28},
  [10448] = {.lex_state = 0, .external_lex_state = 28},
  [10449] = {.lex_state = 32, .external_lex_state = 28},
  [10450] = {.lex_state = 0, .external_lex_state = 28},
  [10451] = {.lex_state = 0, .external_lex_state = 28},
  [10452] = {.lex_state = 32, .external_lex_state = 28},
  [10453] = {.lex_state = 0, .external_lex_state = 28},
  [10454] = {.lex_state = 32, .external_lex_state = 28},
  [10455] = {.lex_state = 32, .external_lex_state = 28},
  [10456] = {.lex_state = 0, .external_lex_state = 38},
  [10457] = {.lex_state = 0, .external_lex_state = 38},
  [10458] = {.lex_state = 0, .external_lex_state = 28},
  [10459] = {.lex_state = 0, .external_lex_state = 38},
  [10460] = {.lex_state = 32, .external_lex_state = 28},
  [10461] = {.lex_state = 0, .external_lex_state = 28},
  [10462] = {.lex_state = 0, .external_lex_state = 28},
  [10463] = {.lex_state = 0, .external_lex_state = 28},
  [10464] = {.lex_state = 32, .external_lex_state = 28},
  [10465] = {.lex_state = 0, .external_lex_state = 28},
  [10466] = {.lex_state = 0, .external_lex_state = 28},
  [10467] = {.lex_state = 0, .external_lex_state = 28},
  [10468] = {.lex_state = 0, .external_lex_state = 28},
  [10469] = {.lex_state = 0, .external_lex_state = 28},
  [10470] = {.lex_state = 32, .external_lex_state = 28},
  [10471] = {.lex_state = 0, .external_lex_state = 38},
  [10472] = {.lex_state = 0, .external_lex_state = 38},
  [10473] = {.lex_state = 0, .external_lex_state = 28},
  [10474] = {.lex_state = 0, .external_lex_state = 28},
  [10475] = {.lex_state = 32, .external_lex_state = 28},
  [10476] = {.lex_state = 0, .external_lex_state = 28},
  [10477] = {.lex_state = 0, .external_lex_state = 28},
  [10478] = {.lex_state = 0, .external_lex_state = 28},
  [10479] = {.lex_state = 0, .external_lex_state = 28},
  [10480] = {.lex_state = 32, .external_lex_state = 28},
  [10481] = {.lex_state = 0, .external_lex_state = 28},
  [10482] = {.lex_state = 0, .external_lex_state = 28},
  [10483] = {.lex_state = 32, .external_lex_state = 28},
  [10484] = {.lex_state = 0, .external_lex_state = 28},
  [10485] = {.lex_state = 0, .external_lex_state = 28},
  [10486] = {.lex_state = 0, .external_lex_state = 28},
  [10487] = {.lex_state = 32, .external_lex_state = 28},
  [10488] = {.lex_state = 0, .external_lex_state = 38},
  [10489] = {.lex_state = 0, .external_lex_state = 28},
  [10490] = {.lex_state = 32, .external_lex_state = 28},
  [10491] = {.lex_state = 0, .external_lex_state = 28},
  [10492] = {.lex_state = 0, .external_lex_state = 38},
  [10493] = {.lex_state = 0, .external_lex_state = 28},
  [10494] = {.lex_state = 0, .external_lex_state = 28},
  [10495] = {.lex_state = 0, .external_lex_state = 28},
  [10496] = {.lex_state = 0, .external_lex_state = 28},
  [10497] = {.lex_state = 0, .external_lex_state = 28},
  [10498] = {.lex_state = 0, .external_lex_state = 28},
  [10499] = {.lex_state = 0, .external_lex_state = 28},
  [10500] = {.lex_state = 32, .external_lex_state = 28},
  [10501] = {.lex_state = 32, .external_lex_state = 28},
  [10502] = {.lex_state = 32, .external_lex_state = 28},
  [10503] = {.lex_state = 0, .external_lex_state = 28},
  [10504] = {.lex_state = 0, .external_lex_state = 28},
  [10505] = {.lex_state = 32, .external_lex_state = 28},
  [10506] = {.lex_state = 0, .external_lex_state = 28},
  [10507] = {.lex_state = 32, .external_lex_state = 28},
  [10508] = {.lex_state = 32, .external_lex_state = 28},
  [10509] = {.lex_state = 0, .external_lex_state = 28},
  [10510] = {.lex_state = 0, .external_lex_state = 28},
  [10511] = {.lex_state = 0, .external_lex_state = 28},
  [10512] = {.lex_state = 0, .external_lex_state = 28},
  [10513] = {.lex_state = 32, .external_lex_state = 28},
  [10514] = {.lex_state = 0, .external_lex_state = 28},
  [10515] = {.lex_state = 0, .external_lex_state = 28},
  [10516] = {.lex_state = 32, .external_lex_state = 21},
  [10517] = {.lex_state = 0, .external_lex_state = 28},
  [10518] = {.lex_state = 0, .external_lex_state = 28},
  [10519] = {.lex_state = 0, .external_lex_state = 28},
  [10520] = {.lex_state = 32, .external_lex_state = 28},
  [10521] = {.lex_state = 0, .external_lex_state = 28},
  [10522] = {.lex_state = 32, .external_lex_state = 28},
  [10523] = {.lex_state = 0, .external_lex_state = 28},
  [10524] = {.lex_state = 0, .external_lex_state = 28},
  [10525] = {.lex_state = 0, .external_lex_state = 28},
  [10526] = {.lex_state = 32, .external_lex_state = 28},
  [10527] = {.lex_state = 0, .external_lex_state = 38},
  [10528] = {.lex_state = 0, .external_lex_state = 38},
  [10529] = {.lex_state = 0, .external_lex_state = 28},
  [10530] = {.lex_state = 0, .external_lex_state = 38},
  [10531] = {.lex_state = 32, .external_lex_state = 28},
  [10532] = {.lex_state = 0, .external_lex_state = 28},
  [10533] = {.lex_state = 0, .external_lex_state = 38},
  [10534] = {.lex_state = 32, .external_lex_state = 28},
  [10535] = {.lex_state = 32, .external_lex_state = 28},
  [10536] = {.lex_state = 0, .external_lex_state = 28},
  [10537] = {.lex_state = 0, .external_lex_state = 28},
  [10538] = {.lex_state = 0, .external_lex_state = 28},
  [10539] = {.lex_state = 32, .external_lex_state = 28},
  [10540] = {.lex_state = 0, .external_lex_state = 28},
  [10541] = {.lex_state = 0, .external_lex_state = 28},
  [10542] = {.lex_state = 0, .external_lex_state = 28},
  [10543] = {.lex_state = 0, .external_lex_state = 28},
  [10544] = {.lex_state = 0, .external_lex_state = 28},
  [10545] = {.lex_state = 0, .external_lex_state = 28},
  [10546] = {.lex_state = 0, .external_lex_state = 38},
  [10547] = {.lex_state = 0, .external_lex_state = 28},
  [10548] = {.lex_state = 0, .external_lex_state = 28},
  [10549] = {.lex_state = 0, .external_lex_state = 28},
  [10550] = {.lex_state = 0, .external_lex_state = 28},
  [10551] = {.lex_state = 32, .external_lex_state = 28},
  [10552] = {.lex_state = 32, .external_lex_state = 28},
  [10553] = {.lex_state = 0, .external_lex_state = 28},
  [10554] = {.lex_state = 0, .external_lex_state = 28},
  [10555] = {.lex_state = 0, .external_lex_state = 28},
  [10556] = {.lex_state = 0, .external_lex_state = 28},
  [10557] = {.lex_state = 0, .external_lex_state = 28},
  [10558] = {.lex_state = 0, .external_lex_state = 28},
  [10559] = {.lex_state = 0, .external_lex_state = 28},
  [10560] = {.lex_state = 0, .external_lex_state = 28},
  [10561] = {.lex_state = 0, .external_lex_state = 28},
  [10562] = {.lex_state = 0, .external_lex_state = 28},
  [10563] = {.lex_state = 0, .external_lex_state = 28},
  [10564] = {.lex_state = 0, .external_lex_state = 38},
  [10565] = {.lex_state = 0, .external_lex_state = 28},
  [10566] = {.lex_state = 0, .external_lex_state = 28},
  [10567] = {.lex_state = 0, .external_lex_state = 28},
  [10568] = {.lex_state = 0, .external_lex_state = 28},
  [10569] = {.lex_state = 0, .external_lex_state = 28},
  [10570] = {.lex_state = 0, .external_lex_state = 28},
  [10571] = {.lex_state = 0, .external_lex_state = 38},
  [10572] = {.lex_state = 32, .external_lex_state = 28},
  [10573] = {.lex_state = 0, .external_lex_state = 37},
  [10574] = {.lex_state = 0, .external_lex_state = 28},
  [10575] = {.lex_state = 0, .external_lex_state = 28},
  [10576] = {.lex_state = 0, .external_lex_state = 28},
  [10577] = {.lex_state = 0, .external_lex_state = 38},
  [10578] = {.lex_state = 0, .external_lex_state = 28},
  [10579] = {.lex_state = 0, .external_lex_state = 28},
  [10580] = {.lex_state = 32, .external_lex_state = 28},
  [10581] = {.lex_state = 0, .external_lex_state = 28},
  [10582] = {.lex_state = 0, .external_lex_state = 28},
  [10583] = {.lex_state = 0, .external_lex_state = 28},
  [10584] = {.lex_state = 0, .external_lex_state = 28},
  [10585] = {.lex_state = 0, .external_lex_state = 28},
  [10586] = {.lex_state = 32, .external_lex_state = 28},
  [10587] = {.lex_state = 0, .external_lex_state = 38},
  [10588] = {.lex_state = 0, .external_lex_state = 28},
  [10589] = {.lex_state = 0, .external_lex_state = 38},
  [10590] = {.lex_state = 0, .external_lex_state = 28},
  [10591] = {.lex_state = 0, .external_lex_state = 28},
  [10592] = {.lex_state = 32, .external_lex_state = 28},
  [10593] = {.lex_state = 0, .external_lex_state = 28},
  [10594] = {.lex_state = 0, .external_lex_state = 28},
  [10595] = {.lex_state = 0, .external_lex_state = 28},
  [10596] = {.lex_state = 0, .external_lex_state = 28},
  [10597] = {.lex_state = 32, .external_lex_state = 28},
  [10598] = {.lex_state = 32, .external_lex_state = 28},
  [10599] = {.lex_state = 0, .external_lex_state = 28},
  [10600] = {.lex_state = 0, .external_lex_state = 28},
  [10601] = {.lex_state = 0, .external_lex_state = 28},
  [10602] = {.lex_state = 0, .external_lex_state = 28},
  [10603] = {.lex_state = 0, .external_lex_state = 28},
  [10604] = {.lex_state = 0, .external_lex_state = 28},
  [10605] = {.lex_state = 0, .external_lex_state = 38},
  [10606] = {.lex_state = 0, .external_lex_state = 28},
  [10607] = {.lex_state = 0, .external_lex_state = 28},
  [10608] = {.lex_state = 0, .external_lex_state = 28},
  [10609] = {.lex_state = 0, .external_lex_state = 28},
  [10610] = {.lex_state = 32, .external_lex_state = 28},
  [10611] = {.lex_state = 0, .external_lex_state = 28},
  [10612] = {.lex_state = 0, .external_lex_state = 28},
  [10613] = {.lex_state = 32, .external_lex_state = 28},
  [10614] = {.lex_state = 0, .external_lex_state = 28},
  [10615] = {.lex_state = 32, .external_lex_state = 28},
  [10616] = {.lex_state = 0, .external_lex_state = 28},
  [10617] = {.lex_state = 32, .external_lex_state = 28},
  [10618] = {.lex_state = 32, .external_lex_state = 28},
  [10619] = {.lex_state = 32, .external_lex_state = 28},
  [10620] = {.lex_state = 32, .external_lex_state = 28},
  [10621] = {.lex_state = 0, .external_lex_state = 28},
  [10622] = {.lex_state = 0, .external_lex_state = 28},
  [10623] = {.lex_state = 32, .external_lex_state = 28},
  [10624] = {.lex_state = 0, .external_lex_state = 28},
  [10625] = {.lex_state = 0, .external_lex_state = 28},
  [10626] = {.lex_state = 0, .external_lex_state = 28},
  [10627] = {.lex_state = 0, .external_lex_state = 28},
  [10628] = {.lex_state = 0, .external_lex_state = 38},
  [10629] = {.lex_state = 0, .external_lex_state = 28},
  [10630] = {.lex_state = 0, .external_lex_state = 38},
  [10631] = {.lex_state = 0, .external_lex_state = 28},
  [10632] = {.lex_state = 0, .external_lex_state = 28},
  [10633] = {.lex_state = 32, .external_lex_state = 28},
  [10634] = {.lex_state = 0, .external_lex_state = 28},
  [10635] = {.lex_state = 0, .external_lex_state = 28},
  [10636] = {.lex_state = 32, .external_lex_state = 28},
  [10637] = {.lex_state = 0, .external_lex_state = 38},
  [10638] = {.lex_state = 0, .external_lex_state = 38},
  [10639] = {.lex_state = 0, .external_lex_state = 28},
  [10640] = {.lex_state = 0, .external_lex_state = 28},
  [10641] = {.lex_state = 0, .external_lex_state = 28},
  [10642] = {.lex_state = 32, .external_lex_state = 28},
  [10643] = {.lex_state = 0, .external_lex_state = 28},
  [10644] = {.lex_state = 0, .external_lex_state = 28},
  [10645] = {.lex_state = 0, .external_lex_state = 38},
  [10646] = {.lex_state = 32, .external_lex_state = 28},
  [10647] = {.lex_state = 0, .external_lex_state = 28},
  [10648] = {.lex_state = 0, .external_lex_state = 28},
  [10649] = {.lex_state = 32, .external_lex_state = 28},
  [10650] = {.lex_state = 0, .external_lex_state = 28},
  [10651] = {.lex_state = 0, .external_lex_state = 38},
  [10652] = {.lex_state = 0, .external_lex_state = 28},
  [10653] = {.lex_state = 0, .external_lex_state = 28},
  [10654] = {.lex_state = 0, .external_lex_state = 28},
  [10655] = {.lex_state = 0, .external_lex_state = 28},
  [10656] = {.lex_state = 32, .external_lex_state = 28},
  [10657] = {.lex_state = 32, .external_lex_state = 28},
  [10658] = {.lex_state = 0, .external_lex_state = 28},
  [10659] = {.lex_state = 0, .external_lex_state = 38},
  [10660] = {.lex_state = 0, .external_lex_state = 28},
  [10661] = {.lex_state = 32, .external_lex_state = 28},
  [10662] = {.lex_state = 0, .external_lex_state = 28},
  [10663] = {.lex_state = 0, .external_lex_state = 28},
  [10664] = {.lex_state = 0, .external_lex_state = 28},
  [10665] = {.lex_state = 0, .external_lex_state = 28},
  [10666] = {.lex_state = 0, .external_lex_state = 28},
  [10667] = {.lex_state = 0, .external_lex_state = 38},
  [10668] = {.lex_state = 0, .external_lex_state = 38},
  [10669] = {.lex_state = 0, .external_lex_state = 28},
  [10670] = {.lex_state = 0, .external_lex_state = 28},
  [10671] = {.lex_state = 0, .external_lex_state = 28},
  [10672] = {.lex_state = 0, .external_lex_state = 28},
  [10673] = {.lex_state = 0, .external_lex_state = 28},
  [10674] = {.lex_state = 0, .external_lex_state = 28},
  [10675] = {.lex_state = 32, .external_lex_state = 28},
  [10676] = {.lex_state = 32, .external_lex_state = 28},
  [10677] = {.lex_state = 0, .external_lex_state = 38},
  [10678] = {.lex_state = 32, .external_lex_state = 28},
  [10679] = {.lex_state = 0, .external_lex_state = 28},
  [10680] = {.lex_state = 0, .external_lex_state = 28},
  [10681] = {.lex_state = 0, .external_lex_state = 28},
  [10682] = {.lex_state = 0, .external_lex_state = 38},
  [10683] = {.lex_state = 0, .external_lex_state = 38},
  [10684] = {.lex_state = 0, .external_lex_state = 28},
  [10685] = {.lex_state = 0, .external_lex_state = 28},
  [10686] = {.lex_state = 0, .external_lex_state = 28},
  [10687] = {.lex_state = 0, .external_lex_state = 28},
  [10688] = {.lex_state = 0, .external_lex_state = 38},
  [10689] = {.lex_state = 0, .external_lex_state = 28},
  [10690] = {.lex_state = 0, .external_lex_state = 28},
  [10691] = {.lex_state = 32, .external_lex_state = 28},
  [10692] = {.lex_state = 0, .external_lex_state = 28},
  [10693] = {.lex_state = 0, .external_lex_state = 28},
  [10694] = {.lex_state = 0, .external_lex_state = 28},
  [10695] = {.lex_state = 32, .external_lex_state = 28},
  [10696] = {.lex_state = 0, .external_lex_state = 28},
  [10697] = {.lex_state = 32, .external_lex_state = 28},
  [10698] = {.lex_state = 0, .external_lex_state = 28},
  [10699] = {.lex_state = 0, .external_lex_state = 38},
  [10700] = {.lex_state = 0, .external_lex_state = 28},
  [10701] = {.lex_state = 0, .external_lex_state = 38},
  [10702] = {.lex_state = 0, .external_lex_state = 38},
  [10703] = {.lex_state = 32, .external_lex_state = 28},
  [10704] = {.lex_state = 0, .external_lex_state = 38},
  [10705] = {.lex_state = 0, .external_lex_state = 28},
  [10706] = {.lex_state = 0, .external_lex_state = 28},
  [10707] = {.lex_state = 0, .external_lex_state = 28},
  [10708] = {.lex_state = 0, .external_lex_state = 28},
  [10709] = {.lex_state = 0, .external_lex_state = 28},
  [10710] = {.lex_state = 32, .external_lex_state = 28},
  [10711] = {.lex_state = 32, .external_lex_state = 28},
  [10712] = {.lex_state = 0, .external_lex_state = 28},
  [10713] = {.lex_state = 32, .external_lex_state = 28},
  [10714] = {.lex_state = 32, .external_lex_state = 28},
  [10715] = {.lex_state = 0, .external_lex_state = 28},
  [10716] = {.lex_state = 0, .external_lex_state = 38},
  [10717] = {.lex_state = 32, .external_lex_state = 28},
  [10718] = {.lex_state = 32, .external_lex_state = 28},
  [10719] = {.lex_state = 0, .external_lex_state = 28},
  [10720] = {.lex_state = 0, .external_lex_state = 28},
  [10721] = {.lex_state = 32, .external_lex_state = 28},
  [10722] = {.lex_state = 0, .external_lex_state = 28},
  [10723] = {.lex_state = 0, .external_lex_state = 28},
  [10724] = {.lex_state = 0, .external_lex_state = 28},
  [10725] = {.lex_state = 32, .external_lex_state = 28},
  [10726] = {.lex_state = 0, .external_lex_state = 28},
  [10727] = {.lex_state = 0, .external_lex_state = 28},
  [10728] = {.lex_state = 0, .external_lex_state = 38},
  [10729] = {.lex_state = 0, .external_lex_state = 28},
  [10730] = {.lex_state = 0, .external_lex_state = 28},
  [10731] = {.lex_state = 0, .external_lex_state = 28},
  [10732] = {.lex_state = 0, .external_lex_state = 28},
  [10733] = {.lex_state = 32, .external_lex_state = 28},
  [10734] = {.lex_state = 0, .external_lex_state = 28},
  [10735] = {.lex_state = 0, .external_lex_state = 28},
  [10736] = {.lex_state = 0, .external_lex_state = 28},
  [10737] = {.lex_state = 32, .external_lex_state = 28},
  [10738] = {.lex_state = 0, .external_lex_state = 28},
  [10739] = {.lex_state = 32, .external_lex_state = 28},
  [10740] = {.lex_state = 0, .external_lex_state = 28},
  [10741] = {.lex_state = 0, .external_lex_state = 28},
  [10742] = {.lex_state = 0, .external_lex_state = 28},
  [10743] = {.lex_state = 0, .external_lex_state = 28},
  [10744] = {.lex_state = 0, .external_lex_state = 38},
  [10745] = {.lex_state = 32, .external_lex_state = 28},
  [10746] = {.lex_state = 0, .external_lex_state = 28},
  [10747] = {.lex_state = 32, .external_lex_state = 28},
  [10748] = {.lex_state = 38, .external_lex_state = 32},
  [10749] = {.lex_state = 38, .external_lex_state = 33},
  [10750] = {.lex_state = 32, .external_lex_state = 28},
  [10751] = {.lex_state = 32, .external_lex_state = 28},
  [10752] = {.lex_state = 0, .external_lex_state = 28},
  [10753] = {.lex_state = 0, .external_lex_state = 28},
  [10754] = {.lex_state = 0, .external_lex_state = 28},
  [10755] = {.lex_state = 0, .external_lex_state = 28},
  [10756] = {.lex_state = 0, .external_lex_state = 28},
  [10757] = {.lex_state = 32, .external_lex_state = 28},
  [10758] = {.lex_state = 32, .external_lex_state = 28},
  [10759] = {.lex_state = 32, .external_lex_state = 28},
  [10760] = {.lex_state = 0, .external_lex_state = 28},
  [10761] = {.lex_state = 0, .external_lex_state = 28},
  [10762] = {.lex_state = 0, .external_lex_state = 28},
  [10763] = {.lex_state = 0, .external_lex_state = 28},
  [10764] = {.lex_state = 0, .external_lex_state = 38},
  [10765] = {.lex_state = 0, .external_lex_state = 38},
  [10766] = {.lex_state = 0, .external_lex_state = 28},
  [10767] = {.lex_state = 32, .external_lex_state = 28},
  [10768] = {.lex_state = 0, .external_lex_state = 28},
  [10769] = {.lex_state = 32, .external_lex_state = 28},
  [10770] = {.lex_state = 0, .external_lex_state = 28},
  [10771] = {.lex_state = 32, .external_lex_state = 28},
  [10772] = {.lex_state = 0, .external_lex_state = 28},
  [10773] = {.lex_state = 0, .external_lex_state = 28},
  [10774] = {.lex_state = 32, .external_lex_state = 28},
  [10775] = {.lex_state = 0, .external_lex_state = 38},
  [10776] = {.lex_state = 0, .external_lex_state = 28},
  [10777] = {.lex_state = 32, .external_lex_state = 28},
  [10778] = {.lex_state = 0, .external_lex_state = 28},
  [10779] = {.lex_state = 32, .external_lex_state = 28},
  [10780] = {.lex_state = 0, .external_lex_state = 28},
  [10781] = {.lex_state = 0, .external_lex_state = 28},
  [10782] = {.lex_state = 0, .external_lex_state = 28},
  [10783] = {.lex_state = 0, .external_lex_state = 28},
  [10784] = {.lex_state = 0, .external_lex_state = 28},
  [10785] = {.lex_state = 0, .external_lex_state = 28},
  [10786] = {.lex_state = 32, .external_lex_state = 28},
  [10787] = {.lex_state = 0, .external_lex_state = 28},
  [10788] = {.lex_state = 32, .external_lex_state = 28},
  [10789] = {.lex_state = 0, .external_lex_state = 28},
  [10790] = {.lex_state = 0, .external_lex_state = 28},
  [10791] = {.lex_state = 0, .external_lex_state = 28},
  [10792] = {.lex_state = 0, .external_lex_state = 28},
  [10793] = {.lex_state = 0, .external_lex_state = 28},
  [10794] = {.lex_state = 0, .external_lex_state = 28},
  [10795] = {.lex_state = 0, .external_lex_state = 28},
  [10796] = {.lex_state = 0, .external_lex_state = 28},
  [10797] = {.lex_state = 0, .external_lex_state = 28},
  [10798] = {.lex_state = 0, .external_lex_state = 28},
  [10799] = {.lex_state = 0, .external_lex_state = 28},
  [10800] = {.lex_state = 32, .external_lex_state = 28},
  [10801] = {.lex_state = 32, .external_lex_state = 28},
  [10802] = {.lex_state = 0, .external_lex_state = 28},
  [10803] = {.lex_state = 32, .external_lex_state = 28},
  [10804] = {.lex_state = 32, .external_lex_state = 28},
  [10805] = {.lex_state = 0, .external_lex_state = 28},
  [10806] = {.lex_state = 0, .external_lex_state = 28},
  [10807] = {.lex_state = 0, .external_lex_state = 28},
  [10808] = {.lex_state = 0, .external_lex_state = 28},
  [10809] = {.lex_state = 0, .external_lex_state = 28},
  [10810] = {.lex_state = 32, .external_lex_state = 28},
  [10811] = {.lex_state = 0, .external_lex_state = 28},
  [10812] = {.lex_state = 0, .external_lex_state = 28},
  [10813] = {.lex_state = 0, .external_lex_state = 38},
  [10814] = {.lex_state = 0, .external_lex_state = 28},
  [10815] = {.lex_state = 0, .external_lex_state = 28},
  [10816] = {.lex_state = 0, .external_lex_state = 28},
  [10817] = {.lex_state = 0, .external_lex_state = 28},
  [10818] = {.lex_state = 0, .external_lex_state = 28},
  [10819] = {.lex_state = 0, .external_lex_state = 28},
  [10820] = {.lex_state = 0, .external_lex_state = 28},
  [10821] = {.lex_state = 0, .external_lex_state = 28},
  [10822] = {.lex_state = 0, .external_lex_state = 28},
  [10823] = {.lex_state = 0, .external_lex_state = 28},
  [10824] = {.lex_state = 0, .external_lex_state = 28},
  [10825] = {.lex_state = 0, .external_lex_state = 28},
  [10826] = {.lex_state = 32, .external_lex_state = 28},
  [10827] = {.lex_state = 0, .external_lex_state = 28},
  [10828] = {.lex_state = 0, .external_lex_state = 28},
  [10829] = {.lex_state = 0, .external_lex_state = 28},
  [10830] = {.lex_state = 0, .external_lex_state = 28},
  [10831] = {.lex_state = 0, .external_lex_state = 28},
  [10832] = {.lex_state = 0, .external_lex_state = 28},
  [10833] = {.lex_state = 0, .external_lex_state = 28},
  [10834] = {.lex_state = 0, .external_lex_state = 28},
  [10835] = {.lex_state = 0, .external_lex_state = 28},
  [10836] = {.lex_state = 0, .external_lex_state = 28},
  [10837] = {.lex_state = 0, .external_lex_state = 28},
  [10838] = {.lex_state = 0, .external_lex_state = 28},
  [10839] = {.lex_state = 0, .external_lex_state = 28},
  [10840] = {.lex_state = 0, .external_lex_state = 28},
  [10841] = {.lex_state = 0, .external_lex_state = 28},
  [10842] = {.lex_state = 0, .external_lex_state = 28},
  [10843] = {.lex_state = 0, .external_lex_state = 28},
  [10844] = {.lex_state = 0, .external_lex_state = 28},
  [10845] = {.lex_state = 0, .external_lex_state = 28},
  [10846] = {.lex_state = 0, .external_lex_state = 28},
  [10847] = {.lex_state = 0, .external_lex_state = 28},
  [10848] = {.lex_state = 0, .external_lex_state = 28},
  [10849] = {.lex_state = 0, .external_lex_state = 28},
  [10850] = {.lex_state = 0, .external_lex_state = 28},
  [10851] = {.lex_state = 0, .external_lex_state = 28},
  [10852] = {.lex_state = 0, .external_lex_state = 28},
  [10853] = {.lex_state = 0, .external_lex_state = 28},
  [10854] = {.lex_state = 0, .external_lex_state = 28},
  [10855] = {.lex_state = 0, .external_lex_state = 28},
  [10856] = {.lex_state = 0, .external_lex_state = 28},
  [10857] = {.lex_state = 0, .external_lex_state = 28},
  [10858] = {.lex_state = 0, .external_lex_state = 28},
  [10859] = {.lex_state = 32, .external_lex_state = 28},
  [10860] = {.lex_state = 32, .external_lex_state = 28},
  [10861] = {.lex_state = 0, .external_lex_state = 28},
  [10862] = {.lex_state = 0, .external_lex_state = 28},
  [10863] = {.lex_state = 0, .external_lex_state = 28},
  [10864] = {.lex_state = 0, .external_lex_state = 28},
  [10865] = {.lex_state = 0, .external_lex_state = 28},
  [10866] = {.lex_state = 32, .external_lex_state = 28},
  [10867] = {.lex_state = 0, .external_lex_state = 28},
  [10868] = {.lex_state = 0, .external_lex_state = 28},
  [10869] = {.lex_state = 0, .external_lex_state = 28},
  [10870] = {.lex_state = 0, .external_lex_state = 28},
  [10871] = {.lex_state = 0, .external_lex_state = 28},
  [10872] = {.lex_state = 0, .external_lex_state = 28},
  [10873] = {.lex_state = 0, .external_lex_state = 38},
  [10874] = {.lex_state = 32, .external_lex_state = 28},
  [10875] = {.lex_state = 32, .external_lex_state = 28},
  [10876] = {.lex_state = 0, .external_lex_state = 28},
  [10877] = {.lex_state = 0, .external_lex_state = 28},
  [10878] = {.lex_state = 0, .external_lex_state = 28},
  [10879] = {.lex_state = 0, .external_lex_state = 28},
  [10880] = {.lex_state = 0, .external_lex_state = 28},
  [10881] = {.lex_state = 0, .external_lex_state = 28},
  [10882] = {.lex_state = 0, .external_lex_state = 38},
  [10883] = {.lex_state = 0, .external_lex_state = 28},
  [10884] = {.lex_state = 0, .external_lex_state = 28},
  [10885] = {.lex_state = 32, .external_lex_state = 28},
  [10886] = {.lex_state = 0, .external_lex_state = 28},
  [10887] = {.lex_state = 0, .external_lex_state = 28},
  [10888] = {.lex_state = 0, .external_lex_state = 28},
  [10889] = {.lex_state = 0, .external_lex_state = 28},
  [10890] = {.lex_state = 0, .external_lex_state = 28},
  [10891] = {.lex_state = 0, .external_lex_state = 38},
  [10892] = {.lex_state = 32, .external_lex_state = 28},
  [10893] = {.lex_state = 0, .external_lex_state = 28},
  [10894] = {.lex_state = 0, .external_lex_state = 28},
  [10895] = {.lex_state = 32, .external_lex_state = 28},
  [10896] = {.lex_state = 32, .external_lex_state = 28},
  [10897] = {.lex_state = 0, .external_lex_state = 28},
  [10898] = {.lex_state = 32, .external_lex_state = 28},
  [10899] = {.lex_state = 0, .external_lex_state = 28},
  [10900] = {.lex_state = 0, .external_lex_state = 28},
  [10901] = {.lex_state = 0, .external_lex_state = 28},
  [10902] = {.lex_state = 32, .external_lex_state = 28},
  [10903] = {.lex_state = 32, .external_lex_state = 28},
  [10904] = {.lex_state = 0, .external_lex_state = 28},
  [10905] = {.lex_state = 0, .external_lex_state = 28},
  [10906] = {.lex_state = 0, .external_lex_state = 28},
  [10907] = {.lex_state = 0, .external_lex_state = 28},
  [10908] = {.lex_state = 0, .external_lex_state = 28},
  [10909] = {.lex_state = 32, .external_lex_state = 28},
  [10910] = {.lex_state = 0, .external_lex_state = 28},
  [10911] = {.lex_state = 0, .external_lex_state = 28},
  [10912] = {.lex_state = 0, .external_lex_state = 28},
  [10913] = {.lex_state = 0, .external_lex_state = 28},
  [10914] = {.lex_state = 32, .external_lex_state = 28},
  [10915] = {.lex_state = 0, .external_lex_state = 38},
  [10916] = {.lex_state = 0, .external_lex_state = 28},
  [10917] = {.lex_state = 32, .external_lex_state = 28},
  [10918] = {.lex_state = 0, .external_lex_state = 28},
  [10919] = {.lex_state = 32, .external_lex_state = 28},
  [10920] = {.lex_state = 0, .external_lex_state = 28},
  [10921] = {.lex_state = 0, .external_lex_state = 28},
  [10922] = {.lex_state = 0, .external_lex_state = 28},
  [10923] = {.lex_state = 32, .external_lex_state = 28},
  [10924] = {.lex_state = 0, .external_lex_state = 28},
  [10925] = {.lex_state = 0, .external_lex_state = 38},
  [10926] = {.lex_state = 0, .external_lex_state = 28},
  [10927] = {.lex_state = 0, .external_lex_state = 28},
  [10928] = {.lex_state = 0, .external_lex_state = 28},
  [10929] = {.lex_state = 0, .external_lex_state = 28},
  [10930] = {.lex_state = 0, .external_lex_state = 28},
  [10931] = {.lex_state = 0, .external_lex_state = 28},
  [10932] = {.lex_state = 32, .external_lex_state = 28},
  [10933] = {.lex_state = 0, .external_lex_state = 28},
  [10934] = {.lex_state = 0, .external_lex_state = 28},
  [10935] = {.lex_state = 0, .external_lex_state = 28},
  [10936] = {.lex_state = 0, .external_lex_state = 28},
  [10937] = {.lex_state = 0, .external_lex_state = 28},
  [10938] = {.lex_state = 0, .external_lex_state = 28},
  [10939] = {.lex_state = 0, .external_lex_state = 38},
  [10940] = {.lex_state = 0, .external_lex_state = 28},
  [10941] = {.lex_state = 0, .external_lex_state = 28},
  [10942] = {.lex_state = 0, .external_lex_state = 28},
  [10943] = {.lex_state = 0, .external_lex_state = 28},
  [10944] = {.lex_state = 0, .external_lex_state = 28},
  [10945] = {.lex_state = 0, .external_lex_state = 28},
  [10946] = {.lex_state = 32, .external_lex_state = 28},
  [10947] = {.lex_state = 0, .external_lex_state = 28},
  [10948] = {.lex_state = 0, .external_lex_state = 28},
  [10949] = {.lex_state = 0, .external_lex_state = 28},
  [10950] = {.lex_state = 0, .external_lex_state = 28},
  [10951] = {.lex_state = 32, .external_lex_state = 28},
  [10952] = {.lex_state = 0, .external_lex_state = 28},
  [10953] = {.lex_state = 32, .external_lex_state = 28},
  [10954] = {.lex_state = 0, .external_lex_state = 28},
  [10955] = {.lex_state = 0, .external_lex_state = 28},
  [10956] = {.lex_state = 0, .external_lex_state = 28},
  [10957] = {.lex_state = 0, .external_lex_state = 28},
  [10958] = {.lex_state = 0, .external_lex_state = 28},
  [10959] = {.lex_state = 0, .external_lex_state = 28},
  [10960] = {.lex_state = 0, .external_lex_state = 28},
  [10961] = {.lex_state = 0, .external_lex_state = 28},
  [10962] = {.lex_state = 0, .external_lex_state = 28},
  [10963] = {.lex_state = 0, .external_lex_state = 28},
  [10964] = {.lex_state = 0, .external_lex_state = 28},
  [10965] = {.lex_state = 0, .external_lex_state = 28},
  [10966] = {.lex_state = 0, .external_lex_state = 28},
  [10967] = {.lex_state = 0, .external_lex_state = 28},
  [10968] = {.lex_state = 0, .external_lex_state = 28},
  [10969] = {.lex_state = 0, .external_lex_state = 28},
  [10970] = {.lex_state = 0, .external_lex_state = 28},
  [10971] = {.lex_state = 0, .external_lex_state = 28},
  [10972] = {.lex_state = 0, .external_lex_state = 28},
  [10973] = {.lex_state = 0, .external_lex_state = 28},
  [10974] = {.lex_state = 0, .external_lex_state = 28},
  [10975] = {.lex_state = 0, .external_lex_state = 28},
  [10976] = {.lex_state = 0, .external_lex_state = 28},
  [10977] = {.lex_state = 0, .external_lex_state = 28},
  [10978] = {.lex_state = 0, .external_lex_state = 28},
  [10979] = {.lex_state = 0, .external_lex_state = 28},
  [10980] = {.lex_state = 0, .external_lex_state = 28},
  [10981] = {.lex_state = 0, .external_lex_state = 28},
  [10982] = {.lex_state = 0, .external_lex_state = 28},
  [10983] = {.lex_state = 0, .external_lex_state = 28},
  [10984] = {.lex_state = 0, .external_lex_state = 28},
  [10985] = {.lex_state = 0, .external_lex_state = 28},
  [10986] = {.lex_state = 0, .external_lex_state = 28},
  [10987] = {.lex_state = 32, .external_lex_state = 28},
  [10988] = {.lex_state = 0, .external_lex_state = 28},
  [10989] = {.lex_state = 0, .external_lex_state = 28},
  [10990] = {.lex_state = 0, .external_lex_state = 28},
  [10991] = {.lex_state = 0, .external_lex_state = 28},
  [10992] = {.lex_state = 0, .external_lex_state = 28},
  [10993] = {.lex_state = 0, .external_lex_state = 28},
  [10994] = {.lex_state = 0, .external_lex_state = 38},
  [10995] = {.lex_state = 0, .external_lex_state = 28},
  [10996] = {.lex_state = 32, .external_lex_state = 28},
  [10997] = {.lex_state = 0, .external_lex_state = 28},
  [10998] = {.lex_state = 0, .external_lex_state = 28},
  [10999] = {.lex_state = 0, .external_lex_state = 28},
  [11000] = {.lex_state = 0, .external_lex_state = 28},
  [11001] = {.lex_state = 32, .external_lex_state = 28},
  [11002] = {.lex_state = 0, .external_lex_state = 28},
  [11003] = {.lex_state = 0, .external_lex_state = 28},
  [11004] = {.lex_state = 0, .external_lex_state = 28},
  [11005] = {.lex_state = 32, .external_lex_state = 28},
  [11006] = {.lex_state = 0, .external_lex_state = 28},
  [11007] = {.lex_state = 0, .external_lex_state = 28},
  [11008] = {.lex_state = 32, .external_lex_state = 21},
  [11009] = {.lex_state = 0, .external_lex_state = 28},
  [11010] = {.lex_state = 0, .external_lex_state = 28},
  [11011] = {.lex_state = 0, .external_lex_state = 28},
  [11012] = {.lex_state = 0, .external_lex_state = 28},
  [11013] = {.lex_state = 0, .external_lex_state = 28},
  [11014] = {.lex_state = 32, .external_lex_state = 28},
  [11015] = {.lex_state = 32, .external_lex_state = 28},
  [11016] = {.lex_state = 0, .external_lex_state = 28},
  [11017] = {.lex_state = 0, .external_lex_state = 28},
  [11018] = {.lex_state = 0, .external_lex_state = 28},
  [11019] = {.lex_state = 0, .external_lex_state = 28},
  [11020] = {.lex_state = 0, .external_lex_state = 38},
  [11021] = {.lex_state = 32, .external_lex_state = 28},
  [11022] = {.lex_state = 0, .external_lex_state = 28},
  [11023] = {.lex_state = 0, .external_lex_state = 28},
  [11024] = {.lex_state = 0, .external_lex_state = 28},
  [11025] = {.lex_state = 0, .external_lex_state = 28},
  [11026] = {.lex_state = 0, .external_lex_state = 28},
  [11027] = {.lex_state = 0, .external_lex_state = 28},
  [11028] = {.lex_state = 0, .external_lex_state = 28},
  [11029] = {.lex_state = 32, .external_lex_state = 28},
  [11030] = {.lex_state = 32, .external_lex_state = 28},
  [11031] = {.lex_state = 32, .external_lex_state = 28},
  [11032] = {.lex_state = 0, .external_lex_state = 28},
  [11033] = {.lex_state = 0, .external_lex_state = 38},
  [11034] = {.lex_state = 0, .external_lex_state = 28},
  [11035] = {.lex_state = 0, .external_lex_state = 28},
  [11036] = {.lex_state = 0, .external_lex_state = 28},
  [11037] = {.lex_state = 32, .external_lex_state = 28},
  [11038] = {.lex_state = 0, .external_lex_state = 28},
  [11039] = {.lex_state = 0, .external_lex_state = 28},
  [11040] = {.lex_state = 0, .external_lex_state = 28},
  [11041] = {.lex_state = 32, .external_lex_state = 28},
  [11042] = {.lex_state = 32, .external_lex_state = 28},
  [11043] = {.lex_state = 0, .external_lex_state = 37},
  [11044] = {.lex_state = 0, .external_lex_state = 28},
  [11045] = {.lex_state = 0, .external_lex_state = 28},
  [11046] = {.lex_state = 32, .external_lex_state = 28},
  [11047] = {.lex_state = 0, .external_lex_state = 28},
  [11048] = {.lex_state = 32, .external_lex_state = 28},
  [11049] = {.lex_state = 0, .external_lex_state = 28},
  [11050] = {.lex_state = 32, .external_lex_state = 28},
  [11051] = {.lex_state = 0, .external_lex_state = 28},
  [11052] = {.lex_state = 32, .external_lex_state = 28},
  [11053] = {.lex_state = 0, .external_lex_state = 28},
  [11054] = {.lex_state = 0, .external_lex_state = 28},
  [11055] = {.lex_state = 32, .external_lex_state = 28},
  [11056] = {.lex_state = 0, .external_lex_state = 28},
  [11057] = {.lex_state = 32, .external_lex_state = 28},
  [11058] = {.lex_state = 32, .external_lex_state = 28},
  [11059] = {.lex_state = 32, .external_lex_state = 28},
  [11060] = {.lex_state = 0, .external_lex_state = 28},
  [11061] = {.lex_state = 0, .external_lex_state = 38},
  [11062] = {.lex_state = 32, .external_lex_state = 28},
  [11063] = {.lex_state = 32, .external_lex_state = 28},
  [11064] = {.lex_state = 0, .external_lex_state = 28},
  [11065] = {.lex_state = 32, .external_lex_state = 28},
  [11066] = {.lex_state = 38, .external_lex_state = 32},
  [11067] = {.lex_state = 38, .external_lex_state = 33},
  [11068] = {.lex_state = 0, .external_lex_state = 28},
  [11069] = {.lex_state = 0, .external_lex_state = 38},
  [11070] = {.lex_state = 0, .external_lex_state = 28},
  [11071] = {.lex_state = 0, .external_lex_state = 28},
  [11072] = {.lex_state = 32, .external_lex_state = 28},
  [11073] = {.lex_state = 0, .external_lex_state = 28},
  [11074] = {.lex_state = 0, .external_lex_state = 28},
  [11075] = {.lex_state = 0, .external_lex_state = 28},
  [11076] = {.lex_state = 32, .external_lex_state = 28},
  [11077] = {.lex_state = 0, .external_lex_state = 28},
  [11078] = {.lex_state = 32, .external_lex_state = 28},
  [11079] = {.lex_state = 0, .external_lex_state = 28},
  [11080] = {.lex_state = 0, .external_lex_state = 28},
  [11081] = {.lex_state = 0, .external_lex_state = 28},
  [11082] = {.lex_state = 0, .external_lex_state = 28},
  [11083] = {.lex_state = 32, .external_lex_state = 28},
  [11084] = {.lex_state = 32, .external_lex_state = 28},
  [11085] = {.lex_state = 32, .external_lex_state = 28},
  [11086] = {.lex_state = 0, .external_lex_state = 28},
  [11087] = {.lex_state = 32, .external_lex_state = 28},
  [11088] = {.lex_state = 0, .external_lex_state = 38},
  [11089] = {.lex_state = 32, .external_lex_state = 28},
  [11090] = {.lex_state = 32, .external_lex_state = 28},
  [11091] = {.lex_state = 0, .external_lex_state = 38},
  [11092] = {.lex_state = 32, .external_lex_state = 28},
  [11093] = {.lex_state = 0, .external_lex_state = 28},
  [11094] = {.lex_state = 0, .external_lex_state = 28},
  [11095] = {.lex_state = 0, .external_lex_state = 28},
  [11096] = {.lex_state = 0, .external_lex_state = 28},
  [11097] = {.lex_state = 0, .external_lex_state = 28},
  [11098] = {.lex_state = 32, .external_lex_state = 28},
  [11099] = {.lex_state = 32, .external_lex_state = 28},
  [11100] = {.lex_state = 32, .external_lex_state = 28},
  [11101] = {.lex_state = 0, .external_lex_state = 38},
  [11102] = {.lex_state = 32, .external_lex_state = 28},
  [11103] = {.lex_state = 0, .external_lex_state = 38},
  [11104] = {.lex_state = 32, .external_lex_state = 28},
  [11105] = {.lex_state = 0, .external_lex_state = 28},
  [11106] = {.lex_state = 32, .external_lex_state = 28},
  [11107] = {.lex_state = 0, .external_lex_state = 28},
  [11108] = {.lex_state = 0, .external_lex_state = 38},
  [11109] = {.lex_state = 0, .external_lex_state = 28},
  [11110] = {.lex_state = 32, .external_lex_state = 28},
  [11111] = {.lex_state = 0, .external_lex_state = 38},
  [11112] = {.lex_state = 32, .external_lex_state = 28},
  [11113] = {.lex_state = 0, .external_lex_state = 38},
  [11114] = {.lex_state = 0, .external_lex_state = 28},
  [11115] = {.lex_state = 0, .external_lex_state = 28},
  [11116] = {.lex_state = 32, .external_lex_state = 28},
  [11117] = {.lex_state = 32, .external_lex_state = 28},
  [11118] = {.lex_state = 32, .external_lex_state = 28},
  [11119] = {.lex_state = 0, .external_lex_state = 28},
  [11120] = {.lex_state = 0, .external_lex_state = 28},
  [11121] = {.lex_state = 0, .external_lex_state = 28},
  [11122] = {.lex_state = 32, .external_lex_state = 28},
  [11123] = {.lex_state = 0, .external_lex_state = 28},
  [11124] = {.lex_state = 32, .external_lex_state = 28},
  [11125] = {.lex_state = 0, .external_lex_state = 28},
  [11126] = {.lex_state = 0, .external_lex_state = 28},
  [11127] = {.lex_state = 32, .external_lex_state = 28},
  [11128] = {.lex_state = 32, .external_lex_state = 28},
  [11129] = {.lex_state = 32, .external_lex_state = 28},
  [11130] = {.lex_state = 32, .external_lex_state = 28},
  [11131] = {.lex_state = 0, .external_lex_state = 28},
  [11132] = {.lex_state = 32, .external_lex_state = 28},
  [11133] = {.lex_state = 32, .external_lex_state = 21},
  [11134] = {.lex_state = 0, .external_lex_state = 28},
  [11135] = {.lex_state = 32, .external_lex_state = 28},
  [11136] = {.lex_state = 32, .external_lex_state = 28},
  [11137] = {.lex_state = 32, .external_lex_state = 28},
  [11138] = {.lex_state = 0, .external_lex_state = 28},
  [11139] = {.lex_state = 0, .external_lex_state = 38},
  [11140] = {.lex_state = 32, .external_lex_state = 28},
  [11141] = {.lex_state = 0, .external_lex_state = 28},
  [11142] = {.lex_state = 0, .external_lex_state = 28},
  [11143] = {.lex_state = 0, .external_lex_state = 28},
  [11144] = {.lex_state = 0, .external_lex_state = 28},
  [11145] = {.lex_state = 32, .external_lex_state = 28},
  [11146] = {.lex_state = 0, .external_lex_state = 38},
  [11147] = {.lex_state = 0, .external_lex_state = 28},
  [11148] = {.lex_state = 0, .external_lex_state = 28},
  [11149] = {.lex_state = 0, .external_lex_state = 28},
  [11150] = {.lex_state = 32, .external_lex_state = 28},
  [11151] = {.lex_state = 32, .external_lex_state = 28},
  [11152] = {.lex_state = 32, .external_lex_state = 28},
  [11153] = {.lex_state = 32, .external_lex_state = 28},
  [11154] = {.lex_state = 0, .external_lex_state = 38},
  [11155] = {.lex_state = 32, .external_lex_state = 28},
  [11156] = {.lex_state = 32, .external_lex_state = 28},
  [11157] = {.lex_state = 0, .external_lex_state = 28},
  [11158] = {.lex_state = 0, .external_lex_state = 28},
  [11159] = {.lex_state = 0, .external_lex_state = 28},
  [11160] = {.lex_state = 0, .external_lex_state = 28},
  [11161] = {.lex_state = 0, .external_lex_state = 28},
  [11162] = {.lex_state = 0, .external_lex_state = 28},
  [11163] = {.lex_state = 32, .external_lex_state = 28},
  [11164] = {.lex_state = 32, .external_lex_state = 28},
  [11165] = {.lex_state = 32, .external_lex_state = 28},
  [11166] = {.lex_state = 0, .external_lex_state = 28},
  [11167] = {.lex_state = 0, .external_lex_state = 28},
  [11168] = {.lex_state = 32, .external_lex_state = 28},
  [11169] = {.lex_state = 0, .external_lex_state = 28},
  [11170] = {.lex_state = 0, .external_lex_state = 28},
  [11171] = {.lex_state = 0, .external_lex_state = 28},
  [11172] = {.lex_state = 0, .external_lex_state = 28},
  [11173] = {.lex_state = 0, .external_lex_state = 38},
  [11174] = {.lex_state = 0, .external_lex_state = 28},
  [11175] = {.lex_state = 32, .external_lex_state = 28},
  [11176] = {.lex_state = 32, .external_lex_state = 28},
  [11177] = {.lex_state = 32, .external_lex_state = 28},
  [11178] = {.lex_state = 0, .external_lex_state = 38},
  [11179] = {.lex_state = 0, .external_lex_state = 37},
  [11180] = {.lex_state = 0, .external_lex_state = 28},
  [11181] = {.lex_state = 32, .external_lex_state = 28},
  [11182] = {.lex_state = 0, .external_lex_state = 28},
  [11183] = {.lex_state = 0, .external_lex_state = 28},
  [11184] = {.lex_state = 0, .external_lex_state = 28},
  [11185] = {.lex_state = 32, .external_lex_state = 28},
  [11186] = {.lex_state = 32, .external_lex_state = 28},
  [11187] = {.lex_state = 0, .external_lex_state = 28},
  [11188] = {.lex_state = 32, .external_lex_state = 28},
  [11189] = {.lex_state = 0, .external_lex_state = 28},
  [11190] = {.lex_state = 0, .external_lex_state = 28},
  [11191] = {.lex_state = 0, .external_lex_state = 28},
  [11192] = {.lex_state = 0, .external_lex_state = 28},
  [11193] = {.lex_state = 32, .external_lex_state = 28},
  [11194] = {.lex_state = 0, .external_lex_state = 38},
  [11195] = {.lex_state = 32, .external_lex_state = 28},
  [11196] = {.lex_state = 0, .external_lex_state = 28},
  [11197] = {.lex_state = 0, .external_lex_state = 28},
  [11198] = {.lex_state = 0, .external_lex_state = 28},
  [11199] = {.lex_state = 32, .external_lex_state = 28},
  [11200] = {.lex_state = 0, .external_lex_state = 38},
  [11201] = {.lex_state = 32, .external_lex_state = 28},
  [11202] = {.lex_state = 0, .external_lex_state = 28},
  [11203] = {.lex_state = 0, .external_lex_state = 28},
  [11204] = {.lex_state = 32, .external_lex_state = 28},
  [11205] = {.lex_state = 0, .external_lex_state = 28},
  [11206] = {.lex_state = 0, .external_lex_state = 28},
  [11207] = {.lex_state = 32, .external_lex_state = 28},
  [11208] = {.lex_state = 0, .external_lex_state = 28},
  [11209] = {.lex_state = 32, .external_lex_state = 28},
  [11210] = {.lex_state = 32, .external_lex_state = 28},
  [11211] = {.lex_state = 0, .external_lex_state = 28},
  [11212] = {.lex_state = 0, .external_lex_state = 28},
  [11213] = {.lex_state = 32, .external_lex_state = 28},
  [11214] = {.lex_state = 0, .external_lex_state = 38},
  [11215] = {.lex_state = 0, .external_lex_state = 28},
  [11216] = {.lex_state = 0, .external_lex_state = 28},
  [11217] = {.lex_state = 0, .external_lex_state = 28},
  [11218] = {.lex_state = 0, .external_lex_state = 28},
  [11219] = {.lex_state = 32, .external_lex_state = 28},
  [11220] = {.lex_state = 0, .external_lex_state = 28},
  [11221] = {.lex_state = 0, .external_lex_state = 28},
  [11222] = {.lex_state = 0, .external_lex_state = 28},
  [11223] = {.lex_state = 0, .external_lex_state = 28},
  [11224] = {.lex_state = 0, .external_lex_state = 28},
  [11225] = {.lex_state = 0, .external_lex_state = 28},
  [11226] = {.lex_state = 0, .external_lex_state = 28},
  [11227] = {.lex_state = 32, .external_lex_state = 28},
  [11228] = {.lex_state = 0, .external_lex_state = 28},
  [11229] = {.lex_state = 0, .external_lex_state = 28},
  [11230] = {.lex_state = 0, .external_lex_state = 28},
  [11231] = {.lex_state = 32, .external_lex_state = 28},
  [11232] = {.lex_state = 0, .external_lex_state = 38},
  [11233] = {.lex_state = 0, .external_lex_state = 28},
  [11234] = {.lex_state = 0, .external_lex_state = 28},
  [11235] = {.lex_state = 0, .external_lex_state = 28},
  [11236] = {.lex_state = 0, .external_lex_state = 38},
  [11237] = {.lex_state = 0, .external_lex_state = 38},
  [11238] = {.lex_state = 32, .external_lex_state = 28},
  [11239] = {.lex_state = 0, .external_lex_state = 28},
  [11240] = {.lex_state = 0, .external_lex_state = 28},
  [11241] = {.lex_state = 0, .external_lex_state = 28},
  [11242] = {.lex_state = 32, .external_lex_state = 28},
  [11243] = {.lex_state = 0, .external_lex_state = 28},
  [11244] = {.lex_state = 38, .external_lex_state = 32},
  [11245] = {.lex_state = 32, .external_lex_state = 28},
  [11246] = {.lex_state = 0, .external_lex_state = 28},
  [11247] = {.lex_state = 38, .external_lex_state = 32},
  [11248] = {.lex_state = 38, .external_lex_state = 33},
  [11249] = {.lex_state = 0, .external_lex_state = 28},
  [11250] = {.lex_state = 0, .external_lex_state = 28},
  [11251] = {.lex_state = 32, .external_lex_state = 28},
  [11252] = {.lex_state = 32, .external_lex_state = 28},
  [11253] = {.lex_state = 32, .external_lex_state = 28},
  [11254] = {.lex_state = 0, .external_lex_state = 28},
  [11255] = {.lex_state = 0, .external_lex_state = 28},
  [11256] = {.lex_state = 0, .external_lex_state = 28},
  [11257] = {.lex_state = 0, .external_lex_state = 28},
  [11258] = {.lex_state = 0, .external_lex_state = 28},
  [11259] = {.lex_state = 0, .external_lex_state = 38},
  [11260] = {.lex_state = 0, .external_lex_state = 28},
  [11261] = {.lex_state = 32, .external_lex_state = 28},
  [11262] = {.lex_state = 0, .external_lex_state = 28},
  [11263] = {.lex_state = 0, .external_lex_state = 38},
  [11264] = {.lex_state = 32, .external_lex_state = 28},
  [11265] = {.lex_state = 32, .external_lex_state = 28},
  [11266] = {.lex_state = 32, .external_lex_state = 28},
  [11267] = {.lex_state = 0, .external_lex_state = 28},
  [11268] = {.lex_state = 0, .external_lex_state = 38},
  [11269] = {.lex_state = 32, .external_lex_state = 28},
  [11270] = {.lex_state = 32, .external_lex_state = 28},
  [11271] = {.lex_state = 0, .external_lex_state = 28},
  [11272] = {.lex_state = 0, .external_lex_state = 28},
  [11273] = {.lex_state = 32, .external_lex_state = 28},
  [11274] = {.lex_state = 32, .external_lex_state = 28},
  [11275] = {.lex_state = 0, .external_lex_state = 28},
  [11276] = {.lex_state = 0, .external_lex_state = 28},
  [11277] = {.lex_state = 0, .external_lex_state = 38},
  [11278] = {.lex_state = 0, .external_lex_state = 28},
  [11279] = {.lex_state = 0, .external_lex_state = 28},
  [11280] = {.lex_state = 32, .external_lex_state = 28},
  [11281] = {.lex_state = 0, .external_lex_state = 28},
  [11282] = {.lex_state = 0, .external_lex_state = 28},
  [11283] = {.lex_state = 32, .external_lex_state = 28},
  [11284] = {.lex_state = 0, .external_lex_state = 28},
  [11285] = {.lex_state = 0, .external_lex_state = 28},
  [11286] = {.lex_state = 32, .external_lex_state = 28},
  [11287] = {.lex_state = 32, .external_lex_state = 28},
  [11288] = {.lex_state = 0, .external_lex_state = 28},
  [11289] = {.lex_state = 0, .external_lex_state = 28},
  [11290] = {.lex_state = 0, .external_lex_state = 28},
  [11291] = {.lex_state = 32, .external_lex_state = 28},
  [11292] = {.lex_state = 0, .external_lex_state = 38},
  [11293] = {.lex_state = 32, .external_lex_state = 28},
  [11294] = {.lex_state = 0, .external_lex_state = 28},
  [11295] = {.lex_state = 0, .external_lex_state = 28},
  [11296] = {.lex_state = 0, .external_lex_state = 28},
  [11297] = {.lex_state = 0, .external_lex_state = 28},
  [11298] = {.lex_state = 0, .external_lex_state = 28},
  [11299] = {.lex_state = 0, .external_lex_state = 28},
  [11300] = {.lex_state = 38, .external_lex_state = 33},
  [11301] = {.lex_state = 0, .external_lex_state = 28},
  [11302] = {.lex_state = 32, .external_lex_state = 28},
  [11303] = {.lex_state = 0, .external_lex_state = 28},
  [11304] = {.lex_state = 0, .external_lex_state = 28},
  [11305] = {.lex_state = 0, .external_lex_state = 28},
  [11306] = {.lex_state = 0, .external_lex_state = 28},
  [11307] = {.lex_state = 32, .external_lex_state = 28},
  [11308] = {.lex_state = 32, .external_lex_state = 28},
  [11309] = {.lex_state = 32, .external_lex_state = 28},
  [11310] = {.lex_state = 0, .external_lex_state = 28},
  [11311] = {.lex_state = 32, .external_lex_state = 28},
  [11312] = {.lex_state = 0, .external_lex_state = 38},
  [11313] = {.lex_state = 0, .external_lex_state = 28},
  [11314] = {.lex_state = 32, .external_lex_state = 28},
  [11315] = {.lex_state = 32, .external_lex_state = 28},
  [11316] = {.lex_state = 32, .external_lex_state = 28},
  [11317] = {.lex_state = 32, .external_lex_state = 28},
  [11318] = {.lex_state = 0, .external_lex_state = 28},
  [11319] = {.lex_state = 32, .external_lex_state = 28},
  [11320] = {.lex_state = 32, .external_lex_state = 28},
  [11321] = {.lex_state = 0, .external_lex_state = 38},
  [11322] = {.lex_state = 32, .external_lex_state = 28},
  [11323] = {.lex_state = 0, .external_lex_state = 28},
  [11324] = {.lex_state = 32, .external_lex_state = 28},
  [11325] = {.lex_state = 0, .external_lex_state = 28},
  [11326] = {.lex_state = 32, .external_lex_state = 28},
  [11327] = {.lex_state = 32, .external_lex_state = 28},
  [11328] = {.lex_state = 0, .external_lex_state = 28},
  [11329] = {.lex_state = 0, .external_lex_state = 28},
  [11330] = {.lex_state = 32, .external_lex_state = 28},
  [11331] = {.lex_state = 0, .external_lex_state = 28},
  [11332] = {.lex_state = 0, .external_lex_state = 28},
  [11333] = {.lex_state = 32, .external_lex_state = 21},
  [11334] = {.lex_state = 0, .external_lex_state = 28},
  [11335] = {.lex_state = 0, .external_lex_state = 38},
  [11336] = {.lex_state = 0, .external_lex_state = 28},
  [11337] = {.lex_state = 0, .external_lex_state = 28},
  [11338] = {.lex_state = 0, .external_lex_state = 38},
  [11339] = {.lex_state = 0, .external_lex_state = 28},
  [11340] = {.lex_state = 0, .external_lex_state = 28},
  [11341] = {.lex_state = 32, .external_lex_state = 28},
  [11342] = {.lex_state = 0, .external_lex_state = 28},
  [11343] = {.lex_state = 0, .external_lex_state = 38},
  [11344] = {.lex_state = 32, .external_lex_state = 28},
  [11345] = {.lex_state = 32, .external_lex_state = 28},
  [11346] = {.lex_state = 32, .external_lex_state = 28},
  [11347] = {.lex_state = 32, .external_lex_state = 28},
  [11348] = {.lex_state = 0, .external_lex_state = 28},
  [11349] = {.lex_state = 0, .external_lex_state = 28},
  [11350] = {.lex_state = 32, .external_lex_state = 28},
  [11351] = {.lex_state = 0, .external_lex_state = 38},
  [11352] = {.lex_state = 32, .external_lex_state = 28},
  [11353] = {.lex_state = 0, .external_lex_state = 28},
  [11354] = {.lex_state = 32, .external_lex_state = 28},
  [11355] = {.lex_state = 0, .external_lex_state = 28},
  [11356] = {.lex_state = 0, .external_lex_state = 28},
  [11357] = {.lex_state = 0, .external_lex_state = 28},
  [11358] = {.lex_state = 0, .external_lex_state = 28},
  [11359] = {.lex_state = 0, .external_lex_state = 28},
  [11360] = {.lex_state = 0, .external_lex_state = 38},
  [11361] = {.lex_state = 0, .external_lex_state = 38},
  [11362] = {.lex_state = 32, .external_lex_state = 28},
  [11363] = {.lex_state = 32, .external_lex_state = 28},
  [11364] = {.lex_state = 0, .external_lex_state = 38},
  [11365] = {.lex_state = 32, .external_lex_state = 28},
  [11366] = {.lex_state = 32, .external_lex_state = 28},
  [11367] = {.lex_state = 32, .external_lex_state = 28},
  [11368] = {.lex_state = 0, .external_lex_state = 28},
  [11369] = {.lex_state = 0, .external_lex_state = 38},
  [11370] = {.lex_state = 32, .external_lex_state = 28},
  [11371] = {.lex_state = 0, .external_lex_state = 28},
  [11372] = {.lex_state = 32, .external_lex_state = 28},
  [11373] = {.lex_state = 32, .external_lex_state = 28},
  [11374] = {.lex_state = 0, .external_lex_state = 38},
  [11375] = {.lex_state = 32, .external_lex_state = 28},
  [11376] = {.lex_state = 32, .external_lex_state = 28},
  [11377] = {.lex_state = 32, .external_lex_state = 28},
  [11378] = {.lex_state = 32, .external_lex_state = 28},
  [11379] = {.lex_state = 32, .external_lex_state = 28},
  [11380] = {.lex_state = 32, .external_lex_state = 28},
  [11381] = {.lex_state = 0, .external_lex_state = 28},
  [11382] = {.lex_state = 32, .external_lex_state = 28},
  [11383] = {.lex_state = 32, .external_lex_state = 28},
  [11384] = {.lex_state = 0, .external_lex_state = 28},
  [11385] = {.lex_state = 32, .external_lex_state = 28},
  [11386] = {.lex_state = 32, .external_lex_state = 28},
  [11387] = {.lex_state = 0, .external_lex_state = 28},
  [11388] = {.lex_state = 0, .external_lex_state = 28},
  [11389] = {.lex_state = 0, .external_lex_state = 38},
  [11390] = {.lex_state = 32, .external_lex_state = 28},
  [11391] = {.lex_state = 32, .external_lex_state = 28},
  [11392] = {.lex_state = 0, .external_lex_state = 38},
  [11393] = {.lex_state = 32, .external_lex_state = 28},
  [11394] = {.lex_state = 0, .external_lex_state = 38},
  [11395] = {.lex_state = 0, .external_lex_state = 28},
  [11396] = {.lex_state = 32, .external_lex_state = 28},
  [11397] = {.lex_state = 32, .external_lex_state = 28},
  [11398] = {.lex_state = 0, .external_lex_state = 28},
  [11399] = {.lex_state = 0, .external_lex_state = 28},
  [11400] = {.lex_state = 0, .external_lex_state = 28},
  [11401] = {.lex_state = 0, .external_lex_state = 28},
  [11402] = {.lex_state = 0, .external_lex_state = 28},
  [11403] = {.lex_state = 0, .external_lex_state = 38},
  [11404] = {.lex_state = 32, .external_lex_state = 28},
  [11405] = {.lex_state = 32, .external_lex_state = 28},
  [11406] = {.lex_state = 32, .external_lex_state = 28},
  [11407] = {.lex_state = 32, .external_lex_state = 28},
  [11408] = {.lex_state = 32, .external_lex_state = 28},
  [11409] = {.lex_state = 0, .external_lex_state = 28},
  [11410] = {.lex_state = 32, .external_lex_state = 28},
  [11411] = {.lex_state = 0, .external_lex_state = 38},
  [11412] = {.lex_state = 0, .external_lex_state = 28},
  [11413] = {.lex_state = 0, .external_lex_state = 28},
  [11414] = {.lex_state = 0, .external_lex_state = 28},
  [11415] = {.lex_state = 0, .external_lex_state = 28},
  [11416] = {.lex_state = 0, .external_lex_state = 28},
  [11417] = {.lex_state = 0, .external_lex_state = 28},
  [11418] = {.lex_state = 0, .external_lex_state = 28},
  [11419] = {.lex_state = 0, .external_lex_state = 28},
  [11420] = {.lex_state = 0, .external_lex_state = 28},
  [11421] = {.lex_state = 0, .external_lex_state = 28},
  [11422] = {.lex_state = 0, .external_lex_state = 28},
  [11423] = {.lex_state = 0, .external_lex_state = 28},
  [11424] = {.lex_state = 0, .external_lex_state = 28},
  [11425] = {.lex_state = 0, .external_lex_state = 28},
  [11426] = {.lex_state = 0, .external_lex_state = 28},
  [11427] = {.lex_state = 0, .external_lex_state = 28},
  [11428] = {.lex_state = 0, .external_lex_state = 38},
  [11429] = {.lex_state = 0, .external_lex_state = 28},
  [11430] = {.lex_state = 32, .external_lex_state = 28},
  [11431] = {.lex_state = 0, .external_lex_state = 28},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_file] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_typealias] = ACTIONS(1),
    [anon_sym_companion] = ACTIONS(1),
    [anon_sym_init] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_super] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_by] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_annotation] = ACTIONS(1),
    [anon_sym_data] = ACTIONS(1),
    [anon_sym_inner] = ACTIONS(1),
    [anon_sym_value] = ACTIONS(1),
    [anon_sym_tailrec] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_infix] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_suspend] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_internal] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_lateinit] = ACTIONS(1),
    [anon_sym_vararg] = ACTIONS(1),
    [anon_sym_noinline] = ACTIONS(1),
    [anon_sym_crossinline] = ACTIONS(1),
    [sym_reification_modifier] = ACTIONS(1),
    [anon_sym_expect] = ACTIONS(1),
    [anon_sym_actual] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_receiver] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_setparam] = ACTIONS(1),
    [anon_sym_delegate] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_BANG_BANG] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_COLON] = ACTIONS(1),
    [anon_sym_BANGin] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_as_QMARK] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1),
    [anon_sym_this_AT] = ACTIONS(1),
    [anon_sym_super_AT] = ACTIONS(1),
    [anon_sym_AT2] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_return_AT] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_literal_token1] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(1),
    [sym__class_member_semi] = ACTIONS(1),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(1),
    [sym__in] = ACTIONS(1),
    [sym__q_dot] = ACTIONS(1),
    [sym__multiline_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(10614),
    [sym_file_annotation] = STATE(4),
    [sym_package_header] = STATE(66),
    [sym_import] = STATE(64),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat1] = STATE(4),
    [aux_sym_source_file_repeat2] = STATE(64),
    [aux_sym_source_file_repeat3] = STATE(97),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_package] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_shebang] = ACTIONS(103),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_file_annotation] = STATE(5),
    [sym_package_header] = STATE(62),
    [sym_import] = STATE(68),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat1] = STATE(5),
    [aux_sym_source_file_repeat2] = STATE(68),
    [aux_sym_source_file_repeat3] = STATE(98),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_package] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4683),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4683),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(113),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANGin] = ACTIONS(137),
    [anon_sym_is] = ACTIONS(157),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(157),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(137),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(137),
    [sym__in] = ACTIONS(137),
  },
  [4] = {
    [sym_file_annotation] = STATE(3652),
    [sym_package_header] = STATE(62),
    [sym_import] = STATE(68),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat1] = STATE(3652),
    [aux_sym_source_file_repeat2] = STATE(68),
    [aux_sym_source_file_repeat3] = STATE(98),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_package] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_file_annotation] = STATE(3652),
    [sym_package_header] = STATE(61),
    [sym_import] = STATE(71),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat1] = STATE(3652),
    [aux_sym_source_file_repeat2] = STATE(71),
    [aux_sym_source_file_repeat3] = STATE(91),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_package] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_BANGin] = ACTIONS(219),
    [anon_sym_is] = ACTIONS(239),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(239),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(219),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(219),
    [sym__in] = ACTIONS(219),
  },
  [7] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4665),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4665),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(271),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANGin] = ACTIONS(273),
    [anon_sym_is] = ACTIONS(275),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(275),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(273),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(273),
    [sym__in] = ACTIONS(273),
  },
  [8] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_BANGin] = ACTIONS(277),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(277),
    [sym__in] = ACTIONS(277),
  },
  [9] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4791),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4791),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANGin] = ACTIONS(281),
    [anon_sym_is] = ACTIONS(283),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(283),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(281),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(281),
    [sym__in] = ACTIONS(281),
  },
  [10] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4805),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4805),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANGin] = ACTIONS(285),
    [anon_sym_is] = ACTIONS(287),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(287),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(285),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(285),
    [sym__in] = ACTIONS(285),
  },
  [11] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4814),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4814),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANGin] = ACTIONS(289),
    [anon_sym_is] = ACTIONS(291),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(291),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(289),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(289),
    [sym__in] = ACTIONS(289),
  },
  [12] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9449),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11395),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9844),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10918),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(301),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9378),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10918),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9402),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11395),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9553),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11262),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(311),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9570),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11395),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9626),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11212),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(317),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9656),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11073),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(321),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9723),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10442),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9740),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10918),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9672),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11073),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(321),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9319),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10918),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9772),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10506),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(335),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9223),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11395),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(299),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9811),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11158),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(341),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9353),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11262),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(311),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9336),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11224),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(345),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9439),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11212),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(317),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9706),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11337),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(353),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9771),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11073),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(321),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9765),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10442),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9281),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10491),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9313),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10506),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(335),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9463),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10549),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9500),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11158),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(341),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9593),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10622),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(371),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9625),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11073),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(321),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9735),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11262),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(311),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9478),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11224),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9831),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11337),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(353),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9426),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10445),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9615),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10491),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9790),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11212),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(317),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9147),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10549),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9191),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10442),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9229),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10622),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(395),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9252),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10506),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(335),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9270),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11158),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(399),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(341),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9284),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11224),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(347),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9304),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(11337),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(353),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9327),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10445),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9356),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10491),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9372),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10549),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(367),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9391),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10622),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(373),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_variable_declaration] = STATE(9467),
    [sym_multi_variable_declaration] = STATE(9467),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9518),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(423),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_lambda_parameters] = STATE(10445),
    [sym__lambda_parameter] = STATE(9467),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4874),
    [aux_sym_delegation_specifier_repeat1] = STATE(8057),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(413),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(385),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(444),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [58] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(457),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(425),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [59] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [60] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2152),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(539),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(557),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [61] = {
    [sym_import] = STATE(63),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(63),
    [aux_sym_source_file_repeat3] = STATE(93),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_import] = STATE(71),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(71),
    [aux_sym_source_file_repeat3] = STATE(91),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_import] = STATE(3752),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(3752),
    [aux_sym_source_file_repeat3] = STATE(95),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(591),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_import] = STATE(3752),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(3752),
    [aux_sym_source_file_repeat3] = STATE(98),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2206),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(539),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(557),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [66] = {
    [sym_import] = STATE(68),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(68),
    [aux_sym_source_file_repeat3] = STATE(98),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2378),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(485),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [68] = {
    [sym_import] = STATE(3752),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(3752),
    [aux_sym_source_file_repeat3] = STATE(91),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(615),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [70] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2285),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(615),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [71] = {
    [sym_import] = STATE(3752),
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat2] = STATE(3752),
    [aux_sym_source_file_repeat3] = STATE(93),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_block] = STATE(10078),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(10078),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(273),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_block] = STATE(10399),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(10399),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(137),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2344),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [76] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2254),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [77] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(219),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2270),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [79] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2357),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(729),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [80] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2552),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [81] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2541),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [82] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2569),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(837),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [83] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2398),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(837),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [84] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [85] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [86] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2591),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(945),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [87] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(945),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [88] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_block] = STATE(10068),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(10068),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(281),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_block] = STATE(10173),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(10173),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(289),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_block] = STATE(9854),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9854),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(285),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10953),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10953),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(977),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(591),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10551),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10551),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(983),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(985),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(11408),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(11408),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(11179),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_source_file_repeat3] = STATE(99),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_class] = ACTIONS(1005),
    [anon_sym_fun] = ACTIONS(1008),
    [anon_sym_interface] = ACTIONS(1005),
    [anon_sym_object] = ACTIONS(1011),
    [anon_sym_val] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_typealias] = ACTIONS(1017),
    [anon_sym_constructor] = ACTIONS(1020),
    [anon_sym_this] = ACTIONS(1023),
    [anon_sym_super] = ACTIONS(1026),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_get] = ACTIONS(1020),
    [anon_sym_set] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_for] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_do] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1044),
    [anon_sym_sealed] = ACTIONS(1047),
    [anon_sym_annotation] = ACTIONS(1044),
    [anon_sym_data] = ACTIONS(1044),
    [anon_sym_inner] = ACTIONS(1044),
    [anon_sym_value] = ACTIONS(1044),
    [anon_sym_tailrec] = ACTIONS(1050),
    [anon_sym_operator] = ACTIONS(1053),
    [anon_sym_infix] = ACTIONS(1050),
    [anon_sym_inline] = ACTIONS(1050),
    [anon_sym_external] = ACTIONS(1050),
    [anon_sym_suspend] = ACTIONS(1056),
    [anon_sym_const] = ACTIONS(1059),
    [anon_sym_public] = ACTIONS(1062),
    [anon_sym_private] = ACTIONS(1062),
    [anon_sym_protected] = ACTIONS(1062),
    [anon_sym_internal] = ACTIONS(1062),
    [anon_sym_abstract] = ACTIONS(1065),
    [anon_sym_final] = ACTIONS(1065),
    [anon_sym_open] = ACTIONS(1065),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_lateinit] = ACTIONS(1068),
    [anon_sym_vararg] = ACTIONS(1071),
    [anon_sym_noinline] = ACTIONS(1071),
    [anon_sym_crossinline] = ACTIONS(1071),
    [anon_sym_expect] = ACTIONS(1074),
    [anon_sym_actual] = ACTIONS(1074),
    [anon_sym_dynamic] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_this_AT] = ACTIONS(1086),
    [anon_sym_super_AT] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1092),
    [anon_sym_when] = ACTIONS(1095),
    [anon_sym_try] = ACTIONS(1098),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_return_AT] = ACTIONS(1104),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_COLON_COLON] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [sym_number_literal] = ACTIONS(1122),
    [sym_float_literal] = ACTIONS(1125),
    [sym_label] = ACTIONS(1128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10615),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10615),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10810),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10810),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(11014),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(11014),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(1133),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(11029),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(11029),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10946),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10946),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9568),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9571),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9587),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9607),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9652),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9675),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9737),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9743),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9814),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9249),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4786),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4786),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9385),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9576),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4787),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4788),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9170),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9244),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9276),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9324),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9384),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9597),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9414),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9446),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9507),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4795),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4796),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9766),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9818),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9843),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9755),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4737),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4737),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9806),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9141),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9302),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9320),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9343),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9497),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9398),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9508),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9525),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_declaration] = STATE(4782),
    [sym_class_declaration] = STATE(4632),
    [sym_object_declaration] = STATE(4632),
    [sym_property_declaration] = STATE(4632),
    [sym_type_alias] = STATE(4632),
    [sym_function_declaration] = STATE(4632),
    [sym_block] = STATE(4738),
    [sym_for_statement] = STATE(4782),
    [sym_while_statement] = STATE(4782),
    [sym_do_while_statement] = STATE(4782),
    [sym_statement] = STATE(4738),
    [sym_modifiers] = STATE(8489),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(424),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4782),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(117),
    [anon_sym_fun] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_val] = ACTIONS(123),
    [anon_sym_var] = ACTIONS(123),
    [anon_sym_typealias] = ACTIONS(125),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(135),
    [anon_sym_for] = ACTIONS(139),
    [anon_sym_while] = ACTIONS(141),
    [anon_sym_do] = ACTIONS(143),
    [anon_sym_enum] = ACTIONS(145),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(145),
    [anon_sym_data] = ACTIONS(145),
    [anon_sym_inner] = ACTIONS(145),
    [anon_sym_value] = ACTIONS(145),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(147),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(149),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(151),
    [anon_sym_actual] = ACTIONS(151),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9619),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9404),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9627),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9644),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(10951),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(10951),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9738),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9581),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(11293),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(11293),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9135),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_declaration] = STATE(11390),
    [sym_class_declaration] = STATE(11396),
    [sym_object_declaration] = STATE(11396),
    [sym_property_declaration] = STATE(11396),
    [sym_type_alias] = STATE(11396),
    [sym_function_declaration] = STATE(11396),
    [sym_block] = STATE(11350),
    [sym_for_statement] = STATE(11390),
    [sym_while_statement] = STATE(11390),
    [sym_do_while_statement] = STATE(11390),
    [sym_statement] = STATE(11350),
    [sym_modifiers] = STATE(8479),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(426),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(11390),
    [sym_expression] = STATE(4973),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(199),
    [anon_sym_fun] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(199),
    [anon_sym_object] = ACTIONS(203),
    [anon_sym_val] = ACTIONS(205),
    [anon_sym_var] = ACTIONS(205),
    [anon_sym_typealias] = ACTIONS(207),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(221),
    [anon_sym_while] = ACTIONS(223),
    [anon_sym_do] = ACTIONS(225),
    [anon_sym_enum] = ACTIONS(227),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(227),
    [anon_sym_data] = ACTIONS(227),
    [anon_sym_inner] = ACTIONS(227),
    [anon_sym_value] = ACTIONS(227),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(229),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(231),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(233),
    [anon_sym_actual] = ACTIONS(233),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9432),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9621),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9792),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9150),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1473),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9192),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9200),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9230),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9437),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9254),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9721),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9271),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9285),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1523),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9306),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9329),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9357),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9373),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9393),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1575),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9422),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9447),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9472),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9486),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9659),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(665),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [367] = {
    [sym_declaration] = STATE(10098),
    [sym_class_declaration] = STATE(10342),
    [sym_object_declaration] = STATE(10342),
    [sym_property_declaration] = STATE(10342),
    [sym_type_alias] = STATE(10342),
    [sym_function_declaration] = STATE(10342),
    [sym_for_statement] = STATE(10098),
    [sym_while_statement] = STATE(10098),
    [sym_do_while_statement] = STATE(10098),
    [sym_statement] = STATE(9981),
    [sym_modifiers] = STATE(8525),
    [sym_class_modifier] = STATE(5389),
    [sym_function_modifier] = STATE(5389),
    [sym_property_modifier] = STATE(5389),
    [sym_visibility_modifier] = STATE(5389),
    [sym_inheritance_modifier] = STATE(5389),
    [sym_member_modifier] = STATE(5389),
    [sym_parameter_modifier] = STATE(5389),
    [sym_platform_modifier] = STATE(5389),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(425),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(10098),
    [sym_expression] = STATE(4915),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_modifiers_repeat1] = STATE(5389),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_fun] = ACTIONS(21),
    [anon_sym_interface] = ACTIONS(19),
    [anon_sym_object] = ACTIONS(23),
    [anon_sym_val] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(25),
    [anon_sym_typealias] = ACTIONS(27),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_enum] = ACTIONS(45),
    [anon_sym_sealed] = ACTIONS(47),
    [anon_sym_annotation] = ACTIONS(45),
    [anon_sym_data] = ACTIONS(45),
    [anon_sym_inner] = ACTIONS(45),
    [anon_sym_value] = ACTIONS(45),
    [anon_sym_tailrec] = ACTIONS(49),
    [anon_sym_operator] = ACTIONS(51),
    [anon_sym_infix] = ACTIONS(49),
    [anon_sym_inline] = ACTIONS(49),
    [anon_sym_external] = ACTIONS(49),
    [anon_sym_suspend] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_public] = ACTIONS(57),
    [anon_sym_private] = ACTIONS(57),
    [anon_sym_protected] = ACTIONS(57),
    [anon_sym_internal] = ACTIONS(57),
    [anon_sym_abstract] = ACTIONS(59),
    [anon_sym_final] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(59),
    [anon_sym_override] = ACTIONS(61),
    [anon_sym_lateinit] = ACTIONS(61),
    [anon_sym_vararg] = ACTIONS(63),
    [anon_sym_noinline] = ACTIONS(63),
    [anon_sym_crossinline] = ACTIONS(63),
    [anon_sym_expect] = ACTIONS(65),
    [anon_sym_actual] = ACTIONS(65),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(627),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [369] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3179),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [370] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3198),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1643),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [371] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3376),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [372] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3359),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [373] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3438),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [374] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3458),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1679),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [375] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3513),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [376] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3794),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1715),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [377] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3885),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1733),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [378] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3810),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1715),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [379] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3982),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [380] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3867),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1733),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [381] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3551),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [382] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3963),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [383] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3290),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [384] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3708),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [385] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3724),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_tailrec] = ACTIONS(423),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_infix] = ACTIONS(423),
    [anon_sym_inline] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(423),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_internal] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_override] = ACTIONS(423),
    [anon_sym_lateinit] = ACTIONS(423),
    [anon_sym_vararg] = ACTIONS(423),
    [anon_sym_noinline] = ACTIONS(423),
    [anon_sym_crossinline] = ACTIONS(423),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [386] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3271),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(479),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_tailrec] = ACTIONS(479),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_infix] = ACTIONS(479),
    [anon_sym_inline] = ACTIONS(479),
    [anon_sym_external] = ACTIONS(479),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(479),
    [anon_sym_private] = ACTIONS(479),
    [anon_sym_protected] = ACTIONS(479),
    [anon_sym_internal] = ACTIONS(479),
    [anon_sym_abstract] = ACTIONS(479),
    [anon_sym_final] = ACTIONS(479),
    [anon_sym_open] = ACTIONS(479),
    [anon_sym_override] = ACTIONS(479),
    [anon_sym_lateinit] = ACTIONS(479),
    [anon_sym_vararg] = ACTIONS(479),
    [anon_sym_noinline] = ACTIONS(479),
    [anon_sym_crossinline] = ACTIONS(479),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [387] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4319),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(477),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1809),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [388] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4303),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1799),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1809),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [389] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1947),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [390] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1962),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1821),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [391] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4373),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1843),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [392] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4387),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1843),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [393] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4413),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [394] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1999),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [395] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4483),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1879),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [396] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4444),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [397] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2008),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(155),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [398] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4510),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1879),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [399] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4548),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1929),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(477),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [400] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4567),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [401] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4531),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1929),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(421),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [402] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4527),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [403] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4821),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [404] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4768),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_EQ] = ACTIONS(421),
    [anon_sym_DASH_EQ] = ACTIONS(421),
    [anon_sym_STAR_EQ] = ACTIONS(421),
    [anon_sym_SLASH_EQ] = ACTIONS(421),
    [anon_sym_PERCENT_EQ] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [405] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2110),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [406] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [407] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4956),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(421),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [408] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5025),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(477),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [409] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5143),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [410] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5063),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [411] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5263),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(421),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_while] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [412] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2537),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__in] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [413] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5293),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_where] = ACTIONS(423),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [414] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5261),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [415] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5215),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_where] = ACTIONS(479),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [416] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__in] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [417] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5342),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [418] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5345),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_COMMA] = ACTIONS(421),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(421),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [419] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5363),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2103),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [420] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5349),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2103),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [421] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5453),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_as] = ACTIONS(423),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_BANG_BANG] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(421),
    [anon_sym_PIPE_PIPE] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(421),
    [anon_sym_BANG_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(421),
    [anon_sym_GT_EQ] = ACTIONS(421),
    [anon_sym_LT_EQ] = ACTIONS(421),
    [anon_sym_QMARK_COLON] = ACTIONS(421),
    [anon_sym_BANGin] = ACTIONS(421),
    [anon_sym_is] = ACTIONS(423),
    [anon_sym_as_QMARK] = ACTIONS(421),
    [anon_sym_DOT_DOT] = ACTIONS(423),
    [anon_sym_DOT_DOT_LT] = ACTIONS(421),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(421),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(421),
    [sym__q_dot] = ACTIONS(421),
  },
  [422] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5392),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_as] = ACTIONS(479),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_BANG_BANG] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(479),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(479),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_QMARK_COLON] = ACTIONS(477),
    [anon_sym_BANGin] = ACTIONS(477),
    [anon_sym_is] = ACTIONS(479),
    [anon_sym_as_QMARK] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(479),
    [anon_sym_DOT_DOT_LT] = ACTIONS(477),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(479),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(477),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(477),
    [sym__q_dot] = ACTIONS(477),
  },
  [423] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4588),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_fun] = ACTIONS(2144),
    [anon_sym_interface] = ACTIONS(2142),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_val] = ACTIONS(2142),
    [anon_sym_var] = ACTIONS(2142),
    [anon_sym_typealias] = ACTIONS(2142),
    [anon_sym_constructor] = ACTIONS(2150),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2150),
    [anon_sym_set] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2157),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_annotation] = ACTIONS(2157),
    [anon_sym_data] = ACTIONS(2157),
    [anon_sym_inner] = ACTIONS(2157),
    [anon_sym_value] = ACTIONS(2157),
    [anon_sym_tailrec] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2157),
    [anon_sym_infix] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym_external] = ACTIONS(2142),
    [anon_sym_suspend] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2157),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_internal] = ACTIONS(2142),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_final] = ACTIONS(2142),
    [anon_sym_open] = ACTIONS(2142),
    [anon_sym_override] = ACTIONS(2142),
    [anon_sym_lateinit] = ACTIONS(2142),
    [anon_sym_vararg] = ACTIONS(2142),
    [anon_sym_noinline] = ACTIONS(2142),
    [anon_sym_crossinline] = ACTIONS(2142),
    [anon_sym_expect] = ACTIONS(2157),
    [anon_sym_actual] = ACTIONS(2157),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1995),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_fun] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2142),
    [anon_sym_object] = ACTIONS(2179),
    [anon_sym_val] = ACTIONS(2142),
    [anon_sym_var] = ACTIONS(2142),
    [anon_sym_typealias] = ACTIONS(2142),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(2188),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_annotation] = ACTIONS(2188),
    [anon_sym_data] = ACTIONS(2188),
    [anon_sym_inner] = ACTIONS(2188),
    [anon_sym_value] = ACTIONS(2188),
    [anon_sym_tailrec] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2188),
    [anon_sym_infix] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym_external] = ACTIONS(2142),
    [anon_sym_suspend] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_internal] = ACTIONS(2142),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_final] = ACTIONS(2142),
    [anon_sym_open] = ACTIONS(2142),
    [anon_sym_override] = ACTIONS(2142),
    [anon_sym_lateinit] = ACTIONS(2142),
    [anon_sym_vararg] = ACTIONS(2142),
    [anon_sym_noinline] = ACTIONS(2142),
    [anon_sym_crossinline] = ACTIONS(2142),
    [anon_sym_expect] = ACTIONS(2188),
    [anon_sym_actual] = ACTIONS(2188),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4588),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_fun] = ACTIONS(2144),
    [anon_sym_interface] = ACTIONS(2142),
    [anon_sym_object] = ACTIONS(2147),
    [anon_sym_val] = ACTIONS(2142),
    [anon_sym_var] = ACTIONS(2142),
    [anon_sym_typealias] = ACTIONS(2142),
    [anon_sym_constructor] = ACTIONS(2195),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_annotation] = ACTIONS(2198),
    [anon_sym_data] = ACTIONS(2198),
    [anon_sym_inner] = ACTIONS(2198),
    [anon_sym_value] = ACTIONS(2198),
    [anon_sym_tailrec] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2198),
    [anon_sym_infix] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym_external] = ACTIONS(2142),
    [anon_sym_suspend] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2198),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_internal] = ACTIONS(2142),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_final] = ACTIONS(2142),
    [anon_sym_open] = ACTIONS(2142),
    [anon_sym_override] = ACTIONS(2142),
    [anon_sym_lateinit] = ACTIONS(2142),
    [anon_sym_vararg] = ACTIONS(2142),
    [anon_sym_noinline] = ACTIONS(2142),
    [anon_sym_crossinline] = ACTIONS(2142),
    [anon_sym_expect] = ACTIONS(2198),
    [anon_sym_actual] = ACTIONS(2198),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4417),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_fun] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2142),
    [anon_sym_object] = ACTIONS(2208),
    [anon_sym_val] = ACTIONS(2142),
    [anon_sym_var] = ACTIONS(2142),
    [anon_sym_typealias] = ACTIONS(2142),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2217),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_annotation] = ACTIONS(2217),
    [anon_sym_data] = ACTIONS(2217),
    [anon_sym_inner] = ACTIONS(2217),
    [anon_sym_value] = ACTIONS(2217),
    [anon_sym_tailrec] = ACTIONS(2142),
    [anon_sym_operator] = ACTIONS(2217),
    [anon_sym_infix] = ACTIONS(2142),
    [anon_sym_inline] = ACTIONS(2142),
    [anon_sym_external] = ACTIONS(2142),
    [anon_sym_suspend] = ACTIONS(2162),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_internal] = ACTIONS(2142),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_final] = ACTIONS(2142),
    [anon_sym_open] = ACTIONS(2142),
    [anon_sym_override] = ACTIONS(2142),
    [anon_sym_lateinit] = ACTIONS(2142),
    [anon_sym_vararg] = ACTIONS(2142),
    [anon_sym_noinline] = ACTIONS(2142),
    [anon_sym_crossinline] = ACTIONS(2142),
    [anon_sym_expect] = ACTIONS(2217),
    [anon_sym_actual] = ACTIONS(2217),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_getter] = STATE(2239),
    [sym_setter] = STATE(2340),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2247),
    [sym__q_dot] = ACTIONS(2295),
  },
  [428] = {
    [sym_getter] = STATE(2338),
    [sym_setter] = STATE(2339),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2303),
    [anon_sym_constructor] = ACTIONS(2303),
    [anon_sym_this] = ACTIONS(2303),
    [anon_sym_super] = ACTIONS(2303),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2305),
    [anon_sym_super_AT] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2303),
    [anon_sym_when] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2303),
    [anon_sym_return_AT] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2303),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2305),
    [anon_sym_SQUOTE] = ACTIONS(2305),
    [sym_number_literal] = ACTIONS(2303),
    [sym_float_literal] = ACTIONS(2305),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2305),
    [sym__q_dot] = ACTIONS(2295),
  },
  [429] = {
    [sym_getter] = STATE(2323),
    [sym_setter] = STATE(2324),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2311),
    [sym__q_dot] = ACTIONS(2295),
  },
  [430] = {
    [sym_getter] = STATE(2330),
    [sym_setter] = STATE(2331),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2317),
    [sym__q_dot] = ACTIONS(2295),
  },
  [431] = {
    [sym_getter] = STATE(2311),
    [sym_setter] = STATE(2312),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2323),
    [sym__q_dot] = ACTIONS(2295),
  },
  [432] = {
    [sym_getter] = STATE(2387),
    [sym_setter] = STATE(2319),
    [sym_value_arguments] = STATE(501),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2327),
    [anon_sym_object] = ACTIONS(2327),
    [anon_sym_constructor] = ACTIONS(2327),
    [anon_sym_this] = ACTIONS(2327),
    [anon_sym_super] = ACTIONS(2327),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2329),
    [anon_sym_super_AT] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_when] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_return_AT] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [sym_number_literal] = ACTIONS(2327),
    [sym_float_literal] = ACTIONS(2329),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2329),
    [sym__q_dot] = ACTIONS(2295),
  },
  [433] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [434] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_fun] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_constructor] = ACTIONS(2355),
    [anon_sym_this] = ACTIONS(2355),
    [anon_sym_super] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_dynamic] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_this_AT] = ACTIONS(2357),
    [anon_sym_super_AT] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_when] = ACTIONS(2355),
    [anon_sym_try] = ACTIONS(2355),
    [anon_sym_return] = ACTIONS(2355),
    [anon_sym_return_AT] = ACTIONS(2357),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [sym_number_literal] = ACTIONS(2355),
    [sym_float_literal] = ACTIONS(2357),
    [sym_label] = ACTIONS(2355),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__in] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [435] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2295),
  },
  [436] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2295),
  },
  [437] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2295),
  },
  [438] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2363),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2369),
    [anon_sym_DASH_EQ] = ACTIONS(2369),
    [anon_sym_STAR_EQ] = ACTIONS(2369),
    [anon_sym_SLASH_EQ] = ACTIONS(2369),
    [anon_sym_PERCENT_EQ] = ACTIONS(2369),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2295),
  },
  [439] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2295),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2412),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2412),
    [anon_sym_val] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2410),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_sealed] = ACTIONS(2410),
    [anon_sym_annotation] = ACTIONS(2412),
    [anon_sym_data] = ACTIONS(2412),
    [anon_sym_inner] = ACTIONS(2412),
    [anon_sym_value] = ACTIONS(2412),
    [anon_sym_tailrec] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2412),
    [anon_sym_infix] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym_external] = ACTIONS(2410),
    [anon_sym_suspend] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_internal] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_final] = ACTIONS(2410),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_lateinit] = ACTIONS(2410),
    [anon_sym_vararg] = ACTIONS(2410),
    [anon_sym_noinline] = ACTIONS(2410),
    [anon_sym_crossinline] = ACTIONS(2410),
    [anon_sym_expect] = ACTIONS(2412),
    [anon_sym_actual] = ACTIONS(2412),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_fun] = ACTIONS(2420),
    [anon_sym_interface] = ACTIONS(2418),
    [anon_sym_object] = ACTIONS(2420),
    [anon_sym_val] = ACTIONS(2418),
    [anon_sym_var] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2418),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_sealed] = ACTIONS(2418),
    [anon_sym_annotation] = ACTIONS(2420),
    [anon_sym_data] = ACTIONS(2420),
    [anon_sym_inner] = ACTIONS(2420),
    [anon_sym_value] = ACTIONS(2420),
    [anon_sym_tailrec] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2420),
    [anon_sym_infix] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym_external] = ACTIONS(2418),
    [anon_sym_suspend] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_public] = ACTIONS(2418),
    [anon_sym_private] = ACTIONS(2418),
    [anon_sym_protected] = ACTIONS(2418),
    [anon_sym_internal] = ACTIONS(2418),
    [anon_sym_abstract] = ACTIONS(2418),
    [anon_sym_final] = ACTIONS(2418),
    [anon_sym_open] = ACTIONS(2418),
    [anon_sym_override] = ACTIONS(2418),
    [anon_sym_lateinit] = ACTIONS(2418),
    [anon_sym_vararg] = ACTIONS(2418),
    [anon_sym_noinline] = ACTIONS(2418),
    [anon_sym_crossinline] = ACTIONS(2418),
    [anon_sym_expect] = ACTIONS(2420),
    [anon_sym_actual] = ACTIONS(2420),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_fun] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2428),
    [anon_sym_val] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2426),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_sealed] = ACTIONS(2426),
    [anon_sym_annotation] = ACTIONS(2428),
    [anon_sym_data] = ACTIONS(2428),
    [anon_sym_inner] = ACTIONS(2428),
    [anon_sym_value] = ACTIONS(2428),
    [anon_sym_tailrec] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2428),
    [anon_sym_infix] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym_external] = ACTIONS(2426),
    [anon_sym_suspend] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_internal] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_final] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_lateinit] = ACTIONS(2426),
    [anon_sym_vararg] = ACTIONS(2426),
    [anon_sym_noinline] = ACTIONS(2426),
    [anon_sym_crossinline] = ACTIONS(2426),
    [anon_sym_expect] = ACTIONS(2428),
    [anon_sym_actual] = ACTIONS(2428),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2436),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_val] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2434),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_sealed] = ACTIONS(2434),
    [anon_sym_annotation] = ACTIONS(2436),
    [anon_sym_data] = ACTIONS(2436),
    [anon_sym_inner] = ACTIONS(2436),
    [anon_sym_value] = ACTIONS(2436),
    [anon_sym_tailrec] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2436),
    [anon_sym_infix] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym_external] = ACTIONS(2434),
    [anon_sym_suspend] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_internal] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_final] = ACTIONS(2434),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_lateinit] = ACTIONS(2434),
    [anon_sym_vararg] = ACTIONS(2434),
    [anon_sym_noinline] = ACTIONS(2434),
    [anon_sym_crossinline] = ACTIONS(2434),
    [anon_sym_expect] = ACTIONS(2436),
    [anon_sym_actual] = ACTIONS(2436),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [444] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(2295),
  },
  [445] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [446] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(2295),
  },
  [447] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(2295),
  },
  [448] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [449] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [450] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [451] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [452] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [453] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(2461),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(2295),
  },
  [454] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(2295),
  },
  [455] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(2295),
  },
  [456] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(2295),
  },
  [457] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(2295),
  },
  [458] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(2295),
  },
  [459] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(2295),
  },
  [460] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(2295),
  },
  [461] = {
    [sym_type_constraints] = STATE(584),
    [sym_function_body] = STATE(669),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [462] = {
    [sym_type_constraints] = STATE(586),
    [sym_function_body] = STATE(616),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [463] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2295),
  },
  [464] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2295),
  },
  [465] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2337),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2397),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2399),
    [anon_sym_DASH_EQ] = ACTIONS(2399),
    [anon_sym_STAR_EQ] = ACTIONS(2399),
    [anon_sym_SLASH_EQ] = ACTIONS(2399),
    [anon_sym_PERCENT_EQ] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2345),
    [anon_sym_DASH] = ACTIONS(2345),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2337),
    [anon_sym_PERCENT] = ACTIONS(2337),
    [anon_sym_PIPE_PIPE] = ACTIONS(2371),
    [anon_sym_AMP_AMP] = ACTIONS(2373),
    [anon_sym_BANG_EQ] = ACTIONS(2375),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2377),
    [anon_sym_EQ_EQ] = ACTIONS(2375),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2377),
    [anon_sym_GT_EQ] = ACTIONS(2379),
    [anon_sym_LT_EQ] = ACTIONS(2379),
    [anon_sym_QMARK_COLON] = ACTIONS(2347),
    [anon_sym_BANGin] = ACTIONS(2349),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2351),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2353),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2295),
  },
  [466] = {
    [aux_sym_user_type_repeat1] = STATE(473),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_constructor] = ACTIONS(2513),
    [anon_sym_this] = ACTIONS(2513),
    [anon_sym_super] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_dynamic] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_this_AT] = ACTIONS(2515),
    [anon_sym_super_AT] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_when] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_return_AT] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_number_literal] = ACTIONS(2513),
    [sym_float_literal] = ACTIONS(2515),
    [sym_label] = ACTIONS(2513),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__in] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [467] = {
    [aux_sym_user_type_repeat1] = STATE(468),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_fun] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_constructor] = ACTIONS(2524),
    [anon_sym_this] = ACTIONS(2524),
    [anon_sym_super] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_dynamic] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_this_AT] = ACTIONS(2527),
    [anon_sym_super_AT] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_return_AT] = ACTIONS(2527),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_number_literal] = ACTIONS(2524),
    [sym_float_literal] = ACTIONS(2527),
    [sym_label] = ACTIONS(2524),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__in] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [468] = {
    [aux_sym_user_type_repeat1] = STATE(473),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2517),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_constructor] = ACTIONS(2521),
    [anon_sym_this] = ACTIONS(2521),
    [anon_sym_super] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_dynamic] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_this_AT] = ACTIONS(2534),
    [anon_sym_super_AT] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_return_AT] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2521),
    [sym_float_literal] = ACTIONS(2534),
    [sym_label] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__in] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [469] = {
    [sym_catch_block] = STATE(480),
    [sym_finally_block] = STATE(637),
    [aux_sym_try_expression_repeat1] = STATE(480),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_fun] = ACTIONS(2537),
    [anon_sym_object] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_constructor] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(2537),
    [anon_sym_super] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_dynamic] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_this_AT] = ACTIONS(2539),
    [anon_sym_super_AT] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_when] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(2541),
    [anon_sym_finally] = ACTIONS(2543),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_return_AT] = ACTIONS(2539),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2537),
    [sym_float_literal] = ACTIONS(2539),
    [sym_label] = ACTIONS(2537),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__in] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [470] = {
    [aux_sym_user_type_repeat1] = STATE(472),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_object] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_constructor] = ACTIONS(2545),
    [anon_sym_this] = ACTIONS(2545),
    [anon_sym_super] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_dynamic] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_this_AT] = ACTIONS(2547),
    [anon_sym_super_AT] = ACTIONS(2547),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_when] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_return_AT] = ACTIONS(2547),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [sym_number_literal] = ACTIONS(2545),
    [sym_float_literal] = ACTIONS(2547),
    [sym_label] = ACTIONS(2545),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__in] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [471] = {
    [sym_type_arguments] = STATE(485),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_fun] = ACTIONS(2552),
    [anon_sym_object] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_constructor] = ACTIONS(2552),
    [anon_sym_this] = ACTIONS(2552),
    [anon_sym_super] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_dynamic] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_this_AT] = ACTIONS(2554),
    [anon_sym_super_AT] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_when] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_return_AT] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2552),
    [sym_float_literal] = ACTIONS(2554),
    [sym_label] = ACTIONS(2552),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__in] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [472] = {
    [aux_sym_user_type_repeat1] = STATE(473),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [473] = {
    [aux_sym_user_type_repeat1] = STATE(473),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2569),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [474] = {
    [sym_type_constraints] = STATE(583),
    [sym_function_body] = STATE(652),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_fun] = ACTIONS(2578),
    [anon_sym_object] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_constructor] = ACTIONS(2578),
    [anon_sym_this] = ACTIONS(2578),
    [anon_sym_super] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_dynamic] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_this_AT] = ACTIONS(2580),
    [anon_sym_super_AT] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_return_AT] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2578),
    [sym_float_literal] = ACTIONS(2580),
    [sym_label] = ACTIONS(2578),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__in] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [476] = {
    [sym_type_constraints] = STATE(584),
    [sym_function_body] = STATE(669),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [477] = {
    [aux_sym_user_type_repeat1] = STATE(466),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [479] = {
    [sym_annotation] = STATE(8621),
    [sym_annotated_lambda] = STATE(648),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_fun] = ACTIONS(2594),
    [anon_sym_object] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_constructor] = ACTIONS(2594),
    [anon_sym_this] = ACTIONS(2594),
    [anon_sym_super] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_dynamic] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_this_AT] = ACTIONS(2596),
    [anon_sym_super_AT] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_when] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_return_AT] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2594),
    [sym_float_literal] = ACTIONS(2596),
    [sym_label] = ACTIONS(2594),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__in] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [480] = {
    [sym_catch_block] = STATE(480),
    [aux_sym_try_expression_repeat1] = STATE(480),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_fun] = ACTIONS(2598),
    [anon_sym_object] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_constructor] = ACTIONS(2598),
    [anon_sym_this] = ACTIONS(2598),
    [anon_sym_super] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_dynamic] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_this_AT] = ACTIONS(2600),
    [anon_sym_super_AT] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_when] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(2602),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_return_AT] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2598),
    [sym_float_literal] = ACTIONS(2600),
    [sym_label] = ACTIONS(2598),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__in] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [481] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_fun] = ACTIONS(2618),
    [anon_sym_object] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_this] = ACTIONS(2618),
    [anon_sym_super] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_dynamic] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_this_AT] = ACTIONS(2621),
    [anon_sym_super_AT] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_when] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_return_AT] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2618),
    [sym_float_literal] = ACTIONS(2621),
    [sym_label] = ACTIONS(2618),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__in] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_fun] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_constructor] = ACTIONS(2624),
    [anon_sym_this] = ACTIONS(2624),
    [anon_sym_super] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_dynamic] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_this_AT] = ACTIONS(2627),
    [anon_sym_super_AT] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_when] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_return_AT] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2624),
    [sym_float_literal] = ACTIONS(2627),
    [sym_label] = ACTIONS(2624),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__in] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_fun] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_this] = ACTIONS(2630),
    [anon_sym_super] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_dynamic] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_this_AT] = ACTIONS(2632),
    [anon_sym_super_AT] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_when] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_return_AT] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2630),
    [sym_float_literal] = ACTIONS(2632),
    [sym_label] = ACTIONS(2630),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__in] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_fun] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_constructor] = ACTIONS(2634),
    [anon_sym_this] = ACTIONS(2634),
    [anon_sym_super] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_dynamic] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_this_AT] = ACTIONS(2636),
    [anon_sym_super_AT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_when] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_return_AT] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2634),
    [sym_float_literal] = ACTIONS(2636),
    [sym_label] = ACTIONS(2634),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__in] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_fun] = ACTIONS(2642),
    [anon_sym_object] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_constructor] = ACTIONS(2642),
    [anon_sym_this] = ACTIONS(2642),
    [anon_sym_super] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_dynamic] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_this_AT] = ACTIONS(2644),
    [anon_sym_super_AT] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_when] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_return_AT] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2642),
    [sym_float_literal] = ACTIONS(2644),
    [sym_label] = ACTIONS(2642),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__in] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_fun] = ACTIONS(2650),
    [anon_sym_object] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_constructor] = ACTIONS(2650),
    [anon_sym_this] = ACTIONS(2650),
    [anon_sym_super] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_dynamic] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_this_AT] = ACTIONS(2652),
    [anon_sym_super_AT] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_when] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_return_AT] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2650),
    [sym_float_literal] = ACTIONS(2652),
    [sym_label] = ACTIONS(2650),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__in] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_fun] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_constructor] = ACTIONS(2654),
    [anon_sym_this] = ACTIONS(2654),
    [anon_sym_super] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_dynamic] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_this_AT] = ACTIONS(2656),
    [anon_sym_super_AT] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_when] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_return_AT] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2654),
    [sym_float_literal] = ACTIONS(2656),
    [sym_label] = ACTIONS(2654),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__in] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_fun] = ACTIONS(2658),
    [anon_sym_object] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_constructor] = ACTIONS(2658),
    [anon_sym_this] = ACTIONS(2658),
    [anon_sym_super] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_dynamic] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_this_AT] = ACTIONS(2660),
    [anon_sym_super_AT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_when] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_return_AT] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2658),
    [sym_float_literal] = ACTIONS(2660),
    [sym_label] = ACTIONS(2658),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__in] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_object] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_constructor] = ACTIONS(2662),
    [anon_sym_this] = ACTIONS(2662),
    [anon_sym_super] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_dynamic] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_this_AT] = ACTIONS(2664),
    [anon_sym_super_AT] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_when] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_return_AT] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2662),
    [sym_float_literal] = ACTIONS(2664),
    [sym_label] = ACTIONS(2662),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__in] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_fun] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_constructor] = ACTIONS(2666),
    [anon_sym_this] = ACTIONS(2666),
    [anon_sym_super] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_dynamic] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_this_AT] = ACTIONS(2668),
    [anon_sym_super_AT] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_when] = ACTIONS(2666),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_return_AT] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2666),
    [sym_float_literal] = ACTIONS(2668),
    [sym_label] = ACTIONS(2666),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__in] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_fun] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_constructor] = ACTIONS(2670),
    [anon_sym_this] = ACTIONS(2670),
    [anon_sym_super] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_dynamic] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_this_AT] = ACTIONS(2673),
    [anon_sym_super_AT] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_when] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_return_AT] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2670),
    [sym_float_literal] = ACTIONS(2673),
    [sym_label] = ACTIONS(2670),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__in] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_constructor] = ACTIONS(2676),
    [anon_sym_this] = ACTIONS(2676),
    [anon_sym_super] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_dynamic] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_this_AT] = ACTIONS(2679),
    [anon_sym_super_AT] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_when] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_return_AT] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2676),
    [sym_float_literal] = ACTIONS(2679),
    [sym_label] = ACTIONS(2676),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__in] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_fun] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_constructor] = ACTIONS(2685),
    [anon_sym_this] = ACTIONS(2685),
    [anon_sym_super] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_dynamic] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_this_AT] = ACTIONS(2687),
    [anon_sym_super_AT] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_when] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_return_AT] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2685),
    [sym_float_literal] = ACTIONS(2687),
    [sym_label] = ACTIONS(2685),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__in] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2646),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [501] = {
    [sym_annotation] = STATE(8621),
    [sym_annotated_lambda] = STATE(653),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_fun] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_constructor] = ACTIONS(2689),
    [anon_sym_this] = ACTIONS(2689),
    [anon_sym_super] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_dynamic] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_this_AT] = ACTIONS(2691),
    [anon_sym_super_AT] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_return_AT] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2689),
    [sym_float_literal] = ACTIONS(2691),
    [sym_label] = ACTIONS(2689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__in] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_fun] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_constructor] = ACTIONS(2693),
    [anon_sym_this] = ACTIONS(2693),
    [anon_sym_super] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_dynamic] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_this_AT] = ACTIONS(2695),
    [anon_sym_super_AT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_when] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_return_AT] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2693),
    [sym_float_literal] = ACTIONS(2695),
    [sym_label] = ACTIONS(2693),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__in] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_constructor] = ACTIONS(2700),
    [anon_sym_this] = ACTIONS(2700),
    [anon_sym_super] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_dynamic] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_this_AT] = ACTIONS(2702),
    [anon_sym_super_AT] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_when] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_return_AT] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2700),
    [sym_float_literal] = ACTIONS(2702),
    [sym_label] = ACTIONS(2700),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__in] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_fun] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_constructor] = ACTIONS(2697),
    [anon_sym_this] = ACTIONS(2697),
    [anon_sym_super] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_dynamic] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_this_AT] = ACTIONS(2704),
    [anon_sym_super_AT] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_when] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_return_AT] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2697),
    [sym_float_literal] = ACTIONS(2704),
    [sym_label] = ACTIONS(2697),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__in] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [505] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [506] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [507] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(509),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(509),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [508] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(513),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(513),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [509] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [510] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(511),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(511),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [511] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [512] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(514),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(514),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [513] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [514] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [515] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(516),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(516),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [516] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [517] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(522),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(522),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [518] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(519),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(519),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [519] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [520] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(521),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(521),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [521] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [522] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [523] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(524),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(524),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [524] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_object] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_constructor] = ACTIONS(2747),
    [anon_sym_this] = ACTIONS(2747),
    [anon_sym_super] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_dynamic] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_this_AT] = ACTIONS(2749),
    [anon_sym_super_AT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_when] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_return_AT] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [sym_number_literal] = ACTIONS(2747),
    [sym_float_literal] = ACTIONS(2749),
    [sym_label] = ACTIONS(2747),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__in] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_constructor] = ACTIONS(2753),
    [anon_sym_this] = ACTIONS(2753),
    [anon_sym_super] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_dynamic] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_this_AT] = ACTIONS(2755),
    [anon_sym_super_AT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_when] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_return_AT] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2753),
    [sym_float_literal] = ACTIONS(2755),
    [sym_label] = ACTIONS(2753),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__in] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_constructor] = ACTIONS(2757),
    [anon_sym_this] = ACTIONS(2757),
    [anon_sym_super] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_dynamic] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_this_AT] = ACTIONS(2759),
    [anon_sym_super_AT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_return_AT] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2757),
    [sym_float_literal] = ACTIONS(2759),
    [sym_label] = ACTIONS(2757),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__in] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [528] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2763),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_constructor] = ACTIONS(2763),
    [anon_sym_this] = ACTIONS(2763),
    [anon_sym_super] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_dynamic] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_this_AT] = ACTIONS(2765),
    [anon_sym_super_AT] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_when] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_return_AT] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2763),
    [sym_float_literal] = ACTIONS(2765),
    [sym_label] = ACTIONS(2763),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__in] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [530] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(540),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(540),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [531] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(532),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(532),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [532] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [533] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(506),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(506),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [534] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(552),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(552),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [535] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [536] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(537),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(537),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [537] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [538] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(539),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(539),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [539] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [540] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [541] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(542),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(542),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [542] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [543] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(544),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(544),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [544] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [545] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(547),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(547),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [546] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2802),
    [anon_sym_fun] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2808),
    [anon_sym_constructor] = ACTIONS(2811),
    [anon_sym_this] = ACTIONS(2814),
    [anon_sym_super] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_get] = ACTIONS(2811),
    [anon_sym_set] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2811),
    [anon_sym_annotation] = ACTIONS(2811),
    [anon_sym_data] = ACTIONS(2811),
    [anon_sym_inner] = ACTIONS(2811),
    [anon_sym_value] = ACTIONS(2811),
    [anon_sym_operator] = ACTIONS(2811),
    [anon_sym_suspend] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2811),
    [anon_sym_expect] = ACTIONS(2811),
    [anon_sym_actual] = ACTIONS(2811),
    [anon_sym_dynamic] = ACTIONS(2831),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2837),
    [anon_sym_BANGin] = ACTIONS(2840),
    [anon_sym_is] = ACTIONS(2843),
    [anon_sym_this_AT] = ACTIONS(2846),
    [anon_sym_super_AT] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2855),
    [anon_sym_when] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_return_AT] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2882),
    [sym_number_literal] = ACTIONS(2885),
    [sym_float_literal] = ACTIONS(2888),
    [sym_label] = ACTIONS(2891),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2894),
    [sym__in] = ACTIONS(2840),
  },
  [547] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [548] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(550),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [549] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [550] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [551] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(560),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(560),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [552] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [553] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(555),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(555),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [554] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(549),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(549),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [555] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [556] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(562),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(562),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [557] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(558),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(558),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [558] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [559] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(561),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(561),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [560] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [561] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [562] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [563] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(505),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [564] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(565),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(565),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [565] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(546),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(546),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [566] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_when_entry] = STATE(535),
    [sym__when_condition] = STATE(9839),
    [sym_range_test] = STATE(9839),
    [sym_type_test] = STATE(9839),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_when_expression_repeat1] = STATE(535),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_object] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_constructor] = ACTIONS(2747),
    [anon_sym_this] = ACTIONS(2747),
    [anon_sym_super] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_dynamic] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_this_AT] = ACTIONS(2749),
    [anon_sym_super_AT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_when] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_return_AT] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [sym_number_literal] = ACTIONS(2747),
    [sym_float_literal] = ACTIONS(2749),
    [sym_label] = ACTIONS(2747),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__in] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_fun] = ACTIONS(2923),
    [anon_sym_object] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_constructor] = ACTIONS(2923),
    [anon_sym_this] = ACTIONS(2923),
    [anon_sym_super] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_dynamic] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_this_AT] = ACTIONS(2925),
    [anon_sym_super_AT] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_when] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_return_AT] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2923),
    [sym_float_literal] = ACTIONS(2925),
    [sym_label] = ACTIONS(2923),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__in] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_constructor] = ACTIONS(2753),
    [anon_sym_this] = ACTIONS(2753),
    [anon_sym_super] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_dynamic] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_this_AT] = ACTIONS(2755),
    [anon_sym_super_AT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_when] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_return_AT] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2753),
    [sym_float_literal] = ACTIONS(2755),
    [sym_label] = ACTIONS(2753),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__in] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_constructor] = ACTIONS(2757),
    [anon_sym_this] = ACTIONS(2757),
    [anon_sym_super] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_dynamic] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_this_AT] = ACTIONS(2759),
    [anon_sym_super_AT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_return_AT] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2757),
    [sym_float_literal] = ACTIONS(2759),
    [sym_label] = ACTIONS(2757),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__in] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_object] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_constructor] = ACTIONS(2931),
    [anon_sym_this] = ACTIONS(2931),
    [anon_sym_super] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_dynamic] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_this_AT] = ACTIONS(2933),
    [anon_sym_super_AT] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_when] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_return_AT] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2931),
    [sym_float_literal] = ACTIONS(2933),
    [sym_label] = ACTIONS(2931),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__in] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_constructor] = ACTIONS(2947),
    [anon_sym_this] = ACTIONS(2947),
    [anon_sym_super] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_dynamic] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_this_AT] = ACTIONS(2949),
    [anon_sym_super_AT] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_when] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_return_AT] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2947),
    [sym_float_literal] = ACTIONS(2949),
    [sym_label] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__in] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_constructor] = ACTIONS(2951),
    [anon_sym_this] = ACTIONS(2951),
    [anon_sym_super] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_this_AT] = ACTIONS(2953),
    [anon_sym_super_AT] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_when] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_return_AT] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2951),
    [sym_float_literal] = ACTIONS(2953),
    [sym_label] = ACTIONS(2951),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__in] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_fun] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_constructor] = ACTIONS(2955),
    [anon_sym_this] = ACTIONS(2955),
    [anon_sym_super] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_this_AT] = ACTIONS(2957),
    [anon_sym_super_AT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_when] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_return_AT] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2955),
    [sym_float_literal] = ACTIONS(2957),
    [sym_label] = ACTIONS(2955),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__in] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [579] = {
    [aux_sym_type_constraints_repeat1] = STATE(580),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_fun] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_constructor] = ACTIONS(2959),
    [anon_sym_this] = ACTIONS(2959),
    [anon_sym_super] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_this_AT] = ACTIONS(2961),
    [anon_sym_super_AT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_when] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_return_AT] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2959),
    [sym_float_literal] = ACTIONS(2961),
    [sym_label] = ACTIONS(2959),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__in] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [580] = {
    [aux_sym_type_constraints_repeat1] = STATE(587),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_fun] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_constructor] = ACTIONS(2965),
    [anon_sym_this] = ACTIONS(2965),
    [anon_sym_super] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_dynamic] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_this_AT] = ACTIONS(2967),
    [anon_sym_super_AT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_return_AT] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2965),
    [sym_float_literal] = ACTIONS(2967),
    [sym_label] = ACTIONS(2965),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__in] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_fun] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_constructor] = ACTIONS(2969),
    [anon_sym_this] = ACTIONS(2969),
    [anon_sym_super] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_dynamic] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_this_AT] = ACTIONS(2971),
    [anon_sym_super_AT] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_when] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_return_AT] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2969),
    [sym_float_literal] = ACTIONS(2971),
    [sym_label] = ACTIONS(2969),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__in] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_constructor] = ACTIONS(2973),
    [anon_sym_this] = ACTIONS(2973),
    [anon_sym_super] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_dynamic] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_this_AT] = ACTIONS(2975),
    [anon_sym_super_AT] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_when] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_return_AT] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2973),
    [sym_float_literal] = ACTIONS(2975),
    [sym_label] = ACTIONS(2973),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__in] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [583] = {
    [sym_function_body] = STATE(604),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [584] = {
    [sym_function_body] = STATE(601),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_fun] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_constructor] = ACTIONS(2985),
    [anon_sym_this] = ACTIONS(2985),
    [anon_sym_super] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_dynamic] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_this_AT] = ACTIONS(2987),
    [anon_sym_super_AT] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_when] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_return_AT] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2985),
    [sym_float_literal] = ACTIONS(2987),
    [sym_label] = ACTIONS(2985),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__in] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [586] = {
    [sym_function_body] = STATE(622),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [587] = {
    [aux_sym_type_constraints_repeat1] = STATE(587),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [588] = {
    [sym_type_constraints] = STATE(725),
    [sym_function_body] = STATE(616),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [589] = {
    [sym_type_constraints] = STATE(700),
    [sym_function_body] = STATE(669),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(2505),
    [anon_sym_AMP] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_fun] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_constructor] = ACTIONS(3002),
    [anon_sym_this] = ACTIONS(3002),
    [anon_sym_super] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_dynamic] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_this_AT] = ACTIONS(3004),
    [anon_sym_super_AT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_when] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_return_AT] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [sym_number_literal] = ACTIONS(3002),
    [sym_float_literal] = ACTIONS(3004),
    [sym_label] = ACTIONS(3002),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__in] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [594] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym__when_condition] = STATE(9916),
    [sym_range_test] = STATE(9916),
    [sym_type_test] = STATE(9916),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_fun] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_constructor] = ACTIONS(3010),
    [anon_sym_this] = ACTIONS(3010),
    [anon_sym_super] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_this_AT] = ACTIONS(3012),
    [anon_sym_super_AT] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_when] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_return_AT] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [sym_number_literal] = ACTIONS(3010),
    [sym_float_literal] = ACTIONS(3012),
    [sym_label] = ACTIONS(3010),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__in] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_fun] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_constructor] = ACTIONS(3014),
    [anon_sym_this] = ACTIONS(3014),
    [anon_sym_super] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_this_AT] = ACTIONS(3016),
    [anon_sym_super_AT] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_when] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_return_AT] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [sym_number_literal] = ACTIONS(3014),
    [sym_float_literal] = ACTIONS(3016),
    [sym_label] = ACTIONS(3014),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__in] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_fun] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_constructor] = ACTIONS(3018),
    [anon_sym_this] = ACTIONS(3018),
    [anon_sym_super] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_this_AT] = ACTIONS(3020),
    [anon_sym_super_AT] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_when] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_return_AT] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [sym_number_literal] = ACTIONS(3018),
    [sym_float_literal] = ACTIONS(3020),
    [sym_label] = ACTIONS(3018),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__in] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_fun] = ACTIONS(3022),
    [anon_sym_object] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_constructor] = ACTIONS(3022),
    [anon_sym_this] = ACTIONS(3022),
    [anon_sym_super] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_this_AT] = ACTIONS(3024),
    [anon_sym_super_AT] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_when] = ACTIONS(3022),
    [anon_sym_try] = ACTIONS(3022),
    [anon_sym_return] = ACTIONS(3022),
    [anon_sym_return_AT] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3024),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [sym_number_literal] = ACTIONS(3022),
    [sym_float_literal] = ACTIONS(3024),
    [sym_label] = ACTIONS(3022),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__in] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [603] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(3026),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [605] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(3029),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(2295),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_fun] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_constructor] = ACTIONS(3032),
    [anon_sym_this] = ACTIONS(3032),
    [anon_sym_super] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_dynamic] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_this_AT] = ACTIONS(3034),
    [anon_sym_super_AT] = ACTIONS(3034),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_when] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_return_AT] = ACTIONS(3034),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [sym_number_literal] = ACTIONS(3032),
    [sym_float_literal] = ACTIONS(3034),
    [sym_label] = ACTIONS(3032),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__in] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_fun] = ACTIONS(3036),
    [anon_sym_object] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_constructor] = ACTIONS(3036),
    [anon_sym_this] = ACTIONS(3036),
    [anon_sym_super] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_dynamic] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_this_AT] = ACTIONS(3038),
    [anon_sym_super_AT] = ACTIONS(3038),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_when] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_return_AT] = ACTIONS(3038),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [sym_number_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_label] = ACTIONS(3036),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__in] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_fun] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_constructor] = ACTIONS(3040),
    [anon_sym_this] = ACTIONS(3040),
    [anon_sym_super] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_dynamic] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_this_AT] = ACTIONS(3042),
    [anon_sym_super_AT] = ACTIONS(3042),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_when] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_return_AT] = ACTIONS(3042),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_number_literal] = ACTIONS(3040),
    [sym_float_literal] = ACTIONS(3042),
    [sym_label] = ACTIONS(3040),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__in] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_fun] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_constructor] = ACTIONS(3044),
    [anon_sym_this] = ACTIONS(3044),
    [anon_sym_super] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_dynamic] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_this_AT] = ACTIONS(3046),
    [anon_sym_super_AT] = ACTIONS(3046),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_when] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_return_AT] = ACTIONS(3046),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3044),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_number_literal] = ACTIONS(3044),
    [sym_float_literal] = ACTIONS(3046),
    [sym_label] = ACTIONS(3044),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__in] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [610] = {
    [sym_type_constraints] = STATE(700),
    [sym_function_body] = STATE(669),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [612] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_fun] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_constructor] = ACTIONS(3052),
    [anon_sym_this] = ACTIONS(3052),
    [anon_sym_super] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_dynamic] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_this_AT] = ACTIONS(3054),
    [anon_sym_super_AT] = ACTIONS(3054),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_when] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_return_AT] = ACTIONS(3054),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3052),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [sym_number_literal] = ACTIONS(3052),
    [sym_float_literal] = ACTIONS(3054),
    [sym_label] = ACTIONS(3052),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__in] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [613] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(2295),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(2385),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_fun] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_constructor] = ACTIONS(3056),
    [anon_sym_this] = ACTIONS(3056),
    [anon_sym_super] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_dynamic] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_this_AT] = ACTIONS(3058),
    [anon_sym_super_AT] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_when] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_return_AT] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [sym_number_literal] = ACTIONS(3056),
    [sym_float_literal] = ACTIONS(3058),
    [sym_label] = ACTIONS(3056),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__in] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_fun] = ACTIONS(3060),
    [anon_sym_object] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_constructor] = ACTIONS(3060),
    [anon_sym_this] = ACTIONS(3060),
    [anon_sym_super] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_dynamic] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_this_AT] = ACTIONS(3062),
    [anon_sym_super_AT] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_when] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_return_AT] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3060),
    [sym_float_literal] = ACTIONS(3062),
    [sym_label] = ACTIONS(3060),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__in] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(2389),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_fun] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_constructor] = ACTIONS(3064),
    [anon_sym_this] = ACTIONS(3064),
    [anon_sym_super] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_dynamic] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_this_AT] = ACTIONS(3066),
    [anon_sym_super_AT] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_when] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_return_AT] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3064),
    [sym_float_literal] = ACTIONS(3066),
    [sym_label] = ACTIONS(3064),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__in] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [620] = {
    [sym_type_constraints] = STATE(727),
    [sym_function_body] = STATE(652),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_fun] = ACTIONS(3070),
    [anon_sym_object] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_constructor] = ACTIONS(3070),
    [anon_sym_this] = ACTIONS(3070),
    [anon_sym_super] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_dynamic] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_this_AT] = ACTIONS(3072),
    [anon_sym_super_AT] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_when] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_return_AT] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3072),
    [sym_label] = ACTIONS(3070),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__in] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_fun] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_constructor] = ACTIONS(3074),
    [anon_sym_this] = ACTIONS(3074),
    [anon_sym_super] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_dynamic] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_this_AT] = ACTIONS(3076),
    [anon_sym_super_AT] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_when] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_return_AT] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3074),
    [sym_float_literal] = ACTIONS(3076),
    [sym_label] = ACTIONS(3074),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__in] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_fun] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_constructor] = ACTIONS(3078),
    [anon_sym_this] = ACTIONS(3078),
    [anon_sym_super] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_dynamic] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_this_AT] = ACTIONS(3080),
    [anon_sym_super_AT] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_when] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_return_AT] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3078),
    [sym_float_literal] = ACTIONS(3080),
    [sym_label] = ACTIONS(3078),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__in] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [625] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_fun] = ACTIONS(3082),
    [anon_sym_object] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_constructor] = ACTIONS(3082),
    [anon_sym_this] = ACTIONS(3082),
    [anon_sym_super] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_dynamic] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_this_AT] = ACTIONS(3084),
    [anon_sym_super_AT] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_when] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_return_AT] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3082),
    [sym_float_literal] = ACTIONS(3084),
    [sym_label] = ACTIONS(3082),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__in] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [626] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_fun] = ACTIONS(3086),
    [anon_sym_object] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_constructor] = ACTIONS(3086),
    [anon_sym_this] = ACTIONS(3086),
    [anon_sym_super] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_this_AT] = ACTIONS(3088),
    [anon_sym_super_AT] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_when] = ACTIONS(3086),
    [anon_sym_try] = ACTIONS(3086),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_return_AT] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3086),
    [sym_float_literal] = ACTIONS(3088),
    [sym_label] = ACTIONS(3086),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__in] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [627] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(2295),
  },
  [628] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(2295),
  },
  [629] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_fun] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_constructor] = ACTIONS(3090),
    [anon_sym_this] = ACTIONS(3090),
    [anon_sym_super] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_dynamic] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_this_AT] = ACTIONS(3092),
    [anon_sym_super_AT] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_when] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_return_AT] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3090),
    [sym_float_literal] = ACTIONS(3092),
    [sym_label] = ACTIONS(3090),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__in] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [630] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_fun] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_constructor] = ACTIONS(3094),
    [anon_sym_this] = ACTIONS(3094),
    [anon_sym_super] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_dynamic] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_this_AT] = ACTIONS(3096),
    [anon_sym_super_AT] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_when] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_return_AT] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3094),
    [sym_float_literal] = ACTIONS(3096),
    [sym_label] = ACTIONS(3094),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__in] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [631] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_fun] = ACTIONS(3098),
    [anon_sym_object] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_constructor] = ACTIONS(3098),
    [anon_sym_this] = ACTIONS(3098),
    [anon_sym_super] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_dynamic] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_this_AT] = ACTIONS(3100),
    [anon_sym_super_AT] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_when] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_return_AT] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [sym_number_literal] = ACTIONS(3098),
    [sym_float_literal] = ACTIONS(3100),
    [sym_label] = ACTIONS(3098),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__in] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [632] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_fun] = ACTIONS(3102),
    [anon_sym_object] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_constructor] = ACTIONS(3102),
    [anon_sym_this] = ACTIONS(3102),
    [anon_sym_super] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_dynamic] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_this_AT] = ACTIONS(3104),
    [anon_sym_super_AT] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_when] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_return_AT] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [sym_number_literal] = ACTIONS(3102),
    [sym_float_literal] = ACTIONS(3104),
    [sym_label] = ACTIONS(3102),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__in] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [633] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(2295),
  },
  [634] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_fun] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_constructor] = ACTIONS(3106),
    [anon_sym_this] = ACTIONS(3106),
    [anon_sym_super] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_dynamic] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_this_AT] = ACTIONS(3108),
    [anon_sym_super_AT] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_when] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_return_AT] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3106),
    [sym_float_literal] = ACTIONS(3108),
    [sym_label] = ACTIONS(3106),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__in] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [635] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_fun] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_constructor] = ACTIONS(3110),
    [anon_sym_this] = ACTIONS(3110),
    [anon_sym_super] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_dynamic] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_this_AT] = ACTIONS(3112),
    [anon_sym_super_AT] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_when] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_return_AT] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3110),
    [sym_float_literal] = ACTIONS(3112),
    [sym_label] = ACTIONS(3110),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__in] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [636] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(2295),
  },
  [637] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_fun] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_constructor] = ACTIONS(3114),
    [anon_sym_this] = ACTIONS(3114),
    [anon_sym_super] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_dynamic] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_this_AT] = ACTIONS(3116),
    [anon_sym_super_AT] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_when] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_return_AT] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3114),
    [sym_float_literal] = ACTIONS(3116),
    [sym_label] = ACTIONS(3114),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__in] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [638] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_fun] = ACTIONS(3118),
    [anon_sym_object] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_constructor] = ACTIONS(3118),
    [anon_sym_this] = ACTIONS(3118),
    [anon_sym_super] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_dynamic] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_this_AT] = ACTIONS(3120),
    [anon_sym_super_AT] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_when] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_return_AT] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3118),
    [sym_float_literal] = ACTIONS(3120),
    [sym_label] = ACTIONS(3118),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__in] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [639] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(2295),
  },
  [640] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(3026),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [641] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym__when_condition] = STATE(9916),
    [sym_range_test] = STATE(9916),
    [sym_type_test] = STATE(9916),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(3125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [642] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(2295),
  },
  [643] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(3127),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(2295),
  },
  [644] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_fun] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_constructor] = ACTIONS(3130),
    [anon_sym_this] = ACTIONS(3130),
    [anon_sym_super] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_dynamic] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_this_AT] = ACTIONS(3132),
    [anon_sym_super_AT] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_when] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_return_AT] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3130),
    [sym_float_literal] = ACTIONS(3132),
    [sym_label] = ACTIONS(3130),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__in] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [647] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_fun] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_constructor] = ACTIONS(3134),
    [anon_sym_this] = ACTIONS(3134),
    [anon_sym_super] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_dynamic] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_this_AT] = ACTIONS(3136),
    [anon_sym_super_AT] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_when] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_return_AT] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3134),
    [sym_float_literal] = ACTIONS(3136),
    [sym_label] = ACTIONS(3134),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__in] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [648] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_fun] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_constructor] = ACTIONS(3138),
    [anon_sym_this] = ACTIONS(3138),
    [anon_sym_super] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_dynamic] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_this_AT] = ACTIONS(3140),
    [anon_sym_super_AT] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_return_AT] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3138),
    [sym_float_literal] = ACTIONS(3140),
    [sym_label] = ACTIONS(3138),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__in] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_fun] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_constructor] = ACTIONS(2689),
    [anon_sym_this] = ACTIONS(2689),
    [anon_sym_super] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_dynamic] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_this_AT] = ACTIONS(2691),
    [anon_sym_super_AT] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_return_AT] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2689),
    [sym_float_literal] = ACTIONS(2691),
    [sym_label] = ACTIONS(2689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__in] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [650] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_fun] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_constructor] = ACTIONS(3142),
    [anon_sym_this] = ACTIONS(3142),
    [anon_sym_super] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_dynamic] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_this_AT] = ACTIONS(3144),
    [anon_sym_super_AT] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_when] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_return_AT] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3142),
    [sym_float_literal] = ACTIONS(3144),
    [sym_label] = ACTIONS(3142),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__in] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [651] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_fun] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_constructor] = ACTIONS(3146),
    [anon_sym_this] = ACTIONS(3146),
    [anon_sym_super] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_dynamic] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_this_AT] = ACTIONS(3148),
    [anon_sym_super_AT] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_when] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_return_AT] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3146),
    [sym_float_literal] = ACTIONS(3148),
    [sym_label] = ACTIONS(3146),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__in] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_fun] = ACTIONS(2594),
    [anon_sym_object] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_constructor] = ACTIONS(2594),
    [anon_sym_this] = ACTIONS(2594),
    [anon_sym_super] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_dynamic] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_this_AT] = ACTIONS(2596),
    [anon_sym_super_AT] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_when] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_return_AT] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2594),
    [sym_float_literal] = ACTIONS(2596),
    [sym_label] = ACTIONS(2594),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__in] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [654] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [655] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_fun] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_constructor] = ACTIONS(3150),
    [anon_sym_this] = ACTIONS(3150),
    [anon_sym_super] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_dynamic] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_this_AT] = ACTIONS(3152),
    [anon_sym_super_AT] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_when] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_return_AT] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3150),
    [sym_float_literal] = ACTIONS(3152),
    [sym_label] = ACTIONS(3150),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__in] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [656] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_fun] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_constructor] = ACTIONS(3154),
    [anon_sym_this] = ACTIONS(3154),
    [anon_sym_super] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_dynamic] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_this_AT] = ACTIONS(3156),
    [anon_sym_super_AT] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_when] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_return_AT] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3154),
    [sym_float_literal] = ACTIONS(3156),
    [sym_label] = ACTIONS(3154),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__in] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [657] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_fun] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_constructor] = ACTIONS(3158),
    [anon_sym_this] = ACTIONS(3158),
    [anon_sym_super] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_dynamic] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_this_AT] = ACTIONS(3160),
    [anon_sym_super_AT] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_when] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_return_AT] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3158),
    [sym_float_literal] = ACTIONS(3160),
    [sym_label] = ACTIONS(3158),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__in] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [658] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_fun] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_constructor] = ACTIONS(3162),
    [anon_sym_this] = ACTIONS(3162),
    [anon_sym_super] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_dynamic] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_this_AT] = ACTIONS(3164),
    [anon_sym_super_AT] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_when] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_return_AT] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3162),
    [sym_float_literal] = ACTIONS(3164),
    [sym_label] = ACTIONS(3162),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__in] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [659] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_fun] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_constructor] = ACTIONS(3166),
    [anon_sym_this] = ACTIONS(3166),
    [anon_sym_super] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_dynamic] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_this_AT] = ACTIONS(3168),
    [anon_sym_super_AT] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_when] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_return_AT] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3166),
    [sym_float_literal] = ACTIONS(3168),
    [sym_label] = ACTIONS(3166),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__in] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [660] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_fun] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_constructor] = ACTIONS(3170),
    [anon_sym_this] = ACTIONS(3170),
    [anon_sym_super] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_dynamic] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_this_AT] = ACTIONS(3172),
    [anon_sym_super_AT] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_when] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_return_AT] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3170),
    [sym_float_literal] = ACTIONS(3172),
    [sym_label] = ACTIONS(3170),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__in] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_fun] = ACTIONS(2537),
    [anon_sym_object] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_constructor] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(2537),
    [anon_sym_super] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_dynamic] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_this_AT] = ACTIONS(2539),
    [anon_sym_super_AT] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_when] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_return_AT] = ACTIONS(2539),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2537),
    [sym_float_literal] = ACTIONS(2539),
    [sym_label] = ACTIONS(2537),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__in] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [665] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(2295),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [667] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_fun] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_constructor] = ACTIONS(3178),
    [anon_sym_this] = ACTIONS(3178),
    [anon_sym_super] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_dynamic] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_this_AT] = ACTIONS(3180),
    [anon_sym_super_AT] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_when] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_return_AT] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3178),
    [sym_float_literal] = ACTIONS(3180),
    [sym_label] = ACTIONS(3178),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__in] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [668] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(3184),
    [anon_sym_object] = ACTIONS(3184),
    [anon_sym_constructor] = ACTIONS(3184),
    [anon_sym_this] = ACTIONS(3184),
    [anon_sym_super] = ACTIONS(3184),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_sealed] = ACTIONS(3184),
    [anon_sym_annotation] = ACTIONS(3184),
    [anon_sym_data] = ACTIONS(3184),
    [anon_sym_inner] = ACTIONS(3184),
    [anon_sym_value] = ACTIONS(3184),
    [anon_sym_tailrec] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym_external] = ACTIONS(3184),
    [anon_sym_suspend] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_lateinit] = ACTIONS(3184),
    [anon_sym_vararg] = ACTIONS(3184),
    [anon_sym_noinline] = ACTIONS(3184),
    [anon_sym_crossinline] = ACTIONS(3184),
    [anon_sym_expect] = ACTIONS(3184),
    [anon_sym_actual] = ACTIONS(3184),
    [anon_sym_dynamic] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(3184),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(3182),
    [anon_sym_super_AT] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_else] = ACTIONS(3184),
    [anon_sym_when] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_return_AT] = ACTIONS(3182),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(3184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [sym_number_literal] = ACTIONS(3184),
    [sym_float_literal] = ACTIONS(3182),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3182),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(3182),
    [sym__q_dot] = ACTIONS(2295),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [670] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_fun] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_constructor] = ACTIONS(3186),
    [anon_sym_this] = ACTIONS(3186),
    [anon_sym_super] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_dynamic] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_this_AT] = ACTIONS(3188),
    [anon_sym_super_AT] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_return_AT] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3186),
    [sym_float_literal] = ACTIONS(3188),
    [sym_label] = ACTIONS(3186),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__in] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [671] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_fun] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_constructor] = ACTIONS(3174),
    [anon_sym_this] = ACTIONS(3174),
    [anon_sym_super] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_dynamic] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_this_AT] = ACTIONS(3176),
    [anon_sym_super_AT] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_when] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_return_AT] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3174),
    [sym_float_literal] = ACTIONS(3176),
    [sym_label] = ACTIONS(3174),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__in] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [672] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_fun] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_constructor] = ACTIONS(3190),
    [anon_sym_this] = ACTIONS(3190),
    [anon_sym_super] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_dynamic] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_this_AT] = ACTIONS(3192),
    [anon_sym_super_AT] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_when] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_return_AT] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3190),
    [sym_float_literal] = ACTIONS(3192),
    [sym_label] = ACTIONS(3190),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__in] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [673] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_fun] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_constructor] = ACTIONS(3194),
    [anon_sym_this] = ACTIONS(3194),
    [anon_sym_super] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_dynamic] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_this_AT] = ACTIONS(3196),
    [anon_sym_super_AT] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_when] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_return_AT] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3194),
    [sym_float_literal] = ACTIONS(3196),
    [sym_label] = ACTIONS(3194),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__in] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [674] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [675] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_fun] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_constructor] = ACTIONS(3198),
    [anon_sym_this] = ACTIONS(3198),
    [anon_sym_super] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_dynamic] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_this_AT] = ACTIONS(3200),
    [anon_sym_super_AT] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_when] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_return_AT] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3198),
    [sym_float_literal] = ACTIONS(3200),
    [sym_label] = ACTIONS(3198),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__in] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [676] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_fun] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_constructor] = ACTIONS(3202),
    [anon_sym_this] = ACTIONS(3202),
    [anon_sym_super] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_dynamic] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_this_AT] = ACTIONS(3204),
    [anon_sym_super_AT] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_when] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_return_AT] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3202),
    [sym_float_literal] = ACTIONS(3204),
    [sym_label] = ACTIONS(3202),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__in] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [677] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(3026),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [678] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_fun] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_constructor] = ACTIONS(3206),
    [anon_sym_this] = ACTIONS(3206),
    [anon_sym_super] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_dynamic] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_this_AT] = ACTIONS(3208),
    [anon_sym_super_AT] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_when] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_return_AT] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3206),
    [sym_float_literal] = ACTIONS(3208),
    [sym_label] = ACTIONS(3206),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__in] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [679] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [680] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_fun] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_constructor] = ACTIONS(3210),
    [anon_sym_this] = ACTIONS(3210),
    [anon_sym_super] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_dynamic] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_this_AT] = ACTIONS(3212),
    [anon_sym_super_AT] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_when] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_return_AT] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3210),
    [sym_float_literal] = ACTIONS(3212),
    [sym_label] = ACTIONS(3210),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__in] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [681] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_fun] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_constructor] = ACTIONS(3214),
    [anon_sym_this] = ACTIONS(3214),
    [anon_sym_super] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_this_AT] = ACTIONS(3216),
    [anon_sym_super_AT] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_when] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_return_AT] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3214),
    [sym_float_literal] = ACTIONS(3216),
    [sym_label] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__in] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [682] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2273),
    [anon_sym_AMP_AMP] = ACTIONS(2275),
    [anon_sym_BANG_EQ] = ACTIONS(2277),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2279),
    [anon_sym_EQ_EQ] = ACTIONS(2277),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2279),
    [anon_sym_GT_EQ] = ACTIONS(2281),
    [anon_sym_LT_EQ] = ACTIONS(2281),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(2295),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [686] = {
    [sym_value_arguments] = STATE(501),
    [sym_annotation] = STATE(8621),
    [sym_type_arguments] = STATE(8384),
    [sym_annotated_lambda] = STATE(649),
    [sym_lambda_literal] = STATE(650),
    [aux_sym_delegation_specifier_repeat1] = STATE(8621),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_as] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2237),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(2267),
    [anon_sym_SLASH] = ACTIONS(2271),
    [anon_sym_PERCENT] = ACTIONS(2231),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2283),
    [anon_sym_BANGin] = ACTIONS(2285),
    [anon_sym_is] = ACTIONS(2287),
    [anon_sym_as_QMARK] = ACTIONS(2289),
    [anon_sym_DOT_DOT] = ACTIONS(2291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2293),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(2295),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(2297),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2299),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(2295),
  },
  [687] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_fun] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_constructor] = ACTIONS(3218),
    [anon_sym_this] = ACTIONS(3218),
    [anon_sym_super] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_dynamic] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_this_AT] = ACTIONS(3220),
    [anon_sym_super_AT] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_when] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_return_AT] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3218),
    [sym_float_literal] = ACTIONS(3220),
    [sym_label] = ACTIONS(3218),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__in] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [688] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5532),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym__when_condition] = STATE(9916),
    [sym_range_test] = STATE(9916),
    [sym_type_test] = STATE(9916),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_BANGin] = ACTIONS(2709),
    [anon_sym_is] = ACTIONS(2711),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2715),
    [sym__in] = ACTIONS(2709),
  },
  [689] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10421),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3734),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2892),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [690] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10431),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4573),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4861),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [691] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10423),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3819),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2890),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [692] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10424),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3895),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2910),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [693] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10425),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3992),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2886),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10420),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3467),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2762),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [695] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10417),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2673),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [696] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10416),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2019),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2076),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [697] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10418),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5504),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4986),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [698] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10431),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5152),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4832),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [699] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5351),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4448),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [700] = {
    [sym_function_body] = STATE(601),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [701] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4305),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4448),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [702] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10414),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2155),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2470),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [703] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5266),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4798),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10416),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2175),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2043),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [705] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10415),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2646),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [706] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10418),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5297),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4917),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10416),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2076),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3252),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [708] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10417),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2273),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2673),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3248),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [709] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10418),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4771),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4986),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3256),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [710] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10419),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2707),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10415),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2646),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10420),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2300),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2762),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10421),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2892),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [714] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10422),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(433),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(481),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [715] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10422),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(686),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(481),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [716] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10423),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2890),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3232),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [717] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10424),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2910),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3236),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [718] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10425),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2431),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2886),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3240),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4447),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4798),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [720] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10416),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1949),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2043),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [721] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10418),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4488),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4917),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [722] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4537),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4448),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [723] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5003),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4448),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3264),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [724] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10431),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5352),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4861),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3228),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [725] = {
    [sym_function_body] = STATE(622),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [726] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10419),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3385),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2707),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3296),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3330),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [727] = {
    [sym_function_body] = STATE(604),
    [sym_block] = STATE(681),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(3000),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [728] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10431),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4376),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(4832),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3332),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [729] = {
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(8995),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10414),
    [sym_type_projection] = STATE(9183),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3208),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym_variance_modifier] = STATE(6346),
    [sym__reserved_identifier] = STATE(2470),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [aux_sym_type_projection_repeat1] = STATE(6346),
    [sym_identifier] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_in] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [anon_sym_out] = ACTIONS(3226),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [730] = {
    [sym_block] = STATE(4160),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4160),
    [sym_expression] = STATE(2535),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_else] = ACTIONS(3342),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [731] = {
    [sym_block] = STATE(2215),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2215),
    [sym_expression] = STATE(1959),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(3350),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [732] = {
    [sym_block] = STATE(5312),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5312),
    [sym_expression] = STATE(4481),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [733] = {
    [sym_block] = STATE(5017),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5017),
    [sym_expression] = STATE(4328),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3360),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(3366),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [734] = {
    [sym_block] = STATE(5360),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5360),
    [sym_expression] = STATE(4556),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3368),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(3372),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [735] = {
    [sym_block] = STATE(5925),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5925),
    [sym_expression] = STATE(4629),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3374),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_else] = ACTIONS(3380),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [736] = {
    [sym_block] = STATE(5595),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5595),
    [sym_expression] = STATE(4327),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3382),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(3386),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [737] = {
    [sym_block] = STATE(4156),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4156),
    [sym_expression] = STATE(2392),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3388),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3392),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(3394),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [738] = {
    [sym_block] = STATE(5334),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5334),
    [sym_expression] = STATE(4596),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3396),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(3400),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [739] = {
    [sym_block] = STATE(4158),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4158),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3402),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(3408),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_block] = STATE(4153),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4153),
    [sym_expression] = STATE(2268),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3410),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_block] = STATE(983),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(983),
    [sym_expression] = STATE(435),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3418),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_else] = ACTIONS(3424),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [742] = {
    [sym_block] = STATE(2463),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2463),
    [sym_expression] = STATE(1988),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3426),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(3428),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [743] = {
    [sym_block] = STATE(4110),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4110),
    [sym_expression] = STATE(2235),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3434),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(3436),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_block] = STATE(4154),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4154),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(3444),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_parameter] = STATE(9193),
    [sym_variable_declaration] = STATE(9392),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1320),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5589),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5773),
    [aux_sym_delegation_specifier_repeat1] = STATE(8046),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3446),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3448),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_block] = STATE(5913),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5913),
    [sym_expression] = STATE(4572),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3450),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_else] = ACTIONS(3452),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [747] = {
    [sym_block] = STATE(4115),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4115),
    [sym_expression] = STATE(2326),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3454),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_else] = ACTIONS(3460),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_block] = STATE(5831),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5831),
    [sym_expression] = STATE(4505),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3462),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(3464),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [749] = {
    [sym_block] = STATE(3159),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3159),
    [sym_expression] = STATE(2168),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3466),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_else] = ACTIONS(3470),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [750] = {
    [sym_block] = STATE(3519),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3519),
    [sym_expression] = STATE(2240),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3472),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3476),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(3478),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [751] = {
    [sym_block] = STATE(3751),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3751),
    [sym_expression] = STATE(2002),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_else] = ACTIONS(3484),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [752] = {
    [sym_block] = STATE(3522),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3522),
    [sym_expression] = STATE(2242),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_else] = ACTIONS(3490),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [753] = {
    [sym_block] = STATE(4151),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4151),
    [sym_expression] = STATE(2321),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3492),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(3496),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [754] = {
    [sym_block] = STATE(5816),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5816),
    [sym_expression] = STATE(4431),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(3500),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [755] = {
    [sym_block] = STATE(3525),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3525),
    [sym_expression] = STATE(2243),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [756] = {
    [sym_block] = STATE(3527),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3527),
    [sym_expression] = STATE(2244),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3510),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3512),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_else] = ACTIONS(3514),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [757] = {
    [sym_block] = STATE(3758),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3758),
    [sym_expression] = STATE(2522),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(3520),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [758] = {
    [sym_block] = STATE(646),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(646),
    [sym_expression] = STATE(439),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_else] = ACTIONS(3526),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [759] = {
    [sym_block] = STATE(3761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3761),
    [sym_expression] = STATE(2526),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_else] = ACTIONS(3532),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [760] = {
    [sym_block] = STATE(3764),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3764),
    [sym_expression] = STATE(2528),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [761] = {
    [sym_block] = STATE(3767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3767),
    [sym_expression] = STATE(2529),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3540),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(3544),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [762] = {
    [sym_block] = STATE(5732),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5732),
    [sym_expression] = STATE(4341),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(3552),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [763] = {
    [sym_block] = STATE(5285),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5285),
    [sym_expression] = STATE(4479),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(3556),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [764] = {
    [sym_block] = STATE(3161),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3161),
    [sym_expression] = STATE(1967),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3558),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(3560),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [765] = {
    [sym_block] = STATE(4116),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4116),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3562),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3564),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_else] = ACTIONS(3566),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [766] = {
    [sym_block] = STATE(5398),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5398),
    [sym_expression] = STATE(4740),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_else] = ACTIONS(3570),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [767] = {
    [sym_block] = STATE(5124),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5124),
    [sym_expression] = STATE(4368),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(3574),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [768] = {
    [sym_block] = STATE(5886),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5886),
    [sym_expression] = STATE(4566),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(3578),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [769] = {
    [sym_block] = STATE(4039),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4039),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3580),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [770] = {
    [sym_block] = STATE(3854),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3854),
    [sym_expression] = STATE(2454),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [771] = {
    [sym_block] = STATE(3777),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3777),
    [sym_expression] = STATE(2601),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [772] = {
    [sym_block] = STATE(3780),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3780),
    [sym_expression] = STATE(2603),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [773] = {
    [sym_block] = STATE(3782),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3782),
    [sym_expression] = STATE(2604),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [774] = {
    [sym_block] = STATE(3856),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3856),
    [sym_expression] = STATE(2456),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [775] = {
    [sym_block] = STATE(3338),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3338),
    [sym_expression] = STATE(2269),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [776] = {
    [sym_block] = STATE(3342),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3342),
    [sym_expression] = STATE(2282),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [777] = {
    [sym_block] = STATE(3344),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3344),
    [sym_expression] = STATE(2283),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3414),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [778] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4297),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [779] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4559),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3604),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [780] = {
    [sym_block] = STATE(5060),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5060),
    [sym_expression] = STATE(4544),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [781] = {
    [sym_block] = STATE(3083),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3083),
    [sym_expression] = STATE(2234),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3434),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [782] = {
    [sym_block] = STATE(2201),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2201),
    [sym_expression] = STATE(2006),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [783] = {
    [sym_block] = STATE(5166),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5166),
    [sym_expression] = STATE(4611),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [784] = {
    [sym_block] = STATE(5060),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5060),
    [sym_expression] = STATE(4614),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [785] = {
    [sym_block] = STATE(5087),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5087),
    [sym_expression] = STATE(4568),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [786] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4506),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [787] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4508),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [788] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4511),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [789] = {
    [sym_block] = STATE(3939),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3939),
    [sym_expression] = STATE(2395),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3392),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [790] = {
    [sym_block] = STATE(3083),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3083),
    [sym_expression] = STATE(2213),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [791] = {
    [sym_block] = STATE(3093),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3093),
    [sym_expression] = STATE(2214),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [792] = {
    [sym_block] = STATE(3097),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3097),
    [sym_expression] = STATE(2109),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3468),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_block] = STATE(3638),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3638),
    [sym_expression] = STATE(2350),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3476),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [794] = {
    [sym_block] = STATE(3645),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3645),
    [sym_expression] = STATE(2351),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3476),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [795] = {
    [sym_block] = STATE(3647),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3647),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3476),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [796] = {
    [sym_block] = STATE(3943),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3943),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3392),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_block] = STATE(2147),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2147),
    [sym_expression] = STATE(2021),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [798] = {
    [sym_block] = STATE(2188),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2188),
    [sym_expression] = STATE(2022),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [799] = {
    [sym_block] = STATE(2201),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2201),
    [sym_expression] = STATE(2023),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [800] = {
    [sym_block] = STATE(3947),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3947),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3392),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [801] = {
    [sym_block] = STATE(3338),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3338),
    [sym_expression] = STATE(2364),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [802] = {
    [sym_block] = STATE(3342),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3342),
    [sym_expression] = STATE(2365),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [803] = {
    [sym_block] = STATE(3344),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3344),
    [sym_expression] = STATE(2366),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [804] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1993),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_for] = ACTIONS(3640),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3644),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [805] = {
    [sym_block] = STATE(5233),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5233),
    [sym_expression] = STATE(4433),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [806] = {
    [sym_block] = STATE(5243),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5243),
    [sym_expression] = STATE(4442),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [807] = {
    [sym_block] = STATE(5255),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5255),
    [sym_expression] = STATE(4443),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_block] = STATE(3422),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3422),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_block] = STATE(3425),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3425),
    [sym_expression] = STATE(2375),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [810] = {
    [sym_block] = STATE(3427),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3427),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [811] = {
    [sym_block] = STATE(3506),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3506),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3512),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [812] = {
    [sym_block] = STATE(3510),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3510),
    [sym_expression] = STATE(2385),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3512),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [813] = {
    [sym_block] = STATE(3512),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3512),
    [sym_expression] = STATE(2386),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3512),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [814] = {
    [sym_block] = STATE(3777),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3777),
    [sym_expression] = STATE(2558),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [815] = {
    [sym_block] = STATE(3780),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3780),
    [sym_expression] = STATE(2559),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [816] = {
    [sym_block] = STATE(3782),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3782),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [817] = {
    [sym_block] = STATE(614),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(614),
    [sym_expression] = STATE(463),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [818] = {
    [sym_block] = STATE(618),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(618),
    [sym_expression] = STATE(464),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [819] = {
    [sym_block] = STATE(624),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(624),
    [sym_expression] = STATE(465),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [820] = {
    [sym_block] = STATE(3851),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3851),
    [sym_expression] = STATE(2576),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3670),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [821] = {
    [sym_block] = STATE(3854),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3854),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [822] = {
    [sym_block] = STATE(3856),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3856),
    [sym_expression] = STATE(2578),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [823] = {
    [sym_block] = STATE(3939),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3939),
    [sym_expression] = STATE(2587),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [824] = {
    [sym_block] = STATE(3943),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3943),
    [sym_expression] = STATE(2588),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [825] = {
    [sym_block] = STATE(3947),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3947),
    [sym_expression] = STATE(2589),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [826] = {
    [sym_block] = STATE(3425),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3425),
    [sym_expression] = STATE(2318),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3564),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [827] = {
    [sym_block] = STATE(4033),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4033),
    [sym_expression] = STATE(2597),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [828] = {
    [sym_block] = STATE(4037),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4037),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [829] = {
    [sym_block] = STATE(3851),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3851),
    [sym_expression] = STATE(2453),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(3670),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [830] = {
    [sym_block] = STATE(5166),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5166),
    [sym_expression] = STATE(4347),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [831] = {
    [sym_block] = STATE(5060),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5060),
    [sym_expression] = STATE(4348),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [832] = {
    [sym_block] = STATE(5087),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5087),
    [sym_expression] = STATE(4350),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [833] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4459),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [834] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4462),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [835] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4464),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [836] = {
    [sym_block] = STATE(4033),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4033),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [837] = {
    [sym_block] = STATE(2147),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2147),
    [sym_expression] = STATE(1971),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [838] = {
    [sym_block] = STATE(2188),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2188),
    [sym_expression] = STATE(1942),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [839] = {
    [sym_block] = STATE(2201),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2201),
    [sym_expression] = STATE(1941),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3482),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [840] = {
    [sym_block] = STATE(4037),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4037),
    [sym_expression] = STATE(2451),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3442),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [841] = {
    [sym_block] = STATE(5233),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5233),
    [sym_expression] = STATE(4825),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_block] = STATE(5243),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5243),
    [sym_expression] = STATE(4826),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [843] = {
    [sym_block] = STATE(5255),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5255),
    [sym_expression] = STATE(4827),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [844] = {
    [sym_block] = STATE(5166),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5166),
    [sym_expression] = STATE(4394),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [845] = {
    [sym_block] = STATE(5060),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5060),
    [sym_expression] = STATE(4395),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [846] = {
    [sym_block] = STATE(5087),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5087),
    [sym_expression] = STATE(4349),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [847] = {
    [sym_block] = STATE(3422),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3422),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3564),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4585),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [849] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4586),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [850] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4590),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [851] = {
    [sym_block] = STATE(2147),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2147),
    [sym_expression] = STATE(1968),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [852] = {
    [sym_block] = STATE(2188),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2188),
    [sym_expression] = STATE(1969),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [853] = {
    [sym_block] = STATE(2201),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2201),
    [sym_expression] = STATE(1970),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [854] = {
    [sym_block] = STATE(5233),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5233),
    [sym_expression] = STATE(4500),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [855] = {
    [sym_block] = STATE(5243),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5243),
    [sym_expression] = STATE(4501),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [856] = {
    [sym_block] = STATE(5255),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5255),
    [sym_expression] = STATE(4502),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3356),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_block] = STATE(3427),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3427),
    [sym_expression] = STATE(2388),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(3564),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [858] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4323),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [859] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4324),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [860] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4325),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [861] = {
    [sym_block] = STATE(4761),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4761),
    [sym_expression] = STATE(4582),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [862] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4583),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [863] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4584),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [864] = {
    [sym_block] = STATE(3093),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3093),
    [sym_expression] = STATE(2122),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3434),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [865] = {
    [sym_block] = STATE(5233),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5233),
    [sym_expression] = STATE(4616),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [866] = {
    [sym_block] = STATE(3097),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3097),
    [sym_expression] = STATE(2148),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(3434),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [867] = {
    [sym_block] = STATE(5243),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5243),
    [sym_expression] = STATE(4633),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [868] = {
    [sym_block] = STATE(614),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(614),
    [sym_expression] = STATE(436),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [869] = {
    [sym_block] = STATE(5087),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5087),
    [sym_expression] = STATE(4601),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [870] = {
    [sym_block] = STATE(3506),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3506),
    [sym_expression] = STATE(2328),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [871] = {
    [sym_block] = STATE(5255),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5255),
    [sym_expression] = STATE(4636),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(3378),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [872] = {
    [sym_block] = STATE(5166),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(5166),
    [sym_expression] = STATE(4580),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(3398),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [873] = {
    [sym_block] = STATE(4765),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4765),
    [sym_expression] = STATE(4300),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [874] = {
    [sym_block] = STATE(3510),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3510),
    [sym_expression] = STATE(2329),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [875] = {
    [sym_block] = STATE(618),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(618),
    [sym_expression] = STATE(437),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [876] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4416),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_for] = ACTIONS(3676),
    [anon_sym_while] = ACTIONS(3678),
    [anon_sym_do] = ACTIONS(3680),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [877] = {
    [sym_block] = STATE(3638),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3638),
    [sym_expression] = STATE(2327),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [878] = {
    [sym_block] = STATE(3512),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3512),
    [sym_expression] = STATE(2332),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(3458),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [879] = {
    [sym_block] = STATE(4767),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4767),
    [sym_expression] = STATE(4302),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(3384),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [880] = {
    [sym_block] = STATE(3645),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3645),
    [sym_expression] = STATE(2333),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_block] = STATE(3647),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(3647),
    [sym_expression] = STATE(2314),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [882] = {
    [sym_block] = STATE(2147),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2147),
    [sym_expression] = STATE(1998),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [883] = {
    [sym_block] = STATE(624),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(624),
    [sym_expression] = STATE(438),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(3422),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [884] = {
    [sym_block] = STATE(2188),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(2188),
    [sym_expression] = STATE(2004),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [885] = {
    [sym_block] = STATE(4039),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_assignment] = STATE(4039),
    [sym_expression] = STATE(2599),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(3580),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [886] = {
    [sym_value_argument] = STATE(9815),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3686),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [887] = {
    [sym_value_argument] = STATE(9359),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3688),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [888] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5213),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [889] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3694),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [891] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3696),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [892] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3702),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [893] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3698),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [894] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3173),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [895] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1987),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [896] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3700),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [897] = {
    [sym_value_argument] = STATE(9375),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3702),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [898] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3704),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3706),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [900] = {
    [sym_value_argument] = STATE(9148),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3708),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [901] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3710),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [902] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [903] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3957),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [904] = {
    [sym_value_argument] = STATE(9450),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3714),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [905] = {
    [sym_value_argument] = STATE(9287),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3716),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_value_argument] = STATE(9395),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3718),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_value_argument] = STATE(9795),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3720),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3722),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3724),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [910] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3726),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [911] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3728),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [912] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3730),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [913] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5652),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [914] = {
    [sym_value_argument] = STATE(9428),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3736),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [915] = {
    [sym_value_argument] = STATE(9513),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3738),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [916] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3740),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [917] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5339),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [918] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [919] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3744),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3746),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [921] = {
    [sym_value_argument] = STATE(9134),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3748),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [922] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3750),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [923] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [924] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3754),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3756),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3758),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [927] = {
    [sym_value_argument] = STATE(9474),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3760),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [928] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3762),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [929] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5565),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3764),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [931] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3766),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [932] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3768),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_value_argument] = STATE(9489),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3770),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [934] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3774),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [936] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3776),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [937] = {
    [sym_value_argument] = STATE(9412),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3778),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3780),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [939] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5631),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [940] = {
    [sym_value_argument] = STATE(9152),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3782),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [941] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5054),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [942] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3861),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5586),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [944] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3784),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [945] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3786),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [946] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3266),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [947] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3788),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [948] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5607),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [949] = {
    [sym_value_argument] = STATE(9503),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [950] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5441),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [951] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3792),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [952] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5260),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [953] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5625),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [954] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5660),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [955] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5685),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [956] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5704),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [957] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5724),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5636),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [959] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5571),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5609),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [961] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3788),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [962] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3794),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [963] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3796),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [964] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3798),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [965] = {
    [sym_value_argument] = STATE(9308),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [966] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [967] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3804),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [968] = {
    [sym_parameter] = STATE(9193),
    [sym_type_modifiers] = STATE(7403),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(8881),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10404),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(10989),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5589),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5755),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3732),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [969] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [970] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3806),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [971] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4318),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [972] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3808),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [973] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [974] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3812),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [975] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2205),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [976] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3814),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [977] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3816),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [978] = {
    [sym_value_argument] = STATE(9198),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3818),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2343),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [980] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3432),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [981] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [982] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2503),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [983] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2359),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [984] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3822),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [985] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3824),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [986] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2356),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [987] = {
    [sym_value_argument] = STATE(9470),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3826),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3828),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [989] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4820),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [990] = {
    [sym_value_argument] = STATE(9573),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [991] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [992] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3832),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [993] = {
    [sym_value_argument] = STATE(9828),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3834),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [994] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2377),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [995] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3332),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [996] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3836),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [997] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2551),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [998] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3838),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_value_argument] = STATE(9232),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_value_argument] = STATE(9632),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3842),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(456),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1002] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1064),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5600),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_delegation_specifier_repeat1] = STATE(8948),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_val] = ACTIONS(3844),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1003] = {
    [sym_value_argument] = STATE(9648),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3846),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1004] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3848),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1005] = {
    [sym_value_argument] = STATE(9481),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1006] = {
    [sym_value_argument] = STATE(9333),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3852),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3854),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3856),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3858),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_value_argument] = STATE(9250),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1012] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2181),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1014] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2590),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3862),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1016] = {
    [sym_value_argument] = STATE(9322),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3864),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3866),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3868),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_value_argument] = STATE(9256),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4409),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1021] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3872),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1022] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1961),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4509),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_value_argument] = STATE(9745),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3874),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4536),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3876),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_value_argument] = STATE(9664),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3878),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5007),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_value_argument] = STATE(9273),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5361),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3882),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3884),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3353),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_value_argument] = STATE(9742),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3886),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3888),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4603),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3894),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3896),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_value_argument] = STATE(9213),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3898),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_value_argument] = STATE(9490),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1044] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4386),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_COMMA] = ACTIONS(3690),
    [anon_sym_GT] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(3902),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1046] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5452),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3904),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3906),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1048] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_value_argument] = STATE(10219),
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(5742),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3684),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1050] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3910),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1051] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3912),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1052] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3914),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1053] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3916),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1054] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3918),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1055] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3920),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1056] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3922),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1057] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3924),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1058] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5438),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3926),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1059] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5496),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3928),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1060] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3930),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3932),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1062] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5417),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3934),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1063] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3936),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1064] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5282),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(3938),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_val] = ACTIONS(3942),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1065] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3949),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1067] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3951),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1068] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5431),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1069] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5490),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1070] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1071] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1072] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3961),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3963),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1074] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5466),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1075] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3967),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1076] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5487),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1077] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1078] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3973),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5403),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5483),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3977),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5476),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1082] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5439),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3983),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1084] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5501),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1085] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5460),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3987),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1086] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1087] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1088] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1089] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1090] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5472),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1091] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4342),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1092] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1093] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1974),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1094] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2005),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1095] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5527),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1096] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2016),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1097] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2019),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1098] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2030),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1099] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2033),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1100] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2015),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1101] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2027),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1102] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2026),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1103] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1990),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1104] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5007),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1105] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2014),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3184),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1107] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3054),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(4003),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(4006),
    [anon_sym_get] = ACTIONS(4003),
    [anon_sym_set] = ACTIONS(4003),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(4003),
    [anon_sym_annotation] = ACTIONS(4003),
    [anon_sym_data] = ACTIONS(4003),
    [anon_sym_inner] = ACTIONS(4003),
    [anon_sym_value] = ACTIONS(4003),
    [anon_sym_operator] = ACTIONS(4003),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4003),
    [anon_sym_expect] = ACTIONS(4003),
    [anon_sym_actual] = ACTIONS(4003),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1108] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1989),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1109] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2001),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1110] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3733),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1111] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5728),
    [sym_primary_expression] = STATE(5960),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1112] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2003),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1113] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2007),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1114] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1115] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2010),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2011),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1117] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5632),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3653),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3655),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1120] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3173),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3537),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3539),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(4012),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(4015),
    [anon_sym_get] = ACTIONS(4012),
    [anon_sym_set] = ACTIONS(4012),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(4012),
    [anon_sym_annotation] = ACTIONS(4012),
    [anon_sym_data] = ACTIONS(4012),
    [anon_sym_inner] = ACTIONS(4012),
    [anon_sym_value] = ACTIONS(4012),
    [anon_sym_operator] = ACTIONS(4012),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4012),
    [anon_sym_expect] = ACTIONS(4012),
    [anon_sym_actual] = ACTIONS(4012),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1123] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2031),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1124] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4003),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1125] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5729),
    [sym_primary_expression] = STATE(3622),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1126] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2032),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1127] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2009),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1128] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2028),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1129] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2013),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1985),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1131] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3298),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1132] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3312),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1133] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3332),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1134] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3276),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1135] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3277),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(4021),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(4024),
    [anon_sym_get] = ACTIONS(4021),
    [anon_sym_set] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(4021),
    [anon_sym_annotation] = ACTIONS(4021),
    [anon_sym_data] = ACTIONS(4021),
    [anon_sym_inner] = ACTIONS(4021),
    [anon_sym_value] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_expect] = ACTIONS(4021),
    [anon_sym_actual] = ACTIONS(4021),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1136] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(431),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(668),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1138] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1984),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1139] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(429),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1140] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(430),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5525),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1142] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(427),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(428),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(432),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1145] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5489),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1146] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1147] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1987),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1993),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1149] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1995),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_annotation] = ACTIONS(2182),
    [anon_sym_data] = ACTIONS(2182),
    [anon_sym_inner] = ACTIONS(2182),
    [anon_sym_value] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_expect] = ACTIONS(2182),
    [anon_sym_actual] = ACTIONS(2182),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5686),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1151] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2249),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1152] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3272),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5694),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1154] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3297),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1155] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3299),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3300),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1157] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3301),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1158] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1159] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1160] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3304),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3683),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1163] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3266),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3305),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1165] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5402),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1166] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5408),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(4030),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(4033),
    [anon_sym_get] = ACTIONS(4030),
    [anon_sym_set] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(4030),
    [anon_sym_annotation] = ACTIONS(4030),
    [anon_sym_data] = ACTIONS(4030),
    [anon_sym_inner] = ACTIONS(4030),
    [anon_sym_value] = ACTIONS(4030),
    [anon_sym_operator] = ACTIONS(4030),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_expect] = ACTIONS(4030),
    [anon_sym_actual] = ACTIONS(4030),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1167] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3306),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1168] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3308),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1169] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1170] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5295),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1171] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1997),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1172] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5441),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3364),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1174] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3365),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4036),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(4039),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_get] = ACTIONS(4039),
    [anon_sym_set] = ACTIONS(4039),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(4039),
    [anon_sym_annotation] = ACTIONS(4039),
    [anon_sym_data] = ACTIONS(4039),
    [anon_sym_inner] = ACTIONS(4039),
    [anon_sym_value] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(4039),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4039),
    [anon_sym_expect] = ACTIONS(4039),
    [anon_sym_actual] = ACTIONS(4039),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5341),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1176] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4470),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5019),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1178] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5394),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1179] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5710),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1180] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5484),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1181] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5581),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1182] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5504),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1183] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5497),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1184] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5446),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1185] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5384),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1186] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5386),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1187] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5388),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5390),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1189] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5391),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1190] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1166),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5393),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2115),
    [anon_sym_fun] = ACTIONS(2117),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2123),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_return_AT] = ACTIONS(2127),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1191] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3466),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1192] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1135),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3520),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(1763),
    [anon_sym_fun] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_return_AT] = ACTIONS(1775),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(1779),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1193] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3353),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3443),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3444),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4045),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(4048),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(4051),
    [anon_sym_get] = ACTIONS(4048),
    [anon_sym_set] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(4048),
    [anon_sym_annotation] = ACTIONS(4048),
    [anon_sym_data] = ACTIONS(4048),
    [anon_sym_inner] = ACTIONS(4048),
    [anon_sym_value] = ACTIONS(4048),
    [anon_sym_operator] = ACTIONS(4048),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4048),
    [anon_sym_expect] = ACTIONS(4048),
    [anon_sym_actual] = ACTIONS(4048),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1196] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4559),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1197] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4588),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(2195),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2195),
    [anon_sym_annotation] = ACTIONS(2195),
    [anon_sym_data] = ACTIONS(2195),
    [anon_sym_inner] = ACTIONS(2195),
    [anon_sym_value] = ACTIONS(2195),
    [anon_sym_operator] = ACTIONS(2195),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_expect] = ACTIONS(2195),
    [anon_sym_actual] = ACTIONS(2195),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1198] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5596),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1199] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4955),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1200] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5288),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1201] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4573),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3360),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1204] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5003),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1205] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3383),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1206] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4959),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1207] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3385),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1208] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1209] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3732),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3783),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1211] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3432),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1212] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3387),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3713),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1214] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3714),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(4057),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(4060),
    [anon_sym_get] = ACTIONS(4057),
    [anon_sym_set] = ACTIONS(4057),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(4057),
    [anon_sym_annotation] = ACTIONS(4057),
    [anon_sym_data] = ACTIONS(4057),
    [anon_sym_inner] = ACTIONS(4057),
    [anon_sym_value] = ACTIONS(4057),
    [anon_sym_operator] = ACTIONS(4057),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4057),
    [anon_sym_expect] = ACTIONS(4057),
    [anon_sym_actual] = ACTIONS(4057),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3388),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3389),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1217] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3390),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1218] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3391),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1219] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3392),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1220] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1174),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3394),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_fun] = ACTIONS(1657),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1659),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(1665),
    [anon_sym_return_AT] = ACTIONS(1667),
    [anon_sym_throw] = ACTIONS(1669),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(1671),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1221] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4970),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1222] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4976),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1223] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5016),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1224] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(682),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1225] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3830),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1226] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3702),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1227] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5021),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1228] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1229] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(4066),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(4069),
    [anon_sym_get] = ACTIONS(4066),
    [anon_sym_set] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_annotation] = ACTIONS(4066),
    [anon_sym_data] = ACTIONS(4066),
    [anon_sym_inner] = ACTIONS(4066),
    [anon_sym_value] = ACTIONS(4066),
    [anon_sym_operator] = ACTIONS(4066),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_expect] = ACTIONS(4066),
    [anon_sym_actual] = ACTIONS(4066),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4929),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1231] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1232] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4935),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1233] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3439),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1234] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4940),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1235] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3465),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1236] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4937),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1237] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3467),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1238] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3468),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1239] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3469),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1240] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3470),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1241] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3471),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1242] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3818),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1243] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3909),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1244] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1245] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3472),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1246] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3799),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1247] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3800),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4072),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(4075),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(4078),
    [anon_sym_get] = ACTIONS(4075),
    [anon_sym_set] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(4075),
    [anon_sym_annotation] = ACTIONS(4075),
    [anon_sym_data] = ACTIONS(4075),
    [anon_sym_inner] = ACTIONS(4075),
    [anon_sym_value] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_expect] = ACTIONS(4075),
    [anon_sym_actual] = ACTIONS(4075),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1248] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3473),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1249] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3474),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1250] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1195),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3476),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_return_AT] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(1689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1251] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4342),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1252] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4595),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1253] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5788),
    [sym_primary_expression] = STATE(5900),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1254] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3893),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1255] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(642),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1256] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3788),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1257] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3872),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1258] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3873),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4081),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(4084),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(4087),
    [anon_sym_get] = ACTIONS(4084),
    [anon_sym_set] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(4084),
    [anon_sym_annotation] = ACTIONS(4084),
    [anon_sym_data] = ACTIONS(4084),
    [anon_sym_inner] = ACTIONS(4084),
    [anon_sym_value] = ACTIONS(4084),
    [anon_sym_operator] = ACTIONS(4084),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4084),
    [anon_sym_expect] = ACTIONS(4084),
    [anon_sym_actual] = ACTIONS(4084),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1259] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4597),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1260] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1261] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4528),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3709),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1263] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3731),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1264] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4605),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1265] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3734),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1266] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3991),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1267] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2229),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1268] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3861),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1269] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3735),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1270] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3969),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1271] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3970),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4090),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(4093),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(4096),
    [anon_sym_get] = ACTIONS(4093),
    [anon_sym_set] = ACTIONS(4093),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(4093),
    [anon_sym_annotation] = ACTIONS(4093),
    [anon_sym_data] = ACTIONS(4093),
    [anon_sym_inner] = ACTIONS(4093),
    [anon_sym_value] = ACTIONS(4093),
    [anon_sym_operator] = ACTIONS(4093),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4093),
    [anon_sym_expect] = ACTIONS(4093),
    [anon_sym_actual] = ACTIONS(4093),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1272] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3736),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1273] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3737),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1274] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3738),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1275] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3739),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1276] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3740),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1277] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3741),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1278] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1214),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3743),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_fun] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(1791),
    [anon_sym_return_AT] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1795),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(1797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1279] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4615),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1280] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4593),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1281] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3957),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1282] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5651),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1283] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4609),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1284] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4535),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1285] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(434),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1286] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5545),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1287] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1288] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5515),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1289] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4603),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1290] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2146),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1291] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5412),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1292] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3180),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1293] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1973),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1294] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4589),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1295] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4578),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1296] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3207),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1297] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1298] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5621),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1299] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3208),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1300] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(677),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1301] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1302] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(686),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1303] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1304] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3210),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1305] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1306] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(654),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1307] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(674),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1308] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1310] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1311] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1229),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(1619),
    [anon_sym_fun] = ACTIONS(1621),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1623),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_return_AT] = ACTIONS(1631),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(1635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1312] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3211),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1313] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1314] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1315] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3214),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1316] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3215),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1317] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3219),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1318] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1979),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1319] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3541),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1320] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5282),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4101),
    [anon_sym_AT] = ACTIONS(3938),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(4105),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(4105),
    [anon_sym_set] = ACTIONS(4105),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(4105),
    [anon_sym_annotation] = ACTIONS(4105),
    [anon_sym_data] = ACTIONS(4105),
    [anon_sym_inner] = ACTIONS(4105),
    [anon_sym_value] = ACTIONS(4105),
    [anon_sym_operator] = ACTIONS(4105),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4105),
    [anon_sym_expect] = ACTIONS(4105),
    [anon_sym_actual] = ACTIONS(4105),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1321] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5648),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1322] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4952),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1323] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5695),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1324] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5720),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1325] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5516),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1326] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4981),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1327] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5667),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1328] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5508),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1329] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5719),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1330] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5518),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1331] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1981),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1332] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5575),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1333] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2248),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1334] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3516),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1335] = {
    [sym_type_parameters] = STATE(1980),
    [sym_primary_constructor] = STATE(4291),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4434),
    [sym_class_body] = STATE(4784),
    [sym_enum_class_body] = STATE(4784),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4109),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4113),
    [anon_sym_LBRACK] = ACTIONS(4115),
    [anon_sym_STAR] = ACTIONS(4115),
    [anon_sym_fun] = ACTIONS(4109),
    [anon_sym_object] = ACTIONS(4109),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4109),
    [anon_sym_super] = ACTIONS(4109),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4109),
    [anon_sym_set] = ACTIONS(4109),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4115),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4115),
    [anon_sym_DASH_DASH] = ACTIONS(4115),
    [anon_sym_PLUS] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4109),
    [anon_sym_BANG] = ACTIONS(4109),
    [anon_sym_BANGin] = ACTIONS(4115),
    [anon_sym_is] = ACTIONS(4109),
    [anon_sym_this_AT] = ACTIONS(4115),
    [anon_sym_super_AT] = ACTIONS(4115),
    [anon_sym_if] = ACTIONS(4109),
    [anon_sym_else] = ACTIONS(4109),
    [anon_sym_when] = ACTIONS(4109),
    [anon_sym_try] = ACTIONS(4109),
    [anon_sym_return] = ACTIONS(4109),
    [anon_sym_return_AT] = ACTIONS(4115),
    [anon_sym_throw] = ACTIONS(4109),
    [anon_sym_COLON_COLON] = ACTIONS(4115),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4115),
    [anon_sym_SQUOTE] = ACTIONS(4115),
    [sym_number_literal] = ACTIONS(4109),
    [sym_float_literal] = ACTIONS(4115),
    [sym_label] = ACTIONS(4109),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4115),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4115),
    [sym__in] = ACTIONS(4115),
  },
  [1336] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3561),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1337] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3102),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1338] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5561),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1339] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3569),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1341] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3571),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1342] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3573),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1343] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3574),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1344] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3575),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1345] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3576),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1346] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3577),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1347] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1122),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3579),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_fun] = ACTIONS(1693),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1695),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(1701),
    [anon_sym_return_AT] = ACTIONS(1703),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(1707),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1348] = {
    [sym_type_parameters] = STATE(1983),
    [sym_primary_constructor] = STATE(4294),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4498),
    [sym_class_body] = STATE(4828),
    [sym_enum_class_body] = STATE(4828),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4143),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_fun] = ACTIONS(4143),
    [anon_sym_object] = ACTIONS(4143),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4143),
    [anon_sym_super] = ACTIONS(4143),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4143),
    [anon_sym_set] = ACTIONS(4143),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4147),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4143),
    [anon_sym_PLUS_PLUS] = ACTIONS(4147),
    [anon_sym_DASH_DASH] = ACTIONS(4147),
    [anon_sym_PLUS] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4143),
    [anon_sym_BANG] = ACTIONS(4143),
    [anon_sym_BANGin] = ACTIONS(4147),
    [anon_sym_is] = ACTIONS(4143),
    [anon_sym_this_AT] = ACTIONS(4147),
    [anon_sym_super_AT] = ACTIONS(4147),
    [anon_sym_if] = ACTIONS(4143),
    [anon_sym_else] = ACTIONS(4143),
    [anon_sym_when] = ACTIONS(4143),
    [anon_sym_try] = ACTIONS(4143),
    [anon_sym_return] = ACTIONS(4143),
    [anon_sym_return_AT] = ACTIONS(4147),
    [anon_sym_throw] = ACTIONS(4143),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_DQUOTE] = ACTIONS(4143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4147),
    [anon_sym_SQUOTE] = ACTIONS(4147),
    [sym_number_literal] = ACTIONS(4143),
    [sym_float_literal] = ACTIONS(4147),
    [sym_label] = ACTIONS(4143),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4147),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4147),
    [sym__in] = ACTIONS(4147),
  },
  [1349] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3109),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1350] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1351] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3795),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1352] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3817),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1353] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5582),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1354] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3819),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1355] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3820),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1356] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3821),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1357] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3822),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1358] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3823),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1359] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3824),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3825),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3826),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1362] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1247),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3827),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_fun] = ACTIONS(1711),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_return_AT] = ACTIONS(1721),
    [anon_sym_throw] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(1725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1363] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2461),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1364] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3868),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1365] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3892),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1366] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5534),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3895),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1368] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3896),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1369] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3897),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1370] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3898),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1371] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3899),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1372] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3900),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1373] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3901),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1374] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3902),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1375] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1258),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3904),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_fun] = ACTIONS(1729),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_return_AT] = ACTIONS(1739),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(1743),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5395),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1377] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5587),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1378] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5344),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1379] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5346),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1380] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5602),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1381] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5603),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1382] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5620),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5144),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1384] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5147),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1385] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5152),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1386] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5154),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5157),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5163),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5164),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1390] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5167),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5170),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5172),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5175),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5111),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1395] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5690),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1396] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5692),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1397] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5411),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1398] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5612),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5643),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1400] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5655),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1401] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5420),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5722),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1403] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5554),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1404] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5568),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1405] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5573),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1406] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5579),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5583),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1408] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5585),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1409] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5591),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1410] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1411] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5343),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5071),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1413] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5074),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(2195),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2195),
    [anon_sym_annotation] = ACTIONS(2195),
    [anon_sym_data] = ACTIONS(2195),
    [anon_sym_inner] = ACTIONS(2195),
    [anon_sym_value] = ACTIONS(2195),
    [anon_sym_operator] = ACTIONS(2195),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_expect] = ACTIONS(2195),
    [anon_sym_actual] = ACTIONS(2195),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1414] = {
    [sym_type_parameters] = STATE(1978),
    [sym_primary_constructor] = STATE(4290),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4440),
    [sym_class_body] = STATE(4650),
    [sym_enum_class_body] = STATE(4650),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4149),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4153),
    [anon_sym_STAR] = ACTIONS(4153),
    [anon_sym_fun] = ACTIONS(4149),
    [anon_sym_object] = ACTIONS(4149),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4149),
    [anon_sym_super] = ACTIONS(4149),
    [anon_sym_LT] = ACTIONS(4119),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4149),
    [anon_sym_set] = ACTIONS(4149),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4153),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4153),
    [anon_sym_DASH_DASH] = ACTIONS(4153),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_BANGin] = ACTIONS(4153),
    [anon_sym_is] = ACTIONS(4149),
    [anon_sym_this_AT] = ACTIONS(4153),
    [anon_sym_super_AT] = ACTIONS(4153),
    [anon_sym_if] = ACTIONS(4149),
    [anon_sym_else] = ACTIONS(4149),
    [anon_sym_when] = ACTIONS(4149),
    [anon_sym_try] = ACTIONS(4149),
    [anon_sym_return] = ACTIONS(4149),
    [anon_sym_return_AT] = ACTIONS(4153),
    [anon_sym_throw] = ACTIONS(4149),
    [anon_sym_COLON_COLON] = ACTIONS(4153),
    [anon_sym_DQUOTE] = ACTIONS(4149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4153),
    [anon_sym_SQUOTE] = ACTIONS(4153),
    [sym_number_literal] = ACTIONS(4149),
    [sym_float_literal] = ACTIONS(4153),
    [sym_label] = ACTIONS(4149),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4153),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4153),
    [sym__in] = ACTIONS(4153),
  },
  [1415] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5264),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1416] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4964),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1417] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5266),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1418] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5267),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1419] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5271),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1420] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1421] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5273),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1422] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5274),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1423] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5275),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1424] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5276),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1425] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5277),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1426] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5278),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1428] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3965),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1429] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3989),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1430] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4524),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1431] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2174),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1432] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2175),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1433] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2176),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1434] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1435] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1436] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2195),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1437] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1438] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2197),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1439] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2198),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1440] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1441] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3992),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1442] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3993),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1443] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3994),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3995),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1445] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3996),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1446] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3997),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3998),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1448] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(3999),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1449] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1271),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4001),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_fun] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1749),
    [anon_sym_DASH_DASH] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1751),
    [anon_sym_DASH] = ACTIONS(1751),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_return_AT] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(1761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5294),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1451] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5297),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1452] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5298),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1453] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5299),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5300),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1455] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5301),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1456] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5304),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1457] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5305),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1458] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5306),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1459] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5307),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1460] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5432),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1461] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5536),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1462] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5260),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1463] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2181),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2113),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1465] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2114),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_annotation] = ACTIONS(2182),
    [anon_sym_data] = ACTIONS(2182),
    [anon_sym_inner] = ACTIONS(2182),
    [anon_sym_value] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_expect] = ACTIONS(2182),
    [anon_sym_actual] = ACTIONS(2182),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1466] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5217),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5218),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(4030),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(4033),
    [anon_sym_get] = ACTIONS(4030),
    [anon_sym_set] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(4030),
    [anon_sym_annotation] = ACTIONS(4030),
    [anon_sym_data] = ACTIONS(4030),
    [anon_sym_inner] = ACTIONS(4030),
    [anon_sym_value] = ACTIONS(4030),
    [anon_sym_operator] = ACTIONS(4030),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_expect] = ACTIONS(4030),
    [anon_sym_actual] = ACTIONS(4030),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1468] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5213),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5433),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1470] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5659),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1471] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5669),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5680),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5689),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5445),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1475] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5697),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5702),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5708),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5447),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5723),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1480] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5644),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1481] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5556),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1482] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5347),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1483] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5348),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1484] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5351),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1485] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5326),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1486] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5382),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1487] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5357),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1488] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5358),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1489] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5368),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1490] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5369),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5370),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1492] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5371),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1493] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5375),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1494] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5537),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1495] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1379),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5339),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_fun] = ACTIONS(2081),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2087),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_return_AT] = ACTIONS(2091),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2095),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5448),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5624),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1498] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5454),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1499] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5455),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1500] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1107),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1982),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_fun] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(1645),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_return_AT] = ACTIONS(1649),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(1653),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5458),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5663),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5462),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1504] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5463),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1505] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5464),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1506] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5661),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1507] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5467),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1508] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5468),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1509] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5430),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1510] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5469),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5572),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1512] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5477),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1513] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5479),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1514] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5481),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1515] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5594),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1516] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5485),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1517] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5486),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1518] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5488),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1519] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5682),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4388),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5493),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5498),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1523] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5604),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1524] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5611),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5502),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5503),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5505),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1528] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5635),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1529] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5473),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1530] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5396),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1531] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5428),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1532] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5666),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1533] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5401),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1534] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5410),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1535] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5419),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1536] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5706),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1537] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5434),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1538] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5444),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1539] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5457),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1540] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5696),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1541] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5387),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5383),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1543] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5553),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5400),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1545] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5406),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1546] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5687),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1547] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5413),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1548] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5416),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1549] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5688),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1550] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5423),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1551] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5424),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1552] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5713),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1553] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5425),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1554] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5427),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1555] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5641),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1556] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5657),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1557] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5691),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1558] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5618),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5715),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1560] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5674),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1561] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5626),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1562] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5627),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5557),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1564] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5665),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1565] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5558),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1566] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5559),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1567] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5560),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1568] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5563),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1569] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5566),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1570] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5567),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1571] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5664),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1572] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5054),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1573] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4342),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1574] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1413),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5070),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_fun] = ACTIONS(2009),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2015),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_return_AT] = ACTIONS(2019),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1575] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5281),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1576] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5282),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1577] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5656),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1578] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5658),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1579] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5668),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1580] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5673),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1581] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5683),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1582] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1583] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5280),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1584] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2232),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1585] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5187),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1586] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1465),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2112),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_fun] = ACTIONS(1973),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1979),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_return_AT] = ACTIONS(1983),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1588] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4470),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1589] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1467),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5216),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_fun] = ACTIONS(2063),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(2071),
    [anon_sym_return_AT] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2075),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(2077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1590] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5584),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1591] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5588),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1592] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5590),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1593] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5592),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1594] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5593),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1595] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5642),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1596] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5725),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1597] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5645),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1598] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5647),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1599] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5650),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1600] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5675),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1601] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5676),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1602] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5677),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1603] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5678),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1604] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5679),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1605] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5552),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1606] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5698),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1607] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5699),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5700),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1609] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5701),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1610] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5711),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1611] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5714),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1612] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5716),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1613] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5717),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5718),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1615] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4321),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4322),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1617] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5608),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1618] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1619] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4320),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1620] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4304),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1621] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4429),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1622] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4305),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1623] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4308),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4309),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1625] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4311),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1626] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4296),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1627] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4334),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1628] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4314),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1629] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4315),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1630] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4316),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1631] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4317),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1632] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2146),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1633] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1634] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2153),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1635] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1149),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2024),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(115),
    [anon_sym_fun] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(153),
    [anon_sym_DASH_DASH] = ACTIONS(153),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_return_AT] = ACTIONS(171),
    [anon_sym_throw] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1636] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2155),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1637] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2157),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1638] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2158),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1639] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2159),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2160),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1641] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2161),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2162),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1643] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2163),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1644] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2164),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1645] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4812),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1646] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2248),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1647] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2345),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1648] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2255),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1649] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2182),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1650] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1651] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2257),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1652] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1653] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1654] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2261),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1656] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1657] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2263),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1658] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2264),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1659] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2183),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1660] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1661] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2506),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1662] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2391),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1664] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2413),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1665] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2426),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1666] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1667] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2442),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1668] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2443),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1669] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2445),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1670] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2446),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1671] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1672] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2249),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1673] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2358),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1674] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2271),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1675] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2273),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1676] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2274),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1677] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2275),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1678] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2276),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1679] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2277),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1680] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2278),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1682] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2280),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1683] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2281),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1684] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4470),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1685] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4822),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1686] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4769),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1687] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4771),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1688] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4772),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1689] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4773),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1690] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4774),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1691] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4775),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1692] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4776),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1693] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4777),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1694] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4778),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1695] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4779),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1696] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2310),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1697] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1698] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2286),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1699] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2288),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1700] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2289),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1701] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2290),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1702] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2291),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1703] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2292),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1704] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2293),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1705] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2294),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1706] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2295),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1707] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2296),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1708] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2320),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1709] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2379),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1710] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2298),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1711] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2300),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2301),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1713] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2302),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1714] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2303),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1715] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2304),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1716] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2305),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1717] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1718] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2307),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1719] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2308),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1720] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1721] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2553),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1722] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2542),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1723] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1724] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1725] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2547),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1726] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2548),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1727] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2549),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1728] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1729] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2562),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1730] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1731] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2390),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1732] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(434),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1733] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(458),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1734] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(445),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1735] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(433),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1736] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(447),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1737] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(448),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1738] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(449),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1739] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(450),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1740] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(451),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1741] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(452),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1742] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(453),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1743] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(454),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1744] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1745] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2570),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1746] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2399),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1747] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1748] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1749] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2403),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1750] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1751] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2405),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1752] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1753] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2407),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1754] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2408),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1755] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1756] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2461),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1757] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1758] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2415),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1759] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1760] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2418),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1761] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2419),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1762] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2420),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1763] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2421),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1764] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2422),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1765] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1766] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2424),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1767] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2425),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1768] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1769] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1770] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2429),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1771] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2431),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1772] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2432),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1773] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1774] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1775] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2435),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1776] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2436),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1777] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2437),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1778] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2438),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1779] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2389),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1780] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4318),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1781] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2208),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1782] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2209),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(4003),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(4006),
    [anon_sym_get] = ACTIONS(4003),
    [anon_sym_set] = ACTIONS(4003),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(4003),
    [anon_sym_annotation] = ACTIONS(4003),
    [anon_sym_data] = ACTIONS(4003),
    [anon_sym_inner] = ACTIONS(4003),
    [anon_sym_value] = ACTIONS(4003),
    [anon_sym_operator] = ACTIONS(4003),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4003),
    [anon_sym_expect] = ACTIONS(4003),
    [anon_sym_actual] = ACTIONS(4003),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1783] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1784] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1785] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1782),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9938),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2205),
    [sym_primary_expression] = STATE(3172),
    [sym_unary_expression] = STATE(3171),
    [sym_annotated_expression] = STATE(3171),
    [sym_labeled_expression] = STATE(3171),
    [sym_binary_expression] = STATE(3171),
    [sym_in_expression] = STATE(3171),
    [sym_is_expression] = STATE(3171),
    [sym_as_expression] = STATE(3171),
    [sym_spread_expression] = STATE(3171),
    [sym_range_expression] = STATE(3171),
    [sym_infix_expression] = STATE(3171),
    [sym_call_expression] = STATE(3171),
    [sym_lambda_literal] = STATE(3171),
    [sym_anonymous_function] = STATE(3171),
    [sym_index_expression] = STATE(3172),
    [sym_this_expression] = STATE(3171),
    [sym_super_expression] = STATE(3171),
    [sym_if_expression] = STATE(3171),
    [sym_parenthesized_expression] = STATE(3171),
    [sym_collection_literal] = STATE(3171),
    [sym_when_expression] = STATE(3171),
    [sym_try_expression] = STATE(3171),
    [sym_return_expression] = STATE(3172),
    [sym_throw_expression] = STATE(3172),
    [sym_callable_reference] = STATE(3171),
    [sym_navigation_expression] = STATE(3171),
    [sym_object_literal] = STATE(3171),
    [sym_string_literal] = STATE(3171),
    [sym_multiline_string_literal] = STATE(3171),
    [sym_character_literal] = STATE(3171),
    [sym__reserved_identifier] = STATE(2698),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(537),
    [anon_sym_STAR] = ACTIONS(3432),
    [anon_sym_fun] = ACTIONS(541),
    [anon_sym_object] = ACTIONS(543),
    [anon_sym_constructor] = ACTIONS(545),
    [anon_sym_this] = ACTIONS(547),
    [anon_sym_super] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_get] = ACTIONS(545),
    [anon_sym_set] = ACTIONS(545),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_enum] = ACTIONS(545),
    [anon_sym_annotation] = ACTIONS(545),
    [anon_sym_data] = ACTIONS(545),
    [anon_sym_inner] = ACTIONS(545),
    [anon_sym_value] = ACTIONS(545),
    [anon_sym_operator] = ACTIONS(545),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(545),
    [anon_sym_expect] = ACTIONS(545),
    [anon_sym_actual] = ACTIONS(545),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(555),
    [anon_sym_DASH_DASH] = ACTIONS(555),
    [anon_sym_PLUS] = ACTIONS(557),
    [anon_sym_DASH] = ACTIONS(557),
    [anon_sym_BANG] = ACTIONS(555),
    [anon_sym_this_AT] = ACTIONS(559),
    [anon_sym_super_AT] = ACTIONS(561),
    [anon_sym_if] = ACTIONS(563),
    [anon_sym_when] = ACTIONS(565),
    [anon_sym_try] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_return_AT] = ACTIONS(571),
    [anon_sym_throw] = ACTIONS(573),
    [anon_sym_COLON_COLON] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(581),
    [sym_number_literal] = ACTIONS(583),
    [sym_float_literal] = ACTIONS(585),
    [sym_label] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1786] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2346),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1787] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4009),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(4012),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(4015),
    [anon_sym_get] = ACTIONS(4012),
    [anon_sym_set] = ACTIONS(4012),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(4012),
    [anon_sym_annotation] = ACTIONS(4012),
    [anon_sym_data] = ACTIONS(4012),
    [anon_sym_inner] = ACTIONS(4012),
    [anon_sym_value] = ACTIONS(4012),
    [anon_sym_operator] = ACTIONS(4012),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4012),
    [anon_sym_expect] = ACTIONS(4012),
    [anon_sym_actual] = ACTIONS(4012),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1788] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2272),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1789] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1790] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2343),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1791] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2359),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1792] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(4021),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(4024),
    [anon_sym_get] = ACTIONS(4021),
    [anon_sym_set] = ACTIONS(4021),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(4021),
    [anon_sym_annotation] = ACTIONS(4021),
    [anon_sym_data] = ACTIONS(4021),
    [anon_sym_inner] = ACTIONS(4021),
    [anon_sym_value] = ACTIONS(4021),
    [anon_sym_operator] = ACTIONS(4021),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4021),
    [anon_sym_expect] = ACTIONS(4021),
    [anon_sym_actual] = ACTIONS(4021),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1793] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4770),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1794] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1787),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9960),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2284),
    [sym_primary_expression] = STATE(3321),
    [sym_unary_expression] = STATE(3288),
    [sym_annotated_expression] = STATE(3288),
    [sym_labeled_expression] = STATE(3288),
    [sym_binary_expression] = STATE(3288),
    [sym_in_expression] = STATE(3288),
    [sym_is_expression] = STATE(3288),
    [sym_as_expression] = STATE(3288),
    [sym_spread_expression] = STATE(3288),
    [sym_range_expression] = STATE(3288),
    [sym_infix_expression] = STATE(3288),
    [sym_call_expression] = STATE(3288),
    [sym_lambda_literal] = STATE(3288),
    [sym_anonymous_function] = STATE(3288),
    [sym_index_expression] = STATE(3321),
    [sym_this_expression] = STATE(3288),
    [sym_super_expression] = STATE(3288),
    [sym_if_expression] = STATE(3288),
    [sym_parenthesized_expression] = STATE(3288),
    [sym_collection_literal] = STATE(3288),
    [sym_when_expression] = STATE(3288),
    [sym_try_expression] = STATE(3288),
    [sym_return_expression] = STATE(3321),
    [sym_throw_expression] = STATE(3321),
    [sym_callable_reference] = STATE(3288),
    [sym_navigation_expression] = STATE(3288),
    [sym_object_literal] = STATE(3288),
    [sym_string_literal] = STATE(3288),
    [sym_multiline_string_literal] = STATE(3288),
    [sym_character_literal] = STATE(3288),
    [sym__reserved_identifier] = STATE(2840),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(3474),
    [anon_sym_fun] = ACTIONS(659),
    [anon_sym_object] = ACTIONS(661),
    [anon_sym_constructor] = ACTIONS(663),
    [anon_sym_this] = ACTIONS(665),
    [anon_sym_super] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(663),
    [anon_sym_set] = ACTIONS(663),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_enum] = ACTIONS(663),
    [anon_sym_annotation] = ACTIONS(663),
    [anon_sym_data] = ACTIONS(663),
    [anon_sym_inner] = ACTIONS(663),
    [anon_sym_value] = ACTIONS(663),
    [anon_sym_operator] = ACTIONS(663),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(663),
    [anon_sym_expect] = ACTIONS(663),
    [anon_sym_actual] = ACTIONS(663),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(673),
    [anon_sym_DASH_DASH] = ACTIONS(673),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_this_AT] = ACTIONS(677),
    [anon_sym_super_AT] = ACTIONS(679),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_when] = ACTIONS(683),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(687),
    [anon_sym_return_AT] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(697),
    [anon_sym_SQUOTE] = ACTIONS(699),
    [sym_number_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(703),
    [sym_label] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1795] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2503),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1796] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2507),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1797] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_annotation] = ACTIONS(2182),
    [anon_sym_data] = ACTIONS(2182),
    [anon_sym_inner] = ACTIONS(2182),
    [anon_sym_value] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_expect] = ACTIONS(2182),
    [anon_sym_actual] = ACTIONS(2182),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1798] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2287),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1799] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2533),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1800] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2356),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1801] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4823),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1802] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4824),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(4030),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(4033),
    [anon_sym_get] = ACTIONS(4030),
    [anon_sym_set] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(4030),
    [anon_sym_annotation] = ACTIONS(4030),
    [anon_sym_data] = ACTIONS(4030),
    [anon_sym_inner] = ACTIONS(4030),
    [anon_sym_value] = ACTIONS(4030),
    [anon_sym_operator] = ACTIONS(4030),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_expect] = ACTIONS(4030),
    [anon_sym_actual] = ACTIONS(4030),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1803] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4487),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1804] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1797),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_fun] = ACTIONS(2045),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(2051),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_return_AT] = ACTIONS(2055),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(2059),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1805] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1802),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4820),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3376),
    [anon_sym_fun] = ACTIONS(1955),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1959),
    [anon_sym_BANG] = ACTIONS(1957),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1963),
    [anon_sym_return_AT] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1967),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1806] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1807] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2371),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4036),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(4039),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_get] = ACTIONS(4039),
    [anon_sym_set] = ACTIONS(4039),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(4039),
    [anon_sym_annotation] = ACTIONS(4039),
    [anon_sym_data] = ACTIONS(4039),
    [anon_sym_inner] = ACTIONS(4039),
    [anon_sym_value] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(4039),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4039),
    [anon_sym_expect] = ACTIONS(4039),
    [anon_sym_actual] = ACTIONS(4039),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1808] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2299),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1809] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1792),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9862),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2309),
    [sym_primary_expression] = STATE(3485),
    [sym_unary_expression] = STATE(3660),
    [sym_annotated_expression] = STATE(3660),
    [sym_labeled_expression] = STATE(3660),
    [sym_binary_expression] = STATE(3660),
    [sym_in_expression] = STATE(3660),
    [sym_is_expression] = STATE(3660),
    [sym_as_expression] = STATE(3660),
    [sym_spread_expression] = STATE(3660),
    [sym_range_expression] = STATE(3660),
    [sym_infix_expression] = STATE(3660),
    [sym_call_expression] = STATE(3660),
    [sym_lambda_literal] = STATE(3660),
    [sym_anonymous_function] = STATE(3660),
    [sym_index_expression] = STATE(3485),
    [sym_this_expression] = STATE(3660),
    [sym_super_expression] = STATE(3660),
    [sym_if_expression] = STATE(3660),
    [sym_parenthesized_expression] = STATE(3660),
    [sym_collection_literal] = STATE(3660),
    [sym_when_expression] = STATE(3660),
    [sym_try_expression] = STATE(3660),
    [sym_return_expression] = STATE(3485),
    [sym_throw_expression] = STATE(3485),
    [sym_callable_reference] = STATE(3660),
    [sym_navigation_expression] = STATE(3660),
    [sym_object_literal] = STATE(3660),
    [sym_string_literal] = STATE(3660),
    [sym_multiline_string_literal] = STATE(3660),
    [sym_character_literal] = STATE(3660),
    [sym__reserved_identifier] = STATE(2847),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(707),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(3412),
    [anon_sym_fun] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_this] = ACTIONS(719),
    [anon_sym_super] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_get] = ACTIONS(717),
    [anon_sym_set] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_annotation] = ACTIONS(717),
    [anon_sym_data] = ACTIONS(717),
    [anon_sym_inner] = ACTIONS(717),
    [anon_sym_value] = ACTIONS(717),
    [anon_sym_operator] = ACTIONS(717),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(717),
    [anon_sym_expect] = ACTIONS(717),
    [anon_sym_actual] = ACTIONS(717),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_this_AT] = ACTIONS(731),
    [anon_sym_super_AT] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_when] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(739),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_return_AT] = ACTIONS(743),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [sym_number_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(757),
    [sym_label] = ACTIONS(759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1810] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1807),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9958),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(3352),
    [sym_unary_expression] = STATE(3351),
    [sym_annotated_expression] = STATE(3351),
    [sym_labeled_expression] = STATE(3351),
    [sym_binary_expression] = STATE(3351),
    [sym_in_expression] = STATE(3351),
    [sym_is_expression] = STATE(3351),
    [sym_as_expression] = STATE(3351),
    [sym_spread_expression] = STATE(3351),
    [sym_range_expression] = STATE(3351),
    [sym_infix_expression] = STATE(3351),
    [sym_call_expression] = STATE(3351),
    [sym_lambda_literal] = STATE(3351),
    [sym_anonymous_function] = STATE(3351),
    [sym_index_expression] = STATE(3352),
    [sym_this_expression] = STATE(3351),
    [sym_super_expression] = STATE(3351),
    [sym_if_expression] = STATE(3351),
    [sym_parenthesized_expression] = STATE(3351),
    [sym_collection_literal] = STATE(3351),
    [sym_when_expression] = STATE(3351),
    [sym_try_expression] = STATE(3351),
    [sym_return_expression] = STATE(3352),
    [sym_throw_expression] = STATE(3352),
    [sym_callable_reference] = STATE(3351),
    [sym_navigation_expression] = STATE(3351),
    [sym_object_literal] = STATE(3351),
    [sym_string_literal] = STATE(3351),
    [sym_multiline_string_literal] = STATE(3351),
    [sym_character_literal] = STATE(3351),
    [sym__reserved_identifier] = STATE(2871),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(3504),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_object] = ACTIONS(601),
    [anon_sym_constructor] = ACTIONS(603),
    [anon_sym_this] = ACTIONS(605),
    [anon_sym_super] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_get] = ACTIONS(603),
    [anon_sym_set] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_enum] = ACTIONS(603),
    [anon_sym_annotation] = ACTIONS(603),
    [anon_sym_data] = ACTIONS(603),
    [anon_sym_inner] = ACTIONS(603),
    [anon_sym_value] = ACTIONS(603),
    [anon_sym_operator] = ACTIONS(603),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(603),
    [anon_sym_expect] = ACTIONS(603),
    [anon_sym_actual] = ACTIONS(603),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_BANG] = ACTIONS(613),
    [anon_sym_this_AT] = ACTIONS(617),
    [anon_sym_super_AT] = ACTIONS(619),
    [anon_sym_if] = ACTIONS(621),
    [anon_sym_when] = ACTIONS(623),
    [anon_sym_try] = ACTIONS(625),
    [anon_sym_return] = ACTIONS(627),
    [anon_sym_return_AT] = ACTIONS(629),
    [anon_sym_throw] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(637),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [sym_number_literal] = ACTIONS(641),
    [sym_float_literal] = ACTIONS(643),
    [sym_label] = ACTIONS(645),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1811] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1812] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4045),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(4048),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(4051),
    [anon_sym_get] = ACTIONS(4048),
    [anon_sym_set] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(4048),
    [anon_sym_annotation] = ACTIONS(4048),
    [anon_sym_data] = ACTIONS(4048),
    [anon_sym_inner] = ACTIONS(4048),
    [anon_sym_value] = ACTIONS(4048),
    [anon_sym_operator] = ACTIONS(4048),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4048),
    [anon_sym_expect] = ACTIONS(4048),
    [anon_sym_actual] = ACTIONS(4048),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1813] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1814] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2564),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1815] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1812),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9979),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2377),
    [sym_primary_expression] = STATE(3431),
    [sym_unary_expression] = STATE(3430),
    [sym_annotated_expression] = STATE(3430),
    [sym_labeled_expression] = STATE(3430),
    [sym_binary_expression] = STATE(3430),
    [sym_in_expression] = STATE(3430),
    [sym_is_expression] = STATE(3430),
    [sym_as_expression] = STATE(3430),
    [sym_spread_expression] = STATE(3430),
    [sym_range_expression] = STATE(3430),
    [sym_infix_expression] = STATE(3430),
    [sym_call_expression] = STATE(3430),
    [sym_lambda_literal] = STATE(3430),
    [sym_anonymous_function] = STATE(3430),
    [sym_index_expression] = STATE(3431),
    [sym_this_expression] = STATE(3430),
    [sym_super_expression] = STATE(3430),
    [sym_if_expression] = STATE(3430),
    [sym_parenthesized_expression] = STATE(3430),
    [sym_collection_literal] = STATE(3430),
    [sym_when_expression] = STATE(3430),
    [sym_try_expression] = STATE(3430),
    [sym_return_expression] = STATE(3431),
    [sym_throw_expression] = STATE(3431),
    [sym_callable_reference] = STATE(3430),
    [sym_navigation_expression] = STATE(3430),
    [sym_object_literal] = STATE(3430),
    [sym_string_literal] = STATE(3430),
    [sym_multiline_string_literal] = STATE(3430),
    [sym_character_literal] = STATE(3430),
    [sym__reserved_identifier] = STATE(2788),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(483),
    [anon_sym_STAR] = ACTIONS(3456),
    [anon_sym_fun] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(489),
    [anon_sym_constructor] = ACTIONS(491),
    [anon_sym_this] = ACTIONS(493),
    [anon_sym_super] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_annotation] = ACTIONS(491),
    [anon_sym_data] = ACTIONS(491),
    [anon_sym_inner] = ACTIONS(491),
    [anon_sym_value] = ACTIONS(491),
    [anon_sym_operator] = ACTIONS(491),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_expect] = ACTIONS(491),
    [anon_sym_actual] = ACTIONS(491),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(501),
    [anon_sym_DASH_DASH] = ACTIONS(501),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_this_AT] = ACTIONS(505),
    [anon_sym_super_AT] = ACTIONS(507),
    [anon_sym_if] = ACTIONS(509),
    [anon_sym_when] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(513),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_return_AT] = ACTIONS(517),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_COLON_COLON] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(525),
    [anon_sym_SQUOTE] = ACTIONS(527),
    [sym_number_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(531),
    [sym_label] = ACTIONS(533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1816] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1817] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2555),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(4057),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(4060),
    [anon_sym_get] = ACTIONS(4057),
    [anon_sym_set] = ACTIONS(4057),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(4057),
    [anon_sym_annotation] = ACTIONS(4057),
    [anon_sym_data] = ACTIONS(4057),
    [anon_sym_inner] = ACTIONS(4057),
    [anon_sym_value] = ACTIONS(4057),
    [anon_sym_operator] = ACTIONS(4057),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4057),
    [anon_sym_expect] = ACTIONS(4057),
    [anon_sym_actual] = ACTIONS(4057),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1818] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(446),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1819] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2574),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1820] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1817),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9995),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2551),
    [sym_primary_expression] = STATE(3701),
    [sym_unary_expression] = STATE(3700),
    [sym_annotated_expression] = STATE(3700),
    [sym_labeled_expression] = STATE(3700),
    [sym_binary_expression] = STATE(3700),
    [sym_in_expression] = STATE(3700),
    [sym_is_expression] = STATE(3700),
    [sym_as_expression] = STATE(3700),
    [sym_spread_expression] = STATE(3700),
    [sym_range_expression] = STATE(3700),
    [sym_infix_expression] = STATE(3700),
    [sym_call_expression] = STATE(3700),
    [sym_lambda_literal] = STATE(3700),
    [sym_anonymous_function] = STATE(3700),
    [sym_index_expression] = STATE(3701),
    [sym_this_expression] = STATE(3700),
    [sym_super_expression] = STATE(3700),
    [sym_if_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_collection_literal] = STATE(3700),
    [sym_when_expression] = STATE(3700),
    [sym_try_expression] = STATE(3700),
    [sym_return_expression] = STATE(3701),
    [sym_throw_expression] = STATE(3701),
    [sym_callable_reference] = STATE(3700),
    [sym_navigation_expression] = STATE(3700),
    [sym_object_literal] = STATE(3700),
    [sym_string_literal] = STATE(3700),
    [sym_multiline_string_literal] = STATE(3700),
    [sym_character_literal] = STATE(3700),
    [sym__reserved_identifier] = STATE(3014),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_STAR] = ACTIONS(3404),
    [anon_sym_fun] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(771),
    [anon_sym_this] = ACTIONS(773),
    [anon_sym_super] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_get] = ACTIONS(771),
    [anon_sym_set] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_annotation] = ACTIONS(771),
    [anon_sym_data] = ACTIONS(771),
    [anon_sym_inner] = ACTIONS(771),
    [anon_sym_value] = ACTIONS(771),
    [anon_sym_operator] = ACTIONS(771),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_expect] = ACTIONS(771),
    [anon_sym_actual] = ACTIONS(771),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(781),
    [anon_sym_DASH_DASH] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(783),
    [anon_sym_DASH] = ACTIONS(783),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_this_AT] = ACTIONS(785),
    [anon_sym_super_AT] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_when] = ACTIONS(791),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_return_AT] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(799),
    [anon_sym_COLON_COLON] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(805),
    [anon_sym_SQUOTE] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(809),
    [sym_float_literal] = ACTIONS(811),
    [sym_label] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1821] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(459),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1822] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(460),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4063),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(4066),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(4069),
    [anon_sym_get] = ACTIONS(4066),
    [anon_sym_set] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_annotation] = ACTIONS(4066),
    [anon_sym_data] = ACTIONS(4066),
    [anon_sym_inner] = ACTIONS(4066),
    [anon_sym_value] = ACTIONS(4066),
    [anon_sym_operator] = ACTIONS(4066),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_expect] = ACTIONS(4066),
    [anon_sym_actual] = ACTIONS(4066),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1823] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2400),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1824] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2585),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1825] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(456),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1826] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1827] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2572),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4072),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(4075),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(4078),
    [anon_sym_get] = ACTIONS(4075),
    [anon_sym_set] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(4075),
    [anon_sym_annotation] = ACTIONS(4075),
    [anon_sym_data] = ACTIONS(4075),
    [anon_sym_inner] = ACTIONS(4075),
    [anon_sym_value] = ACTIONS(4075),
    [anon_sym_operator] = ACTIONS(4075),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4075),
    [anon_sym_expect] = ACTIONS(4075),
    [anon_sym_actual] = ACTIONS(4075),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1828] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1829] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1822),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10011),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(455),
    [sym_primary_expression] = STATE(612),
    [sym_unary_expression] = STATE(611),
    [sym_annotated_expression] = STATE(611),
    [sym_labeled_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_in_expression] = STATE(611),
    [sym_is_expression] = STATE(611),
    [sym_as_expression] = STATE(611),
    [sym_spread_expression] = STATE(611),
    [sym_range_expression] = STATE(611),
    [sym_infix_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_lambda_literal] = STATE(611),
    [sym_anonymous_function] = STATE(611),
    [sym_index_expression] = STATE(612),
    [sym_this_expression] = STATE(611),
    [sym_super_expression] = STATE(611),
    [sym_if_expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_collection_literal] = STATE(611),
    [sym_when_expression] = STATE(611),
    [sym_try_expression] = STATE(611),
    [sym_return_expression] = STATE(612),
    [sym_throw_expression] = STATE(612),
    [sym_callable_reference] = STATE(611),
    [sym_navigation_expression] = STATE(611),
    [sym_object_literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_multiline_string_literal] = STATE(611),
    [sym_character_literal] = STATE(611),
    [sym__reserved_identifier] = STATE(528),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(3420),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_constructor] = ACTIONS(431),
    [anon_sym_this] = ACTIONS(433),
    [anon_sym_super] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(431),
    [anon_sym_annotation] = ACTIONS(431),
    [anon_sym_data] = ACTIONS(431),
    [anon_sym_inner] = ACTIONS(431),
    [anon_sym_value] = ACTIONS(431),
    [anon_sym_operator] = ACTIONS(431),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_expect] = ACTIONS(431),
    [anon_sym_actual] = ACTIONS(431),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_this_AT] = ACTIONS(447),
    [anon_sym_super_AT] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_when] = ACTIONS(453),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(457),
    [anon_sym_return_AT] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(469),
    [sym_number_literal] = ACTIONS(471),
    [sym_float_literal] = ACTIONS(473),
    [sym_label] = ACTIONS(475),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1830] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1827),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10033),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(3787),
    [sym_unary_expression] = STATE(3786),
    [sym_annotated_expression] = STATE(3786),
    [sym_labeled_expression] = STATE(3786),
    [sym_binary_expression] = STATE(3786),
    [sym_in_expression] = STATE(3786),
    [sym_is_expression] = STATE(3786),
    [sym_as_expression] = STATE(3786),
    [sym_spread_expression] = STATE(3786),
    [sym_range_expression] = STATE(3786),
    [sym_infix_expression] = STATE(3786),
    [sym_call_expression] = STATE(3786),
    [sym_lambda_literal] = STATE(3786),
    [sym_anonymous_function] = STATE(3786),
    [sym_index_expression] = STATE(3787),
    [sym_this_expression] = STATE(3786),
    [sym_super_expression] = STATE(3786),
    [sym_if_expression] = STATE(3786),
    [sym_parenthesized_expression] = STATE(3786),
    [sym_collection_literal] = STATE(3786),
    [sym_when_expression] = STATE(3786),
    [sym_try_expression] = STATE(3786),
    [sym_return_expression] = STATE(3787),
    [sym_throw_expression] = STATE(3787),
    [sym_callable_reference] = STATE(3786),
    [sym_navigation_expression] = STATE(3786),
    [sym_object_literal] = STATE(3786),
    [sym_string_literal] = STATE(3786),
    [sym_multiline_string_literal] = STATE(3786),
    [sym_character_literal] = STATE(3786),
    [sym__reserved_identifier] = STATE(2992),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_fun] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_constructor] = ACTIONS(825),
    [anon_sym_this] = ACTIONS(827),
    [anon_sym_super] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(825),
    [anon_sym_set] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_annotation] = ACTIONS(825),
    [anon_sym_data] = ACTIONS(825),
    [anon_sym_inner] = ACTIONS(825),
    [anon_sym_value] = ACTIONS(825),
    [anon_sym_operator] = ACTIONS(825),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(825),
    [anon_sym_expect] = ACTIONS(825),
    [anon_sym_actual] = ACTIONS(825),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_this_AT] = ACTIONS(839),
    [anon_sym_super_AT] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(843),
    [anon_sym_when] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_return_AT] = ACTIONS(851),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_SQUOTE] = ACTIONS(861),
    [sym_number_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(865),
    [sym_label] = ACTIONS(867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1831] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2582),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1832] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2583),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4081),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(4084),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(4087),
    [anon_sym_get] = ACTIONS(4084),
    [anon_sym_set] = ACTIONS(4084),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(4084),
    [anon_sym_annotation] = ACTIONS(4084),
    [anon_sym_data] = ACTIONS(4084),
    [anon_sym_inner] = ACTIONS(4084),
    [anon_sym_value] = ACTIONS(4084),
    [anon_sym_operator] = ACTIONS(4084),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4084),
    [anon_sym_expect] = ACTIONS(4084),
    [anon_sym_actual] = ACTIONS(4084),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1833] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2430),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1834] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1958),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1835] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1832),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10058),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(3860),
    [sym_unary_expression] = STATE(3859),
    [sym_annotated_expression] = STATE(3859),
    [sym_labeled_expression] = STATE(3859),
    [sym_binary_expression] = STATE(3859),
    [sym_in_expression] = STATE(3859),
    [sym_is_expression] = STATE(3859),
    [sym_as_expression] = STATE(3859),
    [sym_spread_expression] = STATE(3859),
    [sym_range_expression] = STATE(3859),
    [sym_infix_expression] = STATE(3859),
    [sym_call_expression] = STATE(3859),
    [sym_lambda_literal] = STATE(3859),
    [sym_anonymous_function] = STATE(3859),
    [sym_index_expression] = STATE(3860),
    [sym_this_expression] = STATE(3859),
    [sym_super_expression] = STATE(3859),
    [sym_if_expression] = STATE(3859),
    [sym_parenthesized_expression] = STATE(3859),
    [sym_collection_literal] = STATE(3859),
    [sym_when_expression] = STATE(3859),
    [sym_try_expression] = STATE(3859),
    [sym_return_expression] = STATE(3860),
    [sym_throw_expression] = STATE(3860),
    [sym_callable_reference] = STATE(3859),
    [sym_navigation_expression] = STATE(3859),
    [sym_object_literal] = STATE(3859),
    [sym_string_literal] = STATE(3859),
    [sym_multiline_string_literal] = STATE(3859),
    [sym_character_literal] = STATE(3859),
    [sym__reserved_identifier] = STATE(3028),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(3390),
    [anon_sym_fun] = ACTIONS(875),
    [anon_sym_object] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(879),
    [anon_sym_this] = ACTIONS(881),
    [anon_sym_super] = ACTIONS(883),
    [anon_sym_LPAREN] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_enum] = ACTIONS(879),
    [anon_sym_annotation] = ACTIONS(879),
    [anon_sym_data] = ACTIONS(879),
    [anon_sym_inner] = ACTIONS(879),
    [anon_sym_value] = ACTIONS(879),
    [anon_sym_operator] = ACTIONS(879),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_expect] = ACTIONS(879),
    [anon_sym_actual] = ACTIONS(879),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(889),
    [anon_sym_DASH_DASH] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(891),
    [anon_sym_DASH] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_this_AT] = ACTIONS(893),
    [anon_sym_super_AT] = ACTIONS(895),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_when] = ACTIONS(899),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(903),
    [anon_sym_return_AT] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(915),
    [sym_number_literal] = ACTIONS(917),
    [sym_float_literal] = ACTIONS(919),
    [sym_label] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1836] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2593),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1837] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4090),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(4093),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(4096),
    [anon_sym_get] = ACTIONS(4093),
    [anon_sym_set] = ACTIONS(4093),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(4093),
    [anon_sym_annotation] = ACTIONS(4093),
    [anon_sym_data] = ACTIONS(4093),
    [anon_sym_inner] = ACTIONS(4093),
    [anon_sym_value] = ACTIONS(4093),
    [anon_sym_operator] = ACTIONS(4093),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4093),
    [anon_sym_expect] = ACTIONS(4093),
    [anon_sym_actual] = ACTIONS(4093),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1838] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1837),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10083),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(2590),
    [sym_primary_expression] = STATE(3956),
    [sym_unary_expression] = STATE(3955),
    [sym_annotated_expression] = STATE(3955),
    [sym_labeled_expression] = STATE(3955),
    [sym_binary_expression] = STATE(3955),
    [sym_in_expression] = STATE(3955),
    [sym_is_expression] = STATE(3955),
    [sym_as_expression] = STATE(3955),
    [sym_spread_expression] = STATE(3955),
    [sym_range_expression] = STATE(3955),
    [sym_infix_expression] = STATE(3955),
    [sym_call_expression] = STATE(3955),
    [sym_lambda_literal] = STATE(3955),
    [sym_anonymous_function] = STATE(3955),
    [sym_index_expression] = STATE(3956),
    [sym_this_expression] = STATE(3955),
    [sym_super_expression] = STATE(3955),
    [sym_if_expression] = STATE(3955),
    [sym_parenthesized_expression] = STATE(3955),
    [sym_collection_literal] = STATE(3955),
    [sym_when_expression] = STATE(3955),
    [sym_try_expression] = STATE(3955),
    [sym_return_expression] = STATE(3956),
    [sym_throw_expression] = STATE(3956),
    [sym_callable_reference] = STATE(3955),
    [sym_navigation_expression] = STATE(3955),
    [sym_object_literal] = STATE(3955),
    [sym_string_literal] = STATE(3955),
    [sym_multiline_string_literal] = STATE(3955),
    [sym_character_literal] = STATE(3955),
    [sym__reserved_identifier] = STATE(2989),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(3440),
    [anon_sym_fun] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_this] = ACTIONS(935),
    [anon_sym_super] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_get] = ACTIONS(933),
    [anon_sym_set] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_annotation] = ACTIONS(933),
    [anon_sym_data] = ACTIONS(933),
    [anon_sym_inner] = ACTIONS(933),
    [anon_sym_value] = ACTIONS(933),
    [anon_sym_operator] = ACTIONS(933),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_expect] = ACTIONS(933),
    [anon_sym_actual] = ACTIONS(933),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_this_AT] = ACTIONS(947),
    [anon_sym_super_AT] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_when] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_return_AT] = ACTIONS(959),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [sym_number_literal] = ACTIONS(971),
    [sym_float_literal] = ACTIONS(973),
    [sym_label] = ACTIONS(975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1839] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4560),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1840] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4561),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1841] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1842] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4552),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1843] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4446),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1844] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1616),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4329),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3362),
    [anon_sym_fun] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_return_AT] = ACTIONS(1815),
    [anon_sym_throw] = ACTIONS(1817),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1819),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1845] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4447),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1846] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4449),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1847] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4450),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1848] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4452),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1849] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4453),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1850] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4454),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1851] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4520),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1852] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4456),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1853] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4457),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1854] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4458),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1855] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1948),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1856] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1949),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1857] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1950),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1858] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1951),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1859] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1952),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1860] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1953),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1861] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1954),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1862] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1955),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1863] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1972),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1864] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1957),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1865] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4486),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1866] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4488),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1867] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4490),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1868] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4491),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1869] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4492),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1870] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4493),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1871] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4494),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1872] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4495),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1873] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4496),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1874] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4497),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1875] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4409),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1961),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1877] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1964),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1965),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(2182),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2182),
    [anon_sym_set] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_annotation] = ACTIONS(2182),
    [anon_sym_data] = ACTIONS(2182),
    [anon_sym_inner] = ACTIONS(2182),
    [anon_sym_value] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_expect] = ACTIONS(2182),
    [anon_sym_actual] = ACTIONS(2182),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1879] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4516),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1880] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4517),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(4030),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(4033),
    [anon_sym_get] = ACTIONS(4030),
    [anon_sym_set] = ACTIONS(4030),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(4030),
    [anon_sym_annotation] = ACTIONS(4030),
    [anon_sym_data] = ACTIONS(4030),
    [anon_sym_inner] = ACTIONS(4030),
    [anon_sym_value] = ACTIONS(4030),
    [anon_sym_operator] = ACTIONS(4030),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_expect] = ACTIONS(4030),
    [anon_sym_actual] = ACTIONS(4030),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1881] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4509),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1882] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4534),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1883] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4607),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1884] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4537),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1885] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4539),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1886] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4541),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1887] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4549),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1888] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4564),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1889] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4565),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1890] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4577),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1891] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4587),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1892] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4594),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1893] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4540),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1894] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1840),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4536),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(3370),
    [anon_sym_fun] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1935),
    [anon_sym_DASH] = ACTIONS(1935),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_return_AT] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1943),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1895] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4416),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1896] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4417),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(2211),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(2211),
    [anon_sym_annotation] = ACTIONS(2211),
    [anon_sym_data] = ACTIONS(2211),
    [anon_sym_inner] = ACTIONS(2211),
    [anon_sym_value] = ACTIONS(2211),
    [anon_sym_operator] = ACTIONS(2211),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2211),
    [anon_sym_expect] = ACTIONS(2211),
    [anon_sym_actual] = ACTIONS(2211),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1897] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4272),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1898] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1896),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4415),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_fun] = ACTIONS(1865),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(235),
    [anon_sym_DASH_DASH] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(235),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_return_AT] = ACTIONS(253),
    [anon_sym_throw] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(1867),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1899] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1960),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1900] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4478),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1901] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1902] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1878),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10228),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(1963),
    [sym_primary_expression] = STATE(2202),
    [sym_unary_expression] = STATE(2131),
    [sym_annotated_expression] = STATE(2131),
    [sym_labeled_expression] = STATE(2131),
    [sym_binary_expression] = STATE(2131),
    [sym_in_expression] = STATE(2131),
    [sym_is_expression] = STATE(2131),
    [sym_as_expression] = STATE(2131),
    [sym_spread_expression] = STATE(2131),
    [sym_range_expression] = STATE(2131),
    [sym_infix_expression] = STATE(2131),
    [sym_call_expression] = STATE(2131),
    [sym_lambda_literal] = STATE(2131),
    [sym_anonymous_function] = STATE(2131),
    [sym_index_expression] = STATE(2202),
    [sym_this_expression] = STATE(2131),
    [sym_super_expression] = STATE(2131),
    [sym_if_expression] = STATE(2131),
    [sym_parenthesized_expression] = STATE(2131),
    [sym_collection_literal] = STATE(2131),
    [sym_when_expression] = STATE(2131),
    [sym_try_expression] = STATE(2131),
    [sym_return_expression] = STATE(2202),
    [sym_throw_expression] = STATE(2202),
    [sym_callable_reference] = STATE(2131),
    [sym_navigation_expression] = STATE(2131),
    [sym_object_literal] = STATE(2131),
    [sym_string_literal] = STATE(2131),
    [sym_multiline_string_literal] = STATE(2131),
    [sym_character_literal] = STATE(2131),
    [sym__reserved_identifier] = STATE(2036),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_fun] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_constructor] = ACTIONS(127),
    [anon_sym_this] = ACTIONS(129),
    [anon_sym_super] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(127),
    [anon_sym_set] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_enum] = ACTIONS(127),
    [anon_sym_annotation] = ACTIONS(127),
    [anon_sym_data] = ACTIONS(127),
    [anon_sym_inner] = ACTIONS(127),
    [anon_sym_value] = ACTIONS(127),
    [anon_sym_operator] = ACTIONS(127),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_expect] = ACTIONS(127),
    [anon_sym_actual] = ACTIONS(127),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1829),
    [anon_sym_DASH_DASH] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1829),
    [anon_sym_this_AT] = ACTIONS(159),
    [anon_sym_super_AT] = ACTIONS(161),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_when] = ACTIONS(165),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_return_AT] = ACTIONS(1837),
    [anon_sym_throw] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(175),
    [anon_sym_DQUOTE] = ACTIONS(177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(181),
    [sym_number_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(185),
    [sym_label] = ACTIONS(1841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1903] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4470),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1904] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1880),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(9909),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4515),
    [sym_primary_expression] = STATE(5192),
    [sym_unary_expression] = STATE(5198),
    [sym_annotated_expression] = STATE(5198),
    [sym_labeled_expression] = STATE(5198),
    [sym_binary_expression] = STATE(5198),
    [sym_in_expression] = STATE(5198),
    [sym_is_expression] = STATE(5198),
    [sym_as_expression] = STATE(5198),
    [sym_spread_expression] = STATE(5198),
    [sym_range_expression] = STATE(5198),
    [sym_infix_expression] = STATE(5198),
    [sym_call_expression] = STATE(5198),
    [sym_lambda_literal] = STATE(5198),
    [sym_anonymous_function] = STATE(5198),
    [sym_index_expression] = STATE(5192),
    [sym_this_expression] = STATE(5198),
    [sym_super_expression] = STATE(5198),
    [sym_if_expression] = STATE(5198),
    [sym_parenthesized_expression] = STATE(5198),
    [sym_collection_literal] = STATE(5198),
    [sym_when_expression] = STATE(5198),
    [sym_try_expression] = STATE(5198),
    [sym_return_expression] = STATE(5192),
    [sym_throw_expression] = STATE(5192),
    [sym_callable_reference] = STATE(5198),
    [sym_navigation_expression] = STATE(5198),
    [sym_object_literal] = STATE(5198),
    [sym_string_literal] = STATE(5198),
    [sym_multiline_string_literal] = STATE(5198),
    [sym_character_literal] = STATE(5198),
    [sym__reserved_identifier] = STATE(4884),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_fun] = ACTIONS(1881),
    [anon_sym_object] = ACTIONS(1883),
    [anon_sym_constructor] = ACTIONS(1885),
    [anon_sym_this] = ACTIONS(1887),
    [anon_sym_super] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1885),
    [anon_sym_set] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_enum] = ACTIONS(1885),
    [anon_sym_annotation] = ACTIONS(1885),
    [anon_sym_data] = ACTIONS(1885),
    [anon_sym_inner] = ACTIONS(1885),
    [anon_sym_value] = ACTIONS(1885),
    [anon_sym_operator] = ACTIONS(1885),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(1885),
    [anon_sym_expect] = ACTIONS(1885),
    [anon_sym_actual] = ACTIONS(1885),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_this_AT] = ACTIONS(1899),
    [anon_sym_super_AT] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_when] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_return_AT] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [sym_float_literal] = ACTIONS(1925),
    [sym_label] = ACTIONS(1927),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1905] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5653),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1906] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1576),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5562),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(2025),
    [anon_sym_fun] = ACTIONS(2027),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1907] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5364),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5350),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1909] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1197),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4608),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_fun] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(69),
    [anon_sym_DASH_DASH] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_return_AT] = ACTIONS(85),
    [anon_sym_throw] = ACTIONS(87),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1951),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1910] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5352),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1911] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5355),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1912] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5356),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1913] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5367),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1914] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5372),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1915] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5376),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1916] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5377),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1917] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5378),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1918] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5379),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1919] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5353),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1920] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5365),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1921] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5366),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(2195),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2195),
    [anon_sym_annotation] = ACTIONS(2195),
    [anon_sym_data] = ACTIONS(2195),
    [anon_sym_inner] = ACTIONS(2195),
    [anon_sym_value] = ACTIONS(2195),
    [anon_sym_operator] = ACTIONS(2195),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_expect] = ACTIONS(2195),
    [anon_sym_actual] = ACTIONS(2195),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1922] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5752),
    [sym_primary_expression] = STATE(5946),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_return_AT] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1923] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5361),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1924] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1921),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4342),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(2097),
    [anon_sym_fun] = ACTIONS(2099),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2103),
    [anon_sym_DASH] = ACTIONS(2103),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(2107),
    [anon_sym_return_AT] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2111),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(2113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1925] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4374),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1926] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4375),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1927] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4376),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1928] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4377),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1929] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4378),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1930] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4379),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1931] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4380),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1932] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4381),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1933] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4382),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1934] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4383),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1935] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4335),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1936] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4385),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1937] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4389),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1938] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4390),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_AT] = ACTIONS(4000),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(2195),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_get] = ACTIONS(2195),
    [anon_sym_set] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(2195),
    [anon_sym_annotation] = ACTIONS(2195),
    [anon_sym_data] = ACTIONS(2195),
    [anon_sym_inner] = ACTIONS(2195),
    [anon_sym_value] = ACTIONS(2195),
    [anon_sym_operator] = ACTIONS(2195),
    [anon_sym_suspend] = ACTIONS(3944),
    [anon_sym_const] = ACTIONS(2195),
    [anon_sym_expect] = ACTIONS(2195),
    [anon_sym_actual] = ACTIONS(2195),
    [anon_sym_dynamic] = ACTIONS(2166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1939] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1938),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10198),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(4386),
    [sym_primary_expression] = STATE(5045),
    [sym_unary_expression] = STATE(5117),
    [sym_annotated_expression] = STATE(5117),
    [sym_labeled_expression] = STATE(5117),
    [sym_binary_expression] = STATE(5117),
    [sym_in_expression] = STATE(5117),
    [sym_is_expression] = STATE(5117),
    [sym_as_expression] = STATE(5117),
    [sym_spread_expression] = STATE(5117),
    [sym_range_expression] = STATE(5117),
    [sym_infix_expression] = STATE(5117),
    [sym_call_expression] = STATE(5117),
    [sym_lambda_literal] = STATE(5117),
    [sym_anonymous_function] = STATE(5117),
    [sym_index_expression] = STATE(5045),
    [sym_this_expression] = STATE(5117),
    [sym_super_expression] = STATE(5117),
    [sym_if_expression] = STATE(5117),
    [sym_parenthesized_expression] = STATE(5117),
    [sym_collection_literal] = STATE(5117),
    [sym_when_expression] = STATE(5117),
    [sym_try_expression] = STATE(5117),
    [sym_return_expression] = STATE(5045),
    [sym_throw_expression] = STATE(5045),
    [sym_callable_reference] = STATE(5117),
    [sym_navigation_expression] = STATE(5117),
    [sym_object_literal] = STATE(5117),
    [sym_string_literal] = STATE(5117),
    [sym_multiline_string_literal] = STATE(5117),
    [sym_character_literal] = STATE(5117),
    [sym__reserved_identifier] = STATE(4785),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_STAR] = ACTIONS(3548),
    [anon_sym_fun] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1847),
    [anon_sym_constructor] = ACTIONS(29),
    [anon_sym_this] = ACTIONS(31),
    [anon_sym_super] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_get] = ACTIONS(29),
    [anon_sym_set] = ACTIONS(29),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_annotation] = ACTIONS(29),
    [anon_sym_data] = ACTIONS(29),
    [anon_sym_inner] = ACTIONS(29),
    [anon_sym_value] = ACTIONS(29),
    [anon_sym_operator] = ACTIONS(29),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(29),
    [anon_sym_expect] = ACTIONS(29),
    [anon_sym_actual] = ACTIONS(29),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_this_AT] = ACTIONS(73),
    [anon_sym_super_AT] = ACTIONS(75),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_when] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_return_AT] = ACTIONS(1857),
    [anon_sym_throw] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [sym_float_literal] = ACTIONS(99),
    [sym_label] = ACTIONS(1861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1940] = {
    [sym_type_modifiers] = STATE(6857),
    [sym_annotation] = STATE(1326),
    [sym_type] = STATE(9900),
    [sym_user_type] = STATE(4961),
    [sym__simple_user_type] = STATE(8189),
    [sym_nullable_type] = STATE(4961),
    [sym_non_nullable_type] = STATE(5120),
    [sym__receiver_type] = STATE(10169),
    [sym_function_type] = STATE(5120),
    [sym_function_type_parameters] = STATE(11196),
    [sym_parenthesized_type] = STATE(4961),
    [sym_expression] = STATE(5491),
    [sym_primary_expression] = STATE(4619),
    [sym_unary_expression] = STATE(4617),
    [sym_annotated_expression] = STATE(4617),
    [sym_labeled_expression] = STATE(4617),
    [sym_binary_expression] = STATE(4617),
    [sym_in_expression] = STATE(4617),
    [sym_is_expression] = STATE(4617),
    [sym_as_expression] = STATE(4617),
    [sym_spread_expression] = STATE(4617),
    [sym_range_expression] = STATE(4617),
    [sym_infix_expression] = STATE(4617),
    [sym_call_expression] = STATE(4617),
    [sym_lambda_literal] = STATE(4617),
    [sym_anonymous_function] = STATE(4617),
    [sym_index_expression] = STATE(4619),
    [sym_this_expression] = STATE(4617),
    [sym_super_expression] = STATE(4617),
    [sym_if_expression] = STATE(4617),
    [sym_parenthesized_expression] = STATE(4617),
    [sym_collection_literal] = STATE(4617),
    [sym_when_expression] = STATE(4617),
    [sym_try_expression] = STATE(4617),
    [sym_return_expression] = STATE(4619),
    [sym_throw_expression] = STATE(4619),
    [sym_callable_reference] = STATE(4617),
    [sym_navigation_expression] = STATE(4617),
    [sym_object_literal] = STATE(4617),
    [sym_string_literal] = STATE(4617),
    [sym_multiline_string_literal] = STATE(4617),
    [sym_character_literal] = STATE(4617),
    [sym__reserved_identifier] = STATE(4353),
    [aux_sym_type_modifiers_repeat1] = STATE(7994),
    [sym_identifier] = ACTIONS(191),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_fun] = ACTIONS(1991),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_constructor] = ACTIONS(209),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_super] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_get] = ACTIONS(209),
    [anon_sym_set] = ACTIONS(209),
    [anon_sym_LBRACE] = ACTIONS(1805),
    [anon_sym_enum] = ACTIONS(209),
    [anon_sym_annotation] = ACTIONS(209),
    [anon_sym_data] = ACTIONS(209),
    [anon_sym_inner] = ACTIONS(209),
    [anon_sym_value] = ACTIONS(209),
    [anon_sym_operator] = ACTIONS(209),
    [anon_sym_suspend] = ACTIONS(441),
    [anon_sym_const] = ACTIONS(209),
    [anon_sym_expect] = ACTIONS(209),
    [anon_sym_actual] = ACTIONS(209),
    [anon_sym_dynamic] = ACTIONS(67),
    [anon_sym_PLUS_PLUS] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1993),
    [anon_sym_this_AT] = ACTIONS(241),
    [anon_sym_super_AT] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(249),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_return_AT] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2003),
    [anon_sym_COLON_COLON] = ACTIONS(257),
    [anon_sym_DQUOTE] = ACTIONS(259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE] = ACTIONS(263),
    [sym_number_literal] = ACTIONS(265),
    [sym_float_literal] = ACTIONS(267),
    [sym_label] = ACTIONS(2005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1941] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(4165),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4175),
    [anon_sym_DASH_EQ] = ACTIONS(4175),
    [anon_sym_STAR_EQ] = ACTIONS(4175),
    [anon_sym_SLASH_EQ] = ACTIONS(4175),
    [anon_sym_PERCENT_EQ] = ACTIONS(4175),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1942] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(4165),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2389),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4175),
    [anon_sym_DASH_EQ] = ACTIONS(4175),
    [anon_sym_STAR_EQ] = ACTIONS(4175),
    [anon_sym_SLASH_EQ] = ACTIONS(4175),
    [anon_sym_PERCENT_EQ] = ACTIONS(4175),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1943] = {
    [sym_type_constraints] = STATE(2017),
    [sym_property_delegate] = STATE(2102),
    [sym_getter] = STATE(2251),
    [sym_setter] = STATE(2252),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4209),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4213),
    [anon_sym_SEMI] = ACTIONS(4215),
    [anon_sym_STAR] = ACTIONS(4213),
    [anon_sym_fun] = ACTIONS(4209),
    [anon_sym_object] = ACTIONS(4209),
    [anon_sym_EQ] = ACTIONS(4217),
    [anon_sym_constructor] = ACTIONS(4209),
    [anon_sym_this] = ACTIONS(4209),
    [anon_sym_super] = ACTIONS(4209),
    [anon_sym_LPAREN] = ACTIONS(4213),
    [anon_sym_where] = ACTIONS(4219),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4213),
    [anon_sym_RBRACE] = ACTIONS(4213),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4209),
    [anon_sym_PLUS_PLUS] = ACTIONS(4213),
    [anon_sym_DASH_DASH] = ACTIONS(4213),
    [anon_sym_PLUS] = ACTIONS(4209),
    [anon_sym_DASH] = ACTIONS(4209),
    [anon_sym_BANG] = ACTIONS(4209),
    [anon_sym_BANGin] = ACTIONS(4213),
    [anon_sym_is] = ACTIONS(4209),
    [anon_sym_this_AT] = ACTIONS(4213),
    [anon_sym_super_AT] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(4209),
    [anon_sym_else] = ACTIONS(4209),
    [anon_sym_when] = ACTIONS(4209),
    [anon_sym_try] = ACTIONS(4209),
    [anon_sym_return] = ACTIONS(4209),
    [anon_sym_return_AT] = ACTIONS(4213),
    [anon_sym_throw] = ACTIONS(4209),
    [anon_sym_COLON_COLON] = ACTIONS(4213),
    [anon_sym_DQUOTE] = ACTIONS(4209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4213),
    [anon_sym_SQUOTE] = ACTIONS(4213),
    [sym_number_literal] = ACTIONS(4209),
    [sym_float_literal] = ACTIONS(4213),
    [sym_label] = ACTIONS(4209),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4213),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4213),
    [sym__in] = ACTIONS(4213),
  },
  [1944] = {
    [sym_type_constraints] = STATE(1986),
    [sym_property_delegate] = STATE(2107),
    [sym_getter] = STATE(2266),
    [sym_setter] = STATE(2267),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_SEMI] = ACTIONS(4227),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4229),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_where] = ACTIONS(4219),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [1945] = {
    [sym_type_constraints] = STATE(2020),
    [sym_property_delegate] = STATE(2093),
    [sym_getter] = STATE(2311),
    [sym_setter] = STATE(2312),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_EQ] = ACTIONS(4231),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_where] = ACTIONS(4219),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [1946] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_fun] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_constructor] = ACTIONS(2355),
    [anon_sym_this] = ACTIONS(2355),
    [anon_sym_super] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_COMMA] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(2355),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_dynamic] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_this_AT] = ACTIONS(2357),
    [anon_sym_super_AT] = ACTIONS(2357),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_when] = ACTIONS(2355),
    [anon_sym_try] = ACTIONS(2355),
    [anon_sym_return] = ACTIONS(2355),
    [anon_sym_return_AT] = ACTIONS(2357),
    [anon_sym_throw] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [anon_sym_DQUOTE] = ACTIONS(2355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2357),
    [anon_sym_SQUOTE] = ACTIONS(2357),
    [sym_number_literal] = ACTIONS(2355),
    [sym_float_literal] = ACTIONS(2357),
    [sym_label] = ACTIONS(2355),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__in] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [1947] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1948] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4233),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1949] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1950] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4236),
    [anon_sym_COMMA] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2452),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1951] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4233),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1952] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1953] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1954] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1955] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4233),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1956] = {
    [sym_type_constraints] = STATE(1994),
    [sym_property_delegate] = STATE(2101),
    [sym_getter] = STATE(2330),
    [sym_setter] = STATE(2331),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_EQ] = ACTIONS(4239),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_where] = ACTIONS(4219),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [1957] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(4241),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1958] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2473),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1959] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(4244),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(4246),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4248),
    [anon_sym_DASH_EQ] = ACTIONS(4248),
    [anon_sym_STAR_EQ] = ACTIONS(4248),
    [anon_sym_SLASH_EQ] = ACTIONS(4248),
    [anon_sym_PERCENT_EQ] = ACTIONS(4248),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4250),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1960] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1961] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2477),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1962] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2481),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1963] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2485),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1964] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2489),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1965] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2493),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1966] = {
    [sym_type_constraints] = STATE(2029),
    [sym_property_delegate] = STATE(2104),
    [sym_getter] = STATE(2323),
    [sym_setter] = STATE(2324),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_EQ] = ACTIONS(4252),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_where] = ACTIONS(4219),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [1967] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(4254),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(4165),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4175),
    [anon_sym_DASH_EQ] = ACTIONS(4175),
    [anon_sym_STAR_EQ] = ACTIONS(4175),
    [anon_sym_SLASH_EQ] = ACTIONS(4175),
    [anon_sym_PERCENT_EQ] = ACTIONS(4175),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4256),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1968] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(4246),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2385),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4248),
    [anon_sym_DASH_EQ] = ACTIONS(4248),
    [anon_sym_STAR_EQ] = ACTIONS(4248),
    [anon_sym_SLASH_EQ] = ACTIONS(4248),
    [anon_sym_PERCENT_EQ] = ACTIONS(4248),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1969] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(4246),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2389),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4248),
    [anon_sym_DASH_EQ] = ACTIONS(4248),
    [anon_sym_STAR_EQ] = ACTIONS(4248),
    [anon_sym_SLASH_EQ] = ACTIONS(4248),
    [anon_sym_PERCENT_EQ] = ACTIONS(4248),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1970] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(4246),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4248),
    [anon_sym_DASH_EQ] = ACTIONS(4248),
    [anon_sym_STAR_EQ] = ACTIONS(4248),
    [anon_sym_SLASH_EQ] = ACTIONS(4248),
    [anon_sym_PERCENT_EQ] = ACTIONS(4248),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1971] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4155),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(4165),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_GT] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2385),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4173),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4175),
    [anon_sym_DASH_EQ] = ACTIONS(4175),
    [anon_sym_STAR_EQ] = ACTIONS(4175),
    [anon_sym_SLASH_EQ] = ACTIONS(4175),
    [anon_sym_PERCENT_EQ] = ACTIONS(4175),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4181),
    [anon_sym_AMP_AMP] = ACTIONS(4183),
    [anon_sym_BANG_EQ] = ACTIONS(4185),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4187),
    [anon_sym_EQ_EQ] = ACTIONS(4185),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4187),
    [anon_sym_GT_EQ] = ACTIONS(4189),
    [anon_sym_LT_EQ] = ACTIONS(4189),
    [anon_sym_QMARK_COLON] = ACTIONS(4191),
    [anon_sym_BANGin] = ACTIONS(4193),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4201),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1972] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4258),
    [anon_sym_COMMA] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2457),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4179),
    [anon_sym_DASH] = ACTIONS(4179),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4161),
    [anon_sym_PERCENT] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1973] = {
    [sym_getter] = STATE(5569),
    [sym_setter] = STATE(5570),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4265),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1974] = {
    [sym_getter] = STATE(5599),
    [sym_setter] = STATE(5613),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4319),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1975] = {
    [sym_type_constraints] = STATE(2055),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_COMMA] = ACTIONS(2497),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [1976] = {
    [sym_type_constraints] = STATE(2057),
    [sym_function_body] = STATE(2154),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [1977] = {
    [sym_catch_block] = STATE(2025),
    [sym_finally_block] = STATE(2121),
    [aux_sym_try_expression_repeat1] = STATE(2025),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_fun] = ACTIONS(2537),
    [anon_sym_object] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_constructor] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(2537),
    [anon_sym_super] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_COMMA] = ACTIONS(2539),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_where] = ACTIONS(2537),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_dynamic] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_this_AT] = ACTIONS(2539),
    [anon_sym_super_AT] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_when] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(4331),
    [anon_sym_finally] = ACTIONS(4333),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_return_AT] = ACTIONS(2539),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2537),
    [sym_float_literal] = ACTIONS(2539),
    [sym_label] = ACTIONS(2537),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__in] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [1978] = {
    [sym_primary_constructor] = STATE(4289),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4405),
    [sym_class_body] = STATE(4691),
    [sym_enum_class_body] = STATE(4691),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4339),
    [anon_sym_STAR] = ACTIONS(4339),
    [anon_sym_fun] = ACTIONS(4335),
    [anon_sym_object] = ACTIONS(4335),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4335),
    [anon_sym_super] = ACTIONS(4335),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4335),
    [anon_sym_set] = ACTIONS(4335),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4339),
    [anon_sym_DASH_DASH] = ACTIONS(4339),
    [anon_sym_PLUS] = ACTIONS(4335),
    [anon_sym_DASH] = ACTIONS(4335),
    [anon_sym_BANG] = ACTIONS(4335),
    [anon_sym_BANGin] = ACTIONS(4339),
    [anon_sym_is] = ACTIONS(4335),
    [anon_sym_this_AT] = ACTIONS(4339),
    [anon_sym_super_AT] = ACTIONS(4339),
    [anon_sym_if] = ACTIONS(4335),
    [anon_sym_else] = ACTIONS(4335),
    [anon_sym_when] = ACTIONS(4335),
    [anon_sym_try] = ACTIONS(4335),
    [anon_sym_return] = ACTIONS(4335),
    [anon_sym_return_AT] = ACTIONS(4339),
    [anon_sym_throw] = ACTIONS(4335),
    [anon_sym_COLON_COLON] = ACTIONS(4339),
    [anon_sym_DQUOTE] = ACTIONS(4335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4339),
    [anon_sym_SQUOTE] = ACTIONS(4339),
    [sym_number_literal] = ACTIONS(4335),
    [sym_float_literal] = ACTIONS(4339),
    [sym_label] = ACTIONS(4335),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4339),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4339),
    [sym__in] = ACTIONS(4339),
  },
  [1979] = {
    [sym_getter] = STATE(5628),
    [sym_setter] = STATE(5638),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4341),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1980] = {
    [sym_primary_constructor] = STATE(4295),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4489),
    [sym_class_body] = STATE(4818),
    [sym_enum_class_body] = STATE(4818),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4343),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4347),
    [anon_sym_STAR] = ACTIONS(4347),
    [anon_sym_fun] = ACTIONS(4343),
    [anon_sym_object] = ACTIONS(4343),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4343),
    [anon_sym_super] = ACTIONS(4343),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4343),
    [anon_sym_set] = ACTIONS(4343),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4347),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4343),
    [anon_sym_PLUS_PLUS] = ACTIONS(4347),
    [anon_sym_DASH_DASH] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4343),
    [anon_sym_DASH] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4343),
    [anon_sym_BANGin] = ACTIONS(4347),
    [anon_sym_is] = ACTIONS(4343),
    [anon_sym_this_AT] = ACTIONS(4347),
    [anon_sym_super_AT] = ACTIONS(4347),
    [anon_sym_if] = ACTIONS(4343),
    [anon_sym_else] = ACTIONS(4343),
    [anon_sym_when] = ACTIONS(4343),
    [anon_sym_try] = ACTIONS(4343),
    [anon_sym_return] = ACTIONS(4343),
    [anon_sym_return_AT] = ACTIONS(4347),
    [anon_sym_throw] = ACTIONS(4343),
    [anon_sym_COLON_COLON] = ACTIONS(4347),
    [anon_sym_DQUOTE] = ACTIONS(4343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4347),
    [anon_sym_SQUOTE] = ACTIONS(4347),
    [sym_number_literal] = ACTIONS(4343),
    [sym_float_literal] = ACTIONS(4347),
    [sym_label] = ACTIONS(4343),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4347),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4347),
    [sym__in] = ACTIONS(4347),
  },
  [1981] = {
    [sym_getter] = STATE(5597),
    [sym_setter] = STATE(5598),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1982] = {
    [sym_getter] = STATE(5629),
    [sym_setter] = STATE(5630),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4351),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1983] = {
    [sym_primary_constructor] = STATE(4292),
    [sym_class_parameters] = STATE(4419),
    [sym_type_constraints] = STATE(4480),
    [sym_class_body] = STATE(4627),
    [sym_enum_class_body] = STATE(4627),
    [sym_modifiers] = STATE(11333),
    [sym_class_modifier] = STATE(5195),
    [sym_function_modifier] = STATE(5195),
    [sym_property_modifier] = STATE(5195),
    [sym_visibility_modifier] = STATE(5195),
    [sym_inheritance_modifier] = STATE(5195),
    [sym_member_modifier] = STATE(5195),
    [sym_parameter_modifier] = STATE(5195),
    [sym_platform_modifier] = STATE(5195),
    [sym_annotation] = STATE(5195),
    [aux_sym_modifiers_repeat1] = STATE(5195),
    [sym_identifier] = ACTIONS(4353),
    [anon_sym_AT] = ACTIONS(4111),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_LBRACK] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_fun] = ACTIONS(4353),
    [anon_sym_object] = ACTIONS(4353),
    [anon_sym_constructor] = ACTIONS(4117),
    [anon_sym_this] = ACTIONS(4353),
    [anon_sym_super] = ACTIONS(4353),
    [anon_sym_LPAREN] = ACTIONS(4121),
    [anon_sym_where] = ACTIONS(4123),
    [anon_sym_get] = ACTIONS(4353),
    [anon_sym_set] = ACTIONS(4353),
    [anon_sym_LBRACE] = ACTIONS(4125),
    [anon_sym_RBRACE] = ACTIONS(4357),
    [anon_sym_enum] = ACTIONS(4127),
    [anon_sym_sealed] = ACTIONS(4127),
    [anon_sym_annotation] = ACTIONS(4127),
    [anon_sym_data] = ACTIONS(4127),
    [anon_sym_inner] = ACTIONS(4127),
    [anon_sym_value] = ACTIONS(4127),
    [anon_sym_tailrec] = ACTIONS(4129),
    [anon_sym_operator] = ACTIONS(4129),
    [anon_sym_infix] = ACTIONS(4129),
    [anon_sym_inline] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(4129),
    [anon_sym_suspend] = ACTIONS(4129),
    [anon_sym_const] = ACTIONS(4131),
    [anon_sym_public] = ACTIONS(4133),
    [anon_sym_private] = ACTIONS(4133),
    [anon_sym_protected] = ACTIONS(4133),
    [anon_sym_internal] = ACTIONS(4133),
    [anon_sym_abstract] = ACTIONS(4135),
    [anon_sym_final] = ACTIONS(4135),
    [anon_sym_open] = ACTIONS(4135),
    [anon_sym_override] = ACTIONS(4137),
    [anon_sym_lateinit] = ACTIONS(4137),
    [anon_sym_vararg] = ACTIONS(4139),
    [anon_sym_noinline] = ACTIONS(4139),
    [anon_sym_crossinline] = ACTIONS(4139),
    [anon_sym_expect] = ACTIONS(4141),
    [anon_sym_actual] = ACTIONS(4141),
    [anon_sym_dynamic] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_BANGin] = ACTIONS(4357),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_this_AT] = ACTIONS(4357),
    [anon_sym_super_AT] = ACTIONS(4357),
    [anon_sym_if] = ACTIONS(4353),
    [anon_sym_else] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4353),
    [anon_sym_try] = ACTIONS(4353),
    [anon_sym_return] = ACTIONS(4353),
    [anon_sym_return_AT] = ACTIONS(4357),
    [anon_sym_throw] = ACTIONS(4353),
    [anon_sym_COLON_COLON] = ACTIONS(4357),
    [anon_sym_DQUOTE] = ACTIONS(4353),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4357),
    [anon_sym_SQUOTE] = ACTIONS(4357),
    [sym_number_literal] = ACTIONS(4353),
    [sym_float_literal] = ACTIONS(4357),
    [sym_label] = ACTIONS(4353),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4357),
    [sym__in] = ACTIONS(4357),
  },
  [1984] = {
    [sym_getter] = STATE(5670),
    [sym_setter] = STATE(5671),
    [sym_value_arguments] = STATE(2481),
    [sym_modifiers] = STATE(9961),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4359),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(4279),
    [anon_sym_set] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [1985] = {
    [sym_getter] = STATE(5775),
    [sym_setter] = STATE(5776),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4365),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [1986] = {
    [sym_property_delegate] = STATE(2093),
    [sym_getter] = STATE(2311),
    [sym_setter] = STATE(2312),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_EQ] = ACTIONS(4231),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [1987] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1988] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(4449),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(4451),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4453),
    [anon_sym_DASH_EQ] = ACTIONS(4453),
    [anon_sym_STAR_EQ] = ACTIONS(4453),
    [anon_sym_SLASH_EQ] = ACTIONS(4453),
    [anon_sym_PERCENT_EQ] = ACTIONS(4453),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4455),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1989] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(4457),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1990] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4460),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1991] = {
    [sym_annotation] = STATE(8653),
    [sym_annotated_lambda] = STATE(2204),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_fun] = ACTIONS(2594),
    [anon_sym_object] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_constructor] = ACTIONS(2594),
    [anon_sym_this] = ACTIONS(2594),
    [anon_sym_super] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_where] = ACTIONS(2594),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_dynamic] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_this_AT] = ACTIONS(2596),
    [anon_sym_super_AT] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_when] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_return_AT] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2594),
    [sym_float_literal] = ACTIONS(2596),
    [sym_label] = ACTIONS(2594),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__in] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [1992] = {
    [sym_type_constraints] = STATE(2227),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [1993] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1994] = {
    [sym_property_delegate] = STATE(2106),
    [sym_getter] = STATE(2239),
    [sym_setter] = STATE(2340),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_EQ] = ACTIONS(4465),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANGin] = ACTIONS(2247),
    [anon_sym_is] = ACTIONS(2235),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2235),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2247),
    [sym__in] = ACTIONS(2247),
  },
  [1995] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1996] = {
    [sym_type_constraints] = STATE(2150),
    [sym_function_body] = STATE(2154),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [1997] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1998] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(4451),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4453),
    [anon_sym_DASH_EQ] = ACTIONS(4453),
    [anon_sym_STAR_EQ] = ACTIONS(4453),
    [anon_sym_SLASH_EQ] = ACTIONS(4453),
    [anon_sym_PERCENT_EQ] = ACTIONS(4453),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(4203),
  },
  [1999] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2000] = {
    [sym_annotation] = STATE(8653),
    [sym_annotated_lambda] = STATE(2139),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_fun] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_constructor] = ACTIONS(2689),
    [anon_sym_this] = ACTIONS(2689),
    [anon_sym_super] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_where] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_dynamic] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_this_AT] = ACTIONS(2691),
    [anon_sym_super_AT] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_return_AT] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2689),
    [sym_float_literal] = ACTIONS(2691),
    [sym_label] = ACTIONS(2689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__in] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2001] = {
    [sym_getter] = STATE(5790),
    [sym_setter] = STATE(5791),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4471),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2321),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2002] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4529),
    [anon_sym_DASH_EQ] = ACTIONS(4529),
    [anon_sym_STAR_EQ] = ACTIONS(4529),
    [anon_sym_SLASH_EQ] = ACTIONS(4529),
    [anon_sym_PERCENT_EQ] = ACTIONS(4529),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4531),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2003] = {
    [sym_getter] = STATE(5733),
    [sym_setter] = STATE(5734),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2309),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2004] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(4451),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4453),
    [anon_sym_DASH_EQ] = ACTIONS(4453),
    [anon_sym_STAR_EQ] = ACTIONS(4453),
    [anon_sym_SLASH_EQ] = ACTIONS(4453),
    [anon_sym_PERCENT_EQ] = ACTIONS(4453),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2005] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2006] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(4451),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4453),
    [anon_sym_DASH_EQ] = ACTIONS(4453),
    [anon_sym_STAR_EQ] = ACTIONS(4453),
    [anon_sym_SLASH_EQ] = ACTIONS(4453),
    [anon_sym_PERCENT_EQ] = ACTIONS(4453),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2007] = {
    [sym_getter] = STATE(5737),
    [sym_setter] = STATE(5738),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4535),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2315),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2008] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2009] = {
    [sym_getter] = STATE(5751),
    [sym_setter] = STATE(5762),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4537),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2010] = {
    [sym_getter] = STATE(5743),
    [sym_setter] = STATE(5744),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4539),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2303),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2011] = {
    [sym_getter] = STATE(5747),
    [sym_setter] = STATE(5748),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4541),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2327),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2012] = {
    [sym_type_constraints] = STATE(2053),
    [sym_function_body] = STATE(2187),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(4543),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2013] = {
    [sym_getter] = STATE(5765),
    [sym_setter] = STATE(5766),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2014] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4547),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2015] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2016] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4460),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2017] = {
    [sym_property_delegate] = STATE(2107),
    [sym_getter] = STATE(2266),
    [sym_setter] = STATE(2267),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_SEMI] = ACTIONS(4227),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_EQ] = ACTIONS(4229),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [2018] = {
    [sym_type_constraints] = STATE(2055),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_COMMA] = ACTIONS(2497),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2019] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2020] = {
    [sym_property_delegate] = STATE(2104),
    [sym_getter] = STATE(2323),
    [sym_setter] = STATE(2324),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_EQ] = ACTIONS(4252),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [2021] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4529),
    [anon_sym_DASH_EQ] = ACTIONS(4529),
    [anon_sym_STAR_EQ] = ACTIONS(4529),
    [anon_sym_SLASH_EQ] = ACTIONS(4529),
    [anon_sym_PERCENT_EQ] = ACTIONS(4529),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2022] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4529),
    [anon_sym_DASH_EQ] = ACTIONS(4529),
    [anon_sym_STAR_EQ] = ACTIONS(4529),
    [anon_sym_SLASH_EQ] = ACTIONS(4529),
    [anon_sym_PERCENT_EQ] = ACTIONS(4529),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2023] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4529),
    [anon_sym_DASH_EQ] = ACTIONS(4529),
    [anon_sym_STAR_EQ] = ACTIONS(4529),
    [anon_sym_SLASH_EQ] = ACTIONS(4529),
    [anon_sym_PERCENT_EQ] = ACTIONS(4529),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2024] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2025] = {
    [sym_catch_block] = STATE(2025),
    [aux_sym_try_expression_repeat1] = STATE(2025),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_fun] = ACTIONS(2598),
    [anon_sym_object] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_constructor] = ACTIONS(2598),
    [anon_sym_this] = ACTIONS(2598),
    [anon_sym_super] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_where] = ACTIONS(2598),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_dynamic] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_this_AT] = ACTIONS(2600),
    [anon_sym_super_AT] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_when] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(4552),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_return_AT] = ACTIONS(2600),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2598),
    [sym_float_literal] = ACTIONS(2600),
    [sym_label] = ACTIONS(2598),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__in] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2026] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2027] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2028] = {
    [sym_getter] = STATE(5745),
    [sym_setter] = STATE(5746),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4555),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2029] = {
    [sym_property_delegate] = STATE(2101),
    [sym_getter] = STATE(2330),
    [sym_setter] = STATE(2331),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_EQ] = ACTIONS(4239),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_by] = ACTIONS(4221),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [2030] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4557),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2031] = {
    [sym_getter] = STATE(5792),
    [sym_setter] = STATE(5793),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4560),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2032] = {
    [sym_getter] = STATE(5777),
    [sym_setter] = STATE(5794),
    [sym_value_arguments] = STATE(2742),
    [sym_modifiers] = STATE(10114),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4562),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2033] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4460),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2034] = {
    [sym_getter] = STATE(5739),
    [sym_setter] = STATE(5740),
    [sym_value_arguments] = STATE(2716),
    [sym_modifiers] = STATE(9954),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(6600),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4564),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(4485),
    [anon_sym_set] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2035] = {
    [aux_sym_user_type_repeat1] = STATE(2042),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(4566),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_object] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_constructor] = ACTIONS(2545),
    [anon_sym_this] = ACTIONS(2545),
    [anon_sym_super] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_dynamic] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_this_AT] = ACTIONS(2547),
    [anon_sym_super_AT] = ACTIONS(2547),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_when] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_return_AT] = ACTIONS(2547),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [sym_number_literal] = ACTIONS(2545),
    [sym_float_literal] = ACTIONS(2547),
    [sym_label] = ACTIONS(2545),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__in] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2036] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_where] = ACTIONS(2605),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_fun] = ACTIONS(2578),
    [anon_sym_object] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_constructor] = ACTIONS(2578),
    [anon_sym_this] = ACTIONS(2578),
    [anon_sym_super] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_dynamic] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_this_AT] = ACTIONS(2580),
    [anon_sym_super_AT] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_return_AT] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2578),
    [sym_float_literal] = ACTIONS(2580),
    [sym_label] = ACTIONS(2578),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__in] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2038] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4419),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4421),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(4569),
    [anon_sym_object] = ACTIONS(4569),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_constructor] = ACTIONS(4569),
    [anon_sym_this] = ACTIONS(4569),
    [anon_sym_super] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_GT] = ACTIONS(4425),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(4569),
    [anon_sym_set] = ACTIONS(4569),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(4571),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_enum] = ACTIONS(4569),
    [anon_sym_annotation] = ACTIONS(4569),
    [anon_sym_data] = ACTIONS(4569),
    [anon_sym_inner] = ACTIONS(4569),
    [anon_sym_value] = ACTIONS(4569),
    [anon_sym_operator] = ACTIONS(4569),
    [anon_sym_suspend] = ACTIONS(4569),
    [anon_sym_const] = ACTIONS(4569),
    [anon_sym_expect] = ACTIONS(4569),
    [anon_sym_actual] = ACTIONS(4569),
    [anon_sym_dynamic] = ACTIONS(4569),
    [anon_sym_PLUS_EQ] = ACTIONS(4529),
    [anon_sym_DASH_EQ] = ACTIONS(4529),
    [anon_sym_STAR_EQ] = ACTIONS(4529),
    [anon_sym_SLASH_EQ] = ACTIONS(4529),
    [anon_sym_PERCENT_EQ] = ACTIONS(4529),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4429),
    [anon_sym_DASH] = ACTIONS(4429),
    [anon_sym_BANG] = ACTIONS(4569),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_PERCENT] = ACTIONS(4421),
    [anon_sym_PIPE_PIPE] = ACTIONS(4431),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4435),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4437),
    [anon_sym_EQ_EQ] = ACTIONS(4435),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4437),
    [anon_sym_GT_EQ] = ACTIONS(4439),
    [anon_sym_LT_EQ] = ACTIONS(4439),
    [anon_sym_QMARK_COLON] = ACTIONS(4441),
    [anon_sym_BANGin] = ACTIONS(4443),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4447),
    [anon_sym_this_AT] = ACTIONS(4571),
    [anon_sym_super_AT] = ACTIONS(4571),
    [anon_sym_if] = ACTIONS(4569),
    [anon_sym_else] = ACTIONS(4569),
    [anon_sym_when] = ACTIONS(4569),
    [anon_sym_try] = ACTIONS(4569),
    [anon_sym_return] = ACTIONS(4569),
    [anon_sym_return_AT] = ACTIONS(4571),
    [anon_sym_throw] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(4569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4571),
    [anon_sym_SQUOTE] = ACTIONS(4571),
    [sym_number_literal] = ACTIONS(4569),
    [sym_float_literal] = ACTIONS(4571),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4571),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(4571),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2039] = {
    [sym_type_constraints] = STATE(2185),
    [sym_function_body] = STATE(2187),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(4573),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2040] = {
    [aux_sym_user_type_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(4575),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_constructor] = ACTIONS(2513),
    [anon_sym_this] = ACTIONS(2513),
    [anon_sym_super] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_dynamic] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_this_AT] = ACTIONS(2515),
    [anon_sym_super_AT] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_when] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_return_AT] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_number_literal] = ACTIONS(2513),
    [sym_float_literal] = ACTIONS(2515),
    [sym_label] = ACTIONS(2513),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__in] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2041] = {
    [sym_type_arguments] = STATE(2065),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_fun] = ACTIONS(2552),
    [anon_sym_object] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_constructor] = ACTIONS(2552),
    [anon_sym_this] = ACTIONS(2552),
    [anon_sym_super] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(4579),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_dynamic] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_this_AT] = ACTIONS(2554),
    [anon_sym_super_AT] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_when] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_return_AT] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2552),
    [sym_float_literal] = ACTIONS(2554),
    [sym_label] = ACTIONS(2552),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__in] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2042] = {
    [aux_sym_user_type_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(4581),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2043] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2615),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_where] = ACTIONS(2605),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2044] = {
    [aux_sym_user_type_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2045] = {
    [aux_sym_user_type_repeat1] = STATE(2048),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_fun] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_constructor] = ACTIONS(2524),
    [anon_sym_this] = ACTIONS(2524),
    [anon_sym_super] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_dynamic] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_this_AT] = ACTIONS(2527),
    [anon_sym_super_AT] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_return_AT] = ACTIONS(2527),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_number_literal] = ACTIONS(2524),
    [sym_float_literal] = ACTIONS(2527),
    [sym_label] = ACTIONS(2524),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__in] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2046] = {
    [aux_sym_user_type_repeat1] = STATE(2040),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2047] = {
    [sym_type_constraints] = STATE(2227),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(4591),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2048] = {
    [aux_sym_user_type_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(4575),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_constructor] = ACTIONS(2521),
    [anon_sym_this] = ACTIONS(2521),
    [anon_sym_super] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_dynamic] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_this_AT] = ACTIONS(2534),
    [anon_sym_super_AT] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_return_AT] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2521),
    [sym_float_literal] = ACTIONS(2534),
    [sym_label] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__in] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_object] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_constructor] = ACTIONS(2662),
    [anon_sym_this] = ACTIONS(2662),
    [anon_sym_super] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_dynamic] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_this_AT] = ACTIONS(2664),
    [anon_sym_super_AT] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_when] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_return_AT] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2662),
    [sym_float_literal] = ACTIONS(2664),
    [sym_label] = ACTIONS(2662),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__in] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_object] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_constructor] = ACTIONS(2747),
    [anon_sym_this] = ACTIONS(2747),
    [anon_sym_super] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_dynamic] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_this_AT] = ACTIONS(2749),
    [anon_sym_super_AT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_when] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_return_AT] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [sym_number_literal] = ACTIONS(2747),
    [sym_float_literal] = ACTIONS(2749),
    [sym_label] = ACTIONS(2747),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__in] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_fun] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_constructor] = ACTIONS(2955),
    [anon_sym_this] = ACTIONS(2955),
    [anon_sym_super] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_where] = ACTIONS(2955),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_dynamic] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_this_AT] = ACTIONS(2957),
    [anon_sym_super_AT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_when] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_return_AT] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2955),
    [sym_float_literal] = ACTIONS(2957),
    [sym_label] = ACTIONS(2955),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__in] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [2053] = {
    [sym_function_body] = STATE(2123),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_where] = ACTIONS(2977),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_fun] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_constructor] = ACTIONS(2969),
    [anon_sym_this] = ACTIONS(2969),
    [anon_sym_super] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2969),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_dynamic] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_this_AT] = ACTIONS(2971),
    [anon_sym_super_AT] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_when] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_return_AT] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2969),
    [sym_float_literal] = ACTIONS(2971),
    [sym_label] = ACTIONS(2969),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__in] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [2055] = {
    [sym_function_body] = STATE(2137),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_where] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2057] = {
    [sym_function_body] = STATE(2200),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(4321),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_where] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_constructor] = ACTIONS(2753),
    [anon_sym_this] = ACTIONS(2753),
    [anon_sym_super] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_dynamic] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_this_AT] = ACTIONS(2755),
    [anon_sym_super_AT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_when] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_return_AT] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2753),
    [sym_float_literal] = ACTIONS(2755),
    [sym_label] = ACTIONS(2753),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__in] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_constructor] = ACTIONS(2757),
    [anon_sym_this] = ACTIONS(2757),
    [anon_sym_super] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_dynamic] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_this_AT] = ACTIONS(2759),
    [anon_sym_super_AT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_return_AT] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2757),
    [sym_float_literal] = ACTIONS(2759),
    [sym_label] = ACTIONS(2757),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__in] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2060] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_fun] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_constructor] = ACTIONS(2666),
    [anon_sym_this] = ACTIONS(2666),
    [anon_sym_super] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_dynamic] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_this_AT] = ACTIONS(2668),
    [anon_sym_super_AT] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_when] = ACTIONS(2666),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_return_AT] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2666),
    [sym_float_literal] = ACTIONS(2668),
    [sym_label] = ACTIONS(2666),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__in] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_fun] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_constructor] = ACTIONS(2985),
    [anon_sym_this] = ACTIONS(2985),
    [anon_sym_super] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_where] = ACTIONS(2985),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_dynamic] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_this_AT] = ACTIONS(2987),
    [anon_sym_super_AT] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_when] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_return_AT] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2985),
    [sym_float_literal] = ACTIONS(2987),
    [sym_label] = ACTIONS(2985),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__in] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_where] = ACTIONS(2935),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2063] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_fun] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_constructor] = ACTIONS(2685),
    [anon_sym_this] = ACTIONS(2685),
    [anon_sym_super] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_dynamic] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_this_AT] = ACTIONS(2687),
    [anon_sym_super_AT] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_when] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_return_AT] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2685),
    [sym_float_literal] = ACTIONS(2687),
    [sym_label] = ACTIONS(2685),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__in] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2065] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_fun] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_this] = ACTIONS(2630),
    [anon_sym_super] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_dynamic] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_this_AT] = ACTIONS(2632),
    [anon_sym_super_AT] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_when] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_return_AT] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2630),
    [sym_float_literal] = ACTIONS(2632),
    [sym_label] = ACTIONS(2630),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__in] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_fun] = ACTIONS(2642),
    [anon_sym_object] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_constructor] = ACTIONS(2642),
    [anon_sym_this] = ACTIONS(2642),
    [anon_sym_super] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_dynamic] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(4593),
    [anon_sym_AMP] = ACTIONS(4595),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_this_AT] = ACTIONS(2644),
    [anon_sym_super_AT] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_when] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_return_AT] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2642),
    [sym_float_literal] = ACTIONS(2644),
    [sym_label] = ACTIONS(2642),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__in] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_fun] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_constructor] = ACTIONS(2634),
    [anon_sym_this] = ACTIONS(2634),
    [anon_sym_super] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_dynamic] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_this_AT] = ACTIONS(2636),
    [anon_sym_super_AT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_when] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_return_AT] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2634),
    [sym_float_literal] = ACTIONS(2636),
    [sym_label] = ACTIONS(2634),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__in] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_fun] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_constructor] = ACTIONS(2697),
    [anon_sym_this] = ACTIONS(2697),
    [anon_sym_super] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_dynamic] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_this_AT] = ACTIONS(2704),
    [anon_sym_super_AT] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_when] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_return_AT] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2697),
    [sym_float_literal] = ACTIONS(2704),
    [sym_label] = ACTIONS(2697),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__in] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_fun] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_constructor] = ACTIONS(2624),
    [anon_sym_this] = ACTIONS(2624),
    [anon_sym_super] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_dynamic] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_this_AT] = ACTIONS(2627),
    [anon_sym_super_AT] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_when] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_return_AT] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2624),
    [sym_float_literal] = ACTIONS(2627),
    [sym_label] = ACTIONS(2624),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__in] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_fun] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_constructor] = ACTIONS(2693),
    [anon_sym_this] = ACTIONS(2693),
    [anon_sym_super] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_dynamic] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_this_AT] = ACTIONS(2695),
    [anon_sym_super_AT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_when] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_return_AT] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2693),
    [sym_float_literal] = ACTIONS(2695),
    [sym_label] = ACTIONS(2693),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__in] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_val] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_sealed] = ACTIONS(2434),
    [anon_sym_annotation] = ACTIONS(2434),
    [anon_sym_data] = ACTIONS(2434),
    [anon_sym_inner] = ACTIONS(2434),
    [anon_sym_value] = ACTIONS(2434),
    [anon_sym_tailrec] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_infix] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym_external] = ACTIONS(2434),
    [anon_sym_suspend] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_internal] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_final] = ACTIONS(2434),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_lateinit] = ACTIONS(2434),
    [anon_sym_vararg] = ACTIONS(2434),
    [anon_sym_noinline] = ACTIONS(2434),
    [anon_sym_crossinline] = ACTIONS(2434),
    [anon_sym_expect] = ACTIONS(2434),
    [anon_sym_actual] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_constructor] = ACTIONS(2700),
    [anon_sym_this] = ACTIONS(2700),
    [anon_sym_super] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_dynamic] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_this_AT] = ACTIONS(2702),
    [anon_sym_super_AT] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_when] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_return_AT] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2700),
    [sym_float_literal] = ACTIONS(2702),
    [sym_label] = ACTIONS(2700),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__in] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_fun] = ACTIONS(2650),
    [anon_sym_object] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_constructor] = ACTIONS(2650),
    [anon_sym_this] = ACTIONS(2650),
    [anon_sym_super] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_dynamic] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_this_AT] = ACTIONS(2652),
    [anon_sym_super_AT] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_when] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_return_AT] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2650),
    [sym_float_literal] = ACTIONS(2652),
    [sym_label] = ACTIONS(2650),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__in] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_fun] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_constructor] = ACTIONS(2670),
    [anon_sym_this] = ACTIONS(2670),
    [anon_sym_super] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_dynamic] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_this_AT] = ACTIONS(2673),
    [anon_sym_super_AT] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_when] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_return_AT] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2670),
    [sym_float_literal] = ACTIONS(2673),
    [sym_label] = ACTIONS(2670),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__in] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_fun] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_constructor] = ACTIONS(2654),
    [anon_sym_this] = ACTIONS(2654),
    [anon_sym_super] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_dynamic] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_this_AT] = ACTIONS(2656),
    [anon_sym_super_AT] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_when] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_return_AT] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2654),
    [sym_float_literal] = ACTIONS(2656),
    [sym_label] = ACTIONS(2654),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__in] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2076] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2405),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_val] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_sealed] = ACTIONS(2410),
    [anon_sym_annotation] = ACTIONS(2410),
    [anon_sym_data] = ACTIONS(2410),
    [anon_sym_inner] = ACTIONS(2410),
    [anon_sym_value] = ACTIONS(2410),
    [anon_sym_tailrec] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_infix] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym_external] = ACTIONS(2410),
    [anon_sym_suspend] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_internal] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_final] = ACTIONS(2410),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_lateinit] = ACTIONS(2410),
    [anon_sym_vararg] = ACTIONS(2410),
    [anon_sym_noinline] = ACTIONS(2410),
    [anon_sym_crossinline] = ACTIONS(2410),
    [anon_sym_expect] = ACTIONS(2410),
    [anon_sym_actual] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(4593),
    [anon_sym_AMP] = ACTIONS(4595),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_fun] = ACTIONS(2658),
    [anon_sym_object] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_constructor] = ACTIONS(2658),
    [anon_sym_this] = ACTIONS(2658),
    [anon_sym_super] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_dynamic] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_this_AT] = ACTIONS(2660),
    [anon_sym_super_AT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_when] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_return_AT] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2658),
    [sym_float_literal] = ACTIONS(2660),
    [sym_label] = ACTIONS(2658),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__in] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2080] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_constructor] = ACTIONS(2973),
    [anon_sym_this] = ACTIONS(2973),
    [anon_sym_super] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_where] = ACTIONS(2973),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_dynamic] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_this_AT] = ACTIONS(2975),
    [anon_sym_super_AT] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_when] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_return_AT] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2973),
    [sym_float_literal] = ACTIONS(2975),
    [sym_label] = ACTIONS(2973),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__in] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_constructor] = ACTIONS(2676),
    [anon_sym_this] = ACTIONS(2676),
    [anon_sym_super] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_dynamic] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(4593),
    [anon_sym_AMP] = ACTIONS(4595),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_this_AT] = ACTIONS(2679),
    [anon_sym_super_AT] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_when] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_return_AT] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2676),
    [sym_float_literal] = ACTIONS(2679),
    [sym_label] = ACTIONS(2676),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__in] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2415),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_fun] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2418),
    [anon_sym_object] = ACTIONS(2418),
    [anon_sym_val] = ACTIONS(2418),
    [anon_sym_var] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_sealed] = ACTIONS(2418),
    [anon_sym_annotation] = ACTIONS(2418),
    [anon_sym_data] = ACTIONS(2418),
    [anon_sym_inner] = ACTIONS(2418),
    [anon_sym_value] = ACTIONS(2418),
    [anon_sym_tailrec] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_infix] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym_external] = ACTIONS(2418),
    [anon_sym_suspend] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_public] = ACTIONS(2418),
    [anon_sym_private] = ACTIONS(2418),
    [anon_sym_protected] = ACTIONS(2418),
    [anon_sym_internal] = ACTIONS(2418),
    [anon_sym_abstract] = ACTIONS(2418),
    [anon_sym_final] = ACTIONS(2418),
    [anon_sym_open] = ACTIONS(2418),
    [anon_sym_override] = ACTIONS(2418),
    [anon_sym_lateinit] = ACTIONS(2418),
    [anon_sym_vararg] = ACTIONS(2418),
    [anon_sym_noinline] = ACTIONS(2418),
    [anon_sym_crossinline] = ACTIONS(2418),
    [anon_sym_expect] = ACTIONS(2418),
    [anon_sym_actual] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_fun] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_val] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_sealed] = ACTIONS(2426),
    [anon_sym_annotation] = ACTIONS(2426),
    [anon_sym_data] = ACTIONS(2426),
    [anon_sym_inner] = ACTIONS(2426),
    [anon_sym_value] = ACTIONS(2426),
    [anon_sym_tailrec] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_infix] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym_external] = ACTIONS(2426),
    [anon_sym_suspend] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_internal] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_final] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_lateinit] = ACTIONS(2426),
    [anon_sym_vararg] = ACTIONS(2426),
    [anon_sym_noinline] = ACTIONS(2426),
    [anon_sym_crossinline] = ACTIONS(2426),
    [anon_sym_expect] = ACTIONS(2426),
    [anon_sym_actual] = ACTIONS(2426),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_DASH_GT] = ACTIONS(2408),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_where] = ACTIONS(2927),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2763),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_constructor] = ACTIONS(2763),
    [anon_sym_this] = ACTIONS(2763),
    [anon_sym_super] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_where] = ACTIONS(2763),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_dynamic] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_this_AT] = ACTIONS(2765),
    [anon_sym_super_AT] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_when] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_return_AT] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2763),
    [sym_float_literal] = ACTIONS(2765),
    [sym_label] = ACTIONS(2763),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__in] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_where] = ACTIONS(2943),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_where] = ACTIONS(2939),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2090] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_fun] = ACTIONS(2618),
    [anon_sym_object] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_this] = ACTIONS(2618),
    [anon_sym_super] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_dynamic] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_this_AT] = ACTIONS(2621),
    [anon_sym_super_AT] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_when] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_return_AT] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2618),
    [sym_float_literal] = ACTIONS(2621),
    [sym_label] = ACTIONS(2618),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__in] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_fun] = ACTIONS(3002),
    [anon_sym_object] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_constructor] = ACTIONS(3002),
    [anon_sym_this] = ACTIONS(3002),
    [anon_sym_super] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_where] = ACTIONS(3002),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_dynamic] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_this_AT] = ACTIONS(3004),
    [anon_sym_super_AT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(4597),
    [anon_sym_if] = ACTIONS(3002),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_when] = ACTIONS(3002),
    [anon_sym_try] = ACTIONS(3002),
    [anon_sym_return] = ACTIONS(3002),
    [anon_sym_return_AT] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3004),
    [anon_sym_SQUOTE] = ACTIONS(3004),
    [sym_number_literal] = ACTIONS(3002),
    [sym_float_literal] = ACTIONS(3004),
    [sym_label] = ACTIONS(3002),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__in] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [2093] = {
    [sym_getter] = STATE(2323),
    [sym_setter] = STATE(2324),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2307),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_fun] = ACTIONS(2923),
    [anon_sym_object] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_constructor] = ACTIONS(2923),
    [anon_sym_this] = ACTIONS(2923),
    [anon_sym_super] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_dynamic] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_this_AT] = ACTIONS(2925),
    [anon_sym_super_AT] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_when] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_return_AT] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2923),
    [sym_float_literal] = ACTIONS(2925),
    [sym_label] = ACTIONS(2923),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__in] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [2095] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_fun] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_constructor] = ACTIONS(2757),
    [anon_sym_this] = ACTIONS(2757),
    [anon_sym_super] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_dynamic] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_this_AT] = ACTIONS(2759),
    [anon_sym_super_AT] = ACTIONS(2759),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_when] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_return_AT] = ACTIONS(2759),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [sym_number_literal] = ACTIONS(2757),
    [sym_float_literal] = ACTIONS(2759),
    [sym_label] = ACTIONS(2757),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__in] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_fun] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_constructor] = ACTIONS(2951),
    [anon_sym_this] = ACTIONS(2951),
    [anon_sym_super] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_dynamic] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_this_AT] = ACTIONS(2953),
    [anon_sym_super_AT] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_when] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_return_AT] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2951),
    [sym_float_literal] = ACTIONS(2953),
    [sym_label] = ACTIONS(2951),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__in] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [2097] = {
    [aux_sym_type_constraints_repeat1] = STATE(2105),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_fun] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_constructor] = ACTIONS(2965),
    [anon_sym_this] = ACTIONS(2965),
    [anon_sym_super] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(4599),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_where] = ACTIONS(2965),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_dynamic] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_this_AT] = ACTIONS(2967),
    [anon_sym_super_AT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_return_AT] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2965),
    [sym_float_literal] = ACTIONS(2967),
    [sym_label] = ACTIONS(2965),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__in] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [2098] = {
    [aux_sym_type_constraints_repeat1] = STATE(2097),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_fun] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_constructor] = ACTIONS(2959),
    [anon_sym_this] = ACTIONS(2959),
    [anon_sym_super] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(4599),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_where] = ACTIONS(2959),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_this_AT] = ACTIONS(2961),
    [anon_sym_super_AT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_when] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_return_AT] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2959),
    [sym_float_literal] = ACTIONS(2961),
    [sym_label] = ACTIONS(2959),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__in] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_constructor] = ACTIONS(2753),
    [anon_sym_this] = ACTIONS(2753),
    [anon_sym_super] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_dynamic] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_this_AT] = ACTIONS(2755),
    [anon_sym_super_AT] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_when] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_return_AT] = ACTIONS(2755),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [sym_number_literal] = ACTIONS(2753),
    [sym_float_literal] = ACTIONS(2755),
    [sym_label] = ACTIONS(2753),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__in] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_fun] = ACTIONS(2931),
    [anon_sym_object] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_constructor] = ACTIONS(2931),
    [anon_sym_this] = ACTIONS(2931),
    [anon_sym_super] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_dynamic] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_this_AT] = ACTIONS(2933),
    [anon_sym_super_AT] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_when] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_return_AT] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2931),
    [sym_float_literal] = ACTIONS(2933),
    [sym_label] = ACTIONS(2931),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__in] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [2101] = {
    [sym_getter] = STATE(2239),
    [sym_setter] = STATE(2340),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANGin] = ACTIONS(2247),
    [anon_sym_is] = ACTIONS(2235),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2235),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2247),
    [sym__in] = ACTIONS(2247),
  },
  [2102] = {
    [sym_getter] = STATE(2266),
    [sym_setter] = STATE(2267),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_SEMI] = ACTIONS(4227),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_fun] = ACTIONS(2747),
    [anon_sym_object] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_constructor] = ACTIONS(2747),
    [anon_sym_this] = ACTIONS(2747),
    [anon_sym_super] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_dynamic] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_this_AT] = ACTIONS(2749),
    [anon_sym_super_AT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_when] = ACTIONS(2747),
    [anon_sym_try] = ACTIONS(2747),
    [anon_sym_return] = ACTIONS(2747),
    [anon_sym_return_AT] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2749),
    [anon_sym_SQUOTE] = ACTIONS(2749),
    [sym_number_literal] = ACTIONS(2747),
    [sym_float_literal] = ACTIONS(2749),
    [sym_label] = ACTIONS(2747),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__in] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2104] = {
    [sym_getter] = STATE(2330),
    [sym_setter] = STATE(2331),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [2105] = {
    [aux_sym_type_constraints_repeat1] = STATE(2105),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(4601),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [2106] = {
    [sym_getter] = STATE(2338),
    [sym_setter] = STATE(2339),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2303),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym_STAR] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2303),
    [anon_sym_constructor] = ACTIONS(2303),
    [anon_sym_this] = ACTIONS(2303),
    [anon_sym_super] = ACTIONS(2303),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_BANGin] = ACTIONS(2305),
    [anon_sym_is] = ACTIONS(2303),
    [anon_sym_this_AT] = ACTIONS(2305),
    [anon_sym_super_AT] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2303),
    [anon_sym_when] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2303),
    [anon_sym_return_AT] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2303),
    [anon_sym_COLON_COLON] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2305),
    [anon_sym_SQUOTE] = ACTIONS(2305),
    [sym_number_literal] = ACTIONS(2303),
    [sym_float_literal] = ACTIONS(2305),
    [sym_label] = ACTIONS(2303),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2305),
    [sym__in] = ACTIONS(2305),
  },
  [2107] = {
    [sym_getter] = STATE(2311),
    [sym_setter] = STATE(2312),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2319),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_fun] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_constructor] = ACTIONS(2947),
    [anon_sym_this] = ACTIONS(2947),
    [anon_sym_super] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_dynamic] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_this_AT] = ACTIONS(2949),
    [anon_sym_super_AT] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_when] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_return_AT] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2947),
    [sym_float_literal] = ACTIONS(2949),
    [sym_label] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__in] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [2109] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4608),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4616),
    [anon_sym_DASH_EQ] = ACTIONS(4616),
    [anon_sym_STAR_EQ] = ACTIONS(4616),
    [anon_sym_SLASH_EQ] = ACTIONS(4616),
    [anon_sym_PERCENT_EQ] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2110] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2479),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2481),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_fun] = ACTIONS(3070),
    [anon_sym_object] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_constructor] = ACTIONS(3070),
    [anon_sym_this] = ACTIONS(3070),
    [anon_sym_super] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_where] = ACTIONS(3070),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_dynamic] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_this_AT] = ACTIONS(3072),
    [anon_sym_super_AT] = ACTIONS(3072),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_when] = ACTIONS(3070),
    [anon_sym_try] = ACTIONS(3070),
    [anon_sym_return] = ACTIONS(3070),
    [anon_sym_return_AT] = ACTIONS(3072),
    [anon_sym_throw] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_DQUOTE] = ACTIONS(3070),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3072),
    [anon_sym_SQUOTE] = ACTIONS(3072),
    [sym_number_literal] = ACTIONS(3070),
    [sym_float_literal] = ACTIONS(3072),
    [sym_label] = ACTIONS(3070),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__in] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [2112] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2485),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2113] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2489),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2114] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2493),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_fun] = ACTIONS(3186),
    [anon_sym_object] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_constructor] = ACTIONS(3186),
    [anon_sym_this] = ACTIONS(3186),
    [anon_sym_super] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_where] = ACTIONS(3186),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_dynamic] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_this_AT] = ACTIONS(3188),
    [anon_sym_super_AT] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_when] = ACTIONS(3186),
    [anon_sym_try] = ACTIONS(3186),
    [anon_sym_return] = ACTIONS(3186),
    [anon_sym_return_AT] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3188),
    [anon_sym_SQUOTE] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3186),
    [sym_float_literal] = ACTIONS(3188),
    [sym_label] = ACTIONS(3186),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__in] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_fun] = ACTIONS(3190),
    [anon_sym_object] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_constructor] = ACTIONS(3190),
    [anon_sym_this] = ACTIONS(3190),
    [anon_sym_super] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_where] = ACTIONS(3190),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_dynamic] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_this_AT] = ACTIONS(3192),
    [anon_sym_super_AT] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_when] = ACTIONS(3190),
    [anon_sym_try] = ACTIONS(3190),
    [anon_sym_return] = ACTIONS(3190),
    [anon_sym_return_AT] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3192),
    [anon_sym_SQUOTE] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3190),
    [sym_float_literal] = ACTIONS(3192),
    [sym_label] = ACTIONS(3190),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__in] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_fun] = ACTIONS(3194),
    [anon_sym_object] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_constructor] = ACTIONS(3194),
    [anon_sym_this] = ACTIONS(3194),
    [anon_sym_super] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_where] = ACTIONS(3194),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_dynamic] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_this_AT] = ACTIONS(3196),
    [anon_sym_super_AT] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_when] = ACTIONS(3194),
    [anon_sym_try] = ACTIONS(3194),
    [anon_sym_return] = ACTIONS(3194),
    [anon_sym_return_AT] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3196),
    [anon_sym_SQUOTE] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3194),
    [sym_float_literal] = ACTIONS(3196),
    [sym_label] = ACTIONS(3194),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__in] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_fun] = ACTIONS(3110),
    [anon_sym_object] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_constructor] = ACTIONS(3110),
    [anon_sym_this] = ACTIONS(3110),
    [anon_sym_super] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_where] = ACTIONS(3110),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_dynamic] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_this_AT] = ACTIONS(3112),
    [anon_sym_super_AT] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_when] = ACTIONS(3110),
    [anon_sym_try] = ACTIONS(3110),
    [anon_sym_return] = ACTIONS(3110),
    [anon_sym_return_AT] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3112),
    [anon_sym_SQUOTE] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3110),
    [sym_float_literal] = ACTIONS(3112),
    [sym_label] = ACTIONS(3110),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__in] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_fun] = ACTIONS(3206),
    [anon_sym_object] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_constructor] = ACTIONS(3206),
    [anon_sym_this] = ACTIONS(3206),
    [anon_sym_super] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_where] = ACTIONS(3206),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_dynamic] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_this_AT] = ACTIONS(3208),
    [anon_sym_super_AT] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_when] = ACTIONS(3206),
    [anon_sym_try] = ACTIONS(3206),
    [anon_sym_return] = ACTIONS(3206),
    [anon_sym_return_AT] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3208),
    [anon_sym_SQUOTE] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3206),
    [sym_float_literal] = ACTIONS(3208),
    [sym_label] = ACTIONS(3206),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__in] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_fun] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_constructor] = ACTIONS(3134),
    [anon_sym_this] = ACTIONS(3134),
    [anon_sym_super] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_where] = ACTIONS(3134),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_dynamic] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_this_AT] = ACTIONS(3136),
    [anon_sym_super_AT] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_when] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_return_AT] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3134),
    [sym_float_literal] = ACTIONS(3136),
    [sym_label] = ACTIONS(3134),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__in] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_fun] = ACTIONS(3114),
    [anon_sym_object] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_constructor] = ACTIONS(3114),
    [anon_sym_this] = ACTIONS(3114),
    [anon_sym_super] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_where] = ACTIONS(3114),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_dynamic] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_this_AT] = ACTIONS(3116),
    [anon_sym_super_AT] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_when] = ACTIONS(3114),
    [anon_sym_try] = ACTIONS(3114),
    [anon_sym_return] = ACTIONS(3114),
    [anon_sym_return_AT] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3116),
    [anon_sym_SQUOTE] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3114),
    [sym_float_literal] = ACTIONS(3116),
    [sym_label] = ACTIONS(3114),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__in] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [2122] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4670),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4672),
    [anon_sym_DASH_EQ] = ACTIONS(4672),
    [anon_sym_STAR_EQ] = ACTIONS(4672),
    [anon_sym_SLASH_EQ] = ACTIONS(4672),
    [anon_sym_PERCENT_EQ] = ACTIONS(4672),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_COMMA] = ACTIONS(2497),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(2495),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_fun] = ACTIONS(3064),
    [anon_sym_object] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_constructor] = ACTIONS(3064),
    [anon_sym_this] = ACTIONS(3064),
    [anon_sym_super] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_where] = ACTIONS(3064),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_dynamic] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_this_AT] = ACTIONS(3066),
    [anon_sym_super_AT] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3064),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_when] = ACTIONS(3064),
    [anon_sym_try] = ACTIONS(3064),
    [anon_sym_return] = ACTIONS(3064),
    [anon_sym_return_AT] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [anon_sym_DQUOTE] = ACTIONS(3064),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3066),
    [anon_sym_SQUOTE] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3064),
    [sym_float_literal] = ACTIONS(3066),
    [sym_label] = ACTIONS(3064),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__in] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_fun] = ACTIONS(3022),
    [anon_sym_object] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_constructor] = ACTIONS(3022),
    [anon_sym_this] = ACTIONS(3022),
    [anon_sym_super] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_where] = ACTIONS(3022),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_this_AT] = ACTIONS(3024),
    [anon_sym_super_AT] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_when] = ACTIONS(3022),
    [anon_sym_try] = ACTIONS(3022),
    [anon_sym_return] = ACTIONS(3022),
    [anon_sym_return_AT] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3024),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [sym_number_literal] = ACTIONS(3022),
    [sym_float_literal] = ACTIONS(3024),
    [sym_label] = ACTIONS(3022),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__in] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_fun] = ACTIONS(3056),
    [anon_sym_object] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_constructor] = ACTIONS(3056),
    [anon_sym_this] = ACTIONS(3056),
    [anon_sym_super] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_where] = ACTIONS(3056),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_dynamic] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_this_AT] = ACTIONS(3058),
    [anon_sym_super_AT] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3056),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_when] = ACTIONS(3056),
    [anon_sym_try] = ACTIONS(3056),
    [anon_sym_return] = ACTIONS(3056),
    [anon_sym_return_AT] = ACTIONS(3058),
    [anon_sym_throw] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_DQUOTE] = ACTIONS(3056),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3058),
    [anon_sym_SQUOTE] = ACTIONS(3058),
    [sym_number_literal] = ACTIONS(3056),
    [sym_float_literal] = ACTIONS(3058),
    [sym_label] = ACTIONS(3056),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__in] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_fun] = ACTIONS(3102),
    [anon_sym_object] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_constructor] = ACTIONS(3102),
    [anon_sym_this] = ACTIONS(3102),
    [anon_sym_super] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_where] = ACTIONS(3102),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_dynamic] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_this_AT] = ACTIONS(3104),
    [anon_sym_super_AT] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_when] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_return_AT] = ACTIONS(3104),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [sym_number_literal] = ACTIONS(3102),
    [sym_float_literal] = ACTIONS(3104),
    [sym_label] = ACTIONS(3102),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__in] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_fun] = ACTIONS(3044),
    [anon_sym_object] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_constructor] = ACTIONS(3044),
    [anon_sym_this] = ACTIONS(3044),
    [anon_sym_super] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(4674),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_where] = ACTIONS(3044),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_dynamic] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_this_AT] = ACTIONS(3046),
    [anon_sym_super_AT] = ACTIONS(3046),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_when] = ACTIONS(3044),
    [anon_sym_try] = ACTIONS(3044),
    [anon_sym_return] = ACTIONS(3044),
    [anon_sym_return_AT] = ACTIONS(3046),
    [anon_sym_throw] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [anon_sym_DQUOTE] = ACTIONS(3044),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3046),
    [anon_sym_SQUOTE] = ACTIONS(3046),
    [sym_number_literal] = ACTIONS(3044),
    [sym_float_literal] = ACTIONS(3046),
    [sym_label] = ACTIONS(3044),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__in] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_fun] = ACTIONS(3198),
    [anon_sym_object] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_constructor] = ACTIONS(3198),
    [anon_sym_this] = ACTIONS(3198),
    [anon_sym_super] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_where] = ACTIONS(3198),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_dynamic] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_this_AT] = ACTIONS(3200),
    [anon_sym_super_AT] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_when] = ACTIONS(3198),
    [anon_sym_try] = ACTIONS(3198),
    [anon_sym_return] = ACTIONS(3198),
    [anon_sym_return_AT] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3200),
    [anon_sym_SQUOTE] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3198),
    [sym_float_literal] = ACTIONS(3200),
    [sym_label] = ACTIONS(3198),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__in] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_fun] = ACTIONS(3202),
    [anon_sym_object] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_constructor] = ACTIONS(3202),
    [anon_sym_this] = ACTIONS(3202),
    [anon_sym_super] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_where] = ACTIONS(3202),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_dynamic] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_this_AT] = ACTIONS(3204),
    [anon_sym_super_AT] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_when] = ACTIONS(3202),
    [anon_sym_try] = ACTIONS(3202),
    [anon_sym_return] = ACTIONS(3202),
    [anon_sym_return_AT] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3204),
    [anon_sym_SQUOTE] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3202),
    [sym_float_literal] = ACTIONS(3204),
    [sym_label] = ACTIONS(3202),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__in] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_fun] = ACTIONS(2605),
    [anon_sym_object] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_constructor] = ACTIONS(2605),
    [anon_sym_this] = ACTIONS(2605),
    [anon_sym_super] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(2607),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_where] = ACTIONS(2605),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_dynamic] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_this_AT] = ACTIONS(2607),
    [anon_sym_super_AT] = ACTIONS(2607),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_when] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_return_AT] = ACTIONS(2607),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [sym_number_literal] = ACTIONS(2605),
    [sym_float_literal] = ACTIONS(2607),
    [sym_label] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__in] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_fun] = ACTIONS(3118),
    [anon_sym_object] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_constructor] = ACTIONS(3118),
    [anon_sym_this] = ACTIONS(3118),
    [anon_sym_super] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_where] = ACTIONS(3118),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_dynamic] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_this_AT] = ACTIONS(3120),
    [anon_sym_super_AT] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_when] = ACTIONS(3118),
    [anon_sym_try] = ACTIONS(3118),
    [anon_sym_return] = ACTIONS(3118),
    [anon_sym_return_AT] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3120),
    [anon_sym_SQUOTE] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3118),
    [sym_float_literal] = ACTIONS(3120),
    [sym_label] = ACTIONS(3118),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__in] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [2133] = {
    [sym_getter] = STATE(2338),
    [sym_setter] = STATE(2339),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2303),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_STAR] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2303),
    [anon_sym_constructor] = ACTIONS(2303),
    [anon_sym_this] = ACTIONS(2303),
    [anon_sym_super] = ACTIONS(2303),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_BANGin] = ACTIONS(2305),
    [anon_sym_is] = ACTIONS(2303),
    [anon_sym_this_AT] = ACTIONS(2305),
    [anon_sym_super_AT] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2303),
    [anon_sym_when] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2303),
    [anon_sym_return_AT] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2303),
    [anon_sym_COLON_COLON] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2305),
    [anon_sym_SQUOTE] = ACTIONS(2305),
    [sym_number_literal] = ACTIONS(2303),
    [sym_float_literal] = ACTIONS(2305),
    [sym_label] = ACTIONS(2303),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2305),
    [sym__in] = ACTIONS(2305),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_fun] = ACTIONS(3094),
    [anon_sym_object] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_constructor] = ACTIONS(3094),
    [anon_sym_this] = ACTIONS(3094),
    [anon_sym_super] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_where] = ACTIONS(3094),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_dynamic] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_this_AT] = ACTIONS(3096),
    [anon_sym_super_AT] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_when] = ACTIONS(3094),
    [anon_sym_try] = ACTIONS(3094),
    [anon_sym_return] = ACTIONS(3094),
    [anon_sym_return_AT] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3096),
    [anon_sym_SQUOTE] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3094),
    [sym_float_literal] = ACTIONS(3096),
    [sym_label] = ACTIONS(3094),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__in] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [2135] = {
    [sym_type_constraints] = STATE(2641),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_COMMA] = ACTIONS(2497),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_fun] = ACTIONS(3210),
    [anon_sym_object] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_constructor] = ACTIONS(3210),
    [anon_sym_this] = ACTIONS(3210),
    [anon_sym_super] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3212),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_where] = ACTIONS(3210),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_dynamic] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_this_AT] = ACTIONS(3212),
    [anon_sym_super_AT] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_when] = ACTIONS(3210),
    [anon_sym_try] = ACTIONS(3210),
    [anon_sym_return] = ACTIONS(3210),
    [anon_sym_return_AT] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3212),
    [anon_sym_SQUOTE] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3210),
    [sym_float_literal] = ACTIONS(3212),
    [sym_label] = ACTIONS(3210),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__in] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2138] = {
    [sym_type_constraints] = STATE(2644),
    [sym_function_body] = STATE(2154),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_COMMA] = ACTIONS(2511),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_fun] = ACTIONS(2594),
    [anon_sym_object] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_constructor] = ACTIONS(2594),
    [anon_sym_this] = ACTIONS(2594),
    [anon_sym_super] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_where] = ACTIONS(2594),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_dynamic] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_this_AT] = ACTIONS(2596),
    [anon_sym_super_AT] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_when] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_return_AT] = ACTIONS(2596),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2594),
    [sym_float_literal] = ACTIONS(2596),
    [sym_label] = ACTIONS(2594),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__in] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_fun] = ACTIONS(3032),
    [anon_sym_object] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_constructor] = ACTIONS(3032),
    [anon_sym_this] = ACTIONS(3032),
    [anon_sym_super] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_where] = ACTIONS(3032),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_dynamic] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_this_AT] = ACTIONS(3034),
    [anon_sym_super_AT] = ACTIONS(3034),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_when] = ACTIONS(3032),
    [anon_sym_try] = ACTIONS(3032),
    [anon_sym_return] = ACTIONS(3032),
    [anon_sym_return_AT] = ACTIONS(3034),
    [anon_sym_throw] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [anon_sym_DQUOTE] = ACTIONS(3032),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3034),
    [anon_sym_SQUOTE] = ACTIONS(3034),
    [sym_number_literal] = ACTIONS(3032),
    [sym_float_literal] = ACTIONS(3034),
    [sym_label] = ACTIONS(3032),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__in] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_fun] = ACTIONS(3036),
    [anon_sym_object] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_constructor] = ACTIONS(3036),
    [anon_sym_this] = ACTIONS(3036),
    [anon_sym_super] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_where] = ACTIONS(3036),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_dynamic] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_this_AT] = ACTIONS(3038),
    [anon_sym_super_AT] = ACTIONS(3038),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_when] = ACTIONS(3036),
    [anon_sym_try] = ACTIONS(3036),
    [anon_sym_return] = ACTIONS(3036),
    [anon_sym_return_AT] = ACTIONS(3038),
    [anon_sym_throw] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3038),
    [anon_sym_SQUOTE] = ACTIONS(3038),
    [sym_number_literal] = ACTIONS(3036),
    [sym_float_literal] = ACTIONS(3038),
    [sym_label] = ACTIONS(3036),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__in] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_fun] = ACTIONS(3082),
    [anon_sym_object] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_constructor] = ACTIONS(3082),
    [anon_sym_this] = ACTIONS(3082),
    [anon_sym_super] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_where] = ACTIONS(3082),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_dynamic] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_this_AT] = ACTIONS(3084),
    [anon_sym_super_AT] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_when] = ACTIONS(3082),
    [anon_sym_try] = ACTIONS(3082),
    [anon_sym_return] = ACTIONS(3082),
    [anon_sym_return_AT] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3084),
    [anon_sym_SQUOTE] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3082),
    [sym_float_literal] = ACTIONS(3084),
    [sym_label] = ACTIONS(3082),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__in] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_fun] = ACTIONS(3086),
    [anon_sym_object] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_constructor] = ACTIONS(3086),
    [anon_sym_this] = ACTIONS(3086),
    [anon_sym_super] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_where] = ACTIONS(3086),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_dynamic] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_this_AT] = ACTIONS(3088),
    [anon_sym_super_AT] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_when] = ACTIONS(3086),
    [anon_sym_try] = ACTIONS(3086),
    [anon_sym_return] = ACTIONS(3086),
    [anon_sym_return_AT] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3088),
    [anon_sym_SQUOTE] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3086),
    [sym_float_literal] = ACTIONS(3088),
    [sym_label] = ACTIONS(3086),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__in] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [2144] = {
    [sym_getter] = STATE(2311),
    [sym_setter] = STATE(2312),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_fun] = ACTIONS(3040),
    [anon_sym_object] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_constructor] = ACTIONS(3040),
    [anon_sym_this] = ACTIONS(3040),
    [anon_sym_super] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_where] = ACTIONS(3040),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_dynamic] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_this_AT] = ACTIONS(3042),
    [anon_sym_super_AT] = ACTIONS(3042),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_when] = ACTIONS(3040),
    [anon_sym_try] = ACTIONS(3040),
    [anon_sym_return] = ACTIONS(3040),
    [anon_sym_return_AT] = ACTIONS(3042),
    [anon_sym_throw] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3042),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [sym_number_literal] = ACTIONS(3040),
    [sym_float_literal] = ACTIONS(3042),
    [sym_label] = ACTIONS(3040),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__in] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [2146] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_fun] = ACTIONS(2385),
    [anon_sym_object] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_constructor] = ACTIONS(2385),
    [anon_sym_this] = ACTIONS(2385),
    [anon_sym_super] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(2383),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_where] = ACTIONS(2385),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_dynamic] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_this_AT] = ACTIONS(2383),
    [anon_sym_super_AT] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_when] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_return_AT] = ACTIONS(2383),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2383),
    [sym_number_literal] = ACTIONS(2385),
    [sym_float_literal] = ACTIONS(2383),
    [sym_label] = ACTIONS(2385),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__in] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [2148] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4670),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4672),
    [anon_sym_DASH_EQ] = ACTIONS(4672),
    [anon_sym_STAR_EQ] = ACTIONS(4672),
    [anon_sym_SLASH_EQ] = ACTIONS(4672),
    [anon_sym_PERCENT_EQ] = ACTIONS(4672),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_fun] = ACTIONS(3098),
    [anon_sym_object] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_constructor] = ACTIONS(3098),
    [anon_sym_this] = ACTIONS(3098),
    [anon_sym_super] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_where] = ACTIONS(3098),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_dynamic] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_this_AT] = ACTIONS(3100),
    [anon_sym_super_AT] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_when] = ACTIONS(3098),
    [anon_sym_try] = ACTIONS(3098),
    [anon_sym_return] = ACTIONS(3098),
    [anon_sym_return_AT] = ACTIONS(3100),
    [anon_sym_throw] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3100),
    [anon_sym_SQUOTE] = ACTIONS(3100),
    [sym_number_literal] = ACTIONS(3098),
    [sym_float_literal] = ACTIONS(3100),
    [sym_label] = ACTIONS(3098),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__in] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [2150] = {
    [sym_function_body] = STATE(2200),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_fun] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_constructor] = ACTIONS(3010),
    [anon_sym_this] = ACTIONS(3010),
    [anon_sym_super] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_where] = ACTIONS(3010),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_this_AT] = ACTIONS(3012),
    [anon_sym_super_AT] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_when] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_return_AT] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [sym_number_literal] = ACTIONS(3010),
    [sym_float_literal] = ACTIONS(3012),
    [sym_label] = ACTIONS(3010),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__in] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [2152] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2153] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_where] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2155] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2156] = {
    [sym_getter] = STATE(2250),
    [sym_setter] = STATE(2253),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_fun] = ACTIONS(4681),
    [anon_sym_object] = ACTIONS(4681),
    [anon_sym_constructor] = ACTIONS(4681),
    [anon_sym_this] = ACTIONS(4681),
    [anon_sym_super] = ACTIONS(4681),
    [anon_sym_LPAREN] = ACTIONS(4683),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_RBRACE] = ACTIONS(4683),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4681),
    [anon_sym_PLUS_PLUS] = ACTIONS(4683),
    [anon_sym_DASH_DASH] = ACTIONS(4683),
    [anon_sym_PLUS] = ACTIONS(4681),
    [anon_sym_DASH] = ACTIONS(4681),
    [anon_sym_BANG] = ACTIONS(4681),
    [anon_sym_BANGin] = ACTIONS(4683),
    [anon_sym_is] = ACTIONS(4681),
    [anon_sym_this_AT] = ACTIONS(4683),
    [anon_sym_super_AT] = ACTIONS(4683),
    [anon_sym_if] = ACTIONS(4681),
    [anon_sym_else] = ACTIONS(4681),
    [anon_sym_when] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_return] = ACTIONS(4681),
    [anon_sym_return_AT] = ACTIONS(4683),
    [anon_sym_throw] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_DQUOTE] = ACTIONS(4681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4683),
    [anon_sym_SQUOTE] = ACTIONS(4683),
    [sym_number_literal] = ACTIONS(4681),
    [sym_float_literal] = ACTIONS(4683),
    [sym_label] = ACTIONS(4681),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4683),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4683),
    [sym__in] = ACTIONS(4683),
  },
  [2157] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4685),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2158] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2159] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2160] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2161] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2162] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2163] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2164] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(4691),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_fun] = ACTIONS(3162),
    [anon_sym_object] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_constructor] = ACTIONS(3162),
    [anon_sym_this] = ACTIONS(3162),
    [anon_sym_super] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_where] = ACTIONS(3162),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_dynamic] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_this_AT] = ACTIONS(3164),
    [anon_sym_super_AT] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_when] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_return_AT] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3162),
    [sym_float_literal] = ACTIONS(3164),
    [sym_label] = ACTIONS(3162),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__in] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_fun] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_constructor] = ACTIONS(2689),
    [anon_sym_this] = ACTIONS(2689),
    [anon_sym_super] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_where] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_dynamic] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_this_AT] = ACTIONS(2691),
    [anon_sym_super_AT] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_when] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_return_AT] = ACTIONS(2691),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [sym_number_literal] = ACTIONS(2689),
    [sym_float_literal] = ACTIONS(2691),
    [sym_label] = ACTIONS(2689),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__in] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2168] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4694),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4608),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4616),
    [anon_sym_DASH_EQ] = ACTIONS(4616),
    [anon_sym_STAR_EQ] = ACTIONS(4616),
    [anon_sym_SLASH_EQ] = ACTIONS(4616),
    [anon_sym_PERCENT_EQ] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_fun] = ACTIONS(3142),
    [anon_sym_object] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_constructor] = ACTIONS(3142),
    [anon_sym_this] = ACTIONS(3142),
    [anon_sym_super] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_where] = ACTIONS(3142),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_dynamic] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_this_AT] = ACTIONS(3144),
    [anon_sym_super_AT] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_when] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_return_AT] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3142),
    [sym_float_literal] = ACTIONS(3144),
    [sym_label] = ACTIONS(3142),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__in] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_fun] = ACTIONS(3146),
    [anon_sym_object] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_constructor] = ACTIONS(3146),
    [anon_sym_this] = ACTIONS(3146),
    [anon_sym_super] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_where] = ACTIONS(3146),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_dynamic] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_this_AT] = ACTIONS(3148),
    [anon_sym_super_AT] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_when] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_return_AT] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3146),
    [sym_float_literal] = ACTIONS(3148),
    [sym_label] = ACTIONS(3146),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__in] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_fun] = ACTIONS(3130),
    [anon_sym_object] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_constructor] = ACTIONS(3130),
    [anon_sym_this] = ACTIONS(3130),
    [anon_sym_super] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_where] = ACTIONS(3130),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_dynamic] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_this_AT] = ACTIONS(3132),
    [anon_sym_super_AT] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_when] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_return_AT] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3130),
    [sym_float_literal] = ACTIONS(3132),
    [sym_label] = ACTIONS(3130),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__in] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_fun] = ACTIONS(3060),
    [anon_sym_object] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_constructor] = ACTIONS(3060),
    [anon_sym_this] = ACTIONS(3060),
    [anon_sym_super] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_where] = ACTIONS(3060),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_dynamic] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_this_AT] = ACTIONS(3062),
    [anon_sym_super_AT] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3060),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_when] = ACTIONS(3060),
    [anon_sym_try] = ACTIONS(3060),
    [anon_sym_return] = ACTIONS(3060),
    [anon_sym_return_AT] = ACTIONS(3062),
    [anon_sym_throw] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [anon_sym_DQUOTE] = ACTIONS(3060),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3062),
    [anon_sym_SQUOTE] = ACTIONS(3062),
    [sym_number_literal] = ACTIONS(3060),
    [sym_float_literal] = ACTIONS(3062),
    [sym_label] = ACTIONS(3060),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__in] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [2173] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2439),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2174] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2175] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2176] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4701),
    [anon_sym_COMMA] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2452),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2177] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_where] = ACTIONS(2927),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [2179] = {
    [sym_getter] = STATE(2323),
    [sym_setter] = STATE(2324),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_fun] = ACTIONS(3106),
    [anon_sym_object] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_constructor] = ACTIONS(3106),
    [anon_sym_this] = ACTIONS(3106),
    [anon_sym_super] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_where] = ACTIONS(3106),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_dynamic] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_this_AT] = ACTIONS(3108),
    [anon_sym_super_AT] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_when] = ACTIONS(3106),
    [anon_sym_try] = ACTIONS(3106),
    [anon_sym_return] = ACTIONS(3106),
    [anon_sym_return_AT] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3108),
    [anon_sym_SQUOTE] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3106),
    [sym_float_literal] = ACTIONS(3108),
    [sym_label] = ACTIONS(3106),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__in] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [2181] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2477),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2182] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2183] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_fun] = ACTIONS(3218),
    [anon_sym_object] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_constructor] = ACTIONS(3218),
    [anon_sym_this] = ACTIONS(3218),
    [anon_sym_super] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_where] = ACTIONS(3218),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_dynamic] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_this_AT] = ACTIONS(3220),
    [anon_sym_super_AT] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_when] = ACTIONS(3218),
    [anon_sym_try] = ACTIONS(3218),
    [anon_sym_return] = ACTIONS(3218),
    [anon_sym_return_AT] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3220),
    [anon_sym_SQUOTE] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3218),
    [sym_float_literal] = ACTIONS(3220),
    [sym_label] = ACTIONS(3218),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__in] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [2185] = {
    [sym_function_body] = STATE(2123),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_where] = ACTIONS(2939),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_where] = ACTIONS(2977),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_fun] = ACTIONS(2389),
    [anon_sym_object] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_constructor] = ACTIONS(2389),
    [anon_sym_this] = ACTIONS(2389),
    [anon_sym_super] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_COMMA] = ACTIONS(2387),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_where] = ACTIONS(2389),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_dynamic] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_this_AT] = ACTIONS(2387),
    [anon_sym_super_AT] = ACTIONS(2387),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_when] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_return_AT] = ACTIONS(2387),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_SQUOTE] = ACTIONS(2387),
    [sym_number_literal] = ACTIONS(2389),
    [sym_float_literal] = ACTIONS(2387),
    [sym_label] = ACTIONS(2389),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__in] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [2189] = {
    [sym_getter] = STATE(2239),
    [sym_setter] = STATE(2340),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANGin] = ACTIONS(2247),
    [anon_sym_is] = ACTIONS(2235),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2235),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2247),
    [sym__in] = ACTIONS(2247),
  },
  [2190] = {
    [sym_getter] = STATE(2387),
    [sym_setter] = STATE(2319),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(2329),
    [anon_sym_fun] = ACTIONS(2327),
    [anon_sym_object] = ACTIONS(2327),
    [anon_sym_constructor] = ACTIONS(2327),
    [anon_sym_this] = ACTIONS(2327),
    [anon_sym_super] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_BANGin] = ACTIONS(2329),
    [anon_sym_is] = ACTIONS(2327),
    [anon_sym_this_AT] = ACTIONS(2329),
    [anon_sym_super_AT] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_when] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_return_AT] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_COLON_COLON] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [sym_number_literal] = ACTIONS(2327),
    [sym_float_literal] = ACTIONS(2329),
    [sym_label] = ACTIONS(2327),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2329),
    [sym__in] = ACTIONS(2329),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_where] = ACTIONS(2943),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [2192] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2193] = {
    [sym_getter] = STATE(2266),
    [sym_setter] = STATE(2267),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [2194] = {
    [sym_getter] = STATE(2330),
    [sym_setter] = STATE(2331),
    [sym_modifiers] = STATE(10229),
    [sym_class_modifier] = STATE(5868),
    [sym_function_modifier] = STATE(5868),
    [sym_property_modifier] = STATE(5868),
    [sym_visibility_modifier] = STATE(5868),
    [sym_inheritance_modifier] = STATE(5868),
    [sym_member_modifier] = STATE(5868),
    [sym_parameter_modifier] = STATE(5868),
    [sym_platform_modifier] = STATE(5868),
    [sym_annotation] = STATE(5868),
    [aux_sym_modifiers_repeat1] = STATE(5868),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(2251),
    [anon_sym_sealed] = ACTIONS(2251),
    [anon_sym_annotation] = ACTIONS(2251),
    [anon_sym_data] = ACTIONS(2251),
    [anon_sym_inner] = ACTIONS(2251),
    [anon_sym_value] = ACTIONS(2251),
    [anon_sym_tailrec] = ACTIONS(2253),
    [anon_sym_operator] = ACTIONS(2253),
    [anon_sym_infix] = ACTIONS(2253),
    [anon_sym_inline] = ACTIONS(2253),
    [anon_sym_external] = ACTIONS(2253),
    [anon_sym_suspend] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2255),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_internal] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2259),
    [anon_sym_final] = ACTIONS(2259),
    [anon_sym_open] = ACTIONS(2259),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_lateinit] = ACTIONS(2261),
    [anon_sym_vararg] = ACTIONS(2263),
    [anon_sym_noinline] = ACTIONS(2263),
    [anon_sym_crossinline] = ACTIONS(2263),
    [anon_sym_expect] = ACTIONS(2265),
    [anon_sym_actual] = ACTIONS(2265),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [2195] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2196] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2197] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_COMMA] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2198] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4704),
    [anon_sym_COMMA] = ACTIONS(2459),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2457),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2199] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_COMMA] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_fun] = ACTIONS(3074),
    [anon_sym_object] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_constructor] = ACTIONS(3074),
    [anon_sym_this] = ACTIONS(3074),
    [anon_sym_super] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_where] = ACTIONS(3074),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_dynamic] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_this_AT] = ACTIONS(3076),
    [anon_sym_super_AT] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_when] = ACTIONS(3074),
    [anon_sym_try] = ACTIONS(3074),
    [anon_sym_return] = ACTIONS(3074),
    [anon_sym_return_AT] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [anon_sym_DQUOTE] = ACTIONS(3074),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3076),
    [anon_sym_SQUOTE] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3074),
    [sym_float_literal] = ACTIONS(3076),
    [sym_label] = ACTIONS(3074),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__in] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2393),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_constructor] = ACTIONS(2393),
    [anon_sym_this] = ACTIONS(2393),
    [anon_sym_super] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_where] = ACTIONS(2393),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_dynamic] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_this_AT] = ACTIONS(2391),
    [anon_sym_super_AT] = ACTIONS(2391),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_when] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_return_AT] = ACTIONS(2391),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [sym_number_literal] = ACTIONS(2393),
    [sym_float_literal] = ACTIONS(2391),
    [sym_label] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__in] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_fun] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_constructor] = ACTIONS(3052),
    [anon_sym_this] = ACTIONS(3052),
    [anon_sym_super] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_where] = ACTIONS(3052),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_dynamic] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_this_AT] = ACTIONS(3054),
    [anon_sym_super_AT] = ACTIONS(3054),
    [anon_sym_if] = ACTIONS(3052),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_when] = ACTIONS(3052),
    [anon_sym_try] = ACTIONS(3052),
    [anon_sym_return] = ACTIONS(3052),
    [anon_sym_return_AT] = ACTIONS(3054),
    [anon_sym_throw] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [anon_sym_DQUOTE] = ACTIONS(3052),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3054),
    [anon_sym_SQUOTE] = ACTIONS(3054),
    [sym_number_literal] = ACTIONS(3052),
    [sym_float_literal] = ACTIONS(3054),
    [sym_label] = ACTIONS(3052),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__in] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_fun] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_constructor] = ACTIONS(3014),
    [anon_sym_this] = ACTIONS(3014),
    [anon_sym_super] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_where] = ACTIONS(3014),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_this_AT] = ACTIONS(3016),
    [anon_sym_super_AT] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_when] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_return_AT] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [sym_number_literal] = ACTIONS(3014),
    [sym_float_literal] = ACTIONS(3016),
    [sym_label] = ACTIONS(3014),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__in] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_fun] = ACTIONS(3138),
    [anon_sym_object] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_constructor] = ACTIONS(3138),
    [anon_sym_this] = ACTIONS(3138),
    [anon_sym_super] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_where] = ACTIONS(3138),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_dynamic] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_this_AT] = ACTIONS(3140),
    [anon_sym_super_AT] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_when] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_return_AT] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3138),
    [sym_float_literal] = ACTIONS(3140),
    [sym_label] = ACTIONS(3138),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__in] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [2205] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2206] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2207] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2208] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2209] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4250),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [2211] = {
    [sym_type_constraints] = STATE(2836),
    [sym_function_body] = STATE(3252),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2212] = {
    [sym_type_constraints] = STATE(2838),
    [sym_function_body] = STATE(3088),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2213] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4608),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4616),
    [anon_sym_DASH_EQ] = ACTIONS(4616),
    [anon_sym_STAR_EQ] = ACTIONS(4616),
    [anon_sym_SLASH_EQ] = ACTIONS(4616),
    [anon_sym_PERCENT_EQ] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2214] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4608),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4616),
    [anon_sym_DASH_EQ] = ACTIONS(4616),
    [anon_sym_STAR_EQ] = ACTIONS(4616),
    [anon_sym_SLASH_EQ] = ACTIONS(4616),
    [anon_sym_PERCENT_EQ] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4244),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4250),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_fun] = ACTIONS(3090),
    [anon_sym_object] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_constructor] = ACTIONS(3090),
    [anon_sym_this] = ACTIONS(3090),
    [anon_sym_super] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_where] = ACTIONS(3090),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_dynamic] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_this_AT] = ACTIONS(3092),
    [anon_sym_super_AT] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_when] = ACTIONS(3090),
    [anon_sym_try] = ACTIONS(3090),
    [anon_sym_return] = ACTIONS(3090),
    [anon_sym_return_AT] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3092),
    [anon_sym_SQUOTE] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3090),
    [sym_float_literal] = ACTIONS(3092),
    [sym_label] = ACTIONS(3090),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__in] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_fun] = ACTIONS(3150),
    [anon_sym_object] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_constructor] = ACTIONS(3150),
    [anon_sym_this] = ACTIONS(3150),
    [anon_sym_super] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_where] = ACTIONS(3150),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_dynamic] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_this_AT] = ACTIONS(3152),
    [anon_sym_super_AT] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_when] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_return_AT] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3150),
    [sym_float_literal] = ACTIONS(3152),
    [sym_label] = ACTIONS(3150),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__in] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_fun] = ACTIONS(3158),
    [anon_sym_object] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_constructor] = ACTIONS(3158),
    [anon_sym_this] = ACTIONS(3158),
    [anon_sym_super] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_where] = ACTIONS(3158),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_dynamic] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_this_AT] = ACTIONS(3160),
    [anon_sym_super_AT] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_when] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_return_AT] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3158),
    [sym_float_literal] = ACTIONS(3160),
    [sym_label] = ACTIONS(3158),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__in] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_fun] = ACTIONS(3078),
    [anon_sym_object] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_constructor] = ACTIONS(3078),
    [anon_sym_this] = ACTIONS(3078),
    [anon_sym_super] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_where] = ACTIONS(3078),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_dynamic] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_this_AT] = ACTIONS(3080),
    [anon_sym_super_AT] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_when] = ACTIONS(3078),
    [anon_sym_try] = ACTIONS(3078),
    [anon_sym_return] = ACTIONS(3078),
    [anon_sym_return_AT] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3080),
    [anon_sym_SQUOTE] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3078),
    [sym_float_literal] = ACTIONS(3080),
    [sym_label] = ACTIONS(3078),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__in] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_fun] = ACTIONS(3166),
    [anon_sym_object] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_constructor] = ACTIONS(3166),
    [anon_sym_this] = ACTIONS(3166),
    [anon_sym_super] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_where] = ACTIONS(3166),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_dynamic] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_this_AT] = ACTIONS(3168),
    [anon_sym_super_AT] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_when] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_return_AT] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3166),
    [sym_float_literal] = ACTIONS(3168),
    [sym_label] = ACTIONS(3166),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__in] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_fun] = ACTIONS(3170),
    [anon_sym_object] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_constructor] = ACTIONS(3170),
    [anon_sym_this] = ACTIONS(3170),
    [anon_sym_super] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_where] = ACTIONS(3170),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_dynamic] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_this_AT] = ACTIONS(3172),
    [anon_sym_super_AT] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_when] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_return_AT] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3170),
    [sym_float_literal] = ACTIONS(3172),
    [sym_label] = ACTIONS(3170),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__in] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_where] = ACTIONS(2927),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_fun] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_constructor] = ACTIONS(3214),
    [anon_sym_this] = ACTIONS(3214),
    [anon_sym_super] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_where] = ACTIONS(3214),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_this_AT] = ACTIONS(3216),
    [anon_sym_super_AT] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_when] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_return_AT] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3214),
    [sym_float_literal] = ACTIONS(3216),
    [sym_label] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__in] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_fun] = ACTIONS(2537),
    [anon_sym_object] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_constructor] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(2537),
    [anon_sym_super] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_COMMA] = ACTIONS(2539),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_where] = ACTIONS(2537),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_dynamic] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_this_AT] = ACTIONS(2539),
    [anon_sym_super_AT] = ACTIONS(2539),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_when] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_return_AT] = ACTIONS(2539),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [sym_number_literal] = ACTIONS(2537),
    [sym_float_literal] = ACTIONS(2539),
    [sym_label] = ACTIONS(2537),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__in] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_where] = ACTIONS(2935),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_fun] = ACTIONS(3154),
    [anon_sym_object] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_constructor] = ACTIONS(3154),
    [anon_sym_this] = ACTIONS(3154),
    [anon_sym_super] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_where] = ACTIONS(3154),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_dynamic] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_this_AT] = ACTIONS(3156),
    [anon_sym_super_AT] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_when] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_return_AT] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3154),
    [sym_float_literal] = ACTIONS(3156),
    [sym_label] = ACTIONS(3154),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__in] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [2227] = {
    [sym_function_body] = STATE(2137),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(4463),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_where] = ACTIONS(2939),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2229] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2471),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2473),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_where] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_where] = ACTIONS(2943),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [2232] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(4638),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(4644),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_where] = ACTIONS(2448),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_QMARK_COLON] = ACTIONS(4662),
    [anon_sym_BANGin] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_fun] = ACTIONS(3174),
    [anon_sym_object] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_constructor] = ACTIONS(3174),
    [anon_sym_this] = ACTIONS(3174),
    [anon_sym_super] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3176),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_where] = ACTIONS(3174),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_dynamic] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_this_AT] = ACTIONS(3176),
    [anon_sym_super_AT] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_when] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_return_AT] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3174),
    [sym_float_literal] = ACTIONS(3176),
    [sym_label] = ACTIONS(3174),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__in] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [2234] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4670),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4672),
    [anon_sym_DASH_EQ] = ACTIONS(4672),
    [anon_sym_STAR_EQ] = ACTIONS(4672),
    [anon_sym_SLASH_EQ] = ACTIONS(4672),
    [anon_sym_PERCENT_EQ] = ACTIONS(4672),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2235] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4604),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(4720),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4606),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_EQ] = ACTIONS(4670),
    [anon_sym_LT] = ACTIONS(4610),
    [anon_sym_GT] = ACTIONS(4612),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4672),
    [anon_sym_DASH_EQ] = ACTIONS(4672),
    [anon_sym_STAR_EQ] = ACTIONS(4672),
    [anon_sym_SLASH_EQ] = ACTIONS(4672),
    [anon_sym_PERCENT_EQ] = ACTIONS(4672),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4618),
    [anon_sym_DASH] = ACTIONS(4618),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4606),
    [anon_sym_PERCENT] = ACTIONS(4606),
    [anon_sym_PIPE_PIPE] = ACTIONS(4620),
    [anon_sym_AMP_AMP] = ACTIONS(4622),
    [anon_sym_BANG_EQ] = ACTIONS(4624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4626),
    [anon_sym_EQ_EQ] = ACTIONS(4624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4626),
    [anon_sym_GT_EQ] = ACTIONS(4628),
    [anon_sym_LT_EQ] = ACTIONS(4628),
    [anon_sym_QMARK_COLON] = ACTIONS(4630),
    [anon_sym_BANGin] = ACTIONS(4632),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(4722),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_fun] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_constructor] = ACTIONS(3018),
    [anon_sym_this] = ACTIONS(3018),
    [anon_sym_super] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_where] = ACTIONS(3018),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_this_AT] = ACTIONS(3020),
    [anon_sym_super_AT] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_when] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_return_AT] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [sym_number_literal] = ACTIONS(3018),
    [sym_float_literal] = ACTIONS(3020),
    [sym_label] = ACTIONS(3018),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__in] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_fun] = ACTIONS(3178),
    [anon_sym_object] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_constructor] = ACTIONS(3178),
    [anon_sym_this] = ACTIONS(3178),
    [anon_sym_super] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_where] = ACTIONS(3178),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_dynamic] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_this_AT] = ACTIONS(3180),
    [anon_sym_super_AT] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_when] = ACTIONS(3178),
    [anon_sym_try] = ACTIONS(3178),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_return_AT] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3180),
    [anon_sym_SQUOTE] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3178),
    [sym_float_literal] = ACTIONS(3180),
    [sym_label] = ACTIONS(3178),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__in] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_where] = ACTIONS(2935),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2239] = {
    [sym_setter] = STATE(4722),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2303),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_STAR] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2303),
    [anon_sym_constructor] = ACTIONS(2303),
    [anon_sym_this] = ACTIONS(2303),
    [anon_sym_super] = ACTIONS(2303),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_get] = ACTIONS(2303),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_BANGin] = ACTIONS(2305),
    [anon_sym_is] = ACTIONS(2303),
    [anon_sym_this_AT] = ACTIONS(2305),
    [anon_sym_super_AT] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2303),
    [anon_sym_when] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2303),
    [anon_sym_return_AT] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2303),
    [anon_sym_COLON_COLON] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2305),
    [anon_sym_SQUOTE] = ACTIONS(2305),
    [sym_number_literal] = ACTIONS(2303),
    [sym_float_literal] = ACTIONS(2305),
    [sym_label] = ACTIONS(2303),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2305),
    [sym__in] = ACTIONS(2305),
  },
  [2240] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(4746),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(4780),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2241] = {
    [sym_catch_block] = STATE(2455),
    [sym_finally_block] = STATE(3233),
    [aux_sym_try_expression_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(4782),
    [anon_sym_finally] = ACTIONS(4784),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2242] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4788),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4792),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4800),
    [anon_sym_DASH_EQ] = ACTIONS(4800),
    [anon_sym_STAR_EQ] = ACTIONS(4800),
    [anon_sym_SLASH_EQ] = ACTIONS(4800),
    [anon_sym_PERCENT_EQ] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2243] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4836),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4846),
    [anon_sym_DASH_EQ] = ACTIONS(4846),
    [anon_sym_STAR_EQ] = ACTIONS(4846),
    [anon_sym_SLASH_EQ] = ACTIONS(4846),
    [anon_sym_PERCENT_EQ] = ACTIONS(4846),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2244] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4894),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4904),
    [anon_sym_DASH_EQ] = ACTIONS(4904),
    [anon_sym_STAR_EQ] = ACTIONS(4904),
    [anon_sym_SLASH_EQ] = ACTIONS(4904),
    [anon_sym_PERCENT_EQ] = ACTIONS(4904),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2246] = {
    [aux_sym_user_type_repeat1] = STATE(2247),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2247] = {
    [aux_sym_user_type_repeat1] = STATE(2337),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2248] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2249] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2250] = {
    [sym_setter] = STATE(4735),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(4948),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [anon_sym_STAR] = ACTIONS(4950),
    [anon_sym_fun] = ACTIONS(4948),
    [anon_sym_object] = ACTIONS(4948),
    [anon_sym_constructor] = ACTIONS(4948),
    [anon_sym_this] = ACTIONS(4948),
    [anon_sym_super] = ACTIONS(4948),
    [anon_sym_LPAREN] = ACTIONS(4950),
    [anon_sym_get] = ACTIONS(4948),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(4950),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(4948),
    [anon_sym_PLUS_PLUS] = ACTIONS(4950),
    [anon_sym_DASH_DASH] = ACTIONS(4950),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4948),
    [anon_sym_BANGin] = ACTIONS(4950),
    [anon_sym_is] = ACTIONS(4948),
    [anon_sym_this_AT] = ACTIONS(4950),
    [anon_sym_super_AT] = ACTIONS(4950),
    [anon_sym_if] = ACTIONS(4948),
    [anon_sym_else] = ACTIONS(4948),
    [anon_sym_when] = ACTIONS(4948),
    [anon_sym_try] = ACTIONS(4948),
    [anon_sym_return] = ACTIONS(4948),
    [anon_sym_return_AT] = ACTIONS(4950),
    [anon_sym_throw] = ACTIONS(4948),
    [anon_sym_COLON_COLON] = ACTIONS(4950),
    [anon_sym_DQUOTE] = ACTIONS(4948),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4950),
    [anon_sym_SQUOTE] = ACTIONS(4950),
    [sym_number_literal] = ACTIONS(4948),
    [sym_float_literal] = ACTIONS(4950),
    [sym_label] = ACTIONS(4948),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4950),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4950),
    [sym__in] = ACTIONS(4950),
  },
  [2251] = {
    [sym_setter] = STATE(4841),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_get] = ACTIONS(4223),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [2252] = {
    [sym_getter] = STATE(4841),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(4223),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4225),
    [anon_sym_STAR] = ACTIONS(4225),
    [anon_sym_fun] = ACTIONS(4223),
    [anon_sym_object] = ACTIONS(4223),
    [anon_sym_constructor] = ACTIONS(4223),
    [anon_sym_this] = ACTIONS(4223),
    [anon_sym_super] = ACTIONS(4223),
    [anon_sym_LPAREN] = ACTIONS(4225),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(4223),
    [anon_sym_LBRACE] = ACTIONS(4225),
    [anon_sym_RBRACE] = ACTIONS(4225),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(4223),
    [anon_sym_PLUS_PLUS] = ACTIONS(4225),
    [anon_sym_DASH_DASH] = ACTIONS(4225),
    [anon_sym_PLUS] = ACTIONS(4223),
    [anon_sym_DASH] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(4223),
    [anon_sym_BANGin] = ACTIONS(4225),
    [anon_sym_is] = ACTIONS(4223),
    [anon_sym_this_AT] = ACTIONS(4225),
    [anon_sym_super_AT] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(4223),
    [anon_sym_else] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_try] = ACTIONS(4223),
    [anon_sym_return] = ACTIONS(4223),
    [anon_sym_return_AT] = ACTIONS(4225),
    [anon_sym_throw] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(4225),
    [anon_sym_DQUOTE] = ACTIONS(4223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4225),
    [anon_sym_SQUOTE] = ACTIONS(4225),
    [sym_number_literal] = ACTIONS(4223),
    [sym_float_literal] = ACTIONS(4225),
    [sym_label] = ACTIONS(4223),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4225),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4225),
    [sym__in] = ACTIONS(4225),
  },
  [2253] = {
    [sym_getter] = STATE(4735),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(4948),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4950),
    [anon_sym_STAR] = ACTIONS(4950),
    [anon_sym_fun] = ACTIONS(4948),
    [anon_sym_object] = ACTIONS(4948),
    [anon_sym_constructor] = ACTIONS(4948),
    [anon_sym_this] = ACTIONS(4948),
    [anon_sym_super] = ACTIONS(4948),
    [anon_sym_LPAREN] = ACTIONS(4950),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(4948),
    [anon_sym_LBRACE] = ACTIONS(4950),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(4948),
    [anon_sym_PLUS_PLUS] = ACTIONS(4950),
    [anon_sym_DASH_DASH] = ACTIONS(4950),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(4948),
    [anon_sym_BANGin] = ACTIONS(4950),
    [anon_sym_is] = ACTIONS(4948),
    [anon_sym_this_AT] = ACTIONS(4950),
    [anon_sym_super_AT] = ACTIONS(4950),
    [anon_sym_if] = ACTIONS(4948),
    [anon_sym_else] = ACTIONS(4948),
    [anon_sym_when] = ACTIONS(4948),
    [anon_sym_try] = ACTIONS(4948),
    [anon_sym_return] = ACTIONS(4948),
    [anon_sym_return_AT] = ACTIONS(4950),
    [anon_sym_throw] = ACTIONS(4948),
    [anon_sym_COLON_COLON] = ACTIONS(4950),
    [anon_sym_DQUOTE] = ACTIONS(4948),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4950),
    [anon_sym_SQUOTE] = ACTIONS(4950),
    [sym_number_literal] = ACTIONS(4948),
    [sym_float_literal] = ACTIONS(4950),
    [sym_label] = ACTIONS(4948),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4950),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4950),
    [sym__in] = ACTIONS(4950),
  },
  [2254] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2255] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2256] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2257] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4975),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2258] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2259] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2260] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2261] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2262] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4972),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2263] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4978),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2264] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(4981),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2265] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2266] = {
    [sym_setter] = STATE(4643),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2321),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [2267] = {
    [sym_getter] = STATE(4643),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2323),
    [anon_sym_fun] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(2321),
    [anon_sym_constructor] = ACTIONS(2321),
    [anon_sym_this] = ACTIONS(2321),
    [anon_sym_super] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(2323),
    [anon_sym_RBRACE] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2323),
    [anon_sym_DASH_DASH] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_BANGin] = ACTIONS(2323),
    [anon_sym_is] = ACTIONS(2321),
    [anon_sym_this_AT] = ACTIONS(2323),
    [anon_sym_super_AT] = ACTIONS(2323),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_else] = ACTIONS(2321),
    [anon_sym_when] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_return_AT] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2321),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2323),
    [anon_sym_SQUOTE] = ACTIONS(2323),
    [sym_number_literal] = ACTIONS(2321),
    [sym_float_literal] = ACTIONS(2323),
    [sym_label] = ACTIONS(2321),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2323),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2323),
    [sym__in] = ACTIONS(2323),
  },
  [2268] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(4984),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4986),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(4988),
    [anon_sym_DASH_EQ] = ACTIONS(4988),
    [anon_sym_STAR_EQ] = ACTIONS(4988),
    [anon_sym_SLASH_EQ] = ACTIONS(4988),
    [anon_sym_PERCENT_EQ] = ACTIONS(4988),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(4990),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2269] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4986),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4988),
    [anon_sym_DASH_EQ] = ACTIONS(4988),
    [anon_sym_STAR_EQ] = ACTIONS(4988),
    [anon_sym_SLASH_EQ] = ACTIONS(4988),
    [anon_sym_PERCENT_EQ] = ACTIONS(4988),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2270] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2271] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4992),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2272] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2273] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2274] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2275] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4992),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2276] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2277] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2278] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2279] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4992),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2280] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(4998),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2281] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2282] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4986),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4988),
    [anon_sym_DASH_EQ] = ACTIONS(4988),
    [anon_sym_STAR_EQ] = ACTIONS(4988),
    [anon_sym_SLASH_EQ] = ACTIONS(4988),
    [anon_sym_PERCENT_EQ] = ACTIONS(4988),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2283] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4986),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4988),
    [anon_sym_DASH_EQ] = ACTIONS(4988),
    [anon_sym_STAR_EQ] = ACTIONS(4988),
    [anon_sym_SLASH_EQ] = ACTIONS(4988),
    [anon_sym_PERCENT_EQ] = ACTIONS(4988),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2284] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2285] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2286] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5004),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2287] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2288] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2289] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2290] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5004),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2291] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2292] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2293] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2294] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5004),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2295] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5010),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2296] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2297] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2298] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5016),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2299] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2300] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2301] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5019),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2302] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5016),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2303] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2304] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2305] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2306] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5016),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2307] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5022),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2308] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5025),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2309] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2310] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2311] = {
    [sym_setter] = STATE(4682),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2309),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [2312] = {
    [sym_getter] = STATE(4682),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2311),
    [anon_sym_fun] = ACTIONS(2309),
    [anon_sym_object] = ACTIONS(2309),
    [anon_sym_constructor] = ACTIONS(2309),
    [anon_sym_this] = ACTIONS(2309),
    [anon_sym_super] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2311),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_BANGin] = ACTIONS(2311),
    [anon_sym_is] = ACTIONS(2309),
    [anon_sym_this_AT] = ACTIONS(2311),
    [anon_sym_super_AT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_else] = ACTIONS(2309),
    [anon_sym_when] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_return_AT] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2309),
    [anon_sym_COLON_COLON] = ACTIONS(2311),
    [anon_sym_DQUOTE] = ACTIONS(2309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2311),
    [anon_sym_SQUOTE] = ACTIONS(2311),
    [sym_number_literal] = ACTIONS(2309),
    [sym_float_literal] = ACTIONS(2311),
    [sym_label] = ACTIONS(2309),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2311),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2311),
    [sym__in] = ACTIONS(2311),
  },
  [2313] = {
    [sym_type_constraints] = STATE(2639),
    [sym_function_body] = STATE(2187),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5028),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2314] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5032),
    [anon_sym_DASH_EQ] = ACTIONS(5032),
    [anon_sym_STAR_EQ] = ACTIONS(5032),
    [anon_sym_SLASH_EQ] = ACTIONS(5032),
    [anon_sym_PERCENT_EQ] = ACTIONS(5032),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2315] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5038),
    [anon_sym_DASH_EQ] = ACTIONS(5038),
    [anon_sym_STAR_EQ] = ACTIONS(5038),
    [anon_sym_SLASH_EQ] = ACTIONS(5038),
    [anon_sym_PERCENT_EQ] = ACTIONS(5038),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(5040),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2316] = {
    [sym_type_constraints] = STATE(2641),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5042),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_COMMA] = ACTIONS(2497),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2317] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5038),
    [anon_sym_DASH_EQ] = ACTIONS(5038),
    [anon_sym_STAR_EQ] = ACTIONS(5038),
    [anon_sym_SLASH_EQ] = ACTIONS(5038),
    [anon_sym_PERCENT_EQ] = ACTIONS(5038),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2318] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5038),
    [anon_sym_DASH_EQ] = ACTIONS(5038),
    [anon_sym_STAR_EQ] = ACTIONS(5038),
    [anon_sym_SLASH_EQ] = ACTIONS(5038),
    [anon_sym_PERCENT_EQ] = ACTIONS(5038),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2319] = {
    [sym_getter] = STATE(4733),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_fun] = ACTIONS(4681),
    [anon_sym_object] = ACTIONS(4681),
    [anon_sym_constructor] = ACTIONS(4681),
    [anon_sym_this] = ACTIONS(4681),
    [anon_sym_super] = ACTIONS(4681),
    [anon_sym_LPAREN] = ACTIONS(4683),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(4681),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_RBRACE] = ACTIONS(4683),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(4681),
    [anon_sym_PLUS_PLUS] = ACTIONS(4683),
    [anon_sym_DASH_DASH] = ACTIONS(4683),
    [anon_sym_PLUS] = ACTIONS(4681),
    [anon_sym_DASH] = ACTIONS(4681),
    [anon_sym_BANG] = ACTIONS(4681),
    [anon_sym_BANGin] = ACTIONS(4683),
    [anon_sym_is] = ACTIONS(4681),
    [anon_sym_this_AT] = ACTIONS(4683),
    [anon_sym_super_AT] = ACTIONS(4683),
    [anon_sym_if] = ACTIONS(4681),
    [anon_sym_else] = ACTIONS(4681),
    [anon_sym_when] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_return] = ACTIONS(4681),
    [anon_sym_return_AT] = ACTIONS(4683),
    [anon_sym_throw] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_DQUOTE] = ACTIONS(4681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4683),
    [anon_sym_SQUOTE] = ACTIONS(4683),
    [sym_number_literal] = ACTIONS(4681),
    [sym_float_literal] = ACTIONS(4683),
    [sym_label] = ACTIONS(4681),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4683),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4683),
    [sym__in] = ACTIONS(4683),
  },
  [2320] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_RBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2321] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5032),
    [anon_sym_DASH_EQ] = ACTIONS(5032),
    [anon_sym_STAR_EQ] = ACTIONS(5032),
    [anon_sym_SLASH_EQ] = ACTIONS(5032),
    [anon_sym_PERCENT_EQ] = ACTIONS(5032),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(5046),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2322] = {
    [aux_sym_user_type_repeat1] = STATE(2325),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(4940),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2323] = {
    [sym_setter] = STATE(4701),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(2315),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [2324] = {
    [sym_getter] = STATE(4701),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2317),
    [anon_sym_fun] = ACTIONS(2315),
    [anon_sym_object] = ACTIONS(2315),
    [anon_sym_constructor] = ACTIONS(2315),
    [anon_sym_this] = ACTIONS(2315),
    [anon_sym_super] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2315),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2315),
    [anon_sym_BANGin] = ACTIONS(2317),
    [anon_sym_is] = ACTIONS(2315),
    [anon_sym_this_AT] = ACTIONS(2317),
    [anon_sym_super_AT] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_else] = ACTIONS(2315),
    [anon_sym_when] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_return_AT] = ACTIONS(2317),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_COLON_COLON] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_number_literal] = ACTIONS(2315),
    [sym_float_literal] = ACTIONS(2317),
    [sym_label] = ACTIONS(2315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2317),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2317),
    [sym__in] = ACTIONS(2317),
  },
  [2325] = {
    [aux_sym_user_type_repeat1] = STATE(2337),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(4944),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2326] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(5050),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5052),
    [anon_sym_DASH_EQ] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(5052),
    [anon_sym_SLASH_EQ] = ACTIONS(5052),
    [anon_sym_PERCENT_EQ] = ACTIONS(5052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2327] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5032),
    [anon_sym_DASH_EQ] = ACTIONS(5032),
    [anon_sym_STAR_EQ] = ACTIONS(5032),
    [anon_sym_SLASH_EQ] = ACTIONS(5032),
    [anon_sym_PERCENT_EQ] = ACTIONS(5032),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2328] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(5050),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5052),
    [anon_sym_DASH_EQ] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(5052),
    [anon_sym_SLASH_EQ] = ACTIONS(5052),
    [anon_sym_PERCENT_EQ] = ACTIONS(5052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2329] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(5050),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5052),
    [anon_sym_DASH_EQ] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(5052),
    [anon_sym_SLASH_EQ] = ACTIONS(5052),
    [anon_sym_PERCENT_EQ] = ACTIONS(5052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2330] = {
    [sym_setter] = STATE(4712),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(2235),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANGin] = ACTIONS(2247),
    [anon_sym_is] = ACTIONS(2235),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2235),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2247),
    [sym__in] = ACTIONS(2247),
  },
  [2331] = {
    [sym_getter] = STATE(4712),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(2235),
    [anon_sym_constructor] = ACTIONS(2235),
    [anon_sym_this] = ACTIONS(2235),
    [anon_sym_super] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_BANGin] = ACTIONS(2247),
    [anon_sym_is] = ACTIONS(2235),
    [anon_sym_this_AT] = ACTIONS(2247),
    [anon_sym_super_AT] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2235),
    [anon_sym_when] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_return_AT] = ACTIONS(2247),
    [anon_sym_throw] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_number_literal] = ACTIONS(2235),
    [sym_float_literal] = ACTIONS(2247),
    [sym_label] = ACTIONS(2235),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2247),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2247),
    [sym__in] = ACTIONS(2247),
  },
  [2332] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(5050),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5052),
    [anon_sym_DASH_EQ] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(5052),
    [anon_sym_SLASH_EQ] = ACTIONS(5052),
    [anon_sym_PERCENT_EQ] = ACTIONS(5052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2333] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5032),
    [anon_sym_DASH_EQ] = ACTIONS(5032),
    [anon_sym_STAR_EQ] = ACTIONS(5032),
    [anon_sym_SLASH_EQ] = ACTIONS(5032),
    [anon_sym_PERCENT_EQ] = ACTIONS(5032),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2334] = {
    [aux_sym_user_type_repeat1] = STATE(2336),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5056),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2335] = {
    [sym_type_arguments] = STATE(2475),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5059),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2336] = {
    [aux_sym_user_type_repeat1] = STATE(2337),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5061),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2337] = {
    [aux_sym_user_type_repeat1] = STATE(2337),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5064),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2338] = {
    [sym_setter] = STATE(4730),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(2329),
    [anon_sym_fun] = ACTIONS(2327),
    [anon_sym_object] = ACTIONS(2327),
    [anon_sym_constructor] = ACTIONS(2327),
    [anon_sym_this] = ACTIONS(2327),
    [anon_sym_super] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(2327),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_BANGin] = ACTIONS(2329),
    [anon_sym_is] = ACTIONS(2327),
    [anon_sym_this_AT] = ACTIONS(2329),
    [anon_sym_super_AT] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_when] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_return_AT] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_COLON_COLON] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [sym_number_literal] = ACTIONS(2327),
    [sym_float_literal] = ACTIONS(2329),
    [sym_label] = ACTIONS(2327),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2329),
    [sym__in] = ACTIONS(2329),
  },
  [2339] = {
    [sym_getter] = STATE(4730),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_STAR] = ACTIONS(2329),
    [anon_sym_fun] = ACTIONS(2327),
    [anon_sym_object] = ACTIONS(2327),
    [anon_sym_constructor] = ACTIONS(2327),
    [anon_sym_this] = ACTIONS(2327),
    [anon_sym_super] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_RBRACE] = ACTIONS(2329),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_BANG] = ACTIONS(2327),
    [anon_sym_BANGin] = ACTIONS(2329),
    [anon_sym_is] = ACTIONS(2327),
    [anon_sym_this_AT] = ACTIONS(2329),
    [anon_sym_super_AT] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_when] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_return_AT] = ACTIONS(2329),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_COLON_COLON] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [sym_number_literal] = ACTIONS(2327),
    [sym_float_literal] = ACTIONS(2329),
    [sym_label] = ACTIONS(2327),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2329),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2329),
    [sym__in] = ACTIONS(2329),
  },
  [2340] = {
    [sym_getter] = STATE(4722),
    [sym_modifiers] = STATE(11067),
    [sym_class_modifier] = STATE(5970),
    [sym_function_modifier] = STATE(5970),
    [sym_property_modifier] = STATE(5970),
    [sym_visibility_modifier] = STATE(5970),
    [sym_inheritance_modifier] = STATE(5970),
    [sym_member_modifier] = STATE(5970),
    [sym_parameter_modifier] = STATE(5970),
    [sym_platform_modifier] = STATE(5970),
    [sym_annotation] = STATE(5970),
    [aux_sym_modifiers_repeat1] = STATE(5970),
    [sym_identifier] = ACTIONS(2303),
    [anon_sym_AT] = ACTIONS(4952),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_STAR] = ACTIONS(2305),
    [anon_sym_fun] = ACTIONS(2303),
    [anon_sym_object] = ACTIONS(2303),
    [anon_sym_constructor] = ACTIONS(2303),
    [anon_sym_this] = ACTIONS(2303),
    [anon_sym_super] = ACTIONS(2303),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_get] = ACTIONS(4954),
    [anon_sym_set] = ACTIONS(2303),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_enum] = ACTIONS(4956),
    [anon_sym_sealed] = ACTIONS(4956),
    [anon_sym_annotation] = ACTIONS(4956),
    [anon_sym_data] = ACTIONS(4956),
    [anon_sym_inner] = ACTIONS(4956),
    [anon_sym_value] = ACTIONS(4956),
    [anon_sym_tailrec] = ACTIONS(4958),
    [anon_sym_operator] = ACTIONS(4958),
    [anon_sym_infix] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym_external] = ACTIONS(4958),
    [anon_sym_suspend] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4960),
    [anon_sym_public] = ACTIONS(4962),
    [anon_sym_private] = ACTIONS(4962),
    [anon_sym_protected] = ACTIONS(4962),
    [anon_sym_internal] = ACTIONS(4962),
    [anon_sym_abstract] = ACTIONS(4964),
    [anon_sym_final] = ACTIONS(4964),
    [anon_sym_open] = ACTIONS(4964),
    [anon_sym_override] = ACTIONS(4966),
    [anon_sym_lateinit] = ACTIONS(4966),
    [anon_sym_vararg] = ACTIONS(4968),
    [anon_sym_noinline] = ACTIONS(4968),
    [anon_sym_crossinline] = ACTIONS(4968),
    [anon_sym_expect] = ACTIONS(4970),
    [anon_sym_actual] = ACTIONS(4970),
    [anon_sym_dynamic] = ACTIONS(2303),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2303),
    [anon_sym_DASH] = ACTIONS(2303),
    [anon_sym_BANG] = ACTIONS(2303),
    [anon_sym_BANGin] = ACTIONS(2305),
    [anon_sym_is] = ACTIONS(2303),
    [anon_sym_this_AT] = ACTIONS(2305),
    [anon_sym_super_AT] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(2303),
    [anon_sym_when] = ACTIONS(2303),
    [anon_sym_try] = ACTIONS(2303),
    [anon_sym_return] = ACTIONS(2303),
    [anon_sym_return_AT] = ACTIONS(2305),
    [anon_sym_throw] = ACTIONS(2303),
    [anon_sym_COLON_COLON] = ACTIONS(2305),
    [anon_sym_DQUOTE] = ACTIONS(2303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2305),
    [anon_sym_SQUOTE] = ACTIONS(2305),
    [sym_number_literal] = ACTIONS(2303),
    [sym_float_literal] = ACTIONS(2305),
    [sym_label] = ACTIONS(2303),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2305),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2305),
    [sym__in] = ACTIONS(2305),
  },
  [2341] = {
    [sym_type_constraints] = STATE(2833),
    [sym_function_body] = STATE(3193),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5067),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2342] = {
    [sym_type_constraints] = STATE(2836),
    [sym_function_body] = STATE(3252),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5069),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2343] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2344] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2345] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2346] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2347] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2348] = {
    [sym_type_constraints] = STATE(2990),
    [sym_function_body] = STATE(3620),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2349] = {
    [sym_type_constraints] = STATE(2995),
    [sym_function_body] = STATE(3642),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2350] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2351] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2352] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4744),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4748),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_LT] = ACTIONS(4752),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4758),
    [anon_sym_DASH_EQ] = ACTIONS(4758),
    [anon_sym_STAR_EQ] = ACTIONS(4758),
    [anon_sym_SLASH_EQ] = ACTIONS(4758),
    [anon_sym_PERCENT_EQ] = ACTIONS(4758),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4760),
    [anon_sym_DASH] = ACTIONS(4760),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4748),
    [anon_sym_PERCENT] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_AMP] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4766),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4768),
    [anon_sym_EQ_EQ] = ACTIONS(4766),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4768),
    [anon_sym_GT_EQ] = ACTIONS(4770),
    [anon_sym_LT_EQ] = ACTIONS(4770),
    [anon_sym_QMARK_COLON] = ACTIONS(4772),
    [anon_sym_BANGin] = ACTIONS(4774),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4778),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [2353] = {
    [sym_type_constraints] = STATE(3024),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2354] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2355] = {
    [sym_type_constraints] = STATE(3026),
    [sym_function_body] = STATE(2154),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_fun] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2509),
    [anon_sym_this] = ACTIONS(2509),
    [anon_sym_super] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_dynamic] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4327),
    [anon_sym_AMP] = ACTIONS(4329),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_this_AT] = ACTIONS(2511),
    [anon_sym_super_AT] = ACTIONS(2511),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_when] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_return_AT] = ACTIONS(2511),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [sym_number_literal] = ACTIONS(2509),
    [sym_float_literal] = ACTIONS(2511),
    [sym_label] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__in] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2356] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2357] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2358] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2359] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2360] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2361] = {
    [sym_type_constraints] = STATE(3040),
    [sym_function_body] = STATE(3328),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2362] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2363] = {
    [sym_type_constraints] = STATE(3043),
    [sym_function_body] = STATE(3340),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2364] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4792),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4800),
    [anon_sym_DASH_EQ] = ACTIONS(4800),
    [anon_sym_STAR_EQ] = ACTIONS(4800),
    [anon_sym_SLASH_EQ] = ACTIONS(4800),
    [anon_sym_PERCENT_EQ] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2365] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4792),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4800),
    [anon_sym_DASH_EQ] = ACTIONS(4800),
    [anon_sym_STAR_EQ] = ACTIONS(4800),
    [anon_sym_SLASH_EQ] = ACTIONS(4800),
    [anon_sym_PERCENT_EQ] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2366] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4786),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_EQ] = ACTIONS(4792),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4800),
    [anon_sym_DASH_EQ] = ACTIONS(4800),
    [anon_sym_STAR_EQ] = ACTIONS(4800),
    [anon_sym_SLASH_EQ] = ACTIONS(4800),
    [anon_sym_PERCENT_EQ] = ACTIONS(4800),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4802),
    [anon_sym_DASH] = ACTIONS(4802),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4804),
    [anon_sym_AMP_AMP] = ACTIONS(4806),
    [anon_sym_BANG_EQ] = ACTIONS(4808),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4810),
    [anon_sym_EQ_EQ] = ACTIONS(4808),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4810),
    [anon_sym_GT_EQ] = ACTIONS(4812),
    [anon_sym_LT_EQ] = ACTIONS(4812),
    [anon_sym_QMARK_COLON] = ACTIONS(4814),
    [anon_sym_BANGin] = ACTIONS(4816),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4818),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4820),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [2367] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2368] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2369] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2370] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2371] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2372] = {
    [sym_type_constraints] = STATE(2940),
    [sym_function_body] = STATE(3411),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2373] = {
    [sym_type_constraints] = STATE(2943),
    [sym_function_body] = STATE(3423),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2374] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4836),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4846),
    [anon_sym_DASH_EQ] = ACTIONS(4846),
    [anon_sym_STAR_EQ] = ACTIONS(4846),
    [anon_sym_SLASH_EQ] = ACTIONS(4846),
    [anon_sym_PERCENT_EQ] = ACTIONS(4846),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2375] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4836),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4846),
    [anon_sym_DASH_EQ] = ACTIONS(4846),
    [anon_sym_STAR_EQ] = ACTIONS(4846),
    [anon_sym_SLASH_EQ] = ACTIONS(4846),
    [anon_sym_PERCENT_EQ] = ACTIONS(4846),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2376] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(4836),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4846),
    [anon_sym_DASH_EQ] = ACTIONS(4846),
    [anon_sym_STAR_EQ] = ACTIONS(4846),
    [anon_sym_SLASH_EQ] = ACTIONS(4846),
    [anon_sym_PERCENT_EQ] = ACTIONS(4846),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2377] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2378] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2379] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2380] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2381] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2382] = {
    [sym_type_constraints] = STATE(2955),
    [sym_function_body] = STATE(3495),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2383] = {
    [sym_type_constraints] = STATE(2958),
    [sym_function_body] = STATE(3508),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2384] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4894),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(4904),
    [anon_sym_DASH_EQ] = ACTIONS(4904),
    [anon_sym_STAR_EQ] = ACTIONS(4904),
    [anon_sym_SLASH_EQ] = ACTIONS(4904),
    [anon_sym_PERCENT_EQ] = ACTIONS(4904),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2385] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4894),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(4904),
    [anon_sym_DASH_EQ] = ACTIONS(4904),
    [anon_sym_STAR_EQ] = ACTIONS(4904),
    [anon_sym_SLASH_EQ] = ACTIONS(4904),
    [anon_sym_PERCENT_EQ] = ACTIONS(4904),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2386] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(4882),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(4890),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_EQ] = ACTIONS(4894),
    [anon_sym_LT] = ACTIONS(4896),
    [anon_sym_GT] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4902),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(4904),
    [anon_sym_DASH_EQ] = ACTIONS(4904),
    [anon_sym_STAR_EQ] = ACTIONS(4904),
    [anon_sym_SLASH_EQ] = ACTIONS(4904),
    [anon_sym_PERCENT_EQ] = ACTIONS(4904),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(4908),
    [anon_sym_DASH] = ACTIONS(4908),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(4890),
    [anon_sym_PERCENT] = ACTIONS(4890),
    [anon_sym_PIPE_PIPE] = ACTIONS(4910),
    [anon_sym_AMP_AMP] = ACTIONS(4912),
    [anon_sym_BANG_EQ] = ACTIONS(4914),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4916),
    [anon_sym_EQ_EQ] = ACTIONS(4914),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4916),
    [anon_sym_GT_EQ] = ACTIONS(4918),
    [anon_sym_LT_EQ] = ACTIONS(4918),
    [anon_sym_QMARK_COLON] = ACTIONS(4920),
    [anon_sym_BANGin] = ACTIONS(4922),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(4928),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [2387] = {
    [sym_setter] = STATE(4733),
    [sym_modifiers] = STATE(11066),
    [sym_class_modifier] = STATE(5944),
    [sym_function_modifier] = STATE(5944),
    [sym_property_modifier] = STATE(5944),
    [sym_visibility_modifier] = STATE(5944),
    [sym_inheritance_modifier] = STATE(5944),
    [sym_member_modifier] = STATE(5944),
    [sym_parameter_modifier] = STATE(5944),
    [sym_platform_modifier] = STATE(5944),
    [sym_annotation] = STATE(5944),
    [aux_sym_modifiers_repeat1] = STATE(5944),
    [sym_identifier] = ACTIONS(4681),
    [anon_sym_AT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4683),
    [anon_sym_STAR] = ACTIONS(4683),
    [anon_sym_fun] = ACTIONS(4681),
    [anon_sym_object] = ACTIONS(4681),
    [anon_sym_constructor] = ACTIONS(4681),
    [anon_sym_this] = ACTIONS(4681),
    [anon_sym_super] = ACTIONS(4681),
    [anon_sym_LPAREN] = ACTIONS(4683),
    [anon_sym_get] = ACTIONS(4681),
    [anon_sym_set] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(4683),
    [anon_sym_RBRACE] = ACTIONS(4683),
    [anon_sym_enum] = ACTIONS(4728),
    [anon_sym_sealed] = ACTIONS(4728),
    [anon_sym_annotation] = ACTIONS(4728),
    [anon_sym_data] = ACTIONS(4728),
    [anon_sym_inner] = ACTIONS(4728),
    [anon_sym_value] = ACTIONS(4728),
    [anon_sym_tailrec] = ACTIONS(4730),
    [anon_sym_operator] = ACTIONS(4730),
    [anon_sym_infix] = ACTIONS(4730),
    [anon_sym_inline] = ACTIONS(4730),
    [anon_sym_external] = ACTIONS(4730),
    [anon_sym_suspend] = ACTIONS(4730),
    [anon_sym_const] = ACTIONS(4732),
    [anon_sym_public] = ACTIONS(4734),
    [anon_sym_private] = ACTIONS(4734),
    [anon_sym_protected] = ACTIONS(4734),
    [anon_sym_internal] = ACTIONS(4734),
    [anon_sym_abstract] = ACTIONS(4736),
    [anon_sym_final] = ACTIONS(4736),
    [anon_sym_open] = ACTIONS(4736),
    [anon_sym_override] = ACTIONS(4738),
    [anon_sym_lateinit] = ACTIONS(4738),
    [anon_sym_vararg] = ACTIONS(4740),
    [anon_sym_noinline] = ACTIONS(4740),
    [anon_sym_crossinline] = ACTIONS(4740),
    [anon_sym_expect] = ACTIONS(4742),
    [anon_sym_actual] = ACTIONS(4742),
    [anon_sym_dynamic] = ACTIONS(4681),
    [anon_sym_PLUS_PLUS] = ACTIONS(4683),
    [anon_sym_DASH_DASH] = ACTIONS(4683),
    [anon_sym_PLUS] = ACTIONS(4681),
    [anon_sym_DASH] = ACTIONS(4681),
    [anon_sym_BANG] = ACTIONS(4681),
    [anon_sym_BANGin] = ACTIONS(4683),
    [anon_sym_is] = ACTIONS(4681),
    [anon_sym_this_AT] = ACTIONS(4683),
    [anon_sym_super_AT] = ACTIONS(4683),
    [anon_sym_if] = ACTIONS(4681),
    [anon_sym_else] = ACTIONS(4681),
    [anon_sym_when] = ACTIONS(4681),
    [anon_sym_try] = ACTIONS(4681),
    [anon_sym_return] = ACTIONS(4681),
    [anon_sym_return_AT] = ACTIONS(4683),
    [anon_sym_throw] = ACTIONS(4681),
    [anon_sym_COLON_COLON] = ACTIONS(4683),
    [anon_sym_DQUOTE] = ACTIONS(4681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(4683),
    [anon_sym_SQUOTE] = ACTIONS(4683),
    [sym_number_literal] = ACTIONS(4681),
    [sym_float_literal] = ACTIONS(4683),
    [sym_label] = ACTIONS(4681),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(4683),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4683),
    [sym__in] = ACTIONS(4683),
  },
  [2388] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(4824),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(4832),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(4838),
    [anon_sym_GT] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(4844),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5038),
    [anon_sym_DASH_EQ] = ACTIONS(5038),
    [anon_sym_STAR_EQ] = ACTIONS(5038),
    [anon_sym_SLASH_EQ] = ACTIONS(5038),
    [anon_sym_PERCENT_EQ] = ACTIONS(5038),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(4850),
    [anon_sym_DASH] = ACTIONS(4850),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(4832),
    [anon_sym_PERCENT] = ACTIONS(4832),
    [anon_sym_PIPE_PIPE] = ACTIONS(4852),
    [anon_sym_AMP_AMP] = ACTIONS(4854),
    [anon_sym_BANG_EQ] = ACTIONS(4856),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4858),
    [anon_sym_EQ_EQ] = ACTIONS(4856),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4858),
    [anon_sym_GT_EQ] = ACTIONS(4860),
    [anon_sym_LT_EQ] = ACTIONS(4860),
    [anon_sym_QMARK_COLON] = ACTIONS(4862),
    [anon_sym_BANGin] = ACTIONS(4864),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [2389] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2390] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5148),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2391] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5167),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2392] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5182),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(5220),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2395] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5182),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2397] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5182),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2398] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2399] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2400] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2401] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2402] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2403] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2404] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2405] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2406] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2407] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2408] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2409] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5287),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2410] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5182),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5192),
    [anon_sym_DASH_EQ] = ACTIONS(5192),
    [anon_sym_STAR_EQ] = ACTIONS(5192),
    [anon_sym_SLASH_EQ] = ACTIONS(5192),
    [anon_sym_PERCENT_EQ] = ACTIONS(5192),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2411] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2412] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2413] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_constructor] = ACTIONS(2452),
    [anon_sym_this] = ACTIONS(2452),
    [anon_sym_super] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5310),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_dynamic] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2450),
    [anon_sym_super_AT] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_when] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_return_AT] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [sym_number_literal] = ACTIONS(2452),
    [sym_float_literal] = ACTIONS(2450),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__in] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2414] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2415] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2416] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2417] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2418] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5316),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2419] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2420] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2421] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2422] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2423] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2424] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5319),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2425] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5322),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2466),
    [anon_sym_DASH_EQ] = ACTIONS(2466),
    [anon_sym_STAR_EQ] = ACTIONS(2466),
    [anon_sym_SLASH_EQ] = ACTIONS(2466),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2426] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5167),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2427] = {
    [sym_catch_block] = STATE(2635),
    [sym_finally_block] = STATE(3406),
    [aux_sym_try_expression_repeat1] = STATE(2635),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5325),
    [anon_sym_finally] = ACTIONS(5327),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2428] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2429] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5355),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2430] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2431] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2432] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2433] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5355),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2434] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2435] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2436] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2437] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5355),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2438] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5361),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2439] = {
    [aux_sym_user_type_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2440] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2441] = {
    [aux_sym_user_type_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5377),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2442] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2443] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2444] = {
    [sym_type_arguments] = STATE(2667),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2445] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_constructor] = ACTIONS(2339),
    [anon_sym_this] = ACTIONS(2339),
    [anon_sym_super] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5167),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_dynamic] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2335),
    [anon_sym_super_AT] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_when] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_return_AT] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2335),
    [anon_sym_SQUOTE] = ACTIONS(2335),
    [sym_number_literal] = ACTIONS(2339),
    [sym_float_literal] = ACTIONS(2335),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__in] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2446] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_constructor] = ACTIONS(2457),
    [anon_sym_this] = ACTIONS(2457),
    [anon_sym_super] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_dynamic] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2457),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_this_AT] = ACTIONS(2459),
    [anon_sym_super_AT] = ACTIONS(2459),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_when] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_return_AT] = ACTIONS(2459),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [sym_number_literal] = ACTIONS(2457),
    [sym_float_literal] = ACTIONS(2459),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__in] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2447] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_constructor] = ACTIONS(2464),
    [anon_sym_this] = ACTIONS(2464),
    [anon_sym_super] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(5385),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_dynamic] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2464),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2466),
    [anon_sym_super_AT] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_when] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_return_AT] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2464),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2464),
    [sym_float_literal] = ACTIONS(2466),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__in] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2449] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2450] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2451] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2452] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2453] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2454] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2455] = {
    [sym_catch_block] = STATE(2455),
    [aux_sym_try_expression_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5400),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2456] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2457] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4455),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [2459] = {
    [sym_catch_block] = STATE(2671),
    [sym_finally_block] = STATE(3490),
    [aux_sym_try_expression_repeat1] = STATE(2671),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5403),
    [anon_sym_finally] = ACTIONS(5405),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2460] = {
    [aux_sym_user_type_repeat1] = STATE(2480),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5407),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2461] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_get] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4449),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4455),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [2464] = {
    [aux_sym_user_type_repeat1] = STATE(2490),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2465] = {
    [aux_sym_user_type_repeat1] = STATE(2466),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5410),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2466] = {
    [aux_sym_user_type_repeat1] = STATE(2480),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2467] = {
    [aux_sym_user_type_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2468] = {
    [aux_sym_user_type_repeat1] = STATE(2496),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2469] = {
    [aux_sym_user_type_repeat1] = STATE(2524),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2470] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2471] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2472] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2473] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2477] = {
    [aux_sym_user_type_repeat1] = STATE(2486),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2480] = {
    [aux_sym_user_type_repeat1] = STATE(2480),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5433),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2481] = {
    [sym_annotation] = STATE(8553),
    [sym_annotated_lambda] = STATE(3220),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2484] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2485] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2486] = {
    [aux_sym_user_type_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2488] = {
    [aux_sym_user_type_repeat1] = STATE(2489),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2489] = {
    [aux_sym_user_type_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2490] = {
    [aux_sym_user_type_repeat1] = STATE(2480),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2492] = {
    [sym_type_constraints] = STATE(2983),
    [sym_function_body] = STATE(3546),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2493] = {
    [sym_type_arguments] = STATE(2684),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_fun] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_val] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2410),
    [anon_sym_sealed] = ACTIONS(2410),
    [anon_sym_annotation] = ACTIONS(2410),
    [anon_sym_data] = ACTIONS(2410),
    [anon_sym_inner] = ACTIONS(2410),
    [anon_sym_value] = ACTIONS(2410),
    [anon_sym_tailrec] = ACTIONS(2410),
    [anon_sym_operator] = ACTIONS(2410),
    [anon_sym_infix] = ACTIONS(2410),
    [anon_sym_inline] = ACTIONS(2410),
    [anon_sym_external] = ACTIONS(2410),
    [anon_sym_suspend] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_internal] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_final] = ACTIONS(2410),
    [anon_sym_open] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_lateinit] = ACTIONS(2410),
    [anon_sym_vararg] = ACTIONS(2410),
    [anon_sym_noinline] = ACTIONS(2410),
    [anon_sym_crossinline] = ACTIONS(2410),
    [anon_sym_expect] = ACTIONS(2410),
    [anon_sym_actual] = ACTIONS(2410),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2496] = {
    [aux_sym_user_type_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5456),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2497] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2498] = {
    [sym_type_constraints] = STATE(2990),
    [sym_function_body] = STATE(3620),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2500] = {
    [aux_sym_user_type_repeat1] = STATE(2501),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5418),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2501] = {
    [aux_sym_user_type_repeat1] = STATE(2524),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2502] = {
    [sym_catch_block] = STATE(2738),
    [sym_finally_block] = STATE(3607),
    [aux_sym_try_expression_repeat1] = STATE(2738),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5461),
    [anon_sym_finally] = ACTIONS(5463),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2503] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(2477),
    [anon_sym_constructor] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(2477),
    [anon_sym_super] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_dynamic] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2475),
    [anon_sym_super_AT] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_when] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_return_AT] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_SQUOTE] = ACTIONS(2475),
    [sym_number_literal] = ACTIONS(2477),
    [sym_float_literal] = ACTIONS(2475),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2475),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2504] = {
    [sym_type_constraints] = STATE(3017),
    [sym_function_body] = STATE(2187),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_fun] = ACTIONS(2572),
    [anon_sym_object] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2572),
    [anon_sym_this] = ACTIONS(2572),
    [anon_sym_super] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_dynamic] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_this_AT] = ACTIONS(2574),
    [anon_sym_super_AT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_when] = ACTIONS(2572),
    [anon_sym_try] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_return_AT] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [sym_number_literal] = ACTIONS(2572),
    [sym_float_literal] = ACTIONS(2574),
    [sym_label] = ACTIONS(2572),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__in] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2505] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2481),
    [anon_sym_object] = ACTIONS(2481),
    [anon_sym_constructor] = ACTIONS(2481),
    [anon_sym_this] = ACTIONS(2481),
    [anon_sym_super] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_dynamic] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2479),
    [anon_sym_super_AT] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_when] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_return_AT] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_SQUOTE] = ACTIONS(2479),
    [sym_number_literal] = ACTIONS(2481),
    [sym_float_literal] = ACTIONS(2479),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2479),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2506] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2485),
    [anon_sym_object] = ACTIONS(2485),
    [anon_sym_constructor] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(2485),
    [anon_sym_super] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_dynamic] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2483),
    [anon_sym_super_AT] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_when] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_return_AT] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_SQUOTE] = ACTIONS(2483),
    [sym_number_literal] = ACTIONS(2485),
    [sym_float_literal] = ACTIONS(2483),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2483),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2507] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(2489),
    [anon_sym_constructor] = ACTIONS(2489),
    [anon_sym_this] = ACTIONS(2489),
    [anon_sym_super] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_dynamic] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2487),
    [anon_sym_super_AT] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_when] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_return_AT] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_SQUOTE] = ACTIONS(2487),
    [sym_number_literal] = ACTIONS(2489),
    [sym_float_literal] = ACTIONS(2487),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2487),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2508] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2493),
    [anon_sym_object] = ACTIONS(2493),
    [anon_sym_constructor] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(2493),
    [anon_sym_super] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_dynamic] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2493),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2491),
    [anon_sym_super_AT] = ACTIONS(2491),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_when] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_return_AT] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_SQUOTE] = ACTIONS(2491),
    [sym_number_literal] = ACTIONS(2493),
    [sym_float_literal] = ACTIONS(2491),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2491),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2509] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2510] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_AT] = ACTIONS(2357),
    [anon_sym_LBRACK] = ACTIONS(2357),
    [anon_sym_SEMI] = ACTIONS(2357),
    [anon_sym_DOT] = ACTIONS(2355),
    [anon_sym_STAR] = ACTIONS(2355),
    [anon_sym_as] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(2355),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_GT] = ACTIONS(2355),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_set] = ACTIONS(2355),
    [anon_sym_LBRACE] = ACTIONS(2357),
    [anon_sym_in] = ACTIONS(2355),
    [anon_sym_enum] = ACTIONS(2355),
    [anon_sym_sealed] = ACTIONS(2355),
    [anon_sym_annotation] = ACTIONS(2355),
    [anon_sym_data] = ACTIONS(2355),
    [anon_sym_inner] = ACTIONS(2355),
    [anon_sym_value] = ACTIONS(2355),
    [anon_sym_tailrec] = ACTIONS(2355),
    [anon_sym_operator] = ACTIONS(2355),
    [anon_sym_infix] = ACTIONS(2355),
    [anon_sym_inline] = ACTIONS(2355),
    [anon_sym_external] = ACTIONS(2355),
    [anon_sym_suspend] = ACTIONS(2355),
    [anon_sym_const] = ACTIONS(2355),
    [anon_sym_public] = ACTIONS(2355),
    [anon_sym_private] = ACTIONS(2355),
    [anon_sym_protected] = ACTIONS(2355),
    [anon_sym_internal] = ACTIONS(2355),
    [anon_sym_abstract] = ACTIONS(2355),
    [anon_sym_final] = ACTIONS(2355),
    [anon_sym_open] = ACTIONS(2355),
    [anon_sym_override] = ACTIONS(2355),
    [anon_sym_lateinit] = ACTIONS(2355),
    [anon_sym_vararg] = ACTIONS(2355),
    [anon_sym_noinline] = ACTIONS(2355),
    [anon_sym_crossinline] = ACTIONS(2355),
    [anon_sym_expect] = ACTIONS(2355),
    [anon_sym_actual] = ACTIONS(2355),
    [anon_sym_PLUS_EQ] = ACTIONS(2357),
    [anon_sym_DASH_EQ] = ACTIONS(2357),
    [anon_sym_STAR_EQ] = ACTIONS(2357),
    [anon_sym_SLASH_EQ] = ACTIONS(2357),
    [anon_sym_PERCENT_EQ] = ACTIONS(2357),
    [anon_sym_PLUS_PLUS] = ACTIONS(2357),
    [anon_sym_DASH_DASH] = ACTIONS(2357),
    [anon_sym_PLUS] = ACTIONS(2355),
    [anon_sym_DASH] = ACTIONS(2355),
    [anon_sym_BANG_BANG] = ACTIONS(2357),
    [anon_sym_SLASH] = ACTIONS(2355),
    [anon_sym_PERCENT] = ACTIONS(2355),
    [anon_sym_PIPE_PIPE] = ACTIONS(2357),
    [anon_sym_AMP_AMP] = ACTIONS(2357),
    [anon_sym_BANG_EQ] = ACTIONS(2355),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2357),
    [anon_sym_EQ_EQ] = ACTIONS(2355),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2357),
    [anon_sym_GT_EQ] = ACTIONS(2357),
    [anon_sym_LT_EQ] = ACTIONS(2357),
    [anon_sym_QMARK_COLON] = ACTIONS(2357),
    [anon_sym_BANGin] = ACTIONS(2357),
    [anon_sym_is] = ACTIONS(2355),
    [anon_sym_as_QMARK] = ACTIONS(2357),
    [anon_sym_DOT_DOT] = ACTIONS(2355),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2357),
    [anon_sym_else] = ACTIONS(2355),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [sym_label] = ACTIONS(2357),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2357),
    [sym__q_dot] = ACTIONS(2357),
  },
  [2511] = {
    [sym_type_constraints] = STATE(3024),
    [sym_function_body] = STATE(2230),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5469),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2495),
    [anon_sym_this] = ACTIONS(2495),
    [anon_sym_super] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4323),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_dynamic] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_this_AT] = ACTIONS(2497),
    [anon_sym_super_AT] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_when] = ACTIONS(2495),
    [anon_sym_try] = ACTIONS(2495),
    [anon_sym_return] = ACTIONS(2495),
    [anon_sym_return_AT] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [sym_float_literal] = ACTIONS(2497),
    [sym_label] = ACTIONS(2495),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__in] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2512] = {
    [sym_catch_block] = STATE(2618),
    [sym_finally_block] = STATE(3323),
    [aux_sym_try_expression_repeat1] = STATE(2618),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5471),
    [anon_sym_finally] = ACTIONS(5473),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2418),
    [anon_sym_fun] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2418),
    [anon_sym_object] = ACTIONS(2418),
    [anon_sym_val] = ACTIONS(2418),
    [anon_sym_var] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2418),
    [anon_sym_sealed] = ACTIONS(2418),
    [anon_sym_annotation] = ACTIONS(2418),
    [anon_sym_data] = ACTIONS(2418),
    [anon_sym_inner] = ACTIONS(2418),
    [anon_sym_value] = ACTIONS(2418),
    [anon_sym_tailrec] = ACTIONS(2418),
    [anon_sym_operator] = ACTIONS(2418),
    [anon_sym_infix] = ACTIONS(2418),
    [anon_sym_inline] = ACTIONS(2418),
    [anon_sym_external] = ACTIONS(2418),
    [anon_sym_suspend] = ACTIONS(2418),
    [anon_sym_const] = ACTIONS(2418),
    [anon_sym_public] = ACTIONS(2418),
    [anon_sym_private] = ACTIONS(2418),
    [anon_sym_protected] = ACTIONS(2418),
    [anon_sym_internal] = ACTIONS(2418),
    [anon_sym_abstract] = ACTIONS(2418),
    [anon_sym_final] = ACTIONS(2418),
    [anon_sym_open] = ACTIONS(2418),
    [anon_sym_override] = ACTIONS(2418),
    [anon_sym_lateinit] = ACTIONS(2418),
    [anon_sym_vararg] = ACTIONS(2418),
    [anon_sym_noinline] = ACTIONS(2418),
    [anon_sym_crossinline] = ACTIONS(2418),
    [anon_sym_expect] = ACTIONS(2418),
    [anon_sym_actual] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2514] = {
    [sym_type_constraints] = STATE(3036),
    [sym_function_body] = STATE(3282),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5475),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2515] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2448),
    [anon_sym_object] = ACTIONS(2448),
    [anon_sym_constructor] = ACTIONS(2448),
    [anon_sym_this] = ACTIONS(2448),
    [anon_sym_super] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_dynamic] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2446),
    [anon_sym_super_AT] = ACTIONS(2446),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_when] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_return_AT] = ACTIONS(2446),
    [anon_sym_throw] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [sym_number_literal] = ACTIONS(2448),
    [sym_float_literal] = ACTIONS(2446),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2446),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2517] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2518] = {
    [aux_sym_user_type_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5429),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2519] = {
    [aux_sym_user_type_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5477),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2520] = {
    [aux_sym_user_type_repeat1] = STATE(2539),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2521] = {
    [sym_type_constraints] = STATE(3040),
    [sym_function_body] = STATE(3328),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2522] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5484),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(5512),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2523] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2524] = {
    [aux_sym_user_type_repeat1] = STATE(2524),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5516),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2526] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5519),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5523),
    [anon_sym_DASH_EQ] = ACTIONS(5523),
    [anon_sym_STAR_EQ] = ACTIONS(5523),
    [anon_sym_SLASH_EQ] = ACTIONS(5523),
    [anon_sym_PERCENT_EQ] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2527] = {
    [sym_type_constraints] = STATE(2936),
    [sym_function_body] = STATE(3370),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5527),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2528] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(5535),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2529] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5541),
    [anon_sym_DASH_EQ] = ACTIONS(5541),
    [anon_sym_STAR_EQ] = ACTIONS(5541),
    [anon_sym_SLASH_EQ] = ACTIONS(5541),
    [anon_sym_PERCENT_EQ] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2530] = {
    [aux_sym_user_type_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2531] = {
    [sym_annotation] = STATE(8553),
    [sym_annotated_lambda] = STATE(3239),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2532] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2423),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_fun] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_val] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2426),
    [anon_sym_sealed] = ACTIONS(2426),
    [anon_sym_annotation] = ACTIONS(2426),
    [anon_sym_data] = ACTIONS(2426),
    [anon_sym_inner] = ACTIONS(2426),
    [anon_sym_value] = ACTIONS(2426),
    [anon_sym_tailrec] = ACTIONS(2426),
    [anon_sym_operator] = ACTIONS(2426),
    [anon_sym_infix] = ACTIONS(2426),
    [anon_sym_inline] = ACTIONS(2426),
    [anon_sym_external] = ACTIONS(2426),
    [anon_sym_suspend] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_internal] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_final] = ACTIONS(2426),
    [anon_sym_open] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_lateinit] = ACTIONS(2426),
    [anon_sym_vararg] = ACTIONS(2426),
    [anon_sym_noinline] = ACTIONS(2426),
    [anon_sym_crossinline] = ACTIONS(2426),
    [anon_sym_expect] = ACTIONS(2426),
    [anon_sym_actual] = ACTIONS(2426),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2533] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2534] = {
    [sym_type_constraints] = STATE(2940),
    [sym_function_body] = STATE(3411),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2535] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5547),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5396),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5398),
    [anon_sym_DASH_EQ] = ACTIONS(5398),
    [anon_sym_STAR_EQ] = ACTIONS(5398),
    [anon_sym_SLASH_EQ] = ACTIONS(5398),
    [anon_sym_PERCENT_EQ] = ACTIONS(5398),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2536] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2431),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_fun] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_val] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_sealed] = ACTIONS(2434),
    [anon_sym_annotation] = ACTIONS(2434),
    [anon_sym_data] = ACTIONS(2434),
    [anon_sym_inner] = ACTIONS(2434),
    [anon_sym_value] = ACTIONS(2434),
    [anon_sym_tailrec] = ACTIONS(2434),
    [anon_sym_operator] = ACTIONS(2434),
    [anon_sym_infix] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym_external] = ACTIONS(2434),
    [anon_sym_suspend] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_internal] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_final] = ACTIONS(2434),
    [anon_sym_open] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_lateinit] = ACTIONS(2434),
    [anon_sym_vararg] = ACTIONS(2434),
    [anon_sym_noinline] = ACTIONS(2434),
    [anon_sym_crossinline] = ACTIONS(2434),
    [anon_sym_expect] = ACTIONS(2434),
    [anon_sym_actual] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2537] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_constructor] = ACTIONS(2441),
    [anon_sym_this] = ACTIONS(2441),
    [anon_sym_super] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_dynamic] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2441),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2439),
    [anon_sym_super_AT] = ACTIONS(2439),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_when] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_return_AT] = ACTIONS(2439),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_SQUOTE] = ACTIONS(2439),
    [sym_number_literal] = ACTIONS(2441),
    [sym_float_literal] = ACTIONS(2439),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2439),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2538] = {
    [sym_value_arguments] = STATE(2000),
    [sym_annotation] = STATE(8653),
    [sym_type_arguments] = STATE(8344),
    [sym_annotated_lambda] = STATE(2167),
    [sym_lambda_literal] = STATE(2169),
    [aux_sym_delegation_specifier_repeat1] = STATE(8653),
    [sym_identifier] = ACTIONS(5290),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4157),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4159),
    [anon_sym_STAR] = ACTIONS(5292),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_fun] = ACTIONS(2473),
    [anon_sym_object] = ACTIONS(2473),
    [anon_sym_constructor] = ACTIONS(2473),
    [anon_sym_this] = ACTIONS(2473),
    [anon_sym_super] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(5294),
    [anon_sym_GT] = ACTIONS(5367),
    [anon_sym_LPAREN] = ACTIONS(4171),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(1827),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(5296),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_dynamic] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4177),
    [anon_sym_DASH_DASH] = ACTIONS(4177),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_BANG_BANG] = ACTIONS(4177),
    [anon_sym_SLASH] = ACTIONS(5300),
    [anon_sym_PERCENT] = ACTIONS(5292),
    [anon_sym_PIPE_PIPE] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5369),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5373),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5373),
    [anon_sym_GT_EQ] = ACTIONS(5375),
    [anon_sym_LT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_COLON] = ACTIONS(5302),
    [anon_sym_BANGin] = ACTIONS(5304),
    [anon_sym_is] = ACTIONS(4195),
    [anon_sym_as_QMARK] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(5306),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5308),
    [anon_sym_this_AT] = ACTIONS(2471),
    [anon_sym_super_AT] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_when] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_return_AT] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4203),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_SQUOTE] = ACTIONS(2471),
    [sym_number_literal] = ACTIONS(2473),
    [sym_float_literal] = ACTIONS(2471),
    [sym_label] = ACTIONS(4205),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4207),
    [sym__in] = ACTIONS(2471),
    [sym__q_dot] = ACTIONS(4203),
  },
  [2539] = {
    [aux_sym_user_type_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2540] = {
    [sym_type_constraints] = STATE(2952),
    [sym_function_body] = STATE(3449),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2541] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(2439),
    [anon_sym_DASH_EQ] = ACTIONS(2439),
    [anon_sym_STAR_EQ] = ACTIONS(2439),
    [anon_sym_SLASH_EQ] = ACTIONS(2439),
    [anon_sym_PERCENT_EQ] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2542] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(2339),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5553),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2339),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2543] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2544] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2545] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2450),
    [anon_sym_DASH_EQ] = ACTIONS(2450),
    [anon_sym_STAR_EQ] = ACTIONS(2450),
    [anon_sym_SLASH_EQ] = ACTIONS(2450),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2546] = {
    [sym_type_constraints] = STATE(2955),
    [sym_function_body] = STATE(3495),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2547] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5553),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2548] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2549] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2550] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2551] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2552] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2553] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2554] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2555] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2556] = {
    [sym_type_constraints] = STATE(3238),
    [sym_function_body] = STATE(3770),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2557] = {
    [sym_type_constraints] = STATE(3240),
    [sym_function_body] = STATE(3778),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2558] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2559] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2560] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2561] = {
    [aux_sym_user_type_repeat1] = STATE(2605),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5571),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2562] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(5553),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_EQ] = ACTIONS(2335),
    [anon_sym_DASH_EQ] = ACTIONS(2335),
    [anon_sym_STAR_EQ] = ACTIONS(2335),
    [anon_sym_SLASH_EQ] = ACTIONS(2335),
    [anon_sym_PERCENT_EQ] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2563] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_EQ] = ACTIONS(2459),
    [anon_sym_DASH_EQ] = ACTIONS(2459),
    [anon_sym_STAR_EQ] = ACTIONS(2459),
    [anon_sym_SLASH_EQ] = ACTIONS(2459),
    [anon_sym_PERCENT_EQ] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2564] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2565] = {
    [aux_sym_user_type_repeat1] = STATE(2567),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2566] = {
    [sym_type_arguments] = STATE(2750),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2567] = {
    [aux_sym_user_type_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2568] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2569] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2570] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2571] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2572] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2573] = {
    [sym_type_constraints] = STATE(3250),
    [sym_function_body] = STATE(3844),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2574] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2575] = {
    [sym_type_constraints] = STATE(3251),
    [sym_function_body] = STATE(3852),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2576] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5523),
    [anon_sym_DASH_EQ] = ACTIONS(5523),
    [anon_sym_STAR_EQ] = ACTIONS(5523),
    [anon_sym_SLASH_EQ] = ACTIONS(5523),
    [anon_sym_PERCENT_EQ] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2577] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5523),
    [anon_sym_DASH_EQ] = ACTIONS(5523),
    [anon_sym_STAR_EQ] = ACTIONS(5523),
    [anon_sym_SLASH_EQ] = ACTIONS(5523),
    [anon_sym_PERCENT_EQ] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2578] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(5228),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5234),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5521),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_GT] = ACTIONS(5240),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5523),
    [anon_sym_DASH_EQ] = ACTIONS(5523),
    [anon_sym_STAR_EQ] = ACTIONS(5523),
    [anon_sym_SLASH_EQ] = ACTIONS(5523),
    [anon_sym_PERCENT_EQ] = ACTIONS(5523),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(5234),
    [anon_sym_PERCENT] = ACTIONS(5234),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_BANG_EQ] = ACTIONS(5254),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5256),
    [anon_sym_EQ_EQ] = ACTIONS(5254),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5256),
    [anon_sym_GT_EQ] = ACTIONS(5258),
    [anon_sym_LT_EQ] = ACTIONS(5258),
    [anon_sym_QMARK_COLON] = ACTIONS(5260),
    [anon_sym_BANGin] = ACTIONS(5262),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(5268),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5270),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [2579] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2580] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2581] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2582] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2583] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2584] = {
    [sym_type_constraints] = STATE(3255),
    [sym_function_body] = STATE(3927),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2585] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2473),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_EQ] = ACTIONS(2471),
    [anon_sym_DASH_EQ] = ACTIONS(2471),
    [anon_sym_STAR_EQ] = ACTIONS(2471),
    [anon_sym_SLASH_EQ] = ACTIONS(2471),
    [anon_sym_PERCENT_EQ] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2586] = {
    [sym_type_constraints] = STATE(3256),
    [sym_function_body] = STATE(3941),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2587] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2588] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2589] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(5170),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5178),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_EQ] = ACTIONS(5531),
    [anon_sym_LT] = ACTIONS(5184),
    [anon_sym_GT] = ACTIONS(5186),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(5190),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5533),
    [anon_sym_DASH_EQ] = ACTIONS(5533),
    [anon_sym_STAR_EQ] = ACTIONS(5533),
    [anon_sym_SLASH_EQ] = ACTIONS(5533),
    [anon_sym_PERCENT_EQ] = ACTIONS(5533),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(5196),
    [anon_sym_DASH] = ACTIONS(5196),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(5178),
    [anon_sym_PERCENT] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE] = ACTIONS(5198),
    [anon_sym_AMP_AMP] = ACTIONS(5200),
    [anon_sym_BANG_EQ] = ACTIONS(5202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5204),
    [anon_sym_EQ_EQ] = ACTIONS(5202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5204),
    [anon_sym_GT_EQ] = ACTIONS(5206),
    [anon_sym_LT_EQ] = ACTIONS(5206),
    [anon_sym_QMARK_COLON] = ACTIONS(5208),
    [anon_sym_BANGin] = ACTIONS(5210),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(5216),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5218),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [2590] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2477),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_EQ] = ACTIONS(2475),
    [anon_sym_DASH_EQ] = ACTIONS(2475),
    [anon_sym_STAR_EQ] = ACTIONS(2475),
    [anon_sym_SLASH_EQ] = ACTIONS(2475),
    [anon_sym_PERCENT_EQ] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2591] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2481),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_EQ] = ACTIONS(2479),
    [anon_sym_DASH_EQ] = ACTIONS(2479),
    [anon_sym_STAR_EQ] = ACTIONS(2479),
    [anon_sym_SLASH_EQ] = ACTIONS(2479),
    [anon_sym_PERCENT_EQ] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2592] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2485),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_EQ] = ACTIONS(2483),
    [anon_sym_DASH_EQ] = ACTIONS(2483),
    [anon_sym_STAR_EQ] = ACTIONS(2483),
    [anon_sym_SLASH_EQ] = ACTIONS(2483),
    [anon_sym_PERCENT_EQ] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2593] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_EQ] = ACTIONS(2487),
    [anon_sym_DASH_EQ] = ACTIONS(2487),
    [anon_sym_STAR_EQ] = ACTIONS(2487),
    [anon_sym_SLASH_EQ] = ACTIONS(2487),
    [anon_sym_PERCENT_EQ] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2594] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(2493),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_EQ] = ACTIONS(2491),
    [anon_sym_DASH_EQ] = ACTIONS(2491),
    [anon_sym_STAR_EQ] = ACTIONS(2491),
    [anon_sym_SLASH_EQ] = ACTIONS(2491),
    [anon_sym_PERCENT_EQ] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2595] = {
    [sym_type_constraints] = STATE(3260),
    [sym_function_body] = STATE(4021),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2596] = {
    [sym_type_constraints] = STATE(3261),
    [sym_function_body] = STATE(4035),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2597] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5541),
    [anon_sym_DASH_EQ] = ACTIONS(5541),
    [anon_sym_STAR_EQ] = ACTIONS(5541),
    [anon_sym_SLASH_EQ] = ACTIONS(5541),
    [anon_sym_PERCENT_EQ] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2598] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5541),
    [anon_sym_DASH_EQ] = ACTIONS(5541),
    [anon_sym_STAR_EQ] = ACTIONS(5541),
    [anon_sym_SLASH_EQ] = ACTIONS(5541),
    [anon_sym_PERCENT_EQ] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2599] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(5329),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5539),
    [anon_sym_LT] = ACTIONS(5331),
    [anon_sym_GT] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5541),
    [anon_sym_DASH_EQ] = ACTIONS(5541),
    [anon_sym_STAR_EQ] = ACTIONS(5541),
    [anon_sym_SLASH_EQ] = ACTIONS(5541),
    [anon_sym_PERCENT_EQ] = ACTIONS(5541),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(5128),
    [anon_sym_DASH] = ACTIONS(5128),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5339),
    [anon_sym_BANG_EQ] = ACTIONS(5341),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5341),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5345),
    [anon_sym_QMARK_COLON] = ACTIONS(5347),
    [anon_sym_BANGin] = ACTIONS(5349),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(5132),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [2600] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2601] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2602] = {
    [sym_type_arguments] = STATE(2732),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5623),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2603] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2604] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_EQ] = ACTIONS(5617),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(5619),
    [anon_sym_DASH_EQ] = ACTIONS(5619),
    [anon_sym_STAR_EQ] = ACTIONS(5619),
    [anon_sym_SLASH_EQ] = ACTIONS(5619),
    [anon_sym_PERCENT_EQ] = ACTIONS(5619),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(5155),
    [anon_sym_DASH] = ACTIONS(5155),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5500),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5502),
    [anon_sym_EQ_EQ] = ACTIONS(5500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5502),
    [anon_sym_GT_EQ] = ACTIONS(5504),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_QMARK_COLON] = ACTIONS(5506),
    [anon_sym_BANGin] = ACTIONS(5508),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(5159),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5161),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [2605] = {
    [aux_sym_user_type_repeat1] = STATE(2524),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2606] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2607] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2608] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2609] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2610] = {
    [sym_annotation] = STATE(8606),
    [sym_annotated_lambda] = STATE(3325),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2611] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2612] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2613] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2614] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2615] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2616] = {
    [aux_sym_user_type_repeat1] = STATE(2617),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5628),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2617] = {
    [aux_sym_user_type_repeat1] = STATE(2696),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5632),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2618] = {
    [sym_catch_block] = STATE(2618),
    [aux_sym_try_expression_repeat1] = STATE(2618),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5636),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2619] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2620] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2621] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2622] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2623] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2624] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2625] = {
    [aux_sym_user_type_repeat1] = STATE(2628),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2626] = {
    [sym_annotation] = STATE(8592),
    [sym_annotated_lambda] = STATE(3395),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2627] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2628] = {
    [aux_sym_user_type_repeat1] = STATE(2709),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2629] = {
    [sym_annotation] = STATE(8592),
    [sym_annotated_lambda] = STATE(3408),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2630] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2631] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2632] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2633] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2634] = {
    [aux_sym_user_type_repeat1] = STATE(2683),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2635] = {
    [sym_catch_block] = STATE(2635),
    [aux_sym_try_expression_repeat1] = STATE(2635),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5654),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2636] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2637] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2638] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2639] = {
    [sym_function_body] = STATE(2123),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_where] = ACTIONS(2977),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2640] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2641] = {
    [sym_function_body] = STATE(2137),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_where] = ACTIONS(2981),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2642] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2643] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2644] = {
    [sym_function_body] = STATE(2200),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(4676),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_where] = ACTIONS(2989),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2645] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2646] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2647] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2648] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2649] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2650] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2651] = {
    [sym_catch_block] = STATE(2863),
    [sym_finally_block] = STATE(4015),
    [aux_sym_try_expression_repeat1] = STATE(2863),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5665),
    [anon_sym_finally] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2652] = {
    [aux_sym_user_type_repeat1] = STATE(2660),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2653] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2654] = {
    [sym_type_arguments] = STATE(2875),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2655] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(3096),
  },
  [2656] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2657] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2658] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2659] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2660] = {
    [aux_sym_user_type_repeat1] = STATE(2670),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2661] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2662] = {
    [sym_type_arguments] = STATE(2909),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5677),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2663] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2664] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2665] = {
    [sym_annotation] = STATE(8570),
    [sym_annotated_lambda] = STATE(3477),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2666] = {
    [sym_type_arguments] = STATE(8021),
    [sym_identifier] = ACTIONS(5679),
    [anon_sym_AT] = ACTIONS(5681),
    [anon_sym_COLON] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5681),
    [anon_sym_SEMI] = ACTIONS(5681),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_fun] = ACTIONS(5679),
    [anon_sym_object] = ACTIONS(5679),
    [anon_sym_EQ] = ACTIONS(5681),
    [anon_sym_constructor] = ACTIONS(5679),
    [anon_sym_this] = ACTIONS(5679),
    [anon_sym_super] = ACTIONS(5679),
    [anon_sym_LT] = ACTIONS(5685),
    [anon_sym_LPAREN] = ACTIONS(5681),
    [anon_sym_where] = ACTIONS(5679),
    [anon_sym_by] = ACTIONS(5679),
    [anon_sym_get] = ACTIONS(5679),
    [anon_sym_set] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(5681),
    [anon_sym_RBRACE] = ACTIONS(5681),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_sealed] = ACTIONS(5679),
    [anon_sym_annotation] = ACTIONS(5679),
    [anon_sym_data] = ACTIONS(5679),
    [anon_sym_inner] = ACTIONS(5679),
    [anon_sym_value] = ACTIONS(5679),
    [anon_sym_tailrec] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_infix] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym_external] = ACTIONS(5679),
    [anon_sym_suspend] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_internal] = ACTIONS(5679),
    [anon_sym_abstract] = ACTIONS(5679),
    [anon_sym_final] = ACTIONS(5679),
    [anon_sym_open] = ACTIONS(5679),
    [anon_sym_override] = ACTIONS(5679),
    [anon_sym_lateinit] = ACTIONS(5679),
    [anon_sym_vararg] = ACTIONS(5679),
    [anon_sym_noinline] = ACTIONS(5679),
    [anon_sym_crossinline] = ACTIONS(5679),
    [anon_sym_expect] = ACTIONS(5679),
    [anon_sym_actual] = ACTIONS(5679),
    [anon_sym_dynamic] = ACTIONS(5679),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(5681),
    [anon_sym_DASH_DASH] = ACTIONS(5681),
    [anon_sym_PLUS] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5679),
    [anon_sym_BANG] = ACTIONS(5679),
    [anon_sym_BANGin] = ACTIONS(5681),
    [anon_sym_is] = ACTIONS(5679),
    [anon_sym_this_AT] = ACTIONS(5681),
    [anon_sym_super_AT] = ACTIONS(5681),
    [anon_sym_if] = ACTIONS(5679),
    [anon_sym_else] = ACTIONS(5679),
    [anon_sym_when] = ACTIONS(5679),
    [anon_sym_try] = ACTIONS(5679),
    [anon_sym_return] = ACTIONS(5679),
    [anon_sym_return_AT] = ACTIONS(5681),
    [anon_sym_throw] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5681),
    [anon_sym_SQUOTE] = ACTIONS(5681),
    [sym_number_literal] = ACTIONS(5679),
    [sym_float_literal] = ACTIONS(5681),
    [sym_label] = ACTIONS(5679),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(5681),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5681),
    [sym__in] = ACTIONS(5681),
  },
  [2667] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2668] = {
    [sym_annotation] = STATE(8570),
    [sym_annotated_lambda] = STATE(3492),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2669] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2670] = {
    [aux_sym_user_type_repeat1] = STATE(2670),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2671] = {
    [sym_catch_block] = STATE(2671),
    [aux_sym_try_expression_repeat1] = STATE(2671),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5690),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2672] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(3176),
  },
  [2673] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2674] = {
    [aux_sym_user_type_repeat1] = STATE(2674),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2675] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2676] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2677] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2678] = {
    [aux_sym_user_type_repeat1] = STATE(2689),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2679] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2680] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2681] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2682] = {
    [sym_type_arguments] = STATE(2795),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5699),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2683] = {
    [aux_sym_user_type_repeat1] = STATE(2674),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2684] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2685] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2686] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2687] = {
    [sym_catch_block] = STATE(2841),
    [sym_finally_block] = STATE(3919),
    [aux_sym_try_expression_repeat1] = STATE(2841),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5704),
    [anon_sym_finally] = ACTIONS(5706),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2688] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(3168),
  },
  [2689] = {
    [aux_sym_user_type_repeat1] = STATE(2696),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5708),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2690] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2691] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2692] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2693] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2694] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2695] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2696] = {
    [aux_sym_user_type_repeat1] = STATE(2696),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2697] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2698] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2699] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2700] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2701] = {
    [aux_sym_user_type_repeat1] = STATE(2703),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(2545),
    [anon_sym_as] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_in] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2545),
    [anon_sym_AMP] = ACTIONS(2545),
    [anon_sym_PLUS_EQ] = ACTIONS(2547),
    [anon_sym_DASH_EQ] = ACTIONS(2547),
    [anon_sym_STAR_EQ] = ACTIONS(2547),
    [anon_sym_SLASH_EQ] = ACTIONS(2547),
    [anon_sym_PERCENT_EQ] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG_BANG] = ACTIONS(2547),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_PERCENT] = ACTIONS(2545),
    [anon_sym_PIPE_PIPE] = ACTIONS(2547),
    [anon_sym_AMP_AMP] = ACTIONS(2547),
    [anon_sym_BANG_EQ] = ACTIONS(2545),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2547),
    [anon_sym_EQ_EQ] = ACTIONS(2545),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2547),
    [anon_sym_GT_EQ] = ACTIONS(2547),
    [anon_sym_LT_EQ] = ACTIONS(2547),
    [anon_sym_QMARK_COLON] = ACTIONS(2547),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_as_QMARK] = ACTIONS(2547),
    [anon_sym_DOT_DOT] = ACTIONS(2545),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [sym_label] = ACTIONS(2547),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__q_dot] = ACTIONS(2547),
  },
  [2702] = {
    [sym_type_arguments] = STATE(2821),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_as] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG_BANG] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2554),
    [anon_sym_BANG_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2554),
    [anon_sym_QMARK_COLON] = ACTIONS(2554),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_as_QMARK] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2554),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [sym_label] = ACTIONS(2554),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__q_dot] = ACTIONS(2554),
  },
  [2703] = {
    [aux_sym_user_type_repeat1] = STATE(2709),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2704] = {
    [sym_catch_block] = STATE(2834),
    [sym_finally_block] = STATE(3759),
    [aux_sym_try_expression_repeat1] = STATE(2834),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5726),
    [anon_sym_finally] = ACTIONS(5728),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2705] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2706] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2707] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2708] = {
    [aux_sym_user_type_repeat1] = STATE(2710),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5628),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2709] = {
    [aux_sym_user_type_repeat1] = STATE(2709),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5730),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2710] = {
    [aux_sym_user_type_repeat1] = STATE(2696),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5632),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2711] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2712] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2713] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2714] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2715] = {
    [aux_sym_user_type_repeat1] = STATE(2717),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5733),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2716] = {
    [sym_annotation] = STATE(8614),
    [sym_annotated_lambda] = STATE(3580),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2717] = {
    [aux_sym_user_type_repeat1] = STATE(2674),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2718] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2719] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2720] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2721] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2722] = {
    [aux_sym_user_type_repeat1] = STATE(2723),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2723] = {
    [aux_sym_user_type_repeat1] = STATE(2709),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2724] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2725] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2726] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2727] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2728] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2729] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(3080),
  },
  [2730] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2731] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2732] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2733] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2734] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2735] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2736] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2737] = {
    [sym_type_constraints] = STATE(3237),
    [sym_function_body] = STATE(3719),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2738] = {
    [sym_catch_block] = STATE(2738),
    [aux_sym_try_expression_repeat1] = STATE(2738),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5743),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2739] = {
    [aux_sym_user_type_repeat1] = STATE(2743),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_as] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2560),
    [anon_sym_DASH_EQ] = ACTIONS(2560),
    [anon_sym_STAR_EQ] = ACTIONS(2560),
    [anon_sym_SLASH_EQ] = ACTIONS(2560),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG_BANG] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2560),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2560),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_QMARK_COLON] = ACTIONS(2560),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_as_QMARK] = ACTIONS(2560),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [sym_label] = ACTIONS(2560),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__q_dot] = ACTIONS(2560),
  },
  [2740] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2741] = {
    [sym_type_constraints] = STATE(3238),
    [sym_function_body] = STATE(3770),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2742] = {
    [sym_annotation] = STATE(8606),
    [sym_annotated_lambda] = STATE(3309),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2743] = {
    [aux_sym_user_type_repeat1] = STATE(2670),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(2513),
    [anon_sym_as] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_GT] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_in] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2515),
    [anon_sym_DASH_EQ] = ACTIONS(2515),
    [anon_sym_STAR_EQ] = ACTIONS(2515),
    [anon_sym_SLASH_EQ] = ACTIONS(2515),
    [anon_sym_PERCENT_EQ] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG_BANG] = ACTIONS(2515),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_PERCENT] = ACTIONS(2513),
    [anon_sym_PIPE_PIPE] = ACTIONS(2515),
    [anon_sym_AMP_AMP] = ACTIONS(2515),
    [anon_sym_BANG_EQ] = ACTIONS(2513),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2515),
    [anon_sym_EQ_EQ] = ACTIONS(2513),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2515),
    [anon_sym_GT_EQ] = ACTIONS(2515),
    [anon_sym_LT_EQ] = ACTIONS(2515),
    [anon_sym_QMARK_COLON] = ACTIONS(2515),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_as_QMARK] = ACTIONS(2515),
    [anon_sym_DOT_DOT] = ACTIONS(2513),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [sym_label] = ACTIONS(2515),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__q_dot] = ACTIONS(2515),
  },
  [2744] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2745] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2746] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2747] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_by] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__in] = ACTIONS(2408),
  },
  [2748] = {
    [sym_annotation] = STATE(8614),
    [sym_annotated_lambda] = STATE(3610),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2749] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2750] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2751] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2752] = {
    [aux_sym_user_type_repeat1] = STATE(2754),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5733),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2753] = {
    [sym_type_constraints] = STATE(3248),
    [sym_function_body] = STATE(3805),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2754] = {
    [aux_sym_user_type_repeat1] = STATE(2674),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5737),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2755] = {
    [sym_type_constraints] = STATE(3250),
    [sym_function_body] = STATE(3844),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5758),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2756] = {
    [sym_catch_block] = STATE(2882),
    [sym_finally_block] = STATE(3838),
    [aux_sym_try_expression_repeat1] = STATE(2882),
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_catch] = ACTIONS(5760),
    [anon_sym_finally] = ACTIONS(5762),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [2757] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2758] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2759] = {
    [sym_type_constraints] = STATE(3254),
    [sym_function_body] = STATE(3879),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2760] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2761] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2762] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2763] = {
    [sym_type_arguments] = STATE(3011),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_fun] = ACTIONS(2552),
    [anon_sym_object] = ACTIONS(2552),
    [anon_sym_EQ] = ACTIONS(2554),
    [anon_sym_constructor] = ACTIONS(2552),
    [anon_sym_this] = ACTIONS(2552),
    [anon_sym_super] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_where] = ACTIONS(2552),
    [anon_sym_by] = ACTIONS(2552),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_dynamic] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_BANGin] = ACTIONS(2554),
    [anon_sym_is] = ACTIONS(2552),
    [anon_sym_this_AT] = ACTIONS(2554),
    [anon_sym_super_AT] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_when] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_return_AT] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2552),
    [sym_float_literal] = ACTIONS(2554),
    [sym_label] = ACTIONS(2552),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2554),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2554),
    [sym__in] = ACTIONS(2554),
  },
  [2764] = {
    [sym_type_constraints] = STATE(3255),
    [sym_function_body] = STATE(3927),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2765] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2766] = {
    [sym_type_constraints] = STATE(3259),
    [sym_function_body] = STATE(3976),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2572),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2572),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [2767] = {
    [sym_type_constraints] = STATE(3260),
    [sym_function_body] = STATE(4021),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [2768] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2769] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2770] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2771] = {
    [aux_sym_user_type_repeat1] = STATE(2775),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_as] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_PLUS_EQ] = ACTIONS(2527),
    [anon_sym_DASH_EQ] = ACTIONS(2527),
    [anon_sym_STAR_EQ] = ACTIONS(2527),
    [anon_sym_SLASH_EQ] = ACTIONS(2527),
    [anon_sym_PERCENT_EQ] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG_BANG] = ACTIONS(2527),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2527),
    [anon_sym_AMP_AMP] = ACTIONS(2527),
    [anon_sym_BANG_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2527),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2527),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_QMARK_COLON] = ACTIONS(2527),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_as_QMARK] = ACTIONS(2527),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2527),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [sym_label] = ACTIONS(2527),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__q_dot] = ACTIONS(2527),
  },
  [2772] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_as] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2580),
    [anon_sym_DASH_EQ] = ACTIONS(2580),
    [anon_sym_STAR_EQ] = ACTIONS(2580),
    [anon_sym_SLASH_EQ] = ACTIONS(2580),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG_BANG] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2578),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2580),
    [anon_sym_EQ_EQ] = ACTIONS(2578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_QMARK_COLON] = ACTIONS(2580),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_as_QMARK] = ACTIONS(2580),
    [anon_sym_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [sym_label] = ACTIONS(2580),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__q_dot] = ACTIONS(2580),
  },
  [2773] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2774] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2775] = {
    [aux_sym_user_type_repeat1] = STATE(2670),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(2521),
    [anon_sym_as] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_in] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2521),
    [anon_sym_AMP] = ACTIONS(2521),
    [anon_sym_PLUS_EQ] = ACTIONS(2534),
    [anon_sym_DASH_EQ] = ACTIONS(2534),
    [anon_sym_STAR_EQ] = ACTIONS(2534),
    [anon_sym_SLASH_EQ] = ACTIONS(2534),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG_BANG] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_PERCENT] = ACTIONS(2521),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2534),
    [anon_sym_EQ_EQ] = ACTIONS(2521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_QMARK_COLON] = ACTIONS(2534),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_as_QMARK] = ACTIONS(2534),
    [anon_sym_DOT_DOT] = ACTIONS(2521),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2534),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [sym_label] = ACTIONS(2534),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__q_dot] = ACTIONS(2534),
  },
  [2776] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2777] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2778] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_fun] = ACTIONS(2578),
    [anon_sym_object] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_constructor] = ACTIONS(2578),
    [anon_sym_this] = ACTIONS(2578),
    [anon_sym_super] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2580),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_where] = ACTIONS(2578),
    [anon_sym_by] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_dynamic] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_BANGin] = ACTIONS(2580),
    [anon_sym_is] = ACTIONS(2578),
    [anon_sym_this_AT] = ACTIONS(2580),
    [anon_sym_super_AT] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_return_AT] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2578),
    [sym_float_literal] = ACTIONS(2580),
    [sym_label] = ACTIONS(2578),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2580),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2580),
    [sym__in] = ACTIONS(2580),
  },
  [2779] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2780] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2781] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2782] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2783] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [2784] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2785] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2786] = {
    [aux_sym_type_constraints_repeat1] = STATE(2786),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5774),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [2787] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2788] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2789] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2790] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2791] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2792] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [2793] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2794] = {
    [sym_annotation] = STATE(8627),
    [sym_annotated_lambda] = STATE(3840),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2795] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2796] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2797] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2798] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2799] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [2800] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [2801] = {
    [sym_annotation] = STATE(8609),
    [sym_annotated_lambda] = STATE(3905),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2802] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2803] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2804] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2805] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [2806] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2807] = {
    [sym_annotation] = STATE(8609),
    [sym_annotated_lambda] = STATE(3922),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2808] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2809] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2810] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2811] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2812] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2813] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2814] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2815] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2816] = {
    [aux_sym_user_type_repeat1] = STATE(2928),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_by] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
  },
  [2817] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2818] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2819] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2820] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2821] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2822] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2823] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2824] = {
    [sym_annotation] = STATE(8557),
    [sym_annotated_lambda] = STATE(3744),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2825] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2826] = {
    [sym_annotation] = STATE(8669),
    [sym_annotated_lambda] = STATE(4002),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2827] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2828] = {
    [sym_annotation] = STATE(8557),
    [sym_annotated_lambda] = STATE(3765),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2829] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2830] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2831] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2832] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2833] = {
    [sym_function_body] = STATE(3222),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2834] = {
    [sym_catch_block] = STATE(2834),
    [aux_sym_try_expression_repeat1] = STATE(2834),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5793),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2835] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2836] = {
    [sym_function_body] = STATE(3080),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2837] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2838] = {
    [sym_function_body] = STATE(3094),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2839] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2840] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2841] = {
    [sym_catch_block] = STATE(2841),
    [aux_sym_try_expression_repeat1] = STATE(2841),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5800),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2842] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2843] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [2844] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2670),
    [anon_sym_as] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2673),
    [anon_sym_DASH_EQ] = ACTIONS(2673),
    [anon_sym_STAR_EQ] = ACTIONS(2673),
    [anon_sym_SLASH_EQ] = ACTIONS(2673),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG_BANG] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2670),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2670),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2673),
    [anon_sym_EQ_EQ] = ACTIONS(2670),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2673),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_QMARK_COLON] = ACTIONS(2673),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_as_QMARK] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2670),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2673),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [sym_label] = ACTIONS(2673),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__q_dot] = ACTIONS(2673),
  },
  [2845] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [2846] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2847] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2848] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2849] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_while] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2850] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [2851] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2852] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2853] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_while] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2854] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2855] = {
    [aux_sym_user_type_repeat1] = STATE(2864),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(5785),
    [anon_sym_STAR] = ACTIONS(2527),
    [anon_sym_fun] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_EQ] = ACTIONS(2527),
    [anon_sym_constructor] = ACTIONS(2524),
    [anon_sym_this] = ACTIONS(2524),
    [anon_sym_super] = ACTIONS(2524),
    [anon_sym_COMMA] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_where] = ACTIONS(2524),
    [anon_sym_by] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_dynamic] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2524),
    [anon_sym_BANGin] = ACTIONS(2527),
    [anon_sym_is] = ACTIONS(2524),
    [anon_sym_this_AT] = ACTIONS(2527),
    [anon_sym_super_AT] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_return_AT] = ACTIONS(2527),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_number_literal] = ACTIONS(2524),
    [sym_float_literal] = ACTIONS(2527),
    [sym_label] = ACTIONS(2524),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2527),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2527),
    [sym__in] = ACTIONS(2527),
  },
  [2856] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2857] = {
    [sym_annotation] = STATE(8669),
    [sym_annotated_lambda] = STATE(4017),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [2858] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2859] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_while] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2860] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_DOT] = ACTIONS(2676),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_as] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2676),
    [anon_sym_LT] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_GT] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2676),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(2679),
    [anon_sym_DASH_EQ] = ACTIONS(2679),
    [anon_sym_STAR_EQ] = ACTIONS(2679),
    [anon_sym_SLASH_EQ] = ACTIONS(2679),
    [anon_sym_PERCENT_EQ] = ACTIONS(2679),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG_BANG] = ACTIONS(2679),
    [anon_sym_SLASH] = ACTIONS(2676),
    [anon_sym_PERCENT] = ACTIONS(2676),
    [anon_sym_PIPE_PIPE] = ACTIONS(2679),
    [anon_sym_AMP_AMP] = ACTIONS(2679),
    [anon_sym_BANG_EQ] = ACTIONS(2676),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2679),
    [anon_sym_EQ_EQ] = ACTIONS(2676),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2679),
    [anon_sym_GT_EQ] = ACTIONS(2679),
    [anon_sym_LT_EQ] = ACTIONS(2679),
    [anon_sym_QMARK_COLON] = ACTIONS(2679),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_as_QMARK] = ACTIONS(2679),
    [anon_sym_DOT_DOT] = ACTIONS(2676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [sym_label] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__q_dot] = ACTIONS(2679),
  },
  [2861] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2862] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2863] = {
    [sym_catch_block] = STATE(2863),
    [aux_sym_try_expression_repeat1] = STATE(2863),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5803),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2864] = {
    [aux_sym_user_type_repeat1] = STATE(2907),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_constructor] = ACTIONS(2521),
    [anon_sym_this] = ACTIONS(2521),
    [anon_sym_super] = ACTIONS(2521),
    [anon_sym_COMMA] = ACTIONS(2534),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_where] = ACTIONS(2521),
    [anon_sym_by] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_dynamic] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2521),
    [anon_sym_BANGin] = ACTIONS(2534),
    [anon_sym_is] = ACTIONS(2521),
    [anon_sym_this_AT] = ACTIONS(2534),
    [anon_sym_super_AT] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_return_AT] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2521),
    [sym_float_literal] = ACTIONS(2534),
    [sym_label] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2534),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2534),
    [sym__in] = ACTIONS(2534),
  },
  [2865] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2866] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2867] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5783),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2868] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2869] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2870] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2871] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2872] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2873] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2874] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2875] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2876] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2877] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2878] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2879] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2880] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_as] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2695),
    [anon_sym_DASH_EQ] = ACTIONS(2695),
    [anon_sym_STAR_EQ] = ACTIONS(2695),
    [anon_sym_SLASH_EQ] = ACTIONS(2695),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG_BANG] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2693),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2695),
    [anon_sym_EQ_EQ] = ACTIONS(2693),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2695),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_QMARK_COLON] = ACTIONS(2695),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_as_QMARK] = ACTIONS(2695),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [sym_label] = ACTIONS(2695),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__q_dot] = ACTIONS(2695),
  },
  [2881] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_DOT] = ACTIONS(2700),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_as] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2700),
    [anon_sym_LT] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_GT] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2700),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2702),
    [anon_sym_DASH_EQ] = ACTIONS(2702),
    [anon_sym_STAR_EQ] = ACTIONS(2702),
    [anon_sym_SLASH_EQ] = ACTIONS(2702),
    [anon_sym_PERCENT_EQ] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG_BANG] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2700),
    [anon_sym_PERCENT] = ACTIONS(2700),
    [anon_sym_PIPE_PIPE] = ACTIONS(2702),
    [anon_sym_AMP_AMP] = ACTIONS(2702),
    [anon_sym_BANG_EQ] = ACTIONS(2700),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2702),
    [anon_sym_EQ_EQ] = ACTIONS(2700),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2702),
    [anon_sym_GT_EQ] = ACTIONS(2702),
    [anon_sym_LT_EQ] = ACTIONS(2702),
    [anon_sym_QMARK_COLON] = ACTIONS(2702),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_as_QMARK] = ACTIONS(2702),
    [anon_sym_DOT_DOT] = ACTIONS(2700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2702),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [sym_label] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__q_dot] = ACTIONS(2702),
  },
  [2882] = {
    [sym_catch_block] = STATE(2882),
    [aux_sym_try_expression_repeat1] = STATE(2882),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_DOT] = ACTIONS(2598),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_as] = ACTIONS(2598),
    [anon_sym_EQ] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_GT] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [anon_sym_sealed] = ACTIONS(2598),
    [anon_sym_annotation] = ACTIONS(2598),
    [anon_sym_data] = ACTIONS(2598),
    [anon_sym_inner] = ACTIONS(2598),
    [anon_sym_value] = ACTIONS(2598),
    [anon_sym_tailrec] = ACTIONS(2598),
    [anon_sym_operator] = ACTIONS(2598),
    [anon_sym_infix] = ACTIONS(2598),
    [anon_sym_inline] = ACTIONS(2598),
    [anon_sym_external] = ACTIONS(2598),
    [anon_sym_suspend] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_internal] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_final] = ACTIONS(2598),
    [anon_sym_open] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_lateinit] = ACTIONS(2598),
    [anon_sym_vararg] = ACTIONS(2598),
    [anon_sym_noinline] = ACTIONS(2598),
    [anon_sym_crossinline] = ACTIONS(2598),
    [anon_sym_expect] = ACTIONS(2598),
    [anon_sym_actual] = ACTIONS(2598),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_BANG_BANG] = ACTIONS(2600),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_PERCENT] = ACTIONS(2598),
    [anon_sym_PIPE_PIPE] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2600),
    [anon_sym_BANG_EQ] = ACTIONS(2598),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2598),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2600),
    [anon_sym_QMARK_COLON] = ACTIONS(2600),
    [anon_sym_BANGin] = ACTIONS(2600),
    [anon_sym_is] = ACTIONS(2598),
    [anon_sym_as_QMARK] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2598),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_catch] = ACTIONS(5810),
    [anon_sym_finally] = ACTIONS(2598),
    [anon_sym_COLON_COLON] = ACTIONS(2600),
    [sym_label] = ACTIONS(2600),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2600),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2600),
    [sym__q_dot] = ACTIONS(2600),
  },
  [2883] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2884] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2885] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2886] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2887] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2888] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2634),
    [anon_sym_as] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_AMP] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG_BANG] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2634),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2634),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_QMARK_COLON] = ACTIONS(2636),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_as_QMARK] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [sym_label] = ACTIONS(2636),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__q_dot] = ACTIONS(2636),
  },
  [2889] = {
    [sym_annotation] = STATE(8627),
    [sym_annotated_lambda] = STATE(3828),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [2890] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2891] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2892] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2893] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2894] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2895] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_as] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(2640),
    [anon_sym_DASH_EQ] = ACTIONS(2640),
    [anon_sym_STAR_EQ] = ACTIONS(2640),
    [anon_sym_SLASH_EQ] = ACTIONS(2640),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG_BANG] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2640),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_QMARK_COLON] = ACTIONS(2640),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_as_QMARK] = ACTIONS(2640),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [sym_label] = ACTIONS(2640),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__q_dot] = ACTIONS(2640),
  },
  [2896] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2897] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2898] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2899] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2900] = {
    [aux_sym_user_type_repeat1] = STATE(2904),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(5813),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_object] = ACTIONS(2545),
    [anon_sym_EQ] = ACTIONS(2547),
    [anon_sym_constructor] = ACTIONS(2545),
    [anon_sym_this] = ACTIONS(2545),
    [anon_sym_super] = ACTIONS(2545),
    [anon_sym_COMMA] = ACTIONS(2547),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(2545),
    [anon_sym_by] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_dynamic] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2547),
    [anon_sym_AMP] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2545),
    [anon_sym_BANGin] = ACTIONS(2547),
    [anon_sym_is] = ACTIONS(2545),
    [anon_sym_this_AT] = ACTIONS(2547),
    [anon_sym_super_AT] = ACTIONS(2547),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_when] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_return_AT] = ACTIONS(2547),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [sym_number_literal] = ACTIONS(2545),
    [sym_float_literal] = ACTIONS(2547),
    [sym_label] = ACTIONS(2545),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2547),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2547),
    [sym__in] = ACTIONS(2547),
  },
  [2901] = {
    [aux_sym_type_constraints_repeat1] = STATE(2917),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5816),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [2902] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2903] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2904] = {
    [aux_sym_user_type_repeat1] = STATE(2907),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(5818),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2560),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_where] = ACTIONS(2558),
    [anon_sym_by] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_BANGin] = ACTIONS(2560),
    [anon_sym_is] = ACTIONS(2558),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2560),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2560),
    [sym__in] = ACTIONS(2560),
  },
  [2905] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2906] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [2907] = {
    [aux_sym_user_type_repeat1] = STATE(2907),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(5821),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2567),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_by] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
  },
  [2908] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2909] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2630),
    [anon_sym_as] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_AMP] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2632),
    [anon_sym_DASH_EQ] = ACTIONS(2632),
    [anon_sym_STAR_EQ] = ACTIONS(2632),
    [anon_sym_SLASH_EQ] = ACTIONS(2632),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG_BANG] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2630),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2632),
    [anon_sym_EQ_EQ] = ACTIONS(2630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_QMARK_COLON] = ACTIONS(2632),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_as_QMARK] = ACTIONS(2632),
    [anon_sym_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [sym_label] = ACTIONS(2632),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__q_dot] = ACTIONS(2632),
  },
  [2910] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_GT] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2911] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2912] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2913] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_as] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG_BANG] = ACTIONS(2652),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2652),
    [anon_sym_BANG_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_LT_EQ] = ACTIONS(2652),
    [anon_sym_QMARK_COLON] = ACTIONS(2652),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_as_QMARK] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [sym_label] = ACTIONS(2652),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__q_dot] = ACTIONS(2652),
  },
  [2914] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_as] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_PLUS_EQ] = ACTIONS(2656),
    [anon_sym_DASH_EQ] = ACTIONS(2656),
    [anon_sym_STAR_EQ] = ACTIONS(2656),
    [anon_sym_SLASH_EQ] = ACTIONS(2656),
    [anon_sym_PERCENT_EQ] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG_BANG] = ACTIONS(2656),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2656),
    [anon_sym_AMP_AMP] = ACTIONS(2656),
    [anon_sym_BANG_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2656),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2656),
    [anon_sym_GT_EQ] = ACTIONS(2656),
    [anon_sym_LT_EQ] = ACTIONS(2656),
    [anon_sym_QMARK_COLON] = ACTIONS(2656),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_as_QMARK] = ACTIONS(2656),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [sym_label] = ACTIONS(2656),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__q_dot] = ACTIONS(2656),
  },
  [2915] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2916] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_DOT] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_as] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_GT] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_in] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2704),
    [anon_sym_DASH_EQ] = ACTIONS(2704),
    [anon_sym_STAR_EQ] = ACTIONS(2704),
    [anon_sym_SLASH_EQ] = ACTIONS(2704),
    [anon_sym_PERCENT_EQ] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG_BANG] = ACTIONS(2704),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2697),
    [anon_sym_PIPE_PIPE] = ACTIONS(2704),
    [anon_sym_AMP_AMP] = ACTIONS(2704),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2704),
    [anon_sym_EQ_EQ] = ACTIONS(2697),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2704),
    [anon_sym_GT_EQ] = ACTIONS(2704),
    [anon_sym_LT_EQ] = ACTIONS(2704),
    [anon_sym_QMARK_COLON] = ACTIONS(2704),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_as_QMARK] = ACTIONS(2704),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [sym_label] = ACTIONS(2704),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__q_dot] = ACTIONS(2704),
  },
  [2917] = {
    [aux_sym_type_constraints_repeat1] = STATE(2786),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5816),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [2918] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [2919] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2658),
    [anon_sym_as] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_GT] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2658),
    [anon_sym_AMP] = ACTIONS(2658),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG_BANG] = ACTIONS(2660),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_PERCENT] = ACTIONS(2658),
    [anon_sym_PIPE_PIPE] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2660),
    [anon_sym_BANG_EQ] = ACTIONS(2658),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2658),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_LT_EQ] = ACTIONS(2660),
    [anon_sym_QMARK_COLON] = ACTIONS(2660),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_as_QMARK] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2658),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [sym_label] = ACTIONS(2660),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__q_dot] = ACTIONS(2660),
  },
  [2920] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2642),
    [anon_sym_as] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5796),
    [anon_sym_AMP] = ACTIONS(5798),
    [anon_sym_PLUS_EQ] = ACTIONS(2644),
    [anon_sym_DASH_EQ] = ACTIONS(2644),
    [anon_sym_STAR_EQ] = ACTIONS(2644),
    [anon_sym_SLASH_EQ] = ACTIONS(2644),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG_BANG] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2642),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2644),
    [anon_sym_EQ_EQ] = ACTIONS(2642),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_QMARK_COLON] = ACTIONS(2644),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_as_QMARK] = ACTIONS(2644),
    [anon_sym_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2644),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [sym_label] = ACTIONS(2644),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__q_dot] = ACTIONS(2644),
  },
  [2921] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_as] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_in] = ACTIONS(2624),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2627),
    [anon_sym_DASH_EQ] = ACTIONS(2627),
    [anon_sym_STAR_EQ] = ACTIONS(2627),
    [anon_sym_SLASH_EQ] = ACTIONS(2627),
    [anon_sym_PERCENT_EQ] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG_BANG] = ACTIONS(2627),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2627),
    [anon_sym_AMP_AMP] = ACTIONS(2627),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2627),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2627),
    [anon_sym_GT_EQ] = ACTIONS(2627),
    [anon_sym_LT_EQ] = ACTIONS(2627),
    [anon_sym_QMARK_COLON] = ACTIONS(2627),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_as_QMARK] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [sym_label] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__q_dot] = ACTIONS(2627),
  },
  [2922] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2923] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_as] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_PLUS_EQ] = ACTIONS(2664),
    [anon_sym_DASH_EQ] = ACTIONS(2664),
    [anon_sym_STAR_EQ] = ACTIONS(2664),
    [anon_sym_SLASH_EQ] = ACTIONS(2664),
    [anon_sym_PERCENT_EQ] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG_BANG] = ACTIONS(2664),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2664),
    [anon_sym_AMP_AMP] = ACTIONS(2664),
    [anon_sym_BANG_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2664),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2664),
    [anon_sym_GT_EQ] = ACTIONS(2664),
    [anon_sym_LT_EQ] = ACTIONS(2664),
    [anon_sym_QMARK_COLON] = ACTIONS(2664),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_as_QMARK] = ACTIONS(2664),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [sym_label] = ACTIONS(2664),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__q_dot] = ACTIONS(2664),
  },
  [2924] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2618),
    [anon_sym_as] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_GT] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2621),
    [anon_sym_DASH_EQ] = ACTIONS(2621),
    [anon_sym_STAR_EQ] = ACTIONS(2621),
    [anon_sym_SLASH_EQ] = ACTIONS(2621),
    [anon_sym_PERCENT_EQ] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG_BANG] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2618),
    [anon_sym_PIPE_PIPE] = ACTIONS(2621),
    [anon_sym_AMP_AMP] = ACTIONS(2621),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2621),
    [anon_sym_EQ_EQ] = ACTIONS(2618),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2621),
    [anon_sym_GT_EQ] = ACTIONS(2621),
    [anon_sym_LT_EQ] = ACTIONS(2621),
    [anon_sym_QMARK_COLON] = ACTIONS(2621),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_as_QMARK] = ACTIONS(2621),
    [anon_sym_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [sym_label] = ACTIONS(2621),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__q_dot] = ACTIONS(2621),
  },
  [2925] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2565),
    [anon_sym_as] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_in] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2565),
    [anon_sym_AMP] = ACTIONS(2565),
    [anon_sym_PLUS_EQ] = ACTIONS(2567),
    [anon_sym_DASH_EQ] = ACTIONS(2567),
    [anon_sym_STAR_EQ] = ACTIONS(2567),
    [anon_sym_SLASH_EQ] = ACTIONS(2567),
    [anon_sym_PERCENT_EQ] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG_BANG] = ACTIONS(2567),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_PERCENT] = ACTIONS(2565),
    [anon_sym_PIPE_PIPE] = ACTIONS(2567),
    [anon_sym_AMP_AMP] = ACTIONS(2567),
    [anon_sym_BANG_EQ] = ACTIONS(2565),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2567),
    [anon_sym_EQ_EQ] = ACTIONS(2565),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2567),
    [anon_sym_GT_EQ] = ACTIONS(2567),
    [anon_sym_LT_EQ] = ACTIONS(2567),
    [anon_sym_QMARK_COLON] = ACTIONS(2567),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_as_QMARK] = ACTIONS(2567),
    [anon_sym_DOT_DOT] = ACTIONS(2565),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [sym_label] = ACTIONS(2567),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__q_dot] = ACTIONS(2567),
  },
  [2926] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2927] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2928] = {
    [aux_sym_user_type_repeat1] = STATE(2907),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_EQ] = ACTIONS(2515),
    [anon_sym_constructor] = ACTIONS(2513),
    [anon_sym_this] = ACTIONS(2513),
    [anon_sym_super] = ACTIONS(2513),
    [anon_sym_COMMA] = ACTIONS(2515),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_where] = ACTIONS(2513),
    [anon_sym_by] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_dynamic] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2513),
    [anon_sym_BANGin] = ACTIONS(2515),
    [anon_sym_is] = ACTIONS(2513),
    [anon_sym_this_AT] = ACTIONS(2515),
    [anon_sym_super_AT] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_when] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_return_AT] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_number_literal] = ACTIONS(2513),
    [sym_float_literal] = ACTIONS(2515),
    [sym_label] = ACTIONS(2513),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2515),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2515),
    [sym__in] = ACTIONS(2515),
  },
  [2929] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_as] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_in] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2687),
    [anon_sym_DASH_EQ] = ACTIONS(2687),
    [anon_sym_STAR_EQ] = ACTIONS(2687),
    [anon_sym_SLASH_EQ] = ACTIONS(2687),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG_BANG] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_PERCENT] = ACTIONS(2685),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2687),
    [anon_sym_EQ_EQ] = ACTIONS(2685),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2687),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_QMARK_COLON] = ACTIONS(2687),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_as_QMARK] = ACTIONS(2687),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [sym_label] = ACTIONS(2687),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__q_dot] = ACTIONS(2687),
  },
  [2930] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_as] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_where] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2403),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(2408),
    [anon_sym_DASH_EQ] = ACTIONS(2408),
    [anon_sym_STAR_EQ] = ACTIONS(2408),
    [anon_sym_SLASH_EQ] = ACTIONS(2408),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG_BANG] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2403),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2408),
    [anon_sym_EQ_EQ] = ACTIONS(2403),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_QMARK_COLON] = ACTIONS(2408),
    [anon_sym_BANGin] = ACTIONS(2408),
    [anon_sym_is] = ACTIONS(2403),
    [anon_sym_as_QMARK] = ACTIONS(2408),
    [anon_sym_DOT_DOT] = ACTIONS(2403),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [sym_label] = ACTIONS(2408),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2408),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2408),
    [sym__q_dot] = ACTIONS(2408),
  },
  [2931] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2932] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_as] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(2588),
    [anon_sym_DASH_EQ] = ACTIONS(2588),
    [anon_sym_STAR_EQ] = ACTIONS(2588),
    [anon_sym_SLASH_EQ] = ACTIONS(2588),
    [anon_sym_PERCENT_EQ] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG_BANG] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(2588),
    [anon_sym_BANG_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2588),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2588),
    [anon_sym_GT_EQ] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(2588),
    [anon_sym_QMARK_COLON] = ACTIONS(2588),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_as_QMARK] = ACTIONS(2588),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [sym_label] = ACTIONS(2588),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__q_dot] = ACTIONS(2588),
  },
  [2933] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2666),
    [anon_sym_as] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_AMP] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2668),
    [anon_sym_DASH_EQ] = ACTIONS(2668),
    [anon_sym_STAR_EQ] = ACTIONS(2668),
    [anon_sym_SLASH_EQ] = ACTIONS(2668),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG_BANG] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2666),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2668),
    [anon_sym_EQ_EQ] = ACTIONS(2666),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_QMARK_COLON] = ACTIONS(2668),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_as_QMARK] = ACTIONS(2668),
    [anon_sym_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [sym_label] = ACTIONS(2668),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__q_dot] = ACTIONS(2668),
  },
  [2934] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [2935] = {
    [aux_sym_type_constraints_repeat1] = STATE(2964),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [2936] = {
    [sym_function_body] = STATE(3265),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2937] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [2938] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [2939] = {
    [aux_sym_type_constraints_repeat1] = STATE(2939),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5826),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [2940] = {
    [sym_function_body] = STATE(3417),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2941] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [2942] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2943] = {
    [sym_function_body] = STATE(3426),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2944] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [2945] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [2946] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2947] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2948] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_fun] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_constructor] = ACTIONS(2666),
    [anon_sym_this] = ACTIONS(2666),
    [anon_sym_super] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2668),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_where] = ACTIONS(2666),
    [anon_sym_by] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_dynamic] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2666),
    [anon_sym_BANGin] = ACTIONS(2668),
    [anon_sym_is] = ACTIONS(2666),
    [anon_sym_this_AT] = ACTIONS(2668),
    [anon_sym_super_AT] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_when] = ACTIONS(2666),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_return_AT] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2666),
    [sym_float_literal] = ACTIONS(2668),
    [sym_label] = ACTIONS(2666),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2668),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2668),
    [sym__in] = ACTIONS(2668),
  },
  [2949] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2950] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2951] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [2952] = {
    [sym_function_body] = STATE(3480),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2953] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2954] = {
    [aux_sym_type_constraints_repeat1] = STATE(2962),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [2955] = {
    [sym_function_body] = STATE(3501),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2956] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [2957] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2958] = {
    [sym_function_body] = STATE(3511),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2959] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2960] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [2961] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2962] = {
    [aux_sym_type_constraints_repeat1] = STATE(2993),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [2963] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2964] = {
    [aux_sym_type_constraints_repeat1] = STATE(3034),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [2965] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2966] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [2967] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2968] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2969] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [2970] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2971] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2972] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2973] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [2974] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [2975] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [2976] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [2977] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [2978] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [2979] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [2980] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2588),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_by] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
  },
  [2981] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [2982] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [2983] = {
    [sym_function_body] = STATE(3595),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [2984] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [2985] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [2986] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [2987] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [2988] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [2989] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2990] = {
    [sym_function_body] = STATE(3634),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [2991] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [2992] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [2993] = {
    [aux_sym_type_constraints_repeat1] = STATE(2993),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [2994] = {
    [sym_type_constraints] = STATE(4053),
    [sym_function_body] = STATE(3088),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [2995] = {
    [sym_function_body] = STATE(3646),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [2996] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [2997] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [2998] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [2999] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3000] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [3001] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3002] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [3003] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(5838),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2588),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_by] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
  },
  [3004] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3005] = {
    [sym_type_constraints] = STATE(4057),
    [sym_function_body] = STATE(3252),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3006] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3007] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3008] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3009] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [3010] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3011] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_fun] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_this] = ACTIONS(2630),
    [anon_sym_super] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2632),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_where] = ACTIONS(2630),
    [anon_sym_by] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_dynamic] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2630),
    [anon_sym_BANGin] = ACTIONS(2632),
    [anon_sym_is] = ACTIONS(2630),
    [anon_sym_this_AT] = ACTIONS(2632),
    [anon_sym_super_AT] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_when] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_return_AT] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2630),
    [sym_float_literal] = ACTIONS(2632),
    [sym_label] = ACTIONS(2630),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2632),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2632),
    [sym__in] = ACTIONS(2632),
  },
  [3012] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [3013] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_fun] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_constructor] = ACTIONS(2634),
    [anon_sym_this] = ACTIONS(2634),
    [anon_sym_super] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_where] = ACTIONS(2634),
    [anon_sym_by] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_dynamic] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2634),
    [anon_sym_BANGin] = ACTIONS(2636),
    [anon_sym_is] = ACTIONS(2634),
    [anon_sym_this_AT] = ACTIONS(2636),
    [anon_sym_super_AT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_when] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_return_AT] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2634),
    [sym_float_literal] = ACTIONS(2636),
    [sym_label] = ACTIONS(2634),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2636),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2636),
    [sym__in] = ACTIONS(2636),
  },
  [3014] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3015] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(5841),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3016] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [3017] = {
    [sym_function_body] = STATE(2123),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_fun] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2977),
    [anon_sym_this] = ACTIONS(2977),
    [anon_sym_super] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_dynamic] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_this_AT] = ACTIONS(2979),
    [anon_sym_super_AT] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_when] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_return_AT] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2977),
    [sym_float_literal] = ACTIONS(2979),
    [sym_label] = ACTIONS(2977),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__in] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3018] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2567),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(2565),
    [anon_sym_by] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2565),
    [anon_sym_BANGin] = ACTIONS(2567),
    [anon_sym_is] = ACTIONS(2565),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2567),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2567),
    [sym__in] = ACTIONS(2567),
  },
  [3019] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3020] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3021] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3022] = {
    [aux_sym_type_constraints_repeat1] = STATE(3037),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5843),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3023] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_fun] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [anon_sym_EQ] = ACTIONS(2656),
    [anon_sym_constructor] = ACTIONS(2654),
    [anon_sym_this] = ACTIONS(2654),
    [anon_sym_super] = ACTIONS(2654),
    [anon_sym_COMMA] = ACTIONS(2656),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_where] = ACTIONS(2654),
    [anon_sym_by] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_dynamic] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2654),
    [anon_sym_BANGin] = ACTIONS(2656),
    [anon_sym_is] = ACTIONS(2654),
    [anon_sym_this_AT] = ACTIONS(2656),
    [anon_sym_super_AT] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_when] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_return_AT] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2654),
    [sym_float_literal] = ACTIONS(2656),
    [sym_label] = ACTIONS(2654),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2656),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2656),
    [sym__in] = ACTIONS(2656),
  },
  [3024] = {
    [sym_function_body] = STATE(2137),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_fun] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2981),
    [anon_sym_this] = ACTIONS(2981),
    [anon_sym_super] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_dynamic] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_this_AT] = ACTIONS(2983),
    [anon_sym_super_AT] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_when] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_return_AT] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2981),
    [sym_float_literal] = ACTIONS(2983),
    [sym_label] = ACTIONS(2981),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__in] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3025] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3026] = {
    [sym_function_body] = STATE(2200),
    [sym_block] = STATE(2223),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_fun] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5081),
    [anon_sym_constructor] = ACTIONS(2989),
    [anon_sym_this] = ACTIONS(2989),
    [anon_sym_super] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_dynamic] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_this_AT] = ACTIONS(2991),
    [anon_sym_super_AT] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_when] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_return_AT] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2989),
    [sym_float_literal] = ACTIONS(2991),
    [sym_label] = ACTIONS(2989),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__in] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3027] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3028] = {
    [sym_type_arguments] = STATE(4927),
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3029] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_fun] = ACTIONS(2658),
    [anon_sym_object] = ACTIONS(2658),
    [anon_sym_EQ] = ACTIONS(2660),
    [anon_sym_constructor] = ACTIONS(2658),
    [anon_sym_this] = ACTIONS(2658),
    [anon_sym_super] = ACTIONS(2658),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_where] = ACTIONS(2658),
    [anon_sym_by] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_dynamic] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2658),
    [anon_sym_BANGin] = ACTIONS(2660),
    [anon_sym_is] = ACTIONS(2658),
    [anon_sym_this_AT] = ACTIONS(2660),
    [anon_sym_super_AT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_when] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_return_AT] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2658),
    [sym_float_literal] = ACTIONS(2660),
    [sym_label] = ACTIONS(2658),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2660),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2660),
    [sym__in] = ACTIONS(2660),
  },
  [3030] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3031] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3032] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3033] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3034] = {
    [aux_sym_type_constraints_repeat1] = STATE(3034),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5845),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3035] = {
    [aux_sym_type_constraints_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3036] = {
    [sym_function_body] = STATE(3313),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3037] = {
    [aux_sym_type_constraints_repeat1] = STATE(2939),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5843),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3038] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3039] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3040] = {
    [sym_function_body] = STATE(3334),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3041] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_fun] = ACTIONS(2618),
    [anon_sym_object] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2621),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_this] = ACTIONS(2618),
    [anon_sym_super] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_where] = ACTIONS(2618),
    [anon_sym_by] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_dynamic] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2618),
    [anon_sym_BANGin] = ACTIONS(2621),
    [anon_sym_is] = ACTIONS(2618),
    [anon_sym_this_AT] = ACTIONS(2621),
    [anon_sym_super_AT] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_when] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_return_AT] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2618),
    [sym_float_literal] = ACTIONS(2621),
    [sym_label] = ACTIONS(2618),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2621),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2621),
    [sym__in] = ACTIONS(2621),
  },
  [3042] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3043] = {
    [sym_function_body] = STATE(3343),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3044] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [3045] = {
    [aux_sym_type_constraints_repeat1] = STATE(3035),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5851),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3046] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3047] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [3048] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3049] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3050] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3051] = {
    [aux_sym_type_constraints_repeat1] = STATE(3045),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5851),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3052] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_as] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_in] = ACTIONS(2763),
    [anon_sym_while] = ACTIONS(2763),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG_BANG] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2765),
    [anon_sym_BANG_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2765),
    [anon_sym_QMARK_COLON] = ACTIONS(2765),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_as_QMARK] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2765),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [sym_label] = ACTIONS(2765),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__q_dot] = ACTIONS(2765),
  },
  [3053] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3054] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3055] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3056] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [3057] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3058] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [3059] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3060] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3061] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3062] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3063] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3064] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3065] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [3066] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3067] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [3068] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3069] = {
    [aux_sym_type_constraints_repeat1] = STATE(3072),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5853),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3070] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_get] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3071] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3072] = {
    [aux_sym_type_constraints_repeat1] = STATE(3075),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5853),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3073] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3074] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3075] = {
    [aux_sym_type_constraints_repeat1] = STATE(3075),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5855),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3076] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_get] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2933),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [3077] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_get] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2925),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3078] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_get] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2949),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [3079] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2953),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3080] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3081] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3082] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3083] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3084] = {
    [aux_sym_type_constraints_repeat1] = STATE(3085),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3085] = {
    [aux_sym_type_constraints_repeat1] = STATE(3087),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3086] = {
    [aux_sym_qualified_identifier_repeat1] = STATE(3086),
    [ts_builtin_sym_end] = ACTIONS(5860),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_AT] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym_import] = ACTIONS(5862),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_as] = ACTIONS(5862),
    [anon_sym_class] = ACTIONS(5862),
    [anon_sym_fun] = ACTIONS(5862),
    [anon_sym_interface] = ACTIONS(5862),
    [anon_sym_object] = ACTIONS(5862),
    [anon_sym_val] = ACTIONS(5862),
    [anon_sym_var] = ACTIONS(5862),
    [anon_sym_typealias] = ACTIONS(5862),
    [anon_sym_constructor] = ACTIONS(5862),
    [anon_sym_this] = ACTIONS(5862),
    [anon_sym_super] = ACTIONS(5862),
    [anon_sym_LPAREN] = ACTIONS(5860),
    [anon_sym_get] = ACTIONS(5862),
    [anon_sym_set] = ACTIONS(5862),
    [anon_sym_LBRACE] = ACTIONS(5860),
    [anon_sym_for] = ACTIONS(5862),
    [anon_sym_while] = ACTIONS(5862),
    [anon_sym_do] = ACTIONS(5862),
    [anon_sym_enum] = ACTIONS(5862),
    [anon_sym_sealed] = ACTIONS(5862),
    [anon_sym_annotation] = ACTIONS(5862),
    [anon_sym_data] = ACTIONS(5862),
    [anon_sym_inner] = ACTIONS(5862),
    [anon_sym_value] = ACTIONS(5862),
    [anon_sym_tailrec] = ACTIONS(5862),
    [anon_sym_operator] = ACTIONS(5862),
    [anon_sym_infix] = ACTIONS(5862),
    [anon_sym_inline] = ACTIONS(5862),
    [anon_sym_external] = ACTIONS(5862),
    [anon_sym_suspend] = ACTIONS(5862),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_public] = ACTIONS(5862),
    [anon_sym_private] = ACTIONS(5862),
    [anon_sym_protected] = ACTIONS(5862),
    [anon_sym_internal] = ACTIONS(5862),
    [anon_sym_abstract] = ACTIONS(5862),
    [anon_sym_final] = ACTIONS(5862),
    [anon_sym_open] = ACTIONS(5862),
    [anon_sym_override] = ACTIONS(5862),
    [anon_sym_lateinit] = ACTIONS(5862),
    [anon_sym_vararg] = ACTIONS(5862),
    [anon_sym_noinline] = ACTIONS(5862),
    [anon_sym_crossinline] = ACTIONS(5862),
    [anon_sym_expect] = ACTIONS(5862),
    [anon_sym_actual] = ACTIONS(5862),
    [anon_sym_dynamic] = ACTIONS(5862),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_BANG] = ACTIONS(5860),
    [anon_sym_this_AT] = ACTIONS(5860),
    [anon_sym_super_AT] = ACTIONS(5860),
    [anon_sym_if] = ACTIONS(5862),
    [anon_sym_when] = ACTIONS(5862),
    [anon_sym_try] = ACTIONS(5862),
    [anon_sym_return] = ACTIONS(5862),
    [anon_sym_return_AT] = ACTIONS(5860),
    [anon_sym_throw] = ACTIONS(5862),
    [anon_sym_COLON_COLON] = ACTIONS(5860),
    [anon_sym_DQUOTE] = ACTIONS(5862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5860),
    [anon_sym_SQUOTE] = ACTIONS(5860),
    [sym_number_literal] = ACTIONS(5862),
    [sym_float_literal] = ACTIONS(5860),
    [sym_label] = ACTIONS(5862),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3087] = {
    [aux_sym_type_constraints_repeat1] = STATE(3087),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5867),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3088] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3089] = {
    [aux_sym_type_constraints_repeat1] = STATE(3090),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5870),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3090] = {
    [aux_sym_type_constraints_repeat1] = STATE(3091),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5870),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3091] = {
    [aux_sym_type_constraints_repeat1] = STATE(3091),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5872),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3092] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3093] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3094] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3095] = {
    [aux_sym_type_constraints_repeat1] = STATE(3096),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_as] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_in] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG_BANG] = ACTIONS(2961),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_BANG_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2961),
    [anon_sym_QMARK_COLON] = ACTIONS(2961),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_as_QMARK] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [sym_label] = ACTIONS(2961),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__q_dot] = ACTIONS(2961),
  },
  [3096] = {
    [aux_sym_type_constraints_repeat1] = STATE(3098),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_as] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_GT] = ACTIONS(2965),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_in] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2967),
    [anon_sym_DASH_EQ] = ACTIONS(2967),
    [anon_sym_STAR_EQ] = ACTIONS(2967),
    [anon_sym_SLASH_EQ] = ACTIONS(2967),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG_BANG] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2965),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2967),
    [anon_sym_EQ_EQ] = ACTIONS(2965),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_QMARK_COLON] = ACTIONS(2967),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_as_QMARK] = ACTIONS(2967),
    [anon_sym_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [sym_label] = ACTIONS(2967),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__q_dot] = ACTIONS(2967),
  },
  [3097] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3098] = {
    [aux_sym_type_constraints_repeat1] = STATE(3098),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3099] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(2588),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_where] = ACTIONS(2586),
    [anon_sym_by] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_BANGin] = ACTIONS(2588),
    [anon_sym_is] = ACTIONS(2586),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2588),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2588),
    [sym__in] = ACTIONS(2588),
  },
  [3100] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_fun] = ACTIONS(2650),
    [anon_sym_object] = ACTIONS(2650),
    [anon_sym_EQ] = ACTIONS(2652),
    [anon_sym_constructor] = ACTIONS(2650),
    [anon_sym_this] = ACTIONS(2650),
    [anon_sym_super] = ACTIONS(2650),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_where] = ACTIONS(2650),
    [anon_sym_by] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_dynamic] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_BANGin] = ACTIONS(2652),
    [anon_sym_is] = ACTIONS(2650),
    [anon_sym_this_AT] = ACTIONS(2652),
    [anon_sym_super_AT] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_when] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_return_AT] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2650),
    [sym_float_literal] = ACTIONS(2652),
    [sym_label] = ACTIONS(2650),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2652),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2652),
    [sym__in] = ACTIONS(2652),
  },
  [3101] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_object] = ACTIONS(2662),
    [anon_sym_EQ] = ACTIONS(2664),
    [anon_sym_constructor] = ACTIONS(2662),
    [anon_sym_this] = ACTIONS(2662),
    [anon_sym_super] = ACTIONS(2662),
    [anon_sym_COMMA] = ACTIONS(2664),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_where] = ACTIONS(2662),
    [anon_sym_by] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_dynamic] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2662),
    [anon_sym_BANGin] = ACTIONS(2664),
    [anon_sym_is] = ACTIONS(2662),
    [anon_sym_this_AT] = ACTIONS(2664),
    [anon_sym_super_AT] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_when] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_return_AT] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2662),
    [sym_float_literal] = ACTIONS(2664),
    [sym_label] = ACTIONS(2662),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2664),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2664),
    [sym__in] = ACTIONS(2664),
  },
  [3102] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3103] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3104] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_fun] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_constructor] = ACTIONS(2685),
    [anon_sym_this] = ACTIONS(2685),
    [anon_sym_super] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_where] = ACTIONS(2685),
    [anon_sym_by] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_dynamic] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_BANGin] = ACTIONS(2687),
    [anon_sym_is] = ACTIONS(2685),
    [anon_sym_this_AT] = ACTIONS(2687),
    [anon_sym_super_AT] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_when] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_return_AT] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2685),
    [sym_float_literal] = ACTIONS(2687),
    [sym_label] = ACTIONS(2685),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2687),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2687),
    [sym__in] = ACTIONS(2687),
  },
  [3105] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3106] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3107] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3108] = {
    [sym_type_constraints] = STATE(4058),
    [sym_function_body] = STATE(3620),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3109] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3110] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_by] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
  },
  [3111] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(5890),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3112] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3113] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3114] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3115] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3116] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3117] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3118] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3119] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3120] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_catch] = ACTIONS(2927),
    [anon_sym_finally] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3121] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_catch] = ACTIONS(2935),
    [anon_sym_finally] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3122] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_catch] = ACTIONS(2939),
    [anon_sym_finally] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3123] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_catch] = ACTIONS(2943),
    [anon_sym_finally] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3124] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_fun] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_constructor] = ACTIONS(2693),
    [anon_sym_this] = ACTIONS(2693),
    [anon_sym_super] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_where] = ACTIONS(2693),
    [anon_sym_by] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_dynamic] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_BANGin] = ACTIONS(2695),
    [anon_sym_is] = ACTIONS(2693),
    [anon_sym_this_AT] = ACTIONS(2695),
    [anon_sym_super_AT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_when] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_return_AT] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2693),
    [sym_float_literal] = ACTIONS(2695),
    [sym_label] = ACTIONS(2693),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2695),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2695),
    [sym__in] = ACTIONS(2695),
  },
  [3125] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_constructor] = ACTIONS(2700),
    [anon_sym_this] = ACTIONS(2700),
    [anon_sym_super] = ACTIONS(2700),
    [anon_sym_COMMA] = ACTIONS(2702),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_where] = ACTIONS(2700),
    [anon_sym_by] = ACTIONS(2700),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_RBRACE] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_dynamic] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_BANGin] = ACTIONS(2702),
    [anon_sym_is] = ACTIONS(2700),
    [anon_sym_this_AT] = ACTIONS(2702),
    [anon_sym_super_AT] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2700),
    [anon_sym_when] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_return_AT] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2700),
    [sym_float_literal] = ACTIONS(2702),
    [sym_label] = ACTIONS(2700),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2702),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2702),
    [sym__in] = ACTIONS(2702),
  },
  [3126] = {
    [sym_type_constraints] = STATE(4071),
    [sym_function_body] = STATE(3642),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3127] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_where] = ACTIONS(2638),
    [anon_sym_by] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2638),
    [anon_sym_BANGin] = ACTIONS(2640),
    [anon_sym_is] = ACTIONS(2638),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2640),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2640),
    [sym__in] = ACTIONS(2640),
  },
  [3128] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_fun] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2704),
    [anon_sym_constructor] = ACTIONS(2697),
    [anon_sym_this] = ACTIONS(2697),
    [anon_sym_super] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2704),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_where] = ACTIONS(2697),
    [anon_sym_by] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_dynamic] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_BANGin] = ACTIONS(2704),
    [anon_sym_is] = ACTIONS(2697),
    [anon_sym_this_AT] = ACTIONS(2704),
    [anon_sym_super_AT] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_when] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_return_AT] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2697),
    [sym_float_literal] = ACTIONS(2704),
    [sym_label] = ACTIONS(2697),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2704),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2704),
    [sym__in] = ACTIONS(2704),
  },
  [3129] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_fun] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2627),
    [anon_sym_constructor] = ACTIONS(2624),
    [anon_sym_this] = ACTIONS(2624),
    [anon_sym_super] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_where] = ACTIONS(2624),
    [anon_sym_by] = ACTIONS(2624),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_dynamic] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_BANGin] = ACTIONS(2627),
    [anon_sym_is] = ACTIONS(2624),
    [anon_sym_this_AT] = ACTIONS(2627),
    [anon_sym_super_AT] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2624),
    [anon_sym_when] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_return_AT] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2624),
    [sym_float_literal] = ACTIONS(2627),
    [sym_label] = ACTIONS(2624),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2627),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2627),
    [sym__in] = ACTIONS(2627),
  },
  [3130] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_fun] = ACTIONS(2642),
    [anon_sym_object] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_constructor] = ACTIONS(2642),
    [anon_sym_this] = ACTIONS(2642),
    [anon_sym_super] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_where] = ACTIONS(2642),
    [anon_sym_by] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_dynamic] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2642),
    [anon_sym_BANGin] = ACTIONS(2644),
    [anon_sym_is] = ACTIONS(2642),
    [anon_sym_this_AT] = ACTIONS(2644),
    [anon_sym_super_AT] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_when] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_return_AT] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2642),
    [sym_float_literal] = ACTIONS(2644),
    [sym_label] = ACTIONS(2642),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2644),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2644),
    [sym__in] = ACTIONS(2644),
  },
  [3131] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_fun] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_constructor] = ACTIONS(2670),
    [anon_sym_this] = ACTIONS(2670),
    [anon_sym_super] = ACTIONS(2670),
    [anon_sym_COMMA] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_where] = ACTIONS(2670),
    [anon_sym_by] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_dynamic] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2670),
    [anon_sym_BANGin] = ACTIONS(2673),
    [anon_sym_is] = ACTIONS(2670),
    [anon_sym_this_AT] = ACTIONS(2673),
    [anon_sym_super_AT] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_when] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_return_AT] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2670),
    [sym_float_literal] = ACTIONS(2673),
    [sym_label] = ACTIONS(2670),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2673),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2673),
    [sym__in] = ACTIONS(2673),
  },
  [3132] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [anon_sym_EQ] = ACTIONS(2679),
    [anon_sym_constructor] = ACTIONS(2676),
    [anon_sym_this] = ACTIONS(2676),
    [anon_sym_super] = ACTIONS(2676),
    [anon_sym_COMMA] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_where] = ACTIONS(2676),
    [anon_sym_by] = ACTIONS(2676),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_dynamic] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_BANGin] = ACTIONS(2679),
    [anon_sym_is] = ACTIONS(2676),
    [anon_sym_this_AT] = ACTIONS(2679),
    [anon_sym_super_AT] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2676),
    [anon_sym_when] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_return_AT] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2676),
    [sym_float_literal] = ACTIONS(2679),
    [sym_label] = ACTIONS(2676),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2679),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2679),
    [sym__in] = ACTIONS(2679),
  },
  [3133] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3134] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3135] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3136] = {
    [sym_type_constraints] = STATE(4074),
    [sym_function_body] = STATE(3328),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3137] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3138] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(5894),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3139] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3140] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3141] = {
    [sym_type_constraints] = STATE(4062),
    [sym_function_body] = STATE(3340),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3142] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3143] = {
    [aux_sym_qualified_identifier_repeat1] = STATE(3150),
    [ts_builtin_sym_end] = ACTIONS(5896),
    [sym_identifier] = ACTIONS(5898),
    [anon_sym_AT] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym_import] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(5900),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_as] = ACTIONS(5898),
    [anon_sym_class] = ACTIONS(5898),
    [anon_sym_fun] = ACTIONS(5898),
    [anon_sym_interface] = ACTIONS(5898),
    [anon_sym_object] = ACTIONS(5898),
    [anon_sym_val] = ACTIONS(5898),
    [anon_sym_var] = ACTIONS(5898),
    [anon_sym_typealias] = ACTIONS(5898),
    [anon_sym_constructor] = ACTIONS(5898),
    [anon_sym_this] = ACTIONS(5898),
    [anon_sym_super] = ACTIONS(5898),
    [anon_sym_LPAREN] = ACTIONS(5896),
    [anon_sym_get] = ACTIONS(5898),
    [anon_sym_set] = ACTIONS(5898),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_for] = ACTIONS(5898),
    [anon_sym_while] = ACTIONS(5898),
    [anon_sym_do] = ACTIONS(5898),
    [anon_sym_enum] = ACTIONS(5898),
    [anon_sym_sealed] = ACTIONS(5898),
    [anon_sym_annotation] = ACTIONS(5898),
    [anon_sym_data] = ACTIONS(5898),
    [anon_sym_inner] = ACTIONS(5898),
    [anon_sym_value] = ACTIONS(5898),
    [anon_sym_tailrec] = ACTIONS(5898),
    [anon_sym_operator] = ACTIONS(5898),
    [anon_sym_infix] = ACTIONS(5898),
    [anon_sym_inline] = ACTIONS(5898),
    [anon_sym_external] = ACTIONS(5898),
    [anon_sym_suspend] = ACTIONS(5898),
    [anon_sym_const] = ACTIONS(5898),
    [anon_sym_public] = ACTIONS(5898),
    [anon_sym_private] = ACTIONS(5898),
    [anon_sym_protected] = ACTIONS(5898),
    [anon_sym_internal] = ACTIONS(5898),
    [anon_sym_abstract] = ACTIONS(5898),
    [anon_sym_final] = ACTIONS(5898),
    [anon_sym_open] = ACTIONS(5898),
    [anon_sym_override] = ACTIONS(5898),
    [anon_sym_lateinit] = ACTIONS(5898),
    [anon_sym_vararg] = ACTIONS(5898),
    [anon_sym_noinline] = ACTIONS(5898),
    [anon_sym_crossinline] = ACTIONS(5898),
    [anon_sym_expect] = ACTIONS(5898),
    [anon_sym_actual] = ACTIONS(5898),
    [anon_sym_dynamic] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5898),
    [anon_sym_BANG] = ACTIONS(5896),
    [anon_sym_this_AT] = ACTIONS(5896),
    [anon_sym_super_AT] = ACTIONS(5896),
    [anon_sym_if] = ACTIONS(5898),
    [anon_sym_when] = ACTIONS(5898),
    [anon_sym_try] = ACTIONS(5898),
    [anon_sym_return] = ACTIONS(5898),
    [anon_sym_return_AT] = ACTIONS(5896),
    [anon_sym_throw] = ACTIONS(5898),
    [anon_sym_COLON_COLON] = ACTIONS(5896),
    [anon_sym_DQUOTE] = ACTIONS(5898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5896),
    [anon_sym_SQUOTE] = ACTIONS(5896),
    [sym_number_literal] = ACTIONS(5898),
    [sym_float_literal] = ACTIONS(5896),
    [sym_label] = ACTIONS(5898),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3144] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3145] = {
    [sym_type_constraints] = STATE(4059),
    [sym_function_body] = STATE(3411),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3146] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2759),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3147] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(5905),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3148] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3149] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3150] = {
    [aux_sym_qualified_identifier_repeat1] = STATE(3086),
    [ts_builtin_sym_end] = ACTIONS(5907),
    [sym_identifier] = ACTIONS(5909),
    [anon_sym_AT] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5907),
    [anon_sym_SEMI] = ACTIONS(5907),
    [anon_sym_import] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5911),
    [anon_sym_STAR] = ACTIONS(5907),
    [anon_sym_as] = ACTIONS(5909),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_fun] = ACTIONS(5909),
    [anon_sym_interface] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(5909),
    [anon_sym_val] = ACTIONS(5909),
    [anon_sym_var] = ACTIONS(5909),
    [anon_sym_typealias] = ACTIONS(5909),
    [anon_sym_constructor] = ACTIONS(5909),
    [anon_sym_this] = ACTIONS(5909),
    [anon_sym_super] = ACTIONS(5909),
    [anon_sym_LPAREN] = ACTIONS(5907),
    [anon_sym_get] = ACTIONS(5909),
    [anon_sym_set] = ACTIONS(5909),
    [anon_sym_LBRACE] = ACTIONS(5907),
    [anon_sym_for] = ACTIONS(5909),
    [anon_sym_while] = ACTIONS(5909),
    [anon_sym_do] = ACTIONS(5909),
    [anon_sym_enum] = ACTIONS(5909),
    [anon_sym_sealed] = ACTIONS(5909),
    [anon_sym_annotation] = ACTIONS(5909),
    [anon_sym_data] = ACTIONS(5909),
    [anon_sym_inner] = ACTIONS(5909),
    [anon_sym_value] = ACTIONS(5909),
    [anon_sym_tailrec] = ACTIONS(5909),
    [anon_sym_operator] = ACTIONS(5909),
    [anon_sym_infix] = ACTIONS(5909),
    [anon_sym_inline] = ACTIONS(5909),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_suspend] = ACTIONS(5909),
    [anon_sym_const] = ACTIONS(5909),
    [anon_sym_public] = ACTIONS(5909),
    [anon_sym_private] = ACTIONS(5909),
    [anon_sym_protected] = ACTIONS(5909),
    [anon_sym_internal] = ACTIONS(5909),
    [anon_sym_abstract] = ACTIONS(5909),
    [anon_sym_final] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_override] = ACTIONS(5909),
    [anon_sym_lateinit] = ACTIONS(5909),
    [anon_sym_vararg] = ACTIONS(5909),
    [anon_sym_noinline] = ACTIONS(5909),
    [anon_sym_crossinline] = ACTIONS(5909),
    [anon_sym_expect] = ACTIONS(5909),
    [anon_sym_actual] = ACTIONS(5909),
    [anon_sym_dynamic] = ACTIONS(5909),
    [anon_sym_PLUS_PLUS] = ACTIONS(5907),
    [anon_sym_DASH_DASH] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5909),
    [anon_sym_BANG] = ACTIONS(5907),
    [anon_sym_this_AT] = ACTIONS(5907),
    [anon_sym_super_AT] = ACTIONS(5907),
    [anon_sym_if] = ACTIONS(5909),
    [anon_sym_when] = ACTIONS(5909),
    [anon_sym_try] = ACTIONS(5909),
    [anon_sym_return] = ACTIONS(5909),
    [anon_sym_return_AT] = ACTIONS(5907),
    [anon_sym_throw] = ACTIONS(5909),
    [anon_sym_COLON_COLON] = ACTIONS(5907),
    [anon_sym_DQUOTE] = ACTIONS(5909),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5907),
    [anon_sym_SQUOTE] = ACTIONS(5907),
    [sym_number_literal] = ACTIONS(5909),
    [sym_float_literal] = ACTIONS(5907),
    [sym_label] = ACTIONS(5909),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3151] = {
    [sym_type_constraints] = STATE(4061),
    [sym_function_body] = STATE(3423),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3152] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3153] = {
    [sym_type_constraints] = STATE(4069),
    [sym_function_body] = STATE(3495),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3154] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(5916),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3155] = {
    [sym_type_constraints] = STATE(4068),
    [sym_function_body] = STATE(3508),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3156] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [3157] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [3158] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3159] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4694),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3160] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4256),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3161] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4254),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_COMMA] = ACTIONS(2367),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_where] = ACTIONS(2361),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4256),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3162] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3163] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [3164] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [3165] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3166] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3167] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3168] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3169] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3170] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2755),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3171] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3172] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3173] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3174] = {
    [sym_type_constraints] = STATE(4052),
    [sym_function_body] = STATE(3193),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3175] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3176] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3177] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3178] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3179] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3180] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3181] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3182] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3183] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3184] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3185] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_set] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [3186] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_set] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [3187] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3188] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3189] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3190] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3191] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [3192] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_set] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [3193] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3194] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3195] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3196] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3197] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3198] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3199] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3200] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [3201] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [3202] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3203] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3204] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3205] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3206] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3207] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3208] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3209] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5925),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3210] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3211] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3212] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3213] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3214] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3215] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5928),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3216] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [3217] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [3218] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3219] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3220] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3221] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3222] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3223] = {
    [sym_type_constraints] = STATE(4057),
    [sym_function_body] = STATE(3252),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5934),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(4712),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3224] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3225] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_as] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2973),
    [anon_sym_LT] = ACTIONS(2973),
    [anon_sym_GT] = ACTIONS(2973),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_get] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_in] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_sealed] = ACTIONS(2973),
    [anon_sym_annotation] = ACTIONS(2973),
    [anon_sym_data] = ACTIONS(2973),
    [anon_sym_inner] = ACTIONS(2973),
    [anon_sym_value] = ACTIONS(2973),
    [anon_sym_tailrec] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_infix] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym_external] = ACTIONS(2973),
    [anon_sym_suspend] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_internal] = ACTIONS(2973),
    [anon_sym_abstract] = ACTIONS(2973),
    [anon_sym_final] = ACTIONS(2973),
    [anon_sym_open] = ACTIONS(2973),
    [anon_sym_override] = ACTIONS(2973),
    [anon_sym_lateinit] = ACTIONS(2973),
    [anon_sym_vararg] = ACTIONS(2973),
    [anon_sym_noinline] = ACTIONS(2973),
    [anon_sym_crossinline] = ACTIONS(2973),
    [anon_sym_expect] = ACTIONS(2973),
    [anon_sym_actual] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2975),
    [anon_sym_DASH_EQ] = ACTIONS(2975),
    [anon_sym_STAR_EQ] = ACTIONS(2975),
    [anon_sym_SLASH_EQ] = ACTIONS(2975),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_BANG_BANG] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2973),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2975),
    [anon_sym_EQ_EQ] = ACTIONS(2973),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2975),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_QMARK_COLON] = ACTIONS(2975),
    [anon_sym_BANGin] = ACTIONS(2975),
    [anon_sym_is] = ACTIONS(2973),
    [anon_sym_as_QMARK] = ACTIONS(2975),
    [anon_sym_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [sym_label] = ACTIONS(2975),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2975),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2975),
    [sym__q_dot] = ACTIONS(2975),
  },
  [3226] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2985),
    [anon_sym_GT] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_get] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_in] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_annotation] = ACTIONS(2985),
    [anon_sym_data] = ACTIONS(2985),
    [anon_sym_inner] = ACTIONS(2985),
    [anon_sym_value] = ACTIONS(2985),
    [anon_sym_tailrec] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_infix] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym_external] = ACTIONS(2985),
    [anon_sym_suspend] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_final] = ACTIONS(2985),
    [anon_sym_open] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_lateinit] = ACTIONS(2985),
    [anon_sym_vararg] = ACTIONS(2985),
    [anon_sym_noinline] = ACTIONS(2985),
    [anon_sym_crossinline] = ACTIONS(2985),
    [anon_sym_expect] = ACTIONS(2985),
    [anon_sym_actual] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_EQ] = ACTIONS(2987),
    [anon_sym_DASH_EQ] = ACTIONS(2987),
    [anon_sym_STAR_EQ] = ACTIONS(2987),
    [anon_sym_SLASH_EQ] = ACTIONS(2987),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_BANG_BANG] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2987),
    [anon_sym_EQ_EQ] = ACTIONS(2985),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2987),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_QMARK_COLON] = ACTIONS(2987),
    [anon_sym_BANGin] = ACTIONS(2987),
    [anon_sym_is] = ACTIONS(2985),
    [anon_sym_as_QMARK] = ACTIONS(2987),
    [anon_sym_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [sym_label] = ACTIONS(2987),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2987),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2987),
    [sym__q_dot] = ACTIONS(2987),
  },
  [3227] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3228] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3229] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3230] = {
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2757),
    [anon_sym_STAR] = ACTIONS(2757),
    [anon_sym_as] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_GT] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_where] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_in] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [anon_sym_sealed] = ACTIONS(2757),
    [anon_sym_annotation] = ACTIONS(2757),
    [anon_sym_data] = ACTIONS(2757),
    [anon_sym_inner] = ACTIONS(2757),
    [anon_sym_value] = ACTIONS(2757),
    [anon_sym_tailrec] = ACTIONS(2757),
    [anon_sym_operator] = ACTIONS(2757),
    [anon_sym_infix] = ACTIONS(2757),
    [anon_sym_inline] = ACTIONS(2757),
    [anon_sym_external] = ACTIONS(2757),
    [anon_sym_suspend] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_internal] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_final] = ACTIONS(2757),
    [anon_sym_open] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_lateinit] = ACTIONS(2757),
    [anon_sym_vararg] = ACTIONS(2757),
    [anon_sym_noinline] = ACTIONS(2757),
    [anon_sym_crossinline] = ACTIONS(2757),
    [anon_sym_expect] = ACTIONS(2757),
    [anon_sym_actual] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_BANG_BANG] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2757),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_QMARK_COLON] = ACTIONS(2759),
    [anon_sym_BANGin] = ACTIONS(2759),
    [anon_sym_is] = ACTIONS(2757),
    [anon_sym_as_QMARK] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [sym_label] = ACTIONS(2759),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2759),
    [sym__q_dot] = ACTIONS(2759),
  },
  [3231] = {
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2753),
    [anon_sym_as] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_GT] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_where] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_in] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [anon_sym_sealed] = ACTIONS(2753),
    [anon_sym_annotation] = ACTIONS(2753),
    [anon_sym_data] = ACTIONS(2753),
    [anon_sym_inner] = ACTIONS(2753),
    [anon_sym_value] = ACTIONS(2753),
    [anon_sym_tailrec] = ACTIONS(2753),
    [anon_sym_operator] = ACTIONS(2753),
    [anon_sym_infix] = ACTIONS(2753),
    [anon_sym_inline] = ACTIONS(2753),
    [anon_sym_external] = ACTIONS(2753),
    [anon_sym_suspend] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_internal] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_final] = ACTIONS(2753),
    [anon_sym_open] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_lateinit] = ACTIONS(2753),
    [anon_sym_vararg] = ACTIONS(2753),
    [anon_sym_noinline] = ACTIONS(2753),
    [anon_sym_crossinline] = ACTIONS(2753),
    [anon_sym_expect] = ACTIONS(2753),
    [anon_sym_actual] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2755),
    [anon_sym_DASH_EQ] = ACTIONS(2755),
    [anon_sym_STAR_EQ] = ACTIONS(2755),
    [anon_sym_SLASH_EQ] = ACTIONS(2755),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_BANG_BANG] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2753),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2755),
    [anon_sym_EQ_EQ] = ACTIONS(2753),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_QMARK_COLON] = ACTIONS(2755),
    [anon_sym_BANGin] = ACTIONS(2755),
    [anon_sym_is] = ACTIONS(2753),
    [anon_sym_as_QMARK] = ACTIONS(2755),
    [anon_sym_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [sym_label] = ACTIONS(2755),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2755),
    [sym__q_dot] = ACTIONS(2755),
  },
  [3232] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3233] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3234] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3235] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3236] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_as] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_where] = ACTIONS(2931),
    [anon_sym_set] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_in] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_sealed] = ACTIONS(2931),
    [anon_sym_annotation] = ACTIONS(2931),
    [anon_sym_data] = ACTIONS(2931),
    [anon_sym_inner] = ACTIONS(2931),
    [anon_sym_value] = ACTIONS(2931),
    [anon_sym_tailrec] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_infix] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym_external] = ACTIONS(2931),
    [anon_sym_suspend] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_public] = ACTIONS(2931),
    [anon_sym_private] = ACTIONS(2931),
    [anon_sym_protected] = ACTIONS(2931),
    [anon_sym_internal] = ACTIONS(2931),
    [anon_sym_abstract] = ACTIONS(2931),
    [anon_sym_final] = ACTIONS(2931),
    [anon_sym_open] = ACTIONS(2931),
    [anon_sym_override] = ACTIONS(2931),
    [anon_sym_lateinit] = ACTIONS(2931),
    [anon_sym_vararg] = ACTIONS(2931),
    [anon_sym_noinline] = ACTIONS(2931),
    [anon_sym_crossinline] = ACTIONS(2931),
    [anon_sym_expect] = ACTIONS(2931),
    [anon_sym_actual] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_BANG_BANG] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_QMARK_COLON] = ACTIONS(2933),
    [anon_sym_BANGin] = ACTIONS(2933),
    [anon_sym_is] = ACTIONS(2931),
    [anon_sym_as_QMARK] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [sym_label] = ACTIONS(2933),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2933),
    [sym__q_dot] = ACTIONS(2933),
  },
  [3237] = {
    [sym_function_body] = STATE(3747),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3238] = {
    [sym_function_body] = STATE(3774),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3239] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3240] = {
    [sym_function_body] = STATE(3781),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5561),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3241] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3242] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_as] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_where] = ACTIONS(2923),
    [anon_sym_set] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_in] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_sealed] = ACTIONS(2923),
    [anon_sym_annotation] = ACTIONS(2923),
    [anon_sym_data] = ACTIONS(2923),
    [anon_sym_inner] = ACTIONS(2923),
    [anon_sym_value] = ACTIONS(2923),
    [anon_sym_tailrec] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_infix] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym_external] = ACTIONS(2923),
    [anon_sym_suspend] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_public] = ACTIONS(2923),
    [anon_sym_private] = ACTIONS(2923),
    [anon_sym_protected] = ACTIONS(2923),
    [anon_sym_internal] = ACTIONS(2923),
    [anon_sym_abstract] = ACTIONS(2923),
    [anon_sym_final] = ACTIONS(2923),
    [anon_sym_open] = ACTIONS(2923),
    [anon_sym_override] = ACTIONS(2923),
    [anon_sym_lateinit] = ACTIONS(2923),
    [anon_sym_vararg] = ACTIONS(2923),
    [anon_sym_noinline] = ACTIONS(2923),
    [anon_sym_crossinline] = ACTIONS(2923),
    [anon_sym_expect] = ACTIONS(2923),
    [anon_sym_actual] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_BANG_BANG] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_QMARK_COLON] = ACTIONS(2925),
    [anon_sym_BANGin] = ACTIONS(2925),
    [anon_sym_is] = ACTIONS(2923),
    [anon_sym_as_QMARK] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [sym_label] = ACTIONS(2925),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2925),
    [sym__q_dot] = ACTIONS(2925),
  },
  [3243] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3244] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_as] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LPAREN] = ACTIONS(2949),
    [anon_sym_where] = ACTIONS(2947),
    [anon_sym_set] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_in] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_sealed] = ACTIONS(2947),
    [anon_sym_annotation] = ACTIONS(2947),
    [anon_sym_data] = ACTIONS(2947),
    [anon_sym_inner] = ACTIONS(2947),
    [anon_sym_value] = ACTIONS(2947),
    [anon_sym_tailrec] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_infix] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym_external] = ACTIONS(2947),
    [anon_sym_suspend] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_internal] = ACTIONS(2947),
    [anon_sym_abstract] = ACTIONS(2947),
    [anon_sym_final] = ACTIONS(2947),
    [anon_sym_open] = ACTIONS(2947),
    [anon_sym_override] = ACTIONS(2947),
    [anon_sym_lateinit] = ACTIONS(2947),
    [anon_sym_vararg] = ACTIONS(2947),
    [anon_sym_noinline] = ACTIONS(2947),
    [anon_sym_crossinline] = ACTIONS(2947),
    [anon_sym_expect] = ACTIONS(2947),
    [anon_sym_actual] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_BANG_BANG] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_QMARK_COLON] = ACTIONS(2949),
    [anon_sym_BANGin] = ACTIONS(2949),
    [anon_sym_is] = ACTIONS(2947),
    [anon_sym_as_QMARK] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [sym_label] = ACTIONS(2949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2949),
    [sym__q_dot] = ACTIONS(2949),
  },
  [3245] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_as] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_where] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_in] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_sealed] = ACTIONS(2951),
    [anon_sym_annotation] = ACTIONS(2951),
    [anon_sym_data] = ACTIONS(2951),
    [anon_sym_inner] = ACTIONS(2951),
    [anon_sym_value] = ACTIONS(2951),
    [anon_sym_tailrec] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_infix] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym_external] = ACTIONS(2951),
    [anon_sym_suspend] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_internal] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_final] = ACTIONS(2951),
    [anon_sym_open] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_lateinit] = ACTIONS(2951),
    [anon_sym_vararg] = ACTIONS(2951),
    [anon_sym_noinline] = ACTIONS(2951),
    [anon_sym_crossinline] = ACTIONS(2951),
    [anon_sym_expect] = ACTIONS(2951),
    [anon_sym_actual] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_BANG_BANG] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_QMARK_COLON] = ACTIONS(2953),
    [anon_sym_BANGin] = ACTIONS(2953),
    [anon_sym_is] = ACTIONS(2951),
    [anon_sym_as_QMARK] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [sym_label] = ACTIONS(2953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2953),
    [sym__q_dot] = ACTIONS(2953),
  },
  [3246] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_sealed] = ACTIONS(2955),
    [anon_sym_annotation] = ACTIONS(2955),
    [anon_sym_data] = ACTIONS(2955),
    [anon_sym_inner] = ACTIONS(2955),
    [anon_sym_value] = ACTIONS(2955),
    [anon_sym_tailrec] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_infix] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym_external] = ACTIONS(2955),
    [anon_sym_suspend] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_internal] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_final] = ACTIONS(2955),
    [anon_sym_open] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_lateinit] = ACTIONS(2955),
    [anon_sym_vararg] = ACTIONS(2955),
    [anon_sym_noinline] = ACTIONS(2955),
    [anon_sym_crossinline] = ACTIONS(2955),
    [anon_sym_expect] = ACTIONS(2955),
    [anon_sym_actual] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_BANG_BANG] = ACTIONS(2957),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2957),
    [anon_sym_QMARK_COLON] = ACTIONS(2957),
    [anon_sym_BANGin] = ACTIONS(2957),
    [anon_sym_is] = ACTIONS(2955),
    [anon_sym_as_QMARK] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_catch] = ACTIONS(2955),
    [anon_sym_finally] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [sym_label] = ACTIONS(2957),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2957),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2957),
    [sym__q_dot] = ACTIONS(2957),
  },
  [3247] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_as] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2969),
    [anon_sym_GT] = ACTIONS(2969),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_get] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_sealed] = ACTIONS(2969),
    [anon_sym_annotation] = ACTIONS(2969),
    [anon_sym_data] = ACTIONS(2969),
    [anon_sym_inner] = ACTIONS(2969),
    [anon_sym_value] = ACTIONS(2969),
    [anon_sym_tailrec] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_infix] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym_external] = ACTIONS(2969),
    [anon_sym_suspend] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_internal] = ACTIONS(2969),
    [anon_sym_abstract] = ACTIONS(2969),
    [anon_sym_final] = ACTIONS(2969),
    [anon_sym_open] = ACTIONS(2969),
    [anon_sym_override] = ACTIONS(2969),
    [anon_sym_lateinit] = ACTIONS(2969),
    [anon_sym_vararg] = ACTIONS(2969),
    [anon_sym_noinline] = ACTIONS(2969),
    [anon_sym_crossinline] = ACTIONS(2969),
    [anon_sym_expect] = ACTIONS(2969),
    [anon_sym_actual] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2971),
    [anon_sym_DASH_EQ] = ACTIONS(2971),
    [anon_sym_STAR_EQ] = ACTIONS(2971),
    [anon_sym_SLASH_EQ] = ACTIONS(2971),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_BANG_BANG] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2969),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2971),
    [anon_sym_EQ_EQ] = ACTIONS(2969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_QMARK_COLON] = ACTIONS(2971),
    [anon_sym_BANGin] = ACTIONS(2971),
    [anon_sym_is] = ACTIONS(2969),
    [anon_sym_as_QMARK] = ACTIONS(2971),
    [anon_sym_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_catch] = ACTIONS(2969),
    [anon_sym_finally] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [sym_label] = ACTIONS(2971),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2971),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2971),
    [sym__q_dot] = ACTIONS(2971),
  },
  [3248] = {
    [sym_function_body] = STATE(3831),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3249] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3250] = {
    [sym_function_body] = STATE(3848),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3251] = {
    [sym_function_body] = STATE(3855),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5585),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3252] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3253] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3254] = {
    [sym_function_body] = STATE(3910),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3255] = {
    [sym_function_body] = STATE(3935),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3256] = {
    [sym_function_body] = STATE(3946),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5595),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3257] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3258] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3259] = {
    [sym_function_body] = STATE(4007),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3260] = {
    [sym_function_body] = STATE(4028),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3261] = {
    [sym_function_body] = STATE(4038),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5605),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3262] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3263] = {
    [sym_identifier] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_LBRACK] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_as] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2749),
    [anon_sym_where] = ACTIONS(2747),
    [anon_sym_set] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_in] = ACTIONS(2747),
    [anon_sym_enum] = ACTIONS(2747),
    [anon_sym_sealed] = ACTIONS(2747),
    [anon_sym_annotation] = ACTIONS(2747),
    [anon_sym_data] = ACTIONS(2747),
    [anon_sym_inner] = ACTIONS(2747),
    [anon_sym_value] = ACTIONS(2747),
    [anon_sym_tailrec] = ACTIONS(2747),
    [anon_sym_operator] = ACTIONS(2747),
    [anon_sym_infix] = ACTIONS(2747),
    [anon_sym_inline] = ACTIONS(2747),
    [anon_sym_external] = ACTIONS(2747),
    [anon_sym_suspend] = ACTIONS(2747),
    [anon_sym_const] = ACTIONS(2747),
    [anon_sym_public] = ACTIONS(2747),
    [anon_sym_private] = ACTIONS(2747),
    [anon_sym_protected] = ACTIONS(2747),
    [anon_sym_internal] = ACTIONS(2747),
    [anon_sym_abstract] = ACTIONS(2747),
    [anon_sym_final] = ACTIONS(2747),
    [anon_sym_open] = ACTIONS(2747),
    [anon_sym_override] = ACTIONS(2747),
    [anon_sym_lateinit] = ACTIONS(2747),
    [anon_sym_vararg] = ACTIONS(2747),
    [anon_sym_noinline] = ACTIONS(2747),
    [anon_sym_crossinline] = ACTIONS(2747),
    [anon_sym_expect] = ACTIONS(2747),
    [anon_sym_actual] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_BANG_BANG] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_QMARK_COLON] = ACTIONS(2749),
    [anon_sym_BANGin] = ACTIONS(2749),
    [anon_sym_is] = ACTIONS(2747),
    [anon_sym_as_QMARK] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2749),
    [anon_sym_else] = ACTIONS(2747),
    [anon_sym_COLON_COLON] = ACTIONS(2749),
    [sym_label] = ACTIONS(2749),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2749),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2749),
    [sym__q_dot] = ACTIONS(2749),
  },
  [3264] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3265] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3266] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3267] = {
    [sym_type_constraints] = STATE(4072),
    [sym_function_body] = STATE(3282),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3268] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3269] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3270] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3271] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3272] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3273] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3274] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3275] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3276] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3277] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3278] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3279] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3280] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3281] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3282] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3283] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3284] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3285] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3286] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3287] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3288] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3289] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3290] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3291] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3292] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3293] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3294] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3295] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3296] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3297] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3298] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3299] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3300] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3301] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3302] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3303] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3304] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3305] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3306] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3307] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3308] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(5949),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3309] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3310] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3311] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3312] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3313] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3314] = {
    [sym_type_constraints] = STATE(4074),
    [sym_function_body] = STATE(3328),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3315] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3316] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3317] = {
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_AT] = ACTIONS(5988),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_fun] = ACTIONS(5986),
    [anon_sym_object] = ACTIONS(5986),
    [anon_sym_EQ] = ACTIONS(5988),
    [anon_sym_constructor] = ACTIONS(5986),
    [anon_sym_this] = ACTIONS(5986),
    [anon_sym_super] = ACTIONS(5986),
    [anon_sym_LPAREN] = ACTIONS(5988),
    [anon_sym_where] = ACTIONS(5986),
    [anon_sym_by] = ACTIONS(5986),
    [anon_sym_get] = ACTIONS(5986),
    [anon_sym_set] = ACTIONS(5986),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_enum] = ACTIONS(5986),
    [anon_sym_sealed] = ACTIONS(5986),
    [anon_sym_annotation] = ACTIONS(5986),
    [anon_sym_data] = ACTIONS(5986),
    [anon_sym_inner] = ACTIONS(5986),
    [anon_sym_value] = ACTIONS(5986),
    [anon_sym_tailrec] = ACTIONS(5986),
    [anon_sym_operator] = ACTIONS(5986),
    [anon_sym_infix] = ACTIONS(5986),
    [anon_sym_inline] = ACTIONS(5986),
    [anon_sym_external] = ACTIONS(5986),
    [anon_sym_suspend] = ACTIONS(5986),
    [anon_sym_const] = ACTIONS(5986),
    [anon_sym_public] = ACTIONS(5986),
    [anon_sym_private] = ACTIONS(5986),
    [anon_sym_protected] = ACTIONS(5986),
    [anon_sym_internal] = ACTIONS(5986),
    [anon_sym_abstract] = ACTIONS(5986),
    [anon_sym_final] = ACTIONS(5986),
    [anon_sym_open] = ACTIONS(5986),
    [anon_sym_override] = ACTIONS(5986),
    [anon_sym_lateinit] = ACTIONS(5986),
    [anon_sym_vararg] = ACTIONS(5986),
    [anon_sym_noinline] = ACTIONS(5986),
    [anon_sym_crossinline] = ACTIONS(5986),
    [anon_sym_expect] = ACTIONS(5986),
    [anon_sym_actual] = ACTIONS(5986),
    [anon_sym_dynamic] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_BANG] = ACTIONS(5986),
    [anon_sym_BANGin] = ACTIONS(5988),
    [anon_sym_is] = ACTIONS(5986),
    [anon_sym_this_AT] = ACTIONS(5988),
    [anon_sym_super_AT] = ACTIONS(5988),
    [anon_sym_if] = ACTIONS(5986),
    [anon_sym_else] = ACTIONS(5986),
    [anon_sym_when] = ACTIONS(5986),
    [anon_sym_try] = ACTIONS(5986),
    [anon_sym_return] = ACTIONS(5986),
    [anon_sym_return_AT] = ACTIONS(5988),
    [anon_sym_throw] = ACTIONS(5986),
    [anon_sym_COLON_COLON] = ACTIONS(5988),
    [anon_sym_DQUOTE] = ACTIONS(5986),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5988),
    [anon_sym_SQUOTE] = ACTIONS(5988),
    [sym_number_literal] = ACTIONS(5986),
    [sym_float_literal] = ACTIONS(5988),
    [sym_label] = ACTIONS(5986),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(5988),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5988),
    [sym__in] = ACTIONS(5988),
  },
  [3318] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3319] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3320] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3321] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3322] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3323] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3324] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3325] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3326] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3327] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3328] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3329] = {
    [sym_identifier] = ACTIONS(5990),
    [anon_sym_AT] = ACTIONS(5992),
    [anon_sym_LBRACK] = ACTIONS(5992),
    [anon_sym_SEMI] = ACTIONS(5992),
    [anon_sym_STAR] = ACTIONS(5992),
    [anon_sym_fun] = ACTIONS(5990),
    [anon_sym_object] = ACTIONS(5990),
    [anon_sym_EQ] = ACTIONS(5992),
    [anon_sym_constructor] = ACTIONS(5990),
    [anon_sym_this] = ACTIONS(5990),
    [anon_sym_super] = ACTIONS(5990),
    [anon_sym_LPAREN] = ACTIONS(5992),
    [anon_sym_where] = ACTIONS(5990),
    [anon_sym_by] = ACTIONS(5990),
    [anon_sym_get] = ACTIONS(5990),
    [anon_sym_set] = ACTIONS(5990),
    [anon_sym_LBRACE] = ACTIONS(5992),
    [anon_sym_RBRACE] = ACTIONS(5992),
    [anon_sym_enum] = ACTIONS(5990),
    [anon_sym_sealed] = ACTIONS(5990),
    [anon_sym_annotation] = ACTIONS(5990),
    [anon_sym_data] = ACTIONS(5990),
    [anon_sym_inner] = ACTIONS(5990),
    [anon_sym_value] = ACTIONS(5990),
    [anon_sym_tailrec] = ACTIONS(5990),
    [anon_sym_operator] = ACTIONS(5990),
    [anon_sym_infix] = ACTIONS(5990),
    [anon_sym_inline] = ACTIONS(5990),
    [anon_sym_external] = ACTIONS(5990),
    [anon_sym_suspend] = ACTIONS(5990),
    [anon_sym_const] = ACTIONS(5990),
    [anon_sym_public] = ACTIONS(5990),
    [anon_sym_private] = ACTIONS(5990),
    [anon_sym_protected] = ACTIONS(5990),
    [anon_sym_internal] = ACTIONS(5990),
    [anon_sym_abstract] = ACTIONS(5990),
    [anon_sym_final] = ACTIONS(5990),
    [anon_sym_open] = ACTIONS(5990),
    [anon_sym_override] = ACTIONS(5990),
    [anon_sym_lateinit] = ACTIONS(5990),
    [anon_sym_vararg] = ACTIONS(5990),
    [anon_sym_noinline] = ACTIONS(5990),
    [anon_sym_crossinline] = ACTIONS(5990),
    [anon_sym_expect] = ACTIONS(5990),
    [anon_sym_actual] = ACTIONS(5990),
    [anon_sym_dynamic] = ACTIONS(5990),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(5992),
    [anon_sym_DASH_DASH] = ACTIONS(5992),
    [anon_sym_PLUS] = ACTIONS(5990),
    [anon_sym_DASH] = ACTIONS(5990),
    [anon_sym_BANG] = ACTIONS(5990),
    [anon_sym_BANGin] = ACTIONS(5992),
    [anon_sym_is] = ACTIONS(5990),
    [anon_sym_this_AT] = ACTIONS(5992),
    [anon_sym_super_AT] = ACTIONS(5992),
    [anon_sym_if] = ACTIONS(5990),
    [anon_sym_else] = ACTIONS(5990),
    [anon_sym_when] = ACTIONS(5990),
    [anon_sym_try] = ACTIONS(5990),
    [anon_sym_return] = ACTIONS(5990),
    [anon_sym_return_AT] = ACTIONS(5992),
    [anon_sym_throw] = ACTIONS(5990),
    [anon_sym_COLON_COLON] = ACTIONS(5992),
    [anon_sym_DQUOTE] = ACTIONS(5990),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5992),
    [anon_sym_SQUOTE] = ACTIONS(5992),
    [sym_number_literal] = ACTIONS(5990),
    [sym_float_literal] = ACTIONS(5992),
    [sym_label] = ACTIONS(5990),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(5992),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5992),
    [sym__in] = ACTIONS(5992),
  },
  [3330] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3331] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3332] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3333] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3334] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3335] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3336] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3337] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3338] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3339] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3340] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3341] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3342] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3343] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3344] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3345] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3346] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3347] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3348] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3349] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3350] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3351] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3352] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3353] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3354] = {
    [sym_type_constraints] = STATE(4073),
    [sym_function_body] = STATE(3370),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3355] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3356] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3357] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3358] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3359] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3360] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3361] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3362] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3363] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3364] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3365] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3366] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3367] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3368] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3369] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3370] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3371] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3372] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3373] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3374] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3375] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3376] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3377] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3378] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3379] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3380] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3381] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3382] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3383] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3384] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3385] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3386] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3387] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3388] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3389] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3390] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3391] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3392] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6036),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3393] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3394] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6039),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3395] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3396] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3397] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3398] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_RBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3399] = {
    [sym_type_constraints] = STATE(4059),
    [sym_function_body] = STATE(3411),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6042),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5095),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3400] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3401] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3402] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3403] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_RBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3404] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3405] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3406] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3407] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3408] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3409] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3410] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3411] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3412] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3413] = {
    [sym_type_constraints] = STATE(4070),
    [sym_function_body] = STATE(3546),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3414] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3415] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3416] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3417] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3418] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3419] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3420] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3421] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3422] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3423] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3424] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3425] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3426] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3427] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3428] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3429] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6046),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3430] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3431] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3432] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3433] = {
    [sym_type_constraints] = STATE(4065),
    [sym_function_body] = STATE(3449),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6048),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3434] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_RBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3435] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3436] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3437] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3438] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3439] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3440] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3441] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3442] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3443] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3444] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3445] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_RBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3446] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3447] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3448] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3449] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3450] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3451] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3452] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3453] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3454] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3455] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3456] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3457] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3458] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3459] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_RBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3460] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_RBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3461] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_RBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3462] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_RBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3463] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_RBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3464] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_RBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3465] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3466] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3467] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3468] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3469] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3470] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3471] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(5970),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5970),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3472] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_QMARK_COLON] = ACTIONS(5976),
    [anon_sym_BANGin] = ACTIONS(5978),
    [anon_sym_is] = ACTIONS(4924),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4938),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3473] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2335),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3474] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3475] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3476] = {
    [sym_value_arguments] = STATE(2665),
    [sym_annotation] = STATE(8570),
    [sym_type_arguments] = STATE(8345),
    [sym_annotated_lambda] = STATE(3446),
    [sym_lambda_literal] = STATE(3447),
    [aux_sym_delegation_specifier_repeat1] = STATE(8570),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4884),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4888),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_as] = ACTIONS(4892),
    [anon_sym_LT] = ACTIONS(6059),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4900),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4906),
    [anon_sym_DASH_DASH] = ACTIONS(4906),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_BANG_BANG] = ACTIONS(4906),
    [anon_sym_SLASH] = ACTIONS(5964),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4926),
    [anon_sym_DOT_DOT] = ACTIONS(5980),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5982),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4934),
    [sym_label] = ACTIONS(4936),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4934),
  },
  [3477] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3478] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3479] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3480] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3481] = {
    [sym_type_constraints] = STATE(4069),
    [sym_function_body] = STATE(3495),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6062),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3482] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3483] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3484] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3485] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3486] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3487] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_RBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3488] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3489] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_RBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3490] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_RBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3491] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3492] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3493] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3494] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3495] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3496] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3497] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3498] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_RBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3499] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3500] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_RBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3501] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3502] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3503] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3504] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3505] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3506] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3507] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3508] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3509] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3510] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3511] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_RBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3512] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3513] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3514] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3515] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3516] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3517] = {
    [sym_type_constraints] = STATE(4095),
    [sym_function_body] = STATE(3770),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3518] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4780),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3519] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4746),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4780),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3520] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [3521] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3522] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4788),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4822),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3523] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(6066),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3524] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3525] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4828),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4874),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3526] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3527] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3528] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3529] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3530] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3531] = {
    [sym_type_constraints] = STATE(4085),
    [sym_function_body] = STATE(3778),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5567),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3532] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3533] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3534] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3535] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3536] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3537] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3538] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3539] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3540] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3541] = {
    [sym_value_arguments] = STATE(2481),
    [sym_annotation] = STATE(8553),
    [sym_type_arguments] = STATE(8301),
    [sym_annotated_lambda] = STATE(3188),
    [sym_lambda_literal] = STATE(3189),
    [aux_sym_delegation_specifier_repeat1] = STATE(8553),
    [sym_identifier] = ACTIONS(4261),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4263),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_DOT] = ACTIONS(4267),
    [anon_sym_STAR] = ACTIONS(4269),
    [anon_sym_as] = ACTIONS(4271),
    [anon_sym_LT] = ACTIONS(4273),
    [anon_sym_GT] = ACTIONS(4275),
    [anon_sym_LPAREN] = ACTIONS(4277),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(553),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_in] = ACTIONS(4283),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_sealed] = ACTIONS(3184),
    [anon_sym_annotation] = ACTIONS(3184),
    [anon_sym_data] = ACTIONS(3184),
    [anon_sym_inner] = ACTIONS(3184),
    [anon_sym_value] = ACTIONS(3184),
    [anon_sym_tailrec] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym_external] = ACTIONS(3184),
    [anon_sym_suspend] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_lateinit] = ACTIONS(3184),
    [anon_sym_vararg] = ACTIONS(3184),
    [anon_sym_noinline] = ACTIONS(3184),
    [anon_sym_crossinline] = ACTIONS(3184),
    [anon_sym_expect] = ACTIONS(3184),
    [anon_sym_actual] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4285),
    [anon_sym_DASH_DASH] = ACTIONS(4285),
    [anon_sym_PLUS] = ACTIONS(4287),
    [anon_sym_DASH] = ACTIONS(4287),
    [anon_sym_BANG_BANG] = ACTIONS(4285),
    [anon_sym_SLASH] = ACTIONS(4289),
    [anon_sym_PERCENT] = ACTIONS(4269),
    [anon_sym_PIPE_PIPE] = ACTIONS(4291),
    [anon_sym_AMP_AMP] = ACTIONS(4293),
    [anon_sym_BANG_EQ] = ACTIONS(4295),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4297),
    [anon_sym_EQ_EQ] = ACTIONS(4295),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4297),
    [anon_sym_GT_EQ] = ACTIONS(4299),
    [anon_sym_LT_EQ] = ACTIONS(4299),
    [anon_sym_QMARK_COLON] = ACTIONS(4301),
    [anon_sym_BANGin] = ACTIONS(4303),
    [anon_sym_is] = ACTIONS(4305),
    [anon_sym_as_QMARK] = ACTIONS(4307),
    [anon_sym_DOT_DOT] = ACTIONS(4309),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4311),
    [anon_sym_COLON_COLON] = ACTIONS(4313),
    [sym_label] = ACTIONS(4315),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3182),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4317),
    [sym__q_dot] = ACTIONS(4313),
  },
  [3542] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3543] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3544] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3545] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3546] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3547] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3548] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3549] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3550] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3551] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3552] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3553] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3554] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3555] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3556] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3557] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3558] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3559] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3560] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3561] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6068),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3562] = {
    [ts_builtin_sym_end] = ACTIONS(5860),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_AT] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym_import] = ACTIONS(5862),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_as] = ACTIONS(5862),
    [anon_sym_class] = ACTIONS(5862),
    [anon_sym_fun] = ACTIONS(5862),
    [anon_sym_interface] = ACTIONS(5862),
    [anon_sym_object] = ACTIONS(5862),
    [anon_sym_val] = ACTIONS(5862),
    [anon_sym_var] = ACTIONS(5862),
    [anon_sym_typealias] = ACTIONS(5862),
    [anon_sym_constructor] = ACTIONS(5862),
    [anon_sym_this] = ACTIONS(5862),
    [anon_sym_super] = ACTIONS(5862),
    [anon_sym_LPAREN] = ACTIONS(5860),
    [anon_sym_get] = ACTIONS(5862),
    [anon_sym_set] = ACTIONS(5862),
    [anon_sym_LBRACE] = ACTIONS(5860),
    [anon_sym_for] = ACTIONS(5862),
    [anon_sym_while] = ACTIONS(5862),
    [anon_sym_do] = ACTIONS(5862),
    [anon_sym_enum] = ACTIONS(5862),
    [anon_sym_sealed] = ACTIONS(5862),
    [anon_sym_annotation] = ACTIONS(5862),
    [anon_sym_data] = ACTIONS(5862),
    [anon_sym_inner] = ACTIONS(5862),
    [anon_sym_value] = ACTIONS(5862),
    [anon_sym_tailrec] = ACTIONS(5862),
    [anon_sym_operator] = ACTIONS(5862),
    [anon_sym_infix] = ACTIONS(5862),
    [anon_sym_inline] = ACTIONS(5862),
    [anon_sym_external] = ACTIONS(5862),
    [anon_sym_suspend] = ACTIONS(5862),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_public] = ACTIONS(5862),
    [anon_sym_private] = ACTIONS(5862),
    [anon_sym_protected] = ACTIONS(5862),
    [anon_sym_internal] = ACTIONS(5862),
    [anon_sym_abstract] = ACTIONS(5862),
    [anon_sym_final] = ACTIONS(5862),
    [anon_sym_open] = ACTIONS(5862),
    [anon_sym_override] = ACTIONS(5862),
    [anon_sym_lateinit] = ACTIONS(5862),
    [anon_sym_vararg] = ACTIONS(5862),
    [anon_sym_noinline] = ACTIONS(5862),
    [anon_sym_crossinline] = ACTIONS(5862),
    [anon_sym_expect] = ACTIONS(5862),
    [anon_sym_actual] = ACTIONS(5862),
    [anon_sym_dynamic] = ACTIONS(5862),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_BANG] = ACTIONS(5860),
    [anon_sym_this_AT] = ACTIONS(5860),
    [anon_sym_super_AT] = ACTIONS(5860),
    [anon_sym_if] = ACTIONS(5862),
    [anon_sym_when] = ACTIONS(5862),
    [anon_sym_try] = ACTIONS(5862),
    [anon_sym_return] = ACTIONS(5862),
    [anon_sym_return_AT] = ACTIONS(5860),
    [anon_sym_throw] = ACTIONS(5862),
    [anon_sym_COLON_COLON] = ACTIONS(5860),
    [anon_sym_DQUOTE] = ACTIONS(5862),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5860),
    [anon_sym_SQUOTE] = ACTIONS(5860),
    [sym_number_literal] = ACTIONS(5862),
    [sym_float_literal] = ACTIONS(5860),
    [sym_label] = ACTIONS(5862),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3563] = {
    [sym_type_constraints] = STATE(4077),
    [sym_function_body] = STATE(3844),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3564] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3565] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(6073),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3566] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3567] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3568] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3569] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6075),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3570] = {
    [sym_type_constraints] = STATE(4079),
    [sym_function_body] = STATE(3852),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3571] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6068),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3572] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3573] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3574] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3575] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3576] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6068),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3577] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6078),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3578] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3579] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(6081),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3580] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3581] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3582] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_RBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3583] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3584] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3585] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3586] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3587] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3588] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3589] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3590] = {
    [sym_type_constraints] = STATE(4084),
    [sym_function_body] = STATE(3927),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3591] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3592] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_while] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(6086),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3593] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3594] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3595] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3596] = {
    [sym_type_constraints] = STATE(4058),
    [sym_function_body] = STATE(3620),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3597] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3598] = {
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2765),
    [anon_sym_fun] = ACTIONS(2763),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_EQ] = ACTIONS(2765),
    [anon_sym_constructor] = ACTIONS(2763),
    [anon_sym_this] = ACTIONS(2763),
    [anon_sym_super] = ACTIONS(2763),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_LPAREN] = ACTIONS(2765),
    [anon_sym_by] = ACTIONS(2763),
    [anon_sym_get] = ACTIONS(2763),
    [anon_sym_set] = ACTIONS(2763),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2763),
    [anon_sym_sealed] = ACTIONS(2763),
    [anon_sym_annotation] = ACTIONS(2763),
    [anon_sym_data] = ACTIONS(2763),
    [anon_sym_inner] = ACTIONS(2763),
    [anon_sym_value] = ACTIONS(2763),
    [anon_sym_tailrec] = ACTIONS(2763),
    [anon_sym_operator] = ACTIONS(2763),
    [anon_sym_infix] = ACTIONS(2763),
    [anon_sym_inline] = ACTIONS(2763),
    [anon_sym_external] = ACTIONS(2763),
    [anon_sym_suspend] = ACTIONS(2763),
    [anon_sym_const] = ACTIONS(2763),
    [anon_sym_public] = ACTIONS(2763),
    [anon_sym_private] = ACTIONS(2763),
    [anon_sym_protected] = ACTIONS(2763),
    [anon_sym_internal] = ACTIONS(2763),
    [anon_sym_abstract] = ACTIONS(2763),
    [anon_sym_final] = ACTIONS(2763),
    [anon_sym_open] = ACTIONS(2763),
    [anon_sym_override] = ACTIONS(2763),
    [anon_sym_lateinit] = ACTIONS(2763),
    [anon_sym_vararg] = ACTIONS(2763),
    [anon_sym_noinline] = ACTIONS(2763),
    [anon_sym_crossinline] = ACTIONS(2763),
    [anon_sym_expect] = ACTIONS(2763),
    [anon_sym_actual] = ACTIONS(2763),
    [anon_sym_dynamic] = ACTIONS(2763),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_BANGin] = ACTIONS(2765),
    [anon_sym_is] = ACTIONS(2763),
    [anon_sym_this_AT] = ACTIONS(2765),
    [anon_sym_super_AT] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2763),
    [anon_sym_else] = ACTIONS(2763),
    [anon_sym_when] = ACTIONS(2763),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_return] = ACTIONS(2763),
    [anon_sym_return_AT] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(2765),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2765),
    [anon_sym_SQUOTE] = ACTIONS(2765),
    [sym_number_literal] = ACTIONS(2763),
    [sym_float_literal] = ACTIONS(2765),
    [sym_label] = ACTIONS(2763),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2765),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2765),
    [sym__in] = ACTIONS(2765),
  },
  [3599] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3600] = {
    [sym_type_constraints] = STATE(4086),
    [sym_function_body] = STATE(3941),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3601] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3602] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3603] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3604] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3605] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3606] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3607] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3608] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3609] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3610] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3611] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3612] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3613] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3614] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3615] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3616] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3617] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3618] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3619] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3620] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3621] = {
    [sym_type_constraints] = STATE(4093),
    [sym_function_body] = STATE(4021),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3622] = {
    [sym_identifier] = ACTIONS(6092),
    [anon_sym_AT] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(6095),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_fun] = ACTIONS(6098),
    [anon_sym_object] = ACTIONS(6098),
    [anon_sym_constructor] = ACTIONS(6098),
    [anon_sym_this] = ACTIONS(6098),
    [anon_sym_super] = ACTIONS(6098),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_COMMA] = ACTIONS(6100),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(6095),
    [anon_sym_where] = ACTIONS(6098),
    [anon_sym_get] = ACTIONS(6098),
    [anon_sym_set] = ACTIONS(6098),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_RBRACE] = ACTIONS(6100),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(6098),
    [anon_sym_annotation] = ACTIONS(6098),
    [anon_sym_data] = ACTIONS(6098),
    [anon_sym_inner] = ACTIONS(6098),
    [anon_sym_value] = ACTIONS(6098),
    [anon_sym_operator] = ACTIONS(6098),
    [anon_sym_suspend] = ACTIONS(6098),
    [anon_sym_const] = ACTIONS(6098),
    [anon_sym_expect] = ACTIONS(6098),
    [anon_sym_actual] = ACTIONS(6098),
    [anon_sym_dynamic] = ACTIONS(6098),
    [anon_sym_PLUS_PLUS] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6095),
    [anon_sym_PLUS] = ACTIONS(6092),
    [anon_sym_DASH] = ACTIONS(6092),
    [anon_sym_BANG] = ACTIONS(6098),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3054),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(6095),
    [anon_sym_is] = ACTIONS(6092),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_this_AT] = ACTIONS(6100),
    [anon_sym_super_AT] = ACTIONS(6100),
    [anon_sym_if] = ACTIONS(6098),
    [anon_sym_else] = ACTIONS(6098),
    [anon_sym_when] = ACTIONS(6098),
    [anon_sym_try] = ACTIONS(6098),
    [anon_sym_return] = ACTIONS(6098),
    [anon_sym_return_AT] = ACTIONS(6100),
    [anon_sym_throw] = ACTIONS(6098),
    [anon_sym_COLON_COLON] = ACTIONS(6095),
    [anon_sym_DQUOTE] = ACTIONS(6098),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6100),
    [anon_sym_SQUOTE] = ACTIONS(6100),
    [sym_number_literal] = ACTIONS(6098),
    [sym_float_literal] = ACTIONS(6100),
    [sym_label] = ACTIONS(6092),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6095),
    [sym__in] = ACTIONS(6100),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3623] = {
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_LBRACK] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_as] = ACTIONS(3002),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LPAREN] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3002),
    [anon_sym_LBRACE] = ACTIONS(3004),
    [anon_sym_in] = ACTIONS(3002),
    [anon_sym_enum] = ACTIONS(3002),
    [anon_sym_sealed] = ACTIONS(3002),
    [anon_sym_annotation] = ACTIONS(3002),
    [anon_sym_data] = ACTIONS(3002),
    [anon_sym_inner] = ACTIONS(3002),
    [anon_sym_value] = ACTIONS(3002),
    [anon_sym_tailrec] = ACTIONS(3002),
    [anon_sym_operator] = ACTIONS(3002),
    [anon_sym_infix] = ACTIONS(3002),
    [anon_sym_inline] = ACTIONS(3002),
    [anon_sym_external] = ACTIONS(3002),
    [anon_sym_suspend] = ACTIONS(3002),
    [anon_sym_const] = ACTIONS(3002),
    [anon_sym_public] = ACTIONS(3002),
    [anon_sym_private] = ACTIONS(3002),
    [anon_sym_protected] = ACTIONS(3002),
    [anon_sym_internal] = ACTIONS(3002),
    [anon_sym_abstract] = ACTIONS(3002),
    [anon_sym_final] = ACTIONS(3002),
    [anon_sym_open] = ACTIONS(3002),
    [anon_sym_override] = ACTIONS(3002),
    [anon_sym_lateinit] = ACTIONS(3002),
    [anon_sym_vararg] = ACTIONS(3002),
    [anon_sym_noinline] = ACTIONS(3002),
    [anon_sym_crossinline] = ACTIONS(3002),
    [anon_sym_expect] = ACTIONS(3002),
    [anon_sym_actual] = ACTIONS(3002),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3004),
    [anon_sym_DASH_DASH] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_BANG_BANG] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3004),
    [anon_sym_BANG_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3004),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_LT_EQ] = ACTIONS(3004),
    [anon_sym_QMARK_COLON] = ACTIONS(3004),
    [anon_sym_BANGin] = ACTIONS(3004),
    [anon_sym_is] = ACTIONS(3002),
    [anon_sym_as_QMARK] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3004),
    [anon_sym_AT2] = ACTIONS(6102),
    [anon_sym_else] = ACTIONS(3002),
    [anon_sym_COLON_COLON] = ACTIONS(3004),
    [sym_label] = ACTIONS(3004),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3004),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3004),
    [sym__q_dot] = ACTIONS(3004),
  },
  [3624] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3625] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3626] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3627] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3628] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3629] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3630] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3631] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3632] = {
    [sym_type_constraints] = STATE(4094),
    [sym_function_body] = STATE(4035),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2511),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_QMARK] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2511),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3633] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3634] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3635] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3636] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3637] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3638] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3639] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3640] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3641] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_PLUS_EQ] = ACTIONS(2995),
    [anon_sym_DASH_EQ] = ACTIONS(2995),
    [anon_sym_STAR_EQ] = ACTIONS(2995),
    [anon_sym_SLASH_EQ] = ACTIONS(2995),
    [anon_sym_PERCENT_EQ] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG_BANG] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2993),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2993),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2993),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_QMARK_COLON] = ACTIONS(2995),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_as_QMARK] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2993),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [sym_label] = ACTIONS(2995),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__q_dot] = ACTIONS(2995),
  },
  [3642] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3643] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3644] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3645] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3646] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3647] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3648] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3649] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3650] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3651] = {
    [aux_sym_qualified_identifier_repeat1] = STATE(3656),
    [ts_builtin_sym_end] = ACTIONS(5896),
    [sym_identifier] = ACTIONS(5898),
    [anon_sym_AT] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym_import] = ACTIONS(5898),
    [anon_sym_DOT] = ACTIONS(6104),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_class] = ACTIONS(5898),
    [anon_sym_fun] = ACTIONS(5898),
    [anon_sym_interface] = ACTIONS(5898),
    [anon_sym_object] = ACTIONS(5898),
    [anon_sym_val] = ACTIONS(5898),
    [anon_sym_var] = ACTIONS(5898),
    [anon_sym_typealias] = ACTIONS(5898),
    [anon_sym_constructor] = ACTIONS(5898),
    [anon_sym_this] = ACTIONS(5898),
    [anon_sym_super] = ACTIONS(5898),
    [anon_sym_LPAREN] = ACTIONS(5896),
    [anon_sym_get] = ACTIONS(5898),
    [anon_sym_set] = ACTIONS(5898),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_for] = ACTIONS(5898),
    [anon_sym_while] = ACTIONS(5898),
    [anon_sym_do] = ACTIONS(5898),
    [anon_sym_enum] = ACTIONS(5898),
    [anon_sym_sealed] = ACTIONS(5898),
    [anon_sym_annotation] = ACTIONS(5898),
    [anon_sym_data] = ACTIONS(5898),
    [anon_sym_inner] = ACTIONS(5898),
    [anon_sym_value] = ACTIONS(5898),
    [anon_sym_tailrec] = ACTIONS(5898),
    [anon_sym_operator] = ACTIONS(5898),
    [anon_sym_infix] = ACTIONS(5898),
    [anon_sym_inline] = ACTIONS(5898),
    [anon_sym_external] = ACTIONS(5898),
    [anon_sym_suspend] = ACTIONS(5898),
    [anon_sym_const] = ACTIONS(5898),
    [anon_sym_public] = ACTIONS(5898),
    [anon_sym_private] = ACTIONS(5898),
    [anon_sym_protected] = ACTIONS(5898),
    [anon_sym_internal] = ACTIONS(5898),
    [anon_sym_abstract] = ACTIONS(5898),
    [anon_sym_final] = ACTIONS(5898),
    [anon_sym_open] = ACTIONS(5898),
    [anon_sym_override] = ACTIONS(5898),
    [anon_sym_lateinit] = ACTIONS(5898),
    [anon_sym_vararg] = ACTIONS(5898),
    [anon_sym_noinline] = ACTIONS(5898),
    [anon_sym_crossinline] = ACTIONS(5898),
    [anon_sym_expect] = ACTIONS(5898),
    [anon_sym_actual] = ACTIONS(5898),
    [anon_sym_dynamic] = ACTIONS(5898),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS] = ACTIONS(5898),
    [anon_sym_DASH] = ACTIONS(5898),
    [anon_sym_BANG] = ACTIONS(5896),
    [anon_sym_this_AT] = ACTIONS(5896),
    [anon_sym_super_AT] = ACTIONS(5896),
    [anon_sym_if] = ACTIONS(5898),
    [anon_sym_when] = ACTIONS(5898),
    [anon_sym_try] = ACTIONS(5898),
    [anon_sym_return] = ACTIONS(5898),
    [anon_sym_return_AT] = ACTIONS(5896),
    [anon_sym_throw] = ACTIONS(5898),
    [anon_sym_COLON_COLON] = ACTIONS(5896),
    [anon_sym_DQUOTE] = ACTIONS(5898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5896),
    [anon_sym_SQUOTE] = ACTIONS(5896),
    [sym_number_literal] = ACTIONS(5898),
    [sym_float_literal] = ACTIONS(5896),
    [sym_label] = ACTIONS(5898),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3652] = {
    [sym_file_annotation] = STATE(3652),
    [aux_sym_source_file_repeat1] = STATE(3652),
    [ts_builtin_sym_end] = ACTIONS(6106),
    [sym_identifier] = ACTIONS(6108),
    [anon_sym_AT] = ACTIONS(6110),
    [anon_sym_LBRACK] = ACTIONS(6106),
    [anon_sym_package] = ACTIONS(6108),
    [anon_sym_import] = ACTIONS(6108),
    [anon_sym_STAR] = ACTIONS(6106),
    [anon_sym_class] = ACTIONS(6108),
    [anon_sym_fun] = ACTIONS(6108),
    [anon_sym_interface] = ACTIONS(6108),
    [anon_sym_object] = ACTIONS(6108),
    [anon_sym_val] = ACTIONS(6108),
    [anon_sym_var] = ACTIONS(6108),
    [anon_sym_typealias] = ACTIONS(6108),
    [anon_sym_constructor] = ACTIONS(6108),
    [anon_sym_this] = ACTIONS(6108),
    [anon_sym_super] = ACTIONS(6108),
    [anon_sym_LPAREN] = ACTIONS(6106),
    [anon_sym_get] = ACTIONS(6108),
    [anon_sym_set] = ACTIONS(6108),
    [anon_sym_LBRACE] = ACTIONS(6106),
    [anon_sym_for] = ACTIONS(6108),
    [anon_sym_while] = ACTIONS(6108),
    [anon_sym_do] = ACTIONS(6108),
    [anon_sym_enum] = ACTIONS(6108),
    [anon_sym_sealed] = ACTIONS(6108),
    [anon_sym_annotation] = ACTIONS(6108),
    [anon_sym_data] = ACTIONS(6108),
    [anon_sym_inner] = ACTIONS(6108),
    [anon_sym_value] = ACTIONS(6108),
    [anon_sym_tailrec] = ACTIONS(6108),
    [anon_sym_operator] = ACTIONS(6108),
    [anon_sym_infix] = ACTIONS(6108),
    [anon_sym_inline] = ACTIONS(6108),
    [anon_sym_external] = ACTIONS(6108),
    [anon_sym_suspend] = ACTIONS(6108),
    [anon_sym_const] = ACTIONS(6108),
    [anon_sym_public] = ACTIONS(6108),
    [anon_sym_private] = ACTIONS(6108),
    [anon_sym_protected] = ACTIONS(6108),
    [anon_sym_internal] = ACTIONS(6108),
    [anon_sym_abstract] = ACTIONS(6108),
    [anon_sym_final] = ACTIONS(6108),
    [anon_sym_open] = ACTIONS(6108),
    [anon_sym_override] = ACTIONS(6108),
    [anon_sym_lateinit] = ACTIONS(6108),
    [anon_sym_vararg] = ACTIONS(6108),
    [anon_sym_noinline] = ACTIONS(6108),
    [anon_sym_crossinline] = ACTIONS(6108),
    [anon_sym_expect] = ACTIONS(6108),
    [anon_sym_actual] = ACTIONS(6108),
    [anon_sym_dynamic] = ACTIONS(6108),
    [anon_sym_PLUS_PLUS] = ACTIONS(6106),
    [anon_sym_DASH_DASH] = ACTIONS(6106),
    [anon_sym_PLUS] = ACTIONS(6108),
    [anon_sym_DASH] = ACTIONS(6108),
    [anon_sym_BANG] = ACTIONS(6106),
    [anon_sym_this_AT] = ACTIONS(6106),
    [anon_sym_super_AT] = ACTIONS(6106),
    [anon_sym_if] = ACTIONS(6108),
    [anon_sym_when] = ACTIONS(6108),
    [anon_sym_try] = ACTIONS(6108),
    [anon_sym_return] = ACTIONS(6108),
    [anon_sym_return_AT] = ACTIONS(6106),
    [anon_sym_throw] = ACTIONS(6108),
    [anon_sym_COLON_COLON] = ACTIONS(6106),
    [anon_sym_DQUOTE] = ACTIONS(6108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6106),
    [anon_sym_SQUOTE] = ACTIONS(6106),
    [sym_number_literal] = ACTIONS(6108),
    [sym_float_literal] = ACTIONS(6106),
    [sym_label] = ACTIONS(6108),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3653] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3654] = {
    [ts_builtin_sym_end] = ACTIONS(6113),
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_AT] = ACTIONS(6113),
    [anon_sym_LBRACK] = ACTIONS(6113),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym_import] = ACTIONS(6115),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_STAR] = ACTIONS(6113),
    [anon_sym_as] = ACTIONS(6121),
    [anon_sym_class] = ACTIONS(6115),
    [anon_sym_fun] = ACTIONS(6115),
    [anon_sym_interface] = ACTIONS(6115),
    [anon_sym_object] = ACTIONS(6115),
    [anon_sym_val] = ACTIONS(6115),
    [anon_sym_var] = ACTIONS(6115),
    [anon_sym_typealias] = ACTIONS(6115),
    [anon_sym_constructor] = ACTIONS(6115),
    [anon_sym_this] = ACTIONS(6115),
    [anon_sym_super] = ACTIONS(6115),
    [anon_sym_LPAREN] = ACTIONS(6113),
    [anon_sym_get] = ACTIONS(6115),
    [anon_sym_set] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6113),
    [anon_sym_for] = ACTIONS(6115),
    [anon_sym_while] = ACTIONS(6115),
    [anon_sym_do] = ACTIONS(6115),
    [anon_sym_enum] = ACTIONS(6115),
    [anon_sym_sealed] = ACTIONS(6115),
    [anon_sym_annotation] = ACTIONS(6115),
    [anon_sym_data] = ACTIONS(6115),
    [anon_sym_inner] = ACTIONS(6115),
    [anon_sym_value] = ACTIONS(6115),
    [anon_sym_tailrec] = ACTIONS(6115),
    [anon_sym_operator] = ACTIONS(6115),
    [anon_sym_infix] = ACTIONS(6115),
    [anon_sym_inline] = ACTIONS(6115),
    [anon_sym_external] = ACTIONS(6115),
    [anon_sym_suspend] = ACTIONS(6115),
    [anon_sym_const] = ACTIONS(6115),
    [anon_sym_public] = ACTIONS(6115),
    [anon_sym_private] = ACTIONS(6115),
    [anon_sym_protected] = ACTIONS(6115),
    [anon_sym_internal] = ACTIONS(6115),
    [anon_sym_abstract] = ACTIONS(6115),
    [anon_sym_final] = ACTIONS(6115),
    [anon_sym_open] = ACTIONS(6115),
    [anon_sym_override] = ACTIONS(6115),
    [anon_sym_lateinit] = ACTIONS(6115),
    [anon_sym_vararg] = ACTIONS(6115),
    [anon_sym_noinline] = ACTIONS(6115),
    [anon_sym_crossinline] = ACTIONS(6115),
    [anon_sym_expect] = ACTIONS(6115),
    [anon_sym_actual] = ACTIONS(6115),
    [anon_sym_dynamic] = ACTIONS(6115),
    [anon_sym_PLUS_PLUS] = ACTIONS(6113),
    [anon_sym_DASH_DASH] = ACTIONS(6113),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_BANG] = ACTIONS(6113),
    [anon_sym_this_AT] = ACTIONS(6113),
    [anon_sym_super_AT] = ACTIONS(6113),
    [anon_sym_if] = ACTIONS(6115),
    [anon_sym_when] = ACTIONS(6115),
    [anon_sym_try] = ACTIONS(6115),
    [anon_sym_return] = ACTIONS(6115),
    [anon_sym_return_AT] = ACTIONS(6113),
    [anon_sym_throw] = ACTIONS(6115),
    [anon_sym_COLON_COLON] = ACTIONS(6113),
    [anon_sym_DQUOTE] = ACTIONS(6115),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6113),
    [anon_sym_SQUOTE] = ACTIONS(6113),
    [sym_number_literal] = ACTIONS(6115),
    [sym_float_literal] = ACTIONS(6113),
    [sym_label] = ACTIONS(6115),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3655] = {
    [sym_value_arguments] = STATE(2626),
    [sym_annotation] = STATE(8592),
    [sym_type_arguments] = STATE(8339),
    [sym_annotated_lambda] = STATE(3367),
    [sym_lambda_literal] = STATE(3368),
    [aux_sym_delegation_specifier_repeat1] = STATE(8592),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4826),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(4830),
    [anon_sym_STAR] = ACTIONS(5998),
    [anon_sym_as] = ACTIONS(4834),
    [anon_sym_LT] = ACTIONS(6000),
    [anon_sym_GT] = ACTIONS(6002),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(611),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [anon_sym_in] = ACTIONS(6004),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4848),
    [anon_sym_DASH_DASH] = ACTIONS(4848),
    [anon_sym_PLUS] = ACTIONS(6006),
    [anon_sym_DASH] = ACTIONS(6006),
    [anon_sym_BANG_BANG] = ACTIONS(4848),
    [anon_sym_SLASH] = ACTIONS(6008),
    [anon_sym_PERCENT] = ACTIONS(5998),
    [anon_sym_PIPE_PIPE] = ACTIONS(6010),
    [anon_sym_AMP_AMP] = ACTIONS(6012),
    [anon_sym_BANG_EQ] = ACTIONS(6014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6016),
    [anon_sym_EQ_EQ] = ACTIONS(6014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6016),
    [anon_sym_GT_EQ] = ACTIONS(6018),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_QMARK_COLON] = ACTIONS(6020),
    [anon_sym_BANGin] = ACTIONS(6022),
    [anon_sym_is] = ACTIONS(4866),
    [anon_sym_as_QMARK] = ACTIONS(4868),
    [anon_sym_DOT_DOT] = ACTIONS(6024),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6026),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(4876),
    [sym_label] = ACTIONS(4878),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4880),
    [sym__q_dot] = ACTIONS(4876),
  },
  [3656] = {
    [aux_sym_qualified_identifier_repeat1] = STATE(3086),
    [ts_builtin_sym_end] = ACTIONS(5907),
    [sym_identifier] = ACTIONS(5909),
    [anon_sym_AT] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5907),
    [anon_sym_SEMI] = ACTIONS(5907),
    [anon_sym_import] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(6104),
    [anon_sym_STAR] = ACTIONS(5907),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_fun] = ACTIONS(5909),
    [anon_sym_interface] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(5909),
    [anon_sym_val] = ACTIONS(5909),
    [anon_sym_var] = ACTIONS(5909),
    [anon_sym_typealias] = ACTIONS(5909),
    [anon_sym_constructor] = ACTIONS(5909),
    [anon_sym_this] = ACTIONS(5909),
    [anon_sym_super] = ACTIONS(5909),
    [anon_sym_LPAREN] = ACTIONS(5907),
    [anon_sym_get] = ACTIONS(5909),
    [anon_sym_set] = ACTIONS(5909),
    [anon_sym_LBRACE] = ACTIONS(5907),
    [anon_sym_for] = ACTIONS(5909),
    [anon_sym_while] = ACTIONS(5909),
    [anon_sym_do] = ACTIONS(5909),
    [anon_sym_enum] = ACTIONS(5909),
    [anon_sym_sealed] = ACTIONS(5909),
    [anon_sym_annotation] = ACTIONS(5909),
    [anon_sym_data] = ACTIONS(5909),
    [anon_sym_inner] = ACTIONS(5909),
    [anon_sym_value] = ACTIONS(5909),
    [anon_sym_tailrec] = ACTIONS(5909),
    [anon_sym_operator] = ACTIONS(5909),
    [anon_sym_infix] = ACTIONS(5909),
    [anon_sym_inline] = ACTIONS(5909),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_suspend] = ACTIONS(5909),
    [anon_sym_const] = ACTIONS(5909),
    [anon_sym_public] = ACTIONS(5909),
    [anon_sym_private] = ACTIONS(5909),
    [anon_sym_protected] = ACTIONS(5909),
    [anon_sym_internal] = ACTIONS(5909),
    [anon_sym_abstract] = ACTIONS(5909),
    [anon_sym_final] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_override] = ACTIONS(5909),
    [anon_sym_lateinit] = ACTIONS(5909),
    [anon_sym_vararg] = ACTIONS(5909),
    [anon_sym_noinline] = ACTIONS(5909),
    [anon_sym_crossinline] = ACTIONS(5909),
    [anon_sym_expect] = ACTIONS(5909),
    [anon_sym_actual] = ACTIONS(5909),
    [anon_sym_dynamic] = ACTIONS(5909),
    [anon_sym_PLUS_PLUS] = ACTIONS(5907),
    [anon_sym_DASH_DASH] = ACTIONS(5907),
    [anon_sym_PLUS] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5909),
    [anon_sym_BANG] = ACTIONS(5907),
    [anon_sym_this_AT] = ACTIONS(5907),
    [anon_sym_super_AT] = ACTIONS(5907),
    [anon_sym_if] = ACTIONS(5909),
    [anon_sym_when] = ACTIONS(5909),
    [anon_sym_try] = ACTIONS(5909),
    [anon_sym_return] = ACTIONS(5909),
    [anon_sym_return_AT] = ACTIONS(5907),
    [anon_sym_throw] = ACTIONS(5909),
    [anon_sym_COLON_COLON] = ACTIONS(5907),
    [anon_sym_DQUOTE] = ACTIONS(5909),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5907),
    [anon_sym_SQUOTE] = ACTIONS(5907),
    [sym_number_literal] = ACTIONS(5909),
    [sym_float_literal] = ACTIONS(5907),
    [sym_label] = ACTIONS(5909),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3657] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3658] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3659] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3660] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3661] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3662] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3663] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3664] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3665] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3666] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3667] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3668] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3669] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3670] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3671] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3672] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3673] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3674] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3675] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3676] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3677] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3678] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3679] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3680] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3681] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3682] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_get] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3683] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3684] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3685] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3686] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3687] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3688] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3689] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3690] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3691] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3692] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3693] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3694] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_get] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [3695] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3696] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3697] = {
    [sym_identifier] = ACTIONS(6157),
    [anon_sym_AT] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6159),
    [anon_sym_SEMI] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6159),
    [anon_sym_fun] = ACTIONS(6157),
    [anon_sym_object] = ACTIONS(6157),
    [anon_sym_EQ] = ACTIONS(6159),
    [anon_sym_constructor] = ACTIONS(6157),
    [anon_sym_this] = ACTIONS(6157),
    [anon_sym_super] = ACTIONS(6157),
    [anon_sym_LPAREN] = ACTIONS(6159),
    [anon_sym_where] = ACTIONS(6157),
    [anon_sym_by] = ACTIONS(6157),
    [anon_sym_get] = ACTIONS(6157),
    [anon_sym_set] = ACTIONS(6157),
    [anon_sym_LBRACE] = ACTIONS(6159),
    [anon_sym_RBRACE] = ACTIONS(6159),
    [anon_sym_enum] = ACTIONS(6157),
    [anon_sym_sealed] = ACTIONS(6157),
    [anon_sym_annotation] = ACTIONS(6157),
    [anon_sym_data] = ACTIONS(6157),
    [anon_sym_inner] = ACTIONS(6157),
    [anon_sym_value] = ACTIONS(6157),
    [anon_sym_tailrec] = ACTIONS(6157),
    [anon_sym_operator] = ACTIONS(6157),
    [anon_sym_infix] = ACTIONS(6157),
    [anon_sym_inline] = ACTIONS(6157),
    [anon_sym_external] = ACTIONS(6157),
    [anon_sym_suspend] = ACTIONS(6157),
    [anon_sym_const] = ACTIONS(6157),
    [anon_sym_public] = ACTIONS(6157),
    [anon_sym_private] = ACTIONS(6157),
    [anon_sym_protected] = ACTIONS(6157),
    [anon_sym_internal] = ACTIONS(6157),
    [anon_sym_abstract] = ACTIONS(6157),
    [anon_sym_final] = ACTIONS(6157),
    [anon_sym_open] = ACTIONS(6157),
    [anon_sym_override] = ACTIONS(6157),
    [anon_sym_lateinit] = ACTIONS(6157),
    [anon_sym_vararg] = ACTIONS(6157),
    [anon_sym_noinline] = ACTIONS(6157),
    [anon_sym_crossinline] = ACTIONS(6157),
    [anon_sym_expect] = ACTIONS(6157),
    [anon_sym_actual] = ACTIONS(6157),
    [anon_sym_dynamic] = ACTIONS(6157),
    [anon_sym_DASH_GT] = ACTIONS(2751),
    [anon_sym_PLUS_PLUS] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6157),
    [anon_sym_DASH] = ACTIONS(6157),
    [anon_sym_BANG] = ACTIONS(6157),
    [anon_sym_BANGin] = ACTIONS(6159),
    [anon_sym_is] = ACTIONS(6157),
    [anon_sym_this_AT] = ACTIONS(6159),
    [anon_sym_super_AT] = ACTIONS(6159),
    [anon_sym_if] = ACTIONS(6157),
    [anon_sym_else] = ACTIONS(6157),
    [anon_sym_when] = ACTIONS(6157),
    [anon_sym_try] = ACTIONS(6157),
    [anon_sym_return] = ACTIONS(6157),
    [anon_sym_return_AT] = ACTIONS(6159),
    [anon_sym_throw] = ACTIONS(6157),
    [anon_sym_COLON_COLON] = ACTIONS(6159),
    [anon_sym_DQUOTE] = ACTIONS(6157),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6159),
    [anon_sym_SQUOTE] = ACTIONS(6159),
    [sym_number_literal] = ACTIONS(6157),
    [sym_float_literal] = ACTIONS(6159),
    [sym_label] = ACTIONS(6157),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6159),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6159),
    [sym__in] = ACTIONS(6159),
  },
  [3698] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3699] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6161),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3700] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3701] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3702] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3703] = {
    [sym_type_constraints] = STATE(4088),
    [sym_function_body] = STATE(3719),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6163),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3704] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3705] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3706] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3707] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3708] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3709] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3710] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3711] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3712] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3713] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3714] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3715] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3716] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3717] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3718] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3719] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3720] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3721] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3722] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3723] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3724] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3725] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3726] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3727] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3728] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3729] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3730] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3731] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6165),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3732] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(6139),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3733] = {
    [sym_value_arguments] = STATE(2716),
    [sym_annotation] = STATE(8614),
    [sym_type_arguments] = STATE(8304),
    [sym_annotated_lambda] = STATE(3543),
    [sym_lambda_literal] = STATE(3544),
    [aux_sym_delegation_specifier_repeat1] = STATE(8614),
    [sym_identifier] = ACTIONS(4467),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4479),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_in] = ACTIONS(4489),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_sealed] = ACTIONS(3184),
    [anon_sym_annotation] = ACTIONS(3184),
    [anon_sym_data] = ACTIONS(3184),
    [anon_sym_inner] = ACTIONS(3184),
    [anon_sym_value] = ACTIONS(3184),
    [anon_sym_tailrec] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym_external] = ACTIONS(3184),
    [anon_sym_suspend] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_lateinit] = ACTIONS(3184),
    [anon_sym_vararg] = ACTIONS(3184),
    [anon_sym_noinline] = ACTIONS(3184),
    [anon_sym_crossinline] = ACTIONS(3184),
    [anon_sym_expect] = ACTIONS(3184),
    [anon_sym_actual] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4491),
    [anon_sym_DASH_DASH] = ACTIONS(4491),
    [anon_sym_PLUS] = ACTIONS(4493),
    [anon_sym_DASH] = ACTIONS(4493),
    [anon_sym_BANG_BANG] = ACTIONS(4491),
    [anon_sym_SLASH] = ACTIONS(4495),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_BANG_EQ] = ACTIONS(4501),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4503),
    [anon_sym_EQ_EQ] = ACTIONS(4501),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4503),
    [anon_sym_GT_EQ] = ACTIONS(4505),
    [anon_sym_LT_EQ] = ACTIONS(4505),
    [anon_sym_QMARK_COLON] = ACTIONS(4507),
    [anon_sym_BANGin] = ACTIONS(4509),
    [anon_sym_is] = ACTIONS(4511),
    [anon_sym_as_QMARK] = ACTIONS(4513),
    [anon_sym_DOT_DOT] = ACTIONS(4515),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4517),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [sym_label] = ACTIONS(4521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4523),
    [sym__q_dot] = ACTIONS(4519),
  },
  [3734] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3735] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6168),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3736] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6165),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3737] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(6141),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3738] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(6143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6145),
    [anon_sym_EQ_EQ] = ACTIONS(6143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6145),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3739] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_GT] = ACTIONS(6131),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(6133),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(6147),
    [anon_sym_LT_EQ] = ACTIONS(6147),
    [anon_sym_QMARK_COLON] = ACTIONS(6149),
    [anon_sym_BANGin] = ACTIONS(6151),
    [anon_sym_is] = ACTIONS(5510),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5514),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3740] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6165),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3741] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6171),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3742] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3743] = {
    [sym_value_arguments] = STATE(2824),
    [sym_annotation] = STATE(8557),
    [sym_type_arguments] = STATE(8292),
    [sym_annotated_lambda] = STATE(3716),
    [sym_lambda_literal] = STATE(3717),
    [aux_sym_delegation_specifier_repeat1] = STATE(8557),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5142),
    [anon_sym_STAR] = ACTIONS(6127),
    [anon_sym_as] = ACTIONS(5146),
    [anon_sym_LT] = ACTIONS(6174),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5151),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5153),
    [anon_sym_DASH_DASH] = ACTIONS(5153),
    [anon_sym_PLUS] = ACTIONS(6135),
    [anon_sym_DASH] = ACTIONS(6135),
    [anon_sym_BANG_BANG] = ACTIONS(5153),
    [anon_sym_SLASH] = ACTIONS(6137),
    [anon_sym_PERCENT] = ACTIONS(6127),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5157),
    [anon_sym_DOT_DOT] = ACTIONS(6153),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6155),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5163),
    [sym_label] = ACTIONS(5165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5163),
  },
  [3744] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3745] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3746] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3747] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3748] = {
    [sym_type_constraints] = STATE(4095),
    [sym_function_body] = STATE(3770),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6177),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5563),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3749] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3750] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4531),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3751] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_fun] = ACTIONS(2361),
    [anon_sym_object] = ACTIONS(2361),
    [anon_sym_constructor] = ACTIONS(2361),
    [anon_sym_this] = ACTIONS(2361),
    [anon_sym_super] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_dynamic] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_this_AT] = ACTIONS(2367),
    [anon_sym_super_AT] = ACTIONS(2367),
    [anon_sym_if] = ACTIONS(2361),
    [anon_sym_else] = ACTIONS(4531),
    [anon_sym_when] = ACTIONS(2361),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_return] = ACTIONS(2361),
    [anon_sym_return_AT] = ACTIONS(2367),
    [anon_sym_throw] = ACTIONS(2361),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [anon_sym_DQUOTE] = ACTIONS(2361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2367),
    [anon_sym_SQUOTE] = ACTIONS(2367),
    [sym_number_literal] = ACTIONS(2361),
    [sym_float_literal] = ACTIONS(2367),
    [sym_label] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__in] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3752] = {
    [sym_import] = STATE(3752),
    [aux_sym_source_file_repeat2] = STATE(3752),
    [ts_builtin_sym_end] = ACTIONS(6179),
    [sym_identifier] = ACTIONS(6181),
    [anon_sym_AT] = ACTIONS(6179),
    [anon_sym_LBRACK] = ACTIONS(6179),
    [anon_sym_import] = ACTIONS(6183),
    [anon_sym_STAR] = ACTIONS(6179),
    [anon_sym_class] = ACTIONS(6181),
    [anon_sym_fun] = ACTIONS(6181),
    [anon_sym_interface] = ACTIONS(6181),
    [anon_sym_object] = ACTIONS(6181),
    [anon_sym_val] = ACTIONS(6181),
    [anon_sym_var] = ACTIONS(6181),
    [anon_sym_typealias] = ACTIONS(6181),
    [anon_sym_constructor] = ACTIONS(6181),
    [anon_sym_this] = ACTIONS(6181),
    [anon_sym_super] = ACTIONS(6181),
    [anon_sym_LPAREN] = ACTIONS(6179),
    [anon_sym_get] = ACTIONS(6181),
    [anon_sym_set] = ACTIONS(6181),
    [anon_sym_LBRACE] = ACTIONS(6179),
    [anon_sym_for] = ACTIONS(6181),
    [anon_sym_while] = ACTIONS(6181),
    [anon_sym_do] = ACTIONS(6181),
    [anon_sym_enum] = ACTIONS(6181),
    [anon_sym_sealed] = ACTIONS(6181),
    [anon_sym_annotation] = ACTIONS(6181),
    [anon_sym_data] = ACTIONS(6181),
    [anon_sym_inner] = ACTIONS(6181),
    [anon_sym_value] = ACTIONS(6181),
    [anon_sym_tailrec] = ACTIONS(6181),
    [anon_sym_operator] = ACTIONS(6181),
    [anon_sym_infix] = ACTIONS(6181),
    [anon_sym_inline] = ACTIONS(6181),
    [anon_sym_external] = ACTIONS(6181),
    [anon_sym_suspend] = ACTIONS(6181),
    [anon_sym_const] = ACTIONS(6181),
    [anon_sym_public] = ACTIONS(6181),
    [anon_sym_private] = ACTIONS(6181),
    [anon_sym_protected] = ACTIONS(6181),
    [anon_sym_internal] = ACTIONS(6181),
    [anon_sym_abstract] = ACTIONS(6181),
    [anon_sym_final] = ACTIONS(6181),
    [anon_sym_open] = ACTIONS(6181),
    [anon_sym_override] = ACTIONS(6181),
    [anon_sym_lateinit] = ACTIONS(6181),
    [anon_sym_vararg] = ACTIONS(6181),
    [anon_sym_noinline] = ACTIONS(6181),
    [anon_sym_crossinline] = ACTIONS(6181),
    [anon_sym_expect] = ACTIONS(6181),
    [anon_sym_actual] = ACTIONS(6181),
    [anon_sym_dynamic] = ACTIONS(6181),
    [anon_sym_PLUS_PLUS] = ACTIONS(6179),
    [anon_sym_DASH_DASH] = ACTIONS(6179),
    [anon_sym_PLUS] = ACTIONS(6181),
    [anon_sym_DASH] = ACTIONS(6181),
    [anon_sym_BANG] = ACTIONS(6179),
    [anon_sym_this_AT] = ACTIONS(6179),
    [anon_sym_super_AT] = ACTIONS(6179),
    [anon_sym_if] = ACTIONS(6181),
    [anon_sym_when] = ACTIONS(6181),
    [anon_sym_try] = ACTIONS(6181),
    [anon_sym_return] = ACTIONS(6181),
    [anon_sym_return_AT] = ACTIONS(6179),
    [anon_sym_throw] = ACTIONS(6181),
    [anon_sym_COLON_COLON] = ACTIONS(6179),
    [anon_sym_DQUOTE] = ACTIONS(6181),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6179),
    [anon_sym_SQUOTE] = ACTIONS(6179),
    [sym_number_literal] = ACTIONS(6181),
    [sym_float_literal] = ACTIONS(6179),
    [sym_label] = ACTIONS(6181),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3753] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3754] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3755] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3756] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3757] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5512),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3758] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5484),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5512),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3759] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3760] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3761] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5519),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3762] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3763] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5535),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3764] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5529),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5535),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3765] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3766] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3767] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_EQ] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_EQ] = ACTIONS(2367),
    [anon_sym_DASH_EQ] = ACTIONS(2367),
    [anon_sym_STAR_EQ] = ACTIONS(2367),
    [anon_sym_SLASH_EQ] = ACTIONS(2367),
    [anon_sym_PERCENT_EQ] = ACTIONS(2367),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2361),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [3768] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3769] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3770] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3771] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3772] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3773] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3774] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3775] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3776] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3777] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3778] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3779] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3780] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3781] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3782] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3783] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3784] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_set] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3785] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6218),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_set] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3786] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_set] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3787] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_set] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3788] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3789] = {
    [sym_type_constraints] = STATE(4076),
    [sym_function_body] = STATE(3805),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6220),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3790] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_set] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3791] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_set] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3792] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_set] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3793] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_set] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3794] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3795] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3796] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_set] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3797] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_set] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3798] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_set] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3799] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3800] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3801] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_set] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3802] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3803] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_set] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3804] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_set] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3805] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3806] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_set] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3807] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_set] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3808] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_set] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3809] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_set] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3810] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3811] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_set] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3812] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_set] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3813] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_set] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3814] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_set] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3815] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_set] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3816] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_set] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3817] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6222),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3818] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(6200),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3819] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3820] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6225),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3821] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6222),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3822] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(6202),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3823] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(6204),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6206),
    [anon_sym_EQ_EQ] = ACTIONS(6204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6206),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3824] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6190),
    [anon_sym_GT] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(6194),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(6208),
    [anon_sym_LT_EQ] = ACTIONS(6208),
    [anon_sym_QMARK_COLON] = ACTIONS(6210),
    [anon_sym_BANGin] = ACTIONS(6212),
    [anon_sym_is] = ACTIONS(5264),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5276),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3825] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(6186),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6222),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3826] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6228),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3827] = {
    [sym_value_arguments] = STATE(2889),
    [sym_annotation] = STATE(8627),
    [sym_type_arguments] = STATE(8336),
    [sym_annotated_lambda] = STATE(3802),
    [sym_lambda_literal] = STATE(3803),
    [aux_sym_delegation_specifier_repeat1] = STATE(8627),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(6188),
    [anon_sym_as] = ACTIONS(5236),
    [anon_sym_LT] = ACTIONS(6231),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5242),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5246),
    [anon_sym_DASH_DASH] = ACTIONS(5246),
    [anon_sym_PLUS] = ACTIONS(6196),
    [anon_sym_DASH] = ACTIONS(6196),
    [anon_sym_BANG_BANG] = ACTIONS(5246),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6188),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5266),
    [anon_sym_DOT_DOT] = ACTIONS(6214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6216),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [sym_label] = ACTIONS(5274),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5272),
  },
  [3828] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3829] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_set] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3830] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3831] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3832] = {
    [sym_type_constraints] = STATE(4077),
    [sym_function_body] = STATE(3844),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6266),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5587),
    [anon_sym_set] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3833] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_set] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3834] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_set] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3835] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_set] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3836] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3837] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_set] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3838] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_set] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3839] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_set] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3840] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_set] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3841] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_set] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3842] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_set] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3843] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3844] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3845] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_set] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3846] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3847] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3848] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3849] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_set] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3850] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_set] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3851] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_set] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3852] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3853] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_set] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3854] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3855] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_set] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3856] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_set] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3857] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3858] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6268),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3859] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3860] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_while] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3861] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3862] = {
    [sym_type_constraints] = STATE(4081),
    [sym_function_body] = STATE(3879),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6270),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3863] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3864] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3865] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3866] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3867] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3868] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3869] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3870] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3871] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3872] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3873] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3874] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3875] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3876] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3877] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3878] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3879] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3880] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3881] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3882] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3883] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3884] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3885] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3886] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3887] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3888] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3889] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3890] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3891] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3892] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3893] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(6248),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3894] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3895] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3896] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6275),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3897] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3898] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(6250),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3899] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(6252),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6254),
    [anon_sym_EQ_EQ] = ACTIONS(6252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6254),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3900] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6238),
    [anon_sym_GT] = ACTIONS(6240),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(6242),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(6256),
    [anon_sym_LT_EQ] = ACTIONS(6256),
    [anon_sym_QMARK_COLON] = ACTIONS(6258),
    [anon_sym_BANGin] = ACTIONS(6260),
    [anon_sym_is] = ACTIONS(5212),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5226),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3901] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(6234),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6272),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3902] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6278),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3903] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_while] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [3904] = {
    [sym_value_arguments] = STATE(2801),
    [sym_annotation] = STATE(8609),
    [sym_type_arguments] = STATE(8293),
    [sym_annotated_lambda] = STATE(3876),
    [sym_lambda_literal] = STATE(3877),
    [aux_sym_delegation_specifier_repeat1] = STATE(8609),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5172),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(6236),
    [anon_sym_as] = ACTIONS(5180),
    [anon_sym_LT] = ACTIONS(6281),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5188),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5194),
    [anon_sym_DASH_DASH] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(6244),
    [anon_sym_DASH] = ACTIONS(6244),
    [anon_sym_BANG_BANG] = ACTIONS(5194),
    [anon_sym_SLASH] = ACTIONS(6246),
    [anon_sym_PERCENT] = ACTIONS(6236),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5214),
    [anon_sym_DOT_DOT] = ACTIONS(6262),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6264),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5222),
    [sym_label] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5222),
  },
  [3905] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [3906] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [3907] = {
    [aux_sym_type_constraints_repeat1] = STATE(3925),
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_fun] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2959),
    [anon_sym_EQ] = ACTIONS(2961),
    [anon_sym_constructor] = ACTIONS(2959),
    [anon_sym_this] = ACTIONS(2959),
    [anon_sym_super] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_by] = ACTIONS(2959),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_sealed] = ACTIONS(2959),
    [anon_sym_annotation] = ACTIONS(2959),
    [anon_sym_data] = ACTIONS(2959),
    [anon_sym_inner] = ACTIONS(2959),
    [anon_sym_value] = ACTIONS(2959),
    [anon_sym_tailrec] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_infix] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym_external] = ACTIONS(2959),
    [anon_sym_suspend] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_internal] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_final] = ACTIONS(2959),
    [anon_sym_open] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_lateinit] = ACTIONS(2959),
    [anon_sym_vararg] = ACTIONS(2959),
    [anon_sym_noinline] = ACTIONS(2959),
    [anon_sym_crossinline] = ACTIONS(2959),
    [anon_sym_expect] = ACTIONS(2959),
    [anon_sym_actual] = ACTIONS(2959),
    [anon_sym_dynamic] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_BANGin] = ACTIONS(2961),
    [anon_sym_is] = ACTIONS(2959),
    [anon_sym_this_AT] = ACTIONS(2961),
    [anon_sym_super_AT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_when] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_return_AT] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2959),
    [sym_float_literal] = ACTIONS(2961),
    [sym_label] = ACTIONS(2959),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2961),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2961),
    [sym__in] = ACTIONS(2961),
  },
  [3908] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3909] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_annotation] = ACTIONS(2473),
    [anon_sym_data] = ACTIONS(2473),
    [anon_sym_inner] = ACTIONS(2473),
    [anon_sym_value] = ACTIONS(2473),
    [anon_sym_tailrec] = ACTIONS(2473),
    [anon_sym_operator] = ACTIONS(2473),
    [anon_sym_infix] = ACTIONS(2473),
    [anon_sym_inline] = ACTIONS(2473),
    [anon_sym_external] = ACTIONS(2473),
    [anon_sym_suspend] = ACTIONS(2473),
    [anon_sym_const] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_internal] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_override] = ACTIONS(2473),
    [anon_sym_lateinit] = ACTIONS(2473),
    [anon_sym_vararg] = ACTIONS(2473),
    [anon_sym_noinline] = ACTIONS(2473),
    [anon_sym_crossinline] = ACTIONS(2473),
    [anon_sym_expect] = ACTIONS(2473),
    [anon_sym_actual] = ACTIONS(2473),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3910] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3911] = {
    [sym_type_constraints] = STATE(4084),
    [sym_function_body] = STATE(3927),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6318),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5597),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_while] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [3912] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_while] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [3913] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3914] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3915] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [3916] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3917] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [3918] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [3919] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [3920] = {
    [sym_identifier] = ACTIONS(5679),
    [anon_sym_AT] = ACTIONS(5681),
    [anon_sym_COLON] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5681),
    [anon_sym_SEMI] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_fun] = ACTIONS(5679),
    [anon_sym_object] = ACTIONS(5679),
    [anon_sym_EQ] = ACTIONS(5681),
    [anon_sym_constructor] = ACTIONS(5679),
    [anon_sym_this] = ACTIONS(5679),
    [anon_sym_super] = ACTIONS(5679),
    [anon_sym_LPAREN] = ACTIONS(5681),
    [anon_sym_where] = ACTIONS(5679),
    [anon_sym_by] = ACTIONS(5679),
    [anon_sym_get] = ACTIONS(5679),
    [anon_sym_set] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(5681),
    [anon_sym_RBRACE] = ACTIONS(5681),
    [anon_sym_enum] = ACTIONS(5679),
    [anon_sym_sealed] = ACTIONS(5679),
    [anon_sym_annotation] = ACTIONS(5679),
    [anon_sym_data] = ACTIONS(5679),
    [anon_sym_inner] = ACTIONS(5679),
    [anon_sym_value] = ACTIONS(5679),
    [anon_sym_tailrec] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5679),
    [anon_sym_infix] = ACTIONS(5679),
    [anon_sym_inline] = ACTIONS(5679),
    [anon_sym_external] = ACTIONS(5679),
    [anon_sym_suspend] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_public] = ACTIONS(5679),
    [anon_sym_private] = ACTIONS(5679),
    [anon_sym_protected] = ACTIONS(5679),
    [anon_sym_internal] = ACTIONS(5679),
    [anon_sym_abstract] = ACTIONS(5679),
    [anon_sym_final] = ACTIONS(5679),
    [anon_sym_open] = ACTIONS(5679),
    [anon_sym_override] = ACTIONS(5679),
    [anon_sym_lateinit] = ACTIONS(5679),
    [anon_sym_vararg] = ACTIONS(5679),
    [anon_sym_noinline] = ACTIONS(5679),
    [anon_sym_crossinline] = ACTIONS(5679),
    [anon_sym_expect] = ACTIONS(5679),
    [anon_sym_actual] = ACTIONS(5679),
    [anon_sym_dynamic] = ACTIONS(5679),
    [anon_sym_PLUS_PLUS] = ACTIONS(5681),
    [anon_sym_DASH_DASH] = ACTIONS(5681),
    [anon_sym_PLUS] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5679),
    [anon_sym_BANG] = ACTIONS(5679),
    [anon_sym_BANGin] = ACTIONS(5681),
    [anon_sym_is] = ACTIONS(5679),
    [anon_sym_this_AT] = ACTIONS(5681),
    [anon_sym_super_AT] = ACTIONS(5681),
    [anon_sym_if] = ACTIONS(5679),
    [anon_sym_else] = ACTIONS(5679),
    [anon_sym_when] = ACTIONS(5679),
    [anon_sym_try] = ACTIONS(5679),
    [anon_sym_return] = ACTIONS(5679),
    [anon_sym_return_AT] = ACTIONS(5681),
    [anon_sym_throw] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(5681),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(5681),
    [anon_sym_SQUOTE] = ACTIONS(5681),
    [sym_number_literal] = ACTIONS(5679),
    [sym_float_literal] = ACTIONS(5681),
    [sym_label] = ACTIONS(5679),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(5681),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5681),
    [sym__in] = ACTIONS(5681),
  },
  [3921] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [3922] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [3923] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [3924] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [3925] = {
    [aux_sym_type_constraints_repeat1] = STATE(3933),
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_fun] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_constructor] = ACTIONS(2965),
    [anon_sym_this] = ACTIONS(2965),
    [anon_sym_super] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(2967),
    [anon_sym_by] = ACTIONS(2965),
    [anon_sym_get] = ACTIONS(2965),
    [anon_sym_set] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_sealed] = ACTIONS(2965),
    [anon_sym_annotation] = ACTIONS(2965),
    [anon_sym_data] = ACTIONS(2965),
    [anon_sym_inner] = ACTIONS(2965),
    [anon_sym_value] = ACTIONS(2965),
    [anon_sym_tailrec] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_infix] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym_external] = ACTIONS(2965),
    [anon_sym_suspend] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_internal] = ACTIONS(2965),
    [anon_sym_abstract] = ACTIONS(2965),
    [anon_sym_final] = ACTIONS(2965),
    [anon_sym_open] = ACTIONS(2965),
    [anon_sym_override] = ACTIONS(2965),
    [anon_sym_lateinit] = ACTIONS(2965),
    [anon_sym_vararg] = ACTIONS(2965),
    [anon_sym_noinline] = ACTIONS(2965),
    [anon_sym_crossinline] = ACTIONS(2965),
    [anon_sym_expect] = ACTIONS(2965),
    [anon_sym_actual] = ACTIONS(2965),
    [anon_sym_dynamic] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_BANGin] = ACTIONS(2967),
    [anon_sym_is] = ACTIONS(2965),
    [anon_sym_this_AT] = ACTIONS(2967),
    [anon_sym_super_AT] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_when] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_return_AT] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2965),
    [sym_float_literal] = ACTIONS(2967),
    [sym_label] = ACTIONS(2965),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2967),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2967),
    [sym__in] = ACTIONS(2967),
  },
  [3926] = {
    [sym_identifier] = ACTIONS(6320),
    [anon_sym_AT] = ACTIONS(6322),
    [anon_sym_COLON] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6322),
    [anon_sym_SEMI] = ACTIONS(6322),
    [anon_sym_STAR] = ACTIONS(6322),
    [anon_sym_fun] = ACTIONS(6320),
    [anon_sym_object] = ACTIONS(6320),
    [anon_sym_EQ] = ACTIONS(6322),
    [anon_sym_constructor] = ACTIONS(6320),
    [anon_sym_this] = ACTIONS(6320),
    [anon_sym_super] = ACTIONS(6320),
    [anon_sym_LPAREN] = ACTIONS(6322),
    [anon_sym_where] = ACTIONS(6320),
    [anon_sym_by] = ACTIONS(6320),
    [anon_sym_get] = ACTIONS(6320),
    [anon_sym_set] = ACTIONS(6320),
    [anon_sym_LBRACE] = ACTIONS(6322),
    [anon_sym_RBRACE] = ACTIONS(6322),
    [anon_sym_enum] = ACTIONS(6320),
    [anon_sym_sealed] = ACTIONS(6320),
    [anon_sym_annotation] = ACTIONS(6320),
    [anon_sym_data] = ACTIONS(6320),
    [anon_sym_inner] = ACTIONS(6320),
    [anon_sym_value] = ACTIONS(6320),
    [anon_sym_tailrec] = ACTIONS(6320),
    [anon_sym_operator] = ACTIONS(6320),
    [anon_sym_infix] = ACTIONS(6320),
    [anon_sym_inline] = ACTIONS(6320),
    [anon_sym_external] = ACTIONS(6320),
    [anon_sym_suspend] = ACTIONS(6320),
    [anon_sym_const] = ACTIONS(6320),
    [anon_sym_public] = ACTIONS(6320),
    [anon_sym_private] = ACTIONS(6320),
    [anon_sym_protected] = ACTIONS(6320),
    [anon_sym_internal] = ACTIONS(6320),
    [anon_sym_abstract] = ACTIONS(6320),
    [anon_sym_final] = ACTIONS(6320),
    [anon_sym_open] = ACTIONS(6320),
    [anon_sym_override] = ACTIONS(6320),
    [anon_sym_lateinit] = ACTIONS(6320),
    [anon_sym_vararg] = ACTIONS(6320),
    [anon_sym_noinline] = ACTIONS(6320),
    [anon_sym_crossinline] = ACTIONS(6320),
    [anon_sym_expect] = ACTIONS(6320),
    [anon_sym_actual] = ACTIONS(6320),
    [anon_sym_dynamic] = ACTIONS(6320),
    [anon_sym_PLUS_PLUS] = ACTIONS(6322),
    [anon_sym_DASH_DASH] = ACTIONS(6322),
    [anon_sym_PLUS] = ACTIONS(6320),
    [anon_sym_DASH] = ACTIONS(6320),
    [anon_sym_BANG] = ACTIONS(6320),
    [anon_sym_BANGin] = ACTIONS(6322),
    [anon_sym_is] = ACTIONS(6320),
    [anon_sym_this_AT] = ACTIONS(6322),
    [anon_sym_super_AT] = ACTIONS(6322),
    [anon_sym_if] = ACTIONS(6320),
    [anon_sym_else] = ACTIONS(6320),
    [anon_sym_when] = ACTIONS(6320),
    [anon_sym_try] = ACTIONS(6320),
    [anon_sym_return] = ACTIONS(6320),
    [anon_sym_return_AT] = ACTIONS(6322),
    [anon_sym_throw] = ACTIONS(6320),
    [anon_sym_COLON_COLON] = ACTIONS(6322),
    [anon_sym_DQUOTE] = ACTIONS(6320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6322),
    [anon_sym_SQUOTE] = ACTIONS(6322),
    [sym_number_literal] = ACTIONS(6320),
    [sym_float_literal] = ACTIONS(6322),
    [sym_label] = ACTIONS(6320),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6322),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6322),
    [sym__in] = ACTIONS(6322),
  },
  [3927] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [3928] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [3929] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3930] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [3931] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [3932] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3016),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [3933] = {
    [aux_sym_type_constraints_repeat1] = STATE(3933),
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2995),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(6326),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
  },
  [3934] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [3935] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [3936] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3937] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [3938] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [3939] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [3940] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3941] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [3942] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_while] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [3943] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [3944] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3020),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [3945] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3946] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [3947] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [3948] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3024),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [3949] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3950] = {
    [sym_identifier] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_LBRACK] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_as] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LPAREN] = ACTIONS(3042),
    [anon_sym_get] = ACTIONS(3040),
    [anon_sym_LBRACE] = ACTIONS(3042),
    [anon_sym_in] = ACTIONS(3040),
    [anon_sym_enum] = ACTIONS(3040),
    [anon_sym_sealed] = ACTIONS(3040),
    [anon_sym_annotation] = ACTIONS(3040),
    [anon_sym_data] = ACTIONS(3040),
    [anon_sym_inner] = ACTIONS(3040),
    [anon_sym_value] = ACTIONS(3040),
    [anon_sym_tailrec] = ACTIONS(3040),
    [anon_sym_operator] = ACTIONS(3040),
    [anon_sym_infix] = ACTIONS(3040),
    [anon_sym_inline] = ACTIONS(3040),
    [anon_sym_external] = ACTIONS(3040),
    [anon_sym_suspend] = ACTIONS(3040),
    [anon_sym_const] = ACTIONS(3040),
    [anon_sym_public] = ACTIONS(3040),
    [anon_sym_private] = ACTIONS(3040),
    [anon_sym_protected] = ACTIONS(3040),
    [anon_sym_internal] = ACTIONS(3040),
    [anon_sym_abstract] = ACTIONS(3040),
    [anon_sym_final] = ACTIONS(3040),
    [anon_sym_open] = ACTIONS(3040),
    [anon_sym_override] = ACTIONS(3040),
    [anon_sym_lateinit] = ACTIONS(3040),
    [anon_sym_vararg] = ACTIONS(3040),
    [anon_sym_noinline] = ACTIONS(3040),
    [anon_sym_crossinline] = ACTIONS(3040),
    [anon_sym_expect] = ACTIONS(3040),
    [anon_sym_actual] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_BANG_BANG] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_QMARK_COLON] = ACTIONS(3042),
    [anon_sym_BANGin] = ACTIONS(3042),
    [anon_sym_is] = ACTIONS(3040),
    [anon_sym_as_QMARK] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3042),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_COLON_COLON] = ACTIONS(3042),
    [sym_label] = ACTIONS(3042),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3042),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3042),
    [sym__q_dot] = ACTIONS(3042),
  },
  [3951] = {
    [sym_identifier] = ACTIONS(3044),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_LBRACK] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_as] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_LT] = ACTIONS(6329),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LPAREN] = ACTIONS(3046),
    [anon_sym_get] = ACTIONS(3044),
    [anon_sym_LBRACE] = ACTIONS(3046),
    [anon_sym_in] = ACTIONS(3044),
    [anon_sym_enum] = ACTIONS(3044),
    [anon_sym_sealed] = ACTIONS(3044),
    [anon_sym_annotation] = ACTIONS(3044),
    [anon_sym_data] = ACTIONS(3044),
    [anon_sym_inner] = ACTIONS(3044),
    [anon_sym_value] = ACTIONS(3044),
    [anon_sym_tailrec] = ACTIONS(3044),
    [anon_sym_operator] = ACTIONS(3044),
    [anon_sym_infix] = ACTIONS(3044),
    [anon_sym_inline] = ACTIONS(3044),
    [anon_sym_external] = ACTIONS(3044),
    [anon_sym_suspend] = ACTIONS(3044),
    [anon_sym_const] = ACTIONS(3044),
    [anon_sym_public] = ACTIONS(3044),
    [anon_sym_private] = ACTIONS(3044),
    [anon_sym_protected] = ACTIONS(3044),
    [anon_sym_internal] = ACTIONS(3044),
    [anon_sym_abstract] = ACTIONS(3044),
    [anon_sym_final] = ACTIONS(3044),
    [anon_sym_open] = ACTIONS(3044),
    [anon_sym_override] = ACTIONS(3044),
    [anon_sym_lateinit] = ACTIONS(3044),
    [anon_sym_vararg] = ACTIONS(3044),
    [anon_sym_noinline] = ACTIONS(3044),
    [anon_sym_crossinline] = ACTIONS(3044),
    [anon_sym_expect] = ACTIONS(3044),
    [anon_sym_actual] = ACTIONS(3044),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_BANG_BANG] = ACTIONS(3046),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3046),
    [anon_sym_BANG_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_LT_EQ] = ACTIONS(3046),
    [anon_sym_QMARK_COLON] = ACTIONS(3046),
    [anon_sym_BANGin] = ACTIONS(3046),
    [anon_sym_is] = ACTIONS(3044),
    [anon_sym_as_QMARK] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3046),
    [anon_sym_else] = ACTIONS(3044),
    [anon_sym_COLON_COLON] = ACTIONS(3046),
    [sym_label] = ACTIONS(3046),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3046),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3046),
    [sym__q_dot] = ACTIONS(3046),
  },
  [3952] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_as] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_in] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3216),
    [anon_sym_DASH_EQ] = ACTIONS(3216),
    [anon_sym_STAR_EQ] = ACTIONS(3216),
    [anon_sym_SLASH_EQ] = ACTIONS(3216),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG_BANG] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3214),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3216),
    [anon_sym_EQ_EQ] = ACTIONS(3214),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_QMARK_COLON] = ACTIONS(3216),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_as_QMARK] = ACTIONS(3216),
    [anon_sym_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3216),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [sym_label] = ACTIONS(3216),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__q_dot] = ACTIONS(3216),
  },
  [3953] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3954] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [3955] = {
    [sym_identifier] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_as] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_LT] = ACTIONS(2605),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_get] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_in] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_annotation] = ACTIONS(2605),
    [anon_sym_data] = ACTIONS(2605),
    [anon_sym_inner] = ACTIONS(2605),
    [anon_sym_value] = ACTIONS(2605),
    [anon_sym_tailrec] = ACTIONS(2605),
    [anon_sym_operator] = ACTIONS(2605),
    [anon_sym_infix] = ACTIONS(2605),
    [anon_sym_inline] = ACTIONS(2605),
    [anon_sym_external] = ACTIONS(2605),
    [anon_sym_suspend] = ACTIONS(2605),
    [anon_sym_const] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_internal] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_override] = ACTIONS(2605),
    [anon_sym_lateinit] = ACTIONS(2605),
    [anon_sym_vararg] = ACTIONS(2605),
    [anon_sym_noinline] = ACTIONS(2605),
    [anon_sym_crossinline] = ACTIONS(2605),
    [anon_sym_expect] = ACTIONS(2605),
    [anon_sym_actual] = ACTIONS(2605),
    [anon_sym_PLUS_EQ] = ACTIONS(2607),
    [anon_sym_DASH_EQ] = ACTIONS(2607),
    [anon_sym_STAR_EQ] = ACTIONS(2607),
    [anon_sym_SLASH_EQ] = ACTIONS(2607),
    [anon_sym_PERCENT_EQ] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_BANG_BANG] = ACTIONS(2607),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_PIPE_PIPE] = ACTIONS(2607),
    [anon_sym_AMP_AMP] = ACTIONS(2607),
    [anon_sym_BANG_EQ] = ACTIONS(2605),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2607),
    [anon_sym_EQ_EQ] = ACTIONS(2605),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2607),
    [anon_sym_GT_EQ] = ACTIONS(2607),
    [anon_sym_LT_EQ] = ACTIONS(2607),
    [anon_sym_QMARK_COLON] = ACTIONS(2607),
    [anon_sym_BANGin] = ACTIONS(2607),
    [anon_sym_is] = ACTIONS(2605),
    [anon_sym_as_QMARK] = ACTIONS(2607),
    [anon_sym_DOT_DOT] = ACTIONS(2605),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_COLON_COLON] = ACTIONS(2607),
    [sym_label] = ACTIONS(2607),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2607),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2607),
    [sym__q_dot] = ACTIONS(2607),
  },
  [3956] = {
    [sym_identifier] = ACTIONS(3052),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_LBRACK] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_as] = ACTIONS(3052),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LPAREN] = ACTIONS(3054),
    [anon_sym_get] = ACTIONS(3052),
    [anon_sym_LBRACE] = ACTIONS(3054),
    [anon_sym_in] = ACTIONS(3052),
    [anon_sym_enum] = ACTIONS(3052),
    [anon_sym_sealed] = ACTIONS(3052),
    [anon_sym_annotation] = ACTIONS(3052),
    [anon_sym_data] = ACTIONS(3052),
    [anon_sym_inner] = ACTIONS(3052),
    [anon_sym_value] = ACTIONS(3052),
    [anon_sym_tailrec] = ACTIONS(3052),
    [anon_sym_operator] = ACTIONS(3052),
    [anon_sym_infix] = ACTIONS(3052),
    [anon_sym_inline] = ACTIONS(3052),
    [anon_sym_external] = ACTIONS(3052),
    [anon_sym_suspend] = ACTIONS(3052),
    [anon_sym_const] = ACTIONS(3052),
    [anon_sym_public] = ACTIONS(3052),
    [anon_sym_private] = ACTIONS(3052),
    [anon_sym_protected] = ACTIONS(3052),
    [anon_sym_internal] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3052),
    [anon_sym_final] = ACTIONS(3052),
    [anon_sym_open] = ACTIONS(3052),
    [anon_sym_override] = ACTIONS(3052),
    [anon_sym_lateinit] = ACTIONS(3052),
    [anon_sym_vararg] = ACTIONS(3052),
    [anon_sym_noinline] = ACTIONS(3052),
    [anon_sym_crossinline] = ACTIONS(3052),
    [anon_sym_expect] = ACTIONS(3052),
    [anon_sym_actual] = ACTIONS(3052),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_BANG_BANG] = ACTIONS(3054),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3054),
    [anon_sym_BANG_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3054),
    [anon_sym_QMARK_COLON] = ACTIONS(3054),
    [anon_sym_BANGin] = ACTIONS(3054),
    [anon_sym_is] = ACTIONS(3052),
    [anon_sym_as_QMARK] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3054),
    [anon_sym_else] = ACTIONS(3052),
    [anon_sym_COLON_COLON] = ACTIONS(3054),
    [sym_label] = ACTIONS(3054),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3054),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3054),
    [sym__q_dot] = ACTIONS(3054),
  },
  [3957] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_annotation] = ACTIONS(2477),
    [anon_sym_data] = ACTIONS(2477),
    [anon_sym_inner] = ACTIONS(2477),
    [anon_sym_value] = ACTIONS(2477),
    [anon_sym_tailrec] = ACTIONS(2477),
    [anon_sym_operator] = ACTIONS(2477),
    [anon_sym_infix] = ACTIONS(2477),
    [anon_sym_inline] = ACTIONS(2477),
    [anon_sym_external] = ACTIONS(2477),
    [anon_sym_suspend] = ACTIONS(2477),
    [anon_sym_const] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_internal] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_override] = ACTIONS(2477),
    [anon_sym_lateinit] = ACTIONS(2477),
    [anon_sym_vararg] = ACTIONS(2477),
    [anon_sym_noinline] = ACTIONS(2477),
    [anon_sym_crossinline] = ACTIONS(2477),
    [anon_sym_expect] = ACTIONS(2477),
    [anon_sym_actual] = ACTIONS(2477),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3958] = {
    [sym_type_constraints] = STATE(4090),
    [sym_function_body] = STATE(3976),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(6331),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_as] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2572),
    [anon_sym_GT] = ACTIONS(2572),
    [anon_sym_LPAREN] = ACTIONS(2574),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_sealed] = ACTIONS(2572),
    [anon_sym_annotation] = ACTIONS(2572),
    [anon_sym_data] = ACTIONS(2572),
    [anon_sym_inner] = ACTIONS(2572),
    [anon_sym_value] = ACTIONS(2572),
    [anon_sym_tailrec] = ACTIONS(2572),
    [anon_sym_operator] = ACTIONS(2572),
    [anon_sym_infix] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym_external] = ACTIONS(2572),
    [anon_sym_suspend] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_public] = ACTIONS(2572),
    [anon_sym_private] = ACTIONS(2572),
    [anon_sym_protected] = ACTIONS(2572),
    [anon_sym_internal] = ACTIONS(2572),
    [anon_sym_abstract] = ACTIONS(2572),
    [anon_sym_final] = ACTIONS(2572),
    [anon_sym_open] = ACTIONS(2572),
    [anon_sym_override] = ACTIONS(2572),
    [anon_sym_lateinit] = ACTIONS(2572),
    [anon_sym_vararg] = ACTIONS(2572),
    [anon_sym_noinline] = ACTIONS(2572),
    [anon_sym_crossinline] = ACTIONS(2572),
    [anon_sym_expect] = ACTIONS(2572),
    [anon_sym_actual] = ACTIONS(2572),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_BANG_BANG] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_QMARK_COLON] = ACTIONS(2574),
    [anon_sym_BANGin] = ACTIONS(2574),
    [anon_sym_is] = ACTIONS(2572),
    [anon_sym_as_QMARK] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2574),
    [anon_sym_else] = ACTIONS(2572),
    [anon_sym_COLON_COLON] = ACTIONS(2574),
    [sym_label] = ACTIONS(2574),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2574),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2574),
    [sym__q_dot] = ACTIONS(2574),
  },
  [3959] = {
    [sym_identifier] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3072),
    [anon_sym_LBRACK] = ACTIONS(3072),
    [anon_sym_SEMI] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3070),
    [anon_sym_as] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3070),
    [anon_sym_GT] = ACTIONS(3070),
    [anon_sym_LPAREN] = ACTIONS(3072),
    [anon_sym_get] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(3072),
    [anon_sym_in] = ACTIONS(3070),
    [anon_sym_enum] = ACTIONS(3070),
    [anon_sym_sealed] = ACTIONS(3070),
    [anon_sym_annotation] = ACTIONS(3070),
    [anon_sym_data] = ACTIONS(3070),
    [anon_sym_inner] = ACTIONS(3070),
    [anon_sym_value] = ACTIONS(3070),
    [anon_sym_tailrec] = ACTIONS(3070),
    [anon_sym_operator] = ACTIONS(3070),
    [anon_sym_infix] = ACTIONS(3070),
    [anon_sym_inline] = ACTIONS(3070),
    [anon_sym_external] = ACTIONS(3070),
    [anon_sym_suspend] = ACTIONS(3070),
    [anon_sym_const] = ACTIONS(3070),
    [anon_sym_public] = ACTIONS(3070),
    [anon_sym_private] = ACTIONS(3070),
    [anon_sym_protected] = ACTIONS(3070),
    [anon_sym_internal] = ACTIONS(3070),
    [anon_sym_abstract] = ACTIONS(3070),
    [anon_sym_final] = ACTIONS(3070),
    [anon_sym_open] = ACTIONS(3070),
    [anon_sym_override] = ACTIONS(3070),
    [anon_sym_lateinit] = ACTIONS(3070),
    [anon_sym_vararg] = ACTIONS(3070),
    [anon_sym_noinline] = ACTIONS(3070),
    [anon_sym_crossinline] = ACTIONS(3070),
    [anon_sym_expect] = ACTIONS(3070),
    [anon_sym_actual] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3072),
    [anon_sym_DASH_EQ] = ACTIONS(3072),
    [anon_sym_STAR_EQ] = ACTIONS(3072),
    [anon_sym_SLASH_EQ] = ACTIONS(3072),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_PLUS_PLUS] = ACTIONS(3072),
    [anon_sym_DASH_DASH] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3070),
    [anon_sym_DASH] = ACTIONS(3070),
    [anon_sym_BANG_BANG] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3070),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3072),
    [anon_sym_EQ_EQ] = ACTIONS(3070),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_QMARK_COLON] = ACTIONS(3072),
    [anon_sym_BANGin] = ACTIONS(3072),
    [anon_sym_is] = ACTIONS(3070),
    [anon_sym_as_QMARK] = ACTIONS(3072),
    [anon_sym_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3072),
    [anon_sym_else] = ACTIONS(3070),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [sym_label] = ACTIONS(3072),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3072),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3072),
    [sym__q_dot] = ACTIONS(3072),
  },
  [3960] = {
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_as] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3078),
    [anon_sym_GT] = ACTIONS(3078),
    [anon_sym_LPAREN] = ACTIONS(3080),
    [anon_sym_get] = ACTIONS(3078),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_in] = ACTIONS(3078),
    [anon_sym_enum] = ACTIONS(3078),
    [anon_sym_sealed] = ACTIONS(3078),
    [anon_sym_annotation] = ACTIONS(3078),
    [anon_sym_data] = ACTIONS(3078),
    [anon_sym_inner] = ACTIONS(3078),
    [anon_sym_value] = ACTIONS(3078),
    [anon_sym_tailrec] = ACTIONS(3078),
    [anon_sym_operator] = ACTIONS(3078),
    [anon_sym_infix] = ACTIONS(3078),
    [anon_sym_inline] = ACTIONS(3078),
    [anon_sym_external] = ACTIONS(3078),
    [anon_sym_suspend] = ACTIONS(3078),
    [anon_sym_const] = ACTIONS(3078),
    [anon_sym_public] = ACTIONS(3078),
    [anon_sym_private] = ACTIONS(3078),
    [anon_sym_protected] = ACTIONS(3078),
    [anon_sym_internal] = ACTIONS(3078),
    [anon_sym_abstract] = ACTIONS(3078),
    [anon_sym_final] = ACTIONS(3078),
    [anon_sym_open] = ACTIONS(3078),
    [anon_sym_override] = ACTIONS(3078),
    [anon_sym_lateinit] = ACTIONS(3078),
    [anon_sym_vararg] = ACTIONS(3078),
    [anon_sym_noinline] = ACTIONS(3078),
    [anon_sym_crossinline] = ACTIONS(3078),
    [anon_sym_expect] = ACTIONS(3078),
    [anon_sym_actual] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3078),
    [anon_sym_BANG_BANG] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3078),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3078),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_QMARK_COLON] = ACTIONS(3080),
    [anon_sym_BANGin] = ACTIONS(3080),
    [anon_sym_is] = ACTIONS(3078),
    [anon_sym_as_QMARK] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3080),
    [anon_sym_else] = ACTIONS(3078),
    [anon_sym_COLON_COLON] = ACTIONS(3080),
    [sym_label] = ACTIONS(3080),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3080),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3080),
    [sym__q_dot] = ACTIONS(3080),
  },
  [3961] = {
    [sym_identifier] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_as] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LPAREN] = ACTIONS(3084),
    [anon_sym_get] = ACTIONS(3082),
    [anon_sym_LBRACE] = ACTIONS(3084),
    [anon_sym_in] = ACTIONS(3082),
    [anon_sym_enum] = ACTIONS(3082),
    [anon_sym_sealed] = ACTIONS(3082),
    [anon_sym_annotation] = ACTIONS(3082),
    [anon_sym_data] = ACTIONS(3082),
    [anon_sym_inner] = ACTIONS(3082),
    [anon_sym_value] = ACTIONS(3082),
    [anon_sym_tailrec] = ACTIONS(3082),
    [anon_sym_operator] = ACTIONS(3082),
    [anon_sym_infix] = ACTIONS(3082),
    [anon_sym_inline] = ACTIONS(3082),
    [anon_sym_external] = ACTIONS(3082),
    [anon_sym_suspend] = ACTIONS(3082),
    [anon_sym_const] = ACTIONS(3082),
    [anon_sym_public] = ACTIONS(3082),
    [anon_sym_private] = ACTIONS(3082),
    [anon_sym_protected] = ACTIONS(3082),
    [anon_sym_internal] = ACTIONS(3082),
    [anon_sym_abstract] = ACTIONS(3082),
    [anon_sym_final] = ACTIONS(3082),
    [anon_sym_open] = ACTIONS(3082),
    [anon_sym_override] = ACTIONS(3082),
    [anon_sym_lateinit] = ACTIONS(3082),
    [anon_sym_vararg] = ACTIONS(3082),
    [anon_sym_noinline] = ACTIONS(3082),
    [anon_sym_crossinline] = ACTIONS(3082),
    [anon_sym_expect] = ACTIONS(3082),
    [anon_sym_actual] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_BANG_BANG] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_QMARK_COLON] = ACTIONS(3084),
    [anon_sym_BANGin] = ACTIONS(3084),
    [anon_sym_is] = ACTIONS(3082),
    [anon_sym_as_QMARK] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3084),
    [anon_sym_else] = ACTIONS(3082),
    [anon_sym_COLON_COLON] = ACTIONS(3084),
    [sym_label] = ACTIONS(3084),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3084),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3084),
    [sym__q_dot] = ACTIONS(3084),
  },
  [3962] = {
    [sym_identifier] = ACTIONS(3086),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_as] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LPAREN] = ACTIONS(3088),
    [anon_sym_get] = ACTIONS(3086),
    [anon_sym_LBRACE] = ACTIONS(3088),
    [anon_sym_in] = ACTIONS(3086),
    [anon_sym_enum] = ACTIONS(3086),
    [anon_sym_sealed] = ACTIONS(3086),
    [anon_sym_annotation] = ACTIONS(3086),
    [anon_sym_data] = ACTIONS(3086),
    [anon_sym_inner] = ACTIONS(3086),
    [anon_sym_value] = ACTIONS(3086),
    [anon_sym_tailrec] = ACTIONS(3086),
    [anon_sym_operator] = ACTIONS(3086),
    [anon_sym_infix] = ACTIONS(3086),
    [anon_sym_inline] = ACTIONS(3086),
    [anon_sym_external] = ACTIONS(3086),
    [anon_sym_suspend] = ACTIONS(3086),
    [anon_sym_const] = ACTIONS(3086),
    [anon_sym_public] = ACTIONS(3086),
    [anon_sym_private] = ACTIONS(3086),
    [anon_sym_protected] = ACTIONS(3086),
    [anon_sym_internal] = ACTIONS(3086),
    [anon_sym_abstract] = ACTIONS(3086),
    [anon_sym_final] = ACTIONS(3086),
    [anon_sym_open] = ACTIONS(3086),
    [anon_sym_override] = ACTIONS(3086),
    [anon_sym_lateinit] = ACTIONS(3086),
    [anon_sym_vararg] = ACTIONS(3086),
    [anon_sym_noinline] = ACTIONS(3086),
    [anon_sym_crossinline] = ACTIONS(3086),
    [anon_sym_expect] = ACTIONS(3086),
    [anon_sym_actual] = ACTIONS(3086),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_BANG_BANG] = ACTIONS(3088),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3088),
    [anon_sym_BANG_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3088),
    [anon_sym_QMARK_COLON] = ACTIONS(3088),
    [anon_sym_BANGin] = ACTIONS(3088),
    [anon_sym_is] = ACTIONS(3086),
    [anon_sym_as_QMARK] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3088),
    [anon_sym_else] = ACTIONS(3086),
    [anon_sym_COLON_COLON] = ACTIONS(3088),
    [sym_label] = ACTIONS(3088),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3088),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3088),
    [sym__q_dot] = ACTIONS(3088),
  },
  [3963] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_annotation] = ACTIONS(2481),
    [anon_sym_data] = ACTIONS(2481),
    [anon_sym_inner] = ACTIONS(2481),
    [anon_sym_value] = ACTIONS(2481),
    [anon_sym_tailrec] = ACTIONS(2481),
    [anon_sym_operator] = ACTIONS(2481),
    [anon_sym_infix] = ACTIONS(2481),
    [anon_sym_inline] = ACTIONS(2481),
    [anon_sym_external] = ACTIONS(2481),
    [anon_sym_suspend] = ACTIONS(2481),
    [anon_sym_const] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_internal] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_override] = ACTIONS(2481),
    [anon_sym_lateinit] = ACTIONS(2481),
    [anon_sym_vararg] = ACTIONS(2481),
    [anon_sym_noinline] = ACTIONS(2481),
    [anon_sym_crossinline] = ACTIONS(2481),
    [anon_sym_expect] = ACTIONS(2481),
    [anon_sym_actual] = ACTIONS(2481),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3964] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [3965] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_annotation] = ACTIONS(2485),
    [anon_sym_data] = ACTIONS(2485),
    [anon_sym_inner] = ACTIONS(2485),
    [anon_sym_value] = ACTIONS(2485),
    [anon_sym_tailrec] = ACTIONS(2485),
    [anon_sym_operator] = ACTIONS(2485),
    [anon_sym_infix] = ACTIONS(2485),
    [anon_sym_inline] = ACTIONS(2485),
    [anon_sym_external] = ACTIONS(2485),
    [anon_sym_suspend] = ACTIONS(2485),
    [anon_sym_const] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_internal] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_override] = ACTIONS(2485),
    [anon_sym_lateinit] = ACTIONS(2485),
    [anon_sym_vararg] = ACTIONS(2485),
    [anon_sym_noinline] = ACTIONS(2485),
    [anon_sym_crossinline] = ACTIONS(2485),
    [anon_sym_expect] = ACTIONS(2485),
    [anon_sym_actual] = ACTIONS(2485),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3966] = {
    [sym_identifier] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_as] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LPAREN] = ACTIONS(3092),
    [anon_sym_get] = ACTIONS(3090),
    [anon_sym_LBRACE] = ACTIONS(3092),
    [anon_sym_in] = ACTIONS(3090),
    [anon_sym_enum] = ACTIONS(3090),
    [anon_sym_sealed] = ACTIONS(3090),
    [anon_sym_annotation] = ACTIONS(3090),
    [anon_sym_data] = ACTIONS(3090),
    [anon_sym_inner] = ACTIONS(3090),
    [anon_sym_value] = ACTIONS(3090),
    [anon_sym_tailrec] = ACTIONS(3090),
    [anon_sym_operator] = ACTIONS(3090),
    [anon_sym_infix] = ACTIONS(3090),
    [anon_sym_inline] = ACTIONS(3090),
    [anon_sym_external] = ACTIONS(3090),
    [anon_sym_suspend] = ACTIONS(3090),
    [anon_sym_const] = ACTIONS(3090),
    [anon_sym_public] = ACTIONS(3090),
    [anon_sym_private] = ACTIONS(3090),
    [anon_sym_protected] = ACTIONS(3090),
    [anon_sym_internal] = ACTIONS(3090),
    [anon_sym_abstract] = ACTIONS(3090),
    [anon_sym_final] = ACTIONS(3090),
    [anon_sym_open] = ACTIONS(3090),
    [anon_sym_override] = ACTIONS(3090),
    [anon_sym_lateinit] = ACTIONS(3090),
    [anon_sym_vararg] = ACTIONS(3090),
    [anon_sym_noinline] = ACTIONS(3090),
    [anon_sym_crossinline] = ACTIONS(3090),
    [anon_sym_expect] = ACTIONS(3090),
    [anon_sym_actual] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_BANG_BANG] = ACTIONS(3092),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_QMARK_COLON] = ACTIONS(3092),
    [anon_sym_BANGin] = ACTIONS(3092),
    [anon_sym_is] = ACTIONS(3090),
    [anon_sym_as_QMARK] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3092),
    [anon_sym_else] = ACTIONS(3090),
    [anon_sym_COLON_COLON] = ACTIONS(3092),
    [sym_label] = ACTIONS(3092),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3092),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3092),
    [sym__q_dot] = ACTIONS(3092),
  },
  [3967] = {
    [sym_identifier] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_LBRACK] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_as] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LPAREN] = ACTIONS(3100),
    [anon_sym_get] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(3100),
    [anon_sym_in] = ACTIONS(3098),
    [anon_sym_enum] = ACTIONS(3098),
    [anon_sym_sealed] = ACTIONS(3098),
    [anon_sym_annotation] = ACTIONS(3098),
    [anon_sym_data] = ACTIONS(3098),
    [anon_sym_inner] = ACTIONS(3098),
    [anon_sym_value] = ACTIONS(3098),
    [anon_sym_tailrec] = ACTIONS(3098),
    [anon_sym_operator] = ACTIONS(3098),
    [anon_sym_infix] = ACTIONS(3098),
    [anon_sym_inline] = ACTIONS(3098),
    [anon_sym_external] = ACTIONS(3098),
    [anon_sym_suspend] = ACTIONS(3098),
    [anon_sym_const] = ACTIONS(3098),
    [anon_sym_public] = ACTIONS(3098),
    [anon_sym_private] = ACTIONS(3098),
    [anon_sym_protected] = ACTIONS(3098),
    [anon_sym_internal] = ACTIONS(3098),
    [anon_sym_abstract] = ACTIONS(3098),
    [anon_sym_final] = ACTIONS(3098),
    [anon_sym_open] = ACTIONS(3098),
    [anon_sym_override] = ACTIONS(3098),
    [anon_sym_lateinit] = ACTIONS(3098),
    [anon_sym_vararg] = ACTIONS(3098),
    [anon_sym_noinline] = ACTIONS(3098),
    [anon_sym_crossinline] = ACTIONS(3098),
    [anon_sym_expect] = ACTIONS(3098),
    [anon_sym_actual] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_BANG_BANG] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_QMARK_COLON] = ACTIONS(3100),
    [anon_sym_BANGin] = ACTIONS(3100),
    [anon_sym_is] = ACTIONS(3098),
    [anon_sym_as_QMARK] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3100),
    [anon_sym_else] = ACTIONS(3098),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [sym_label] = ACTIONS(3100),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3100),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3100),
    [sym__q_dot] = ACTIONS(3100),
  },
  [3968] = {
    [sym_identifier] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_as] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LPAREN] = ACTIONS(3104),
    [anon_sym_get] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_in] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_sealed] = ACTIONS(3102),
    [anon_sym_annotation] = ACTIONS(3102),
    [anon_sym_data] = ACTIONS(3102),
    [anon_sym_inner] = ACTIONS(3102),
    [anon_sym_value] = ACTIONS(3102),
    [anon_sym_tailrec] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_infix] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym_external] = ACTIONS(3102),
    [anon_sym_suspend] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_public] = ACTIONS(3102),
    [anon_sym_private] = ACTIONS(3102),
    [anon_sym_protected] = ACTIONS(3102),
    [anon_sym_internal] = ACTIONS(3102),
    [anon_sym_abstract] = ACTIONS(3102),
    [anon_sym_final] = ACTIONS(3102),
    [anon_sym_open] = ACTIONS(3102),
    [anon_sym_override] = ACTIONS(3102),
    [anon_sym_lateinit] = ACTIONS(3102),
    [anon_sym_vararg] = ACTIONS(3102),
    [anon_sym_noinline] = ACTIONS(3102),
    [anon_sym_crossinline] = ACTIONS(3102),
    [anon_sym_expect] = ACTIONS(3102),
    [anon_sym_actual] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_BANG_BANG] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_QMARK_COLON] = ACTIONS(3104),
    [anon_sym_BANGin] = ACTIONS(3104),
    [anon_sym_is] = ACTIONS(3102),
    [anon_sym_as_QMARK] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3104),
    [anon_sym_else] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [sym_label] = ACTIONS(3104),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3104),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3104),
    [sym__q_dot] = ACTIONS(3104),
  },
  [3969] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_annotation] = ACTIONS(2489),
    [anon_sym_data] = ACTIONS(2489),
    [anon_sym_inner] = ACTIONS(2489),
    [anon_sym_value] = ACTIONS(2489),
    [anon_sym_tailrec] = ACTIONS(2489),
    [anon_sym_operator] = ACTIONS(2489),
    [anon_sym_infix] = ACTIONS(2489),
    [anon_sym_inline] = ACTIONS(2489),
    [anon_sym_external] = ACTIONS(2489),
    [anon_sym_suspend] = ACTIONS(2489),
    [anon_sym_const] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_internal] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_override] = ACTIONS(2489),
    [anon_sym_lateinit] = ACTIONS(2489),
    [anon_sym_vararg] = ACTIONS(2489),
    [anon_sym_noinline] = ACTIONS(2489),
    [anon_sym_crossinline] = ACTIONS(2489),
    [anon_sym_expect] = ACTIONS(2489),
    [anon_sym_actual] = ACTIONS(2489),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3970] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_annotation] = ACTIONS(2493),
    [anon_sym_data] = ACTIONS(2493),
    [anon_sym_inner] = ACTIONS(2493),
    [anon_sym_value] = ACTIONS(2493),
    [anon_sym_tailrec] = ACTIONS(2493),
    [anon_sym_operator] = ACTIONS(2493),
    [anon_sym_infix] = ACTIONS(2493),
    [anon_sym_inline] = ACTIONS(2493),
    [anon_sym_external] = ACTIONS(2493),
    [anon_sym_suspend] = ACTIONS(2493),
    [anon_sym_const] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_internal] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_override] = ACTIONS(2493),
    [anon_sym_lateinit] = ACTIONS(2493),
    [anon_sym_vararg] = ACTIONS(2493),
    [anon_sym_noinline] = ACTIONS(2493),
    [anon_sym_crossinline] = ACTIONS(2493),
    [anon_sym_expect] = ACTIONS(2493),
    [anon_sym_actual] = ACTIONS(2493),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3971] = {
    [sym_identifier] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_as] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3118),
    [anon_sym_GT] = ACTIONS(3118),
    [anon_sym_LPAREN] = ACTIONS(3120),
    [anon_sym_get] = ACTIONS(3118),
    [anon_sym_LBRACE] = ACTIONS(3120),
    [anon_sym_in] = ACTIONS(3118),
    [anon_sym_enum] = ACTIONS(3118),
    [anon_sym_sealed] = ACTIONS(3118),
    [anon_sym_annotation] = ACTIONS(3118),
    [anon_sym_data] = ACTIONS(3118),
    [anon_sym_inner] = ACTIONS(3118),
    [anon_sym_value] = ACTIONS(3118),
    [anon_sym_tailrec] = ACTIONS(3118),
    [anon_sym_operator] = ACTIONS(3118),
    [anon_sym_infix] = ACTIONS(3118),
    [anon_sym_inline] = ACTIONS(3118),
    [anon_sym_external] = ACTIONS(3118),
    [anon_sym_suspend] = ACTIONS(3118),
    [anon_sym_const] = ACTIONS(3118),
    [anon_sym_public] = ACTIONS(3118),
    [anon_sym_private] = ACTIONS(3118),
    [anon_sym_protected] = ACTIONS(3118),
    [anon_sym_internal] = ACTIONS(3118),
    [anon_sym_abstract] = ACTIONS(3118),
    [anon_sym_final] = ACTIONS(3118),
    [anon_sym_open] = ACTIONS(3118),
    [anon_sym_override] = ACTIONS(3118),
    [anon_sym_lateinit] = ACTIONS(3118),
    [anon_sym_vararg] = ACTIONS(3118),
    [anon_sym_noinline] = ACTIONS(3118),
    [anon_sym_crossinline] = ACTIONS(3118),
    [anon_sym_expect] = ACTIONS(3118),
    [anon_sym_actual] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3120),
    [anon_sym_DASH_EQ] = ACTIONS(3120),
    [anon_sym_STAR_EQ] = ACTIONS(3120),
    [anon_sym_SLASH_EQ] = ACTIONS(3120),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_PLUS_PLUS] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3118),
    [anon_sym_BANG_BANG] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3118),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3120),
    [anon_sym_EQ_EQ] = ACTIONS(3118),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_QMARK_COLON] = ACTIONS(3120),
    [anon_sym_BANGin] = ACTIONS(3120),
    [anon_sym_is] = ACTIONS(3118),
    [anon_sym_as_QMARK] = ACTIONS(3120),
    [anon_sym_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3120),
    [anon_sym_else] = ACTIONS(3118),
    [anon_sym_COLON_COLON] = ACTIONS(3120),
    [sym_label] = ACTIONS(3120),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3120),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3120),
    [sym__q_dot] = ACTIONS(3120),
  },
  [3972] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [3973] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_DOT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_as] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_GT] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_in] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_annotation] = ACTIONS(2689),
    [anon_sym_data] = ACTIONS(2689),
    [anon_sym_inner] = ACTIONS(2689),
    [anon_sym_value] = ACTIONS(2689),
    [anon_sym_tailrec] = ACTIONS(2689),
    [anon_sym_operator] = ACTIONS(2689),
    [anon_sym_infix] = ACTIONS(2689),
    [anon_sym_inline] = ACTIONS(2689),
    [anon_sym_external] = ACTIONS(2689),
    [anon_sym_suspend] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_internal] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_lateinit] = ACTIONS(2689),
    [anon_sym_vararg] = ACTIONS(2689),
    [anon_sym_noinline] = ACTIONS(2689),
    [anon_sym_crossinline] = ACTIONS(2689),
    [anon_sym_expect] = ACTIONS(2689),
    [anon_sym_actual] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2691),
    [anon_sym_DASH_EQ] = ACTIONS(2691),
    [anon_sym_STAR_EQ] = ACTIONS(2691),
    [anon_sym_SLASH_EQ] = ACTIONS(2691),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG_BANG] = ACTIONS(2691),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(2689),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2691),
    [anon_sym_EQ_EQ] = ACTIONS(2689),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2691),
    [anon_sym_GT_EQ] = ACTIONS(2691),
    [anon_sym_LT_EQ] = ACTIONS(2691),
    [anon_sym_QMARK_COLON] = ACTIONS(2691),
    [anon_sym_BANGin] = ACTIONS(2691),
    [anon_sym_is] = ACTIONS(2689),
    [anon_sym_as_QMARK] = ACTIONS(2691),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2691),
    [sym_label] = ACTIONS(2691),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2691),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2691),
    [sym__q_dot] = ACTIONS(2691),
  },
  [3974] = {
    [sym_identifier] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_as] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3142),
    [anon_sym_GT] = ACTIONS(3142),
    [anon_sym_LPAREN] = ACTIONS(3144),
    [anon_sym_get] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_in] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_sealed] = ACTIONS(3142),
    [anon_sym_annotation] = ACTIONS(3142),
    [anon_sym_data] = ACTIONS(3142),
    [anon_sym_inner] = ACTIONS(3142),
    [anon_sym_value] = ACTIONS(3142),
    [anon_sym_tailrec] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_infix] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym_external] = ACTIONS(3142),
    [anon_sym_suspend] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_internal] = ACTIONS(3142),
    [anon_sym_abstract] = ACTIONS(3142),
    [anon_sym_final] = ACTIONS(3142),
    [anon_sym_open] = ACTIONS(3142),
    [anon_sym_override] = ACTIONS(3142),
    [anon_sym_lateinit] = ACTIONS(3142),
    [anon_sym_vararg] = ACTIONS(3142),
    [anon_sym_noinline] = ACTIONS(3142),
    [anon_sym_crossinline] = ACTIONS(3142),
    [anon_sym_expect] = ACTIONS(3142),
    [anon_sym_actual] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3144),
    [anon_sym_DASH_EQ] = ACTIONS(3144),
    [anon_sym_STAR_EQ] = ACTIONS(3144),
    [anon_sym_SLASH_EQ] = ACTIONS(3144),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_BANG_BANG] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3142),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3144),
    [anon_sym_EQ_EQ] = ACTIONS(3142),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_QMARK_COLON] = ACTIONS(3144),
    [anon_sym_BANGin] = ACTIONS(3144),
    [anon_sym_is] = ACTIONS(3142),
    [anon_sym_as_QMARK] = ACTIONS(3144),
    [anon_sym_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3144),
    [anon_sym_else] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [sym_label] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3144),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3144),
    [sym__q_dot] = ACTIONS(3144),
  },
  [3975] = {
    [sym_identifier] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_as] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3146),
    [anon_sym_GT] = ACTIONS(3146),
    [anon_sym_LPAREN] = ACTIONS(3148),
    [anon_sym_get] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_in] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_sealed] = ACTIONS(3146),
    [anon_sym_annotation] = ACTIONS(3146),
    [anon_sym_data] = ACTIONS(3146),
    [anon_sym_inner] = ACTIONS(3146),
    [anon_sym_value] = ACTIONS(3146),
    [anon_sym_tailrec] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_infix] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym_external] = ACTIONS(3146),
    [anon_sym_suspend] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_internal] = ACTIONS(3146),
    [anon_sym_abstract] = ACTIONS(3146),
    [anon_sym_final] = ACTIONS(3146),
    [anon_sym_open] = ACTIONS(3146),
    [anon_sym_override] = ACTIONS(3146),
    [anon_sym_lateinit] = ACTIONS(3146),
    [anon_sym_vararg] = ACTIONS(3146),
    [anon_sym_noinline] = ACTIONS(3146),
    [anon_sym_crossinline] = ACTIONS(3146),
    [anon_sym_expect] = ACTIONS(3146),
    [anon_sym_actual] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3148),
    [anon_sym_DASH_EQ] = ACTIONS(3148),
    [anon_sym_STAR_EQ] = ACTIONS(3148),
    [anon_sym_SLASH_EQ] = ACTIONS(3148),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_BANG_BANG] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3146),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3148),
    [anon_sym_EQ_EQ] = ACTIONS(3146),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_QMARK_COLON] = ACTIONS(3148),
    [anon_sym_BANGin] = ACTIONS(3148),
    [anon_sym_is] = ACTIONS(3146),
    [anon_sym_as_QMARK] = ACTIONS(3148),
    [anon_sym_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3148),
    [anon_sym_else] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [sym_label] = ACTIONS(3148),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3148),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3148),
    [sym__q_dot] = ACTIONS(3148),
  },
  [3976] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2977),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2979),
    [anon_sym_DASH_EQ] = ACTIONS(2979),
    [anon_sym_STAR_EQ] = ACTIONS(2979),
    [anon_sym_SLASH_EQ] = ACTIONS(2979),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [3977] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [3978] = {
    [sym_identifier] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_as] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3158),
    [anon_sym_GT] = ACTIONS(3158),
    [anon_sym_LPAREN] = ACTIONS(3160),
    [anon_sym_get] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_in] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_sealed] = ACTIONS(3158),
    [anon_sym_annotation] = ACTIONS(3158),
    [anon_sym_data] = ACTIONS(3158),
    [anon_sym_inner] = ACTIONS(3158),
    [anon_sym_value] = ACTIONS(3158),
    [anon_sym_tailrec] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_infix] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym_external] = ACTIONS(3158),
    [anon_sym_suspend] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_internal] = ACTIONS(3158),
    [anon_sym_abstract] = ACTIONS(3158),
    [anon_sym_final] = ACTIONS(3158),
    [anon_sym_open] = ACTIONS(3158),
    [anon_sym_override] = ACTIONS(3158),
    [anon_sym_lateinit] = ACTIONS(3158),
    [anon_sym_vararg] = ACTIONS(3158),
    [anon_sym_noinline] = ACTIONS(3158),
    [anon_sym_crossinline] = ACTIONS(3158),
    [anon_sym_expect] = ACTIONS(3158),
    [anon_sym_actual] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3160),
    [anon_sym_DASH_EQ] = ACTIONS(3160),
    [anon_sym_STAR_EQ] = ACTIONS(3160),
    [anon_sym_SLASH_EQ] = ACTIONS(3160),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_BANG_BANG] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3158),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3160),
    [anon_sym_EQ_EQ] = ACTIONS(3158),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_QMARK_COLON] = ACTIONS(3160),
    [anon_sym_BANGin] = ACTIONS(3160),
    [anon_sym_is] = ACTIONS(3158),
    [anon_sym_as_QMARK] = ACTIONS(3160),
    [anon_sym_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3160),
    [anon_sym_else] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [sym_label] = ACTIONS(3160),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3160),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3160),
    [sym__q_dot] = ACTIONS(3160),
  },
  [3979] = {
    [sym_identifier] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_as] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3166),
    [anon_sym_GT] = ACTIONS(3166),
    [anon_sym_LPAREN] = ACTIONS(3168),
    [anon_sym_get] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_in] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_sealed] = ACTIONS(3166),
    [anon_sym_annotation] = ACTIONS(3166),
    [anon_sym_data] = ACTIONS(3166),
    [anon_sym_inner] = ACTIONS(3166),
    [anon_sym_value] = ACTIONS(3166),
    [anon_sym_tailrec] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_infix] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym_external] = ACTIONS(3166),
    [anon_sym_suspend] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_internal] = ACTIONS(3166),
    [anon_sym_abstract] = ACTIONS(3166),
    [anon_sym_final] = ACTIONS(3166),
    [anon_sym_open] = ACTIONS(3166),
    [anon_sym_override] = ACTIONS(3166),
    [anon_sym_lateinit] = ACTIONS(3166),
    [anon_sym_vararg] = ACTIONS(3166),
    [anon_sym_noinline] = ACTIONS(3166),
    [anon_sym_crossinline] = ACTIONS(3166),
    [anon_sym_expect] = ACTIONS(3166),
    [anon_sym_actual] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_BANG_BANG] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3166),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3166),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_QMARK_COLON] = ACTIONS(3168),
    [anon_sym_BANGin] = ACTIONS(3168),
    [anon_sym_is] = ACTIONS(3166),
    [anon_sym_as_QMARK] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3168),
    [anon_sym_else] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [sym_label] = ACTIONS(3168),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3168),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3168),
    [sym__q_dot] = ACTIONS(3168),
  },
  [3980] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_as] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LPAREN] = ACTIONS(3172),
    [anon_sym_get] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_in] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_sealed] = ACTIONS(3170),
    [anon_sym_annotation] = ACTIONS(3170),
    [anon_sym_data] = ACTIONS(3170),
    [anon_sym_inner] = ACTIONS(3170),
    [anon_sym_value] = ACTIONS(3170),
    [anon_sym_tailrec] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_infix] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym_external] = ACTIONS(3170),
    [anon_sym_suspend] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_internal] = ACTIONS(3170),
    [anon_sym_abstract] = ACTIONS(3170),
    [anon_sym_final] = ACTIONS(3170),
    [anon_sym_open] = ACTIONS(3170),
    [anon_sym_override] = ACTIONS(3170),
    [anon_sym_lateinit] = ACTIONS(3170),
    [anon_sym_vararg] = ACTIONS(3170),
    [anon_sym_noinline] = ACTIONS(3170),
    [anon_sym_crossinline] = ACTIONS(3170),
    [anon_sym_expect] = ACTIONS(3170),
    [anon_sym_actual] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3172),
    [anon_sym_DASH_EQ] = ACTIONS(3172),
    [anon_sym_STAR_EQ] = ACTIONS(3172),
    [anon_sym_SLASH_EQ] = ACTIONS(3172),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_BANG_BANG] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3172),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_QMARK_COLON] = ACTIONS(3172),
    [anon_sym_BANGin] = ACTIONS(3172),
    [anon_sym_is] = ACTIONS(3170),
    [anon_sym_as_QMARK] = ACTIONS(3172),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3172),
    [anon_sym_else] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [sym_label] = ACTIONS(3172),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3172),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3172),
    [sym__q_dot] = ACTIONS(3172),
  },
  [3981] = {
    [sym_identifier] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_as] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_get] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_in] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_annotation] = ACTIONS(2537),
    [anon_sym_data] = ACTIONS(2537),
    [anon_sym_inner] = ACTIONS(2537),
    [anon_sym_value] = ACTIONS(2537),
    [anon_sym_tailrec] = ACTIONS(2537),
    [anon_sym_operator] = ACTIONS(2537),
    [anon_sym_infix] = ACTIONS(2537),
    [anon_sym_inline] = ACTIONS(2537),
    [anon_sym_external] = ACTIONS(2537),
    [anon_sym_suspend] = ACTIONS(2537),
    [anon_sym_const] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_internal] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2537),
    [anon_sym_lateinit] = ACTIONS(2537),
    [anon_sym_vararg] = ACTIONS(2537),
    [anon_sym_noinline] = ACTIONS(2537),
    [anon_sym_crossinline] = ACTIONS(2537),
    [anon_sym_expect] = ACTIONS(2537),
    [anon_sym_actual] = ACTIONS(2537),
    [anon_sym_PLUS_EQ] = ACTIONS(2539),
    [anon_sym_DASH_EQ] = ACTIONS(2539),
    [anon_sym_STAR_EQ] = ACTIONS(2539),
    [anon_sym_SLASH_EQ] = ACTIONS(2539),
    [anon_sym_PERCENT_EQ] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_BANG_BANG] = ACTIONS(2539),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_PIPE_PIPE] = ACTIONS(2539),
    [anon_sym_AMP_AMP] = ACTIONS(2539),
    [anon_sym_BANG_EQ] = ACTIONS(2537),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2539),
    [anon_sym_EQ_EQ] = ACTIONS(2537),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2539),
    [anon_sym_GT_EQ] = ACTIONS(2539),
    [anon_sym_LT_EQ] = ACTIONS(2539),
    [anon_sym_QMARK_COLON] = ACTIONS(2539),
    [anon_sym_BANGin] = ACTIONS(2539),
    [anon_sym_is] = ACTIONS(2537),
    [anon_sym_as_QMARK] = ACTIONS(2539),
    [anon_sym_DOT_DOT] = ACTIONS(2537),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_COLON_COLON] = ACTIONS(2539),
    [sym_label] = ACTIONS(2539),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2539),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2539),
    [sym__q_dot] = ACTIONS(2539),
  },
  [3982] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_annotation] = ACTIONS(2441),
    [anon_sym_data] = ACTIONS(2441),
    [anon_sym_inner] = ACTIONS(2441),
    [anon_sym_value] = ACTIONS(2441),
    [anon_sym_tailrec] = ACTIONS(2441),
    [anon_sym_operator] = ACTIONS(2441),
    [anon_sym_infix] = ACTIONS(2441),
    [anon_sym_inline] = ACTIONS(2441),
    [anon_sym_external] = ACTIONS(2441),
    [anon_sym_suspend] = ACTIONS(2441),
    [anon_sym_const] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_internal] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_lateinit] = ACTIONS(2441),
    [anon_sym_vararg] = ACTIONS(2441),
    [anon_sym_noinline] = ACTIONS(2441),
    [anon_sym_crossinline] = ACTIONS(2441),
    [anon_sym_expect] = ACTIONS(2441),
    [anon_sym_actual] = ACTIONS(2441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3983] = {
    [sym_identifier] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_as] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3178),
    [anon_sym_GT] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(3180),
    [anon_sym_get] = ACTIONS(3178),
    [anon_sym_LBRACE] = ACTIONS(3180),
    [anon_sym_in] = ACTIONS(3178),
    [anon_sym_enum] = ACTIONS(3178),
    [anon_sym_sealed] = ACTIONS(3178),
    [anon_sym_annotation] = ACTIONS(3178),
    [anon_sym_data] = ACTIONS(3178),
    [anon_sym_inner] = ACTIONS(3178),
    [anon_sym_value] = ACTIONS(3178),
    [anon_sym_tailrec] = ACTIONS(3178),
    [anon_sym_operator] = ACTIONS(3178),
    [anon_sym_infix] = ACTIONS(3178),
    [anon_sym_inline] = ACTIONS(3178),
    [anon_sym_external] = ACTIONS(3178),
    [anon_sym_suspend] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3178),
    [anon_sym_public] = ACTIONS(3178),
    [anon_sym_private] = ACTIONS(3178),
    [anon_sym_protected] = ACTIONS(3178),
    [anon_sym_internal] = ACTIONS(3178),
    [anon_sym_abstract] = ACTIONS(3178),
    [anon_sym_final] = ACTIONS(3178),
    [anon_sym_open] = ACTIONS(3178),
    [anon_sym_override] = ACTIONS(3178),
    [anon_sym_lateinit] = ACTIONS(3178),
    [anon_sym_vararg] = ACTIONS(3178),
    [anon_sym_noinline] = ACTIONS(3178),
    [anon_sym_crossinline] = ACTIONS(3178),
    [anon_sym_expect] = ACTIONS(3178),
    [anon_sym_actual] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3180),
    [anon_sym_DASH_EQ] = ACTIONS(3180),
    [anon_sym_STAR_EQ] = ACTIONS(3180),
    [anon_sym_SLASH_EQ] = ACTIONS(3180),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_PLUS_PLUS] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3178),
    [anon_sym_BANG_BANG] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3178),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3180),
    [anon_sym_EQ_EQ] = ACTIONS(3178),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_QMARK_COLON] = ACTIONS(3180),
    [anon_sym_BANGin] = ACTIONS(3180),
    [anon_sym_is] = ACTIONS(3178),
    [anon_sym_as_QMARK] = ACTIONS(3180),
    [anon_sym_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3180),
    [anon_sym_else] = ACTIONS(3178),
    [anon_sym_COLON_COLON] = ACTIONS(3180),
    [sym_label] = ACTIONS(3180),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3180),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3180),
    [sym__q_dot] = ACTIONS(3180),
  },
  [3984] = {
    [sym_identifier] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_as] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3186),
    [anon_sym_GT] = ACTIONS(3186),
    [anon_sym_LPAREN] = ACTIONS(3188),
    [anon_sym_get] = ACTIONS(3186),
    [anon_sym_LBRACE] = ACTIONS(3188),
    [anon_sym_in] = ACTIONS(3186),
    [anon_sym_enum] = ACTIONS(3186),
    [anon_sym_sealed] = ACTIONS(3186),
    [anon_sym_annotation] = ACTIONS(3186),
    [anon_sym_data] = ACTIONS(3186),
    [anon_sym_inner] = ACTIONS(3186),
    [anon_sym_value] = ACTIONS(3186),
    [anon_sym_tailrec] = ACTIONS(3186),
    [anon_sym_operator] = ACTIONS(3186),
    [anon_sym_infix] = ACTIONS(3186),
    [anon_sym_inline] = ACTIONS(3186),
    [anon_sym_external] = ACTIONS(3186),
    [anon_sym_suspend] = ACTIONS(3186),
    [anon_sym_const] = ACTIONS(3186),
    [anon_sym_public] = ACTIONS(3186),
    [anon_sym_private] = ACTIONS(3186),
    [anon_sym_protected] = ACTIONS(3186),
    [anon_sym_internal] = ACTIONS(3186),
    [anon_sym_abstract] = ACTIONS(3186),
    [anon_sym_final] = ACTIONS(3186),
    [anon_sym_open] = ACTIONS(3186),
    [anon_sym_override] = ACTIONS(3186),
    [anon_sym_lateinit] = ACTIONS(3186),
    [anon_sym_vararg] = ACTIONS(3186),
    [anon_sym_noinline] = ACTIONS(3186),
    [anon_sym_crossinline] = ACTIONS(3186),
    [anon_sym_expect] = ACTIONS(3186),
    [anon_sym_actual] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3188),
    [anon_sym_DASH_EQ] = ACTIONS(3188),
    [anon_sym_STAR_EQ] = ACTIONS(3188),
    [anon_sym_SLASH_EQ] = ACTIONS(3188),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_PLUS_PLUS] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3186),
    [anon_sym_BANG_BANG] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3186),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3188),
    [anon_sym_EQ_EQ] = ACTIONS(3186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_QMARK_COLON] = ACTIONS(3188),
    [anon_sym_BANGin] = ACTIONS(3188),
    [anon_sym_is] = ACTIONS(3186),
    [anon_sym_as_QMARK] = ACTIONS(3188),
    [anon_sym_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3188),
    [anon_sym_else] = ACTIONS(3186),
    [anon_sym_COLON_COLON] = ACTIONS(3188),
    [sym_label] = ACTIONS(3188),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3188),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3188),
    [sym__q_dot] = ACTIONS(3188),
  },
  [3985] = {
    [sym_identifier] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_as] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3190),
    [anon_sym_GT] = ACTIONS(3190),
    [anon_sym_LPAREN] = ACTIONS(3192),
    [anon_sym_get] = ACTIONS(3190),
    [anon_sym_LBRACE] = ACTIONS(3192),
    [anon_sym_in] = ACTIONS(3190),
    [anon_sym_enum] = ACTIONS(3190),
    [anon_sym_sealed] = ACTIONS(3190),
    [anon_sym_annotation] = ACTIONS(3190),
    [anon_sym_data] = ACTIONS(3190),
    [anon_sym_inner] = ACTIONS(3190),
    [anon_sym_value] = ACTIONS(3190),
    [anon_sym_tailrec] = ACTIONS(3190),
    [anon_sym_operator] = ACTIONS(3190),
    [anon_sym_infix] = ACTIONS(3190),
    [anon_sym_inline] = ACTIONS(3190),
    [anon_sym_external] = ACTIONS(3190),
    [anon_sym_suspend] = ACTIONS(3190),
    [anon_sym_const] = ACTIONS(3190),
    [anon_sym_public] = ACTIONS(3190),
    [anon_sym_private] = ACTIONS(3190),
    [anon_sym_protected] = ACTIONS(3190),
    [anon_sym_internal] = ACTIONS(3190),
    [anon_sym_abstract] = ACTIONS(3190),
    [anon_sym_final] = ACTIONS(3190),
    [anon_sym_open] = ACTIONS(3190),
    [anon_sym_override] = ACTIONS(3190),
    [anon_sym_lateinit] = ACTIONS(3190),
    [anon_sym_vararg] = ACTIONS(3190),
    [anon_sym_noinline] = ACTIONS(3190),
    [anon_sym_crossinline] = ACTIONS(3190),
    [anon_sym_expect] = ACTIONS(3190),
    [anon_sym_actual] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3192),
    [anon_sym_DASH_EQ] = ACTIONS(3192),
    [anon_sym_STAR_EQ] = ACTIONS(3192),
    [anon_sym_SLASH_EQ] = ACTIONS(3192),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_PLUS_PLUS] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3190),
    [anon_sym_BANG_BANG] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3190),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3192),
    [anon_sym_EQ_EQ] = ACTIONS(3190),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_QMARK_COLON] = ACTIONS(3192),
    [anon_sym_BANGin] = ACTIONS(3192),
    [anon_sym_is] = ACTIONS(3190),
    [anon_sym_as_QMARK] = ACTIONS(3192),
    [anon_sym_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3192),
    [anon_sym_else] = ACTIONS(3190),
    [anon_sym_COLON_COLON] = ACTIONS(3192),
    [sym_label] = ACTIONS(3192),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3192),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3192),
    [sym__q_dot] = ACTIONS(3192),
  },
  [3986] = {
    [sym_identifier] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_as] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3194),
    [anon_sym_GT] = ACTIONS(3194),
    [anon_sym_LPAREN] = ACTIONS(3196),
    [anon_sym_get] = ACTIONS(3194),
    [anon_sym_LBRACE] = ACTIONS(3196),
    [anon_sym_in] = ACTIONS(3194),
    [anon_sym_enum] = ACTIONS(3194),
    [anon_sym_sealed] = ACTIONS(3194),
    [anon_sym_annotation] = ACTIONS(3194),
    [anon_sym_data] = ACTIONS(3194),
    [anon_sym_inner] = ACTIONS(3194),
    [anon_sym_value] = ACTIONS(3194),
    [anon_sym_tailrec] = ACTIONS(3194),
    [anon_sym_operator] = ACTIONS(3194),
    [anon_sym_infix] = ACTIONS(3194),
    [anon_sym_inline] = ACTIONS(3194),
    [anon_sym_external] = ACTIONS(3194),
    [anon_sym_suspend] = ACTIONS(3194),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_public] = ACTIONS(3194),
    [anon_sym_private] = ACTIONS(3194),
    [anon_sym_protected] = ACTIONS(3194),
    [anon_sym_internal] = ACTIONS(3194),
    [anon_sym_abstract] = ACTIONS(3194),
    [anon_sym_final] = ACTIONS(3194),
    [anon_sym_open] = ACTIONS(3194),
    [anon_sym_override] = ACTIONS(3194),
    [anon_sym_lateinit] = ACTIONS(3194),
    [anon_sym_vararg] = ACTIONS(3194),
    [anon_sym_noinline] = ACTIONS(3194),
    [anon_sym_crossinline] = ACTIONS(3194),
    [anon_sym_expect] = ACTIONS(3194),
    [anon_sym_actual] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3196),
    [anon_sym_DASH_EQ] = ACTIONS(3196),
    [anon_sym_STAR_EQ] = ACTIONS(3196),
    [anon_sym_SLASH_EQ] = ACTIONS(3196),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_PLUS_PLUS] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3194),
    [anon_sym_BANG_BANG] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3194),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3196),
    [anon_sym_EQ_EQ] = ACTIONS(3194),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_QMARK_COLON] = ACTIONS(3196),
    [anon_sym_BANGin] = ACTIONS(3196),
    [anon_sym_is] = ACTIONS(3194),
    [anon_sym_as_QMARK] = ACTIONS(3196),
    [anon_sym_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3196),
    [anon_sym_else] = ACTIONS(3194),
    [anon_sym_COLON_COLON] = ACTIONS(3196),
    [sym_label] = ACTIONS(3196),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3196),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3196),
    [sym__q_dot] = ACTIONS(3196),
  },
  [3987] = {
    [sym_identifier] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_as] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3198),
    [anon_sym_GT] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(3200),
    [anon_sym_get] = ACTIONS(3198),
    [anon_sym_LBRACE] = ACTIONS(3200),
    [anon_sym_in] = ACTIONS(3198),
    [anon_sym_enum] = ACTIONS(3198),
    [anon_sym_sealed] = ACTIONS(3198),
    [anon_sym_annotation] = ACTIONS(3198),
    [anon_sym_data] = ACTIONS(3198),
    [anon_sym_inner] = ACTIONS(3198),
    [anon_sym_value] = ACTIONS(3198),
    [anon_sym_tailrec] = ACTIONS(3198),
    [anon_sym_operator] = ACTIONS(3198),
    [anon_sym_infix] = ACTIONS(3198),
    [anon_sym_inline] = ACTIONS(3198),
    [anon_sym_external] = ACTIONS(3198),
    [anon_sym_suspend] = ACTIONS(3198),
    [anon_sym_const] = ACTIONS(3198),
    [anon_sym_public] = ACTIONS(3198),
    [anon_sym_private] = ACTIONS(3198),
    [anon_sym_protected] = ACTIONS(3198),
    [anon_sym_internal] = ACTIONS(3198),
    [anon_sym_abstract] = ACTIONS(3198),
    [anon_sym_final] = ACTIONS(3198),
    [anon_sym_open] = ACTIONS(3198),
    [anon_sym_override] = ACTIONS(3198),
    [anon_sym_lateinit] = ACTIONS(3198),
    [anon_sym_vararg] = ACTIONS(3198),
    [anon_sym_noinline] = ACTIONS(3198),
    [anon_sym_crossinline] = ACTIONS(3198),
    [anon_sym_expect] = ACTIONS(3198),
    [anon_sym_actual] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3200),
    [anon_sym_DASH_EQ] = ACTIONS(3200),
    [anon_sym_STAR_EQ] = ACTIONS(3200),
    [anon_sym_SLASH_EQ] = ACTIONS(3200),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_PLUS_PLUS] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3198),
    [anon_sym_BANG_BANG] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3198),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3200),
    [anon_sym_EQ_EQ] = ACTIONS(3198),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_QMARK_COLON] = ACTIONS(3200),
    [anon_sym_BANGin] = ACTIONS(3200),
    [anon_sym_is] = ACTIONS(3198),
    [anon_sym_as_QMARK] = ACTIONS(3200),
    [anon_sym_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3200),
    [anon_sym_else] = ACTIONS(3198),
    [anon_sym_COLON_COLON] = ACTIONS(3200),
    [sym_label] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3200),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3200),
    [sym__q_dot] = ACTIONS(3200),
  },
  [3988] = {
    [sym_identifier] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_as] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3202),
    [anon_sym_GT] = ACTIONS(3202),
    [anon_sym_LPAREN] = ACTIONS(3204),
    [anon_sym_get] = ACTIONS(3202),
    [anon_sym_LBRACE] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3202),
    [anon_sym_enum] = ACTIONS(3202),
    [anon_sym_sealed] = ACTIONS(3202),
    [anon_sym_annotation] = ACTIONS(3202),
    [anon_sym_data] = ACTIONS(3202),
    [anon_sym_inner] = ACTIONS(3202),
    [anon_sym_value] = ACTIONS(3202),
    [anon_sym_tailrec] = ACTIONS(3202),
    [anon_sym_operator] = ACTIONS(3202),
    [anon_sym_infix] = ACTIONS(3202),
    [anon_sym_inline] = ACTIONS(3202),
    [anon_sym_external] = ACTIONS(3202),
    [anon_sym_suspend] = ACTIONS(3202),
    [anon_sym_const] = ACTIONS(3202),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_private] = ACTIONS(3202),
    [anon_sym_protected] = ACTIONS(3202),
    [anon_sym_internal] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(3202),
    [anon_sym_final] = ACTIONS(3202),
    [anon_sym_open] = ACTIONS(3202),
    [anon_sym_override] = ACTIONS(3202),
    [anon_sym_lateinit] = ACTIONS(3202),
    [anon_sym_vararg] = ACTIONS(3202),
    [anon_sym_noinline] = ACTIONS(3202),
    [anon_sym_crossinline] = ACTIONS(3202),
    [anon_sym_expect] = ACTIONS(3202),
    [anon_sym_actual] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3204),
    [anon_sym_DASH_EQ] = ACTIONS(3204),
    [anon_sym_STAR_EQ] = ACTIONS(3204),
    [anon_sym_SLASH_EQ] = ACTIONS(3204),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_PLUS_PLUS] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3202),
    [anon_sym_BANG_BANG] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3202),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3204),
    [anon_sym_EQ_EQ] = ACTIONS(3202),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_QMARK_COLON] = ACTIONS(3204),
    [anon_sym_BANGin] = ACTIONS(3204),
    [anon_sym_is] = ACTIONS(3202),
    [anon_sym_as_QMARK] = ACTIONS(3204),
    [anon_sym_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3204),
    [anon_sym_else] = ACTIONS(3202),
    [anon_sym_COLON_COLON] = ACTIONS(3204),
    [sym_label] = ACTIONS(3204),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3204),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3204),
    [sym__q_dot] = ACTIONS(3204),
  },
  [3989] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(2335),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6333),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_PERCENT] = ACTIONS(2335),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3990] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_while] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [3991] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_sealed] = ACTIONS(2448),
    [anon_sym_annotation] = ACTIONS(2448),
    [anon_sym_data] = ACTIONS(2448),
    [anon_sym_inner] = ACTIONS(2448),
    [anon_sym_value] = ACTIONS(2448),
    [anon_sym_tailrec] = ACTIONS(2448),
    [anon_sym_operator] = ACTIONS(2448),
    [anon_sym_infix] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym_external] = ACTIONS(2448),
    [anon_sym_suspend] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_public] = ACTIONS(2448),
    [anon_sym_private] = ACTIONS(2448),
    [anon_sym_protected] = ACTIONS(2448),
    [anon_sym_internal] = ACTIONS(2448),
    [anon_sym_abstract] = ACTIONS(2448),
    [anon_sym_final] = ACTIONS(2448),
    [anon_sym_open] = ACTIONS(2448),
    [anon_sym_override] = ACTIONS(2448),
    [anon_sym_lateinit] = ACTIONS(2448),
    [anon_sym_vararg] = ACTIONS(2448),
    [anon_sym_noinline] = ACTIONS(2448),
    [anon_sym_crossinline] = ACTIONS(2448),
    [anon_sym_expect] = ACTIONS(2448),
    [anon_sym_actual] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2446),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3992] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3993] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6336),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_sealed] = ACTIONS(2452),
    [anon_sym_annotation] = ACTIONS(2452),
    [anon_sym_data] = ACTIONS(2452),
    [anon_sym_inner] = ACTIONS(2452),
    [anon_sym_value] = ACTIONS(2452),
    [anon_sym_tailrec] = ACTIONS(2452),
    [anon_sym_operator] = ACTIONS(2452),
    [anon_sym_infix] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym_external] = ACTIONS(2452),
    [anon_sym_suspend] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_internal] = ACTIONS(2452),
    [anon_sym_abstract] = ACTIONS(2452),
    [anon_sym_final] = ACTIONS(2452),
    [anon_sym_open] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_lateinit] = ACTIONS(2452),
    [anon_sym_vararg] = ACTIONS(2452),
    [anon_sym_noinline] = ACTIONS(2452),
    [anon_sym_crossinline] = ACTIONS(2452),
    [anon_sym_expect] = ACTIONS(2452),
    [anon_sym_actual] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2450),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(2450),
    [anon_sym_is] = ACTIONS(2452),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2450),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2450),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3994] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6333),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2339),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2335),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3995] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(6302),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3996] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(6304),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(6306),
    [anon_sym_EQ_EQ] = ACTIONS(6304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(6306),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3997] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6290),
    [anon_sym_GT] = ACTIONS(6292),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(6294),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(6308),
    [anon_sym_LT_EQ] = ACTIONS(6308),
    [anon_sym_QMARK_COLON] = ACTIONS(6310),
    [anon_sym_BANGin] = ACTIONS(6312),
    [anon_sym_is] = ACTIONS(5351),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(5353),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3998] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(6286),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2335),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6333),
    [anon_sym_GT] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [anon_sym_sealed] = ACTIONS(2339),
    [anon_sym_annotation] = ACTIONS(2339),
    [anon_sym_data] = ACTIONS(2339),
    [anon_sym_inner] = ACTIONS(2339),
    [anon_sym_value] = ACTIONS(2339),
    [anon_sym_tailrec] = ACTIONS(2339),
    [anon_sym_operator] = ACTIONS(2339),
    [anon_sym_infix] = ACTIONS(2339),
    [anon_sym_inline] = ACTIONS(2339),
    [anon_sym_external] = ACTIONS(2339),
    [anon_sym_suspend] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_internal] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_final] = ACTIONS(2339),
    [anon_sym_open] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_lateinit] = ACTIONS(2339),
    [anon_sym_vararg] = ACTIONS(2339),
    [anon_sym_noinline] = ACTIONS(2339),
    [anon_sym_crossinline] = ACTIONS(2339),
    [anon_sym_expect] = ACTIONS(2339),
    [anon_sym_actual] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2335),
    [anon_sym_AMP_AMP] = ACTIONS(2335),
    [anon_sym_BANG_EQ] = ACTIONS(2339),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2335),
    [anon_sym_EQ_EQ] = ACTIONS(2339),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2335),
    [anon_sym_GT_EQ] = ACTIONS(2335),
    [anon_sym_LT_EQ] = ACTIONS(2335),
    [anon_sym_QMARK_COLON] = ACTIONS(2335),
    [anon_sym_BANGin] = ACTIONS(2335),
    [anon_sym_is] = ACTIONS(2339),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2335),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2335),
    [sym__q_dot] = ACTIONS(5136),
  },
  [3999] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6339),
    [anon_sym_GT] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_annotation] = ACTIONS(2457),
    [anon_sym_data] = ACTIONS(2457),
    [anon_sym_inner] = ACTIONS(2457),
    [anon_sym_value] = ACTIONS(2457),
    [anon_sym_tailrec] = ACTIONS(2457),
    [anon_sym_operator] = ACTIONS(2457),
    [anon_sym_infix] = ACTIONS(2457),
    [anon_sym_inline] = ACTIONS(2457),
    [anon_sym_external] = ACTIONS(2457),
    [anon_sym_suspend] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_internal] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_lateinit] = ACTIONS(2457),
    [anon_sym_vararg] = ACTIONS(2457),
    [anon_sym_noinline] = ACTIONS(2457),
    [anon_sym_crossinline] = ACTIONS(2457),
    [anon_sym_expect] = ACTIONS(2457),
    [anon_sym_actual] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2459),
    [anon_sym_AMP_AMP] = ACTIONS(2459),
    [anon_sym_BANG_EQ] = ACTIONS(2457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2459),
    [anon_sym_EQ_EQ] = ACTIONS(2457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2459),
    [anon_sym_GT_EQ] = ACTIONS(2459),
    [anon_sym_LT_EQ] = ACTIONS(2459),
    [anon_sym_QMARK_COLON] = ACTIONS(2459),
    [anon_sym_BANGin] = ACTIONS(2459),
    [anon_sym_is] = ACTIONS(2457),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(2457),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2459),
    [sym__q_dot] = ACTIONS(5136),
  },
  [4000] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_get] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [4001] = {
    [sym_value_arguments] = STATE(2826),
    [sym_annotation] = STATE(8669),
    [sym_type_arguments] = STATE(8370),
    [sym_annotated_lambda] = STATE(3973),
    [sym_lambda_literal] = STATE(3974),
    [aux_sym_delegation_specifier_repeat1] = STATE(8669),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(5115),
    [anon_sym_STAR] = ACTIONS(6288),
    [anon_sym_as] = ACTIONS(5119),
    [anon_sym_LT] = ACTIONS(6342),
    [anon_sym_GT] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(5124),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_sealed] = ACTIONS(2464),
    [anon_sym_annotation] = ACTIONS(2464),
    [anon_sym_data] = ACTIONS(2464),
    [anon_sym_inner] = ACTIONS(2464),
    [anon_sym_value] = ACTIONS(2464),
    [anon_sym_tailrec] = ACTIONS(2464),
    [anon_sym_operator] = ACTIONS(2464),
    [anon_sym_infix] = ACTIONS(2464),
    [anon_sym_inline] = ACTIONS(2464),
    [anon_sym_external] = ACTIONS(2464),
    [anon_sym_suspend] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_internal] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_final] = ACTIONS(2464),
    [anon_sym_open] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_lateinit] = ACTIONS(2464),
    [anon_sym_vararg] = ACTIONS(2464),
    [anon_sym_noinline] = ACTIONS(2464),
    [anon_sym_crossinline] = ACTIONS(2464),
    [anon_sym_expect] = ACTIONS(2464),
    [anon_sym_actual] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(5126),
    [anon_sym_DASH_DASH] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(6296),
    [anon_sym_DASH] = ACTIONS(6296),
    [anon_sym_BANG_BANG] = ACTIONS(5126),
    [anon_sym_SLASH] = ACTIONS(6298),
    [anon_sym_PERCENT] = ACTIONS(6288),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2466),
    [anon_sym_EQ_EQ] = ACTIONS(2464),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_QMARK_COLON] = ACTIONS(2466),
    [anon_sym_BANGin] = ACTIONS(2466),
    [anon_sym_is] = ACTIONS(2464),
    [anon_sym_as_QMARK] = ACTIONS(5130),
    [anon_sym_DOT_DOT] = ACTIONS(6314),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6316),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [sym_label] = ACTIONS(5138),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2466),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2466),
    [sym__q_dot] = ACTIONS(5136),
  },
  [4002] = {
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_as] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [anon_sym_sealed] = ACTIONS(2594),
    [anon_sym_annotation] = ACTIONS(2594),
    [anon_sym_data] = ACTIONS(2594),
    [anon_sym_inner] = ACTIONS(2594),
    [anon_sym_value] = ACTIONS(2594),
    [anon_sym_tailrec] = ACTIONS(2594),
    [anon_sym_operator] = ACTIONS(2594),
    [anon_sym_infix] = ACTIONS(2594),
    [anon_sym_inline] = ACTIONS(2594),
    [anon_sym_external] = ACTIONS(2594),
    [anon_sym_suspend] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_internal] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_final] = ACTIONS(2594),
    [anon_sym_open] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_lateinit] = ACTIONS(2594),
    [anon_sym_vararg] = ACTIONS(2594),
    [anon_sym_noinline] = ACTIONS(2594),
    [anon_sym_crossinline] = ACTIONS(2594),
    [anon_sym_expect] = ACTIONS(2594),
    [anon_sym_actual] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2596),
    [anon_sym_DASH_EQ] = ACTIONS(2596),
    [anon_sym_STAR_EQ] = ACTIONS(2596),
    [anon_sym_SLASH_EQ] = ACTIONS(2596),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_BANG_BANG] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2594),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2596),
    [anon_sym_EQ_EQ] = ACTIONS(2594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_QMARK_COLON] = ACTIONS(2596),
    [anon_sym_BANGin] = ACTIONS(2596),
    [anon_sym_is] = ACTIONS(2594),
    [anon_sym_as_QMARK] = ACTIONS(2596),
    [anon_sym_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [sym_label] = ACTIONS(2596),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2596),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2596),
    [sym__q_dot] = ACTIONS(2596),
  },
  [4003] = {
    [sym_value_arguments] = STATE(2742),
    [sym_annotation] = STATE(8606),
    [sym_type_arguments] = STATE(8314),
    [sym_annotated_lambda] = STATE(3279),
    [sym_lambda_literal] = STATE(3280),
    [aux_sym_delegation_specifier_repeat1] = STATE(8606),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(4363),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_DOT] = ACTIONS(4367),
    [anon_sym_STAR] = ACTIONS(4369),
    [anon_sym_as] = ACTIONS(4371),
    [anon_sym_LT] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(4375),
    [anon_sym_LPAREN] = ACTIONS(4377),
    [anon_sym_get] = ACTIONS(3184),
    [anon_sym_set] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(725),
    [anon_sym_in] = ACTIONS(4383),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_sealed] = ACTIONS(3184),
    [anon_sym_annotation] = ACTIONS(3184),
    [anon_sym_data] = ACTIONS(3184),
    [anon_sym_inner] = ACTIONS(3184),
    [anon_sym_value] = ACTIONS(3184),
    [anon_sym_tailrec] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_infix] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym_external] = ACTIONS(3184),
    [anon_sym_suspend] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_public] = ACTIONS(3184),
    [anon_sym_private] = ACTIONS(3184),
    [anon_sym_protected] = ACTIONS(3184),
    [anon_sym_internal] = ACTIONS(3184),
    [anon_sym_abstract] = ACTIONS(3184),
    [anon_sym_final] = ACTIONS(3184),
    [anon_sym_open] = ACTIONS(3184),
    [anon_sym_override] = ACTIONS(3184),
    [anon_sym_lateinit] = ACTIONS(3184),
    [anon_sym_vararg] = ACTIONS(3184),
    [anon_sym_noinline] = ACTIONS(3184),
    [anon_sym_crossinline] = ACTIONS(3184),
    [anon_sym_expect] = ACTIONS(3184),
    [anon_sym_actual] = ACTIONS(3184),
    [anon_sym_PLUS_PLUS] = ACTIONS(4385),
    [anon_sym_DASH_DASH] = ACTIONS(4385),
    [anon_sym_PLUS] = ACTIONS(4387),
    [anon_sym_DASH] = ACTIONS(4387),
    [anon_sym_BANG_BANG] = ACTIONS(4385),
    [anon_sym_SLASH] = ACTIONS(4389),
    [anon_sym_PERCENT] = ACTIONS(4369),
    [anon_sym_PIPE_PIPE] = ACTIONS(4391),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4395),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(4397),
    [anon_sym_EQ_EQ] = ACTIONS(4395),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(4397),
    [anon_sym_GT_EQ] = ACTIONS(4399),
    [anon_sym_LT_EQ] = ACTIONS(4399),
    [anon_sym_QMARK_COLON] = ACTIONS(4401),
    [anon_sym_BANGin] = ACTIONS(4403),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_as_QMARK] = ACTIONS(4407),
    [anon_sym_DOT_DOT] = ACTIONS(4409),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4411),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [sym_label] = ACTIONS(4415),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3182),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(4417),
    [sym__q_dot] = ACTIONS(4413),
  },
  [4004] = {
    [sym_identifier] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_as] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3162),
    [anon_sym_GT] = ACTIONS(3162),
    [anon_sym_LPAREN] = ACTIONS(3164),
    [anon_sym_get] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_sealed] = ACTIONS(3162),
    [anon_sym_annotation] = ACTIONS(3162),
    [anon_sym_data] = ACTIONS(3162),
    [anon_sym_inner] = ACTIONS(3162),
    [anon_sym_value] = ACTIONS(3162),
    [anon_sym_tailrec] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_infix] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym_external] = ACTIONS(3162),
    [anon_sym_suspend] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_internal] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(3162),
    [anon_sym_final] = ACTIONS(3162),
    [anon_sym_open] = ACTIONS(3162),
    [anon_sym_override] = ACTIONS(3162),
    [anon_sym_lateinit] = ACTIONS(3162),
    [anon_sym_vararg] = ACTIONS(3162),
    [anon_sym_noinline] = ACTIONS(3162),
    [anon_sym_crossinline] = ACTIONS(3162),
    [anon_sym_expect] = ACTIONS(3162),
    [anon_sym_actual] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3164),
    [anon_sym_DASH_EQ] = ACTIONS(3164),
    [anon_sym_STAR_EQ] = ACTIONS(3164),
    [anon_sym_SLASH_EQ] = ACTIONS(3164),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_BANG_BANG] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3162),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3164),
    [anon_sym_EQ_EQ] = ACTIONS(3162),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_QMARK_COLON] = ACTIONS(3164),
    [anon_sym_BANGin] = ACTIONS(3164),
    [anon_sym_is] = ACTIONS(3162),
    [anon_sym_as_QMARK] = ACTIONS(3164),
    [anon_sym_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3164),
    [anon_sym_else] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [sym_label] = ACTIONS(3164),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3164),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3164),
    [sym__q_dot] = ACTIONS(3164),
  },
  [4005] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [4006] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [4007] = {
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(2497),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_EQ] = ACTIONS(2497),
    [anon_sym_DASH_EQ] = ACTIONS(2497),
    [anon_sym_STAR_EQ] = ACTIONS(2497),
    [anon_sym_SLASH_EQ] = ACTIONS(2497),
    [anon_sym_PERCENT_EQ] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2495),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [4008] = {
    [sym_type_constraints] = STATE(4093),
    [sym_function_body] = STATE(4021),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2495),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_COLON] = ACTIONS(6345),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2497),
    [anon_sym_DOT] = ACTIONS(2495),
    [anon_sym_STAR] = ACTIONS(2497),
    [anon_sym_as] = ACTIONS(2495),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_GT] = ACTIONS(2495),
    [anon_sym_LPAREN] = ACTIONS(2497),
    [anon_sym_where] = ACTIONS(5607),
    [anon_sym_get] = ACTIONS(2495),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2495),
    [anon_sym_enum] = ACTIONS(2495),
    [anon_sym_sealed] = ACTIONS(2495),
    [anon_sym_annotation] = ACTIONS(2495),
    [anon_sym_data] = ACTIONS(2495),
    [anon_sym_inner] = ACTIONS(2495),
    [anon_sym_value] = ACTIONS(2495),
    [anon_sym_tailrec] = ACTIONS(2495),
    [anon_sym_operator] = ACTIONS(2495),
    [anon_sym_infix] = ACTIONS(2495),
    [anon_sym_inline] = ACTIONS(2495),
    [anon_sym_external] = ACTIONS(2495),
    [anon_sym_suspend] = ACTIONS(2495),
    [anon_sym_const] = ACTIONS(2495),
    [anon_sym_public] = ACTIONS(2495),
    [anon_sym_private] = ACTIONS(2495),
    [anon_sym_protected] = ACTIONS(2495),
    [anon_sym_internal] = ACTIONS(2495),
    [anon_sym_abstract] = ACTIONS(2495),
    [anon_sym_final] = ACTIONS(2495),
    [anon_sym_open] = ACTIONS(2495),
    [anon_sym_override] = ACTIONS(2495),
    [anon_sym_lateinit] = ACTIONS(2495),
    [anon_sym_vararg] = ACTIONS(2495),
    [anon_sym_noinline] = ACTIONS(2495),
    [anon_sym_crossinline] = ACTIONS(2495),
    [anon_sym_expect] = ACTIONS(2495),
    [anon_sym_actual] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2495),
    [anon_sym_BANG_BANG] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2495),
    [anon_sym_PERCENT] = ACTIONS(2497),
    [anon_sym_PIPE_PIPE] = ACTIONS(2497),
    [anon_sym_AMP_AMP] = ACTIONS(2497),
    [anon_sym_BANG_EQ] = ACTIONS(2495),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2497),
    [anon_sym_EQ_EQ] = ACTIONS(2495),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2497),
    [anon_sym_GT_EQ] = ACTIONS(2497),
    [anon_sym_LT_EQ] = ACTIONS(2497),
    [anon_sym_QMARK_COLON] = ACTIONS(2497),
    [anon_sym_BANGin] = ACTIONS(2497),
    [anon_sym_is] = ACTIONS(2495),
    [anon_sym_as_QMARK] = ACTIONS(2497),
    [anon_sym_DOT_DOT] = ACTIONS(2495),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [sym_label] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2497),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2497),
    [sym__q_dot] = ACTIONS(2497),
  },
  [4009] = {
    [sym_identifier] = ACTIONS(3056),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_LBRACK] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_as] = ACTIONS(3056),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LPAREN] = ACTIONS(3058),
    [anon_sym_get] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(3058),
    [anon_sym_in] = ACTIONS(3056),
    [anon_sym_enum] = ACTIONS(3056),
    [anon_sym_sealed] = ACTIONS(3056),
    [anon_sym_annotation] = ACTIONS(3056),
    [anon_sym_data] = ACTIONS(3056),
    [anon_sym_inner] = ACTIONS(3056),
    [anon_sym_value] = ACTIONS(3056),
    [anon_sym_tailrec] = ACTIONS(3056),
    [anon_sym_operator] = ACTIONS(3056),
    [anon_sym_infix] = ACTIONS(3056),
    [anon_sym_inline] = ACTIONS(3056),
    [anon_sym_external] = ACTIONS(3056),
    [anon_sym_suspend] = ACTIONS(3056),
    [anon_sym_const] = ACTIONS(3056),
    [anon_sym_public] = ACTIONS(3056),
    [anon_sym_private] = ACTIONS(3056),
    [anon_sym_protected] = ACTIONS(3056),
    [anon_sym_internal] = ACTIONS(3056),
    [anon_sym_abstract] = ACTIONS(3056),
    [anon_sym_final] = ACTIONS(3056),
    [anon_sym_open] = ACTIONS(3056),
    [anon_sym_override] = ACTIONS(3056),
    [anon_sym_lateinit] = ACTIONS(3056),
    [anon_sym_vararg] = ACTIONS(3056),
    [anon_sym_noinline] = ACTIONS(3056),
    [anon_sym_crossinline] = ACTIONS(3056),
    [anon_sym_expect] = ACTIONS(3056),
    [anon_sym_actual] = ACTIONS(3056),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_BANG_BANG] = ACTIONS(3058),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3058),
    [anon_sym_BANG_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3058),
    [anon_sym_QMARK_COLON] = ACTIONS(3058),
    [anon_sym_BANGin] = ACTIONS(3058),
    [anon_sym_is] = ACTIONS(3056),
    [anon_sym_as_QMARK] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3058),
    [anon_sym_else] = ACTIONS(3056),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [sym_label] = ACTIONS(3058),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3058),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3058),
    [sym__q_dot] = ACTIONS(3058),
  },
  [4010] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [4011] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [4012] = {
    [sym_identifier] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_as] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LPAREN] = ACTIONS(3096),
    [anon_sym_get] = ACTIONS(3094),
    [anon_sym_LBRACE] = ACTIONS(3096),
    [anon_sym_in] = ACTIONS(3094),
    [anon_sym_enum] = ACTIONS(3094),
    [anon_sym_sealed] = ACTIONS(3094),
    [anon_sym_annotation] = ACTIONS(3094),
    [anon_sym_data] = ACTIONS(3094),
    [anon_sym_inner] = ACTIONS(3094),
    [anon_sym_value] = ACTIONS(3094),
    [anon_sym_tailrec] = ACTIONS(3094),
    [anon_sym_operator] = ACTIONS(3094),
    [anon_sym_infix] = ACTIONS(3094),
    [anon_sym_inline] = ACTIONS(3094),
    [anon_sym_external] = ACTIONS(3094),
    [anon_sym_suspend] = ACTIONS(3094),
    [anon_sym_const] = ACTIONS(3094),
    [anon_sym_public] = ACTIONS(3094),
    [anon_sym_private] = ACTIONS(3094),
    [anon_sym_protected] = ACTIONS(3094),
    [anon_sym_internal] = ACTIONS(3094),
    [anon_sym_abstract] = ACTIONS(3094),
    [anon_sym_final] = ACTIONS(3094),
    [anon_sym_open] = ACTIONS(3094),
    [anon_sym_override] = ACTIONS(3094),
    [anon_sym_lateinit] = ACTIONS(3094),
    [anon_sym_vararg] = ACTIONS(3094),
    [anon_sym_noinline] = ACTIONS(3094),
    [anon_sym_crossinline] = ACTIONS(3094),
    [anon_sym_expect] = ACTIONS(3094),
    [anon_sym_actual] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_BANG_BANG] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_QMARK_COLON] = ACTIONS(3096),
    [anon_sym_BANGin] = ACTIONS(3096),
    [anon_sym_is] = ACTIONS(3094),
    [anon_sym_as_QMARK] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3096),
    [anon_sym_else] = ACTIONS(3094),
    [anon_sym_COLON_COLON] = ACTIONS(3096),
    [sym_label] = ACTIONS(3096),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3096),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3096),
    [sym__q_dot] = ACTIONS(3096),
  },
  [4013] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_as] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3106),
    [anon_sym_GT] = ACTIONS(3106),
    [anon_sym_LPAREN] = ACTIONS(3108),
    [anon_sym_get] = ACTIONS(3106),
    [anon_sym_LBRACE] = ACTIONS(3108),
    [anon_sym_in] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_sealed] = ACTIONS(3106),
    [anon_sym_annotation] = ACTIONS(3106),
    [anon_sym_data] = ACTIONS(3106),
    [anon_sym_inner] = ACTIONS(3106),
    [anon_sym_value] = ACTIONS(3106),
    [anon_sym_tailrec] = ACTIONS(3106),
    [anon_sym_operator] = ACTIONS(3106),
    [anon_sym_infix] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym_external] = ACTIONS(3106),
    [anon_sym_suspend] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_public] = ACTIONS(3106),
    [anon_sym_private] = ACTIONS(3106),
    [anon_sym_protected] = ACTIONS(3106),
    [anon_sym_internal] = ACTIONS(3106),
    [anon_sym_abstract] = ACTIONS(3106),
    [anon_sym_final] = ACTIONS(3106),
    [anon_sym_open] = ACTIONS(3106),
    [anon_sym_override] = ACTIONS(3106),
    [anon_sym_lateinit] = ACTIONS(3106),
    [anon_sym_vararg] = ACTIONS(3106),
    [anon_sym_noinline] = ACTIONS(3106),
    [anon_sym_crossinline] = ACTIONS(3106),
    [anon_sym_expect] = ACTIONS(3106),
    [anon_sym_actual] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3108),
    [anon_sym_DASH_EQ] = ACTIONS(3108),
    [anon_sym_STAR_EQ] = ACTIONS(3108),
    [anon_sym_SLASH_EQ] = ACTIONS(3108),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_PLUS_PLUS] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_BANG_BANG] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3106),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3108),
    [anon_sym_EQ_EQ] = ACTIONS(3106),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_QMARK_COLON] = ACTIONS(3108),
    [anon_sym_BANGin] = ACTIONS(3108),
    [anon_sym_is] = ACTIONS(3106),
    [anon_sym_as_QMARK] = ACTIONS(3108),
    [anon_sym_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3108),
    [anon_sym_else] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [sym_label] = ACTIONS(3108),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3108),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3108),
    [sym__q_dot] = ACTIONS(3108),
  },
  [4014] = {
    [sym_identifier] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_as] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3110),
    [anon_sym_GT] = ACTIONS(3110),
    [anon_sym_LPAREN] = ACTIONS(3112),
    [anon_sym_get] = ACTIONS(3110),
    [anon_sym_LBRACE] = ACTIONS(3112),
    [anon_sym_in] = ACTIONS(3110),
    [anon_sym_enum] = ACTIONS(3110),
    [anon_sym_sealed] = ACTIONS(3110),
    [anon_sym_annotation] = ACTIONS(3110),
    [anon_sym_data] = ACTIONS(3110),
    [anon_sym_inner] = ACTIONS(3110),
    [anon_sym_value] = ACTIONS(3110),
    [anon_sym_tailrec] = ACTIONS(3110),
    [anon_sym_operator] = ACTIONS(3110),
    [anon_sym_infix] = ACTIONS(3110),
    [anon_sym_inline] = ACTIONS(3110),
    [anon_sym_external] = ACTIONS(3110),
    [anon_sym_suspend] = ACTIONS(3110),
    [anon_sym_const] = ACTIONS(3110),
    [anon_sym_public] = ACTIONS(3110),
    [anon_sym_private] = ACTIONS(3110),
    [anon_sym_protected] = ACTIONS(3110),
    [anon_sym_internal] = ACTIONS(3110),
    [anon_sym_abstract] = ACTIONS(3110),
    [anon_sym_final] = ACTIONS(3110),
    [anon_sym_open] = ACTIONS(3110),
    [anon_sym_override] = ACTIONS(3110),
    [anon_sym_lateinit] = ACTIONS(3110),
    [anon_sym_vararg] = ACTIONS(3110),
    [anon_sym_noinline] = ACTIONS(3110),
    [anon_sym_crossinline] = ACTIONS(3110),
    [anon_sym_expect] = ACTIONS(3110),
    [anon_sym_actual] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3112),
    [anon_sym_DASH_EQ] = ACTIONS(3112),
    [anon_sym_STAR_EQ] = ACTIONS(3112),
    [anon_sym_SLASH_EQ] = ACTIONS(3112),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_PLUS_PLUS] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3110),
    [anon_sym_BANG_BANG] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3110),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3112),
    [anon_sym_EQ_EQ] = ACTIONS(3110),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_QMARK_COLON] = ACTIONS(3112),
    [anon_sym_BANGin] = ACTIONS(3112),
    [anon_sym_is] = ACTIONS(3110),
    [anon_sym_as_QMARK] = ACTIONS(3112),
    [anon_sym_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3112),
    [anon_sym_else] = ACTIONS(3110),
    [anon_sym_COLON_COLON] = ACTIONS(3112),
    [sym_label] = ACTIONS(3112),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3112),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3112),
    [sym__q_dot] = ACTIONS(3112),
  },
  [4015] = {
    [sym_identifier] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_as] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3114),
    [anon_sym_GT] = ACTIONS(3114),
    [anon_sym_LPAREN] = ACTIONS(3116),
    [anon_sym_get] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_in] = ACTIONS(3114),
    [anon_sym_enum] = ACTIONS(3114),
    [anon_sym_sealed] = ACTIONS(3114),
    [anon_sym_annotation] = ACTIONS(3114),
    [anon_sym_data] = ACTIONS(3114),
    [anon_sym_inner] = ACTIONS(3114),
    [anon_sym_value] = ACTIONS(3114),
    [anon_sym_tailrec] = ACTIONS(3114),
    [anon_sym_operator] = ACTIONS(3114),
    [anon_sym_infix] = ACTIONS(3114),
    [anon_sym_inline] = ACTIONS(3114),
    [anon_sym_external] = ACTIONS(3114),
    [anon_sym_suspend] = ACTIONS(3114),
    [anon_sym_const] = ACTIONS(3114),
    [anon_sym_public] = ACTIONS(3114),
    [anon_sym_private] = ACTIONS(3114),
    [anon_sym_protected] = ACTIONS(3114),
    [anon_sym_internal] = ACTIONS(3114),
    [anon_sym_abstract] = ACTIONS(3114),
    [anon_sym_final] = ACTIONS(3114),
    [anon_sym_open] = ACTIONS(3114),
    [anon_sym_override] = ACTIONS(3114),
    [anon_sym_lateinit] = ACTIONS(3114),
    [anon_sym_vararg] = ACTIONS(3114),
    [anon_sym_noinline] = ACTIONS(3114),
    [anon_sym_crossinline] = ACTIONS(3114),
    [anon_sym_expect] = ACTIONS(3114),
    [anon_sym_actual] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3116),
    [anon_sym_DASH_EQ] = ACTIONS(3116),
    [anon_sym_STAR_EQ] = ACTIONS(3116),
    [anon_sym_SLASH_EQ] = ACTIONS(3116),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_PLUS_PLUS] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3114),
    [anon_sym_BANG_BANG] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3114),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3116),
    [anon_sym_EQ_EQ] = ACTIONS(3114),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_QMARK_COLON] = ACTIONS(3116),
    [anon_sym_BANGin] = ACTIONS(3116),
    [anon_sym_is] = ACTIONS(3114),
    [anon_sym_as_QMARK] = ACTIONS(3116),
    [anon_sym_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3116),
    [anon_sym_else] = ACTIONS(3114),
    [anon_sym_COLON_COLON] = ACTIONS(3116),
    [sym_label] = ACTIONS(3116),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3116),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3116),
    [sym__q_dot] = ACTIONS(3116),
  },
  [4016] = {
    [sym_identifier] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_as] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3130),
    [anon_sym_GT] = ACTIONS(3130),
    [anon_sym_LPAREN] = ACTIONS(3132),
    [anon_sym_get] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_in] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_sealed] = ACTIONS(3130),
    [anon_sym_annotation] = ACTIONS(3130),
    [anon_sym_data] = ACTIONS(3130),
    [anon_sym_inner] = ACTIONS(3130),
    [anon_sym_value] = ACTIONS(3130),
    [anon_sym_tailrec] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_infix] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym_external] = ACTIONS(3130),
    [anon_sym_suspend] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_internal] = ACTIONS(3130),
    [anon_sym_abstract] = ACTIONS(3130),
    [anon_sym_final] = ACTIONS(3130),
    [anon_sym_open] = ACTIONS(3130),
    [anon_sym_override] = ACTIONS(3130),
    [anon_sym_lateinit] = ACTIONS(3130),
    [anon_sym_vararg] = ACTIONS(3130),
    [anon_sym_noinline] = ACTIONS(3130),
    [anon_sym_crossinline] = ACTIONS(3130),
    [anon_sym_expect] = ACTIONS(3130),
    [anon_sym_actual] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3132),
    [anon_sym_DASH_EQ] = ACTIONS(3132),
    [anon_sym_STAR_EQ] = ACTIONS(3132),
    [anon_sym_SLASH_EQ] = ACTIONS(3132),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_BANG_BANG] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3130),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3132),
    [anon_sym_EQ_EQ] = ACTIONS(3130),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_QMARK_COLON] = ACTIONS(3132),
    [anon_sym_BANGin] = ACTIONS(3132),
    [anon_sym_is] = ACTIONS(3130),
    [anon_sym_as_QMARK] = ACTIONS(3132),
    [anon_sym_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3132),
    [anon_sym_else] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [sym_label] = ACTIONS(3132),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3132),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3132),
    [sym__q_dot] = ACTIONS(3132),
  },
  [4017] = {
    [sym_identifier] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_as] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3138),
    [anon_sym_GT] = ACTIONS(3138),
    [anon_sym_LPAREN] = ACTIONS(3140),
    [anon_sym_get] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_in] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_sealed] = ACTIONS(3138),
    [anon_sym_annotation] = ACTIONS(3138),
    [anon_sym_data] = ACTIONS(3138),
    [anon_sym_inner] = ACTIONS(3138),
    [anon_sym_value] = ACTIONS(3138),
    [anon_sym_tailrec] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_infix] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym_external] = ACTIONS(3138),
    [anon_sym_suspend] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_internal] = ACTIONS(3138),
    [anon_sym_abstract] = ACTIONS(3138),
    [anon_sym_final] = ACTIONS(3138),
    [anon_sym_open] = ACTIONS(3138),
    [anon_sym_override] = ACTIONS(3138),
    [anon_sym_lateinit] = ACTIONS(3138),
    [anon_sym_vararg] = ACTIONS(3138),
    [anon_sym_noinline] = ACTIONS(3138),
    [anon_sym_crossinline] = ACTIONS(3138),
    [anon_sym_expect] = ACTIONS(3138),
    [anon_sym_actual] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3140),
    [anon_sym_DASH_EQ] = ACTIONS(3140),
    [anon_sym_STAR_EQ] = ACTIONS(3140),
    [anon_sym_SLASH_EQ] = ACTIONS(3140),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_BANG_BANG] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3138),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3140),
    [anon_sym_EQ_EQ] = ACTIONS(3138),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_QMARK_COLON] = ACTIONS(3140),
    [anon_sym_BANGin] = ACTIONS(3140),
    [anon_sym_is] = ACTIONS(3138),
    [anon_sym_as_QMARK] = ACTIONS(3140),
    [anon_sym_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3140),
    [anon_sym_else] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [sym_label] = ACTIONS(3140),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3140),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3140),
    [sym__q_dot] = ACTIONS(3140),
  },
  [4018] = {
    [sym_identifier] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_as] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3150),
    [anon_sym_GT] = ACTIONS(3150),
    [anon_sym_LPAREN] = ACTIONS(3152),
    [anon_sym_get] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_in] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_sealed] = ACTIONS(3150),
    [anon_sym_annotation] = ACTIONS(3150),
    [anon_sym_data] = ACTIONS(3150),
    [anon_sym_inner] = ACTIONS(3150),
    [anon_sym_value] = ACTIONS(3150),
    [anon_sym_tailrec] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_infix] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym_external] = ACTIONS(3150),
    [anon_sym_suspend] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_internal] = ACTIONS(3150),
    [anon_sym_abstract] = ACTIONS(3150),
    [anon_sym_final] = ACTIONS(3150),
    [anon_sym_open] = ACTIONS(3150),
    [anon_sym_override] = ACTIONS(3150),
    [anon_sym_lateinit] = ACTIONS(3150),
    [anon_sym_vararg] = ACTIONS(3150),
    [anon_sym_noinline] = ACTIONS(3150),
    [anon_sym_crossinline] = ACTIONS(3150),
    [anon_sym_expect] = ACTIONS(3150),
    [anon_sym_actual] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3152),
    [anon_sym_DASH_EQ] = ACTIONS(3152),
    [anon_sym_STAR_EQ] = ACTIONS(3152),
    [anon_sym_SLASH_EQ] = ACTIONS(3152),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_BANG_BANG] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3150),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3152),
    [anon_sym_EQ_EQ] = ACTIONS(3150),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_QMARK_COLON] = ACTIONS(3152),
    [anon_sym_BANGin] = ACTIONS(3152),
    [anon_sym_is] = ACTIONS(3150),
    [anon_sym_as_QMARK] = ACTIONS(3152),
    [anon_sym_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3152),
    [anon_sym_else] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [sym_label] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3152),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3152),
    [sym__q_dot] = ACTIONS(3152),
  },
  [4019] = {
    [sym_identifier] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_as] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3154),
    [anon_sym_GT] = ACTIONS(3154),
    [anon_sym_LPAREN] = ACTIONS(3156),
    [anon_sym_get] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_sealed] = ACTIONS(3154),
    [anon_sym_annotation] = ACTIONS(3154),
    [anon_sym_data] = ACTIONS(3154),
    [anon_sym_inner] = ACTIONS(3154),
    [anon_sym_value] = ACTIONS(3154),
    [anon_sym_tailrec] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_infix] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym_external] = ACTIONS(3154),
    [anon_sym_suspend] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_public] = ACTIONS(3154),
    [anon_sym_private] = ACTIONS(3154),
    [anon_sym_protected] = ACTIONS(3154),
    [anon_sym_internal] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(3154),
    [anon_sym_final] = ACTIONS(3154),
    [anon_sym_open] = ACTIONS(3154),
    [anon_sym_override] = ACTIONS(3154),
    [anon_sym_lateinit] = ACTIONS(3154),
    [anon_sym_vararg] = ACTIONS(3154),
    [anon_sym_noinline] = ACTIONS(3154),
    [anon_sym_crossinline] = ACTIONS(3154),
    [anon_sym_expect] = ACTIONS(3154),
    [anon_sym_actual] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3156),
    [anon_sym_DASH_EQ] = ACTIONS(3156),
    [anon_sym_STAR_EQ] = ACTIONS(3156),
    [anon_sym_SLASH_EQ] = ACTIONS(3156),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_BANG_BANG] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3154),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3156),
    [anon_sym_EQ_EQ] = ACTIONS(3154),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_QMARK_COLON] = ACTIONS(3156),
    [anon_sym_BANGin] = ACTIONS(3156),
    [anon_sym_is] = ACTIONS(3154),
    [anon_sym_as_QMARK] = ACTIONS(3156),
    [anon_sym_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3156),
    [anon_sym_else] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [sym_label] = ACTIONS(3156),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3156),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3156),
    [sym__q_dot] = ACTIONS(3156),
  },
  [4020] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [4021] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2981),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2983),
    [anon_sym_DASH_EQ] = ACTIONS(2983),
    [anon_sym_STAR_EQ] = ACTIONS(2983),
    [anon_sym_SLASH_EQ] = ACTIONS(2983),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2981),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4022] = {
    [sym_identifier] = ACTIONS(3174),
    [anon_sym_AT] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym_DOT] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_as] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3174),
    [anon_sym_LT] = ACTIONS(3174),
    [anon_sym_GT] = ACTIONS(3174),
    [anon_sym_LPAREN] = ACTIONS(3176),
    [anon_sym_get] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_in] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_sealed] = ACTIONS(3174),
    [anon_sym_annotation] = ACTIONS(3174),
    [anon_sym_data] = ACTIONS(3174),
    [anon_sym_inner] = ACTIONS(3174),
    [anon_sym_value] = ACTIONS(3174),
    [anon_sym_tailrec] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_infix] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym_external] = ACTIONS(3174),
    [anon_sym_suspend] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_internal] = ACTIONS(3174),
    [anon_sym_abstract] = ACTIONS(3174),
    [anon_sym_final] = ACTIONS(3174),
    [anon_sym_open] = ACTIONS(3174),
    [anon_sym_override] = ACTIONS(3174),
    [anon_sym_lateinit] = ACTIONS(3174),
    [anon_sym_vararg] = ACTIONS(3174),
    [anon_sym_noinline] = ACTIONS(3174),
    [anon_sym_crossinline] = ACTIONS(3174),
    [anon_sym_expect] = ACTIONS(3174),
    [anon_sym_actual] = ACTIONS(3174),
    [anon_sym_PLUS_EQ] = ACTIONS(3176),
    [anon_sym_DASH_EQ] = ACTIONS(3176),
    [anon_sym_STAR_EQ] = ACTIONS(3176),
    [anon_sym_SLASH_EQ] = ACTIONS(3176),
    [anon_sym_PERCENT_EQ] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_BANG_BANG] = ACTIONS(3176),
    [anon_sym_SLASH] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3174),
    [anon_sym_PIPE_PIPE] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_BANG_EQ] = ACTIONS(3174),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3176),
    [anon_sym_EQ_EQ] = ACTIONS(3174),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3176),
    [anon_sym_GT_EQ] = ACTIONS(3176),
    [anon_sym_LT_EQ] = ACTIONS(3176),
    [anon_sym_QMARK_COLON] = ACTIONS(3176),
    [anon_sym_BANGin] = ACTIONS(3176),
    [anon_sym_is] = ACTIONS(3174),
    [anon_sym_as_QMARK] = ACTIONS(3176),
    [anon_sym_DOT_DOT] = ACTIONS(3174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3176),
    [anon_sym_else] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [sym_label] = ACTIONS(3176),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3176),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3176),
    [sym__q_dot] = ACTIONS(3176),
  },
  [4023] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_as] = ACTIONS(3014),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_in] = ACTIONS(3014),
    [anon_sym_while] = ACTIONS(3014),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG_BANG] = ACTIONS(3016),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3016),
    [anon_sym_BANG_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_LT_EQ] = ACTIONS(3016),
    [anon_sym_QMARK_COLON] = ACTIONS(3016),
    [anon_sym_BANGin] = ACTIONS(3016),
    [anon_sym_is] = ACTIONS(3014),
    [anon_sym_as_QMARK] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3016),
    [anon_sym_else] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [sym_label] = ACTIONS(3016),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3016),
    [sym__q_dot] = ACTIONS(3016),
  },
  [4024] = {
    [sym_identifier] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_as] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3206),
    [anon_sym_GT] = ACTIONS(3206),
    [anon_sym_LPAREN] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3206),
    [anon_sym_LBRACE] = ACTIONS(3208),
    [anon_sym_in] = ACTIONS(3206),
    [anon_sym_enum] = ACTIONS(3206),
    [anon_sym_sealed] = ACTIONS(3206),
    [anon_sym_annotation] = ACTIONS(3206),
    [anon_sym_data] = ACTIONS(3206),
    [anon_sym_inner] = ACTIONS(3206),
    [anon_sym_value] = ACTIONS(3206),
    [anon_sym_tailrec] = ACTIONS(3206),
    [anon_sym_operator] = ACTIONS(3206),
    [anon_sym_infix] = ACTIONS(3206),
    [anon_sym_inline] = ACTIONS(3206),
    [anon_sym_external] = ACTIONS(3206),
    [anon_sym_suspend] = ACTIONS(3206),
    [anon_sym_const] = ACTIONS(3206),
    [anon_sym_public] = ACTIONS(3206),
    [anon_sym_private] = ACTIONS(3206),
    [anon_sym_protected] = ACTIONS(3206),
    [anon_sym_internal] = ACTIONS(3206),
    [anon_sym_abstract] = ACTIONS(3206),
    [anon_sym_final] = ACTIONS(3206),
    [anon_sym_open] = ACTIONS(3206),
    [anon_sym_override] = ACTIONS(3206),
    [anon_sym_lateinit] = ACTIONS(3206),
    [anon_sym_vararg] = ACTIONS(3206),
    [anon_sym_noinline] = ACTIONS(3206),
    [anon_sym_crossinline] = ACTIONS(3206),
    [anon_sym_expect] = ACTIONS(3206),
    [anon_sym_actual] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3208),
    [anon_sym_DASH_EQ] = ACTIONS(3208),
    [anon_sym_STAR_EQ] = ACTIONS(3208),
    [anon_sym_SLASH_EQ] = ACTIONS(3208),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3206),
    [anon_sym_BANG_BANG] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3206),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3208),
    [anon_sym_EQ_EQ] = ACTIONS(3206),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_QMARK_COLON] = ACTIONS(3208),
    [anon_sym_BANGin] = ACTIONS(3208),
    [anon_sym_is] = ACTIONS(3206),
    [anon_sym_as_QMARK] = ACTIONS(3208),
    [anon_sym_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3208),
    [anon_sym_else] = ACTIONS(3206),
    [anon_sym_COLON_COLON] = ACTIONS(3208),
    [sym_label] = ACTIONS(3208),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3208),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3208),
    [sym__q_dot] = ACTIONS(3208),
  },
  [4025] = {
    [sym_identifier] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3212),
    [anon_sym_DOT] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_as] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3210),
    [anon_sym_LBRACE] = ACTIONS(3212),
    [anon_sym_in] = ACTIONS(3210),
    [anon_sym_enum] = ACTIONS(3210),
    [anon_sym_sealed] = ACTIONS(3210),
    [anon_sym_annotation] = ACTIONS(3210),
    [anon_sym_data] = ACTIONS(3210),
    [anon_sym_inner] = ACTIONS(3210),
    [anon_sym_value] = ACTIONS(3210),
    [anon_sym_tailrec] = ACTIONS(3210),
    [anon_sym_operator] = ACTIONS(3210),
    [anon_sym_infix] = ACTIONS(3210),
    [anon_sym_inline] = ACTIONS(3210),
    [anon_sym_external] = ACTIONS(3210),
    [anon_sym_suspend] = ACTIONS(3210),
    [anon_sym_const] = ACTIONS(3210),
    [anon_sym_public] = ACTIONS(3210),
    [anon_sym_private] = ACTIONS(3210),
    [anon_sym_protected] = ACTIONS(3210),
    [anon_sym_internal] = ACTIONS(3210),
    [anon_sym_abstract] = ACTIONS(3210),
    [anon_sym_final] = ACTIONS(3210),
    [anon_sym_open] = ACTIONS(3210),
    [anon_sym_override] = ACTIONS(3210),
    [anon_sym_lateinit] = ACTIONS(3210),
    [anon_sym_vararg] = ACTIONS(3210),
    [anon_sym_noinline] = ACTIONS(3210),
    [anon_sym_crossinline] = ACTIONS(3210),
    [anon_sym_expect] = ACTIONS(3210),
    [anon_sym_actual] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3212),
    [anon_sym_DASH_EQ] = ACTIONS(3212),
    [anon_sym_STAR_EQ] = ACTIONS(3212),
    [anon_sym_SLASH_EQ] = ACTIONS(3212),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3210),
    [anon_sym_BANG_BANG] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3210),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3212),
    [anon_sym_EQ_EQ] = ACTIONS(3210),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_QMARK_COLON] = ACTIONS(3212),
    [anon_sym_BANGin] = ACTIONS(3212),
    [anon_sym_is] = ACTIONS(3210),
    [anon_sym_as_QMARK] = ACTIONS(3212),
    [anon_sym_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3212),
    [anon_sym_else] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [sym_label] = ACTIONS(3212),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3212),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3212),
    [sym__q_dot] = ACTIONS(3212),
  },
  [4026] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [4027] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_as] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_in] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG_BANG] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_QMARK_COLON] = ACTIONS(2941),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_as_QMARK] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [sym_label] = ACTIONS(2941),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__q_dot] = ACTIONS(2941),
  },
  [4028] = {
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_STAR] = ACTIONS(2509),
    [anon_sym_as] = ACTIONS(2509),
    [anon_sym_EQ] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_GT] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_in] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_annotation] = ACTIONS(2509),
    [anon_sym_data] = ACTIONS(2509),
    [anon_sym_inner] = ACTIONS(2509),
    [anon_sym_value] = ACTIONS(2509),
    [anon_sym_tailrec] = ACTIONS(2509),
    [anon_sym_operator] = ACTIONS(2509),
    [anon_sym_infix] = ACTIONS(2509),
    [anon_sym_inline] = ACTIONS(2509),
    [anon_sym_external] = ACTIONS(2509),
    [anon_sym_suspend] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_internal] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_lateinit] = ACTIONS(2509),
    [anon_sym_vararg] = ACTIONS(2509),
    [anon_sym_noinline] = ACTIONS(2509),
    [anon_sym_crossinline] = ACTIONS(2509),
    [anon_sym_expect] = ACTIONS(2509),
    [anon_sym_actual] = ACTIONS(2509),
    [anon_sym_PLUS_EQ] = ACTIONS(2511),
    [anon_sym_DASH_EQ] = ACTIONS(2511),
    [anon_sym_STAR_EQ] = ACTIONS(2511),
    [anon_sym_SLASH_EQ] = ACTIONS(2511),
    [anon_sym_PERCENT_EQ] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_BANG_BANG] = ACTIONS(2511),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_PERCENT] = ACTIONS(2509),
    [anon_sym_PIPE_PIPE] = ACTIONS(2511),
    [anon_sym_AMP_AMP] = ACTIONS(2511),
    [anon_sym_BANG_EQ] = ACTIONS(2509),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2511),
    [anon_sym_EQ_EQ] = ACTIONS(2509),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2511),
    [anon_sym_GT_EQ] = ACTIONS(2511),
    [anon_sym_LT_EQ] = ACTIONS(2511),
    [anon_sym_QMARK_COLON] = ACTIONS(2511),
    [anon_sym_BANGin] = ACTIONS(2511),
    [anon_sym_is] = ACTIONS(2509),
    [anon_sym_as_QMARK] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(2509),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2511),
    [sym_label] = ACTIONS(2511),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2511),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2511),
    [sym__q_dot] = ACTIONS(2511),
  },
  [4029] = {
    [sym_identifier] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_LBRACK] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3032),
    [anon_sym_STAR] = ACTIONS(3032),
    [anon_sym_as] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LPAREN] = ACTIONS(3034),
    [anon_sym_get] = ACTIONS(3032),
    [anon_sym_LBRACE] = ACTIONS(3034),
    [anon_sym_in] = ACTIONS(3032),
    [anon_sym_enum] = ACTIONS(3032),
    [anon_sym_sealed] = ACTIONS(3032),
    [anon_sym_annotation] = ACTIONS(3032),
    [anon_sym_data] = ACTIONS(3032),
    [anon_sym_inner] = ACTIONS(3032),
    [anon_sym_value] = ACTIONS(3032),
    [anon_sym_tailrec] = ACTIONS(3032),
    [anon_sym_operator] = ACTIONS(3032),
    [anon_sym_infix] = ACTIONS(3032),
    [anon_sym_inline] = ACTIONS(3032),
    [anon_sym_external] = ACTIONS(3032),
    [anon_sym_suspend] = ACTIONS(3032),
    [anon_sym_const] = ACTIONS(3032),
    [anon_sym_public] = ACTIONS(3032),
    [anon_sym_private] = ACTIONS(3032),
    [anon_sym_protected] = ACTIONS(3032),
    [anon_sym_internal] = ACTIONS(3032),
    [anon_sym_abstract] = ACTIONS(3032),
    [anon_sym_final] = ACTIONS(3032),
    [anon_sym_open] = ACTIONS(3032),
    [anon_sym_override] = ACTIONS(3032),
    [anon_sym_lateinit] = ACTIONS(3032),
    [anon_sym_vararg] = ACTIONS(3032),
    [anon_sym_noinline] = ACTIONS(3032),
    [anon_sym_crossinline] = ACTIONS(3032),
    [anon_sym_expect] = ACTIONS(3032),
    [anon_sym_actual] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3032),
    [anon_sym_DASH] = ACTIONS(3032),
    [anon_sym_BANG_BANG] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_QMARK_COLON] = ACTIONS(3034),
    [anon_sym_BANGin] = ACTIONS(3034),
    [anon_sym_is] = ACTIONS(3032),
    [anon_sym_as_QMARK] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3034),
    [anon_sym_else] = ACTIONS(3032),
    [anon_sym_COLON_COLON] = ACTIONS(3034),
    [sym_label] = ACTIONS(3034),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3034),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3034),
    [sym__q_dot] = ACTIONS(3034),
  },
  [4030] = {
    [sym_identifier] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_as] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LPAREN] = ACTIONS(3038),
    [anon_sym_get] = ACTIONS(3036),
    [anon_sym_LBRACE] = ACTIONS(3038),
    [anon_sym_in] = ACTIONS(3036),
    [anon_sym_enum] = ACTIONS(3036),
    [anon_sym_sealed] = ACTIONS(3036),
    [anon_sym_annotation] = ACTIONS(3036),
    [anon_sym_data] = ACTIONS(3036),
    [anon_sym_inner] = ACTIONS(3036),
    [anon_sym_value] = ACTIONS(3036),
    [anon_sym_tailrec] = ACTIONS(3036),
    [anon_sym_operator] = ACTIONS(3036),
    [anon_sym_infix] = ACTIONS(3036),
    [anon_sym_inline] = ACTIONS(3036),
    [anon_sym_external] = ACTIONS(3036),
    [anon_sym_suspend] = ACTIONS(3036),
    [anon_sym_const] = ACTIONS(3036),
    [anon_sym_public] = ACTIONS(3036),
    [anon_sym_private] = ACTIONS(3036),
    [anon_sym_protected] = ACTIONS(3036),
    [anon_sym_internal] = ACTIONS(3036),
    [anon_sym_abstract] = ACTIONS(3036),
    [anon_sym_final] = ACTIONS(3036),
    [anon_sym_open] = ACTIONS(3036),
    [anon_sym_override] = ACTIONS(3036),
    [anon_sym_lateinit] = ACTIONS(3036),
    [anon_sym_vararg] = ACTIONS(3036),
    [anon_sym_noinline] = ACTIONS(3036),
    [anon_sym_crossinline] = ACTIONS(3036),
    [anon_sym_expect] = ACTIONS(3036),
    [anon_sym_actual] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_BANG_BANG] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_QMARK_COLON] = ACTIONS(3038),
    [anon_sym_BANGin] = ACTIONS(3038),
    [anon_sym_is] = ACTIONS(3036),
    [anon_sym_as_QMARK] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3038),
    [anon_sym_else] = ACTIONS(3036),
    [anon_sym_COLON_COLON] = ACTIONS(3038),
    [sym_label] = ACTIONS(3038),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3038),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3038),
    [sym__q_dot] = ACTIONS(3038),
  },
  [4031] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_SEMI] = ACTIONS(3020),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_as] = ACTIONS(3018),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_in] = ACTIONS(3018),
    [anon_sym_while] = ACTIONS(3018),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_PLUS_EQ] = ACTIONS(3020),
    [anon_sym_DASH_EQ] = ACTIONS(3020),
    [anon_sym_STAR_EQ] = ACTIONS(3020),
    [anon_sym_SLASH_EQ] = ACTIONS(3020),
    [anon_sym_PERCENT_EQ] = ACTIONS(3020),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG_BANG] = ACTIONS(3020),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3020),
    [anon_sym_AMP_AMP] = ACTIONS(3020),
    [anon_sym_BANG_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3020),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3020),
    [anon_sym_GT_EQ] = ACTIONS(3020),
    [anon_sym_LT_EQ] = ACTIONS(3020),
    [anon_sym_QMARK_COLON] = ACTIONS(3020),
    [anon_sym_BANGin] = ACTIONS(3020),
    [anon_sym_is] = ACTIONS(3018),
    [anon_sym_as_QMARK] = ACTIONS(3020),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3020),
    [anon_sym_else] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [sym_label] = ACTIONS(3020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3020),
    [sym__q_dot] = ACTIONS(3020),
  },
  [4032] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_as] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_in] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG_BANG] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_QMARK_COLON] = ACTIONS(2945),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_as_QMARK] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [sym_label] = ACTIONS(2945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__q_dot] = ACTIONS(2945),
  },
  [4033] = {
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_DOT] = ACTIONS(2385),
    [anon_sym_STAR] = ACTIONS(2385),
    [anon_sym_as] = ACTIONS(2385),
    [anon_sym_EQ] = ACTIONS(2385),
    [anon_sym_LT] = ACTIONS(2385),
    [anon_sym_GT] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_get] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_in] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_annotation] = ACTIONS(2385),
    [anon_sym_data] = ACTIONS(2385),
    [anon_sym_inner] = ACTIONS(2385),
    [anon_sym_value] = ACTIONS(2385),
    [anon_sym_tailrec] = ACTIONS(2385),
    [anon_sym_operator] = ACTIONS(2385),
    [anon_sym_infix] = ACTIONS(2385),
    [anon_sym_inline] = ACTIONS(2385),
    [anon_sym_external] = ACTIONS(2385),
    [anon_sym_suspend] = ACTIONS(2385),
    [anon_sym_const] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_internal] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_override] = ACTIONS(2385),
    [anon_sym_lateinit] = ACTIONS(2385),
    [anon_sym_vararg] = ACTIONS(2385),
    [anon_sym_noinline] = ACTIONS(2385),
    [anon_sym_crossinline] = ACTIONS(2385),
    [anon_sym_expect] = ACTIONS(2385),
    [anon_sym_actual] = ACTIONS(2385),
    [anon_sym_PLUS_EQ] = ACTIONS(2383),
    [anon_sym_DASH_EQ] = ACTIONS(2383),
    [anon_sym_STAR_EQ] = ACTIONS(2383),
    [anon_sym_SLASH_EQ] = ACTIONS(2383),
    [anon_sym_PERCENT_EQ] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_BANG_BANG] = ACTIONS(2383),
    [anon_sym_SLASH] = ACTIONS(2385),
    [anon_sym_PERCENT] = ACTIONS(2385),
    [anon_sym_PIPE_PIPE] = ACTIONS(2383),
    [anon_sym_AMP_AMP] = ACTIONS(2383),
    [anon_sym_BANG_EQ] = ACTIONS(2385),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2383),
    [anon_sym_EQ_EQ] = ACTIONS(2385),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2383),
    [anon_sym_GT_EQ] = ACTIONS(2383),
    [anon_sym_LT_EQ] = ACTIONS(2383),
    [anon_sym_QMARK_COLON] = ACTIONS(2383),
    [anon_sym_BANGin] = ACTIONS(2383),
    [anon_sym_is] = ACTIONS(2385),
    [anon_sym_as_QMARK] = ACTIONS(2383),
    [anon_sym_DOT_DOT] = ACTIONS(2385),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2383),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [sym_label] = ACTIONS(2383),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2383),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2383),
    [sym__q_dot] = ACTIONS(2383),
  },
  [4034] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_SEMI] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3022),
    [anon_sym_as] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3022),
    [anon_sym_GT] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_in] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3024),
    [anon_sym_DASH_EQ] = ACTIONS(3024),
    [anon_sym_STAR_EQ] = ACTIONS(3024),
    [anon_sym_SLASH_EQ] = ACTIONS(3024),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG_BANG] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3022),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3024),
    [anon_sym_EQ_EQ] = ACTIONS(3022),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_QMARK_COLON] = ACTIONS(3024),
    [anon_sym_BANGin] = ACTIONS(3024),
    [anon_sym_is] = ACTIONS(3022),
    [anon_sym_as_QMARK] = ACTIONS(3024),
    [anon_sym_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3024),
    [anon_sym_else] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [sym_label] = ACTIONS(3024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3024),
    [sym__q_dot] = ACTIONS(3024),
  },
  [4035] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2989),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2991),
    [anon_sym_DASH_EQ] = ACTIONS(2991),
    [anon_sym_STAR_EQ] = ACTIONS(2991),
    [anon_sym_SLASH_EQ] = ACTIONS(2991),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2989),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4036] = {
    [sym_identifier] = ACTIONS(3060),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_LBRACK] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_as] = ACTIONS(3060),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LPAREN] = ACTIONS(3062),
    [anon_sym_get] = ACTIONS(3060),
    [anon_sym_LBRACE] = ACTIONS(3062),
    [anon_sym_in] = ACTIONS(3060),
    [anon_sym_enum] = ACTIONS(3060),
    [anon_sym_sealed] = ACTIONS(3060),
    [anon_sym_annotation] = ACTIONS(3060),
    [anon_sym_data] = ACTIONS(3060),
    [anon_sym_inner] = ACTIONS(3060),
    [anon_sym_value] = ACTIONS(3060),
    [anon_sym_tailrec] = ACTIONS(3060),
    [anon_sym_operator] = ACTIONS(3060),
    [anon_sym_infix] = ACTIONS(3060),
    [anon_sym_inline] = ACTIONS(3060),
    [anon_sym_external] = ACTIONS(3060),
    [anon_sym_suspend] = ACTIONS(3060),
    [anon_sym_const] = ACTIONS(3060),
    [anon_sym_public] = ACTIONS(3060),
    [anon_sym_private] = ACTIONS(3060),
    [anon_sym_protected] = ACTIONS(3060),
    [anon_sym_internal] = ACTIONS(3060),
    [anon_sym_abstract] = ACTIONS(3060),
    [anon_sym_final] = ACTIONS(3060),
    [anon_sym_open] = ACTIONS(3060),
    [anon_sym_override] = ACTIONS(3060),
    [anon_sym_lateinit] = ACTIONS(3060),
    [anon_sym_vararg] = ACTIONS(3060),
    [anon_sym_noinline] = ACTIONS(3060),
    [anon_sym_crossinline] = ACTIONS(3060),
    [anon_sym_expect] = ACTIONS(3060),
    [anon_sym_actual] = ACTIONS(3060),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_BANG_BANG] = ACTIONS(3062),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3062),
    [anon_sym_BANG_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3062),
    [anon_sym_QMARK_COLON] = ACTIONS(3062),
    [anon_sym_BANGin] = ACTIONS(3062),
    [anon_sym_is] = ACTIONS(3060),
    [anon_sym_as_QMARK] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3062),
    [anon_sym_else] = ACTIONS(3060),
    [anon_sym_COLON_COLON] = ACTIONS(3062),
    [sym_label] = ACTIONS(3062),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3062),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3062),
    [sym__q_dot] = ACTIONS(3062),
  },
  [4037] = {
    [sym_identifier] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_DOT] = ACTIONS(2389),
    [anon_sym_STAR] = ACTIONS(2389),
    [anon_sym_as] = ACTIONS(2389),
    [anon_sym_EQ] = ACTIONS(2389),
    [anon_sym_LT] = ACTIONS(2389),
    [anon_sym_GT] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_in] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_annotation] = ACTIONS(2389),
    [anon_sym_data] = ACTIONS(2389),
    [anon_sym_inner] = ACTIONS(2389),
    [anon_sym_value] = ACTIONS(2389),
    [anon_sym_tailrec] = ACTIONS(2389),
    [anon_sym_operator] = ACTIONS(2389),
    [anon_sym_infix] = ACTIONS(2389),
    [anon_sym_inline] = ACTIONS(2389),
    [anon_sym_external] = ACTIONS(2389),
    [anon_sym_suspend] = ACTIONS(2389),
    [anon_sym_const] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_internal] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_override] = ACTIONS(2389),
    [anon_sym_lateinit] = ACTIONS(2389),
    [anon_sym_vararg] = ACTIONS(2389),
    [anon_sym_noinline] = ACTIONS(2389),
    [anon_sym_crossinline] = ACTIONS(2389),
    [anon_sym_expect] = ACTIONS(2389),
    [anon_sym_actual] = ACTIONS(2389),
    [anon_sym_PLUS_EQ] = ACTIONS(2387),
    [anon_sym_DASH_EQ] = ACTIONS(2387),
    [anon_sym_STAR_EQ] = ACTIONS(2387),
    [anon_sym_SLASH_EQ] = ACTIONS(2387),
    [anon_sym_PERCENT_EQ] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_BANG_BANG] = ACTIONS(2387),
    [anon_sym_SLASH] = ACTIONS(2389),
    [anon_sym_PERCENT] = ACTIONS(2389),
    [anon_sym_PIPE_PIPE] = ACTIONS(2387),
    [anon_sym_AMP_AMP] = ACTIONS(2387),
    [anon_sym_BANG_EQ] = ACTIONS(2389),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2387),
    [anon_sym_EQ_EQ] = ACTIONS(2389),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2387),
    [anon_sym_GT_EQ] = ACTIONS(2387),
    [anon_sym_LT_EQ] = ACTIONS(2387),
    [anon_sym_QMARK_COLON] = ACTIONS(2387),
    [anon_sym_BANGin] = ACTIONS(2387),
    [anon_sym_is] = ACTIONS(2389),
    [anon_sym_as_QMARK] = ACTIONS(2387),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_COLON_COLON] = ACTIONS(2387),
    [sym_label] = ACTIONS(2387),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2387),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2387),
    [sym__q_dot] = ACTIONS(2387),
  },
  [4038] = {
    [sym_identifier] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3074),
    [anon_sym_as] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3074),
    [anon_sym_GT] = ACTIONS(3074),
    [anon_sym_LPAREN] = ACTIONS(3076),
    [anon_sym_get] = ACTIONS(3074),
    [anon_sym_LBRACE] = ACTIONS(3076),
    [anon_sym_in] = ACTIONS(3074),
    [anon_sym_enum] = ACTIONS(3074),
    [anon_sym_sealed] = ACTIONS(3074),
    [anon_sym_annotation] = ACTIONS(3074),
    [anon_sym_data] = ACTIONS(3074),
    [anon_sym_inner] = ACTIONS(3074),
    [anon_sym_value] = ACTIONS(3074),
    [anon_sym_tailrec] = ACTIONS(3074),
    [anon_sym_operator] = ACTIONS(3074),
    [anon_sym_infix] = ACTIONS(3074),
    [anon_sym_inline] = ACTIONS(3074),
    [anon_sym_external] = ACTIONS(3074),
    [anon_sym_suspend] = ACTIONS(3074),
    [anon_sym_const] = ACTIONS(3074),
    [anon_sym_public] = ACTIONS(3074),
    [anon_sym_private] = ACTIONS(3074),
    [anon_sym_protected] = ACTIONS(3074),
    [anon_sym_internal] = ACTIONS(3074),
    [anon_sym_abstract] = ACTIONS(3074),
    [anon_sym_final] = ACTIONS(3074),
    [anon_sym_open] = ACTIONS(3074),
    [anon_sym_override] = ACTIONS(3074),
    [anon_sym_lateinit] = ACTIONS(3074),
    [anon_sym_vararg] = ACTIONS(3074),
    [anon_sym_noinline] = ACTIONS(3074),
    [anon_sym_crossinline] = ACTIONS(3074),
    [anon_sym_expect] = ACTIONS(3074),
    [anon_sym_actual] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3076),
    [anon_sym_DASH_EQ] = ACTIONS(3076),
    [anon_sym_STAR_EQ] = ACTIONS(3076),
    [anon_sym_SLASH_EQ] = ACTIONS(3076),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_PLUS_PLUS] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3074),
    [anon_sym_DASH] = ACTIONS(3074),
    [anon_sym_BANG_BANG] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3074),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3076),
    [anon_sym_EQ_EQ] = ACTIONS(3074),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_QMARK_COLON] = ACTIONS(3076),
    [anon_sym_BANGin] = ACTIONS(3076),
    [anon_sym_is] = ACTIONS(3074),
    [anon_sym_as_QMARK] = ACTIONS(3076),
    [anon_sym_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3076),
    [anon_sym_else] = ACTIONS(3074),
    [anon_sym_COLON_COLON] = ACTIONS(3076),
    [sym_label] = ACTIONS(3076),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3076),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3076),
    [sym__q_dot] = ACTIONS(3076),
  },
  [4039] = {
    [sym_identifier] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_STAR] = ACTIONS(2393),
    [anon_sym_as] = ACTIONS(2393),
    [anon_sym_EQ] = ACTIONS(2393),
    [anon_sym_LT] = ACTIONS(2393),
    [anon_sym_GT] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_get] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_in] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_annotation] = ACTIONS(2393),
    [anon_sym_data] = ACTIONS(2393),
    [anon_sym_inner] = ACTIONS(2393),
    [anon_sym_value] = ACTIONS(2393),
    [anon_sym_tailrec] = ACTIONS(2393),
    [anon_sym_operator] = ACTIONS(2393),
    [anon_sym_infix] = ACTIONS(2393),
    [anon_sym_inline] = ACTIONS(2393),
    [anon_sym_external] = ACTIONS(2393),
    [anon_sym_suspend] = ACTIONS(2393),
    [anon_sym_const] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_internal] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_override] = ACTIONS(2393),
    [anon_sym_lateinit] = ACTIONS(2393),
    [anon_sym_vararg] = ACTIONS(2393),
    [anon_sym_noinline] = ACTIONS(2393),
    [anon_sym_crossinline] = ACTIONS(2393),
    [anon_sym_expect] = ACTIONS(2393),
    [anon_sym_actual] = ACTIONS(2393),
    [anon_sym_PLUS_EQ] = ACTIONS(2391),
    [anon_sym_DASH_EQ] = ACTIONS(2391),
    [anon_sym_STAR_EQ] = ACTIONS(2391),
    [anon_sym_SLASH_EQ] = ACTIONS(2391),
    [anon_sym_PERCENT_EQ] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_BANG_BANG] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2393),
    [anon_sym_PERCENT] = ACTIONS(2393),
    [anon_sym_PIPE_PIPE] = ACTIONS(2391),
    [anon_sym_AMP_AMP] = ACTIONS(2391),
    [anon_sym_BANG_EQ] = ACTIONS(2393),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2391),
    [anon_sym_EQ_EQ] = ACTIONS(2393),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2391),
    [anon_sym_GT_EQ] = ACTIONS(2391),
    [anon_sym_LT_EQ] = ACTIONS(2391),
    [anon_sym_QMARK_COLON] = ACTIONS(2391),
    [anon_sym_BANGin] = ACTIONS(2391),
    [anon_sym_is] = ACTIONS(2393),
    [anon_sym_as_QMARK] = ACTIONS(2391),
    [anon_sym_DOT_DOT] = ACTIONS(2393),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2391),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(2391),
    [sym_label] = ACTIONS(2391),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2391),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2391),
    [sym__q_dot] = ACTIONS(2391),
  },
  [4040] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_as] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_in] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG_BANG] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_QMARK_COLON] = ACTIONS(2929),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_as_QMARK] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [sym_label] = ACTIONS(2929),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__q_dot] = ACTIONS(2929),
  },
  [4041] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_as] = ACTIONS(3010),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_in] = ACTIONS(3010),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG_BANG] = ACTIONS(3012),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3012),
    [anon_sym_BANG_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_LT_EQ] = ACTIONS(3012),
    [anon_sym_QMARK_COLON] = ACTIONS(3012),
    [anon_sym_BANGin] = ACTIONS(3012),
    [anon_sym_is] = ACTIONS(3010),
    [anon_sym_as_QMARK] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3012),
    [anon_sym_else] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [sym_label] = ACTIONS(3012),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3012),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3012),
    [sym__q_dot] = ACTIONS(3012),
  },
  [4042] = {
    [sym_identifier] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_as] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3220),
    [anon_sym_set] = ACTIONS(3218),
    [anon_sym_LBRACE] = ACTIONS(3220),
    [anon_sym_in] = ACTIONS(3218),
    [anon_sym_enum] = ACTIONS(3218),
    [anon_sym_sealed] = ACTIONS(3218),
    [anon_sym_annotation] = ACTIONS(3218),
    [anon_sym_data] = ACTIONS(3218),
    [anon_sym_inner] = ACTIONS(3218),
    [anon_sym_value] = ACTIONS(3218),
    [anon_sym_tailrec] = ACTIONS(3218),
    [anon_sym_operator] = ACTIONS(3218),
    [anon_sym_infix] = ACTIONS(3218),
    [anon_sym_inline] = ACTIONS(3218),
    [anon_sym_external] = ACTIONS(3218),
    [anon_sym_suspend] = ACTIONS(3218),
    [anon_sym_const] = ACTIONS(3218),
    [anon_sym_public] = ACTIONS(3218),
    [anon_sym_private] = ACTIONS(3218),
    [anon_sym_protected] = ACTIONS(3218),
    [anon_sym_internal] = ACTIONS(3218),
    [anon_sym_abstract] = ACTIONS(3218),
    [anon_sym_final] = ACTIONS(3218),
    [anon_sym_open] = ACTIONS(3218),
    [anon_sym_override] = ACTIONS(3218),
    [anon_sym_lateinit] = ACTIONS(3218),
    [anon_sym_vararg] = ACTIONS(3218),
    [anon_sym_noinline] = ACTIONS(3218),
    [anon_sym_crossinline] = ACTIONS(3218),
    [anon_sym_expect] = ACTIONS(3218),
    [anon_sym_actual] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3220),
    [anon_sym_DASH_EQ] = ACTIONS(3220),
    [anon_sym_STAR_EQ] = ACTIONS(3220),
    [anon_sym_SLASH_EQ] = ACTIONS(3220),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_PLUS_PLUS] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3218),
    [anon_sym_BANG_BANG] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3218),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3220),
    [anon_sym_EQ_EQ] = ACTIONS(3218),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_QMARK_COLON] = ACTIONS(3220),
    [anon_sym_BANGin] = ACTIONS(3220),
    [anon_sym_is] = ACTIONS(3218),
    [anon_sym_as_QMARK] = ACTIONS(3220),
    [anon_sym_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3220),
    [anon_sym_else] = ACTIONS(3218),
    [anon_sym_COLON_COLON] = ACTIONS(3220),
    [sym_label] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3220),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3220),
    [sym__q_dot] = ACTIONS(3220),
  },
  [4043] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_as] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_in] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG_BANG] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_QMARK_COLON] = ACTIONS(2937),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_as_QMARK] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [sym_label] = ACTIONS(2937),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__q_dot] = ACTIONS(2937),
  },
  [4044] = {
    [sym_identifier] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_as] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3134),
    [anon_sym_GT] = ACTIONS(3134),
    [anon_sym_LPAREN] = ACTIONS(3136),
    [anon_sym_set] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_sealed] = ACTIONS(3134),
    [anon_sym_annotation] = ACTIONS(3134),
    [anon_sym_data] = ACTIONS(3134),
    [anon_sym_inner] = ACTIONS(3134),
    [anon_sym_value] = ACTIONS(3134),
    [anon_sym_tailrec] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_infix] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym_external] = ACTIONS(3134),
    [anon_sym_suspend] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_internal] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3134),
    [anon_sym_final] = ACTIONS(3134),
    [anon_sym_open] = ACTIONS(3134),
    [anon_sym_override] = ACTIONS(3134),
    [anon_sym_lateinit] = ACTIONS(3134),
    [anon_sym_vararg] = ACTIONS(3134),
    [anon_sym_noinline] = ACTIONS(3134),
    [anon_sym_crossinline] = ACTIONS(3134),
    [anon_sym_expect] = ACTIONS(3134),
    [anon_sym_actual] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3136),
    [anon_sym_DASH_EQ] = ACTIONS(3136),
    [anon_sym_STAR_EQ] = ACTIONS(3136),
    [anon_sym_SLASH_EQ] = ACTIONS(3136),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_BANG_BANG] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3134),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3136),
    [anon_sym_EQ_EQ] = ACTIONS(3134),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_QMARK_COLON] = ACTIONS(3136),
    [anon_sym_BANGin] = ACTIONS(3136),
    [anon_sym_is] = ACTIONS(3134),
    [anon_sym_as_QMARK] = ACTIONS(3136),
    [anon_sym_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3136),
    [anon_sym_else] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [sym_label] = ACTIONS(3136),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3136),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3136),
    [sym__q_dot] = ACTIONS(3136),
  },
  [4045] = {
    [sym_identifier] = ACTIONS(3064),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_as] = ACTIONS(3064),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LPAREN] = ACTIONS(3066),
    [anon_sym_set] = ACTIONS(3064),
    [anon_sym_LBRACE] = ACTIONS(3066),
    [anon_sym_in] = ACTIONS(3064),
    [anon_sym_enum] = ACTIONS(3064),
    [anon_sym_sealed] = ACTIONS(3064),
    [anon_sym_annotation] = ACTIONS(3064),
    [anon_sym_data] = ACTIONS(3064),
    [anon_sym_inner] = ACTIONS(3064),
    [anon_sym_value] = ACTIONS(3064),
    [anon_sym_tailrec] = ACTIONS(3064),
    [anon_sym_operator] = ACTIONS(3064),
    [anon_sym_infix] = ACTIONS(3064),
    [anon_sym_inline] = ACTIONS(3064),
    [anon_sym_external] = ACTIONS(3064),
    [anon_sym_suspend] = ACTIONS(3064),
    [anon_sym_const] = ACTIONS(3064),
    [anon_sym_public] = ACTIONS(3064),
    [anon_sym_private] = ACTIONS(3064),
    [anon_sym_protected] = ACTIONS(3064),
    [anon_sym_internal] = ACTIONS(3064),
    [anon_sym_abstract] = ACTIONS(3064),
    [anon_sym_final] = ACTIONS(3064),
    [anon_sym_open] = ACTIONS(3064),
    [anon_sym_override] = ACTIONS(3064),
    [anon_sym_lateinit] = ACTIONS(3064),
    [anon_sym_vararg] = ACTIONS(3064),
    [anon_sym_noinline] = ACTIONS(3064),
    [anon_sym_crossinline] = ACTIONS(3064),
    [anon_sym_expect] = ACTIONS(3064),
    [anon_sym_actual] = ACTIONS(3064),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_BANG_BANG] = ACTIONS(3066),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3066),
    [anon_sym_BANG_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3066),
    [anon_sym_QMARK_COLON] = ACTIONS(3066),
    [anon_sym_BANGin] = ACTIONS(3066),
    [anon_sym_is] = ACTIONS(3064),
    [anon_sym_as_QMARK] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3066),
    [anon_sym_else] = ACTIONS(3064),
    [anon_sym_COLON_COLON] = ACTIONS(3066),
    [sym_label] = ACTIONS(3066),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(3066),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3066),
    [sym__q_dot] = ACTIONS(3066),
  },
  [4046] = {
    [ts_builtin_sym_end] = ACTIONS(6347),
    [sym_identifier] = ACTIONS(6349),
    [anon_sym_AT] = ACTIONS(6347),
    [anon_sym_LBRACK] = ACTIONS(6347),
    [anon_sym_package] = ACTIONS(6349),
    [anon_sym_import] = ACTIONS(6349),
    [anon_sym_STAR] = ACTIONS(6347),
    [anon_sym_class] = ACTIONS(6349),
    [anon_sym_fun] = ACTIONS(6349),
    [anon_sym_interface] = ACTIONS(6349),
    [anon_sym_object] = ACTIONS(6349),
    [anon_sym_val] = ACTIONS(6349),
    [anon_sym_var] = ACTIONS(6349),
    [anon_sym_typealias] = ACTIONS(6349),
    [anon_sym_constructor] = ACTIONS(6349),
    [anon_sym_this] = ACTIONS(6349),
    [anon_sym_super] = ACTIONS(6349),
    [anon_sym_LPAREN] = ACTIONS(6347),
    [anon_sym_get] = ACTIONS(6349),
    [anon_sym_set] = ACTIONS(6349),
    [anon_sym_LBRACE] = ACTIONS(6347),
    [anon_sym_for] = ACTIONS(6349),
    [anon_sym_while] = ACTIONS(6349),
    [anon_sym_do] = ACTIONS(6349),
    [anon_sym_enum] = ACTIONS(6349),
    [anon_sym_sealed] = ACTIONS(6349),
    [anon_sym_annotation] = ACTIONS(6349),
    [anon_sym_data] = ACTIONS(6349),
    [anon_sym_inner] = ACTIONS(6349),
    [anon_sym_value] = ACTIONS(6349),
    [anon_sym_tailrec] = ACTIONS(6349),
    [anon_sym_operator] = ACTIONS(6349),
    [anon_sym_infix] = ACTIONS(6349),
    [anon_sym_inline] = ACTIONS(6349),
    [anon_sym_external] = ACTIONS(6349),
    [anon_sym_suspend] = ACTIONS(6349),
    [anon_sym_const] = ACTIONS(6349),
    [anon_sym_public] = ACTIONS(6349),
    [anon_sym_private] = ACTIONS(6349),
    [anon_sym_protected] = ACTIONS(6349),
    [anon_sym_internal] = ACTIONS(6349),
    [anon_sym_abstract] = ACTIONS(6349),
    [anon_sym_final] = ACTIONS(6349),
    [anon_sym_open] = ACTIONS(6349),
    [anon_sym_override] = ACTIONS(6349),
    [anon_sym_lateinit] = ACTIONS(6349),
    [anon_sym_vararg] = ACTIONS(6349),
    [anon_sym_noinline] = ACTIONS(6349),
    [anon_sym_crossinline] = ACTIONS(6349),
    [anon_sym_expect] = ACTIONS(6349),
    [anon_sym_actual] = ACTIONS(6349),
    [anon_sym_dynamic] = ACTIONS(6349),
    [anon_sym_PLUS_PLUS] = ACTIONS(6347),
    [anon_sym_DASH_DASH] = ACTIONS(6347),
    [anon_sym_PLUS] = ACTIONS(6349),
    [anon_sym_DASH] = ACTIONS(6349),
    [anon_sym_BANG] = ACTIONS(6347),
    [anon_sym_this_AT] = ACTIONS(6347),
    [anon_sym_super_AT] = ACTIONS(6347),
    [anon_sym_if] = ACTIONS(6349),
    [anon_sym_when] = ACTIONS(6349),
    [anon_sym_try] = ACTIONS(6349),
    [anon_sym_return] = ACTIONS(6349),
    [anon_sym_return_AT] = ACTIONS(6347),
    [anon_sym_throw] = ACTIONS(6349),
    [anon_sym_COLON_COLON] = ACTIONS(6347),
    [anon_sym_DQUOTE] = ACTIONS(6349),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6347),
    [anon_sym_SQUOTE] = ACTIONS(6347),
    [sym_number_literal] = ACTIONS(6349),
    [sym_float_literal] = ACTIONS(6347),
    [sym_label] = ACTIONS(6349),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4047] = {
    [sym_identifier] = ACTIONS(6351),
    [anon_sym_AT] = ACTIONS(6353),
    [anon_sym_LBRACK] = ACTIONS(6353),
    [anon_sym_SEMI] = ACTIONS(6353),
    [anon_sym_STAR] = ACTIONS(6353),
    [anon_sym_fun] = ACTIONS(6351),
    [anon_sym_object] = ACTIONS(6351),
    [anon_sym_EQ] = ACTIONS(6353),
    [anon_sym_constructor] = ACTIONS(6351),
    [anon_sym_this] = ACTIONS(6351),
    [anon_sym_super] = ACTIONS(6351),
    [anon_sym_LPAREN] = ACTIONS(6353),
    [anon_sym_where] = ACTIONS(6351),
    [anon_sym_by] = ACTIONS(6351),
    [anon_sym_get] = ACTIONS(6351),
    [anon_sym_set] = ACTIONS(6351),
    [anon_sym_LBRACE] = ACTIONS(6353),
    [anon_sym_RBRACE] = ACTIONS(6353),
    [anon_sym_enum] = ACTIONS(6351),
    [anon_sym_sealed] = ACTIONS(6351),
    [anon_sym_annotation] = ACTIONS(6351),
    [anon_sym_data] = ACTIONS(6351),
    [anon_sym_inner] = ACTIONS(6351),
    [anon_sym_value] = ACTIONS(6351),
    [anon_sym_tailrec] = ACTIONS(6351),
    [anon_sym_operator] = ACTIONS(6351),
    [anon_sym_infix] = ACTIONS(6351),
    [anon_sym_inline] = ACTIONS(6351),
    [anon_sym_external] = ACTIONS(6351),
    [anon_sym_suspend] = ACTIONS(6351),
    [anon_sym_const] = ACTIONS(6351),
    [anon_sym_public] = ACTIONS(6351),
    [anon_sym_private] = ACTIONS(6351),
    [anon_sym_protected] = ACTIONS(6351),
    [anon_sym_internal] = ACTIONS(6351),
    [anon_sym_abstract] = ACTIONS(6351),
    [anon_sym_final] = ACTIONS(6351),
    [anon_sym_open] = ACTIONS(6351),
    [anon_sym_override] = ACTIONS(6351),
    [anon_sym_lateinit] = ACTIONS(6351),
    [anon_sym_vararg] = ACTIONS(6351),
    [anon_sym_noinline] = ACTIONS(6351),
    [anon_sym_crossinline] = ACTIONS(6351),
    [anon_sym_expect] = ACTIONS(6351),
    [anon_sym_actual] = ACTIONS(6351),
    [anon_sym_dynamic] = ACTIONS(6351),
    [anon_sym_PLUS_PLUS] = ACTIONS(6353),
    [anon_sym_DASH_DASH] = ACTIONS(6353),
    [anon_sym_PLUS] = ACTIONS(6351),
    [anon_sym_DASH] = ACTIONS(6351),
    [anon_sym_BANG] = ACTIONS(6351),
    [anon_sym_BANGin] = ACTIONS(6353),
    [anon_sym_is] = ACTIONS(6351),
    [anon_sym_this_AT] = ACTIONS(6353),
    [anon_sym_super_AT] = ACTIONS(6353),
    [anon_sym_if] = ACTIONS(6351),
    [anon_sym_else] = ACTIONS(6351),
    [anon_sym_when] = ACTIONS(6351),
    [anon_sym_try] = ACTIONS(6351),
    [anon_sym_return] = ACTIONS(6351),
    [anon_sym_return_AT] = ACTIONS(6353),
    [anon_sym_throw] = ACTIONS(6351),
    [anon_sym_COLON_COLON] = ACTIONS(6353),
    [anon_sym_DQUOTE] = ACTIONS(6351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6353),
    [anon_sym_SQUOTE] = ACTIONS(6353),
    [sym_number_literal] = ACTIONS(6351),
    [sym_float_literal] = ACTIONS(6353),
    [sym_label] = ACTIONS(6351),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6353),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6353),
    [sym__in] = ACTIONS(6353),
  },
  [4048] = {
    [sym_identifier] = ACTIONS(6355),
    [anon_sym_AT] = ACTIONS(6357),
    [anon_sym_LBRACK] = ACTIONS(6357),
    [anon_sym_SEMI] = ACTIONS(6357),
    [anon_sym_STAR] = ACTIONS(6357),
    [anon_sym_fun] = ACTIONS(6355),
    [anon_sym_object] = ACTIONS(6355),
    [anon_sym_EQ] = ACTIONS(6357),
    [anon_sym_constructor] = ACTIONS(6355),
    [anon_sym_this] = ACTIONS(6355),
    [anon_sym_super] = ACTIONS(6355),
    [anon_sym_LPAREN] = ACTIONS(6357),
    [anon_sym_where] = ACTIONS(6355),
    [anon_sym_by] = ACTIONS(6355),
    [anon_sym_get] = ACTIONS(6355),
    [anon_sym_set] = ACTIONS(6355),
    [anon_sym_LBRACE] = ACTIONS(6357),
    [anon_sym_RBRACE] = ACTIONS(6357),
    [anon_sym_enum] = ACTIONS(6355),
    [anon_sym_sealed] = ACTIONS(6355),
    [anon_sym_annotation] = ACTIONS(6355),
    [anon_sym_data] = ACTIONS(6355),
    [anon_sym_inner] = ACTIONS(6355),
    [anon_sym_value] = ACTIONS(6355),
    [anon_sym_tailrec] = ACTIONS(6355),
    [anon_sym_operator] = ACTIONS(6355),
    [anon_sym_infix] = ACTIONS(6355),
    [anon_sym_inline] = ACTIONS(6355),
    [anon_sym_external] = ACTIONS(6355),
    [anon_sym_suspend] = ACTIONS(6355),
    [anon_sym_const] = ACTIONS(6355),
    [anon_sym_public] = ACTIONS(6355),
    [anon_sym_private] = ACTIONS(6355),
    [anon_sym_protected] = ACTIONS(6355),
    [anon_sym_internal] = ACTIONS(6355),
    [anon_sym_abstract] = ACTIONS(6355),
    [anon_sym_final] = ACTIONS(6355),
    [anon_sym_open] = ACTIONS(6355),
    [anon_sym_override] = ACTIONS(6355),
    [anon_sym_lateinit] = ACTIONS(6355),
    [anon_sym_vararg] = ACTIONS(6355),
    [anon_sym_noinline] = ACTIONS(6355),
    [anon_sym_crossinline] = ACTIONS(6355),
    [anon_sym_expect] = ACTIONS(6355),
    [anon_sym_actual] = ACTIONS(6355),
    [anon_sym_dynamic] = ACTIONS(6355),
    [anon_sym_PLUS_PLUS] = ACTIONS(6357),
    [anon_sym_DASH_DASH] = ACTIONS(6357),
    [anon_sym_PLUS] = ACTIONS(6355),
    [anon_sym_DASH] = ACTIONS(6355),
    [anon_sym_BANG] = ACTIONS(6355),
    [anon_sym_BANGin] = ACTIONS(6357),
    [anon_sym_is] = ACTIONS(6355),
    [anon_sym_this_AT] = ACTIONS(6357),
    [anon_sym_super_AT] = ACTIONS(6357),
    [anon_sym_if] = ACTIONS(6355),
    [anon_sym_else] = ACTIONS(6355),
    [anon_sym_when] = ACTIONS(6355),
    [anon_sym_try] = ACTIONS(6355),
    [anon_sym_return] = ACTIONS(6355),
    [anon_sym_return_AT] = ACTIONS(6357),
    [anon_sym_throw] = ACTIONS(6355),
    [anon_sym_COLON_COLON] = ACTIONS(6357),
    [anon_sym_DQUOTE] = ACTIONS(6355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6357),
    [anon_sym_SQUOTE] = ACTIONS(6357),
    [sym_number_literal] = ACTIONS(6355),
    [sym_float_literal] = ACTIONS(6357),
    [sym_label] = ACTIONS(6355),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6357),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6357),
    [sym__in] = ACTIONS(6357),
  },
  [4049] = {
    [sym_identifier] = ACTIONS(6157),
    [anon_sym_AT] = ACTIONS(6159),
    [anon_sym_LBRACK] = ACTIONS(6159),
    [anon_sym_SEMI] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6159),
    [anon_sym_fun] = ACTIONS(6157),
    [anon_sym_object] = ACTIONS(6157),
    [anon_sym_EQ] = ACTIONS(6159),
    [anon_sym_constructor] = ACTIONS(6157),
    [anon_sym_this] = ACTIONS(6157),
    [anon_sym_super] = ACTIONS(6157),
    [anon_sym_LPAREN] = ACTIONS(6159),
    [anon_sym_where] = ACTIONS(6157),
    [anon_sym_by] = ACTIONS(6157),
    [anon_sym_get] = ACTIONS(6157),
    [anon_sym_set] = ACTIONS(6157),
    [anon_sym_LBRACE] = ACTIONS(6159),
    [anon_sym_RBRACE] = ACTIONS(6159),
    [anon_sym_enum] = ACTIONS(6157),
    [anon_sym_sealed] = ACTIONS(6157),
    [anon_sym_annotation] = ACTIONS(6157),
    [anon_sym_data] = ACTIONS(6157),
    [anon_sym_inner] = ACTIONS(6157),
    [anon_sym_value] = ACTIONS(6157),
    [anon_sym_tailrec] = ACTIONS(6157),
    [anon_sym_operator] = ACTIONS(6157),
    [anon_sym_infix] = ACTIONS(6157),
    [anon_sym_inline] = ACTIONS(6157),
    [anon_sym_external] = ACTIONS(6157),
    [anon_sym_suspend] = ACTIONS(6157),
    [anon_sym_const] = ACTIONS(6157),
    [anon_sym_public] = ACTIONS(6157),
    [anon_sym_private] = ACTIONS(6157),
    [anon_sym_protected] = ACTIONS(6157),
    [anon_sym_internal] = ACTIONS(6157),
    [anon_sym_abstract] = ACTIONS(6157),
    [anon_sym_final] = ACTIONS(6157),
    [anon_sym_open] = ACTIONS(6157),
    [anon_sym_override] = ACTIONS(6157),
    [anon_sym_lateinit] = ACTIONS(6157),
    [anon_sym_vararg] = ACTIONS(6157),
    [anon_sym_noinline] = ACTIONS(6157),
    [anon_sym_crossinline] = ACTIONS(6157),
    [anon_sym_expect] = ACTIONS(6157),
    [anon_sym_actual] = ACTIONS(6157),
    [anon_sym_dynamic] = ACTIONS(6157),
    [anon_sym_PLUS_PLUS] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6157),
    [anon_sym_DASH] = ACTIONS(6157),
    [anon_sym_BANG] = ACTIONS(6157),
    [anon_sym_BANGin] = ACTIONS(6159),
    [anon_sym_is] = ACTIONS(6157),
    [anon_sym_this_AT] = ACTIONS(6159),
    [anon_sym_super_AT] = ACTIONS(6159),
    [anon_sym_if] = ACTIONS(6157),
    [anon_sym_else] = ACTIONS(6157),
    [anon_sym_when] = ACTIONS(6157),
    [anon_sym_try] = ACTIONS(6157),
    [anon_sym_return] = ACTIONS(6157),
    [anon_sym_return_AT] = ACTIONS(6159),
    [anon_sym_throw] = ACTIONS(6157),
    [anon_sym_COLON_COLON] = ACTIONS(6159),
    [anon_sym_DQUOTE] = ACTIONS(6157),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6159),
    [anon_sym_SQUOTE] = ACTIONS(6159),
    [sym_number_literal] = ACTIONS(6157),
    [sym_float_literal] = ACTIONS(6159),
    [sym_label] = ACTIONS(6157),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6159),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6159),
    [sym__in] = ACTIONS(6159),
  },
  [4050] = {
    [sym_identifier] = ACTIONS(6359),
    [anon_sym_AT] = ACTIONS(6361),
    [anon_sym_LBRACK] = ACTIONS(6361),
    [anon_sym_SEMI] = ACTIONS(6361),
    [anon_sym_STAR] = ACTIONS(6361),
    [anon_sym_fun] = ACTIONS(6359),
    [anon_sym_object] = ACTIONS(6359),
    [anon_sym_EQ] = ACTIONS(6361),
    [anon_sym_constructor] = ACTIONS(6359),
    [anon_sym_this] = ACTIONS(6359),
    [anon_sym_super] = ACTIONS(6359),
    [anon_sym_LPAREN] = ACTIONS(6361),
    [anon_sym_where] = ACTIONS(6359),
    [anon_sym_by] = ACTIONS(6359),
    [anon_sym_get] = ACTIONS(6359),
    [anon_sym_set] = ACTIONS(6359),
    [anon_sym_LBRACE] = ACTIONS(6361),
    [anon_sym_RBRACE] = ACTIONS(6361),
    [anon_sym_enum] = ACTIONS(6359),
    [anon_sym_sealed] = ACTIONS(6359),
    [anon_sym_annotation] = ACTIONS(6359),
    [anon_sym_data] = ACTIONS(6359),
    [anon_sym_inner] = ACTIONS(6359),
    [anon_sym_value] = ACTIONS(6359),
    [anon_sym_tailrec] = ACTIONS(6359),
    [anon_sym_operator] = ACTIONS(6359),
    [anon_sym_infix] = ACTIONS(6359),
    [anon_sym_inline] = ACTIONS(6359),
    [anon_sym_external] = ACTIONS(6359),
    [anon_sym_suspend] = ACTIONS(6359),
    [anon_sym_const] = ACTIONS(6359),
    [anon_sym_public] = ACTIONS(6359),
    [anon_sym_private] = ACTIONS(6359),
    [anon_sym_protected] = ACTIONS(6359),
    [anon_sym_internal] = ACTIONS(6359),
    [anon_sym_abstract] = ACTIONS(6359),
    [anon_sym_final] = ACTIONS(6359),
    [anon_sym_open] = ACTIONS(6359),
    [anon_sym_override] = ACTIONS(6359),
    [anon_sym_lateinit] = ACTIONS(6359),
    [anon_sym_vararg] = ACTIONS(6359),
    [anon_sym_noinline] = ACTIONS(6359),
    [anon_sym_crossinline] = ACTIONS(6359),
    [anon_sym_expect] = ACTIONS(6359),
    [anon_sym_actual] = ACTIONS(6359),
    [anon_sym_dynamic] = ACTIONS(6359),
    [anon_sym_PLUS_PLUS] = ACTIONS(6361),
    [anon_sym_DASH_DASH] = ACTIONS(6361),
    [anon_sym_PLUS] = ACTIONS(6359),
    [anon_sym_DASH] = ACTIONS(6359),
    [anon_sym_BANG] = ACTIONS(6359),
    [anon_sym_BANGin] = ACTIONS(6361),
    [anon_sym_is] = ACTIONS(6359),
    [anon_sym_this_AT] = ACTIONS(6361),
    [anon_sym_super_AT] = ACTIONS(6361),
    [anon_sym_if] = ACTIONS(6359),
    [anon_sym_else] = ACTIONS(6359),
    [anon_sym_when] = ACTIONS(6359),
    [anon_sym_try] = ACTIONS(6359),
    [anon_sym_return] = ACTIONS(6359),
    [anon_sym_return_AT] = ACTIONS(6361),
    [anon_sym_throw] = ACTIONS(6359),
    [anon_sym_COLON_COLON] = ACTIONS(6361),
    [anon_sym_DQUOTE] = ACTIONS(6359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6361),
    [anon_sym_SQUOTE] = ACTIONS(6361),
    [sym_number_literal] = ACTIONS(6359),
    [sym_float_literal] = ACTIONS(6361),
    [sym_label] = ACTIONS(6359),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6361),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6361),
    [sym__in] = ACTIONS(6361),
  },
  [4051] = {
    [ts_builtin_sym_end] = ACTIONS(6363),
    [sym_identifier] = ACTIONS(6365),
    [anon_sym_AT] = ACTIONS(6363),
    [anon_sym_LBRACK] = ACTIONS(6363),
    [anon_sym_package] = ACTIONS(6365),
    [anon_sym_import] = ACTIONS(6365),
    [anon_sym_STAR] = ACTIONS(6363),
    [anon_sym_class] = ACTIONS(6365),
    [anon_sym_fun] = ACTIONS(6365),
    [anon_sym_interface] = ACTIONS(6365),
    [anon_sym_object] = ACTIONS(6365),
    [anon_sym_val] = ACTIONS(6365),
    [anon_sym_var] = ACTIONS(6365),
    [anon_sym_typealias] = ACTIONS(6365),
    [anon_sym_constructor] = ACTIONS(6365),
    [anon_sym_this] = ACTIONS(6365),
    [anon_sym_super] = ACTIONS(6365),
    [anon_sym_LPAREN] = ACTIONS(6363),
    [anon_sym_get] = ACTIONS(6365),
    [anon_sym_set] = ACTIONS(6365),
    [anon_sym_LBRACE] = ACTIONS(6363),
    [anon_sym_for] = ACTIONS(6365),
    [anon_sym_while] = ACTIONS(6365),
    [anon_sym_do] = ACTIONS(6365),
    [anon_sym_enum] = ACTIONS(6365),
    [anon_sym_sealed] = ACTIONS(6365),
    [anon_sym_annotation] = ACTIONS(6365),
    [anon_sym_data] = ACTIONS(6365),
    [anon_sym_inner] = ACTIONS(6365),
    [anon_sym_value] = ACTIONS(6365),
    [anon_sym_tailrec] = ACTIONS(6365),
    [anon_sym_operator] = ACTIONS(6365),
    [anon_sym_infix] = ACTIONS(6365),
    [anon_sym_inline] = ACTIONS(6365),
    [anon_sym_external] = ACTIONS(6365),
    [anon_sym_suspend] = ACTIONS(6365),
    [anon_sym_const] = ACTIONS(6365),
    [anon_sym_public] = ACTIONS(6365),
    [anon_sym_private] = ACTIONS(6365),
    [anon_sym_protected] = ACTIONS(6365),
    [anon_sym_internal] = ACTIONS(6365),
    [anon_sym_abstract] = ACTIONS(6365),
    [anon_sym_final] = ACTIONS(6365),
    [anon_sym_open] = ACTIONS(6365),
    [anon_sym_override] = ACTIONS(6365),
    [anon_sym_lateinit] = ACTIONS(6365),
    [anon_sym_vararg] = ACTIONS(6365),
    [anon_sym_noinline] = ACTIONS(6365),
    [anon_sym_crossinline] = ACTIONS(6365),
    [anon_sym_expect] = ACTIONS(6365),
    [anon_sym_actual] = ACTIONS(6365),
    [anon_sym_dynamic] = ACTIONS(6365),
    [anon_sym_PLUS_PLUS] = ACTIONS(6363),
    [anon_sym_DASH_DASH] = ACTIONS(6363),
    [anon_sym_PLUS] = ACTIONS(6365),
    [anon_sym_DASH] = ACTIONS(6365),
    [anon_sym_BANG] = ACTIONS(6363),
    [anon_sym_this_AT] = ACTIONS(6363),
    [anon_sym_super_AT] = ACTIONS(6363),
    [anon_sym_if] = ACTIONS(6365),
    [anon_sym_when] = ACTIONS(6365),
    [anon_sym_try] = ACTIONS(6365),
    [anon_sym_return] = ACTIONS(6365),
    [anon_sym_return_AT] = ACTIONS(6363),
    [anon_sym_throw] = ACTIONS(6365),
    [anon_sym_COLON_COLON] = ACTIONS(6363),
    [anon_sym_DQUOTE] = ACTIONS(6365),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6363),
    [anon_sym_SQUOTE] = ACTIONS(6363),
    [sym_number_literal] = ACTIONS(6365),
    [sym_float_literal] = ACTIONS(6363),
    [sym_label] = ACTIONS(6365),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4052] = {
    [sym_function_body] = STATE(3222),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4053] = {
    [sym_function_body] = STATE(3094),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4054] = {
    [ts_builtin_sym_end] = ACTIONS(6367),
    [sym_identifier] = ACTIONS(6369),
    [anon_sym_AT] = ACTIONS(6367),
    [anon_sym_LBRACK] = ACTIONS(6367),
    [anon_sym_SEMI] = ACTIONS(6371),
    [anon_sym_import] = ACTIONS(6369),
    [anon_sym_STAR] = ACTIONS(6367),
    [anon_sym_class] = ACTIONS(6369),
    [anon_sym_fun] = ACTIONS(6369),
    [anon_sym_interface] = ACTIONS(6369),
    [anon_sym_object] = ACTIONS(6369),
    [anon_sym_val] = ACTIONS(6369),
    [anon_sym_var] = ACTIONS(6369),
    [anon_sym_typealias] = ACTIONS(6369),
    [anon_sym_constructor] = ACTIONS(6369),
    [anon_sym_this] = ACTIONS(6369),
    [anon_sym_super] = ACTIONS(6369),
    [anon_sym_LPAREN] = ACTIONS(6367),
    [anon_sym_get] = ACTIONS(6369),
    [anon_sym_set] = ACTIONS(6369),
    [anon_sym_LBRACE] = ACTIONS(6367),
    [anon_sym_for] = ACTIONS(6369),
    [anon_sym_while] = ACTIONS(6369),
    [anon_sym_do] = ACTIONS(6369),
    [anon_sym_enum] = ACTIONS(6369),
    [anon_sym_sealed] = ACTIONS(6369),
    [anon_sym_annotation] = ACTIONS(6369),
    [anon_sym_data] = ACTIONS(6369),
    [anon_sym_inner] = ACTIONS(6369),
    [anon_sym_value] = ACTIONS(6369),
    [anon_sym_tailrec] = ACTIONS(6369),
    [anon_sym_operator] = ACTIONS(6369),
    [anon_sym_infix] = ACTIONS(6369),
    [anon_sym_inline] = ACTIONS(6369),
    [anon_sym_external] = ACTIONS(6369),
    [anon_sym_suspend] = ACTIONS(6369),
    [anon_sym_const] = ACTIONS(6369),
    [anon_sym_public] = ACTIONS(6369),
    [anon_sym_private] = ACTIONS(6369),
    [anon_sym_protected] = ACTIONS(6369),
    [anon_sym_internal] = ACTIONS(6369),
    [anon_sym_abstract] = ACTIONS(6369),
    [anon_sym_final] = ACTIONS(6369),
    [anon_sym_open] = ACTIONS(6369),
    [anon_sym_override] = ACTIONS(6369),
    [anon_sym_lateinit] = ACTIONS(6369),
    [anon_sym_vararg] = ACTIONS(6369),
    [anon_sym_noinline] = ACTIONS(6369),
    [anon_sym_crossinline] = ACTIONS(6369),
    [anon_sym_expect] = ACTIONS(6369),
    [anon_sym_actual] = ACTIONS(6369),
    [anon_sym_dynamic] = ACTIONS(6369),
    [anon_sym_PLUS_PLUS] = ACTIONS(6367),
    [anon_sym_DASH_DASH] = ACTIONS(6367),
    [anon_sym_PLUS] = ACTIONS(6369),
    [anon_sym_DASH] = ACTIONS(6369),
    [anon_sym_BANG] = ACTIONS(6367),
    [anon_sym_this_AT] = ACTIONS(6367),
    [anon_sym_super_AT] = ACTIONS(6367),
    [anon_sym_if] = ACTIONS(6369),
    [anon_sym_when] = ACTIONS(6369),
    [anon_sym_try] = ACTIONS(6369),
    [anon_sym_return] = ACTIONS(6369),
    [anon_sym_return_AT] = ACTIONS(6367),
    [anon_sym_throw] = ACTIONS(6369),
    [anon_sym_COLON_COLON] = ACTIONS(6367),
    [anon_sym_DQUOTE] = ACTIONS(6369),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6367),
    [anon_sym_SQUOTE] = ACTIONS(6367),
    [sym_number_literal] = ACTIONS(6369),
    [sym_float_literal] = ACTIONS(6367),
    [sym_label] = ACTIONS(6369),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4055] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_AT] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_fun] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2995),
    [anon_sym_constructor] = ACTIONS(2993),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_super] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_annotation] = ACTIONS(2993),
    [anon_sym_data] = ACTIONS(2993),
    [anon_sym_inner] = ACTIONS(2993),
    [anon_sym_value] = ACTIONS(2993),
    [anon_sym_tailrec] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_infix] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym_external] = ACTIONS(2993),
    [anon_sym_suspend] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_final] = ACTIONS(2993),
    [anon_sym_open] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_lateinit] = ACTIONS(2993),
    [anon_sym_vararg] = ACTIONS(2993),
    [anon_sym_noinline] = ACTIONS(2993),
    [anon_sym_crossinline] = ACTIONS(2993),
    [anon_sym_expect] = ACTIONS(2993),
    [anon_sym_actual] = ACTIONS(2993),
    [anon_sym_dynamic] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_BANGin] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2993),
    [anon_sym_this_AT] = ACTIONS(2995),
    [anon_sym_super_AT] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_return_AT] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2993),
    [sym_float_literal] = ACTIONS(2995),
    [sym_label] = ACTIONS(2993),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2995),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2995),
    [sym__in] = ACTIONS(2995),
  },
  [4056] = {
    [ts_builtin_sym_end] = ACTIONS(6373),
    [sym_identifier] = ACTIONS(6375),
    [anon_sym_AT] = ACTIONS(6373),
    [anon_sym_LBRACK] = ACTIONS(6373),
    [anon_sym_SEMI] = ACTIONS(6377),
    [anon_sym_import] = ACTIONS(6375),
    [anon_sym_STAR] = ACTIONS(6373),
    [anon_sym_class] = ACTIONS(6375),
    [anon_sym_fun] = ACTIONS(6375),
    [anon_sym_interface] = ACTIONS(6375),
    [anon_sym_object] = ACTIONS(6375),
    [anon_sym_val] = ACTIONS(6375),
    [anon_sym_var] = ACTIONS(6375),
    [anon_sym_typealias] = ACTIONS(6375),
    [anon_sym_constructor] = ACTIONS(6375),
    [anon_sym_this] = ACTIONS(6375),
    [anon_sym_super] = ACTIONS(6375),
    [anon_sym_LPAREN] = ACTIONS(6373),
    [anon_sym_get] = ACTIONS(6375),
    [anon_sym_set] = ACTIONS(6375),
    [anon_sym_LBRACE] = ACTIONS(6373),
    [anon_sym_for] = ACTIONS(6375),
    [anon_sym_while] = ACTIONS(6375),
    [anon_sym_do] = ACTIONS(6375),
    [anon_sym_enum] = ACTIONS(6375),
    [anon_sym_sealed] = ACTIONS(6375),
    [anon_sym_annotation] = ACTIONS(6375),
    [anon_sym_data] = ACTIONS(6375),
    [anon_sym_inner] = ACTIONS(6375),
    [anon_sym_value] = ACTIONS(6375),
    [anon_sym_tailrec] = ACTIONS(6375),
    [anon_sym_operator] = ACTIONS(6375),
    [anon_sym_infix] = ACTIONS(6375),
    [anon_sym_inline] = ACTIONS(6375),
    [anon_sym_external] = ACTIONS(6375),
    [anon_sym_suspend] = ACTIONS(6375),
    [anon_sym_const] = ACTIONS(6375),
    [anon_sym_public] = ACTIONS(6375),
    [anon_sym_private] = ACTIONS(6375),
    [anon_sym_protected] = ACTIONS(6375),
    [anon_sym_internal] = ACTIONS(6375),
    [anon_sym_abstract] = ACTIONS(6375),
    [anon_sym_final] = ACTIONS(6375),
    [anon_sym_open] = ACTIONS(6375),
    [anon_sym_override] = ACTIONS(6375),
    [anon_sym_lateinit] = ACTIONS(6375),
    [anon_sym_vararg] = ACTIONS(6375),
    [anon_sym_noinline] = ACTIONS(6375),
    [anon_sym_crossinline] = ACTIONS(6375),
    [anon_sym_expect] = ACTIONS(6375),
    [anon_sym_actual] = ACTIONS(6375),
    [anon_sym_dynamic] = ACTIONS(6375),
    [anon_sym_PLUS_PLUS] = ACTIONS(6373),
    [anon_sym_DASH_DASH] = ACTIONS(6373),
    [anon_sym_PLUS] = ACTIONS(6375),
    [anon_sym_DASH] = ACTIONS(6375),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_this_AT] = ACTIONS(6373),
    [anon_sym_super_AT] = ACTIONS(6373),
    [anon_sym_if] = ACTIONS(6375),
    [anon_sym_when] = ACTIONS(6375),
    [anon_sym_try] = ACTIONS(6375),
    [anon_sym_return] = ACTIONS(6375),
    [anon_sym_return_AT] = ACTIONS(6373),
    [anon_sym_throw] = ACTIONS(6375),
    [anon_sym_COLON_COLON] = ACTIONS(6373),
    [anon_sym_DQUOTE] = ACTIONS(6375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6373),
    [anon_sym_SQUOTE] = ACTIONS(6373),
    [sym_number_literal] = ACTIONS(6375),
    [sym_float_literal] = ACTIONS(6373),
    [sym_label] = ACTIONS(6375),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4057] = {
    [sym_function_body] = STATE(3080),
    [sym_block] = STATE(3133),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4058] = {
    [sym_function_body] = STATE(3634),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4059] = {
    [sym_function_body] = STATE(3417),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4060] = {
    [ts_builtin_sym_end] = ACTIONS(6379),
    [sym_identifier] = ACTIONS(6381),
    [anon_sym_AT] = ACTIONS(6379),
    [anon_sym_LBRACK] = ACTIONS(6379),
    [anon_sym_import] = ACTIONS(6381),
    [anon_sym_STAR] = ACTIONS(6379),
    [anon_sym_class] = ACTIONS(6381),
    [anon_sym_fun] = ACTIONS(6381),
    [anon_sym_interface] = ACTIONS(6381),
    [anon_sym_object] = ACTIONS(6381),
    [anon_sym_val] = ACTIONS(6381),
    [anon_sym_var] = ACTIONS(6381),
    [anon_sym_typealias] = ACTIONS(6381),
    [anon_sym_constructor] = ACTIONS(6381),
    [anon_sym_this] = ACTIONS(6381),
    [anon_sym_super] = ACTIONS(6381),
    [anon_sym_LPAREN] = ACTIONS(6379),
    [anon_sym_get] = ACTIONS(6381),
    [anon_sym_set] = ACTIONS(6381),
    [anon_sym_LBRACE] = ACTIONS(6379),
    [anon_sym_for] = ACTIONS(6381),
    [anon_sym_while] = ACTIONS(6381),
    [anon_sym_do] = ACTIONS(6381),
    [anon_sym_enum] = ACTIONS(6381),
    [anon_sym_sealed] = ACTIONS(6381),
    [anon_sym_annotation] = ACTIONS(6381),
    [anon_sym_data] = ACTIONS(6381),
    [anon_sym_inner] = ACTIONS(6381),
    [anon_sym_value] = ACTIONS(6381),
    [anon_sym_tailrec] = ACTIONS(6381),
    [anon_sym_operator] = ACTIONS(6381),
    [anon_sym_infix] = ACTIONS(6381),
    [anon_sym_inline] = ACTIONS(6381),
    [anon_sym_external] = ACTIONS(6381),
    [anon_sym_suspend] = ACTIONS(6381),
    [anon_sym_const] = ACTIONS(6381),
    [anon_sym_public] = ACTIONS(6381),
    [anon_sym_private] = ACTIONS(6381),
    [anon_sym_protected] = ACTIONS(6381),
    [anon_sym_internal] = ACTIONS(6381),
    [anon_sym_abstract] = ACTIONS(6381),
    [anon_sym_final] = ACTIONS(6381),
    [anon_sym_open] = ACTIONS(6381),
    [anon_sym_override] = ACTIONS(6381),
    [anon_sym_lateinit] = ACTIONS(6381),
    [anon_sym_vararg] = ACTIONS(6381),
    [anon_sym_noinline] = ACTIONS(6381),
    [anon_sym_crossinline] = ACTIONS(6381),
    [anon_sym_expect] = ACTIONS(6381),
    [anon_sym_actual] = ACTIONS(6381),
    [anon_sym_dynamic] = ACTIONS(6381),
    [anon_sym_PLUS_PLUS] = ACTIONS(6379),
    [anon_sym_DASH_DASH] = ACTIONS(6379),
    [anon_sym_PLUS] = ACTIONS(6381),
    [anon_sym_DASH] = ACTIONS(6381),
    [anon_sym_BANG] = ACTIONS(6379),
    [anon_sym_this_AT] = ACTIONS(6379),
    [anon_sym_super_AT] = ACTIONS(6379),
    [anon_sym_if] = ACTIONS(6381),
    [anon_sym_when] = ACTIONS(6381),
    [anon_sym_try] = ACTIONS(6381),
    [anon_sym_return] = ACTIONS(6381),
    [anon_sym_return_AT] = ACTIONS(6379),
    [anon_sym_throw] = ACTIONS(6381),
    [anon_sym_COLON_COLON] = ACTIONS(6379),
    [anon_sym_DQUOTE] = ACTIONS(6381),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6379),
    [anon_sym_SQUOTE] = ACTIONS(6379),
    [sym_number_literal] = ACTIONS(6381),
    [sym_float_literal] = ACTIONS(6379),
    [sym_label] = ACTIONS(6381),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4061] = {
    [sym_function_body] = STATE(3426),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4062] = {
    [sym_function_body] = STATE(3343),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4063] = {
    [ts_builtin_sym_end] = ACTIONS(6383),
    [sym_identifier] = ACTIONS(6385),
    [anon_sym_AT] = ACTIONS(6383),
    [anon_sym_LBRACK] = ACTIONS(6383),
    [anon_sym_import] = ACTIONS(6385),
    [anon_sym_STAR] = ACTIONS(6383),
    [anon_sym_class] = ACTIONS(6385),
    [anon_sym_fun] = ACTIONS(6385),
    [anon_sym_interface] = ACTIONS(6385),
    [anon_sym_object] = ACTIONS(6385),
    [anon_sym_val] = ACTIONS(6385),
    [anon_sym_var] = ACTIONS(6385),
    [anon_sym_typealias] = ACTIONS(6385),
    [anon_sym_constructor] = ACTIONS(6385),
    [anon_sym_this] = ACTIONS(6385),
    [anon_sym_super] = ACTIONS(6385),
    [anon_sym_LPAREN] = ACTIONS(6383),
    [anon_sym_get] = ACTIONS(6385),
    [anon_sym_set] = ACTIONS(6385),
    [anon_sym_LBRACE] = ACTIONS(6383),
    [anon_sym_for] = ACTIONS(6385),
    [anon_sym_while] = ACTIONS(6385),
    [anon_sym_do] = ACTIONS(6385),
    [anon_sym_enum] = ACTIONS(6385),
    [anon_sym_sealed] = ACTIONS(6385),
    [anon_sym_annotation] = ACTIONS(6385),
    [anon_sym_data] = ACTIONS(6385),
    [anon_sym_inner] = ACTIONS(6385),
    [anon_sym_value] = ACTIONS(6385),
    [anon_sym_tailrec] = ACTIONS(6385),
    [anon_sym_operator] = ACTIONS(6385),
    [anon_sym_infix] = ACTIONS(6385),
    [anon_sym_inline] = ACTIONS(6385),
    [anon_sym_external] = ACTIONS(6385),
    [anon_sym_suspend] = ACTIONS(6385),
    [anon_sym_const] = ACTIONS(6385),
    [anon_sym_public] = ACTIONS(6385),
    [anon_sym_private] = ACTIONS(6385),
    [anon_sym_protected] = ACTIONS(6385),
    [anon_sym_internal] = ACTIONS(6385),
    [anon_sym_abstract] = ACTIONS(6385),
    [anon_sym_final] = ACTIONS(6385),
    [anon_sym_open] = ACTIONS(6385),
    [anon_sym_override] = ACTIONS(6385),
    [anon_sym_lateinit] = ACTIONS(6385),
    [anon_sym_vararg] = ACTIONS(6385),
    [anon_sym_noinline] = ACTIONS(6385),
    [anon_sym_crossinline] = ACTIONS(6385),
    [anon_sym_expect] = ACTIONS(6385),
    [anon_sym_actual] = ACTIONS(6385),
    [anon_sym_dynamic] = ACTIONS(6385),
    [anon_sym_PLUS_PLUS] = ACTIONS(6383),
    [anon_sym_DASH_DASH] = ACTIONS(6383),
    [anon_sym_PLUS] = ACTIONS(6385),
    [anon_sym_DASH] = ACTIONS(6385),
    [anon_sym_BANG] = ACTIONS(6383),
    [anon_sym_this_AT] = ACTIONS(6383),
    [anon_sym_super_AT] = ACTIONS(6383),
    [anon_sym_if] = ACTIONS(6385),
    [anon_sym_when] = ACTIONS(6385),
    [anon_sym_try] = ACTIONS(6385),
    [anon_sym_return] = ACTIONS(6385),
    [anon_sym_return_AT] = ACTIONS(6383),
    [anon_sym_throw] = ACTIONS(6385),
    [anon_sym_COLON_COLON] = ACTIONS(6383),
    [anon_sym_DQUOTE] = ACTIONS(6385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6383),
    [anon_sym_SQUOTE] = ACTIONS(6383),
    [sym_number_literal] = ACTIONS(6385),
    [sym_float_literal] = ACTIONS(6383),
    [sym_label] = ACTIONS(6385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4064] = {
    [ts_builtin_sym_end] = ACTIONS(6387),
    [sym_identifier] = ACTIONS(6389),
    [anon_sym_AT] = ACTIONS(6387),
    [anon_sym_LBRACK] = ACTIONS(6387),
    [anon_sym_import] = ACTIONS(6389),
    [anon_sym_STAR] = ACTIONS(6387),
    [anon_sym_class] = ACTIONS(6389),
    [anon_sym_fun] = ACTIONS(6389),
    [anon_sym_interface] = ACTIONS(6389),
    [anon_sym_object] = ACTIONS(6389),
    [anon_sym_val] = ACTIONS(6389),
    [anon_sym_var] = ACTIONS(6389),
    [anon_sym_typealias] = ACTIONS(6389),
    [anon_sym_constructor] = ACTIONS(6389),
    [anon_sym_this] = ACTIONS(6389),
    [anon_sym_super] = ACTIONS(6389),
    [anon_sym_LPAREN] = ACTIONS(6387),
    [anon_sym_get] = ACTIONS(6389),
    [anon_sym_set] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(6387),
    [anon_sym_for] = ACTIONS(6389),
    [anon_sym_while] = ACTIONS(6389),
    [anon_sym_do] = ACTIONS(6389),
    [anon_sym_enum] = ACTIONS(6389),
    [anon_sym_sealed] = ACTIONS(6389),
    [anon_sym_annotation] = ACTIONS(6389),
    [anon_sym_data] = ACTIONS(6389),
    [anon_sym_inner] = ACTIONS(6389),
    [anon_sym_value] = ACTIONS(6389),
    [anon_sym_tailrec] = ACTIONS(6389),
    [anon_sym_operator] = ACTIONS(6389),
    [anon_sym_infix] = ACTIONS(6389),
    [anon_sym_inline] = ACTIONS(6389),
    [anon_sym_external] = ACTIONS(6389),
    [anon_sym_suspend] = ACTIONS(6389),
    [anon_sym_const] = ACTIONS(6389),
    [anon_sym_public] = ACTIONS(6389),
    [anon_sym_private] = ACTIONS(6389),
    [anon_sym_protected] = ACTIONS(6389),
    [anon_sym_internal] = ACTIONS(6389),
    [anon_sym_abstract] = ACTIONS(6389),
    [anon_sym_final] = ACTIONS(6389),
    [anon_sym_open] = ACTIONS(6389),
    [anon_sym_override] = ACTIONS(6389),
    [anon_sym_lateinit] = ACTIONS(6389),
    [anon_sym_vararg] = ACTIONS(6389),
    [anon_sym_noinline] = ACTIONS(6389),
    [anon_sym_crossinline] = ACTIONS(6389),
    [anon_sym_expect] = ACTIONS(6389),
    [anon_sym_actual] = ACTIONS(6389),
    [anon_sym_dynamic] = ACTIONS(6389),
    [anon_sym_PLUS_PLUS] = ACTIONS(6387),
    [anon_sym_DASH_DASH] = ACTIONS(6387),
    [anon_sym_PLUS] = ACTIONS(6389),
    [anon_sym_DASH] = ACTIONS(6389),
    [anon_sym_BANG] = ACTIONS(6387),
    [anon_sym_this_AT] = ACTIONS(6387),
    [anon_sym_super_AT] = ACTIONS(6387),
    [anon_sym_if] = ACTIONS(6389),
    [anon_sym_when] = ACTIONS(6389),
    [anon_sym_try] = ACTIONS(6389),
    [anon_sym_return] = ACTIONS(6389),
    [anon_sym_return_AT] = ACTIONS(6387),
    [anon_sym_throw] = ACTIONS(6389),
    [anon_sym_COLON_COLON] = ACTIONS(6387),
    [anon_sym_DQUOTE] = ACTIONS(6389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6387),
    [anon_sym_SQUOTE] = ACTIONS(6387),
    [sym_number_literal] = ACTIONS(6389),
    [sym_float_literal] = ACTIONS(6387),
    [sym_label] = ACTIONS(6389),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4065] = {
    [sym_function_body] = STATE(3480),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4066] = {
    [sym_type_arguments] = STATE(4101),
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_class] = ACTIONS(2552),
    [anon_sym_fun] = ACTIONS(2552),
    [anon_sym_interface] = ACTIONS(2552),
    [anon_sym_object] = ACTIONS(2552),
    [anon_sym_val] = ACTIONS(2552),
    [anon_sym_var] = ACTIONS(2552),
    [anon_sym_typealias] = ACTIONS(2552),
    [anon_sym_constructor] = ACTIONS(2552),
    [anon_sym_this] = ACTIONS(2552),
    [anon_sym_super] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(6391),
    [anon_sym_LPAREN] = ACTIONS(2554),
    [anon_sym_get] = ACTIONS(2552),
    [anon_sym_set] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_sealed] = ACTIONS(2552),
    [anon_sym_annotation] = ACTIONS(2552),
    [anon_sym_data] = ACTIONS(2552),
    [anon_sym_inner] = ACTIONS(2552),
    [anon_sym_value] = ACTIONS(2552),
    [anon_sym_tailrec] = ACTIONS(2552),
    [anon_sym_operator] = ACTIONS(2552),
    [anon_sym_infix] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym_external] = ACTIONS(2552),
    [anon_sym_suspend] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_public] = ACTIONS(2552),
    [anon_sym_private] = ACTIONS(2552),
    [anon_sym_protected] = ACTIONS(2552),
    [anon_sym_internal] = ACTIONS(2552),
    [anon_sym_abstract] = ACTIONS(2552),
    [anon_sym_final] = ACTIONS(2552),
    [anon_sym_open] = ACTIONS(2552),
    [anon_sym_override] = ACTIONS(2552),
    [anon_sym_lateinit] = ACTIONS(2552),
    [anon_sym_vararg] = ACTIONS(2552),
    [anon_sym_noinline] = ACTIONS(2552),
    [anon_sym_crossinline] = ACTIONS(2552),
    [anon_sym_expect] = ACTIONS(2552),
    [anon_sym_actual] = ACTIONS(2552),
    [anon_sym_dynamic] = ACTIONS(2552),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_this_AT] = ACTIONS(2554),
    [anon_sym_super_AT] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_when] = ACTIONS(2552),
    [anon_sym_try] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_return_AT] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2552),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [sym_number_literal] = ACTIONS(2552),
    [sym_float_literal] = ACTIONS(2554),
    [sym_label] = ACTIONS(2552),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4067] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(6393),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2403),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_interface] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_val] = ACTIONS(2403),
    [anon_sym_var] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2403),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4068] = {
    [sym_function_body] = STATE(3511),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4069] = {
    [sym_function_body] = STATE(3501),
    [sym_block] = STATE(3624),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4070] = {
    [sym_function_body] = STATE(3595),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4071] = {
    [sym_function_body] = STATE(3646),
    [sym_block] = STATE(3450),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5075),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4072] = {
    [sym_function_body] = STATE(3313),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4073] = {
    [sym_function_body] = STATE(3265),
    [sym_block] = STATE(3588),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(5903),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4074] = {
    [sym_function_body] = STATE(3334),
    [sym_block] = STATE(3558),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(5892),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5087),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4075] = {
    [aux_sym_user_type_repeat1] = STATE(4083),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(6395),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_interface] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_val] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(2558),
    [anon_sym_typealias] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4076] = {
    [sym_function_body] = STATE(3831),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4077] = {
    [sym_function_body] = STATE(3848),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4078] = {
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_fun] = ACTIONS(2578),
    [anon_sym_interface] = ACTIONS(2578),
    [anon_sym_object] = ACTIONS(2578),
    [anon_sym_val] = ACTIONS(2578),
    [anon_sym_var] = ACTIONS(2578),
    [anon_sym_typealias] = ACTIONS(2578),
    [anon_sym_constructor] = ACTIONS(2578),
    [anon_sym_this] = ACTIONS(2578),
    [anon_sym_super] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2578),
    [anon_sym_sealed] = ACTIONS(2578),
    [anon_sym_annotation] = ACTIONS(2578),
    [anon_sym_data] = ACTIONS(2578),
    [anon_sym_inner] = ACTIONS(2578),
    [anon_sym_value] = ACTIONS(2578),
    [anon_sym_tailrec] = ACTIONS(2578),
    [anon_sym_operator] = ACTIONS(2578),
    [anon_sym_infix] = ACTIONS(2578),
    [anon_sym_inline] = ACTIONS(2578),
    [anon_sym_external] = ACTIONS(2578),
    [anon_sym_suspend] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_internal] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_final] = ACTIONS(2578),
    [anon_sym_open] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_lateinit] = ACTIONS(2578),
    [anon_sym_vararg] = ACTIONS(2578),
    [anon_sym_noinline] = ACTIONS(2578),
    [anon_sym_crossinline] = ACTIONS(2578),
    [anon_sym_expect] = ACTIONS(2578),
    [anon_sym_actual] = ACTIONS(2578),
    [anon_sym_dynamic] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_this_AT] = ACTIONS(2580),
    [anon_sym_super_AT] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_when] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_return_AT] = ACTIONS(2580),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_COLON_COLON] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2578),
    [sym_float_literal] = ACTIONS(2580),
    [sym_label] = ACTIONS(2578),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4079] = {
    [sym_function_body] = STATE(3855),
    [sym_block] = STATE(3663),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5589),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4080] = {
    [aux_sym_user_type_repeat1] = STATE(4083),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(6398),
    [anon_sym_STAR] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_fun] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_val] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_typealias] = ACTIONS(2513),
    [anon_sym_constructor] = ACTIONS(2513),
    [anon_sym_this] = ACTIONS(2513),
    [anon_sym_super] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_annotation] = ACTIONS(2513),
    [anon_sym_data] = ACTIONS(2513),
    [anon_sym_inner] = ACTIONS(2513),
    [anon_sym_value] = ACTIONS(2513),
    [anon_sym_tailrec] = ACTIONS(2513),
    [anon_sym_operator] = ACTIONS(2513),
    [anon_sym_infix] = ACTIONS(2513),
    [anon_sym_inline] = ACTIONS(2513),
    [anon_sym_external] = ACTIONS(2513),
    [anon_sym_suspend] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_internal] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_lateinit] = ACTIONS(2513),
    [anon_sym_vararg] = ACTIONS(2513),
    [anon_sym_noinline] = ACTIONS(2513),
    [anon_sym_crossinline] = ACTIONS(2513),
    [anon_sym_expect] = ACTIONS(2513),
    [anon_sym_actual] = ACTIONS(2513),
    [anon_sym_dynamic] = ACTIONS(2513),
    [anon_sym_QMARK] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_this_AT] = ACTIONS(2515),
    [anon_sym_super_AT] = ACTIONS(2515),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_when] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_return_AT] = ACTIONS(2515),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_COLON_COLON] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [sym_number_literal] = ACTIONS(2513),
    [sym_float_literal] = ACTIONS(2515),
    [sym_label] = ACTIONS(2513),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4081] = {
    [sym_function_body] = STATE(3910),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4082] = {
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(6402),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_class] = ACTIONS(6402),
    [anon_sym_fun] = ACTIONS(6402),
    [anon_sym_interface] = ACTIONS(6402),
    [anon_sym_object] = ACTIONS(6402),
    [anon_sym_val] = ACTIONS(6402),
    [anon_sym_var] = ACTIONS(6402),
    [anon_sym_typealias] = ACTIONS(6402),
    [anon_sym_constructor] = ACTIONS(6402),
    [anon_sym_this] = ACTIONS(6402),
    [anon_sym_super] = ACTIONS(6402),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_get] = ACTIONS(6402),
    [anon_sym_set] = ACTIONS(6402),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(6402),
    [anon_sym_while] = ACTIONS(6402),
    [anon_sym_do] = ACTIONS(6402),
    [anon_sym_enum] = ACTIONS(6402),
    [anon_sym_sealed] = ACTIONS(6402),
    [anon_sym_annotation] = ACTIONS(6402),
    [anon_sym_data] = ACTIONS(6402),
    [anon_sym_inner] = ACTIONS(6402),
    [anon_sym_value] = ACTIONS(6402),
    [anon_sym_tailrec] = ACTIONS(6402),
    [anon_sym_operator] = ACTIONS(6402),
    [anon_sym_infix] = ACTIONS(6402),
    [anon_sym_inline] = ACTIONS(6402),
    [anon_sym_external] = ACTIONS(6402),
    [anon_sym_suspend] = ACTIONS(6402),
    [anon_sym_const] = ACTIONS(6402),
    [anon_sym_public] = ACTIONS(6402),
    [anon_sym_private] = ACTIONS(6402),
    [anon_sym_protected] = ACTIONS(6402),
    [anon_sym_internal] = ACTIONS(6402),
    [anon_sym_abstract] = ACTIONS(6402),
    [anon_sym_final] = ACTIONS(6402),
    [anon_sym_open] = ACTIONS(6402),
    [anon_sym_override] = ACTIONS(6402),
    [anon_sym_lateinit] = ACTIONS(6402),
    [anon_sym_vararg] = ACTIONS(6402),
    [anon_sym_noinline] = ACTIONS(6402),
    [anon_sym_crossinline] = ACTIONS(6402),
    [anon_sym_expect] = ACTIONS(6402),
    [anon_sym_actual] = ACTIONS(6402),
    [anon_sym_dynamic] = ACTIONS(6402),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(6402),
    [anon_sym_DASH] = ACTIONS(6402),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_this_AT] = ACTIONS(991),
    [anon_sym_super_AT] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(6402),
    [anon_sym_when] = ACTIONS(6402),
    [anon_sym_try] = ACTIONS(6402),
    [anon_sym_return] = ACTIONS(6402),
    [anon_sym_return_AT] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(6402),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(6402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [sym_number_literal] = ACTIONS(6402),
    [sym_float_literal] = ACTIONS(991),
    [sym_label] = ACTIONS(6402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4083] = {
    [aux_sym_user_type_repeat1] = STATE(4083),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(6404),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_val] = ACTIONS(2565),
    [anon_sym_var] = ACTIONS(2565),
    [anon_sym_typealias] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4084] = {
    [sym_function_body] = STATE(3935),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4085] = {
    [sym_function_body] = STATE(3781),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_set] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4086] = {
    [sym_function_body] = STATE(3946),
    [sym_block] = STATE(3952),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(6084),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5599),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4087] = {
    [aux_sym_user_type_repeat1] = STATE(4089),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_DOT] = ACTIONS(6407),
    [anon_sym_STAR] = ACTIONS(2527),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_fun] = ACTIONS(2524),
    [anon_sym_interface] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_val] = ACTIONS(2524),
    [anon_sym_var] = ACTIONS(2524),
    [anon_sym_typealias] = ACTIONS(2524),
    [anon_sym_constructor] = ACTIONS(2524),
    [anon_sym_this] = ACTIONS(2524),
    [anon_sym_super] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_sealed] = ACTIONS(2524),
    [anon_sym_annotation] = ACTIONS(2524),
    [anon_sym_data] = ACTIONS(2524),
    [anon_sym_inner] = ACTIONS(2524),
    [anon_sym_value] = ACTIONS(2524),
    [anon_sym_tailrec] = ACTIONS(2524),
    [anon_sym_operator] = ACTIONS(2524),
    [anon_sym_infix] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym_external] = ACTIONS(2524),
    [anon_sym_suspend] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_internal] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_final] = ACTIONS(2524),
    [anon_sym_open] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_lateinit] = ACTIONS(2524),
    [anon_sym_vararg] = ACTIONS(2524),
    [anon_sym_noinline] = ACTIONS(2524),
    [anon_sym_crossinline] = ACTIONS(2524),
    [anon_sym_expect] = ACTIONS(2524),
    [anon_sym_actual] = ACTIONS(2524),
    [anon_sym_dynamic] = ACTIONS(2524),
    [anon_sym_QMARK] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_this_AT] = ACTIONS(2527),
    [anon_sym_super_AT] = ACTIONS(2527),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_when] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_return_AT] = ACTIONS(2527),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2527),
    [anon_sym_SQUOTE] = ACTIONS(2527),
    [sym_number_literal] = ACTIONS(2524),
    [sym_float_literal] = ACTIONS(2527),
    [sym_label] = ACTIONS(2524),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4088] = {
    [sym_function_body] = STATE(3747),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_set] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4089] = {
    [aux_sym_user_type_repeat1] = STATE(4083),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(6398),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_val] = ACTIONS(2521),
    [anon_sym_var] = ACTIONS(2521),
    [anon_sym_typealias] = ACTIONS(2521),
    [anon_sym_constructor] = ACTIONS(2521),
    [anon_sym_this] = ACTIONS(2521),
    [anon_sym_super] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2534),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_annotation] = ACTIONS(2521),
    [anon_sym_data] = ACTIONS(2521),
    [anon_sym_inner] = ACTIONS(2521),
    [anon_sym_value] = ACTIONS(2521),
    [anon_sym_tailrec] = ACTIONS(2521),
    [anon_sym_operator] = ACTIONS(2521),
    [anon_sym_infix] = ACTIONS(2521),
    [anon_sym_inline] = ACTIONS(2521),
    [anon_sym_external] = ACTIONS(2521),
    [anon_sym_suspend] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_internal] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_lateinit] = ACTIONS(2521),
    [anon_sym_vararg] = ACTIONS(2521),
    [anon_sym_noinline] = ACTIONS(2521),
    [anon_sym_crossinline] = ACTIONS(2521),
    [anon_sym_expect] = ACTIONS(2521),
    [anon_sym_actual] = ACTIONS(2521),
    [anon_sym_dynamic] = ACTIONS(2521),
    [anon_sym_QMARK] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_this_AT] = ACTIONS(2534),
    [anon_sym_super_AT] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_when] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_return_AT] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(2534),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [sym_number_literal] = ACTIONS(2521),
    [sym_float_literal] = ACTIONS(2534),
    [sym_label] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4090] = {
    [sym_function_body] = STATE(4007),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_as] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2977),
    [anon_sym_GT] = ACTIONS(2977),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_get] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_sealed] = ACTIONS(2977),
    [anon_sym_annotation] = ACTIONS(2977),
    [anon_sym_data] = ACTIONS(2977),
    [anon_sym_inner] = ACTIONS(2977),
    [anon_sym_value] = ACTIONS(2977),
    [anon_sym_tailrec] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_infix] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym_external] = ACTIONS(2977),
    [anon_sym_suspend] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_internal] = ACTIONS(2977),
    [anon_sym_abstract] = ACTIONS(2977),
    [anon_sym_final] = ACTIONS(2977),
    [anon_sym_open] = ACTIONS(2977),
    [anon_sym_override] = ACTIONS(2977),
    [anon_sym_lateinit] = ACTIONS(2977),
    [anon_sym_vararg] = ACTIONS(2977),
    [anon_sym_noinline] = ACTIONS(2977),
    [anon_sym_crossinline] = ACTIONS(2977),
    [anon_sym_expect] = ACTIONS(2977),
    [anon_sym_actual] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_BANG_BANG] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2979),
    [anon_sym_EQ_EQ] = ACTIONS(2977),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2979),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_QMARK_COLON] = ACTIONS(2979),
    [anon_sym_BANGin] = ACTIONS(2979),
    [anon_sym_is] = ACTIONS(2977),
    [anon_sym_as_QMARK] = ACTIONS(2979),
    [anon_sym_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [sym_label] = ACTIONS(2979),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2979),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2979),
    [sym__q_dot] = ACTIONS(2979),
  },
  [4091] = {
    [aux_sym_user_type_repeat1] = STATE(4080),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(6407),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_fun] = ACTIONS(2558),
    [anon_sym_interface] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_val] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(2558),
    [anon_sym_typealias] = ACTIONS(2558),
    [anon_sym_constructor] = ACTIONS(2558),
    [anon_sym_this] = ACTIONS(2558),
    [anon_sym_super] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2560),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2558),
    [anon_sym_sealed] = ACTIONS(2558),
    [anon_sym_annotation] = ACTIONS(2558),
    [anon_sym_data] = ACTIONS(2558),
    [anon_sym_inner] = ACTIONS(2558),
    [anon_sym_value] = ACTIONS(2558),
    [anon_sym_tailrec] = ACTIONS(2558),
    [anon_sym_operator] = ACTIONS(2558),
    [anon_sym_infix] = ACTIONS(2558),
    [anon_sym_inline] = ACTIONS(2558),
    [anon_sym_external] = ACTIONS(2558),
    [anon_sym_suspend] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_internal] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_final] = ACTIONS(2558),
    [anon_sym_open] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_lateinit] = ACTIONS(2558),
    [anon_sym_vararg] = ACTIONS(2558),
    [anon_sym_noinline] = ACTIONS(2558),
    [anon_sym_crossinline] = ACTIONS(2558),
    [anon_sym_expect] = ACTIONS(2558),
    [anon_sym_actual] = ACTIONS(2558),
    [anon_sym_dynamic] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2527),
    [anon_sym_AMP] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2560),
    [anon_sym_this_AT] = ACTIONS(2560),
    [anon_sym_super_AT] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_when] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_return_AT] = ACTIONS(2560),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_COLON_COLON] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2560),
    [anon_sym_SQUOTE] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2558),
    [sym_float_literal] = ACTIONS(2560),
    [sym_label] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4092] = {
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_AT] = ACTIONS(6413),
    [anon_sym_COLON] = ACTIONS(6411),
    [anon_sym_LBRACK] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6413),
    [anon_sym_fun] = ACTIONS(6411),
    [anon_sym_object] = ACTIONS(6411),
    [anon_sym_constructor] = ACTIONS(6411),
    [anon_sym_this] = ACTIONS(6411),
    [anon_sym_super] = ACTIONS(6411),
    [anon_sym_LPAREN] = ACTIONS(6413),
    [anon_sym_where] = ACTIONS(6411),
    [anon_sym_get] = ACTIONS(6411),
    [anon_sym_set] = ACTIONS(6411),
    [anon_sym_LBRACE] = ACTIONS(6413),
    [anon_sym_RBRACE] = ACTIONS(6413),
    [anon_sym_enum] = ACTIONS(6411),
    [anon_sym_sealed] = ACTIONS(6411),
    [anon_sym_annotation] = ACTIONS(6411),
    [anon_sym_data] = ACTIONS(6411),
    [anon_sym_inner] = ACTIONS(6411),
    [anon_sym_value] = ACTIONS(6411),
    [anon_sym_tailrec] = ACTIONS(6411),
    [anon_sym_operator] = ACTIONS(6411),
    [anon_sym_infix] = ACTIONS(6411),
    [anon_sym_inline] = ACTIONS(6411),
    [anon_sym_external] = ACTIONS(6411),
    [anon_sym_suspend] = ACTIONS(6411),
    [anon_sym_const] = ACTIONS(6411),
    [anon_sym_public] = ACTIONS(6411),
    [anon_sym_private] = ACTIONS(6411),
    [anon_sym_protected] = ACTIONS(6411),
    [anon_sym_internal] = ACTIONS(6411),
    [anon_sym_abstract] = ACTIONS(6411),
    [anon_sym_final] = ACTIONS(6411),
    [anon_sym_open] = ACTIONS(6411),
    [anon_sym_override] = ACTIONS(6411),
    [anon_sym_lateinit] = ACTIONS(6411),
    [anon_sym_vararg] = ACTIONS(6411),
    [anon_sym_noinline] = ACTIONS(6411),
    [anon_sym_crossinline] = ACTIONS(6411),
    [anon_sym_expect] = ACTIONS(6411),
    [anon_sym_actual] = ACTIONS(6411),
    [anon_sym_dynamic] = ACTIONS(6411),
    [anon_sym_PLUS_PLUS] = ACTIONS(6413),
    [anon_sym_DASH_DASH] = ACTIONS(6413),
    [anon_sym_PLUS] = ACTIONS(6411),
    [anon_sym_DASH] = ACTIONS(6411),
    [anon_sym_BANG] = ACTIONS(6411),
    [anon_sym_BANGin] = ACTIONS(6413),
    [anon_sym_is] = ACTIONS(6411),
    [anon_sym_this_AT] = ACTIONS(6413),
    [anon_sym_super_AT] = ACTIONS(6413),
    [anon_sym_if] = ACTIONS(6411),
    [anon_sym_else] = ACTIONS(6411),
    [anon_sym_when] = ACTIONS(6411),
    [anon_sym_try] = ACTIONS(6411),
    [anon_sym_return] = ACTIONS(6411),
    [anon_sym_return_AT] = ACTIONS(6413),
    [anon_sym_throw] = ACTIONS(6411),
    [anon_sym_COLON_COLON] = ACTIONS(6413),
    [anon_sym_DQUOTE] = ACTIONS(6411),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6413),
    [anon_sym_SQUOTE] = ACTIONS(6413),
    [sym_number_literal] = ACTIONS(6411),
    [sym_float_literal] = ACTIONS(6413),
    [sym_label] = ACTIONS(6411),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6413),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6413),
    [sym__in] = ACTIONS(6413),
  },
  [4093] = {
    [sym_function_body] = STATE(4028),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_get] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2983),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4094] = {
    [sym_function_body] = STATE(4038),
    [sym_block] = STATE(3666),
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_get] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_sealed] = ACTIONS(2989),
    [anon_sym_annotation] = ACTIONS(2989),
    [anon_sym_data] = ACTIONS(2989),
    [anon_sym_inner] = ACTIONS(2989),
    [anon_sym_value] = ACTIONS(2989),
    [anon_sym_tailrec] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_infix] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym_external] = ACTIONS(2989),
    [anon_sym_suspend] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_internal] = ACTIONS(2989),
    [anon_sym_abstract] = ACTIONS(2989),
    [anon_sym_final] = ACTIONS(2989),
    [anon_sym_open] = ACTIONS(2989),
    [anon_sym_override] = ACTIONS(2989),
    [anon_sym_lateinit] = ACTIONS(2989),
    [anon_sym_vararg] = ACTIONS(2989),
    [anon_sym_noinline] = ACTIONS(2989),
    [anon_sym_crossinline] = ACTIONS(2989),
    [anon_sym_expect] = ACTIONS(2989),
    [anon_sym_actual] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_BANG_BANG] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2989),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_QMARK_COLON] = ACTIONS(2991),
    [anon_sym_BANGin] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_as_QMARK] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [sym_label] = ACTIONS(2991),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2991),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2991),
    [sym__q_dot] = ACTIONS(2991),
  },
  [4095] = {
    [sym_function_body] = STATE(3774),
    [sym_block] = STATE(3677),
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_as] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(6064),
    [anon_sym_LT] = ACTIONS(2981),
    [anon_sym_GT] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_set] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(5565),
    [anon_sym_in] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_sealed] = ACTIONS(2981),
    [anon_sym_annotation] = ACTIONS(2981),
    [anon_sym_data] = ACTIONS(2981),
    [anon_sym_inner] = ACTIONS(2981),
    [anon_sym_value] = ACTIONS(2981),
    [anon_sym_tailrec] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_infix] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym_external] = ACTIONS(2981),
    [anon_sym_suspend] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_internal] = ACTIONS(2981),
    [anon_sym_abstract] = ACTIONS(2981),
    [anon_sym_final] = ACTIONS(2981),
    [anon_sym_open] = ACTIONS(2981),
    [anon_sym_override] = ACTIONS(2981),
    [anon_sym_lateinit] = ACTIONS(2981),
    [anon_sym_vararg] = ACTIONS(2981),
    [anon_sym_noinline] = ACTIONS(2981),
    [anon_sym_crossinline] = ACTIONS(2981),
    [anon_sym_expect] = ACTIONS(2981),
    [anon_sym_actual] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_BANG_BANG] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2983),
    [anon_sym_EQ_EQ] = ACTIONS(2981),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2983),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_QMARK_COLON] = ACTIONS(2983),
    [anon_sym_BANGin] = ACTIONS(2983),
    [anon_sym_is] = ACTIONS(2981),
    [anon_sym_as_QMARK] = ACTIONS(2983),
    [anon_sym_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [sym_label] = ACTIONS(2983),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2983),
    [sym__q_dot] = ACTIONS(2983),
  },
  [4096] = {
    [sym_identifier] = ACTIONS(6415),
    [anon_sym_AT] = ACTIONS(6417),
    [anon_sym_COLON] = ACTIONS(6415),
    [anon_sym_LBRACK] = ACTIONS(6417),
    [anon_sym_STAR] = ACTIONS(6417),
    [anon_sym_fun] = ACTIONS(6415),
    [anon_sym_object] = ACTIONS(6415),
    [anon_sym_constructor] = ACTIONS(6415),
    [anon_sym_this] = ACTIONS(6415),
    [anon_sym_super] = ACTIONS(6415),
    [anon_sym_LPAREN] = ACTIONS(6417),
    [anon_sym_where] = ACTIONS(6415),
    [anon_sym_get] = ACTIONS(6415),
    [anon_sym_set] = ACTIONS(6415),
    [anon_sym_LBRACE] = ACTIONS(6417),
    [anon_sym_RBRACE] = ACTIONS(6417),
    [anon_sym_enum] = ACTIONS(6415),
    [anon_sym_sealed] = ACTIONS(6415),
    [anon_sym_annotation] = ACTIONS(6415),
    [anon_sym_data] = ACTIONS(6415),
    [anon_sym_inner] = ACTIONS(6415),
    [anon_sym_value] = ACTIONS(6415),
    [anon_sym_tailrec] = ACTIONS(6415),
    [anon_sym_operator] = ACTIONS(6415),
    [anon_sym_infix] = ACTIONS(6415),
    [anon_sym_inline] = ACTIONS(6415),
    [anon_sym_external] = ACTIONS(6415),
    [anon_sym_suspend] = ACTIONS(6415),
    [anon_sym_const] = ACTIONS(6415),
    [anon_sym_public] = ACTIONS(6415),
    [anon_sym_private] = ACTIONS(6415),
    [anon_sym_protected] = ACTIONS(6415),
    [anon_sym_internal] = ACTIONS(6415),
    [anon_sym_abstract] = ACTIONS(6415),
    [anon_sym_final] = ACTIONS(6415),
    [anon_sym_open] = ACTIONS(6415),
    [anon_sym_override] = ACTIONS(6415),
    [anon_sym_lateinit] = ACTIONS(6415),
    [anon_sym_vararg] = ACTIONS(6415),
    [anon_sym_noinline] = ACTIONS(6415),
    [anon_sym_crossinline] = ACTIONS(6415),
    [anon_sym_expect] = ACTIONS(6415),
    [anon_sym_actual] = ACTIONS(6415),
    [anon_sym_dynamic] = ACTIONS(6415),
    [anon_sym_PLUS_PLUS] = ACTIONS(6417),
    [anon_sym_DASH_DASH] = ACTIONS(6417),
    [anon_sym_PLUS] = ACTIONS(6415),
    [anon_sym_DASH] = ACTIONS(6415),
    [anon_sym_BANG] = ACTIONS(6415),
    [anon_sym_BANGin] = ACTIONS(6417),
    [anon_sym_is] = ACTIONS(6415),
    [anon_sym_this_AT] = ACTIONS(6417),
    [anon_sym_super_AT] = ACTIONS(6417),
    [anon_sym_if] = ACTIONS(6415),
    [anon_sym_else] = ACTIONS(6415),
    [anon_sym_when] = ACTIONS(6415),
    [anon_sym_try] = ACTIONS(6415),
    [anon_sym_return] = ACTIONS(6415),
    [anon_sym_return_AT] = ACTIONS(6417),
    [anon_sym_throw] = ACTIONS(6415),
    [anon_sym_COLON_COLON] = ACTIONS(6417),
    [anon_sym_DQUOTE] = ACTIONS(6415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6417),
    [anon_sym_SQUOTE] = ACTIONS(6417),
    [sym_number_literal] = ACTIONS(6415),
    [sym_float_literal] = ACTIONS(6417),
    [sym_label] = ACTIONS(6415),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6417),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6417),
    [sym__in] = ACTIONS(6417),
  },
  [4097] = {
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_class] = ACTIONS(2403),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_interface] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_val] = ACTIONS(2403),
    [anon_sym_var] = ACTIONS(2403),
    [anon_sym_typealias] = ACTIONS(2403),
    [anon_sym_constructor] = ACTIONS(2403),
    [anon_sym_this] = ACTIONS(2403),
    [anon_sym_super] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2403),
    [anon_sym_sealed] = ACTIONS(2403),
    [anon_sym_annotation] = ACTIONS(2403),
    [anon_sym_data] = ACTIONS(2403),
    [anon_sym_inner] = ACTIONS(2403),
    [anon_sym_value] = ACTIONS(2403),
    [anon_sym_tailrec] = ACTIONS(2403),
    [anon_sym_operator] = ACTIONS(2403),
    [anon_sym_infix] = ACTIONS(2403),
    [anon_sym_inline] = ACTIONS(2403),
    [anon_sym_external] = ACTIONS(2403),
    [anon_sym_suspend] = ACTIONS(2403),
    [anon_sym_const] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_internal] = ACTIONS(2403),
    [anon_sym_abstract] = ACTIONS(2403),
    [anon_sym_final] = ACTIONS(2403),
    [anon_sym_open] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_lateinit] = ACTIONS(2403),
    [anon_sym_vararg] = ACTIONS(2403),
    [anon_sym_noinline] = ACTIONS(2403),
    [anon_sym_crossinline] = ACTIONS(2403),
    [anon_sym_expect] = ACTIONS(2403),
    [anon_sym_actual] = ACTIONS(2403),
    [anon_sym_dynamic] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_this_AT] = ACTIONS(2408),
    [anon_sym_super_AT] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2403),
    [anon_sym_when] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2403),
    [anon_sym_return] = ACTIONS(2403),
    [anon_sym_return_AT] = ACTIONS(2408),
    [anon_sym_throw] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2408),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2403),
    [sym_float_literal] = ACTIONS(2408),
    [sym_label] = ACTIONS(2403),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4098] = {
    [aux_sym_user_type_repeat1] = STATE(4075),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_DOT] = ACTIONS(6419),
    [anon_sym_STAR] = ACTIONS(2547),
    [anon_sym_class] = ACTIONS(2545),
    [anon_sym_fun] = ACTIONS(2545),
    [anon_sym_interface] = ACTIONS(2545),
    [anon_sym_object] = ACTIONS(2545),
    [anon_sym_val] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2545),
    [anon_sym_typealias] = ACTIONS(2545),
    [anon_sym_constructor] = ACTIONS(2545),
    [anon_sym_this] = ACTIONS(2545),
    [anon_sym_super] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_annotation] = ACTIONS(2545),
    [anon_sym_data] = ACTIONS(2545),
    [anon_sym_inner] = ACTIONS(2545),
    [anon_sym_value] = ACTIONS(2545),
    [anon_sym_tailrec] = ACTIONS(2545),
    [anon_sym_operator] = ACTIONS(2545),
    [anon_sym_infix] = ACTIONS(2545),
    [anon_sym_inline] = ACTIONS(2545),
    [anon_sym_external] = ACTIONS(2545),
    [anon_sym_suspend] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_internal] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_lateinit] = ACTIONS(2545),
    [anon_sym_vararg] = ACTIONS(2545),
    [anon_sym_noinline] = ACTIONS(2545),
    [anon_sym_crossinline] = ACTIONS(2545),
    [anon_sym_expect] = ACTIONS(2545),
    [anon_sym_actual] = ACTIONS(2545),
    [anon_sym_dynamic] = ACTIONS(2545),
    [anon_sym_QMARK] = ACTIONS(2547),
    [anon_sym_AMP] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2547),
    [anon_sym_this_AT] = ACTIONS(2547),
    [anon_sym_super_AT] = ACTIONS(2547),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_when] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_return_AT] = ACTIONS(2547),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_COLON_COLON] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [sym_number_literal] = ACTIONS(2545),
    [sym_float_literal] = ACTIONS(2547),
    [sym_label] = ACTIONS(2545),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4099] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4722),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4100] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_interface] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_val] = ACTIONS(2586),
    [anon_sym_var] = ACTIONS(2586),
    [anon_sym_typealias] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4101] = {
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_fun] = ACTIONS(2630),
    [anon_sym_interface] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_val] = ACTIONS(2630),
    [anon_sym_var] = ACTIONS(2630),
    [anon_sym_typealias] = ACTIONS(2630),
    [anon_sym_constructor] = ACTIONS(2630),
    [anon_sym_this] = ACTIONS(2630),
    [anon_sym_super] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_sealed] = ACTIONS(2630),
    [anon_sym_annotation] = ACTIONS(2630),
    [anon_sym_data] = ACTIONS(2630),
    [anon_sym_inner] = ACTIONS(2630),
    [anon_sym_value] = ACTIONS(2630),
    [anon_sym_tailrec] = ACTIONS(2630),
    [anon_sym_operator] = ACTIONS(2630),
    [anon_sym_infix] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym_external] = ACTIONS(2630),
    [anon_sym_suspend] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_internal] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_final] = ACTIONS(2630),
    [anon_sym_open] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_lateinit] = ACTIONS(2630),
    [anon_sym_vararg] = ACTIONS(2630),
    [anon_sym_noinline] = ACTIONS(2630),
    [anon_sym_crossinline] = ACTIONS(2630),
    [anon_sym_expect] = ACTIONS(2630),
    [anon_sym_actual] = ACTIONS(2630),
    [anon_sym_dynamic] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_this_AT] = ACTIONS(2632),
    [anon_sym_super_AT] = ACTIONS(2632),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_when] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_return_AT] = ACTIONS(2632),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_COLON_COLON] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2630),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [sym_number_literal] = ACTIONS(2630),
    [sym_float_literal] = ACTIONS(2632),
    [sym_label] = ACTIONS(2630),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4102] = {
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_DOT] = ACTIONS(2565),
    [anon_sym_STAR] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_fun] = ACTIONS(2565),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_val] = ACTIONS(2565),
    [anon_sym_var] = ACTIONS(2565),
    [anon_sym_typealias] = ACTIONS(2565),
    [anon_sym_constructor] = ACTIONS(2565),
    [anon_sym_this] = ACTIONS(2565),
    [anon_sym_super] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_annotation] = ACTIONS(2565),
    [anon_sym_data] = ACTIONS(2565),
    [anon_sym_inner] = ACTIONS(2565),
    [anon_sym_value] = ACTIONS(2565),
    [anon_sym_tailrec] = ACTIONS(2565),
    [anon_sym_operator] = ACTIONS(2565),
    [anon_sym_infix] = ACTIONS(2565),
    [anon_sym_inline] = ACTIONS(2565),
    [anon_sym_external] = ACTIONS(2565),
    [anon_sym_suspend] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_internal] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_lateinit] = ACTIONS(2565),
    [anon_sym_vararg] = ACTIONS(2565),
    [anon_sym_noinline] = ACTIONS(2565),
    [anon_sym_crossinline] = ACTIONS(2565),
    [anon_sym_expect] = ACTIONS(2565),
    [anon_sym_actual] = ACTIONS(2565),
    [anon_sym_dynamic] = ACTIONS(2565),
    [anon_sym_QMARK] = ACTIONS(2567),
    [anon_sym_AMP] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2567),
    [anon_sym_this_AT] = ACTIONS(2567),
    [anon_sym_super_AT] = ACTIONS(2567),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_when] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_return_AT] = ACTIONS(2567),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_COLON_COLON] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [sym_number_literal] = ACTIONS(2565),
    [sym_float_literal] = ACTIONS(2567),
    [sym_label] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4103] = {
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_fun] = ACTIONS(2634),
    [anon_sym_interface] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_val] = ACTIONS(2634),
    [anon_sym_var] = ACTIONS(2634),
    [anon_sym_typealias] = ACTIONS(2634),
    [anon_sym_constructor] = ACTIONS(2634),
    [anon_sym_this] = ACTIONS(2634),
    [anon_sym_super] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_sealed] = ACTIONS(2634),
    [anon_sym_annotation] = ACTIONS(2634),
    [anon_sym_data] = ACTIONS(2634),
    [anon_sym_inner] = ACTIONS(2634),
    [anon_sym_value] = ACTIONS(2634),
    [anon_sym_tailrec] = ACTIONS(2634),
    [anon_sym_operator] = ACTIONS(2634),
    [anon_sym_infix] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym_external] = ACTIONS(2634),
    [anon_sym_suspend] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_internal] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_final] = ACTIONS(2634),
    [anon_sym_open] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_lateinit] = ACTIONS(2634),
    [anon_sym_vararg] = ACTIONS(2634),
    [anon_sym_noinline] = ACTIONS(2634),
    [anon_sym_crossinline] = ACTIONS(2634),
    [anon_sym_expect] = ACTIONS(2634),
    [anon_sym_actual] = ACTIONS(2634),
    [anon_sym_dynamic] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_this_AT] = ACTIONS(2636),
    [anon_sym_super_AT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_when] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_return_AT] = ACTIONS(2636),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_COLON_COLON] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2634),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [sym_number_literal] = ACTIONS(2634),
    [sym_float_literal] = ACTIONS(2636),
    [sym_label] = ACTIONS(2634),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4104] = {
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_fun] = ACTIONS(2654),
    [anon_sym_interface] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [anon_sym_val] = ACTIONS(2654),
    [anon_sym_var] = ACTIONS(2654),
    [anon_sym_typealias] = ACTIONS(2654),
    [anon_sym_constructor] = ACTIONS(2654),
    [anon_sym_this] = ACTIONS(2654),
    [anon_sym_super] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_sealed] = ACTIONS(2654),
    [anon_sym_annotation] = ACTIONS(2654),
    [anon_sym_data] = ACTIONS(2654),
    [anon_sym_inner] = ACTIONS(2654),
    [anon_sym_value] = ACTIONS(2654),
    [anon_sym_tailrec] = ACTIONS(2654),
    [anon_sym_operator] = ACTIONS(2654),
    [anon_sym_infix] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym_external] = ACTIONS(2654),
    [anon_sym_suspend] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_internal] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_final] = ACTIONS(2654),
    [anon_sym_open] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_lateinit] = ACTIONS(2654),
    [anon_sym_vararg] = ACTIONS(2654),
    [anon_sym_noinline] = ACTIONS(2654),
    [anon_sym_crossinline] = ACTIONS(2654),
    [anon_sym_expect] = ACTIONS(2654),
    [anon_sym_actual] = ACTIONS(2654),
    [anon_sym_dynamic] = ACTIONS(2654),
    [anon_sym_QMARK] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_this_AT] = ACTIONS(2656),
    [anon_sym_super_AT] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_when] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_return_AT] = ACTIONS(2656),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_COLON_COLON] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [sym_number_literal] = ACTIONS(2654),
    [sym_float_literal] = ACTIONS(2656),
    [sym_label] = ACTIONS(2654),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4105] = {
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym_DOT] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_fun] = ACTIONS(2658),
    [anon_sym_interface] = ACTIONS(2658),
    [anon_sym_object] = ACTIONS(2658),
    [anon_sym_val] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_typealias] = ACTIONS(2658),
    [anon_sym_constructor] = ACTIONS(2658),
    [anon_sym_this] = ACTIONS(2658),
    [anon_sym_super] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_sealed] = ACTIONS(2658),
    [anon_sym_annotation] = ACTIONS(2658),
    [anon_sym_data] = ACTIONS(2658),
    [anon_sym_inner] = ACTIONS(2658),
    [anon_sym_value] = ACTIONS(2658),
    [anon_sym_tailrec] = ACTIONS(2658),
    [anon_sym_operator] = ACTIONS(2658),
    [anon_sym_infix] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym_external] = ACTIONS(2658),
    [anon_sym_suspend] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_internal] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_final] = ACTIONS(2658),
    [anon_sym_open] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_lateinit] = ACTIONS(2658),
    [anon_sym_vararg] = ACTIONS(2658),
    [anon_sym_noinline] = ACTIONS(2658),
    [anon_sym_crossinline] = ACTIONS(2658),
    [anon_sym_expect] = ACTIONS(2658),
    [anon_sym_actual] = ACTIONS(2658),
    [anon_sym_dynamic] = ACTIONS(2658),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_this_AT] = ACTIONS(2660),
    [anon_sym_super_AT] = ACTIONS(2660),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_when] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_return_AT] = ACTIONS(2660),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_COLON_COLON] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2658),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [sym_number_literal] = ACTIONS(2658),
    [sym_float_literal] = ACTIONS(2660),
    [sym_label] = ACTIONS(2658),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4106] = {
    [sym_value_arguments] = STATE(4164),
    [sym_identifier] = ACTIONS(6422),
    [anon_sym_AT] = ACTIONS(6424),
    [anon_sym_LBRACK] = ACTIONS(6424),
    [anon_sym_STAR] = ACTIONS(6424),
    [anon_sym_class] = ACTIONS(6422),
    [anon_sym_fun] = ACTIONS(6422),
    [anon_sym_interface] = ACTIONS(6422),
    [anon_sym_object] = ACTIONS(6422),
    [anon_sym_val] = ACTIONS(6422),
    [anon_sym_var] = ACTIONS(6422),
    [anon_sym_typealias] = ACTIONS(6422),
    [anon_sym_constructor] = ACTIONS(6422),
    [anon_sym_this] = ACTIONS(6422),
    [anon_sym_super] = ACTIONS(6422),
    [anon_sym_LPAREN] = ACTIONS(6426),
    [anon_sym_get] = ACTIONS(6422),
    [anon_sym_set] = ACTIONS(6422),
    [anon_sym_LBRACE] = ACTIONS(6424),
    [anon_sym_enum] = ACTIONS(6422),
    [anon_sym_sealed] = ACTIONS(6422),
    [anon_sym_annotation] = ACTIONS(6422),
    [anon_sym_data] = ACTIONS(6422),
    [anon_sym_inner] = ACTIONS(6422),
    [anon_sym_value] = ACTIONS(6422),
    [anon_sym_tailrec] = ACTIONS(6422),
    [anon_sym_operator] = ACTIONS(6422),
    [anon_sym_infix] = ACTIONS(6422),
    [anon_sym_inline] = ACTIONS(6422),
    [anon_sym_external] = ACTIONS(6422),
    [anon_sym_suspend] = ACTIONS(6422),
    [anon_sym_const] = ACTIONS(6422),
    [anon_sym_public] = ACTIONS(6422),
    [anon_sym_private] = ACTIONS(6422),
    [anon_sym_protected] = ACTIONS(6422),
    [anon_sym_internal] = ACTIONS(6422),
    [anon_sym_abstract] = ACTIONS(6422),
    [anon_sym_final] = ACTIONS(6422),
    [anon_sym_open] = ACTIONS(6422),
    [anon_sym_override] = ACTIONS(6422),
    [anon_sym_lateinit] = ACTIONS(6422),
    [anon_sym_vararg] = ACTIONS(6422),
    [anon_sym_noinline] = ACTIONS(6422),
    [anon_sym_crossinline] = ACTIONS(6422),
    [anon_sym_expect] = ACTIONS(6422),
    [anon_sym_actual] = ACTIONS(6422),
    [anon_sym_dynamic] = ACTIONS(6422),
    [anon_sym_QMARK] = ACTIONS(6429),
    [anon_sym_AMP] = ACTIONS(6431),
    [anon_sym_PLUS_PLUS] = ACTIONS(6424),
    [anon_sym_DASH_DASH] = ACTIONS(6424),
    [anon_sym_PLUS] = ACTIONS(6422),
    [anon_sym_DASH] = ACTIONS(6422),
    [anon_sym_BANG] = ACTIONS(6424),
    [anon_sym_this_AT] = ACTIONS(6424),
    [anon_sym_super_AT] = ACTIONS(6424),
    [anon_sym_if] = ACTIONS(6422),
    [anon_sym_when] = ACTIONS(6422),
    [anon_sym_try] = ACTIONS(6422),
    [anon_sym_return] = ACTIONS(6422),
    [anon_sym_return_AT] = ACTIONS(6424),
    [anon_sym_throw] = ACTIONS(6422),
    [anon_sym_COLON_COLON] = ACTIONS(6424),
    [anon_sym_DQUOTE] = ACTIONS(6422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6424),
    [anon_sym_SQUOTE] = ACTIONS(6424),
    [sym_number_literal] = ACTIONS(6422),
    [sym_float_literal] = ACTIONS(6424),
    [sym_label] = ACTIONS(6422),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4107] = {
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2621),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_fun] = ACTIONS(2618),
    [anon_sym_interface] = ACTIONS(2618),
    [anon_sym_object] = ACTIONS(2618),
    [anon_sym_val] = ACTIONS(2618),
    [anon_sym_var] = ACTIONS(2618),
    [anon_sym_typealias] = ACTIONS(2618),
    [anon_sym_constructor] = ACTIONS(2618),
    [anon_sym_this] = ACTIONS(2618),
    [anon_sym_super] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2621),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_sealed] = ACTIONS(2618),
    [anon_sym_annotation] = ACTIONS(2618),
    [anon_sym_data] = ACTIONS(2618),
    [anon_sym_inner] = ACTIONS(2618),
    [anon_sym_value] = ACTIONS(2618),
    [anon_sym_tailrec] = ACTIONS(2618),
    [anon_sym_operator] = ACTIONS(2618),
    [anon_sym_infix] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym_external] = ACTIONS(2618),
    [anon_sym_suspend] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_internal] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_final] = ACTIONS(2618),
    [anon_sym_open] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_lateinit] = ACTIONS(2618),
    [anon_sym_vararg] = ACTIONS(2618),
    [anon_sym_noinline] = ACTIONS(2618),
    [anon_sym_crossinline] = ACTIONS(2618),
    [anon_sym_expect] = ACTIONS(2618),
    [anon_sym_actual] = ACTIONS(2618),
    [anon_sym_dynamic] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2621),
    [anon_sym_DASH_DASH] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2621),
    [anon_sym_this_AT] = ACTIONS(2621),
    [anon_sym_super_AT] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_when] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_return_AT] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_COLON_COLON] = ACTIONS(2621),
    [anon_sym_DQUOTE] = ACTIONS(2618),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2621),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [sym_number_literal] = ACTIONS(2618),
    [sym_float_literal] = ACTIONS(2621),
    [sym_label] = ACTIONS(2618),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4108] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_DOT] = ACTIONS(5838),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_interface] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_val] = ACTIONS(2586),
    [anon_sym_var] = ACTIONS(2586),
    [anon_sym_typealias] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4109] = {
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2666),
    [anon_sym_fun] = ACTIONS(2666),
    [anon_sym_interface] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [anon_sym_val] = ACTIONS(2666),
    [anon_sym_var] = ACTIONS(2666),
    [anon_sym_typealias] = ACTIONS(2666),
    [anon_sym_constructor] = ACTIONS(2666),
    [anon_sym_this] = ACTIONS(2666),
    [anon_sym_super] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_sealed] = ACTIONS(2666),
    [anon_sym_annotation] = ACTIONS(2666),
    [anon_sym_data] = ACTIONS(2666),
    [anon_sym_inner] = ACTIONS(2666),
    [anon_sym_value] = ACTIONS(2666),
    [anon_sym_tailrec] = ACTIONS(2666),
    [anon_sym_operator] = ACTIONS(2666),
    [anon_sym_infix] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym_external] = ACTIONS(2666),
    [anon_sym_suspend] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_internal] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_final] = ACTIONS(2666),
    [anon_sym_open] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_lateinit] = ACTIONS(2666),
    [anon_sym_vararg] = ACTIONS(2666),
    [anon_sym_noinline] = ACTIONS(2666),
    [anon_sym_crossinline] = ACTIONS(2666),
    [anon_sym_expect] = ACTIONS(2666),
    [anon_sym_actual] = ACTIONS(2666),
    [anon_sym_dynamic] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_this_AT] = ACTIONS(2668),
    [anon_sym_super_AT] = ACTIONS(2668),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_when] = ACTIONS(2666),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_return_AT] = ACTIONS(2668),
    [anon_sym_throw] = ACTIONS(2666),
    [anon_sym_COLON_COLON] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [sym_number_literal] = ACTIONS(2666),
    [sym_float_literal] = ACTIONS(2668),
    [sym_label] = ACTIONS(2666),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4110] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4720),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4722),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4111] = {
    [sym_identifier] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [anon_sym_STAR] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2676),
    [anon_sym_fun] = ACTIONS(2676),
    [anon_sym_interface] = ACTIONS(2676),
    [anon_sym_object] = ACTIONS(2676),
    [anon_sym_val] = ACTIONS(2676),
    [anon_sym_var] = ACTIONS(2676),
    [anon_sym_typealias] = ACTIONS(2676),
    [anon_sym_constructor] = ACTIONS(2676),
    [anon_sym_this] = ACTIONS(2676),
    [anon_sym_super] = ACTIONS(2676),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_get] = ACTIONS(2676),
    [anon_sym_set] = ACTIONS(2676),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2676),
    [anon_sym_sealed] = ACTIONS(2676),
    [anon_sym_annotation] = ACTIONS(2676),
    [anon_sym_data] = ACTIONS(2676),
    [anon_sym_inner] = ACTIONS(2676),
    [anon_sym_value] = ACTIONS(2676),
    [anon_sym_tailrec] = ACTIONS(2676),
    [anon_sym_operator] = ACTIONS(2676),
    [anon_sym_infix] = ACTIONS(2676),
    [anon_sym_inline] = ACTIONS(2676),
    [anon_sym_external] = ACTIONS(2676),
    [anon_sym_suspend] = ACTIONS(2676),
    [anon_sym_const] = ACTIONS(2676),
    [anon_sym_public] = ACTIONS(2676),
    [anon_sym_private] = ACTIONS(2676),
    [anon_sym_protected] = ACTIONS(2676),
    [anon_sym_internal] = ACTIONS(2676),
    [anon_sym_abstract] = ACTIONS(2676),
    [anon_sym_final] = ACTIONS(2676),
    [anon_sym_open] = ACTIONS(2676),
    [anon_sym_override] = ACTIONS(2676),
    [anon_sym_lateinit] = ACTIONS(2676),
    [anon_sym_vararg] = ACTIONS(2676),
    [anon_sym_noinline] = ACTIONS(2676),
    [anon_sym_crossinline] = ACTIONS(2676),
    [anon_sym_expect] = ACTIONS(2676),
    [anon_sym_actual] = ACTIONS(2676),
    [anon_sym_dynamic] = ACTIONS(2676),
    [anon_sym_QMARK] = ACTIONS(6433),
    [anon_sym_AMP] = ACTIONS(6435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_this_AT] = ACTIONS(2679),
    [anon_sym_super_AT] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2676),
    [anon_sym_when] = ACTIONS(2676),
    [anon_sym_try] = ACTIONS(2676),
    [anon_sym_return] = ACTIONS(2676),
    [anon_sym_return_AT] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2676),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [sym_number_literal] = ACTIONS(2676),
    [sym_float_literal] = ACTIONS(2679),
    [sym_label] = ACTIONS(2676),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4112] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_fun] = ACTIONS(2939),
    [anon_sym_object] = ACTIONS(2939),
    [anon_sym_constructor] = ACTIONS(2939),
    [anon_sym_this] = ACTIONS(2939),
    [anon_sym_super] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2939),
    [anon_sym_set] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_sealed] = ACTIONS(2939),
    [anon_sym_annotation] = ACTIONS(2939),
    [anon_sym_data] = ACTIONS(2939),
    [anon_sym_inner] = ACTIONS(2939),
    [anon_sym_value] = ACTIONS(2939),
    [anon_sym_tailrec] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_infix] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym_external] = ACTIONS(2939),
    [anon_sym_suspend] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_public] = ACTIONS(2939),
    [anon_sym_private] = ACTIONS(2939),
    [anon_sym_protected] = ACTIONS(2939),
    [anon_sym_internal] = ACTIONS(2939),
    [anon_sym_abstract] = ACTIONS(2939),
    [anon_sym_final] = ACTIONS(2939),
    [anon_sym_open] = ACTIONS(2939),
    [anon_sym_override] = ACTIONS(2939),
    [anon_sym_lateinit] = ACTIONS(2939),
    [anon_sym_vararg] = ACTIONS(2939),
    [anon_sym_noinline] = ACTIONS(2939),
    [anon_sym_crossinline] = ACTIONS(2939),
    [anon_sym_expect] = ACTIONS(2939),
    [anon_sym_actual] = ACTIONS(2939),
    [anon_sym_dynamic] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_BANGin] = ACTIONS(2941),
    [anon_sym_is] = ACTIONS(2939),
    [anon_sym_this_AT] = ACTIONS(2941),
    [anon_sym_super_AT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_when] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_return_AT] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2939),
    [sym_float_literal] = ACTIONS(2941),
    [sym_label] = ACTIONS(2939),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2941),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2941),
    [sym__in] = ACTIONS(2941),
  },
  [4113] = {
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_class] = ACTIONS(2670),
    [anon_sym_fun] = ACTIONS(2670),
    [anon_sym_interface] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_val] = ACTIONS(2670),
    [anon_sym_var] = ACTIONS(2670),
    [anon_sym_typealias] = ACTIONS(2670),
    [anon_sym_constructor] = ACTIONS(2670),
    [anon_sym_this] = ACTIONS(2670),
    [anon_sym_super] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_sealed] = ACTIONS(2670),
    [anon_sym_annotation] = ACTIONS(2670),
    [anon_sym_data] = ACTIONS(2670),
    [anon_sym_inner] = ACTIONS(2670),
    [anon_sym_value] = ACTIONS(2670),
    [anon_sym_tailrec] = ACTIONS(2670),
    [anon_sym_operator] = ACTIONS(2670),
    [anon_sym_infix] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym_external] = ACTIONS(2670),
    [anon_sym_suspend] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_internal] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_final] = ACTIONS(2670),
    [anon_sym_open] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_lateinit] = ACTIONS(2670),
    [anon_sym_vararg] = ACTIONS(2670),
    [anon_sym_noinline] = ACTIONS(2670),
    [anon_sym_crossinline] = ACTIONS(2670),
    [anon_sym_expect] = ACTIONS(2670),
    [anon_sym_actual] = ACTIONS(2670),
    [anon_sym_dynamic] = ACTIONS(2670),
    [anon_sym_QMARK] = ACTIONS(6429),
    [anon_sym_AMP] = ACTIONS(6431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2673),
    [anon_sym_DASH_DASH] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_this_AT] = ACTIONS(2673),
    [anon_sym_super_AT] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_when] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_return_AT] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_DQUOTE] = ACTIONS(2670),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2673),
    [sym_number_literal] = ACTIONS(2670),
    [sym_float_literal] = ACTIONS(2673),
    [sym_label] = ACTIONS(2670),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4114] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4115] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5048),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4116] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5034),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5040),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4117] = {
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_fun] = ACTIONS(2586),
    [anon_sym_interface] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_val] = ACTIONS(2586),
    [anon_sym_var] = ACTIONS(2586),
    [anon_sym_typealias] = ACTIONS(2586),
    [anon_sym_constructor] = ACTIONS(2586),
    [anon_sym_this] = ACTIONS(2586),
    [anon_sym_super] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2586),
    [anon_sym_sealed] = ACTIONS(2586),
    [anon_sym_annotation] = ACTIONS(2586),
    [anon_sym_data] = ACTIONS(2586),
    [anon_sym_inner] = ACTIONS(2586),
    [anon_sym_value] = ACTIONS(2586),
    [anon_sym_tailrec] = ACTIONS(2586),
    [anon_sym_operator] = ACTIONS(2586),
    [anon_sym_infix] = ACTIONS(2586),
    [anon_sym_inline] = ACTIONS(2586),
    [anon_sym_external] = ACTIONS(2586),
    [anon_sym_suspend] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_internal] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_final] = ACTIONS(2586),
    [anon_sym_open] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_lateinit] = ACTIONS(2586),
    [anon_sym_vararg] = ACTIONS(2586),
    [anon_sym_noinline] = ACTIONS(2586),
    [anon_sym_crossinline] = ACTIONS(2586),
    [anon_sym_expect] = ACTIONS(2586),
    [anon_sym_actual] = ACTIONS(2586),
    [anon_sym_dynamic] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(2588),
    [anon_sym_AMP] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_this_AT] = ACTIONS(2588),
    [anon_sym_super_AT] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_when] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_return_AT] = ACTIONS(2588),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_COLON_COLON] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2586),
    [sym_float_literal] = ACTIONS(2588),
    [sym_label] = ACTIONS(2586),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4118] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_interface] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_val] = ACTIONS(2638),
    [anon_sym_var] = ACTIONS(2638),
    [anon_sym_typealias] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(6433),
    [anon_sym_AMP] = ACTIONS(6435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4119] = {
    [sym_identifier] = ACTIONS(6437),
    [anon_sym_AT] = ACTIONS(6439),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_STAR] = ACTIONS(6439),
    [anon_sym_fun] = ACTIONS(6437),
    [anon_sym_object] = ACTIONS(6437),
    [anon_sym_constructor] = ACTIONS(6437),
    [anon_sym_this] = ACTIONS(6437),
    [anon_sym_super] = ACTIONS(6437),
    [anon_sym_LPAREN] = ACTIONS(6441),
    [anon_sym_get] = ACTIONS(6437),
    [anon_sym_set] = ACTIONS(6437),
    [anon_sym_LBRACE] = ACTIONS(6439),
    [anon_sym_RBRACE] = ACTIONS(6439),
    [anon_sym_enum] = ACTIONS(6437),
    [anon_sym_sealed] = ACTIONS(6437),
    [anon_sym_annotation] = ACTIONS(6437),
    [anon_sym_data] = ACTIONS(6437),
    [anon_sym_inner] = ACTIONS(6437),
    [anon_sym_value] = ACTIONS(6437),
    [anon_sym_tailrec] = ACTIONS(6437),
    [anon_sym_operator] = ACTIONS(6437),
    [anon_sym_infix] = ACTIONS(6437),
    [anon_sym_inline] = ACTIONS(6437),
    [anon_sym_external] = ACTIONS(6437),
    [anon_sym_suspend] = ACTIONS(6437),
    [anon_sym_const] = ACTIONS(6437),
    [anon_sym_public] = ACTIONS(6437),
    [anon_sym_private] = ACTIONS(6437),
    [anon_sym_protected] = ACTIONS(6437),
    [anon_sym_internal] = ACTIONS(6437),
    [anon_sym_abstract] = ACTIONS(6437),
    [anon_sym_final] = ACTIONS(6437),
    [anon_sym_open] = ACTIONS(6437),
    [anon_sym_override] = ACTIONS(6437),
    [anon_sym_lateinit] = ACTIONS(6437),
    [anon_sym_vararg] = ACTIONS(6437),
    [anon_sym_noinline] = ACTIONS(6437),
    [anon_sym_crossinline] = ACTIONS(6437),
    [anon_sym_expect] = ACTIONS(6437),
    [anon_sym_actual] = ACTIONS(6437),
    [anon_sym_dynamic] = ACTIONS(6437),
    [anon_sym_PLUS_PLUS] = ACTIONS(6439),
    [anon_sym_DASH_DASH] = ACTIONS(6439),
    [anon_sym_PLUS] = ACTIONS(6437),
    [anon_sym_DASH] = ACTIONS(6437),
    [anon_sym_BANG] = ACTIONS(6437),
    [anon_sym_BANGin] = ACTIONS(6439),
    [anon_sym_is] = ACTIONS(6437),
    [anon_sym_this_AT] = ACTIONS(6439),
    [anon_sym_super_AT] = ACTIONS(6439),
    [anon_sym_if] = ACTIONS(6437),
    [anon_sym_else] = ACTIONS(6437),
    [anon_sym_when] = ACTIONS(6437),
    [anon_sym_try] = ACTIONS(6437),
    [anon_sym_return] = ACTIONS(6437),
    [anon_sym_return_AT] = ACTIONS(6439),
    [anon_sym_throw] = ACTIONS(6437),
    [anon_sym_COLON_COLON] = ACTIONS(6439),
    [anon_sym_DQUOTE] = ACTIONS(6437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6439),
    [anon_sym_SQUOTE] = ACTIONS(6439),
    [sym_number_literal] = ACTIONS(6437),
    [sym_float_literal] = ACTIONS(6439),
    [sym_label] = ACTIONS(6437),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6439),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6439),
    [sym__in] = ACTIONS(6439),
  },
  [4120] = {
    [sym_identifier] = ACTIONS(6443),
    [anon_sym_AT] = ACTIONS(6445),
    [anon_sym_LBRACK] = ACTIONS(6445),
    [anon_sym_STAR] = ACTIONS(6445),
    [anon_sym_fun] = ACTIONS(6443),
    [anon_sym_object] = ACTIONS(6443),
    [anon_sym_constructor] = ACTIONS(6443),
    [anon_sym_this] = ACTIONS(6443),
    [anon_sym_super] = ACTIONS(6443),
    [anon_sym_LPAREN] = ACTIONS(6447),
    [anon_sym_get] = ACTIONS(6443),
    [anon_sym_set] = ACTIONS(6443),
    [anon_sym_LBRACE] = ACTIONS(6445),
    [anon_sym_RBRACE] = ACTIONS(6445),
    [anon_sym_enum] = ACTIONS(6443),
    [anon_sym_sealed] = ACTIONS(6443),
    [anon_sym_annotation] = ACTIONS(6443),
    [anon_sym_data] = ACTIONS(6443),
    [anon_sym_inner] = ACTIONS(6443),
    [anon_sym_value] = ACTIONS(6443),
    [anon_sym_tailrec] = ACTIONS(6443),
    [anon_sym_operator] = ACTIONS(6443),
    [anon_sym_infix] = ACTIONS(6443),
    [anon_sym_inline] = ACTIONS(6443),
    [anon_sym_external] = ACTIONS(6443),
    [anon_sym_suspend] = ACTIONS(6443),
    [anon_sym_const] = ACTIONS(6443),
    [anon_sym_public] = ACTIONS(6443),
    [anon_sym_private] = ACTIONS(6443),
    [anon_sym_protected] = ACTIONS(6443),
    [anon_sym_internal] = ACTIONS(6443),
    [anon_sym_abstract] = ACTIONS(6443),
    [anon_sym_final] = ACTIONS(6443),
    [anon_sym_open] = ACTIONS(6443),
    [anon_sym_override] = ACTIONS(6443),
    [anon_sym_lateinit] = ACTIONS(6443),
    [anon_sym_vararg] = ACTIONS(6443),
    [anon_sym_noinline] = ACTIONS(6443),
    [anon_sym_crossinline] = ACTIONS(6443),
    [anon_sym_expect] = ACTIONS(6443),
    [anon_sym_actual] = ACTIONS(6443),
    [anon_sym_dynamic] = ACTIONS(6443),
    [anon_sym_PLUS_PLUS] = ACTIONS(6445),
    [anon_sym_DASH_DASH] = ACTIONS(6445),
    [anon_sym_PLUS] = ACTIONS(6443),
    [anon_sym_DASH] = ACTIONS(6443),
    [anon_sym_BANG] = ACTIONS(6443),
    [anon_sym_BANGin] = ACTIONS(6445),
    [anon_sym_is] = ACTIONS(6443),
    [anon_sym_this_AT] = ACTIONS(6445),
    [anon_sym_super_AT] = ACTIONS(6445),
    [anon_sym_if] = ACTIONS(6443),
    [anon_sym_else] = ACTIONS(6443),
    [anon_sym_when] = ACTIONS(6443),
    [anon_sym_try] = ACTIONS(6443),
    [anon_sym_return] = ACTIONS(6443),
    [anon_sym_return_AT] = ACTIONS(6445),
    [anon_sym_throw] = ACTIONS(6443),
    [anon_sym_COLON_COLON] = ACTIONS(6445),
    [anon_sym_DQUOTE] = ACTIONS(6443),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6445),
    [anon_sym_SQUOTE] = ACTIONS(6445),
    [sym_number_literal] = ACTIONS(6443),
    [sym_float_literal] = ACTIONS(6445),
    [sym_label] = ACTIONS(6443),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6445),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6445),
    [sym__in] = ACTIONS(6445),
  },
  [4121] = {
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2697),
    [anon_sym_fun] = ACTIONS(2697),
    [anon_sym_interface] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_val] = ACTIONS(2697),
    [anon_sym_var] = ACTIONS(2697),
    [anon_sym_typealias] = ACTIONS(2697),
    [anon_sym_constructor] = ACTIONS(2697),
    [anon_sym_this] = ACTIONS(2697),
    [anon_sym_super] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_enum] = ACTIONS(2697),
    [anon_sym_sealed] = ACTIONS(2697),
    [anon_sym_annotation] = ACTIONS(2697),
    [anon_sym_data] = ACTIONS(2697),
    [anon_sym_inner] = ACTIONS(2697),
    [anon_sym_value] = ACTIONS(2697),
    [anon_sym_tailrec] = ACTIONS(2697),
    [anon_sym_operator] = ACTIONS(2697),
    [anon_sym_infix] = ACTIONS(2697),
    [anon_sym_inline] = ACTIONS(2697),
    [anon_sym_external] = ACTIONS(2697),
    [anon_sym_suspend] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_internal] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_final] = ACTIONS(2697),
    [anon_sym_open] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_lateinit] = ACTIONS(2697),
    [anon_sym_vararg] = ACTIONS(2697),
    [anon_sym_noinline] = ACTIONS(2697),
    [anon_sym_crossinline] = ACTIONS(2697),
    [anon_sym_expect] = ACTIONS(2697),
    [anon_sym_actual] = ACTIONS(2697),
    [anon_sym_dynamic] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_this_AT] = ACTIONS(2704),
    [anon_sym_super_AT] = ACTIONS(2704),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_when] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_return_AT] = ACTIONS(2704),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [sym_number_literal] = ACTIONS(2697),
    [sym_float_literal] = ACTIONS(2704),
    [sym_label] = ACTIONS(2697),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4122] = {
    [sym_identifier] = ACTIONS(6449),
    [anon_sym_AT] = ACTIONS(6451),
    [anon_sym_LBRACK] = ACTIONS(6451),
    [anon_sym_STAR] = ACTIONS(6451),
    [anon_sym_fun] = ACTIONS(6449),
    [anon_sym_object] = ACTIONS(6449),
    [anon_sym_constructor] = ACTIONS(6449),
    [anon_sym_this] = ACTIONS(6449),
    [anon_sym_super] = ACTIONS(6449),
    [anon_sym_LPAREN] = ACTIONS(6451),
    [anon_sym_get] = ACTIONS(6449),
    [anon_sym_set] = ACTIONS(6449),
    [anon_sym_LBRACE] = ACTIONS(6451),
    [anon_sym_RBRACE] = ACTIONS(6451),
    [anon_sym_enum] = ACTIONS(6449),
    [anon_sym_sealed] = ACTIONS(6449),
    [anon_sym_annotation] = ACTIONS(6449),
    [anon_sym_data] = ACTIONS(6449),
    [anon_sym_inner] = ACTIONS(6449),
    [anon_sym_value] = ACTIONS(6449),
    [anon_sym_tailrec] = ACTIONS(6449),
    [anon_sym_operator] = ACTIONS(6449),
    [anon_sym_infix] = ACTIONS(6449),
    [anon_sym_inline] = ACTIONS(6449),
    [anon_sym_external] = ACTIONS(6449),
    [anon_sym_suspend] = ACTIONS(6449),
    [anon_sym_const] = ACTIONS(6449),
    [anon_sym_public] = ACTIONS(6449),
    [anon_sym_private] = ACTIONS(6449),
    [anon_sym_protected] = ACTIONS(6449),
    [anon_sym_internal] = ACTIONS(6449),
    [anon_sym_abstract] = ACTIONS(6449),
    [anon_sym_final] = ACTIONS(6449),
    [anon_sym_open] = ACTIONS(6449),
    [anon_sym_override] = ACTIONS(6449),
    [anon_sym_lateinit] = ACTIONS(6449),
    [anon_sym_vararg] = ACTIONS(6449),
    [anon_sym_noinline] = ACTIONS(6449),
    [anon_sym_crossinline] = ACTIONS(6449),
    [anon_sym_expect] = ACTIONS(6449),
    [anon_sym_actual] = ACTIONS(6449),
    [anon_sym_dynamic] = ACTIONS(6449),
    [anon_sym_PLUS_PLUS] = ACTIONS(6451),
    [anon_sym_DASH_DASH] = ACTIONS(6451),
    [anon_sym_PLUS] = ACTIONS(6449),
    [anon_sym_DASH] = ACTIONS(6449),
    [anon_sym_BANG] = ACTIONS(6449),
    [anon_sym_BANGin] = ACTIONS(6451),
    [anon_sym_is] = ACTIONS(6449),
    [anon_sym_this_AT] = ACTIONS(6451),
    [anon_sym_super_AT] = ACTIONS(6451),
    [anon_sym_if] = ACTIONS(6449),
    [anon_sym_else] = ACTIONS(6449),
    [anon_sym_when] = ACTIONS(6449),
    [anon_sym_try] = ACTIONS(6449),
    [anon_sym_return] = ACTIONS(6449),
    [anon_sym_return_AT] = ACTIONS(6451),
    [anon_sym_throw] = ACTIONS(6449),
    [anon_sym_COLON_COLON] = ACTIONS(6451),
    [anon_sym_DQUOTE] = ACTIONS(6449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6451),
    [anon_sym_SQUOTE] = ACTIONS(6451),
    [sym_number_literal] = ACTIONS(6449),
    [sym_float_literal] = ACTIONS(6451),
    [sym_label] = ACTIONS(6449),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6451),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6451),
    [sym__in] = ACTIONS(6451),
  },
  [4123] = {
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2624),
    [anon_sym_fun] = ACTIONS(2624),
    [anon_sym_interface] = ACTIONS(2624),
    [anon_sym_object] = ACTIONS(2624),
    [anon_sym_val] = ACTIONS(2624),
    [anon_sym_var] = ACTIONS(2624),
    [anon_sym_typealias] = ACTIONS(2624),
    [anon_sym_constructor] = ACTIONS(2624),
    [anon_sym_this] = ACTIONS(2624),
    [anon_sym_super] = ACTIONS(2624),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_get] = ACTIONS(2624),
    [anon_sym_set] = ACTIONS(2624),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2624),
    [anon_sym_sealed] = ACTIONS(2624),
    [anon_sym_annotation] = ACTIONS(2624),
    [anon_sym_data] = ACTIONS(2624),
    [anon_sym_inner] = ACTIONS(2624),
    [anon_sym_value] = ACTIONS(2624),
    [anon_sym_tailrec] = ACTIONS(2624),
    [anon_sym_operator] = ACTIONS(2624),
    [anon_sym_infix] = ACTIONS(2624),
    [anon_sym_inline] = ACTIONS(2624),
    [anon_sym_external] = ACTIONS(2624),
    [anon_sym_suspend] = ACTIONS(2624),
    [anon_sym_const] = ACTIONS(2624),
    [anon_sym_public] = ACTIONS(2624),
    [anon_sym_private] = ACTIONS(2624),
    [anon_sym_protected] = ACTIONS(2624),
    [anon_sym_internal] = ACTIONS(2624),
    [anon_sym_abstract] = ACTIONS(2624),
    [anon_sym_final] = ACTIONS(2624),
    [anon_sym_open] = ACTIONS(2624),
    [anon_sym_override] = ACTIONS(2624),
    [anon_sym_lateinit] = ACTIONS(2624),
    [anon_sym_vararg] = ACTIONS(2624),
    [anon_sym_noinline] = ACTIONS(2624),
    [anon_sym_crossinline] = ACTIONS(2624),
    [anon_sym_expect] = ACTIONS(2624),
    [anon_sym_actual] = ACTIONS(2624),
    [anon_sym_dynamic] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_this_AT] = ACTIONS(2627),
    [anon_sym_super_AT] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_when] = ACTIONS(2624),
    [anon_sym_try] = ACTIONS(2624),
    [anon_sym_return] = ACTIONS(2624),
    [anon_sym_return_AT] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2624),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [sym_number_literal] = ACTIONS(2624),
    [sym_float_literal] = ACTIONS(2627),
    [sym_label] = ACTIONS(2624),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4124] = {
    [sym_identifier] = ACTIONS(6453),
    [anon_sym_AT] = ACTIONS(6455),
    [anon_sym_LBRACK] = ACTIONS(6455),
    [anon_sym_STAR] = ACTIONS(6455),
    [anon_sym_fun] = ACTIONS(6453),
    [anon_sym_object] = ACTIONS(6453),
    [anon_sym_constructor] = ACTIONS(6453),
    [anon_sym_this] = ACTIONS(6453),
    [anon_sym_super] = ACTIONS(6453),
    [anon_sym_LPAREN] = ACTIONS(6455),
    [anon_sym_get] = ACTIONS(6453),
    [anon_sym_set] = ACTIONS(6453),
    [anon_sym_LBRACE] = ACTIONS(6455),
    [anon_sym_RBRACE] = ACTIONS(6455),
    [anon_sym_enum] = ACTIONS(6453),
    [anon_sym_sealed] = ACTIONS(6453),
    [anon_sym_annotation] = ACTIONS(6453),
    [anon_sym_data] = ACTIONS(6453),
    [anon_sym_inner] = ACTIONS(6453),
    [anon_sym_value] = ACTIONS(6453),
    [anon_sym_tailrec] = ACTIONS(6453),
    [anon_sym_operator] = ACTIONS(6453),
    [anon_sym_infix] = ACTIONS(6453),
    [anon_sym_inline] = ACTIONS(6453),
    [anon_sym_external] = ACTIONS(6453),
    [anon_sym_suspend] = ACTIONS(6453),
    [anon_sym_const] = ACTIONS(6453),
    [anon_sym_public] = ACTIONS(6453),
    [anon_sym_private] = ACTIONS(6453),
    [anon_sym_protected] = ACTIONS(6453),
    [anon_sym_internal] = ACTIONS(6453),
    [anon_sym_abstract] = ACTIONS(6453),
    [anon_sym_final] = ACTIONS(6453),
    [anon_sym_open] = ACTIONS(6453),
    [anon_sym_override] = ACTIONS(6453),
    [anon_sym_lateinit] = ACTIONS(6453),
    [anon_sym_vararg] = ACTIONS(6453),
    [anon_sym_noinline] = ACTIONS(6453),
    [anon_sym_crossinline] = ACTIONS(6453),
    [anon_sym_expect] = ACTIONS(6453),
    [anon_sym_actual] = ACTIONS(6453),
    [anon_sym_dynamic] = ACTIONS(6453),
    [anon_sym_PLUS_PLUS] = ACTIONS(6455),
    [anon_sym_DASH_DASH] = ACTIONS(6455),
    [anon_sym_PLUS] = ACTIONS(6453),
    [anon_sym_DASH] = ACTIONS(6453),
    [anon_sym_BANG] = ACTIONS(6453),
    [anon_sym_BANGin] = ACTIONS(6455),
    [anon_sym_is] = ACTIONS(6453),
    [anon_sym_this_AT] = ACTIONS(6455),
    [anon_sym_super_AT] = ACTIONS(6455),
    [anon_sym_if] = ACTIONS(6453),
    [anon_sym_else] = ACTIONS(6453),
    [anon_sym_when] = ACTIONS(6453),
    [anon_sym_try] = ACTIONS(6453),
    [anon_sym_return] = ACTIONS(6453),
    [anon_sym_return_AT] = ACTIONS(6455),
    [anon_sym_throw] = ACTIONS(6453),
    [anon_sym_COLON_COLON] = ACTIONS(6455),
    [anon_sym_DQUOTE] = ACTIONS(6453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6455),
    [anon_sym_SQUOTE] = ACTIONS(6455),
    [sym_number_literal] = ACTIONS(6453),
    [sym_float_literal] = ACTIONS(6455),
    [sym_label] = ACTIONS(6453),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6455),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6455),
    [sym__in] = ACTIONS(6455),
  },
  [4125] = {
    [sym_identifier] = ACTIONS(6457),
    [anon_sym_AT] = ACTIONS(6459),
    [anon_sym_LBRACK] = ACTIONS(6459),
    [anon_sym_STAR] = ACTIONS(6459),
    [anon_sym_fun] = ACTIONS(6457),
    [anon_sym_object] = ACTIONS(6457),
    [anon_sym_constructor] = ACTIONS(6457),
    [anon_sym_this] = ACTIONS(6457),
    [anon_sym_super] = ACTIONS(6457),
    [anon_sym_LPAREN] = ACTIONS(6459),
    [anon_sym_get] = ACTIONS(6457),
    [anon_sym_set] = ACTIONS(6457),
    [anon_sym_LBRACE] = ACTIONS(6459),
    [anon_sym_RBRACE] = ACTIONS(6459),
    [anon_sym_enum] = ACTIONS(6457),
    [anon_sym_sealed] = ACTIONS(6457),
    [anon_sym_annotation] = ACTIONS(6457),
    [anon_sym_data] = ACTIONS(6457),
    [anon_sym_inner] = ACTIONS(6457),
    [anon_sym_value] = ACTIONS(6457),
    [anon_sym_tailrec] = ACTIONS(6457),
    [anon_sym_operator] = ACTIONS(6457),
    [anon_sym_infix] = ACTIONS(6457),
    [anon_sym_inline] = ACTIONS(6457),
    [anon_sym_external] = ACTIONS(6457),
    [anon_sym_suspend] = ACTIONS(6457),
    [anon_sym_const] = ACTIONS(6457),
    [anon_sym_public] = ACTIONS(6457),
    [anon_sym_private] = ACTIONS(6457),
    [anon_sym_protected] = ACTIONS(6457),
    [anon_sym_internal] = ACTIONS(6457),
    [anon_sym_abstract] = ACTIONS(6457),
    [anon_sym_final] = ACTIONS(6457),
    [anon_sym_open] = ACTIONS(6457),
    [anon_sym_override] = ACTIONS(6457),
    [anon_sym_lateinit] = ACTIONS(6457),
    [anon_sym_vararg] = ACTIONS(6457),
    [anon_sym_noinline] = ACTIONS(6457),
    [anon_sym_crossinline] = ACTIONS(6457),
    [anon_sym_expect] = ACTIONS(6457),
    [anon_sym_actual] = ACTIONS(6457),
    [anon_sym_dynamic] = ACTIONS(6457),
    [anon_sym_PLUS_PLUS] = ACTIONS(6459),
    [anon_sym_DASH_DASH] = ACTIONS(6459),
    [anon_sym_PLUS] = ACTIONS(6457),
    [anon_sym_DASH] = ACTIONS(6457),
    [anon_sym_BANG] = ACTIONS(6457),
    [anon_sym_BANGin] = ACTIONS(6459),
    [anon_sym_is] = ACTIONS(6457),
    [anon_sym_this_AT] = ACTIONS(6459),
    [anon_sym_super_AT] = ACTIONS(6459),
    [anon_sym_if] = ACTIONS(6457),
    [anon_sym_else] = ACTIONS(6457),
    [anon_sym_when] = ACTIONS(6457),
    [anon_sym_try] = ACTIONS(6457),
    [anon_sym_return] = ACTIONS(6457),
    [anon_sym_return_AT] = ACTIONS(6459),
    [anon_sym_throw] = ACTIONS(6457),
    [anon_sym_COLON_COLON] = ACTIONS(6459),
    [anon_sym_DQUOTE] = ACTIONS(6457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6459),
    [anon_sym_SQUOTE] = ACTIONS(6459),
    [sym_number_literal] = ACTIONS(6457),
    [sym_float_literal] = ACTIONS(6459),
    [sym_label] = ACTIONS(6457),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6459),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6459),
    [sym__in] = ACTIONS(6459),
  },
  [4126] = {
    [sym_identifier] = ACTIONS(6461),
    [anon_sym_AT] = ACTIONS(6463),
    [anon_sym_LBRACK] = ACTIONS(6463),
    [anon_sym_STAR] = ACTIONS(6463),
    [anon_sym_fun] = ACTIONS(6461),
    [anon_sym_object] = ACTIONS(6461),
    [anon_sym_constructor] = ACTIONS(6461),
    [anon_sym_this] = ACTIONS(6461),
    [anon_sym_super] = ACTIONS(6461),
    [anon_sym_LPAREN] = ACTIONS(6463),
    [anon_sym_get] = ACTIONS(6461),
    [anon_sym_set] = ACTIONS(6461),
    [anon_sym_LBRACE] = ACTIONS(6463),
    [anon_sym_RBRACE] = ACTIONS(6463),
    [anon_sym_enum] = ACTIONS(6461),
    [anon_sym_sealed] = ACTIONS(6461),
    [anon_sym_annotation] = ACTIONS(6461),
    [anon_sym_data] = ACTIONS(6461),
    [anon_sym_inner] = ACTIONS(6461),
    [anon_sym_value] = ACTIONS(6461),
    [anon_sym_tailrec] = ACTIONS(6461),
    [anon_sym_operator] = ACTIONS(6461),
    [anon_sym_infix] = ACTIONS(6461),
    [anon_sym_inline] = ACTIONS(6461),
    [anon_sym_external] = ACTIONS(6461),
    [anon_sym_suspend] = ACTIONS(6461),
    [anon_sym_const] = ACTIONS(6461),
    [anon_sym_public] = ACTIONS(6461),
    [anon_sym_private] = ACTIONS(6461),
    [anon_sym_protected] = ACTIONS(6461),
    [anon_sym_internal] = ACTIONS(6461),
    [anon_sym_abstract] = ACTIONS(6461),
    [anon_sym_final] = ACTIONS(6461),
    [anon_sym_open] = ACTIONS(6461),
    [anon_sym_override] = ACTIONS(6461),
    [anon_sym_lateinit] = ACTIONS(6461),
    [anon_sym_vararg] = ACTIONS(6461),
    [anon_sym_noinline] = ACTIONS(6461),
    [anon_sym_crossinline] = ACTIONS(6461),
    [anon_sym_expect] = ACTIONS(6461),
    [anon_sym_actual] = ACTIONS(6461),
    [anon_sym_dynamic] = ACTIONS(6461),
    [anon_sym_PLUS_PLUS] = ACTIONS(6463),
    [anon_sym_DASH_DASH] = ACTIONS(6463),
    [anon_sym_PLUS] = ACTIONS(6461),
    [anon_sym_DASH] = ACTIONS(6461),
    [anon_sym_BANG] = ACTIONS(6461),
    [anon_sym_BANGin] = ACTIONS(6463),
    [anon_sym_is] = ACTIONS(6461),
    [anon_sym_this_AT] = ACTIONS(6463),
    [anon_sym_super_AT] = ACTIONS(6463),
    [anon_sym_if] = ACTIONS(6461),
    [anon_sym_else] = ACTIONS(6461),
    [anon_sym_when] = ACTIONS(6461),
    [anon_sym_try] = ACTIONS(6461),
    [anon_sym_return] = ACTIONS(6461),
    [anon_sym_return_AT] = ACTIONS(6463),
    [anon_sym_throw] = ACTIONS(6461),
    [anon_sym_COLON_COLON] = ACTIONS(6463),
    [anon_sym_DQUOTE] = ACTIONS(6461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6463),
    [anon_sym_SQUOTE] = ACTIONS(6463),
    [sym_number_literal] = ACTIONS(6461),
    [sym_float_literal] = ACTIONS(6463),
    [sym_label] = ACTIONS(6461),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6463),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6463),
    [sym__in] = ACTIONS(6463),
  },
  [4127] = {
    [sym_identifier] = ACTIONS(6465),
    [anon_sym_AT] = ACTIONS(6467),
    [anon_sym_LBRACK] = ACTIONS(6467),
    [anon_sym_STAR] = ACTIONS(6467),
    [anon_sym_fun] = ACTIONS(6465),
    [anon_sym_object] = ACTIONS(6465),
    [anon_sym_constructor] = ACTIONS(6465),
    [anon_sym_this] = ACTIONS(6465),
    [anon_sym_super] = ACTIONS(6465),
    [anon_sym_LPAREN] = ACTIONS(6467),
    [anon_sym_get] = ACTIONS(6465),
    [anon_sym_set] = ACTIONS(6465),
    [anon_sym_LBRACE] = ACTIONS(6467),
    [anon_sym_RBRACE] = ACTIONS(6467),
    [anon_sym_enum] = ACTIONS(6465),
    [anon_sym_sealed] = ACTIONS(6465),
    [anon_sym_annotation] = ACTIONS(6465),
    [anon_sym_data] = ACTIONS(6465),
    [anon_sym_inner] = ACTIONS(6465),
    [anon_sym_value] = ACTIONS(6465),
    [anon_sym_tailrec] = ACTIONS(6465),
    [anon_sym_operator] = ACTIONS(6465),
    [anon_sym_infix] = ACTIONS(6465),
    [anon_sym_inline] = ACTIONS(6465),
    [anon_sym_external] = ACTIONS(6465),
    [anon_sym_suspend] = ACTIONS(6465),
    [anon_sym_const] = ACTIONS(6465),
    [anon_sym_public] = ACTIONS(6465),
    [anon_sym_private] = ACTIONS(6465),
    [anon_sym_protected] = ACTIONS(6465),
    [anon_sym_internal] = ACTIONS(6465),
    [anon_sym_abstract] = ACTIONS(6465),
    [anon_sym_final] = ACTIONS(6465),
    [anon_sym_open] = ACTIONS(6465),
    [anon_sym_override] = ACTIONS(6465),
    [anon_sym_lateinit] = ACTIONS(6465),
    [anon_sym_vararg] = ACTIONS(6465),
    [anon_sym_noinline] = ACTIONS(6465),
    [anon_sym_crossinline] = ACTIONS(6465),
    [anon_sym_expect] = ACTIONS(6465),
    [anon_sym_actual] = ACTIONS(6465),
    [anon_sym_dynamic] = ACTIONS(6465),
    [anon_sym_PLUS_PLUS] = ACTIONS(6467),
    [anon_sym_DASH_DASH] = ACTIONS(6467),
    [anon_sym_PLUS] = ACTIONS(6465),
    [anon_sym_DASH] = ACTIONS(6465),
    [anon_sym_BANG] = ACTIONS(6465),
    [anon_sym_BANGin] = ACTIONS(6467),
    [anon_sym_is] = ACTIONS(6465),
    [anon_sym_this_AT] = ACTIONS(6467),
    [anon_sym_super_AT] = ACTIONS(6467),
    [anon_sym_if] = ACTIONS(6465),
    [anon_sym_else] = ACTIONS(6465),
    [anon_sym_when] = ACTIONS(6465),
    [anon_sym_try] = ACTIONS(6465),
    [anon_sym_return] = ACTIONS(6465),
    [anon_sym_return_AT] = ACTIONS(6467),
    [anon_sym_throw] = ACTIONS(6465),
    [anon_sym_COLON_COLON] = ACTIONS(6467),
    [anon_sym_DQUOTE] = ACTIONS(6465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6467),
    [anon_sym_SQUOTE] = ACTIONS(6467),
    [sym_number_literal] = ACTIONS(6465),
    [sym_float_literal] = ACTIONS(6467),
    [sym_label] = ACTIONS(6465),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6467),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6467),
    [sym__in] = ACTIONS(6467),
  },
  [4128] = {
    [sym_identifier] = ACTIONS(6469),
    [anon_sym_AT] = ACTIONS(6471),
    [anon_sym_LBRACK] = ACTIONS(6471),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_fun] = ACTIONS(6469),
    [anon_sym_object] = ACTIONS(6469),
    [anon_sym_constructor] = ACTIONS(6469),
    [anon_sym_this] = ACTIONS(6469),
    [anon_sym_super] = ACTIONS(6469),
    [anon_sym_LPAREN] = ACTIONS(6471),
    [anon_sym_get] = ACTIONS(6469),
    [anon_sym_set] = ACTIONS(6469),
    [anon_sym_LBRACE] = ACTIONS(6471),
    [anon_sym_RBRACE] = ACTIONS(6471),
    [anon_sym_enum] = ACTIONS(6469),
    [anon_sym_sealed] = ACTIONS(6469),
    [anon_sym_annotation] = ACTIONS(6469),
    [anon_sym_data] = ACTIONS(6469),
    [anon_sym_inner] = ACTIONS(6469),
    [anon_sym_value] = ACTIONS(6469),
    [anon_sym_tailrec] = ACTIONS(6469),
    [anon_sym_operator] = ACTIONS(6469),
    [anon_sym_infix] = ACTIONS(6469),
    [anon_sym_inline] = ACTIONS(6469),
    [anon_sym_external] = ACTIONS(6469),
    [anon_sym_suspend] = ACTIONS(6469),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_public] = ACTIONS(6469),
    [anon_sym_private] = ACTIONS(6469),
    [anon_sym_protected] = ACTIONS(6469),
    [anon_sym_internal] = ACTIONS(6469),
    [anon_sym_abstract] = ACTIONS(6469),
    [anon_sym_final] = ACTIONS(6469),
    [anon_sym_open] = ACTIONS(6469),
    [anon_sym_override] = ACTIONS(6469),
    [anon_sym_lateinit] = ACTIONS(6469),
    [anon_sym_vararg] = ACTIONS(6469),
    [anon_sym_noinline] = ACTIONS(6469),
    [anon_sym_crossinline] = ACTIONS(6469),
    [anon_sym_expect] = ACTIONS(6469),
    [anon_sym_actual] = ACTIONS(6469),
    [anon_sym_dynamic] = ACTIONS(6469),
    [anon_sym_PLUS_PLUS] = ACTIONS(6471),
    [anon_sym_DASH_DASH] = ACTIONS(6471),
    [anon_sym_PLUS] = ACTIONS(6469),
    [anon_sym_DASH] = ACTIONS(6469),
    [anon_sym_BANG] = ACTIONS(6469),
    [anon_sym_BANGin] = ACTIONS(6471),
    [anon_sym_is] = ACTIONS(6469),
    [anon_sym_this_AT] = ACTIONS(6471),
    [anon_sym_super_AT] = ACTIONS(6471),
    [anon_sym_if] = ACTIONS(6469),
    [anon_sym_else] = ACTIONS(6469),
    [anon_sym_when] = ACTIONS(6469),
    [anon_sym_try] = ACTIONS(6469),
    [anon_sym_return] = ACTIONS(6469),
    [anon_sym_return_AT] = ACTIONS(6471),
    [anon_sym_throw] = ACTIONS(6469),
    [anon_sym_COLON_COLON] = ACTIONS(6471),
    [anon_sym_DQUOTE] = ACTIONS(6469),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6471),
    [anon_sym_SQUOTE] = ACTIONS(6471),
    [sym_number_literal] = ACTIONS(6469),
    [sym_float_literal] = ACTIONS(6471),
    [sym_label] = ACTIONS(6469),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6471),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6471),
    [sym__in] = ACTIONS(6471),
  },
  [4129] = {
    [sym_identifier] = ACTIONS(6473),
    [anon_sym_AT] = ACTIONS(6475),
    [anon_sym_LBRACK] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6475),
    [anon_sym_fun] = ACTIONS(6473),
    [anon_sym_object] = ACTIONS(6473),
    [anon_sym_constructor] = ACTIONS(6473),
    [anon_sym_this] = ACTIONS(6473),
    [anon_sym_super] = ACTIONS(6473),
    [anon_sym_LPAREN] = ACTIONS(6475),
    [anon_sym_get] = ACTIONS(6473),
    [anon_sym_set] = ACTIONS(6473),
    [anon_sym_LBRACE] = ACTIONS(6475),
    [anon_sym_RBRACE] = ACTIONS(6475),
    [anon_sym_enum] = ACTIONS(6473),
    [anon_sym_sealed] = ACTIONS(6473),
    [anon_sym_annotation] = ACTIONS(6473),
    [anon_sym_data] = ACTIONS(6473),
    [anon_sym_inner] = ACTIONS(6473),
    [anon_sym_value] = ACTIONS(6473),
    [anon_sym_tailrec] = ACTIONS(6473),
    [anon_sym_operator] = ACTIONS(6473),
    [anon_sym_infix] = ACTIONS(6473),
    [anon_sym_inline] = ACTIONS(6473),
    [anon_sym_external] = ACTIONS(6473),
    [anon_sym_suspend] = ACTIONS(6473),
    [anon_sym_const] = ACTIONS(6473),
    [anon_sym_public] = ACTIONS(6473),
    [anon_sym_private] = ACTIONS(6473),
    [anon_sym_protected] = ACTIONS(6473),
    [anon_sym_internal] = ACTIONS(6473),
    [anon_sym_abstract] = ACTIONS(6473),
    [anon_sym_final] = ACTIONS(6473),
    [anon_sym_open] = ACTIONS(6473),
    [anon_sym_override] = ACTIONS(6473),
    [anon_sym_lateinit] = ACTIONS(6473),
    [anon_sym_vararg] = ACTIONS(6473),
    [anon_sym_noinline] = ACTIONS(6473),
    [anon_sym_crossinline] = ACTIONS(6473),
    [anon_sym_expect] = ACTIONS(6473),
    [anon_sym_actual] = ACTIONS(6473),
    [anon_sym_dynamic] = ACTIONS(6473),
    [anon_sym_PLUS_PLUS] = ACTIONS(6475),
    [anon_sym_DASH_DASH] = ACTIONS(6475),
    [anon_sym_PLUS] = ACTIONS(6473),
    [anon_sym_DASH] = ACTIONS(6473),
    [anon_sym_BANG] = ACTIONS(6473),
    [anon_sym_BANGin] = ACTIONS(6475),
    [anon_sym_is] = ACTIONS(6473),
    [anon_sym_this_AT] = ACTIONS(6475),
    [anon_sym_super_AT] = ACTIONS(6475),
    [anon_sym_if] = ACTIONS(6473),
    [anon_sym_else] = ACTIONS(6473),
    [anon_sym_when] = ACTIONS(6473),
    [anon_sym_try] = ACTIONS(6473),
    [anon_sym_return] = ACTIONS(6473),
    [anon_sym_return_AT] = ACTIONS(6475),
    [anon_sym_throw] = ACTIONS(6473),
    [anon_sym_COLON_COLON] = ACTIONS(6475),
    [anon_sym_DQUOTE] = ACTIONS(6473),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6475),
    [anon_sym_SQUOTE] = ACTIONS(6475),
    [sym_number_literal] = ACTIONS(6473),
    [sym_float_literal] = ACTIONS(6475),
    [sym_label] = ACTIONS(6473),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6475),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6475),
    [sym__in] = ACTIONS(6475),
  },
  [4130] = {
    [sym_identifier] = ACTIONS(6477),
    [anon_sym_AT] = ACTIONS(6479),
    [anon_sym_LBRACK] = ACTIONS(6479),
    [anon_sym_STAR] = ACTIONS(6479),
    [anon_sym_fun] = ACTIONS(6477),
    [anon_sym_object] = ACTIONS(6477),
    [anon_sym_constructor] = ACTIONS(6477),
    [anon_sym_this] = ACTIONS(6477),
    [anon_sym_super] = ACTIONS(6477),
    [anon_sym_LPAREN] = ACTIONS(6479),
    [anon_sym_get] = ACTIONS(6477),
    [anon_sym_set] = ACTIONS(6477),
    [anon_sym_LBRACE] = ACTIONS(6479),
    [anon_sym_RBRACE] = ACTIONS(6479),
    [anon_sym_enum] = ACTIONS(6477),
    [anon_sym_sealed] = ACTIONS(6477),
    [anon_sym_annotation] = ACTIONS(6477),
    [anon_sym_data] = ACTIONS(6477),
    [anon_sym_inner] = ACTIONS(6477),
    [anon_sym_value] = ACTIONS(6477),
    [anon_sym_tailrec] = ACTIONS(6477),
    [anon_sym_operator] = ACTIONS(6477),
    [anon_sym_infix] = ACTIONS(6477),
    [anon_sym_inline] = ACTIONS(6477),
    [anon_sym_external] = ACTIONS(6477),
    [anon_sym_suspend] = ACTIONS(6477),
    [anon_sym_const] = ACTIONS(6477),
    [anon_sym_public] = ACTIONS(6477),
    [anon_sym_private] = ACTIONS(6477),
    [anon_sym_protected] = ACTIONS(6477),
    [anon_sym_internal] = ACTIONS(6477),
    [anon_sym_abstract] = ACTIONS(6477),
    [anon_sym_final] = ACTIONS(6477),
    [anon_sym_open] = ACTIONS(6477),
    [anon_sym_override] = ACTIONS(6477),
    [anon_sym_lateinit] = ACTIONS(6477),
    [anon_sym_vararg] = ACTIONS(6477),
    [anon_sym_noinline] = ACTIONS(6477),
    [anon_sym_crossinline] = ACTIONS(6477),
    [anon_sym_expect] = ACTIONS(6477),
    [anon_sym_actual] = ACTIONS(6477),
    [anon_sym_dynamic] = ACTIONS(6477),
    [anon_sym_PLUS_PLUS] = ACTIONS(6479),
    [anon_sym_DASH_DASH] = ACTIONS(6479),
    [anon_sym_PLUS] = ACTIONS(6477),
    [anon_sym_DASH] = ACTIONS(6477),
    [anon_sym_BANG] = ACTIONS(6477),
    [anon_sym_BANGin] = ACTIONS(6479),
    [anon_sym_is] = ACTIONS(6477),
    [anon_sym_this_AT] = ACTIONS(6479),
    [anon_sym_super_AT] = ACTIONS(6479),
    [anon_sym_if] = ACTIONS(6477),
    [anon_sym_else] = ACTIONS(6477),
    [anon_sym_when] = ACTIONS(6477),
    [anon_sym_try] = ACTIONS(6477),
    [anon_sym_return] = ACTIONS(6477),
    [anon_sym_return_AT] = ACTIONS(6479),
    [anon_sym_throw] = ACTIONS(6477),
    [anon_sym_COLON_COLON] = ACTIONS(6479),
    [anon_sym_DQUOTE] = ACTIONS(6477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6479),
    [anon_sym_SQUOTE] = ACTIONS(6479),
    [sym_number_literal] = ACTIONS(6477),
    [sym_float_literal] = ACTIONS(6479),
    [sym_label] = ACTIONS(6477),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6479),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6479),
    [sym__in] = ACTIONS(6479),
  },
  [4131] = {
    [sym_identifier] = ACTIONS(6481),
    [anon_sym_AT] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym_STAR] = ACTIONS(6483),
    [anon_sym_fun] = ACTIONS(6481),
    [anon_sym_object] = ACTIONS(6481),
    [anon_sym_constructor] = ACTIONS(6481),
    [anon_sym_this] = ACTIONS(6481),
    [anon_sym_super] = ACTIONS(6481),
    [anon_sym_LPAREN] = ACTIONS(6483),
    [anon_sym_get] = ACTIONS(6481),
    [anon_sym_set] = ACTIONS(6481),
    [anon_sym_LBRACE] = ACTIONS(6483),
    [anon_sym_RBRACE] = ACTIONS(6483),
    [anon_sym_enum] = ACTIONS(6481),
    [anon_sym_sealed] = ACTIONS(6481),
    [anon_sym_annotation] = ACTIONS(6481),
    [anon_sym_data] = ACTIONS(6481),
    [anon_sym_inner] = ACTIONS(6481),
    [anon_sym_value] = ACTIONS(6481),
    [anon_sym_tailrec] = ACTIONS(6481),
    [anon_sym_operator] = ACTIONS(6481),
    [anon_sym_infix] = ACTIONS(6481),
    [anon_sym_inline] = ACTIONS(6481),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_suspend] = ACTIONS(6481),
    [anon_sym_const] = ACTIONS(6481),
    [anon_sym_public] = ACTIONS(6481),
    [anon_sym_private] = ACTIONS(6481),
    [anon_sym_protected] = ACTIONS(6481),
    [anon_sym_internal] = ACTIONS(6481),
    [anon_sym_abstract] = ACTIONS(6481),
    [anon_sym_final] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_override] = ACTIONS(6481),
    [anon_sym_lateinit] = ACTIONS(6481),
    [anon_sym_vararg] = ACTIONS(6481),
    [anon_sym_noinline] = ACTIONS(6481),
    [anon_sym_crossinline] = ACTIONS(6481),
    [anon_sym_expect] = ACTIONS(6481),
    [anon_sym_actual] = ACTIONS(6481),
    [anon_sym_dynamic] = ACTIONS(6481),
    [anon_sym_PLUS_PLUS] = ACTIONS(6483),
    [anon_sym_DASH_DASH] = ACTIONS(6483),
    [anon_sym_PLUS] = ACTIONS(6481),
    [anon_sym_DASH] = ACTIONS(6481),
    [anon_sym_BANG] = ACTIONS(6481),
    [anon_sym_BANGin] = ACTIONS(6483),
    [anon_sym_is] = ACTIONS(6481),
    [anon_sym_this_AT] = ACTIONS(6483),
    [anon_sym_super_AT] = ACTIONS(6483),
    [anon_sym_if] = ACTIONS(6481),
    [anon_sym_else] = ACTIONS(6481),
    [anon_sym_when] = ACTIONS(6481),
    [anon_sym_try] = ACTIONS(6481),
    [anon_sym_return] = ACTIONS(6481),
    [anon_sym_return_AT] = ACTIONS(6483),
    [anon_sym_throw] = ACTIONS(6481),
    [anon_sym_COLON_COLON] = ACTIONS(6483),
    [anon_sym_DQUOTE] = ACTIONS(6481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6483),
    [anon_sym_SQUOTE] = ACTIONS(6483),
    [sym_number_literal] = ACTIONS(6481),
    [sym_float_literal] = ACTIONS(6483),
    [sym_label] = ACTIONS(6481),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6483),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6483),
    [sym__in] = ACTIONS(6483),
  },
  [4132] = {
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_AT] = ACTIONS(6487),
    [anon_sym_LBRACK] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6487),
    [anon_sym_fun] = ACTIONS(6485),
    [anon_sym_object] = ACTIONS(6485),
    [anon_sym_constructor] = ACTIONS(6485),
    [anon_sym_this] = ACTIONS(6485),
    [anon_sym_super] = ACTIONS(6485),
    [anon_sym_LPAREN] = ACTIONS(6487),
    [anon_sym_get] = ACTIONS(6485),
    [anon_sym_set] = ACTIONS(6485),
    [anon_sym_LBRACE] = ACTIONS(6487),
    [anon_sym_RBRACE] = ACTIONS(6487),
    [anon_sym_enum] = ACTIONS(6485),
    [anon_sym_sealed] = ACTIONS(6485),
    [anon_sym_annotation] = ACTIONS(6485),
    [anon_sym_data] = ACTIONS(6485),
    [anon_sym_inner] = ACTIONS(6485),
    [anon_sym_value] = ACTIONS(6485),
    [anon_sym_tailrec] = ACTIONS(6485),
    [anon_sym_operator] = ACTIONS(6485),
    [anon_sym_infix] = ACTIONS(6485),
    [anon_sym_inline] = ACTIONS(6485),
    [anon_sym_external] = ACTIONS(6485),
    [anon_sym_suspend] = ACTIONS(6485),
    [anon_sym_const] = ACTIONS(6485),
    [anon_sym_public] = ACTIONS(6485),
    [anon_sym_private] = ACTIONS(6485),
    [anon_sym_protected] = ACTIONS(6485),
    [anon_sym_internal] = ACTIONS(6485),
    [anon_sym_abstract] = ACTIONS(6485),
    [anon_sym_final] = ACTIONS(6485),
    [anon_sym_open] = ACTIONS(6485),
    [anon_sym_override] = ACTIONS(6485),
    [anon_sym_lateinit] = ACTIONS(6485),
    [anon_sym_vararg] = ACTIONS(6485),
    [anon_sym_noinline] = ACTIONS(6485),
    [anon_sym_crossinline] = ACTIONS(6485),
    [anon_sym_expect] = ACTIONS(6485),
    [anon_sym_actual] = ACTIONS(6485),
    [anon_sym_dynamic] = ACTIONS(6485),
    [anon_sym_PLUS_PLUS] = ACTIONS(6487),
    [anon_sym_DASH_DASH] = ACTIONS(6487),
    [anon_sym_PLUS] = ACTIONS(6485),
    [anon_sym_DASH] = ACTIONS(6485),
    [anon_sym_BANG] = ACTIONS(6485),
    [anon_sym_BANGin] = ACTIONS(6487),
    [anon_sym_is] = ACTIONS(6485),
    [anon_sym_this_AT] = ACTIONS(6487),
    [anon_sym_super_AT] = ACTIONS(6487),
    [anon_sym_if] = ACTIONS(6485),
    [anon_sym_else] = ACTIONS(6485),
    [anon_sym_when] = ACTIONS(6485),
    [anon_sym_try] = ACTIONS(6485),
    [anon_sym_return] = ACTIONS(6485),
    [anon_sym_return_AT] = ACTIONS(6487),
    [anon_sym_throw] = ACTIONS(6485),
    [anon_sym_COLON_COLON] = ACTIONS(6487),
    [anon_sym_DQUOTE] = ACTIONS(6485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6487),
    [anon_sym_SQUOTE] = ACTIONS(6487),
    [sym_number_literal] = ACTIONS(6485),
    [sym_float_literal] = ACTIONS(6487),
    [sym_label] = ACTIONS(6485),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6487),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6487),
    [sym__in] = ACTIONS(6487),
  },
  [4133] = {
    [sym_identifier] = ACTIONS(6489),
    [anon_sym_AT] = ACTIONS(6491),
    [anon_sym_LBRACK] = ACTIONS(6491),
    [anon_sym_STAR] = ACTIONS(6491),
    [anon_sym_fun] = ACTIONS(6489),
    [anon_sym_object] = ACTIONS(6489),
    [anon_sym_constructor] = ACTIONS(6489),
    [anon_sym_this] = ACTIONS(6489),
    [anon_sym_super] = ACTIONS(6489),
    [anon_sym_LPAREN] = ACTIONS(6491),
    [anon_sym_get] = ACTIONS(6489),
    [anon_sym_set] = ACTIONS(6489),
    [anon_sym_LBRACE] = ACTIONS(6491),
    [anon_sym_RBRACE] = ACTIONS(6491),
    [anon_sym_enum] = ACTIONS(6489),
    [anon_sym_sealed] = ACTIONS(6489),
    [anon_sym_annotation] = ACTIONS(6489),
    [anon_sym_data] = ACTIONS(6489),
    [anon_sym_inner] = ACTIONS(6489),
    [anon_sym_value] = ACTIONS(6489),
    [anon_sym_tailrec] = ACTIONS(6489),
    [anon_sym_operator] = ACTIONS(6489),
    [anon_sym_infix] = ACTIONS(6489),
    [anon_sym_inline] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6489),
    [anon_sym_suspend] = ACTIONS(6489),
    [anon_sym_const] = ACTIONS(6489),
    [anon_sym_public] = ACTIONS(6489),
    [anon_sym_private] = ACTIONS(6489),
    [anon_sym_protected] = ACTIONS(6489),
    [anon_sym_internal] = ACTIONS(6489),
    [anon_sym_abstract] = ACTIONS(6489),
    [anon_sym_final] = ACTIONS(6489),
    [anon_sym_open] = ACTIONS(6489),
    [anon_sym_override] = ACTIONS(6489),
    [anon_sym_lateinit] = ACTIONS(6489),
    [anon_sym_vararg] = ACTIONS(6489),
    [anon_sym_noinline] = ACTIONS(6489),
    [anon_sym_crossinline] = ACTIONS(6489),
    [anon_sym_expect] = ACTIONS(6489),
    [anon_sym_actual] = ACTIONS(6489),
    [anon_sym_dynamic] = ACTIONS(6489),
    [anon_sym_PLUS_PLUS] = ACTIONS(6491),
    [anon_sym_DASH_DASH] = ACTIONS(6491),
    [anon_sym_PLUS] = ACTIONS(6489),
    [anon_sym_DASH] = ACTIONS(6489),
    [anon_sym_BANG] = ACTIONS(6489),
    [anon_sym_BANGin] = ACTIONS(6491),
    [anon_sym_is] = ACTIONS(6489),
    [anon_sym_this_AT] = ACTIONS(6491),
    [anon_sym_super_AT] = ACTIONS(6491),
    [anon_sym_if] = ACTIONS(6489),
    [anon_sym_else] = ACTIONS(6489),
    [anon_sym_when] = ACTIONS(6489),
    [anon_sym_try] = ACTIONS(6489),
    [anon_sym_return] = ACTIONS(6489),
    [anon_sym_return_AT] = ACTIONS(6491),
    [anon_sym_throw] = ACTIONS(6489),
    [anon_sym_COLON_COLON] = ACTIONS(6491),
    [anon_sym_DQUOTE] = ACTIONS(6489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6491),
    [anon_sym_SQUOTE] = ACTIONS(6491),
    [sym_number_literal] = ACTIONS(6489),
    [sym_float_literal] = ACTIONS(6491),
    [sym_label] = ACTIONS(6489),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6491),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6491),
    [sym__in] = ACTIONS(6491),
  },
  [4134] = {
    [sym_identifier] = ACTIONS(6493),
    [anon_sym_AT] = ACTIONS(6495),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_STAR] = ACTIONS(6495),
    [anon_sym_fun] = ACTIONS(6493),
    [anon_sym_object] = ACTIONS(6493),
    [anon_sym_constructor] = ACTIONS(6493),
    [anon_sym_this] = ACTIONS(6493),
    [anon_sym_super] = ACTIONS(6493),
    [anon_sym_LPAREN] = ACTIONS(6495),
    [anon_sym_get] = ACTIONS(6493),
    [anon_sym_set] = ACTIONS(6493),
    [anon_sym_LBRACE] = ACTIONS(6495),
    [anon_sym_RBRACE] = ACTIONS(6495),
    [anon_sym_enum] = ACTIONS(6493),
    [anon_sym_sealed] = ACTIONS(6493),
    [anon_sym_annotation] = ACTIONS(6493),
    [anon_sym_data] = ACTIONS(6493),
    [anon_sym_inner] = ACTIONS(6493),
    [anon_sym_value] = ACTIONS(6493),
    [anon_sym_tailrec] = ACTIONS(6493),
    [anon_sym_operator] = ACTIONS(6493),
    [anon_sym_infix] = ACTIONS(6493),
    [anon_sym_inline] = ACTIONS(6493),
    [anon_sym_external] = ACTIONS(6493),
    [anon_sym_suspend] = ACTIONS(6493),
    [anon_sym_const] = ACTIONS(6493),
    [anon_sym_public] = ACTIONS(6493),
    [anon_sym_private] = ACTIONS(6493),
    [anon_sym_protected] = ACTIONS(6493),
    [anon_sym_internal] = ACTIONS(6493),
    [anon_sym_abstract] = ACTIONS(6493),
    [anon_sym_final] = ACTIONS(6493),
    [anon_sym_open] = ACTIONS(6493),
    [anon_sym_override] = ACTIONS(6493),
    [anon_sym_lateinit] = ACTIONS(6493),
    [anon_sym_vararg] = ACTIONS(6493),
    [anon_sym_noinline] = ACTIONS(6493),
    [anon_sym_crossinline] = ACTIONS(6493),
    [anon_sym_expect] = ACTIONS(6493),
    [anon_sym_actual] = ACTIONS(6493),
    [anon_sym_dynamic] = ACTIONS(6493),
    [anon_sym_PLUS_PLUS] = ACTIONS(6495),
    [anon_sym_DASH_DASH] = ACTIONS(6495),
    [anon_sym_PLUS] = ACTIONS(6493),
    [anon_sym_DASH] = ACTIONS(6493),
    [anon_sym_BANG] = ACTIONS(6493),
    [anon_sym_BANGin] = ACTIONS(6495),
    [anon_sym_is] = ACTIONS(6493),
    [anon_sym_this_AT] = ACTIONS(6495),
    [anon_sym_super_AT] = ACTIONS(6495),
    [anon_sym_if] = ACTIONS(6493),
    [anon_sym_else] = ACTIONS(6493),
    [anon_sym_when] = ACTIONS(6493),
    [anon_sym_try] = ACTIONS(6493),
    [anon_sym_return] = ACTIONS(6493),
    [anon_sym_return_AT] = ACTIONS(6495),
    [anon_sym_throw] = ACTIONS(6493),
    [anon_sym_COLON_COLON] = ACTIONS(6495),
    [anon_sym_DQUOTE] = ACTIONS(6493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6495),
    [anon_sym_SQUOTE] = ACTIONS(6495),
    [sym_number_literal] = ACTIONS(6493),
    [sym_float_literal] = ACTIONS(6495),
    [sym_label] = ACTIONS(6493),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6495),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6495),
    [sym__in] = ACTIONS(6495),
  },
  [4135] = {
    [sym_identifier] = ACTIONS(6497),
    [anon_sym_AT] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6499),
    [anon_sym_STAR] = ACTIONS(6499),
    [anon_sym_fun] = ACTIONS(6497),
    [anon_sym_object] = ACTIONS(6497),
    [anon_sym_constructor] = ACTIONS(6497),
    [anon_sym_this] = ACTIONS(6497),
    [anon_sym_super] = ACTIONS(6497),
    [anon_sym_LPAREN] = ACTIONS(6499),
    [anon_sym_get] = ACTIONS(6497),
    [anon_sym_set] = ACTIONS(6497),
    [anon_sym_LBRACE] = ACTIONS(6499),
    [anon_sym_RBRACE] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6497),
    [anon_sym_sealed] = ACTIONS(6497),
    [anon_sym_annotation] = ACTIONS(6497),
    [anon_sym_data] = ACTIONS(6497),
    [anon_sym_inner] = ACTIONS(6497),
    [anon_sym_value] = ACTIONS(6497),
    [anon_sym_tailrec] = ACTIONS(6497),
    [anon_sym_operator] = ACTIONS(6497),
    [anon_sym_infix] = ACTIONS(6497),
    [anon_sym_inline] = ACTIONS(6497),
    [anon_sym_external] = ACTIONS(6497),
    [anon_sym_suspend] = ACTIONS(6497),
    [anon_sym_const] = ACTIONS(6497),
    [anon_sym_public] = ACTIONS(6497),
    [anon_sym_private] = ACTIONS(6497),
    [anon_sym_protected] = ACTIONS(6497),
    [anon_sym_internal] = ACTIONS(6497),
    [anon_sym_abstract] = ACTIONS(6497),
    [anon_sym_final] = ACTIONS(6497),
    [anon_sym_open] = ACTIONS(6497),
    [anon_sym_override] = ACTIONS(6497),
    [anon_sym_lateinit] = ACTIONS(6497),
    [anon_sym_vararg] = ACTIONS(6497),
    [anon_sym_noinline] = ACTIONS(6497),
    [anon_sym_crossinline] = ACTIONS(6497),
    [anon_sym_expect] = ACTIONS(6497),
    [anon_sym_actual] = ACTIONS(6497),
    [anon_sym_dynamic] = ACTIONS(6497),
    [anon_sym_PLUS_PLUS] = ACTIONS(6499),
    [anon_sym_DASH_DASH] = ACTIONS(6499),
    [anon_sym_PLUS] = ACTIONS(6497),
    [anon_sym_DASH] = ACTIONS(6497),
    [anon_sym_BANG] = ACTIONS(6497),
    [anon_sym_BANGin] = ACTIONS(6499),
    [anon_sym_is] = ACTIONS(6497),
    [anon_sym_this_AT] = ACTIONS(6499),
    [anon_sym_super_AT] = ACTIONS(6499),
    [anon_sym_if] = ACTIONS(6497),
    [anon_sym_else] = ACTIONS(6497),
    [anon_sym_when] = ACTIONS(6497),
    [anon_sym_try] = ACTIONS(6497),
    [anon_sym_return] = ACTIONS(6497),
    [anon_sym_return_AT] = ACTIONS(6499),
    [anon_sym_throw] = ACTIONS(6497),
    [anon_sym_COLON_COLON] = ACTIONS(6499),
    [anon_sym_DQUOTE] = ACTIONS(6497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6499),
    [anon_sym_SQUOTE] = ACTIONS(6499),
    [sym_number_literal] = ACTIONS(6497),
    [sym_float_literal] = ACTIONS(6499),
    [sym_label] = ACTIONS(6497),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6499),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6499),
    [sym__in] = ACTIONS(6499),
  },
  [4136] = {
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_fun] = ACTIONS(2638),
    [anon_sym_interface] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_val] = ACTIONS(2638),
    [anon_sym_var] = ACTIONS(2638),
    [anon_sym_typealias] = ACTIONS(2638),
    [anon_sym_constructor] = ACTIONS(2638),
    [anon_sym_this] = ACTIONS(2638),
    [anon_sym_super] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_sealed] = ACTIONS(2638),
    [anon_sym_annotation] = ACTIONS(2638),
    [anon_sym_data] = ACTIONS(2638),
    [anon_sym_inner] = ACTIONS(2638),
    [anon_sym_value] = ACTIONS(2638),
    [anon_sym_tailrec] = ACTIONS(2638),
    [anon_sym_operator] = ACTIONS(2638),
    [anon_sym_infix] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym_external] = ACTIONS(2638),
    [anon_sym_suspend] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_internal] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_final] = ACTIONS(2638),
    [anon_sym_open] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_lateinit] = ACTIONS(2638),
    [anon_sym_vararg] = ACTIONS(2638),
    [anon_sym_noinline] = ACTIONS(2638),
    [anon_sym_crossinline] = ACTIONS(2638),
    [anon_sym_expect] = ACTIONS(2638),
    [anon_sym_actual] = ACTIONS(2638),
    [anon_sym_dynamic] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(6429),
    [anon_sym_AMP] = ACTIONS(6431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_this_AT] = ACTIONS(2640),
    [anon_sym_super_AT] = ACTIONS(2640),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_when] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_return_AT] = ACTIONS(2640),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_COLON_COLON] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2638),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [sym_number_literal] = ACTIONS(2638),
    [sym_float_literal] = ACTIONS(2640),
    [sym_label] = ACTIONS(2638),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4137] = {
    [sym_identifier] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2702),
    [anon_sym_class] = ACTIONS(2700),
    [anon_sym_fun] = ACTIONS(2700),
    [anon_sym_interface] = ACTIONS(2700),
    [anon_sym_object] = ACTIONS(2700),
    [anon_sym_val] = ACTIONS(2700),
    [anon_sym_var] = ACTIONS(2700),
    [anon_sym_typealias] = ACTIONS(2700),
    [anon_sym_constructor] = ACTIONS(2700),
    [anon_sym_this] = ACTIONS(2700),
    [anon_sym_super] = ACTIONS(2700),
    [anon_sym_LPAREN] = ACTIONS(2702),
    [anon_sym_get] = ACTIONS(2700),
    [anon_sym_set] = ACTIONS(2700),
    [anon_sym_LBRACE] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_annotation] = ACTIONS(2700),
    [anon_sym_data] = ACTIONS(2700),
    [anon_sym_inner] = ACTIONS(2700),
    [anon_sym_value] = ACTIONS(2700),
    [anon_sym_tailrec] = ACTIONS(2700),
    [anon_sym_operator] = ACTIONS(2700),
    [anon_sym_infix] = ACTIONS(2700),
    [anon_sym_inline] = ACTIONS(2700),
    [anon_sym_external] = ACTIONS(2700),
    [anon_sym_suspend] = ACTIONS(2700),
    [anon_sym_const] = ACTIONS(2700),
    [anon_sym_public] = ACTIONS(2700),
    [anon_sym_private] = ACTIONS(2700),
    [anon_sym_protected] = ACTIONS(2700),
    [anon_sym_internal] = ACTIONS(2700),
    [anon_sym_abstract] = ACTIONS(2700),
    [anon_sym_final] = ACTIONS(2700),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_override] = ACTIONS(2700),
    [anon_sym_lateinit] = ACTIONS(2700),
    [anon_sym_vararg] = ACTIONS(2700),
    [anon_sym_noinline] = ACTIONS(2700),
    [anon_sym_crossinline] = ACTIONS(2700),
    [anon_sym_expect] = ACTIONS(2700),
    [anon_sym_actual] = ACTIONS(2700),
    [anon_sym_dynamic] = ACTIONS(2700),
    [anon_sym_QMARK] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_PLUS_PLUS] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2702),
    [anon_sym_this_AT] = ACTIONS(2702),
    [anon_sym_super_AT] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2700),
    [anon_sym_when] = ACTIONS(2700),
    [anon_sym_try] = ACTIONS(2700),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_return_AT] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2700),
    [anon_sym_COLON_COLON] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2702),
    [anon_sym_SQUOTE] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2700),
    [sym_float_literal] = ACTIONS(2702),
    [sym_label] = ACTIONS(2700),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4138] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_fun] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2943),
    [anon_sym_constructor] = ACTIONS(2943),
    [anon_sym_this] = ACTIONS(2943),
    [anon_sym_super] = ACTIONS(2943),
    [anon_sym_LPAREN] = ACTIONS(2945),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_sealed] = ACTIONS(2943),
    [anon_sym_annotation] = ACTIONS(2943),
    [anon_sym_data] = ACTIONS(2943),
    [anon_sym_inner] = ACTIONS(2943),
    [anon_sym_value] = ACTIONS(2943),
    [anon_sym_tailrec] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_infix] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym_external] = ACTIONS(2943),
    [anon_sym_suspend] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_public] = ACTIONS(2943),
    [anon_sym_private] = ACTIONS(2943),
    [anon_sym_protected] = ACTIONS(2943),
    [anon_sym_internal] = ACTIONS(2943),
    [anon_sym_abstract] = ACTIONS(2943),
    [anon_sym_final] = ACTIONS(2943),
    [anon_sym_open] = ACTIONS(2943),
    [anon_sym_override] = ACTIONS(2943),
    [anon_sym_lateinit] = ACTIONS(2943),
    [anon_sym_vararg] = ACTIONS(2943),
    [anon_sym_noinline] = ACTIONS(2943),
    [anon_sym_crossinline] = ACTIONS(2943),
    [anon_sym_expect] = ACTIONS(2943),
    [anon_sym_actual] = ACTIONS(2943),
    [anon_sym_dynamic] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_BANGin] = ACTIONS(2945),
    [anon_sym_is] = ACTIONS(2943),
    [anon_sym_this_AT] = ACTIONS(2945),
    [anon_sym_super_AT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_when] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_return_AT] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2943),
    [sym_float_literal] = ACTIONS(2945),
    [sym_label] = ACTIONS(2943),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2945),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2945),
    [sym__in] = ACTIONS(2945),
  },
  [4139] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_RBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5040),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4140] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_fun] = ACTIONS(2935),
    [anon_sym_object] = ACTIONS(2935),
    [anon_sym_constructor] = ACTIONS(2935),
    [anon_sym_this] = ACTIONS(2935),
    [anon_sym_super] = ACTIONS(2935),
    [anon_sym_LPAREN] = ACTIONS(2937),
    [anon_sym_get] = ACTIONS(2935),
    [anon_sym_set] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_sealed] = ACTIONS(2935),
    [anon_sym_annotation] = ACTIONS(2935),
    [anon_sym_data] = ACTIONS(2935),
    [anon_sym_inner] = ACTIONS(2935),
    [anon_sym_value] = ACTIONS(2935),
    [anon_sym_tailrec] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_infix] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym_external] = ACTIONS(2935),
    [anon_sym_suspend] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_public] = ACTIONS(2935),
    [anon_sym_private] = ACTIONS(2935),
    [anon_sym_protected] = ACTIONS(2935),
    [anon_sym_internal] = ACTIONS(2935),
    [anon_sym_abstract] = ACTIONS(2935),
    [anon_sym_final] = ACTIONS(2935),
    [anon_sym_open] = ACTIONS(2935),
    [anon_sym_override] = ACTIONS(2935),
    [anon_sym_lateinit] = ACTIONS(2935),
    [anon_sym_vararg] = ACTIONS(2935),
    [anon_sym_noinline] = ACTIONS(2935),
    [anon_sym_crossinline] = ACTIONS(2935),
    [anon_sym_expect] = ACTIONS(2935),
    [anon_sym_actual] = ACTIONS(2935),
    [anon_sym_dynamic] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_BANGin] = ACTIONS(2937),
    [anon_sym_is] = ACTIONS(2935),
    [anon_sym_this_AT] = ACTIONS(2937),
    [anon_sym_super_AT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_when] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_return_AT] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2935),
    [sym_float_literal] = ACTIONS(2937),
    [sym_label] = ACTIONS(2935),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2937),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2937),
    [sym__in] = ACTIONS(2937),
  },
  [4141] = {
    [sym_identifier] = ACTIONS(6501),
    [anon_sym_AT] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6503),
    [anon_sym_STAR] = ACTIONS(6503),
    [anon_sym_fun] = ACTIONS(6501),
    [anon_sym_object] = ACTIONS(6501),
    [anon_sym_constructor] = ACTIONS(6501),
    [anon_sym_this] = ACTIONS(6501),
    [anon_sym_super] = ACTIONS(6501),
    [anon_sym_LPAREN] = ACTIONS(6505),
    [anon_sym_get] = ACTIONS(6501),
    [anon_sym_set] = ACTIONS(6501),
    [anon_sym_LBRACE] = ACTIONS(6503),
    [anon_sym_RBRACE] = ACTIONS(6503),
    [anon_sym_enum] = ACTIONS(6501),
    [anon_sym_sealed] = ACTIONS(6501),
    [anon_sym_annotation] = ACTIONS(6501),
    [anon_sym_data] = ACTIONS(6501),
    [anon_sym_inner] = ACTIONS(6501),
    [anon_sym_value] = ACTIONS(6501),
    [anon_sym_tailrec] = ACTIONS(6501),
    [anon_sym_operator] = ACTIONS(6501),
    [anon_sym_infix] = ACTIONS(6501),
    [anon_sym_inline] = ACTIONS(6501),
    [anon_sym_external] = ACTIONS(6501),
    [anon_sym_suspend] = ACTIONS(6501),
    [anon_sym_const] = ACTIONS(6501),
    [anon_sym_public] = ACTIONS(6501),
    [anon_sym_private] = ACTIONS(6501),
    [anon_sym_protected] = ACTIONS(6501),
    [anon_sym_internal] = ACTIONS(6501),
    [anon_sym_abstract] = ACTIONS(6501),
    [anon_sym_final] = ACTIONS(6501),
    [anon_sym_open] = ACTIONS(6501),
    [anon_sym_override] = ACTIONS(6501),
    [anon_sym_lateinit] = ACTIONS(6501),
    [anon_sym_vararg] = ACTIONS(6501),
    [anon_sym_noinline] = ACTIONS(6501),
    [anon_sym_crossinline] = ACTIONS(6501),
    [anon_sym_expect] = ACTIONS(6501),
    [anon_sym_actual] = ACTIONS(6501),
    [anon_sym_dynamic] = ACTIONS(6501),
    [anon_sym_PLUS_PLUS] = ACTIONS(6503),
    [anon_sym_DASH_DASH] = ACTIONS(6503),
    [anon_sym_PLUS] = ACTIONS(6501),
    [anon_sym_DASH] = ACTIONS(6501),
    [anon_sym_BANG] = ACTIONS(6501),
    [anon_sym_BANGin] = ACTIONS(6503),
    [anon_sym_is] = ACTIONS(6501),
    [anon_sym_this_AT] = ACTIONS(6503),
    [anon_sym_super_AT] = ACTIONS(6503),
    [anon_sym_if] = ACTIONS(6501),
    [anon_sym_else] = ACTIONS(6501),
    [anon_sym_when] = ACTIONS(6501),
    [anon_sym_try] = ACTIONS(6501),
    [anon_sym_return] = ACTIONS(6501),
    [anon_sym_return_AT] = ACTIONS(6503),
    [anon_sym_throw] = ACTIONS(6501),
    [anon_sym_COLON_COLON] = ACTIONS(6503),
    [anon_sym_DQUOTE] = ACTIONS(6501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6503),
    [anon_sym_SQUOTE] = ACTIONS(6503),
    [sym_number_literal] = ACTIONS(6501),
    [sym_float_literal] = ACTIONS(6503),
    [sym_label] = ACTIONS(6501),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6503),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6503),
    [sym__in] = ACTIONS(6503),
  },
  [4142] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_fun] = ACTIONS(2927),
    [anon_sym_object] = ACTIONS(2927),
    [anon_sym_constructor] = ACTIONS(2927),
    [anon_sym_this] = ACTIONS(2927),
    [anon_sym_super] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2927),
    [anon_sym_set] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_sealed] = ACTIONS(2927),
    [anon_sym_annotation] = ACTIONS(2927),
    [anon_sym_data] = ACTIONS(2927),
    [anon_sym_inner] = ACTIONS(2927),
    [anon_sym_value] = ACTIONS(2927),
    [anon_sym_tailrec] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_infix] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym_external] = ACTIONS(2927),
    [anon_sym_suspend] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_public] = ACTIONS(2927),
    [anon_sym_private] = ACTIONS(2927),
    [anon_sym_protected] = ACTIONS(2927),
    [anon_sym_internal] = ACTIONS(2927),
    [anon_sym_abstract] = ACTIONS(2927),
    [anon_sym_final] = ACTIONS(2927),
    [anon_sym_open] = ACTIONS(2927),
    [anon_sym_override] = ACTIONS(2927),
    [anon_sym_lateinit] = ACTIONS(2927),
    [anon_sym_vararg] = ACTIONS(2927),
    [anon_sym_noinline] = ACTIONS(2927),
    [anon_sym_crossinline] = ACTIONS(2927),
    [anon_sym_expect] = ACTIONS(2927),
    [anon_sym_actual] = ACTIONS(2927),
    [anon_sym_dynamic] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_BANGin] = ACTIONS(2929),
    [anon_sym_is] = ACTIONS(2927),
    [anon_sym_this_AT] = ACTIONS(2929),
    [anon_sym_super_AT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_when] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_return_AT] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2927),
    [sym_float_literal] = ACTIONS(2929),
    [sym_label] = ACTIONS(2927),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(2929),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2929),
    [sym__in] = ACTIONS(2929),
  },
  [4143] = {
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_fun] = ACTIONS(2642),
    [anon_sym_interface] = ACTIONS(2642),
    [anon_sym_object] = ACTIONS(2642),
    [anon_sym_val] = ACTIONS(2642),
    [anon_sym_var] = ACTIONS(2642),
    [anon_sym_typealias] = ACTIONS(2642),
    [anon_sym_constructor] = ACTIONS(2642),
    [anon_sym_this] = ACTIONS(2642),
    [anon_sym_super] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2644),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_sealed] = ACTIONS(2642),
    [anon_sym_annotation] = ACTIONS(2642),
    [anon_sym_data] = ACTIONS(2642),
    [anon_sym_inner] = ACTIONS(2642),
    [anon_sym_value] = ACTIONS(2642),
    [anon_sym_tailrec] = ACTIONS(2642),
    [anon_sym_operator] = ACTIONS(2642),
    [anon_sym_infix] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym_external] = ACTIONS(2642),
    [anon_sym_suspend] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_internal] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_final] = ACTIONS(2642),
    [anon_sym_open] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_lateinit] = ACTIONS(2642),
    [anon_sym_vararg] = ACTIONS(2642),
    [anon_sym_noinline] = ACTIONS(2642),
    [anon_sym_crossinline] = ACTIONS(2642),
    [anon_sym_expect] = ACTIONS(2642),
    [anon_sym_actual] = ACTIONS(2642),
    [anon_sym_dynamic] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(6433),
    [anon_sym_AMP] = ACTIONS(6435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_this_AT] = ACTIONS(2644),
    [anon_sym_super_AT] = ACTIONS(2644),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_when] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_return_AT] = ACTIONS(2644),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_COLON_COLON] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2642),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [sym_number_literal] = ACTIONS(2642),
    [sym_float_literal] = ACTIONS(2644),
    [sym_label] = ACTIONS(2642),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4144] = {
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2685),
    [anon_sym_fun] = ACTIONS(2685),
    [anon_sym_interface] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_val] = ACTIONS(2685),
    [anon_sym_var] = ACTIONS(2685),
    [anon_sym_typealias] = ACTIONS(2685),
    [anon_sym_constructor] = ACTIONS(2685),
    [anon_sym_this] = ACTIONS(2685),
    [anon_sym_super] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_annotation] = ACTIONS(2685),
    [anon_sym_data] = ACTIONS(2685),
    [anon_sym_inner] = ACTIONS(2685),
    [anon_sym_value] = ACTIONS(2685),
    [anon_sym_tailrec] = ACTIONS(2685),
    [anon_sym_operator] = ACTIONS(2685),
    [anon_sym_infix] = ACTIONS(2685),
    [anon_sym_inline] = ACTIONS(2685),
    [anon_sym_external] = ACTIONS(2685),
    [anon_sym_suspend] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_internal] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_lateinit] = ACTIONS(2685),
    [anon_sym_vararg] = ACTIONS(2685),
    [anon_sym_noinline] = ACTIONS(2685),
    [anon_sym_crossinline] = ACTIONS(2685),
    [anon_sym_expect] = ACTIONS(2685),
    [anon_sym_actual] = ACTIONS(2685),
    [anon_sym_dynamic] = ACTIONS(2685),
    [anon_sym_QMARK] = ACTIONS(6429),
    [anon_sym_AMP] = ACTIONS(6431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2687),
    [anon_sym_this_AT] = ACTIONS(2687),
    [anon_sym_super_AT] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_when] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_return_AT] = ACTIONS(2687),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [sym_number_literal] = ACTIONS(2685),
    [sym_float_literal] = ACTIONS(2687),
    [sym_label] = ACTIONS(2685),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4145] = {
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_fun] = ACTIONS(2662),
    [anon_sym_interface] = ACTIONS(2662),
    [anon_sym_object] = ACTIONS(2662),
    [anon_sym_val] = ACTIONS(2662),
    [anon_sym_var] = ACTIONS(2662),
    [anon_sym_typealias] = ACTIONS(2662),
    [anon_sym_constructor] = ACTIONS(2662),
    [anon_sym_this] = ACTIONS(2662),
    [anon_sym_super] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_sealed] = ACTIONS(2662),
    [anon_sym_annotation] = ACTIONS(2662),
    [anon_sym_data] = ACTIONS(2662),
    [anon_sym_inner] = ACTIONS(2662),
    [anon_sym_value] = ACTIONS(2662),
    [anon_sym_tailrec] = ACTIONS(2662),
    [anon_sym_operator] = ACTIONS(2662),
    [anon_sym_infix] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym_external] = ACTIONS(2662),
    [anon_sym_suspend] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_internal] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_final] = ACTIONS(2662),
    [anon_sym_open] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_lateinit] = ACTIONS(2662),
    [anon_sym_vararg] = ACTIONS(2662),
    [anon_sym_noinline] = ACTIONS(2662),
    [anon_sym_crossinline] = ACTIONS(2662),
    [anon_sym_expect] = ACTIONS(2662),
    [anon_sym_actual] = ACTIONS(2662),
    [anon_sym_dynamic] = ACTIONS(2662),
    [anon_sym_QMARK] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_this_AT] = ACTIONS(2664),
    [anon_sym_super_AT] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_when] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_return_AT] = ACTIONS(2664),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_COLON_COLON] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2662),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [sym_number_literal] = ACTIONS(2662),
    [sym_float_literal] = ACTIONS(2664),
    [sym_label] = ACTIONS(2662),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4146] = {
    [sym_identifier] = ACTIONS(6507),
    [anon_sym_AT] = ACTIONS(6509),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym_STAR] = ACTIONS(6509),
    [anon_sym_fun] = ACTIONS(6507),
    [anon_sym_object] = ACTIONS(6507),
    [anon_sym_constructor] = ACTIONS(6507),
    [anon_sym_this] = ACTIONS(6507),
    [anon_sym_super] = ACTIONS(6507),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_get] = ACTIONS(6507),
    [anon_sym_set] = ACTIONS(6507),
    [anon_sym_LBRACE] = ACTIONS(6509),
    [anon_sym_RBRACE] = ACTIONS(6509),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_sealed] = ACTIONS(6507),
    [anon_sym_annotation] = ACTIONS(6507),
    [anon_sym_data] = ACTIONS(6507),
    [anon_sym_inner] = ACTIONS(6507),
    [anon_sym_value] = ACTIONS(6507),
    [anon_sym_tailrec] = ACTIONS(6507),
    [anon_sym_operator] = ACTIONS(6507),
    [anon_sym_infix] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym_external] = ACTIONS(6507),
    [anon_sym_suspend] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_public] = ACTIONS(6507),
    [anon_sym_private] = ACTIONS(6507),
    [anon_sym_protected] = ACTIONS(6507),
    [anon_sym_internal] = ACTIONS(6507),
    [anon_sym_abstract] = ACTIONS(6507),
    [anon_sym_final] = ACTIONS(6507),
    [anon_sym_open] = ACTIONS(6507),
    [anon_sym_override] = ACTIONS(6507),
    [anon_sym_lateinit] = ACTIONS(6507),
    [anon_sym_vararg] = ACTIONS(6507),
    [anon_sym_noinline] = ACTIONS(6507),
    [anon_sym_crossinline] = ACTIONS(6507),
    [anon_sym_expect] = ACTIONS(6507),
    [anon_sym_actual] = ACTIONS(6507),
    [anon_sym_dynamic] = ACTIONS(6507),
    [anon_sym_PLUS_PLUS] = ACTIONS(6509),
    [anon_sym_DASH_DASH] = ACTIONS(6509),
    [anon_sym_PLUS] = ACTIONS(6507),
    [anon_sym_DASH] = ACTIONS(6507),
    [anon_sym_BANG] = ACTIONS(6507),
    [anon_sym_BANGin] = ACTIONS(6509),
    [anon_sym_is] = ACTIONS(6507),
    [anon_sym_this_AT] = ACTIONS(6509),
    [anon_sym_super_AT] = ACTIONS(6509),
    [anon_sym_if] = ACTIONS(6507),
    [anon_sym_else] = ACTIONS(6507),
    [anon_sym_when] = ACTIONS(6507),
    [anon_sym_try] = ACTIONS(6507),
    [anon_sym_return] = ACTIONS(6507),
    [anon_sym_return_AT] = ACTIONS(6509),
    [anon_sym_throw] = ACTIONS(6507),
    [anon_sym_COLON_COLON] = ACTIONS(6509),
    [anon_sym_DQUOTE] = ACTIONS(6507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6509),
    [anon_sym_SQUOTE] = ACTIONS(6509),
    [sym_number_literal] = ACTIONS(6507),
    [sym_float_literal] = ACTIONS(6509),
    [sym_label] = ACTIONS(6507),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(6509),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(6509),
    [sym__in] = ACTIONS(6509),
  },
  [4147] = {
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_fun] = ACTIONS(2650),
    [anon_sym_interface] = ACTIONS(2650),
    [anon_sym_object] = ACTIONS(2650),
    [anon_sym_val] = ACTIONS(2650),
    [anon_sym_var] = ACTIONS(2650),
    [anon_sym_typealias] = ACTIONS(2650),
    [anon_sym_constructor] = ACTIONS(2650),
    [anon_sym_this] = ACTIONS(2650),
    [anon_sym_super] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_sealed] = ACTIONS(2650),
    [anon_sym_annotation] = ACTIONS(2650),
    [anon_sym_data] = ACTIONS(2650),
    [anon_sym_inner] = ACTIONS(2650),
    [anon_sym_value] = ACTIONS(2650),
    [anon_sym_tailrec] = ACTIONS(2650),
    [anon_sym_operator] = ACTIONS(2650),
    [anon_sym_infix] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym_external] = ACTIONS(2650),
    [anon_sym_suspend] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_internal] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_final] = ACTIONS(2650),
    [anon_sym_open] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_lateinit] = ACTIONS(2650),
    [anon_sym_vararg] = ACTIONS(2650),
    [anon_sym_noinline] = ACTIONS(2650),
    [anon_sym_crossinline] = ACTIONS(2650),
    [anon_sym_expect] = ACTIONS(2650),
    [anon_sym_actual] = ACTIONS(2650),
    [anon_sym_dynamic] = ACTIONS(2650),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_this_AT] = ACTIONS(2652),
    [anon_sym_super_AT] = ACTIONS(2652),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_when] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_return_AT] = ACTIONS(2652),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [sym_number_literal] = ACTIONS(2650),
    [sym_float_literal] = ACTIONS(2652),
    [sym_label] = ACTIONS(2650),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4148] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5046),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4149] = {
    [sym_identifier] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_fun] = ACTIONS(3214),
    [anon_sym_object] = ACTIONS(3214),
    [anon_sym_constructor] = ACTIONS(3214),
    [anon_sym_this] = ACTIONS(3214),
    [anon_sym_super] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3214),
    [anon_sym_set] = ACTIONS(3214),
    [anon_sym_LBRACE] = ACTIONS(3216),
    [anon_sym_RBRACE] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3214),
    [anon_sym_sealed] = ACTIONS(3214),
    [anon_sym_annotation] = ACTIONS(3214),
    [anon_sym_data] = ACTIONS(3214),
    [anon_sym_inner] = ACTIONS(3214),
    [anon_sym_value] = ACTIONS(3214),
    [anon_sym_tailrec] = ACTIONS(3214),
    [anon_sym_operator] = ACTIONS(3214),
    [anon_sym_infix] = ACTIONS(3214),
    [anon_sym_inline] = ACTIONS(3214),
    [anon_sym_external] = ACTIONS(3214),
    [anon_sym_suspend] = ACTIONS(3214),
    [anon_sym_const] = ACTIONS(3214),
    [anon_sym_public] = ACTIONS(3214),
    [anon_sym_private] = ACTIONS(3214),
    [anon_sym_protected] = ACTIONS(3214),
    [anon_sym_internal] = ACTIONS(3214),
    [anon_sym_abstract] = ACTIONS(3214),
    [anon_sym_final] = ACTIONS(3214),
    [anon_sym_open] = ACTIONS(3214),
    [anon_sym_override] = ACTIONS(3214),
    [anon_sym_lateinit] = ACTIONS(3214),
    [anon_sym_vararg] = ACTIONS(3214),
    [anon_sym_noinline] = ACTIONS(3214),
    [anon_sym_crossinline] = ACTIONS(3214),
    [anon_sym_expect] = ACTIONS(3214),
    [anon_sym_actual] = ACTIONS(3214),
    [anon_sym_dynamic] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_BANGin] = ACTIONS(3216),
    [anon_sym_is] = ACTIONS(3214),
    [anon_sym_this_AT] = ACTIONS(3216),
    [anon_sym_super_AT] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_else] = ACTIONS(3214),
    [anon_sym_when] = ACTIONS(3214),
    [anon_sym_try] = ACTIONS(3214),
    [anon_sym_return] = ACTIONS(3214),
    [anon_sym_return_AT] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3214),
    [anon_sym_COLON_COLON] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3216),
    [anon_sym_SQUOTE] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3214),
    [sym_float_literal] = ACTIONS(3216),
    [sym_label] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym__semi] = ACTIONS(3216),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(3216),
    [sym__in] = ACTIONS(3216),
  },
  [4150] = {
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2693),
    [anon_sym_fun] = ACTIONS(2693),
    [anon_sym_interface] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_val] = ACTIONS(2693),
    [anon_sym_var] = ACTIONS(2693),
    [anon_sym_typealias] = ACTIONS(2693),
    [anon_sym_constructor] = ACTIONS(2693),
    [anon_sym_this] = ACTIONS(2693),
    [anon_sym_super] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2693),
    [anon_sym_sealed] = ACTIONS(2693),
    [anon_sym_annotation] = ACTIONS(2693),
    [anon_sym_data] = ACTIONS(2693),
    [anon_sym_inner] = ACTIONS(2693),
    [anon_sym_value] = ACTIONS(2693),
    [anon_sym_tailrec] = ACTIONS(2693),
    [anon_sym_operator] = ACTIONS(2693),
    [anon_sym_infix] = ACTIONS(2693),
    [anon_sym_inline] = ACTIONS(2693),
    [anon_sym_external] = ACTIONS(2693),
    [anon_sym_suspend] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_internal] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_final] = ACTIONS(2693),
    [anon_sym_open] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_lateinit] = ACTIONS(2693),
    [anon_sym_vararg] = ACTIONS(2693),
    [anon_sym_noinline] = ACTIONS(2693),
    [anon_sym_crossinline] = ACTIONS(2693),
    [anon_sym_expect] = ACTIONS(2693),
    [anon_sym_actual] = ACTIONS(2693),
    [anon_sym_dynamic] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_this_AT] = ACTIONS(2695),
    [anon_sym_super_AT] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_when] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_return_AT] = ACTIONS(2695),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [sym_number_literal] = ACTIONS(2693),
    [sym_float_literal] = ACTIONS(2695),
    [sym_label] = ACTIONS(2693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4151] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5046),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4152] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4990),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4153] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(4984),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(4990),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4154] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5388),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4155] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5220),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4156] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5220),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4157] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4158] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4159] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_while] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4160] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(5547),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_set] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5549),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4161] = {
    [sym_identifier] = ACTIONS(2361),
    [anon_sym_AT] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2367),
    [anon_sym_SEMI] = ACTIONS(2367),
    [anon_sym_DOT] = ACTIONS(2361),
    [anon_sym_STAR] = ACTIONS(2367),
    [anon_sym_as] = ACTIONS(2361),
    [anon_sym_LT] = ACTIONS(2361),
    [anon_sym_GT] = ACTIONS(2361),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_get] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2367),
    [anon_sym_in] = ACTIONS(2361),
    [anon_sym_enum] = ACTIONS(2361),
    [anon_sym_sealed] = ACTIONS(2361),
    [anon_sym_annotation] = ACTIONS(2361),
    [anon_sym_data] = ACTIONS(2361),
    [anon_sym_inner] = ACTIONS(2361),
    [anon_sym_value] = ACTIONS(2361),
    [anon_sym_tailrec] = ACTIONS(2361),
    [anon_sym_operator] = ACTIONS(2361),
    [anon_sym_infix] = ACTIONS(2361),
    [anon_sym_inline] = ACTIONS(2361),
    [anon_sym_external] = ACTIONS(2361),
    [anon_sym_suspend] = ACTIONS(2361),
    [anon_sym_const] = ACTIONS(2361),
    [anon_sym_public] = ACTIONS(2361),
    [anon_sym_private] = ACTIONS(2361),
    [anon_sym_protected] = ACTIONS(2361),
    [anon_sym_internal] = ACTIONS(2361),
    [anon_sym_abstract] = ACTIONS(2361),
    [anon_sym_final] = ACTIONS(2361),
    [anon_sym_open] = ACTIONS(2361),
    [anon_sym_override] = ACTIONS(2361),
    [anon_sym_lateinit] = ACTIONS(2361),
    [anon_sym_vararg] = ACTIONS(2361),
    [anon_sym_noinline] = ACTIONS(2361),
    [anon_sym_crossinline] = ACTIONS(2361),
    [anon_sym_expect] = ACTIONS(2361),
    [anon_sym_actual] = ACTIONS(2361),
    [anon_sym_PLUS_PLUS] = ACTIONS(2367),
    [anon_sym_DASH_DASH] = ACTIONS(2367),
    [anon_sym_PLUS] = ACTIONS(2361),
    [anon_sym_DASH] = ACTIONS(2361),
    [anon_sym_BANG_BANG] = ACTIONS(2367),
    [anon_sym_SLASH] = ACTIONS(2361),
    [anon_sym_PERCENT] = ACTIONS(2367),
    [anon_sym_PIPE_PIPE] = ACTIONS(2367),
    [anon_sym_AMP_AMP] = ACTIONS(2367),
    [anon_sym_BANG_EQ] = ACTIONS(2361),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2367),
    [anon_sym_EQ_EQ] = ACTIONS(2361),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2367),
    [anon_sym_GT_EQ] = ACTIONS(2367),
    [anon_sym_LT_EQ] = ACTIONS(2367),
    [anon_sym_QMARK_COLON] = ACTIONS(2367),
    [anon_sym_BANGin] = ACTIONS(2367),
    [anon_sym_is] = ACTIONS(2361),
    [anon_sym_as_QMARK] = ACTIONS(2367),
    [anon_sym_DOT_DOT] = ACTIONS(2361),
    [anon_sym_DOT_DOT_LT] = ACTIONS(2367),
    [anon_sym_else] = ACTIONS(5394),
    [anon_sym_COLON_COLON] = ACTIONS(2367),
    [sym_label] = ACTIONS(2367),
    [sym_line_comment] = ACTIONS(3),
    [sym__class_member_semi] = ACTIONS(2367),
    [sym_block_comment] = ACTIONS(3),
    [sym__not_is] = ACTIONS(2367),
    [sym__q_dot] = ACTIONS(2367),
  },
  [4162] = {
    [sym_identifier] = ACTIONS(3014),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_LBRACK] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3016),
    [anon_sym_class] = ACTIONS(3014),
    [anon_sym_fun] = ACTIONS(3014),
    [anon_sym_interface] = ACTIONS(3014),
    [anon_sym_object] = ACTIONS(3014),
    [anon_sym_val] = ACTIONS(3014),
    [anon_sym_var] = ACTIONS(3014),
    [anon_sym_typealias] = ACTIONS(3014),
    [anon_sym_constructor] = ACTIONS(3014),
    [anon_sym_this] = ACTIONS(3014),
    [anon_sym_super] = ACTIONS(3014),
    [anon_sym_LPAREN] = ACTIONS(3016),
    [anon_sym_get] = ACTIONS(3014),
    [anon_sym_set] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(3016),
    [anon_sym_enum] = ACTIONS(3014),
    [anon_sym_sealed] = ACTIONS(3014),
    [anon_sym_annotation] = ACTIONS(3014),
    [anon_sym_data] = ACTIONS(3014),
    [anon_sym_inner] = ACTIONS(3014),
    [anon_sym_value] = ACTIONS(3014),
    [anon_sym_tailrec] = ACTIONS(3014),
    [anon_sym_operator] = ACTIONS(3014),
    [anon_sym_infix] = ACTIONS(3014),
    [anon_sym_inline] = ACTIONS(3014),
    [anon_sym_external] = ACTIONS(3014),
    [anon_sym_suspend] = ACTIONS(3014),
    [anon_sym_const] = ACTIONS(3014),
    [anon_sym_public] = ACTIONS(3014),
    [anon_sym_private] = ACTIONS(3014),
    [anon_sym_protected] = ACTIONS(3014),
    [anon_sym_internal] = ACTIONS(3014),
    [anon_sym_abstract] = ACTIONS(3014),
    [anon_sym_final] = ACTIONS(3014),
    [anon_sym_open] = ACTIONS(3014),
    [anon_sym_override] = ACTIONS(3014),
    [anon_sym_lateinit] = ACTIONS(3014),
    [anon_sym_vararg] = ACTIONS(3014),
    [anon_sym_noinline] = ACTIONS(3014),
    [anon_sym_crossinline] = ACTIONS(3014),
    [anon_sym_expect] = ACTIONS(3014),
    [anon_sym_actual] = ACTIONS(3014),
    [anon_sym_dynamic] = ACTIONS(3014),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_BANG] = ACTIONS(3016),
    [anon_sym_this_AT] = ACTIONS(3016),
    [anon_sym_super_AT] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3014),
    [anon_sym_when] = ACTIONS(3014),
    [anon_sym_try] = ACTIONS(3014),
    [anon_sym_return] = ACTIONS(3014),
    [anon_sym_return_AT] = ACTIONS(3016),
    [anon_sym_throw] = ACTIONS(3014),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_DQUOTE] = ACTIONS(3014),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3016),
    [anon_sym_SQUOTE] = ACTIONS(3016),
    [sym_number_literal] = ACTIONS(3014),
    [sym_float_literal] = ACTIONS(3016),
    [sym_label] = ACTIONS(3014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4163] = {
    [sym_identifier] = ACTIONS(6513),
    [anon_sym_AT] = ACTIONS(6515),
    [anon_sym_LBRACK] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6515),
    [anon_sym_class] = ACTIONS(6513),
    [anon_sym_fun] = ACTIONS(6513),
    [anon_sym_interface] = ACTIONS(6513),
    [anon_sym_object] = ACTIONS(6513),
    [anon_sym_val] = ACTIONS(6513),
    [anon_sym_var] = ACTIONS(6513),
    [anon_sym_typealias] = ACTIONS(6513),
    [anon_sym_constructor] = ACTIONS(6513),
    [anon_sym_this] = ACTIONS(6513),
    [anon_sym_super] = ACTIONS(6513),
    [anon_sym_LPAREN] = ACTIONS(6515),
    [anon_sym_get] = ACTIONS(6513),
    [anon_sym_set] = ACTIONS(6513),
    [anon_sym_LBRACE] = ACTIONS(6515),
    [anon_sym_enum] = ACTIONS(6513),
    [anon_sym_sealed] = ACTIONS(6513),
    [anon_sym_annotation] = ACTIONS(6513),
    [anon_sym_data] = ACTIONS(6513),
    [anon_sym_inner] = ACTIONS(6513),
    [anon_sym_value] = ACTIONS(6513),
    [anon_sym_tailrec] = ACTIONS(6513),
    [anon_sym_operator] = ACTIONS(6513),
    [anon_sym_infix] = ACTIONS(6513),
    [anon_sym_inline] = ACTIONS(6513),
    [anon_sym_external] = ACTIONS(6513),
    [anon_sym_suspend] = ACTIONS(6513),
    [anon_sym_const] = ACTIONS(6513),
    [anon_sym_public] = ACTIONS(6513),
    [anon_sym_private] = ACTIONS(6513),
    [anon_sym_protected] = ACTIONS(6513),
    [anon_sym_internal] = ACTIONS(6513),
    [anon_sym_abstract] = ACTIONS(6513),
    [anon_sym_final] = ACTIONS(6513),
    [anon_sym_open] = ACTIONS(6513),
    [anon_sym_override] = ACTIONS(6513),
    [anon_sym_lateinit] = ACTIONS(6513),
    [anon_sym_vararg] = ACTIONS(6513),
    [anon_sym_noinline] = ACTIONS(6513),
    [anon_sym_crossinline] = ACTIONS(6513),
    [anon_sym_expect] = ACTIONS(6513),
    [anon_sym_actual] = ACTIONS(6513),
    [anon_sym_dynamic] = ACTIONS(6513),
    [anon_sym_PLUS_PLUS] = ACTIONS(6515),
    [anon_sym_DASH_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6513),
    [anon_sym_DASH] = ACTIONS(6513),
    [anon_sym_BANG] = ACTIONS(6515),
    [anon_sym_this_AT] = ACTIONS(6515),
    [anon_sym_super_AT] = ACTIONS(6515),
    [anon_sym_if] = ACTIONS(6513),
    [anon_sym_when] = ACTIONS(6513),
    [anon_sym_try] = ACTIONS(6513),
    [anon_sym_return] = ACTIONS(6513),
    [anon_sym_return_AT] = ACTIONS(6515),
    [anon_sym_throw] = ACTIONS(6513),
    [anon_sym_COLON_COLON] = ACTIONS(6515),
    [anon_sym_DQUOTE] = ACTIONS(6513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6515),
    [anon_sym_SQUOTE] = ACTIONS(6515),
    [sym_number_literal] = ACTIONS(6513),
    [sym_float_literal] = ACTIONS(6515),
    [sym_label] = ACTIONS(6513),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4164] = {
    [sym_identifier] = ACTIONS(6517),
    [anon_sym_AT] = ACTIONS(6519),
    [anon_sym_LBRACK] = ACTIONS(6519),
    [anon_sym_STAR] = ACTIONS(6519),
    [anon_sym_class] = ACTIONS(6517),
    [anon_sym_fun] = ACTIONS(6517),
    [anon_sym_interface] = ACTIONS(6517),
    [anon_sym_object] = ACTIONS(6517),
    [anon_sym_val] = ACTIONS(6517),
    [anon_sym_var] = ACTIONS(6517),
    [anon_sym_typealias] = ACTIONS(6517),
    [anon_sym_constructor] = ACTIONS(6517),
    [anon_sym_this] = ACTIONS(6517),
    [anon_sym_super] = ACTIONS(6517),
    [anon_sym_LPAREN] = ACTIONS(6519),
    [anon_sym_get] = ACTIONS(6517),
    [anon_sym_set] = ACTIONS(6517),
    [anon_sym_LBRACE] = ACTIONS(6519),
    [anon_sym_enum] = ACTIONS(6517),
    [anon_sym_sealed] = ACTIONS(6517),
    [anon_sym_annotation] = ACTIONS(6517),
    [anon_sym_data] = ACTIONS(6517),
    [anon_sym_inner] = ACTIONS(6517),
    [anon_sym_value] = ACTIONS(6517),
    [anon_sym_tailrec] = ACTIONS(6517),
    [anon_sym_operator] = ACTIONS(6517),
    [anon_sym_infix] = ACTIONS(6517),
    [anon_sym_inline] = ACTIONS(6517),
    [anon_sym_external] = ACTIONS(6517),
    [anon_sym_suspend] = ACTIONS(6517),
    [anon_sym_const] = ACTIONS(6517),
    [anon_sym_public] = ACTIONS(6517),
    [anon_sym_private] = ACTIONS(6517),
    [anon_sym_protected] = ACTIONS(6517),
    [anon_sym_internal] = ACTIONS(6517),
    [anon_sym_abstract] = ACTIONS(6517),
    [anon_sym_final] = ACTIONS(6517),
    [anon_sym_open] = ACTIONS(6517),
    [anon_sym_override] = ACTIONS(6517),
    [anon_sym_lateinit] = ACTIONS(6517),
    [anon_sym_vararg] = ACTIONS(6517),
    [anon_sym_noinline] = ACTIONS(6517),
    [anon_sym_crossinline] = ACTIONS(6517),
    [anon_sym_expect] = ACTIONS(6517),
    [anon_sym_actual] = ACTIONS(6517),
    [anon_sym_dynamic] = ACTIONS(6517),
    [anon_sym_PLUS_PLUS] = ACTIONS(6519),
    [anon_sym_DASH_DASH] = ACTIONS(6519),
    [anon_sym_PLUS] = ACTIONS(6517),
    [anon_sym_DASH] = ACTIONS(6517),
    [anon_sym_BANG] = ACTIONS(6519),
    [anon_sym_this_AT] = ACTIONS(6519),
    [anon_sym_super_AT] = ACTIONS(6519),
    [anon_sym_if] = ACTIONS(6517),
    [anon_sym_when] = ACTIONS(6517),
    [anon_sym_try] = ACTIONS(6517),
    [anon_sym_return] = ACTIONS(6517),
    [anon_sym_return_AT] = ACTIONS(6519),
    [anon_sym_throw] = ACTIONS(6517),
    [anon_sym_COLON_COLON] = ACTIONS(6519),
    [anon_sym_DQUOTE] = ACTIONS(6517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6519),
    [anon_sym_SQUOTE] = ACTIONS(6519),
    [sym_number_literal] = ACTIONS(6517),
    [sym_float_literal] = ACTIONS(6519),
    [sym_label] = ACTIONS(6517),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4165] = {
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_AT] = ACTIONS(3020),
    [anon_sym_LBRACK] = ACTIONS(3020),
    [anon_sym_STAR] = ACTIONS(3020),
    [anon_sym_class] = ACTIONS(3018),
    [anon_sym_fun] = ACTIONS(3018),
    [anon_sym_interface] = ACTIONS(3018),
    [anon_sym_object] = ACTIONS(3018),
    [anon_sym_val] = ACTIONS(3018),
    [anon_sym_var] = ACTIONS(3018),
    [anon_sym_typealias] = ACTIONS(3018),
    [anon_sym_constructor] = ACTIONS(3018),
    [anon_sym_this] = ACTIONS(3018),
    [anon_sym_super] = ACTIONS(3018),
    [anon_sym_LPAREN] = ACTIONS(3020),
    [anon_sym_get] = ACTIONS(3018),
    [anon_sym_set] = ACTIONS(3018),
    [anon_sym_LBRACE] = ACTIONS(3020),
    [anon_sym_enum] = ACTIONS(3018),
    [anon_sym_sealed] = ACTIONS(3018),
    [anon_sym_annotation] = ACTIONS(3018),
    [anon_sym_data] = ACTIONS(3018),
    [anon_sym_inner] = ACTIONS(3018),
    [anon_sym_value] = ACTIONS(3018),
    [anon_sym_tailrec] = ACTIONS(3018),
    [anon_sym_operator] = ACTIONS(3018),
    [anon_sym_infix] = ACTIONS(3018),
    [anon_sym_inline] = ACTIONS(3018),
    [anon_sym_external] = ACTIONS(3018),
    [anon_sym_suspend] = ACTIONS(3018),
    [anon_sym_const] = ACTIONS(3018),
    [anon_sym_public] = ACTIONS(3018),
    [anon_sym_private] = ACTIONS(3018),
    [anon_sym_protected] = ACTIONS(3018),
    [anon_sym_internal] = ACTIONS(3018),
    [anon_sym_abstract] = ACTIONS(3018),
    [anon_sym_final] = ACTIONS(3018),
    [anon_sym_open] = ACTIONS(3018),
    [anon_sym_override] = ACTIONS(3018),
    [anon_sym_lateinit] = ACTIONS(3018),
    [anon_sym_vararg] = ACTIONS(3018),
    [anon_sym_noinline] = ACTIONS(3018),
    [anon_sym_crossinline] = ACTIONS(3018),
    [anon_sym_expect] = ACTIONS(3018),
    [anon_sym_actual] = ACTIONS(3018),
    [anon_sym_dynamic] = ACTIONS(3018),
    [anon_sym_PLUS_PLUS] = ACTIONS(3020),
    [anon_sym_DASH_DASH] = ACTIONS(3020),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_BANG] = ACTIONS(3020),
    [anon_sym_this_AT] = ACTIONS(3020),
    [anon_sym_super_AT] = ACTIONS(3020),
    [anon_sym_if] = ACTIONS(3018),
    [anon_sym_when] = ACTIONS(3018),
    [anon_sym_try] = ACTIONS(3018),
    [anon_sym_return] = ACTIONS(3018),
    [anon_sym_return_AT] = ACTIONS(3020),
    [anon_sym_throw] = ACTIONS(3018),
    [anon_sym_COLON_COLON] = ACTIONS(3020),
    [anon_sym_DQUOTE] = ACTIONS(3018),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3020),
    [anon_sym_SQUOTE] = ACTIONS(3020),
    [sym_number_literal] = ACTIONS(3018),
    [sym_float_literal] = ACTIONS(3020),
    [sym_label] = ACTIONS(3018),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4166] = {
    [sym_identifier] = ACTIONS(6521),
    [anon_sym_AT] = ACTIONS(6523),
    [anon_sym_LBRACK] = ACTIONS(6523),
    [anon_sym_STAR] = ACTIONS(6523),
    [anon_sym_class] = ACTIONS(6521),
    [anon_sym_fun] = ACTIONS(6521),
    [anon_sym_interface] = ACTIONS(6521),
    [anon_sym_object] = ACTIONS(6521),
    [anon_sym_val] = ACTIONS(6521),
    [anon_sym_var] = ACTIONS(6521),
    [anon_sym_typealias] = ACTIONS(6521),
    [anon_sym_constructor] = ACTIONS(6521),
    [anon_sym_this] = ACTIONS(6521),
    [anon_sym_super] = ACTIONS(6521),
    [anon_sym_LPAREN] = ACTIONS(6523),
    [anon_sym_get] = ACTIONS(6521),
    [anon_sym_set] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_enum] = ACTIONS(6521),
    [anon_sym_sealed] = ACTIONS(6521),
    [anon_sym_annotation] = ACTIONS(6521),
    [anon_sym_data] = ACTIONS(6521),
    [anon_sym_inner] = ACTIONS(6521),
    [anon_sym_value] = ACTIONS(6521),
    [anon_sym_tailrec] = ACTIONS(6521),
    [anon_sym_operator] = ACTIONS(6521),
    [anon_sym_infix] = ACTIONS(6521),
    [anon_sym_inline] = ACTIONS(6521),
    [anon_sym_external] = ACTIONS(6521),
    [anon_sym_suspend] = ACTIONS(6521),
    [anon_sym_const] = ACTIONS(6521),
    [anon_sym_public] = ACTIONS(6521),
    [anon_sym_private] = ACTIONS(6521),
    [anon_sym_protected] = ACTIONS(6521),
    [anon_sym_internal] = ACTIONS(6521),
    [anon_sym_abstract] = ACTIONS(6521),
    [anon_sym_final] = ACTIONS(6521),
    [anon_sym_open] = ACTIONS(6521),
    [anon_sym_override] = ACTIONS(6521),
    [anon_sym_lateinit] = ACTIONS(6521),
    [anon_sym_vararg] = ACTIONS(6521),
    [anon_sym_noinline] = ACTIONS(6521),
    [anon_sym_crossinline] = ACTIONS(6521),
    [anon_sym_expect] = ACTIONS(6521),
    [anon_sym_actual] = ACTIONS(6521),
    [anon_sym_dynamic] = ACTIONS(6521),
    [anon_sym_PLUS_PLUS] = ACTIONS(6523),
    [anon_sym_DASH_DASH] = ACTIONS(6523),
    [anon_sym_PLUS] = ACTIONS(6521),
    [anon_sym_DASH] = ACTIONS(6521),
    [anon_sym_BANG] = ACTIONS(6523),
    [anon_sym_this_AT] = ACTIONS(6523),
    [anon_sym_super_AT] = ACTIONS(6523),
    [anon_sym_if] = ACTIONS(6521),
    [anon_sym_when] = ACTIONS(6521),
    [anon_sym_try] = ACTIONS(6521),
    [anon_sym_return] = ACTIONS(6521),
    [anon_sym_return_AT] = ACTIONS(6523),
    [anon_sym_throw] = ACTIONS(6521),
    [anon_sym_COLON_COLON] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6523),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [sym_number_literal] = ACTIONS(6521),
    [sym_float_literal] = ACTIONS(6523),
    [sym_label] = ACTIONS(6521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4167] = {
    [sym_identifier] = ACTIONS(3010),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_LBRACK] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3012),
    [anon_sym_class] = ACTIONS(3010),
    [anon_sym_fun] = ACTIONS(3010),
    [anon_sym_interface] = ACTIONS(3010),
    [anon_sym_object] = ACTIONS(3010),
    [anon_sym_val] = ACTIONS(3010),
    [anon_sym_var] = ACTIONS(3010),
    [anon_sym_typealias] = ACTIONS(3010),
    [anon_sym_constructor] = ACTIONS(3010),
    [anon_sym_this] = ACTIONS(3010),
    [anon_sym_super] = ACTIONS(3010),
    [anon_sym_LPAREN] = ACTIONS(3012),
    [anon_sym_get] = ACTIONS(3010),
    [anon_sym_set] = ACTIONS(3010),
    [anon_sym_LBRACE] = ACTIONS(3012),
    [anon_sym_enum] = ACTIONS(3010),
    [anon_sym_sealed] = ACTIONS(3010),
    [anon_sym_annotation] = ACTIONS(3010),
    [anon_sym_data] = ACTIONS(3010),
    [anon_sym_inner] = ACTIONS(3010),
    [anon_sym_value] = ACTIONS(3010),
    [anon_sym_tailrec] = ACTIONS(3010),
    [anon_sym_operator] = ACTIONS(3010),
    [anon_sym_infix] = ACTIONS(3010),
    [anon_sym_inline] = ACTIONS(3010),
    [anon_sym_external] = ACTIONS(3010),
    [anon_sym_suspend] = ACTIONS(3010),
    [anon_sym_const] = ACTIONS(3010),
    [anon_sym_public] = ACTIONS(3010),
    [anon_sym_private] = ACTIONS(3010),
    [anon_sym_protected] = ACTIONS(3010),
    [anon_sym_internal] = ACTIONS(3010),
    [anon_sym_abstract] = ACTIONS(3010),
    [anon_sym_final] = ACTIONS(3010),
    [anon_sym_open] = ACTIONS(3010),
    [anon_sym_override] = ACTIONS(3010),
    [anon_sym_lateinit] = ACTIONS(3010),
    [anon_sym_vararg] = ACTIONS(3010),
    [anon_sym_noinline] = ACTIONS(3010),
    [anon_sym_crossinline] = ACTIONS(3010),
    [anon_sym_expect] = ACTIONS(3010),
    [anon_sym_actual] = ACTIONS(3010),
    [anon_sym_dynamic] = ACTIONS(3010),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_BANG] = ACTIONS(3012),
    [anon_sym_this_AT] = ACTIONS(3012),
    [anon_sym_super_AT] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3010),
    [anon_sym_when] = ACTIONS(3010),
    [anon_sym_try] = ACTIONS(3010),
    [anon_sym_return] = ACTIONS(3010),
    [anon_sym_return_AT] = ACTIONS(3012),
    [anon_sym_throw] = ACTIONS(3010),
    [anon_sym_COLON_COLON] = ACTIONS(3012),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3012),
    [anon_sym_SQUOTE] = ACTIONS(3012),
    [sym_number_literal] = ACTIONS(3010),
    [sym_float_literal] = ACTIONS(3012),
    [sym_label] = ACTIONS(3010),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4168] = {
    [sym_identifier] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3024),
    [anon_sym_LBRACK] = ACTIONS(3024),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_class] = ACTIONS(3022),
    [anon_sym_fun] = ACTIONS(3022),
    [anon_sym_interface] = ACTIONS(3022),
    [anon_sym_object] = ACTIONS(3022),
    [anon_sym_val] = ACTIONS(3022),
    [anon_sym_var] = ACTIONS(3022),
    [anon_sym_typealias] = ACTIONS(3022),
    [anon_sym_constructor] = ACTIONS(3022),
    [anon_sym_this] = ACTIONS(3022),
    [anon_sym_super] = ACTIONS(3022),
    [anon_sym_LPAREN] = ACTIONS(3024),
    [anon_sym_get] = ACTIONS(3022),
    [anon_sym_set] = ACTIONS(3022),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_enum] = ACTIONS(3022),
    [anon_sym_sealed] = ACTIONS(3022),
    [anon_sym_annotation] = ACTIONS(3022),
    [anon_sym_data] = ACTIONS(3022),
    [anon_sym_inner] = ACTIONS(3022),
    [anon_sym_value] = ACTIONS(3022),
    [anon_sym_tailrec] = ACTIONS(3022),
    [anon_sym_operator] = ACTIONS(3022),
    [anon_sym_infix] = ACTIONS(3022),
    [anon_sym_inline] = ACTIONS(3022),
    [anon_sym_external] = ACTIONS(3022),
    [anon_sym_suspend] = ACTIONS(3022),
    [anon_sym_const] = ACTIONS(3022),
    [anon_sym_public] = ACTIONS(3022),
    [anon_sym_private] = ACTIONS(3022),
    [anon_sym_protected] = ACTIONS(3022),
    [anon_sym_internal] = ACTIONS(3022),
    [anon_sym_abstract] = ACTIONS(3022),
    [anon_sym_final] = ACTIONS(3022),
    [anon_sym_open] = ACTIONS(3022),
    [anon_sym_override] = ACTIONS(3022),
    [anon_sym_lateinit] = ACTIONS(3022),
    [anon_sym_vararg] = ACTIONS(3022),
    [anon_sym_noinline] = ACTIONS(3022),
    [anon_sym_crossinline] = ACTIONS(3022),
    [anon_sym_expect] = ACTIONS(3022),
    [anon_sym_actual] = ACTIONS(3022),
    [anon_sym_dynamic] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3024),
    [anon_sym_DASH_DASH] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3022),
    [anon_sym_DASH] = ACTIONS(3022),
    [anon_sym_BANG] = ACTIONS(3024),
    [anon_sym_this_AT] = ACTIONS(3024),
    [anon_sym_super_AT] = ACTIONS(3024),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_when] = ACTIONS(3022),
    [anon_sym_try] = ACTIONS(3022),
    [anon_sym_return] = ACTIONS(3022),
    [anon_sym_return_AT] = ACTIONS(3024),
    [anon_sym_throw] = ACTIONS(3022),
    [anon_sym_COLON_COLON] = ACTIONS(3024),
    [anon_sym_DQUOTE] = ACTIONS(3022),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3024),
    [anon_sym_SQUOTE] = ACTIONS(3024),
    [sym_number_literal] = ACTIONS(3022),
    [sym_float_literal] = ACTIONS(3024),
    [sym_label] = ACTIONS(3022),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4169] = {
    [sym_identifier] = ACTIONS(6525),
    [anon_sym_AT] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6527),
    [anon_sym_STAR] = ACTIONS(6527),
    [anon_sym_class] = ACTIONS(6525),
    [anon_sym_fun] = ACTIONS(6525),
    [anon_sym_interface] = ACTIONS(6525),
    [anon_sym_object] = ACTIONS(6525),
    [anon_sym_val] = ACTIONS(6525),
    [anon_sym_var] = ACTIONS(6525),
    [anon_sym_typealias] = ACTIONS(6525),
    [anon_sym_constructor] = ACTIONS(6525),
    [anon_sym_this] = ACTIONS(6525),
    [anon_sym_super] = ACTIONS(6525),
    [anon_sym_LPAREN] = ACTIONS(6527),
    [anon_sym_get] = ACTIONS(6525),
    [anon_sym_set] = ACTIONS(6525),
    [anon_sym_LBRACE] = ACTIONS(6527),
    [anon_sym_enum] = ACTIONS(6525),
    [anon_sym_sealed] = ACTIONS(6525),
    [anon_sym_annotation] = ACTIONS(6525),
    [anon_sym_data] = ACTIONS(6525),
    [anon_sym_inner] = ACTIONS(6525),
    [anon_sym_value] = ACTIONS(6525),
    [anon_sym_tailrec] = ACTIONS(6525),
    [anon_sym_operator] = ACTIONS(6525),
    [anon_sym_infix] = ACTIONS(6525),
    [anon_sym_inline] = ACTIONS(6525),
    [anon_sym_external] = ACTIONS(6525),
    [anon_sym_suspend] = ACTIONS(6525),
    [anon_sym_const] = ACTIONS(6525),
    [anon_sym_public] = ACTIONS(6525),
    [anon_sym_private] = ACTIONS(6525),
    [anon_sym_protected] = ACTIONS(6525),
    [anon_sym_internal] = ACTIONS(6525),
    [anon_sym_abstract] = ACTIONS(6525),
    [anon_sym_final] = ACTIONS(6525),
    [anon_sym_open] = ACTIONS(6525),
    [anon_sym_override] = ACTIONS(6525),
    [anon_sym_lateinit] = ACTIONS(6525),
    [anon_sym_vararg] = ACTIONS(6525),
    [anon_sym_noinline] = ACTIONS(6525),
    [anon_sym_crossinline] = ACTIONS(6525),
    [anon_sym_expect] = ACTIONS(6525),
    [anon_sym_actual] = ACTIONS(6525),
    [anon_sym_dynamic] = ACTIONS(6525),
    [anon_sym_PLUS_PLUS] = ACTIONS(6527),
    [anon_sym_DASH_DASH] = ACTIONS(6527),
    [anon_sym_PLUS] = ACTIONS(6525),
    [anon_sym_DASH] = ACTIONS(6525),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_this_AT] = ACTIONS(6527),
    [anon_sym_super_AT] = ACTIONS(6527),
    [anon_sym_if] = ACTIONS(6525),
    [anon_sym_when] = ACTIONS(6525),
    [anon_sym_try] = ACTIONS(6525),
    [anon_sym_return] = ACTIONS(6525),
    [anon_sym_return_AT] = ACTIONS(6527),
    [anon_sym_throw] = ACTIONS(6525),
    [anon_sym_COLON_COLON] = ACTIONS(6527),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [sym_number_literal] = ACTIONS(6525),
    [sym_float_literal] = ACTIONS(6527),
    [sym_label] = ACTIONS(6525),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4170] = {
    [sym_identifier] = ACTIONS(6529),
    [anon_sym_AT] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6531),
    [anon_sym_STAR] = ACTIONS(6531),
    [anon_sym_class] = ACTIONS(6529),
    [anon_sym_fun] = ACTIONS(6529),
    [anon_sym_interface] = ACTIONS(6529),
    [anon_sym_object] = ACTIONS(6529),
    [anon_sym_val] = ACTIONS(6529),
    [anon_sym_var] = ACTIONS(6529),
    [anon_sym_typealias] = ACTIONS(6529),
    [anon_sym_constructor] = ACTIONS(6529),
    [anon_sym_this] = ACTIONS(6529),
    [anon_sym_super] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6531),
    [anon_sym_get] = ACTIONS(6529),
    [anon_sym_set] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6531),
    [anon_sym_enum] = ACTIONS(6529),
    [anon_sym_sealed] = ACTIONS(6529),
    [anon_sym_annotation] = ACTIONS(6529),
    [anon_sym_data] = ACTIONS(6529),
    [anon_sym_inner] = ACTIONS(6529),
    [anon_sym_value] = ACTIONS(6529),
    [anon_sym_tailrec] = ACTIONS(6529),
    [anon_sym_operator] = ACTIONS(6529),
    [anon_sym_infix] = ACTIONS(6529),
    [anon_sym_inline] = ACTIONS(6529),
    [anon_sym_external] = ACTIONS(6529),
    [anon_sym_suspend] = ACTIONS(6529),
    [anon_sym_const] = ACTIONS(6529),
    [anon_sym_public] = ACTIONS(6529),
    [anon_sym_private] = ACTIONS(6529),
    [anon_sym_protected] = ACTIONS(6529),
    [anon_sym_internal] = ACTIONS(6529),
    [anon_sym_abstract] = ACTIONS(6529),
    [anon_sym_final] = ACTIONS(6529),
    [anon_sym_open] = ACTIONS(6529),
    [anon_sym_override] = ACTIONS(6529),
    [anon_sym_lateinit] = ACTIONS(6529),
    [anon_sym_vararg] = ACTIONS(6529),
    [anon_sym_noinline] = ACTIONS(6529),
    [anon_sym_crossinline] = ACTIONS(6529),
    [anon_sym_expect] = ACTIONS(6529),
    [anon_sym_actual] = ACTIONS(6529),
    [anon_sym_dynamic] = ACTIONS(6529),
    [anon_sym_PLUS_PLUS] = ACTIONS(6531),
    [anon_sym_DASH_DASH] = ACTIONS(6531),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_this_AT] = ACTIONS(6531),
    [anon_sym_super_AT] = ACTIONS(6531),
    [anon_sym_if] = ACTIONS(6529),
    [anon_sym_when] = ACTIONS(6529),
    [anon_sym_try] = ACTIONS(6529),
    [anon_sym_return] = ACTIONS(6529),
    [anon_sym_return_AT] = ACTIONS(6531),
    [anon_sym_throw] = ACTIONS(6529),
    [anon_sym_COLON_COLON] = ACTIONS(6531),
    [anon_sym_DQUOTE] = ACTIONS(6529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [sym_number_literal] = ACTIONS(6529),
    [sym_float_literal] = ACTIONS(6531),
    [sym_label] = ACTIONS(6529),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4171] = {
    [sym_declaration] = STATE(10728),
    [sym_class_declaration] = STATE(11214),
    [sym_object_declaration] = STATE(11214),
    [sym_property_declaration] = STATE(11214),
    [sym_type_alias] = STATE(11214),
    [sym_companion_object] = STATE(10728),
    [sym_anonymous_initializer] = STATE(10728),
    [sym_secondary_constructor] = STATE(10728),
    [sym_function_declaration] = STATE(11214),
    [sym_class_member_declaration] = STATE(11259),
    [sym_enum_entry] = STATE(9028),
    [sym_modifiers] = STATE(8263),
    [sym_class_modifier] = STATE(5086),
    [sym_function_modifier] = STATE(5086),
    [sym_property_modifier] = STATE(5086),
    [sym_visibility_modifier] = STATE(5086),
    [sym_inheritance_modifier] = STATE(5086),
    [sym_member_modifier] = STATE(5086),
    [sym_parameter_modifier] = STATE(5086),
    [sym_platform_modifier] = STATE(5086),
    [sym_annotation] = STATE(5086),
    [aux_sym_class_body_repeat1] = STATE(4227),
    [aux_sym_modifiers_repeat1] = STATE(5086),
    [sym_identifier] = ACTIONS(6533),
    [anon_sym_AT] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6537),
    [anon_sym_class] = ACTIONS(6539),
    [anon_sym_fun] = ACTIONS(6541),
    [anon_sym_interface] = ACTIONS(6539),
    [anon_sym_object] = ACTIONS(6543),
    [anon_sym_val] = ACTIONS(6545),
    [anon_sym_var] = ACTIONS(6545),
    [anon_sym_typealias] = ACTIONS(6547),
    [anon_sym_companion] = ACTIONS(6549),
    [anon_sym_init] = ACTIONS(6551),
    [anon_sym_constructor] = ACTIONS(6553),
    [anon_sym_RBRACE] = ACTIONS(6555),
    [anon_sym_enum] = ACTIONS(6557),
    [anon_sym_sealed] = ACTIONS(6557),
    [anon_sym_annotation] = ACTIONS(6557),
    [anon_sym_data] = ACTIONS(6557),
    [anon_sym_inner] = ACTIONS(6557),
    [anon_sym_value] = ACTIONS(6557),
    [anon_sym_tailrec] = ACTIONS(6559),
    [anon_sym_operator] = ACTIONS(6559),
    [anon_sym_infix] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym_external] = ACTIONS(6559),
    [anon_sym_suspend] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6561),
    [anon_sym_public] = ACTIONS(6563),
    [anon_sym_private] = ACTIONS(6563),
    [anon_sym_protected] = ACTIONS(6563),
    [anon_sym_internal] = ACTIONS(6563),
    [anon_sym_abstract] = ACTIONS(6565),
    [anon_sym_final] = ACTIONS(6565),
    [anon_sym_open] = ACTIONS(6565),
    [anon_sym_override] = ACTIONS(6567),
    [anon_sym_lateinit] = ACTIONS(6567),
    [anon_sym_vararg] = ACTIONS(6569),
    [anon_sym_noinline] = ACTIONS(6569),
    [anon_sym_crossinline] = ACTIONS(6569),
    [anon_sym_expect] = ACTIONS(6571),
    [anon_sym_actual] = ACTIONS(6571),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4172] = {
    [sym_declaration] = STATE(10728),
    [sym_class_declaration] = STATE(11214),
    [sym_object_declaration] = STATE(11214),
    [sym_property_declaration] = STATE(11214),
    [sym_type_alias] = STATE(11214),
    [sym_companion_object] = STATE(10728),
    [sym_anonymous_initializer] = STATE(10728),
    [sym_secondary_constructor] = STATE(10728),
    [sym_function_declaration] = STATE(11214),
    [sym_class_member_declaration] = STATE(11259),
    [sym_enum_entry] = STATE(9062),
    [sym_modifiers] = STATE(8263),
    [sym_class_modifier] = STATE(5086),
    [sym_function_modifier] = STATE(5086),
    [sym_property_modifier] = STATE(5086),
    [sym_visibility_modifier] = STATE(5086),
    [sym_inheritance_modifier] = STATE(5086),
    [sym_member_modifier] = STATE(5086),
    [sym_parameter_modifier] = STATE(5086),
    [sym_platform_modifier] = STATE(5086),
    [sym_annotation] = STATE(5086),
    [aux_sym_class_body_repeat1] = STATE(4238),
    [aux_sym_modifiers_repeat1] = STATE(5086),
    [sym_identifier] = ACTIONS(6533),
    [anon_sym_AT] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6573),
    [anon_sym_class] = ACTIONS(6539),
    [anon_sym_fun] = ACTIONS(6541),
    [anon_sym_interface] = ACTIONS(6539),
    [anon_sym_object] = ACTIONS(6543),
    [anon_sym_val] = ACTIONS(6545),
    [anon_sym_var] = ACTIONS(6545),
    [anon_sym_typealias] = ACTIONS(6547),
    [anon_sym_companion] = ACTIONS(6549),
    [anon_sym_init] = ACTIONS(6551),
    [anon_sym_constructor] = ACTIONS(6553),
    [anon_sym_RBRACE] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6557),
    [anon_sym_sealed] = ACTIONS(6557),
    [anon_sym_annotation] = ACTIONS(6557),
    [anon_sym_data] = ACTIONS(6557),
    [anon_sym_inner] = ACTIONS(6557),
    [anon_sym_value] = ACTIONS(6557),
    [anon_sym_tailrec] = ACTIONS(6559),
    [anon_sym_operator] = ACTIONS(6559),
    [anon_sym_infix] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym_external] = ACTIONS(6559),
    [anon_sym_suspend] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6561),
    [anon_sym_public] = ACTIONS(6563),
    [anon_sym_private] = ACTIONS(6563),
    [anon_sym_protected] = ACTIONS(6563),
    [anon_sym_internal] = ACTIONS(6563),
    [anon_sym_abstract] = ACTIONS(6565),
    [anon_sym_final] = ACTIONS(6565),
    [anon_sym_open] = ACTIONS(6565),
    [anon_sym_override] = ACTIONS(6567),
    [anon_sym_lateinit] = ACTIONS(6567),
    [anon_sym_vararg] = ACTIONS(6569),
    [anon_sym_noinline] = ACTIONS(6569),
    [anon_sym_crossinline] = ACTIONS(6569),
    [anon_sym_expect] = ACTIONS(6571),
    [anon_sym_actual] = ACTIONS(6571),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4173] = {
    [sym_declaration] = STATE(10728),
    [sym_class_declaration] = STATE(11214),
    [sym_object_declaration] = STATE(11214),
    [sym_property_declaration] = STATE(11214),
    [sym_type_alias] = STATE(11214),
    [sym_companion_object] = STATE(10728),
    [sym_anonymous_initializer] = STATE(10728),
    [sym_secondary_constructor] = STATE(10728),
    [sym_function_declaration] = STATE(11214),
    [sym_class_member_declaration] = STATE(11259),
    [sym_enum_entry] = STATE(9078),
    [sym_modifiers] = STATE(8263),
    [sym_class_modifier] = STATE(5086),
    [sym_function_modifier] = STATE(5086),
    [sym_property_modifier] = STATE(5086),
    [sym_visibility_modifier] = STATE(5086),
    [sym_inheritance_modifier] = STATE(5086),
    [sym_member_modifier] = STATE(5086),
    [sym_parameter_modifier] = STATE(5086),
    [sym_platform_modifier] = STATE(5086),
    [sym_annotation] = STATE(5086),
    [aux_sym_class_body_repeat1] = STATE(4236),
    [aux_sym_modifiers_repeat1] = STATE(5086),
    [sym_identifier] = ACTIONS(6533),
    [anon_sym_AT] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6577),
    [anon_sym_class] = ACTIONS(6539),
    [anon_sym_fun] = ACTIONS(6541),
    [anon_sym_interface] = ACTIONS(6539),
    [anon_sym_object] = ACTIONS(6543),
    [anon_sym_val] = ACTIONS(6545),
    [anon_sym_var] = ACTIONS(6545),
    [anon_sym_typealias] = ACTIONS(6547),
    [anon_sym_companion] = ACTIONS(6549),
    [anon_sym_init] = ACTIONS(6551),
    [anon_sym_constructor] = ACTIONS(6553),
    [anon_sym_RBRACE] = ACTIONS(6579),
    [anon_sym_enum] = ACTIONS(6557),
    [anon_sym_sealed] = ACTIONS(6557),
    [anon_sym_annotation] = ACTIONS(6557),
    [anon_sym_data] = ACTIONS(6557),
    [anon_sym_inner] = ACTIONS(6557),
    [anon_sym_value] = ACTIONS(6557),
    [anon_sym_tailrec] = ACTIONS(6559),
    [anon_sym_operator] = ACTIONS(6559),
    [anon_sym_infix] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym_external] = ACTIONS(6559),
    [anon_sym_suspend] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6561),
    [anon_sym_public] = ACTIONS(6563),
    [anon_sym_private] = ACTIONS(6563),
    [anon_sym_protected] = ACTIONS(6563),
    [anon_sym_internal] = ACTIONS(6563),
    [anon_sym_abstract] = ACTIONS(6565),
    [anon_sym_final] = ACTIONS(6565),
    [anon_sym_open] = ACTIONS(6565),
    [anon_sym_override] = ACTIONS(6567),
    [anon_sym_lateinit] = ACTIONS(6567),
    [anon_sym_vararg] = ACTIONS(6569),
    [anon_sym_noinline] = ACTIONS(6569),
    [anon_sym_crossinline] = ACTIONS(6569),
    [anon_sym_expect] = ACTIONS(6571),
    [anon_sym_actual] = ACTIONS(6571),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4174] = {
    [sym_declaration] = STATE(10728),
    [sym_class_declaration] = STATE(11214),
    [sym_object_declaration] = STATE(11214),
    [sym_property_declaration] = STATE(11214),
    [sym_type_alias] = STATE(11214),
    [sym_companion_object] = STATE(10728),
    [sym_anonymous_initializer] = STATE(10728),
    [sym_secondary_constructor] = STATE(10728),
    [sym_function_declaration] = STATE(11214),
    [sym_class_member_declaration] = STATE(11259),
    [sym_enum_entry] = STATE(9082),
    [sym_modifiers] = STATE(8263),
    [sym_class_modifier] = STATE(5086),
    [sym_function_modifier] = STATE(5086),
    [sym_property_modifier] = STATE(5086),
    [sym_visibility_modifier] = STATE(5086),
    [sym_inheritance_modifier] = STATE(5086),
    [sym_member_modifier] = STATE(5086),
    [sym_parameter_modifier] = STATE(5086),
    [sym_platform_modifier] = STATE(5086),
    [sym_annotation] = STATE(5086),
    [aux_sym_class_body_repeat1] = STATE(4225),
    [aux_sym_modifiers_repeat1] = STATE(5086),
    [sym_identifier] = ACTIONS(6533),
    [anon_sym_AT] = ACTIONS(6535),
    [anon_sym_SEMI] = ACTIONS(6581),
    [anon_sym_class] = ACTIONS(6539),
    [anon_sym_fun] = ACTIONS(6541),
    [anon_sym_interface] = ACTIONS(6539),
    [anon_sym_object] = ACTIONS(6543),
    [anon_sym_val] = ACTIONS(6545),
    [anon_sym_var] = ACTIONS(6545),
    [anon_sym_typealias] = ACTIONS(6547),
    [anon_sym_companion] = ACTIONS(6549),
    [anon_sym_init] = ACTIONS(6551),
    [anon_sym_constructor] = ACTIONS(6553),
    [anon_sym_RBRACE] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6557),
    [anon_sym_sealed] = ACTIONS(6557),
    [anon_sym_annotation] = ACTIONS(6557),
    [anon_sym_data] = ACTIONS(6557),
    [anon_sym_inner] = ACTIONS(6557),
    [anon_sym_value] = ACTIONS(6557),
    [anon_sym_tailrec] = ACTIONS(6559),
    [anon_sym_operator] = ACTIONS(6559),
    [anon_sym_infix] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym_external] = ACTIONS(6559),
    [anon_sym_suspend] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6561),
    [anon_sym_public] = ACTIONS(6563),
    [anon_sym_private] = ACTIONS(6563),
    [anon_sym_protected] = ACTIONS(6563),
    [anon_sym_internal] = ACTIONS(6563),
    [anon_sym_abstract] = ACTIONS(6565),
    [anon_sym_final] = ACTIONS(6565),
    [anon_sym_open] = ACTIONS(6565),
    [anon_sym_override] = ACTIONS(6567),
    [anon_sym_lateinit] = ACTIONS(6567),
    [anon_sym_vararg] = ACTIONS(6569),
    [anon_sym_noinline] = ACTIONS(6569),
    [anon_sym_crossinline] = ACTIONS(6569),
    [anon_sym_expect] = ACTIONS(6571),
    [anon_sym_actual] = ACTIONS(6571),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [114] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6615), 1,
      anon_sym_RBRACE,
    STATE(4177), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [228] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6617), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [342] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6619), 1,
      anon_sym_RBRACE,
    STATE(4182), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [456] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6621), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [570] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6623), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [684] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6623), 1,
      anon_sym_RBRACE,
    STATE(4237), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [798] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6625), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [912] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6625), 1,
      anon_sym_RBRACE,
    STATE(4184), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1026] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6627), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1140] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6629), 1,
      anon_sym_RBRACE,
    STATE(4194), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1254] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6627), 1,
      anon_sym_RBRACE,
    STATE(4187), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1368] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6631), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1482] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6631), 1,
      anon_sym_RBRACE,
    STATE(4189), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1596] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6633), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1710] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6635), 1,
      anon_sym_RBRACE,
    STATE(4207), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1824] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6621), 1,
      anon_sym_RBRACE,
    STATE(4192), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [1938] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6637), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2052] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6639), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2166] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6641), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2280] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6641), 1,
      anon_sym_RBRACE,
    STATE(4180), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2394] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6643), 1,
      anon_sym_RBRACE,
    STATE(4200), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2508] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6645), 1,
      anon_sym_RBRACE,
    STATE(4204), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2622] = 25,
    ACTIONS(6647), 1,
      anon_sym_AT,
    ACTIONS(6653), 1,
      anon_sym_fun,
    ACTIONS(6656), 1,
      anon_sym_object,
    ACTIONS(6662), 1,
      anon_sym_typealias,
    ACTIONS(6665), 1,
      anon_sym_companion,
    ACTIONS(6668), 1,
      anon_sym_init,
    ACTIONS(6671), 1,
      anon_sym_constructor,
    ACTIONS(6674), 1,
      anon_sym_RBRACE,
    ACTIONS(6682), 1,
      anon_sym_const,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6650), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6659), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6691), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6697), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6688), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6694), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6685), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6676), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6679), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2736] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6700), 1,
      anon_sym_RBRACE,
    STATE(4212), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2850] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6702), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [2964] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6704), 1,
      anon_sym_RBRACE,
    STATE(4202), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3078] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6706), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3192] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6708), 1,
      anon_sym_RBRACE,
    STATE(4227), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3306] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6710), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3420] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6712), 1,
      anon_sym_RBRACE,
    STATE(4206), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3534] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6714), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3648] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6716), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3762] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6718), 1,
      anon_sym_RBRACE,
    STATE(4211), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3876] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6639), 1,
      anon_sym_RBRACE,
    STATE(4210), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [3990] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6720), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4104] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6722), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4218] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6724), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4332] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6726), 1,
      anon_sym_RBRACE,
    STATE(4241), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4446] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6728), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4560] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6730), 1,
      anon_sym_RBRACE,
    STATE(4217), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4674] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6728), 1,
      anon_sym_RBRACE,
    STATE(4223), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4788] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6732), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [4902] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6734), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5016] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6736), 1,
      anon_sym_RBRACE,
    STATE(4222), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5130] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6738), 1,
      anon_sym_RBRACE,
    STATE(4230), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5244] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6740), 1,
      anon_sym_RBRACE,
    STATE(4225), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5358] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6742), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5472] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6744), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5586] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6746), 1,
      anon_sym_RBRACE,
    STATE(4179), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5700] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6748), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5814] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6750), 1,
      anon_sym_RBRACE,
    STATE(4175), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [5928] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6752), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6042] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(4240), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6156] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6754), 1,
      anon_sym_RBRACE,
    STATE(4232), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6270] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6756), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6384] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6758), 1,
      anon_sym_RBRACE,
    STATE(4193), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6498] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6760), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6612] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6762), 1,
      anon_sym_RBRACE,
    STATE(4238), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6726] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6764), 1,
      anon_sym_RBRACE,
    STATE(4239), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6840] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6766), 1,
      anon_sym_RBRACE,
    STATE(4236), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [6954] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6768), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7068] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6700), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7182] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6770), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7296] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6772), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7410] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6746), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7524] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6774), 1,
      anon_sym_RBRACE,
    STATE(4198), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7638] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6776), 1,
      anon_sym_RBRACE,
    STATE(4218), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7752] = 25,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(6587), 1,
      anon_sym_fun,
    ACTIONS(6589), 1,
      anon_sym_object,
    ACTIONS(6591), 1,
      anon_sym_typealias,
    ACTIONS(6593), 1,
      anon_sym_companion,
    ACTIONS(6595), 1,
      anon_sym_init,
    ACTIONS(6597), 1,
      anon_sym_constructor,
    ACTIONS(6720), 1,
      anon_sym_RBRACE,
    STATE(4214), 1,
      aux_sym_class_body_repeat1,
    STATE(8371), 1,
      sym_modifiers,
    STATE(11259), 1,
      sym_class_member_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6585), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    STATE(10728), 4,
      sym_declaration,
      sym_companion_object,
      sym_anonymous_initializer,
      sym_secondary_constructor,
    STATE(11214), 5,
      sym_class_declaration,
      sym_object_declaration,
      sym_property_declaration,
      sym_type_alias,
      sym_function_declaration,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [7866] = 5,
    ACTIONS(6778), 1,
      anon_sym_LT,
    STATE(4264), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2552), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [7939] = 6,
    ACTIONS(6780), 1,
      anon_sym_DOT,
    STATE(4248), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2558), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8013] = 5,
    ACTIONS(6784), 1,
      anon_sym_DOT,
    STATE(4247), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2521), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8085] = 5,
    ACTIONS(6788), 1,
      anon_sym_DOT,
    STATE(4247), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2565), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8157] = 6,
    ACTIONS(6784), 1,
      anon_sym_DOT,
    STATE(4247), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2513), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8231] = 5,
    ACTIONS(6780), 1,
      anon_sym_DOT,
    STATE(4246), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2524), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8303] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2578), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8373] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 24,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2403), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8441] = 5,
    ACTIONS(6791), 1,
      anon_sym_DOT,
    STATE(4253), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2545), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8513] = 5,
    ACTIONS(6794), 1,
      anon_sym_DOT,
    STATE(4247), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2558), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8585] = 4,
    ACTIONS(5831), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8654] = 11,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    STATE(4365), 1,
      sym_type_constraints,
    STATE(4662), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6799), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6797), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8737] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2618), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8804] = 5,
    ACTIONS(2618), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2666), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8875] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2658), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [8942] = 4,
    ACTIONS(5838), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9011] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2565), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9078] = 11,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    STATE(4339), 1,
      sym_type_constraints,
    STATE(4697), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6811), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6809), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9161] = 11,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    STATE(4392), 1,
      sym_type_constraints,
    STATE(4710), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6815), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6813), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9244] = 11,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    STATE(4338), 1,
      sym_type_constraints,
    STATE(4720), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6819), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6817), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9327] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2630), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9394] = 11,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    STATE(4360), 1,
      sym_type_constraints,
    STATE(4732), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6823), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6821), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9477] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2634), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9544] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2654), 35,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9611] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9677] = 10,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6829), 1,
      anon_sym_COLON,
    STATE(4370), 1,
      sym_type_constraints,
    STATE(4637), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6827), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6825), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9757] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2670), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9827] = 8,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6835), 1,
      anon_sym_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_by,
    STATE(4460), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6831), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [9903] = 8,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2355), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2357), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [9979] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2638), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10049] = 5,
    ACTIONS(6839), 1,
      anon_sym_QMARK,
    ACTIONS(6841), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2642), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10119] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2685), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10189] = 10,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6847), 1,
      anon_sym_COLON,
    STATE(4340), 1,
      sym_type_constraints,
    STATE(4698), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6845), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6843), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10269] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2650), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10335] = 5,
    ACTIONS(6839), 1,
      anon_sym_QMARK,
    ACTIONS(6841), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2638), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10405] = 5,
    ACTIONS(6839), 1,
      anon_sym_QMARK,
    ACTIONS(6841), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2676), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10475] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2700), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10543] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2693), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10611] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2697), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10677] = 8,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(6835), 1,
      anon_sym_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_by,
    STATE(4460), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6849), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10753] = 10,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6857), 1,
      anon_sym_COLON,
    STATE(4355), 1,
      sym_type_constraints,
    STATE(4831), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6855), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6853), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10833] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2624), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10899] = 10,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6863), 1,
      anon_sym_COLON,
    STATE(4351), 1,
      sym_type_constraints,
    STATE(4680), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6861), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6859), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [10979] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 23,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2662), 34,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11045] = 10,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6869), 1,
      anon_sym_COLON,
    STATE(4336), 1,
      sym_type_constraints,
    STATE(4717), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6867), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6865), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11125] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_COLON,
    STATE(4477), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4704), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6873), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6871), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11200] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(4337), 1,
      anon_sym_COLON,
    STATE(4405), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4691), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4339), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4335), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11275] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(4345), 1,
      anon_sym_COLON,
    STATE(4489), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4818), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4347), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4343), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11350] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(6881), 1,
      anon_sym_COLON,
    STATE(4503), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4661), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6879), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6877), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11425] = 7,
    ACTIONS(6883), 1,
      anon_sym_catch,
    ACTIONS(6885), 1,
      anon_sym_finally,
    STATE(4744), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4312), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2537), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [11498] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_COLON,
    STATE(4480), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4627), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4357), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4353), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11573] = 8,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(6891), 1,
      anon_sym_COLON,
    STATE(4467), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4622), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6889), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6887), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11648] = 33,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2335), 11,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [11772] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2385), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2383), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6941), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [11904] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4397), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4726), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6949), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6947), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [11976] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4410), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4694), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6953), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6951), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [12048] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2389), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2387), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6941), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [12180] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4412), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4695), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6957), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6955), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [12252] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2393), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2391), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6941), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [12384] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2441), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2439), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [12512] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6959), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 16,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 19,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [12608] = 29,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 15,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [12724] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2763), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [12792] = 6,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(4747), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2594), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [12862] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6962), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 17,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [12970] = 20,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6959), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 13,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 19,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [13068] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4477), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4704), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6873), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6871), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [13140] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2335), 10,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [13266] = 5,
    ACTIONS(6965), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4312), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2598), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2600), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [13334] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4499), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4707), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6970), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6968), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [13406] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6959), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 18,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [13512] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6972), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 11,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 19,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [13612] = 23,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6975), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 10,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 18,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [13716] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2473), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2471), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [13844] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2477), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2475), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [13972] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2481), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2479), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14100] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2485), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2483), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14228] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2489), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2487), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14356] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2493), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2491), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14484] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2385), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2383), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6980), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14616] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2389), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2387), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6980), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14748] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2393), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2391), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6980), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [14880] = 6,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(4713), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2689), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [14950] = 39,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6982), 1,
      anon_sym_SEMI,
    ACTIONS(6984), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 2,
      anon_sym_where,
      anon_sym_while,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2367), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(6941), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [15086] = 39,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6978), 1,
      anon_sym_EQ,
    ACTIONS(6986), 1,
      anon_sym_SEMI,
    ACTIONS(6988), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 2,
      anon_sym_where,
      anon_sym_while,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2367), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(6980), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [15222] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(6943), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6945), 1,
      anon_sym_AMP_AMP,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6915), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(6917), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2448), 4,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(2446), 9,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [15350] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4420), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4654), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6992), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6990), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15422] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4503), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4661), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6879), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6877), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15494] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4402), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4716), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6996), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6994), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15566] = 7,
    ACTIONS(4123), 1,
      anon_sym_where,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(4467), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4622), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6889), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6887), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15638] = 31,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6893), 1,
      sym_identifier,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6903), 1,
      anon_sym_LT,
    ACTIONS(6905), 1,
      anon_sym_GT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6909), 1,
      anon_sym_in,
    ACTIONS(6921), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(6923), 1,
      anon_sym_BANGin,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6913), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6919), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 13,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [15758] = 23,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7006), 1,
      anon_sym_LT,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 18,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [15861] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4728), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7027), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7025), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15932] = 5,
    ACTIONS(7029), 1,
      anon_sym_COMMA,
    STATE(4361), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2965), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [15999] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4729), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7033), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7031), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [16070] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4708), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7037), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7035), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [16141] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4709), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7041), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7039), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [16212] = 39,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_where,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7045), 1,
      anon_sym_SEMI,
    ACTIONS(7047), 1,
      anon_sym_EQ,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7073), 1,
      anon_sym_else,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2367), 3,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7055), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [16347] = 8,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2355), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2357), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [16420] = 11,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    STATE(4669), 1,
      sym_block,
    STATE(4751), 1,
      sym_type_constraints,
    STATE(4754), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [16499] = 5,
    ACTIONS(7087), 1,
      anon_sym_DOT,
    STATE(4367), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2534), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [16566] = 5,
    ACTIONS(7095), 1,
      anon_sym_COMMA,
    STATE(4364), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7093), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7091), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [16633] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 22,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2408), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [16696] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7047), 1,
      anon_sym_EQ,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2383), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7055), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [16827] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7047), 1,
      anon_sym_EQ,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2387), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7055), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [16958] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2391), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7099), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [17089] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7047), 1,
      anon_sym_EQ,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2391), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7055), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [17220] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4700), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7103), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7101), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17291] = 5,
    ACTIONS(7029), 1,
      anon_sym_COMMA,
    STATE(4337), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2959), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17358] = 8,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2605), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [17431] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2953), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2951), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17494] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4631), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7107), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7105), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17565] = 11,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    STATE(4669), 1,
      sym_block,
    STATE(4752), 1,
      sym_type_constraints,
    STATE(4762), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [17644] = 5,
    ACTIONS(7109), 1,
      anon_sym_DOT,
    STATE(4362), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2547), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [17711] = 5,
    ACTIONS(7112), 1,
      anon_sym_LT,
    STATE(4439), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2554), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [17778] = 6,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    STATE(4363), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [17847] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4734), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7120), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7118), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17918] = 5,
    ACTIONS(7122), 1,
      anon_sym_COMMA,
    STATE(4361), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2993), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [17985] = 5,
    ACTIONS(7125), 1,
      anon_sym_DOT,
    STATE(4367), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [18052] = 6,
    ACTIONS(7087), 1,
      anon_sym_DOT,
    STATE(4367), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2515), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [18121] = 5,
    ACTIONS(7132), 1,
      anon_sym_COMMA,
    STATE(4364), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7128), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18188] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4696), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7137), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7135), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18259] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2749), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2747), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18322] = 5,
    ACTIONS(7139), 1,
      anon_sym_DOT,
    STATE(4367), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [18389] = 39,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_where,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    ACTIONS(7142), 1,
      anon_sym_SEMI,
    ACTIONS(7144), 1,
      anon_sym_else,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2367), 3,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7099), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [18524] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2925), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2923), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18587] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4679), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7148), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7146), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18658] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2759), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2757), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [18721] = 5,
    ACTIONS(7114), 1,
      anon_sym_DOT,
    STATE(4344), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2527), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [18788] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2441), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2439), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [18915] = 19,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7150), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 15,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 19,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [19010] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2448), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2446), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [19137] = 29,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 15,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19252] = 25,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7153), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 17,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [19359] = 20,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7150), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 19,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [19456] = 34,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 10,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [19581] = 33,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 11,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [19704] = 31,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 13,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [19823] = 24,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7150), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 18,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [19928] = 21,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7156), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 10,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 19,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [20027] = 5,
    ACTIONS(7095), 1,
      anon_sym_COMMA,
    STATE(4345), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7161), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7159), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [20094] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2473), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2471), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20221] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2477), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2475), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20348] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2481), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2479), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20475] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2485), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2483), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20602] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2489), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2487), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20729] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2493), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2491), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [20856] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2949), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2947), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [20919] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    STATE(4721), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7165), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7163), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [20990] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2755), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2753), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21053] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2383), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7099), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [21184] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7019), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7043), 1,
      sym_identifier,
    ACTIONS(7049), 1,
      anon_sym_LT,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_in,
    ACTIONS(7057), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7059), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7067), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7069), 1,
      anon_sym_BANGin,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7097), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7013), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7061), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7063), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7065), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2387), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(7099), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [21315] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2933), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2931), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21378] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4731), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(7169), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7167), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21444] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 21,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2993), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21506] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(4802), 1,
      sym_type_parameters,
    STATE(8423), 1,
      sym_primary_constructor,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(8892), 1,
      sym_type_constraints,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4147), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10299), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [21610] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2621), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [21672] = 4,
    ACTIONS(2682), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [21736] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4726), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6949), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6947), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21802] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2627), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [21864] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2704), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [21926] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4704), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6873), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6871), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [21992] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7185), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7183), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [22058] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7189), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7187), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [22120] = 6,
    ACTIONS(7195), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(4618), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7193), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7191), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [22188] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2477), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [22314] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4706), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(7231), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7229), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [22380] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2664), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [22442] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4707), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6970), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6968), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [22508] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2481), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2479), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [22634] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2945), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [22696] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2485), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2483), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [22822] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2489), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2487), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [22948] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2493), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23074] = 4,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 20,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23138] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7235), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7233), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [23200] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4694), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6953), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6951), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [23266] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2955), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2957), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23328] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2700), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2702), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23392] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7239), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7237), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [23458] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7243), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7241), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [23520] = 10,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7245), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4751), 1,
      sym_type_constraints,
    STATE(4754), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23596] = 10,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(4750), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23672] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2969), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2971), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23734] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 18,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2668), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23798] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2448), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2446), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23924] = 7,
    ACTIONS(7249), 1,
      anon_sym_catch,
    ACTIONS(7251), 1,
      anon_sym_finally,
    STATE(5169), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4555), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2537), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [23994] = 39,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_where,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7257), 1,
      anon_sym_SEMI,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7265), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7303), 1,
      anon_sym_else,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      sym__class_member_semi,
      anon_sym_COMMA,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7275), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24128] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6831), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24190] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7265), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7275), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24320] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4818), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4347), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4343), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24386] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7311), 1,
      anon_sym_COLON,
    STATE(4742), 1,
      sym_type_parameters,
    STATE(8386), 1,
      sym_primary_constructor,
    STATE(8782), 1,
      sym_type_constraints,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4153), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10117), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [24490] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7315), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7313), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24556] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3022), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24618] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7128), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24680] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2632), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [24742] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4691), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4339), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4335), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [24808] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2636), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [24870] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7265), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7275), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25000] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7265), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7275), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25130] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2441), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2439), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25256] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3018), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [25318] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7317), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 15,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [25412] = 29,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 6,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [25526] = 8,
    ACTIONS(2612), 1,
      anon_sym_LT,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2615), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(2605), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [25598] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7320), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2452), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 16,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [25704] = 20,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7317), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 12,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [25800] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [25862] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [25986] = 33,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26108] = 31,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 12,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [26226] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2929), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [26288] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7323), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2457), 10,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [26386] = 23,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7326), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2464), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 17,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [26488] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2473), 3,
      anon_sym_EQ,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2471), 8,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26614] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7329), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7331), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26744] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6517), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [26806] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2580), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [26870] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7329), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7331), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27000] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2937), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27062] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7329), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7331), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27192] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2652), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27254] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2656), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27316] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4654), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6992), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6990), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [27382] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2695), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27446] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(4943), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27524] = 8,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2355), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2357), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27596] = 5,
    ACTIONS(6805), 1,
      anon_sym_QMARK,
    ACTIONS(6807), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7337), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7335), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [27662] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7341), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7339), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [27724] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2941), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27786] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7345), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7343), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [27848] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27910] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4762), 1,
      sym_function_body,
    STATE(4944), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [27988] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4716), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6996), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6994), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [28054] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2473), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2471), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28180] = 39,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_while,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7329), 1,
      anon_sym_EQ,
    ACTIONS(7347), 1,
      anon_sym_SEMI,
    ACTIONS(7349), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7331), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28314] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4661), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6879), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6877), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [28380] = 39,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_where,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7351), 1,
      anon_sym_SEMI,
    ACTIONS(7353), 1,
      anon_sym_EQ,
    ACTIONS(7357), 1,
      anon_sym_else,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      sym__class_member_semi,
      anon_sym_COMMA,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7355), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28514] = 6,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    ACTIONS(7363), 1,
      anon_sym_COLON,
    STATE(4790), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7361), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7359), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [28582] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2441), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2439), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28708] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7367), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7365), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [28770] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7371), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7369), 34,
      anon_sym_COLON,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [28832] = 19,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7373), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 15,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [28926] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2448), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2446), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29052] = 29,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 14,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [29166] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4622), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6889), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6887), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [29232] = 25,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7376), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 16,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [29338] = 20,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7373), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [29434] = 34,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 9,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [29558] = 33,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 10,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29680] = 31,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [29798] = 24,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7373), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 17,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [29902] = 21,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7379), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 10,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 18,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [30000] = 23,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7382), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 17,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [30102] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4627), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(4357), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4353), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [30168] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4719), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(7387), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7385), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [30234] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7353), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7355), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30364] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7353), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7355), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30494] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7353), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7355), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30624] = 5,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4695), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6957), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6955), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [30690] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 21,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2660), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [30752] = 39,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2361), 1,
      anon_sym_while,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7389), 1,
      anon_sym_SEMI,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    ACTIONS(7395), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7393), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30886] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7393), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31016] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3010), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [31078] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7393), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31208] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2477), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2475), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31334] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2481), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2479), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31460] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7393), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31590] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7397), 1,
      anon_sym_COLON,
    STATE(4809), 1,
      sym_type_parameters,
    STATE(8429), 1,
      sym_primary_constructor,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(8792), 1,
      sym_type_constraints,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4115), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10247), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [31694] = 11,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    STATE(4919), 1,
      sym_type_constraints,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [31772] = 11,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    STATE(4920), 1,
      sym_type_constraints,
    STATE(5043), 1,
      sym_block,
    STATE(5049), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [31850] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2485), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2483), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31976] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2489), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2487), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32102] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7267), 1,
      anon_sym_LT,
    ACTIONS(7269), 1,
      anon_sym_GT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7273), 1,
      anon_sym_in,
    ACTIONS(7281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7291), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7293), 1,
      anon_sym_BANGin,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7299), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7301), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7279), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7285), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7287), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7289), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2493), 3,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7261), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2491), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32228] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6849), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [32290] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 20,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3014), 33,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_where,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [32352] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7317), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 17,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [32456] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 21,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2408), 31,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [32517] = 11,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    STATE(4669), 1,
      sym_block,
    STATE(4762), 1,
      sym_function_body,
    STATE(5098), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [32594] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2985), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2987), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [32659] = 19,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7415), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 14,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [32752] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4115), 1,
      anon_sym_while,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7418), 1,
      anon_sym_COLON,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7422), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(4900), 1,
      sym_type_parameters,
    STATE(8500), 1,
      sym_primary_constructor,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(9034), 1,
      sym_type_constraints,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(11261), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [32855] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5048), 1,
      sym_type_constraints,
    STATE(5049), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [32932] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2479), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33057] = 34,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [33180] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5044), 1,
      sym_type_constraints,
    STATE(5081), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [33257] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [33322] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2439), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33447] = 5,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(4692), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7502), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7500), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [33512] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [33577] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7508), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 14,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [33670] = 23,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7511), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2464), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 17,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [33771] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33896] = 29,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [34009] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4153), 1,
      sym__class_member_semi,
    ACTIONS(7514), 1,
      anon_sym_COLON,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7518), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(4855), 1,
      sym_type_parameters,
    STATE(8516), 1,
      sym_primary_constructor,
    STATE(9044), 1,
      sym_type_constraints,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10775), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [34112] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7526), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2452), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 16,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [34217] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2471), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34342] = 20,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7508), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 11,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [34437] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [34498] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2679), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [34563] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7529), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7531), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34692] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    ACTIONS(7533), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(4943), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [34767] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4153), 1,
      anon_sym_while,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7422), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7535), 1,
      anon_sym_COLON,
    STATE(4848), 1,
      sym_type_parameters,
    STATE(8503), 1,
      sym_primary_constructor,
    STATE(8982), 1,
      sym_type_constraints,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(11341), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [34870] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    ACTIONS(7537), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(4938), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [34945] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2479), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35070] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [35193] = 4,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [35256] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4147), 1,
      sym__class_member_semi,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7518), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7539), 1,
      anon_sym_COLON,
    STATE(4896), 1,
      sym_type_parameters,
    STATE(8480), 1,
      sym_primary_constructor,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(9071), 1,
      sym_type_constraints,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10915), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [35359] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2483), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35484] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2687), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [35549] = 5,
    ACTIONS(7197), 1,
      anon_sym_LBRACE,
    STATE(4640), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7543), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7541), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [35614] = 5,
    ACTIONS(7545), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4555), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2598), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2600), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [35679] = 38,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7548), 1,
      anon_sym_SEMI,
    ACTIONS(7550), 1,
      anon_sym_EQ,
    ACTIONS(7554), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7552), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35810] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2931), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2933), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [35871] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(7506), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2644), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [35936] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2487), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36061] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2487), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36186] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36311] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [36374] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2673), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [36439] = 33,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36560] = 31,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 4,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [36677] = 38,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7556), 1,
      anon_sym_SEMI,
    ACTIONS(7558), 1,
      anon_sym_EQ,
    ACTIONS(7562), 1,
      anon_sym_else,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7560), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36808] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2439), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36933] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7558), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7560), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37062] = 11,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5096), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37139] = 7,
    ACTIONS(7564), 1,
      anon_sym_catch,
    ACTIONS(7566), 1,
      anon_sym_finally,
    STATE(5201), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4626), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2537), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37208] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37269] = 38,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7568), 1,
      anon_sym_SEMI,
    ACTIONS(7570), 1,
      anon_sym_EQ,
    ACTIONS(7574), 1,
      anon_sym_else,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37400] = 29,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 14,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [37513] = 11,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    STATE(4965), 1,
      sym_type_constraints,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37590] = 11,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    STATE(4966), 1,
      sym_type_constraints,
    STATE(5234), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37667] = 4,
    ACTIONS(7586), 1,
      anon_sym_AT2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3002), 20,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3004), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [37730] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7508), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 17,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [37833] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2471), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37958] = 6,
    STATE(5080), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2594), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [38025] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7529), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7531), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38154] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4115), 1,
      sym__class_member_semi,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7518), 1,
      anon_sym_LT,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7588), 1,
      anon_sym_COLON,
    STATE(4873), 1,
      sym_type_parameters,
    STATE(8506), 1,
      sym_primary_constructor,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(9051), 1,
      sym_type_constraints,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10546), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [38257] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7550), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7552), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38386] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7550), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7552), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38515] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7550), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7552), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38644] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7570), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38773] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7570), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38902] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7590), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2457), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 18,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [38999] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39124] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2483), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39249] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(7570), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39378] = 4,
    ACTIONS(2761), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [39441] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2951), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2953), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [39502] = 24,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7415), 1,
      anon_sym_LT,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 17,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [39605] = 23,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7593), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2464), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 17,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [39706] = 25,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7596), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2452), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 16,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [39811] = 38,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7529), 1,
      anon_sym_EQ,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
    ACTIONS(7601), 1,
      anon_sym_else,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2367), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7531), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39942] = 20,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7415), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 11,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 18,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [40037] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40098] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2763), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2765), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40163] = 6,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(5162), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2689), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40230] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7529), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2391), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7531), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40359] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2947), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2949), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40420] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40545] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2973), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2975), 31,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40610] = 33,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 10,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40731] = 10,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7603), 1,
      anon_sym_COLON,
    STATE(4919), 1,
      sym_type_constraints,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [40806] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7462), 1,
      sym_identifier,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7468), 1,
      anon_sym_LT,
    ACTIONS(7470), 1,
      anon_sym_GT,
    ACTIONS(7472), 1,
      anon_sym_in,
    ACTIONS(7476), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7486), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7488), 1,
      anon_sym_BANGin,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7496), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7498), 1,
      sym__not_is,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7474), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7480), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7482), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7484), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2446), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40931] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2446), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41056] = 21,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7605), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2457), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 18,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [41153] = 24,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4147), 1,
      anon_sym_while,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7422), 1,
      anon_sym_LT,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7608), 1,
      anon_sym_COLON,
    STATE(4864), 1,
      sym_type_parameters,
    STATE(8473), 1,
      sym_primary_constructor,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(9100), 1,
      sym_type_constraints,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(11273), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [41256] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7558), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2383), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7560), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41385] = 10,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7610), 1,
      anon_sym_COLON,
    STATE(4918), 1,
      sym_type_constraints,
    STATE(5042), 1,
      sym_function_body,
    STATE(5043), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [41460] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2923), 20,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2925), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [41521] = 37,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7558), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2387), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7560), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41650] = 31,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 4,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [41767] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2383), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7624), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41895] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2605), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [41955] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7648), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7646), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42015] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3052), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3054), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42075] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7650), 1,
      anon_sym_SEMI,
    ACTIONS(7652), 1,
      anon_sym_EQ,
    ACTIONS(7654), 1,
      anon_sym_where,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5004), 1,
      sym_type_constraints,
    STATE(5329), 1,
      sym_property_delegate,
    STATE(5615), 1,
      sym_setter,
    STATE(5623), 1,
      sym_getter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [42175] = 6,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(5322), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2689), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42241] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6992), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6990), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42301] = 6,
    STATE(5207), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2594), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42367] = 5,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4658), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2965), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2967), 30,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42431] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7682), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7680), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42491] = 5,
    ACTIONS(7684), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4626), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
    ACTIONS(2598), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2600), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42555] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6879), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6877), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42615] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3070), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3072), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42675] = 38,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2367), 1,
      sym__class_member_semi,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7687), 1,
      anon_sym_SEMI,
    ACTIONS(7689), 1,
      anon_sym_else,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7624), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42805] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3078), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3080), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [42865] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6799), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6797), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42925] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7693), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7691), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [42985] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2387), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7624), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43113] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3082), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3084), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43173] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3086), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3088), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43233] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7616), 1,
      anon_sym_EQ,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2391), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7624), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43361] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7148), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7146), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [43421] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3090), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3092), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43481] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3098), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3100), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43541] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7697), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7695), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [43601] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3102), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3104), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43661] = 6,
    ACTIONS(7699), 1,
      anon_sym_DOT,
    STATE(4648), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43727] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2309), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [43787] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    ACTIONS(7703), 1,
      anon_sym_COLON,
    STATE(5042), 1,
      sym_function_body,
    STATE(5043), 1,
      sym_block,
    STATE(5149), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43861] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3118), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3120), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [43921] = 4,
    ACTIONS(7705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6503), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6501), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [43983] = 4,
    ACTIONS(7707), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6509), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6507), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44045] = 6,
    ACTIONS(7709), 1,
      anon_sym_DOT,
    STATE(4817), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2515), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44111] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(277), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(279), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44171] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4339), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4335), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44231] = 4,
    ACTIONS(7713), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6439), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6437), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44293] = 4,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6445), 18,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6443), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44355] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2689), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44415] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6953), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6951), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44475] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3142), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3144), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44535] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44595] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3146), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3148), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44655] = 5,
    ACTIONS(7717), 1,
      anon_sym_COMMA,
    STATE(4658), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 30,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [44719] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7722), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7720), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44779] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6451), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6449), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44839] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6957), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6955), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44899] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7137), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7135), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [44959] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6455), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6453), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45019] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6459), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6457), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45079] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7726), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7724), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45139] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6463), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6461), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45199] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6467), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6465), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45259] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [45319] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3214), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3216), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [45379] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6471), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6469), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45439] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6475), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6473), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45499] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6479), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6477), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45559] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3218), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3220), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [45619] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6483), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6481), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45679] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6487), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6485), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45739] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6491), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6489), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45799] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6495), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6493), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45859] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6499), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6497), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45919] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6811), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6809), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [45979] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7103), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7101), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46039] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3024), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46099] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2315), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46159] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7730), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7728), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46219] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3158), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3160), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46279] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3166), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3168), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46339] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3170), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3172), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46399] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2537), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46459] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3178), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3180), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46519] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3186), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3188), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46579] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3190), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3192), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [46639] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6873), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6871), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46699] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7734), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7732), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46759] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7738), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7736), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46819] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7231), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7229), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46879] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6970), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6968), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46939] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7742), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7740), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [46999] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7037), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7035), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47059] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7041), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7039), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47119] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3194), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3196), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [47179] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6815), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6813), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47239] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2235), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47299] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3198), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3200), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [47359] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3202), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3204), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [47419] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6996), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6994), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47479] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7746), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7744), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47539] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7750), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7748), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47599] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7387), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7385), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47659] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7754), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7752), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47719] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6819), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6817), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47779] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7165), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7163), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47839] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3064), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3066), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [47899] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2303), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [47959] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2594), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [48019] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3162), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3164), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [48079] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      anon_sym_SEMI,
    ACTIONS(7654), 1,
      anon_sym_where,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7756), 1,
      anon_sym_EQ,
    STATE(4975), 1,
      sym_type_constraints,
    STATE(5373), 1,
      sym_property_delegate,
    STATE(5599), 1,
      sym_getter,
    STATE(5613), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [48179] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6949), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6947), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48239] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7027), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7025), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48299] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7760), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7758), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48359] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7764), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7762), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48419] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7033), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7031), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48479] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7768), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7766), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48539] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2329), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2327), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48599] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [48659] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3056), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3058), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [48719] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3134), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3136), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [48779] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7169), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7167), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48839] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3220), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3218), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48899] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6823), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6821), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [48959] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7772), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7770), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49019] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4683), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4681), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49079] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7776), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7774), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49139] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7120), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7118), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49199] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4950), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4948), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49259] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7780), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7778), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49319] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7784), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7782), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49379] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3094), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3096), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [49439] = 4,
    ACTIONS(7790), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7788), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7786), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49501] = 4,
    ACTIONS(7796), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7794), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7792), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49563] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3136), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3134), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [49623] = 38,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2367), 1,
      sym__class_member_semi,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7798), 1,
      anon_sym_SEMI,
    ACTIONS(7800), 1,
      anon_sym_EQ,
    ACTIONS(7804), 1,
      anon_sym_else,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49753] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3106), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3108), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [49813] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7806), 1,
      anon_sym_COLON,
    STATE(8417), 1,
      sym_primary_constructor,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(8830), 1,
      sym_type_constraints,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4339), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10093), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [49911] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3110), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3112), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [49971] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3114), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3116), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50031] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    ACTIONS(7654), 1,
      anon_sym_where,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym_type_constraints,
    STATE(5340), 1,
      sym_property_delegate,
    STATE(5628), 1,
      sym_getter,
    STATE(5638), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [50131] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3130), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3132), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50191] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3138), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3140), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50251] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3150), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3152), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50311] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    ACTIONS(7810), 1,
      anon_sym_COLON,
    STATE(5043), 1,
      sym_block,
    STATE(5044), 1,
      sym_type_constraints,
    STATE(5081), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50385] = 7,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50453] = 7,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50521] = 7,
    ACTIONS(7077), 1,
      anon_sym_EQ,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50589] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3020), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50649] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50709] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3174), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3176), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50769] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3206), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3208), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50829] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3210), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3212), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50889] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [50949] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3032), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3034), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51009] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3036), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3038), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51069] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2383), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51129] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51189] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7654), 1,
      anon_sym_where,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7812), 1,
      anon_sym_SEMI,
    ACTIONS(7814), 1,
      anon_sym_EQ,
    STATE(4989), 1,
      sym_type_constraints,
    STATE(5330), 1,
      sym_property_delegate,
    STATE(5564), 1,
      sym_setter,
    STATE(5654), 1,
      sym_getter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4213), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [51289] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3060), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3062), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51349] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2387), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51409] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3074), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3076), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51469] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2391), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [51529] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2439), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51653] = 19,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7816), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 14,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 17,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [51745] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2446), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51869] = 29,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 5,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 13,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [51981] = 25,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7819), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2452), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 15,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [52085] = 20,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7816), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 11,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 17,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [52179] = 34,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
  [52301] = 33,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2335), 9,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [52421] = 31,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 4,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 11,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [52537] = 24,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7816), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2339), 7,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 16,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [52639] = 21,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7822), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2457), 9,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 17,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [52735] = 23,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7825), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2464), 8,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 16,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [52835] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    STATE(5212), 1,
      sym_function_body,
    STATE(5247), 1,
      sym_type_constraints,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [52911] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym_function_body,
    STATE(5249), 1,
      sym_type_constraints,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [52987] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4571), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4569), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53047] = 5,
    ACTIONS(3078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3080), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2927), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 27,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [53111] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4347), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4343), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53171] = 8,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2605), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [53241] = 4,
    ACTIONS(7834), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7832), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7830), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53303] = 4,
    ACTIONS(7840), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7838), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7836), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53365] = 4,
    ACTIONS(7842), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7838), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7836), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53427] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4265), 1,
      anon_sym_SEMI,
    ACTIONS(7654), 1,
      anon_sym_where,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7844), 1,
      anon_sym_EQ,
    STATE(4942), 1,
      sym_type_constraints,
    STATE(5338), 1,
      sym_property_delegate,
    STATE(5569), 1,
      sym_getter,
    STATE(5570), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [53527] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7848), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7846), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53587] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(285), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(287), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53647] = 5,
    ACTIONS(3166), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3168), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2935), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 27,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [53711] = 5,
    ACTIONS(3094), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3096), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2939), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 27,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [53775] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7852), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7850), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53835] = 4,
    ACTIONS(7858), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7856), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7854), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53897] = 4,
    ACTIONS(7860), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7856), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7854), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [53959] = 5,
    ACTIONS(3174), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3176), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2943), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 27,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54023] = 9,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2605), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [54095] = 5,
    ACTIONS(7862), 1,
      anon_sym_DOT,
    STATE(4804), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2547), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54159] = 5,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4889), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2554), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54223] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3012), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54283] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7867), 1,
      anon_sym_COLON,
    STATE(8407), 1,
      sym_primary_constructor,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(8894), 1,
      sym_type_constraints,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4357), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10353), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [54381] = 10,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7869), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5096), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54455] = 5,
    ACTIONS(7871), 1,
      anon_sym_DOT,
    STATE(4817), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54519] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(289), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(291), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [54579] = 10,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7874), 1,
      anon_sym_COLON,
    STATE(4963), 1,
      sym_type_constraints,
    STATE(5219), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54653] = 10,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7876), 1,
      anon_sym_COLON,
    STATE(4965), 1,
      sym_type_constraints,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54727] = 10,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7878), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(5093), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54801] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(7173), 1,
      anon_sym_constructor,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(8449), 1,
      sym_primary_constructor,
    STATE(8784), 1,
      sym_class_parameters,
    STATE(8815), 1,
      sym_type_constraints,
    STATE(11133), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4347), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10295), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [54899] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2580), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [54961] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [55021] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2471), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55145] = 5,
    ACTIONS(7699), 1,
      anon_sym_DOT,
    STATE(4819), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2527), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [55209] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7884), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7882), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [55269] = 5,
    ACTIONS(7678), 1,
      anon_sym_COMMA,
    STATE(4624), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2959), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2961), 30,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [55333] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7889), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7886), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [55393] = 5,
    ACTIONS(7892), 1,
      anon_sym_DOT,
    STATE(4817), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [55457] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6889), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6887), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [55517] = 5,
    ACTIONS(7709), 1,
      anon_sym_DOT,
    STATE(4817), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2534), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [55581] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55705] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2479), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55829] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2483), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55953] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2487), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56077] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_EQ,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56201] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2385), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7800), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2383), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56329] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2389), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7800), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2387), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56457] = 37,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2393), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(7612), 1,
      sym_identifier,
    ACTIONS(7618), 1,
      anon_sym_LT,
    ACTIONS(7620), 1,
      anon_sym_GT,
    ACTIONS(7622), 1,
      anon_sym_in,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7638), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7640), 1,
      anon_sym_BANGin,
    ACTIONS(7642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7644), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7800), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2391), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7632), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7634), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7636), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7614), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7802), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56585] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4357), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(4353), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [56645] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3016), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [56705] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [56765] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7107), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7105), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [56825] = 8,
    ACTIONS(2612), 1,
      anon_sym_LT,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2615), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(2605), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [56895] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3214), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [56955] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2927), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57015] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2935), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57075] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2939), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57135] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2943), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57195] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57255] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3040), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3042), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57315] = 4,
    ACTIONS(7895), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3044), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3046), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57377] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 19,
      sym__semi,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2321), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57437] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57497] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3154), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3156), 32,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57557] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7856), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7854), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [57616] = 5,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(4881), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2534), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57679] = 23,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4533), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7901), 1,
      anon_sym_EQ,
    ACTIONS(7903), 1,
      anon_sym_where,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5072), 1,
      sym_type_constraints,
    STATE(5415), 1,
      sym_property_delegate,
    STATE(5733), 1,
      sym_getter,
    STATE(5734), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [57778] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2941), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57837] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4339), 1,
      anon_sym_while,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON,
    STATE(8481), 1,
      sym_primary_constructor,
    STATE(8999), 1,
      sym_type_constraints,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10675), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [57934] = 5,
    ACTIONS(7913), 1,
      anon_sym_DOT,
    STATE(4860), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2547), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [57997] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2763), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2765), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58060] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2945), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58119] = 23,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4535), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7903), 1,
      anon_sym_where,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    STATE(5097), 1,
      sym_type_constraints,
    STATE(5418), 1,
      sym_property_delegate,
    STATE(5737), 1,
      sym_getter,
    STATE(5738), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [58218] = 5,
    ACTIONS(7918), 1,
      anon_sym_LT,
    STATE(4931), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 19,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2554), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58281] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    ACTIONS(7920), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      sym_function_body,
    STATE(5239), 1,
      sym_type_constraints,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58354] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4339), 1,
      sym__class_member_semi,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7922), 1,
      anon_sym_COLON,
    STATE(8518), 1,
      sym_primary_constructor,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(9067), 1,
      sym_type_constraints,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10882), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [58451] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7903), 1,
      anon_sym_where,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7924), 1,
      anon_sym_SEMI,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    STATE(5176), 1,
      sym_type_constraints,
    STATE(5385), 1,
      sym_property_delegate,
    STATE(5727), 1,
      sym_getter,
    STATE(5741), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [58550] = 23,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4537), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7928), 1,
      anon_sym_EQ,
    ACTIONS(7930), 1,
      anon_sym_where,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5057), 1,
      sym_type_constraints,
    STATE(5435), 1,
      sym_property_delegate,
    STATE(5751), 1,
      sym_getter,
    STATE(5762), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [58649] = 4,
    ACTIONS(2682), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58710] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    ACTIONS(7938), 1,
      anon_sym_COLON,
    STATE(5212), 1,
      sym_function_body,
    STATE(5247), 1,
      sym_type_constraints,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58783] = 5,
    ACTIONS(7940), 1,
      anon_sym_DOT,
    STATE(4881), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [58846] = 9,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2605), 14,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [58917] = 4,
    ACTIONS(6393), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 18,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2403), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [58978] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4213), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7930), 1,
      anon_sym_where,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7943), 1,
      anon_sym_SEMI,
    ACTIONS(7945), 1,
      anon_sym_EQ,
    STATE(5046), 1,
      sym_type_constraints,
    STATE(5449), 1,
      sym_property_delegate,
    STATE(5735), 1,
      sym_getter,
    STATE(5736), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [59077] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4357), 1,
      anon_sym_while,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7947), 1,
      anon_sym_COLON,
    STATE(8483), 1,
      sym_primary_constructor,
    STATE(8954), 1,
      sym_type_constraints,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10502), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [59174] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2652), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59233] = 6,
    ACTIONS(7949), 1,
      anon_sym_DOT,
    STATE(4871), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2560), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59298] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7955), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7953), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [59357] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7832), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7830), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [59416] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2973), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2975), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59479] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2627), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59538] = 6,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(4881), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2515), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59603] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2985), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2987), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59666] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4347), 1,
      sym__class_member_semi,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_COLON,
    STATE(8474), 1,
      sym_primary_constructor,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(9070), 1,
      sym_type_constraints,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10891), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [59763] = 10,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7959), 1,
      anon_sym_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5681), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(2605), 14,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2607), 27,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [59836] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7930), 1,
      anon_sym_where,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7961), 1,
      anon_sym_SEMI,
    ACTIONS(7963), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym_type_constraints,
    STATE(5480), 1,
      sym_property_delegate,
    STATE(5767), 1,
      sym_getter,
    STATE(5768), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [59935] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2580), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [59996] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2695), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60057] = 5,
    ACTIONS(7965), 1,
      anon_sym_QMARK,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2644), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60120] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2664), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60179] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7971), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7969), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [60238] = 5,
    ACTIONS(7973), 1,
      anon_sym_DOT,
    STATE(4881), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60301] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7856), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7854), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [60360] = 5,
    ACTIONS(7949), 1,
      anon_sym_DOT,
    STATE(4845), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2527), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60423] = 8,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2605), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [60492] = 23,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4213), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7903), 1,
      anon_sym_where,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7976), 1,
      anon_sym_SEMI,
    ACTIONS(7978), 1,
      anon_sym_EQ,
    STATE(5083), 1,
      sym_type_constraints,
    STATE(5429), 1,
      sym_property_delegate,
    STATE(5763), 1,
      sym_getter,
    STATE(5772), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [60591] = 4,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60652] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2929), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60711] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7982), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7980), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [60770] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2632), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60829] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2636), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60888] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2673), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [60951] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7982), 18,
      sym__not_is,
      sym__in,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANGin,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(7980), 32,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_is,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [61010] = 23,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4471), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7903), 1,
      anon_sym_where,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7984), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym_type_constraints,
    STATE(5409), 1,
      sym_property_delegate,
    STATE(5790), 1,
      sym_getter,
    STATE(5791), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [61109] = 5,
    ACTIONS(7986), 1,
      anon_sym_LT,
    STATE(5131), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2552), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [61172] = 4,
    ACTIONS(2761), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61233] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4357), 1,
      sym__class_member_semi,
    ACTIONS(7516), 1,
      anon_sym_constructor,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7988), 1,
      anon_sym_COLON,
    STATE(8465), 1,
      sym_primary_constructor,
    STATE(9050), 1,
      sym_class_parameters,
    STATE(9061), 1,
      sym_type_constraints,
    STATE(10516), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(10764), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [61330] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2955), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2957), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61389] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61450] = 23,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4560), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7930), 1,
      anon_sym_where,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    STATE(5168), 1,
      sym_type_constraints,
    STATE(5500), 1,
      sym_property_delegate,
    STATE(5792), 1,
      sym_getter,
    STATE(5793), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [61549] = 22,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(4347), 1,
      anon_sym_while,
    ACTIONS(7420), 1,
      anon_sym_constructor,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_COLON,
    STATE(8469), 1,
      sym_primary_constructor,
    STATE(9033), 1,
      sym_class_parameters,
    STATE(9099), 1,
      sym_type_constraints,
    STATE(11008), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    STATE(11265), 2,
      sym_class_body,
      sym_enum_class_body,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5195), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [61646] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2687), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61709] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61768] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2621), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61827] = 5,
    ACTIONS(7965), 1,
      anon_sym_QMARK,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61890] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [61949] = 4,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62010] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2969), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2971), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62069] = 5,
    ACTIONS(7965), 1,
      anon_sym_QMARK,
    ACTIONS(7967), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2679), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62132] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2656), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62191] = 5,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62254] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2937), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62313] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2668), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62374] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2704), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62433] = 23,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4562), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7930), 1,
      anon_sym_where,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7994), 1,
      anon_sym_EQ,
    STATE(5112), 1,
      sym_type_constraints,
    STATE(5474), 1,
      sym_property_delegate,
    STATE(5777), 1,
      sym_getter,
    STATE(5794), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [62532] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(7432), 1,
      sym_identifier,
    ACTIONS(7436), 1,
      anon_sym_LT,
    ACTIONS(7438), 1,
      anon_sym_GT,
    ACTIONS(7440), 1,
      anon_sym_in,
    ACTIONS(7444), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7454), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7456), 1,
      anon_sym_BANGin,
    ACTIONS(7458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7460), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7558), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4571), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7442), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7448), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7450), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7452), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7434), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7560), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62657] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2660), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62716] = 8,
    ACTIONS(2612), 1,
      anon_sym_LT,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2615), 2,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
    ACTIONS(2605), 15,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [62785] = 7,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(5043), 1,
      sym_block,
    STATE(5177), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62852] = 7,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(5043), 1,
      sym_block,
    STATE(5069), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62919] = 7,
    ACTIONS(7399), 1,
      anon_sym_EQ,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(5043), 1,
      sym_block,
    STATE(5077), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [62986] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2700), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2702), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63047] = 5,
    ACTIONS(7996), 1,
      anon_sym_DOT,
    STATE(4983), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2521), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [63109] = 4,
    ACTIONS(2590), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63169] = 4,
    ACTIONS(8000), 1,
      anon_sym_AT2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3002), 19,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3004), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63229] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2969), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2971), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63287] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2567), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63345] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2632), 47,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [63403] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2923), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2925), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63461] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8006), 1,
      anon_sym_LT,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 8,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 13,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [63563] = 4,
    ACTIONS(2761), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63623] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2632), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63681] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2941), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63739] = 5,
    ACTIONS(8017), 1,
      anon_sym_QMARK,
    ACTIONS(8019), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2644), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63801] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2931), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2933), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [63859] = 22,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8021), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 10,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 14,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [63955] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5327), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64029] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2473), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2471), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64153] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64219] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 18,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2403), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [64277] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8046), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 9,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 13,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [64377] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2636), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64435] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4349), 1,
      anon_sym_SEMI,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(8049), 1,
      anon_sym_EQ,
    STATE(5335), 1,
      sym_property_delegate,
    STATE(5597), 1,
      sym_getter,
    STATE(5598), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [64529] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64595] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7333), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64661] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2947), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2949), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64719] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2408), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64777] = 4,
    ACTIONS(2682), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 19,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64837] = 4,
    ACTIONS(2668), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2621), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [64897] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2621), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [64955] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2937), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65013] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2695), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65073] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2489), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2487), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65197] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2652), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65255] = 5,
    ACTIONS(8051), 1,
      anon_sym_COMMA,
    STATE(5018), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2959), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2961), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65317] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8006), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 13,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 16,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [65407] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2441), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2439), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65531] = 6,
    ACTIONS(8053), 1,
      anon_sym_DOT,
    STATE(4982), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2558), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [65595] = 5,
    ACTIONS(8057), 1,
      anon_sym_COMMA,
    STATE(4958), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65657] = 26,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8060), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 8,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 12,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [65761] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2700), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2702), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65821] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8063), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(2588), 45,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [65881] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4762), 1,
      sym_function_body,
    STATE(5328), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [65955] = 7,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(5191), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66021] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2448), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2446), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66145] = 7,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(5227), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66211] = 7,
    ACTIONS(7576), 1,
      anon_sym_EQ,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(5254), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66277] = 5,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(8068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2588), 45,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [66339] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2951), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2953), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66397] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66455] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8006), 1,
      anon_sym_LT,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 14,
      sym__not_is,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [66549] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2578), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [66609] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2656), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66667] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4569), 1,
      anon_sym_while,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(7199), 1,
      sym_identifier,
    ACTIONS(7203), 1,
      anon_sym_LT,
    ACTIONS(7205), 1,
      anon_sym_GT,
    ACTIONS(7207), 1,
      anon_sym_in,
    ACTIONS(7211), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7213), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7221), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(7223), 1,
      anon_sym_BANGin,
    ACTIONS(7225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7227), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7391), 1,
      anon_sym_EQ,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(7209), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7215), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(7217), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(7219), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(7201), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7393), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66791] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2673), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [66853] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4265), 1,
      anon_sym_SEMI,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7844), 1,
      anon_sym_EQ,
    STATE(5338), 1,
      sym_property_delegate,
    STATE(5569), 1,
      sym_getter,
    STATE(5570), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [66947] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [67069] = 5,
    ACTIONS(8017), 1,
      anon_sym_QMARK,
    ACTIONS(8019), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67131] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(8070), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2679), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67193] = 4,
    ACTIONS(8072), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2580), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67253] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2636), 47,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [67311] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2493), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2491), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67435] = 6,
    ACTIONS(7996), 1,
      anon_sym_DOT,
    STATE(4983), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2513), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [67499] = 5,
    ACTIONS(8075), 1,
      anon_sym_DOT,
    STATE(4983), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2565), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [67561] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2945), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67619] = 5,
    ACTIONS(8017), 1,
      anon_sym_QMARK,
    ACTIONS(8019), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2679), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67681] = 9,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2609), 2,
      anon_sym_DOT,
      anon_sym_GT,
    ACTIONS(2605), 14,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [67751] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      anon_sym_SEMI,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7756), 1,
      anon_sym_EQ,
    STATE(5373), 1,
      sym_property_delegate,
    STATE(5599), 1,
      sym_getter,
    STATE(5613), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [67845] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2973), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2975), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [67907] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7650), 1,
      anon_sym_SEMI,
    ACTIONS(7652), 1,
      anon_sym_EQ,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5329), 1,
      sym_property_delegate,
    STATE(5615), 1,
      sym_setter,
    STATE(5623), 1,
      sym_getter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [68001] = 5,
    ACTIONS(8078), 1,
      anon_sym_DOT,
    STATE(5014), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2545), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [68063] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2588), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68121] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(8070), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2644), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68183] = 4,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68243] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2687), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68305] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68367] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2985), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2987), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68429] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2660), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68487] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2666), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2621), 4,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(2668), 43,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_DASH_GT,
  [68547] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2567), 47,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [68605] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68663] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2664), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68721] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2673), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [68783] = 30,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 10,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [68895] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    ACTIONS(7656), 1,
      anon_sym_by,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7808), 1,
      anon_sym_EQ,
    STATE(5340), 1,
      sym_property_delegate,
    STATE(5628), 1,
      sym_getter,
    STATE(5638), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [68989] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2627), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69047] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69107] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2477), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2475), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69231] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2580), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
  [69291] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2955), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2957), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69349] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2763), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2765), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69411] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69473] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2668), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69533] = 5,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2687), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69595] = 5,
    ACTIONS(8081), 1,
      anon_sym_DOT,
    STATE(4983), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2558), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [69657] = 4,
    ACTIONS(6988), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 30,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69717] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 6,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [69837] = 5,
    ACTIONS(6986), 1,
      anon_sym_SEMI,
    ACTIONS(6988), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69899] = 5,
    ACTIONS(8051), 1,
      anon_sym_COMMA,
    STATE(4958), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2965), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2967), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [69961] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2485), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2483), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70085] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      sym_identifier,
    ACTIONS(2929), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70143] = 32,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_where,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 8,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [70259] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70317] = 5,
    ACTIONS(8053), 1,
      anon_sym_DOT,
    STATE(4922), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2524), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [70379] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2704), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70437] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2481), 3,
      anon_sym_where,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2479), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70561] = 5,
    ACTIONS(7504), 1,
      anon_sym_QMARK,
    ACTIONS(8070), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2640), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70623] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3110), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3112), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70680] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2973), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2975), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70741] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2985), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2987), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70802] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2700), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2702), 44,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_DASH_GT,
  [70861] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3024), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70918] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [70975] = 4,
    ACTIONS(8084), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71034] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8095), 1,
      anon_sym_RPAREN,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [71125] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [71216] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3040), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3042), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71273] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [71364] = 4,
    ACTIONS(8121), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3044), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3046), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71423] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [71514] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8125), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [71605] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    ACTIONS(8127), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(5381), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71676] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71733] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3214), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3216), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71790] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5069), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71855] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3052), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3054), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [71912] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7961), 1,
      anon_sym_SEMI,
    ACTIONS(7963), 1,
      anon_sym_EQ,
    STATE(5480), 1,
      sym_property_delegate,
    STATE(5767), 1,
      sym_getter,
    STATE(5768), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [72005] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72062] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5077), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72127] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72184] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2654), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [72241] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3012), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72298] = 21,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4533), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7901), 1,
      anon_sym_EQ,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5415), 1,
      sym_property_delegate,
    STATE(5733), 1,
      sym_getter,
    STATE(5734), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [72391] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8129), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(9666), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [72482] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2475), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72605] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [72696] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3016), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72753] = 21,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4555), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(8165), 1,
      anon_sym_EQ,
    STATE(5478), 1,
      sym_property_delegate,
    STATE(5745), 1,
      sym_getter,
    STATE(5746), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [72846] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3060), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3062), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72903] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3146), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3148), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [72960] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2387), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [73017] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2658), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [73074] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8167), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [73165] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2479), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73288] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2618), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [73345] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3218), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3220), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [73402] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2704), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [73459] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [73516] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2627), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [73573] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [73630] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2483), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73753] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2487), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73876] = 21,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4535), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7916), 1,
      anon_sym_EQ,
    STATE(5418), 1,
      sym_property_delegate,
    STATE(5737), 1,
      sym_getter,
    STATE(5738), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [73969] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3070), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3072), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74026] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2491), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74149] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3170), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3172), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74206] = 5,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2763), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2765), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74267] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3074), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3076), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74324] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3082), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3084), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74381] = 4,
    ACTIONS(5831), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [74440] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3138), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3140), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74497] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74554] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3150), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3152), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74611] = 21,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7924), 1,
      anon_sym_SEMI,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    STATE(5385), 1,
      sym_property_delegate,
    STATE(5727), 1,
      sym_getter,
    STATE(5741), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [74704] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74761] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3090), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3092), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74818] = 12,
    ACTIONS(6535), 1,
      anon_sym_AT,
    ACTIONS(6561), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6567), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6571), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(6565), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6569), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6563), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6557), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6559), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    ACTIONS(8169), 10,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      sym_identifier,
    STATE(5107), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [74893] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2391), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [74950] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3106), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3108), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75007] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2537), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75064] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3056), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3058), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75121] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3098), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3100), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75178] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8171), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [75269] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75334] = 4,
    ACTIONS(5838), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [75393] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2747), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2749), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75450] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75515] = 21,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4564), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(8173), 1,
      anon_sym_EQ,
    STATE(5422), 1,
      sym_property_delegate,
    STATE(5739), 1,
      sym_getter,
    STATE(5740), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [75608] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75673] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3130), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3132), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75730] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3206), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3208), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75787] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75844] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8175), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(9605), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [75935] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [75992] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3178), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3180), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76049] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    STATE(5404), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76122] = 5,
    ACTIONS(3094), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3096), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2939), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76183] = 12,
    ACTIONS(8181), 1,
      anon_sym_AT,
    ACTIONS(8190), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8199), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8205), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8196), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8202), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8193), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8184), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8187), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    ACTIONS(8179), 10,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      sym_identifier,
    STATE(5107), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [76258] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5049), 1,
      sym_function_body,
    STATE(5407), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76331] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3118), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3120), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76388] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2693), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 44,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_DASH_GT,
  [76447] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2471), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76570] = 21,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4537), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7928), 1,
      anon_sym_EQ,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5435), 1,
      sym_property_delegate,
    STATE(5751), 1,
      sym_getter,
    STATE(5762), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [76663] = 4,
    ACTIONS(8208), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2753), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2755), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76722] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2664), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [76779] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3134), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3136), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76836] = 21,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4560), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7990), 1,
      anon_sym_EQ,
    STATE(5500), 1,
      sym_property_delegate,
    STATE(5792), 1,
      sym_getter,
    STATE(5793), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [76929] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2605), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [76986] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3210), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3212), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77043] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3174), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3176), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77100] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2588), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [77157] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8211), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(9417), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [77248] = 5,
    ACTIONS(3174), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3176), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2943), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77309] = 4,
    ACTIONS(7144), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77368] = 5,
    ACTIONS(7142), 1,
      anon_sym_SEMI,
    ACTIONS(7144), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77429] = 5,
    ACTIONS(3078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3080), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2927), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77490] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2931), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2933), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77547] = 5,
    ACTIONS(2618), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2666), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [77608] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3186), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3188), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77665] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3190), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3192), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77722] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2923), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2925), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77779] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2630), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [77836] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3020), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77893] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3102), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3104), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [77950] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2634), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [78007] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2947), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2949), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78064] = 4,
    ACTIONS(8213), 1,
      anon_sym_AT2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3002), 19,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3004), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78123] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2951), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2953), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78180] = 7,
    ACTIONS(8215), 1,
      anon_sym_LPAREN,
    ACTIONS(8218), 1,
      anon_sym_QMARK,
    ACTIONS(8220), 1,
      anon_sym_AMP,
    STATE(5442), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 14,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6422), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [78245] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    ACTIONS(8222), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5327), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78316] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3154), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3156), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78373] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3078), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3080), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78430] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3086), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3088), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78487] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2439), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [78610] = 19,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8224), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 16,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [78699] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78756] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3064), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3066), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78813] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2446), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [78936] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3032), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3034), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [78993] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7430), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5177), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79058] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3036), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3038), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79115] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2689), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79172] = 30,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 10,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [79283] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2565), 31,
      anon_sym_DOT,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [79340] = 26,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8227), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 7,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 12,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [79443] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3166), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3168), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79500] = 4,
    ACTIONS(8230), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2757), 19,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2759), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79559] = 21,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8224), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 14,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [79652] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3094), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3096), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79709] = 5,
    ACTIONS(8233), 1,
      anon_sym_COMMA,
    STATE(5161), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2959), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2961), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79770] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3142), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3144), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79827] = 5,
    ACTIONS(8233), 1,
      anon_sym_COMMA,
    STATE(5165), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2965), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2967), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79888] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2594), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [79945] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
  [80066] = 34,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 6,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [80185] = 5,
    ACTIONS(8235), 1,
      anon_sym_COMMA,
    STATE(5165), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [80246] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2383), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [80303] = 32,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 8,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [80418] = 21,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4562), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7932), 1,
      anon_sym_by,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7994), 1,
      anon_sym_EQ,
    STATE(5474), 1,
      sym_property_delegate,
    STATE(5777), 1,
      sym_getter,
    STATE(5794), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [80511] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3114), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3116), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [80568] = 25,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8224), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 7,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 13,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [80669] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3194), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3196), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [80726] = 22,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8238), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 9,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 14,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [80821] = 5,
    ACTIONS(3166), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3168), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2935), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [80882] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2652), 46,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [80939] = 24,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8241), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 8,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 13,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [81038] = 21,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4471), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7905), 1,
      anon_sym_by,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7984), 1,
      anon_sym_EQ,
    STATE(5409), 1,
      sym_property_delegate,
    STATE(5790), 1,
      sym_getter,
    STATE(5791), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [81131] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81188] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5548), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81261] = 11,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_AMP,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4762), 1,
      sym_function_body,
    STATE(5512), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81334] = 20,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_modifiers,
    STATE(9575), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [81425] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3198), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3200), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81482] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3202), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3204), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81539] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3158), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3160), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81596] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3162), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3164), 30,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81653] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3174), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3176), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81709] = 5,
    ACTIONS(3174), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3176), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2943), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81769] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2471), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [81891] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3162), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3164), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [81947] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2935), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82003] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3118), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3120), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82059] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82115] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3052), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3054), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82171] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3056), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3058), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82227] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3070), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3072), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82283] = 13,
    ACTIONS(4111), 1,
      anon_sym_AT,
    ACTIONS(4131), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6609), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(6613), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8169), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6607), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(6611), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(6605), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(6601), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(6603), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    ACTIONS(8280), 7,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
    STATE(5248), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [82359] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3094), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3096), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82415] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2927), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82471] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2605), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2607), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82527] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3106), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3108), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82583] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3110), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3112), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82639] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3114), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3116), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82695] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3078), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3080), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82751] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2939), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82807] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2689), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2691), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82863] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3130), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3132), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [82919] = 5,
    ACTIONS(8218), 1,
      anon_sym_QMARK,
    ACTIONS(8220), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2638), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [82979] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3138), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3140), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83035] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3150), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3152), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83091] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3154), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3156), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83147] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3142), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3144), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83203] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3146), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3148), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83259] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83315] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2475), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [83437] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3218), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3220), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [83493] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2479), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [83615] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2483), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [83737] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2487), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [83859] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2491), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [83981] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84037] = 4,
    ACTIONS(8282), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3044), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3046), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84095] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3158), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3160), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84151] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3206), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3208), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84207] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3166), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3168), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84263] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3210), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3212), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84319] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3082), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3084), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84375] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2662), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [84431] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84487] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3032), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3034), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84543] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3036), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3038), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84599] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3170), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3172), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84655] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3134), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3136), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84711] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2537), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2539), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84767] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2385), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2383), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84823] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [84879] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2650), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [84935] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2700), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [84993] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    ACTIONS(8284), 1,
      anon_sym_COLON,
    STATE(5042), 1,
      sym_function_body,
    STATE(5043), 1,
      sym_block,
    STATE(5399), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85063] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    ACTIONS(8286), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(5523), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85133] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85197] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3086), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3088), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85253] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3178), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3180), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85309] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3060), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3062), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85365] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2389), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2387), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85421] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    ACTIONS(8288), 1,
      anon_sym_COLON,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    STATE(5404), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85491] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3186), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3188), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85547] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5522), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85619] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    STATE(5227), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85683] = 13,
    ACTIONS(8292), 1,
      anon_sym_AT,
    ACTIONS(8303), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8179), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8312), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8318), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8309), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8315), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8306), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8297), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8300), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    ACTIONS(8295), 7,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
    STATE(5248), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [85759] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7828), 1,
      anon_sym_EQ,
    STATE(5254), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85823] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5551), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [85895] = 5,
    ACTIONS(8321), 1,
      anon_sym_QMARK,
    ACTIONS(8323), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2676), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [85955] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3190), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3192), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86011] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3194), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3196), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86067] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3074), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3076), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86123] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2393), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2391), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86179] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3090), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3092), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86235] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    STATE(5646), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86307] = 11,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    ACTIONS(7407), 1,
      anon_sym_AMP,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5049), 1,
      sym_function_body,
    STATE(5649), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86379] = 5,
    ACTIONS(8327), 1,
      anon_sym_LT,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2554), 43,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [86439] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2477), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2475), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [86561] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2481), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2479), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [86683] = 11,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5614), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [86755] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2439), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [86877] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8363), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 15,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [86965] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3198), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3200), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [87021] = 30,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_GT,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [87131] = 26,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8366), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 7,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 11,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [87233] = 5,
    ACTIONS(8369), 1,
      anon_sym_COMMA,
    STATE(5269), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2959), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2961), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [87293] = 5,
    ACTIONS(8369), 1,
      anon_sym_COMMA,
    STATE(5270), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2965), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2967), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [87353] = 5,
    ACTIONS(8371), 1,
      anon_sym_COMMA,
    STATE(5270), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [87413] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8363), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 13,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [87505] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
  [87625] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [87743] = 32,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [87857] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8363), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 7,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [87957] = 22,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8374), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 9,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 13,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [88051] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8377), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 8,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 12,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [88149] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2473), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2471), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [88271] = 11,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(7413), 1,
      anon_sym_AMP,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4762), 1,
      sym_function_body,
    STATE(5617), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88343] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2485), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2483), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [88465] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2489), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2487), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [88587] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2493), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2491), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [88709] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3202), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3204), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88765] = 4,
    ACTIONS(7349), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88823] = 5,
    ACTIONS(7347), 1,
      anon_sym_SEMI,
    ACTIONS(7349), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88883] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3098), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3100), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88939] = 5,
    ACTIONS(3078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3080), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2927), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2929), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [88999] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2446), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [89121] = 5,
    ACTIONS(8218), 1,
      anon_sym_QMARK,
    ACTIONS(8220), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2685), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [89181] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2943), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2945), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [89237] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3102), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3104), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [89293] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3012), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [89349] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2441), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2439), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [89471] = 19,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8380), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 12,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 15,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [89559] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2448), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2446), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [89681] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3016), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [89737] = 30,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 5,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 9,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [89847] = 26,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8383), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 7,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 11,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [89949] = 21,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8380), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 13,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [90041] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 4,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
  [90161] = 34,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2339), 2,
      anon_sym_where,
      anon_sym_else,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [90279] = 5,
    ACTIONS(8321), 1,
      anon_sym_QMARK,
    ACTIONS(8323), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2638), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [90339] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3020), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [90395] = 32,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_where,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 7,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [90509] = 25,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8380), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 7,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [90609] = 22,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8386), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 9,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 13,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [90703] = 24,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8389), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 8,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 12,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [90801] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3064), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3066), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [90857] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2697), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [90913] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3024), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [90969] = 4,
    ACTIONS(7357), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91027] = 5,
    ACTIONS(7351), 1,
      anon_sym_SEMI,
    ACTIONS(7357), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91087] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2993), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2995), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91143] = 5,
    ACTIONS(8218), 1,
      anon_sym_QMARK,
    ACTIONS(8220), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2670), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [91203] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2624), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [91259] = 5,
    ACTIONS(3166), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3168), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2935), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2937), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91319] = 5,
    ACTIONS(8321), 1,
      anon_sym_QMARK,
    ACTIONS(8323), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2642), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [91379] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3040), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3042), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91435] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3214), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(3216), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91491] = 10,
    ACTIONS(7079), 1,
      anon_sym_where,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    ACTIONS(8392), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5548), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91561] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 17,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2586), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [91617] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2594), 18,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2596), 29,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91673] = 5,
    ACTIONS(3094), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3096), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2939), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2941), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [91733] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(2693), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [91791] = 19,
    ACTIONS(8087), 1,
      sym_identifier,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8099), 1,
      anon_sym_sealed,
    ACTIONS(8103), 1,
      anon_sym_operator,
    ACTIONS(8105), 1,
      anon_sym_const,
    STATE(8083), 1,
      sym_modifiers,
    STATE(10272), 1,
      sym_class_parameter,
    STATE(10811), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8091), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8115), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8093), 3,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8097), 5,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 5,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5546), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [91879] = 26,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8398), 1,
      anon_sym_LT,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 11,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [91980] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 16,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92043] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 16,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92106] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4341), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5628), 1,
      sym_getter,
    STATE(5638), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [92191] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7650), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5615), 1,
      sym_setter,
    STATE(5623), 1,
      sym_getter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [92276] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5754), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92347] = 10,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    ACTIONS(8413), 1,
      anon_sym_COLON,
    STATE(4669), 1,
      sym_block,
    STATE(4754), 1,
      sym_function_body,
    STATE(5614), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92416] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    ACTIONS(8415), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5510), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92485] = 5,
    ACTIONS(7599), 1,
      anon_sym_SEMI,
    ACTIONS(7601), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 28,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92544] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4351), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5629), 1,
      sym_getter,
    STATE(5630), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [92629] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    ACTIONS(8417), 1,
      anon_sym_COLON,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5522), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92698] = 11,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(7582), 1,
      anon_sym_QMARK,
    ACTIONS(7584), 1,
      anon_sym_AMP,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5779), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2509), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2511), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [92769] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4349), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5597), 1,
      sym_getter,
    STATE(5598), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [92854] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2477), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2475), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [92975] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4319), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5599), 1,
      sym_getter,
    STATE(5613), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [93060] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2448), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2446), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93181] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2481), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2479), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93302] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2485), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2483), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93423] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2489), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2487), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93544] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2441), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2439), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93665] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2493), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2491), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93786] = 19,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8469), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 15,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [93873] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2448), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2446), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [93994] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2441), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2439), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [94115] = 19,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8472), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 15,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [94202] = 30,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [94311] = 30,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 9,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [94420] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2473), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2471), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [94541] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    ACTIONS(8475), 1,
      anon_sym_COLON,
    STATE(5043), 1,
      sym_block,
    STATE(5081), 1,
      sym_function_body,
    STATE(5646), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [94610] = 26,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8477), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 11,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [94711] = 21,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8472), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 10,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 13,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [94802] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
  [94921] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [95038] = 4,
    ACTIONS(7554), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [95095] = 5,
    ACTIONS(7548), 1,
      anon_sym_SEMI,
    ACTIONS(7554), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 28,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [95154] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2477), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2475), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [95275] = 10,
    ACTIONS(7401), 1,
      anon_sym_where,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    ACTIONS(8480), 1,
      anon_sym_COLON,
    STATE(5042), 1,
      sym_function_body,
    STATE(5043), 1,
      sym_block,
    STATE(5637), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [95344] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2481), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2479), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [95465] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2485), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2483), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [95586] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2489), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2487), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [95707] = 36,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2493), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2491), 3,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [95828] = 35,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 4,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
  [95947] = 32,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [96060] = 25,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8469), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [96159] = 22,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8482), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 8,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 13,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [96252] = 24,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8485), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 7,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 12,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [96349] = 34,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8455), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8457), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 5,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [96466] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4265), 1,
      anon_sym_SEMI,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5569), 1,
      sym_getter,
    STATE(5570), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [96551] = 10,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(7411), 1,
      anon_sym_where,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    ACTIONS(8488), 1,
      anon_sym_COLON,
    STATE(4668), 1,
      sym_function_body,
    STATE(4669), 1,
      sym_block,
    STATE(5610), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [96620] = 36,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2473), 1,
      anon_sym_else,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2471), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [96741] = 32,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8441), 1,
      anon_sym_LT,
    ACTIONS(8443), 1,
      anon_sym_GT,
    ACTIONS(8445), 1,
      anon_sym_in,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8461), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8463), 1,
      anon_sym_BANGin,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 7,
      sym__semi,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [96854] = 25,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8437), 1,
      sym_identifier,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8472), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 12,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [96953] = 22,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8490), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 8,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 13,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [97046] = 24,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6998), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(8449), 1,
      anon_sym_SLASH,
    ACTIONS(8465), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8467), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8493), 1,
      anon_sym_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8439), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 7,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 12,
      sym__semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [97143] = 4,
    ACTIONS(7601), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 29,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [97200] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 16,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [97263] = 21,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_LT,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 10,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 13,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [97354] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8496), 1,
      anon_sym_COMMA,
    ACTIONS(8498), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9709), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [97476] = 35,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2335), 3,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [97594] = 18,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4471), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5790), 1,
      sym_getter,
    STATE(5791), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [97678] = 34,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2339), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 4,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [97794] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8532), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9703), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [97916] = 32,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(2339), 3,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2335), 6,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
  [98028] = 13,
    ACTIONS(8534), 1,
      anon_sym_AT,
    ACTIONS(8540), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8169), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8546), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8550), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8544), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8548), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8542), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8280), 5,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
    ACTIONS(8536), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8538), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5443), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [98102] = 25,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8552), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2335), 11,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [98200] = 22,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8555), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2457), 8,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2459), 12,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [98292] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2481), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2479), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [98412] = 24,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8560), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2464), 7,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2466), 11,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
  [98508] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2485), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2483), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [98628] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8563), 1,
      anon_sym_RBRACK,
    ACTIONS(8565), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9387), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [98750] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9224), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [98872] = 4,
    ACTIONS(7804), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 28,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [98928] = 5,
    ACTIONS(7798), 1,
      anon_sym_SEMI,
    ACTIONS(7804), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 27,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [98986] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5177), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [99048] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8571), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9773), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99170] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8575), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9368), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99292] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2489), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2487), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99412] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8579), 1,
      anon_sym_RBRACK,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9443), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99534] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5069), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [99596] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    ACTIONS(8583), 1,
      anon_sym_COLON,
    STATE(5212), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5754), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2495), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2497), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [99664] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8585), 1,
      anon_sym_COMMA,
    ACTIONS(8587), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9812), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99786] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5077), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [99848] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2493), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2491), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [99968] = 18,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4533), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5733), 1,
      sym_getter,
    STATE(5734), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [100052] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8589), 1,
      anon_sym_COMMA,
    ACTIONS(8591), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9369), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100174] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8595), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9469), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100296] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8597), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9612), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100418] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9519), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100540] = 8,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(8605), 1,
      anon_sym_COLON,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_constructor,
      sym_identifier,
    ACTIONS(2554), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5681), 5,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(5679), 31,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [100604] = 18,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4535), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5737), 1,
      sym_getter,
    STATE(5738), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [100688] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9557), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100810] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9168), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [100932] = 18,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4564), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5739), 1,
      sym_getter,
    STATE(5740), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [101016] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8613), 1,
      anon_sym_RBRACK,
    ACTIONS(8615), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9484), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101138] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8617), 1,
      anon_sym_COMMA,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9475), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101260] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5569), 1,
      sym_getter,
    STATE(5570), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [101342] = 18,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4539), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5743), 1,
      sym_getter,
    STATE(5744), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [101426] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8621), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9326), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101548] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8625), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9342), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101670] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9520), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101792] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6529), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [101846] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9544), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [101968] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8637), 1,
      anon_sym_RBRACK,
    ACTIONS(8639), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9297), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102090] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    ACTIONS(7924), 1,
      anon_sym_SEMI,
    STATE(5727), 1,
      sym_getter,
    STATE(5741), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [102174] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8641), 1,
      anon_sym_RBRACK,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9512), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102296] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8645), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9529), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102418] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8647), 1,
      anon_sym_COMMA,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9411), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102540] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8651), 1,
      anon_sym_RBRACK,
    ACTIONS(8653), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9559), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102662] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8655), 1,
      anon_sym_COMMA,
    ACTIONS(8657), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9543), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [102784] = 18,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4555), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5745), 1,
      sym_getter,
    STATE(5746), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [102868] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5628), 1,
      sym_getter,
    STATE(5638), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [102950] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3010), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [103004] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8659), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9681), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [103126] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8661), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9594), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [103248] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6513), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [103302] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2477), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2475), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [103422] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6517), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [103476] = 13,
    ACTIONS(8663), 1,
      anon_sym_AT,
    ACTIONS(8672), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8179), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8681), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8687), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8678), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8684), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8675), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8295), 5,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
    ACTIONS(8666), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8669), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5443), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [103550] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8690), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9547), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [103672] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8694), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9608), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [103794] = 21,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8552), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 10,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 12,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [103884] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9609), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104006] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8702), 1,
      anon_sym_RBRACK,
    ACTIONS(8704), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9639), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104128] = 18,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    ACTIONS(7961), 1,
      anon_sym_SEMI,
    STATE(5767), 1,
      sym_getter,
    STATE(5768), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [104212] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3014), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [104266] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5597), 1,
      sym_getter,
    STATE(5598), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [104348] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9682), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104470] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2441), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2439), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104590] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8708), 1,
      anon_sym_COMMA,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9697), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104712] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8712), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9702), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [104834] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3018), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [104888] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(8718), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9613), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105010] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8720), 1,
      anon_sym_RBRACK,
    ACTIONS(8722), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9730), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105132] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(3022), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [105186] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8724), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9823), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105308] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5629), 1,
      sym_getter,
    STATE(5630), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [105390] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8726), 1,
      anon_sym_COMMA,
    ACTIONS(8728), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9832), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105512] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8730), 1,
      anon_sym_COMMA,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9836), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105634] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    ACTIONS(8736), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9763), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105756] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5615), 1,
      sym_setter,
    STATE(5623), 1,
      sym_getter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [105838] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9604), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [105960] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8740), 1,
      anon_sym_COMMA,
    ACTIONS(8742), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9381), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106082] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8744), 1,
      anon_sym_COMMA,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9240), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106204] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8748), 1,
      anon_sym_RBRACK,
    ACTIONS(8750), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9533), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106326] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6525), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [106380] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5670), 1,
      sym_getter,
    STATE(5671), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2329), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [106462] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2473), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2471), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106582] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9216), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106704] = 18,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4537), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5751), 1,
      sym_getter,
    STATE(5762), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [106788] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2656), 43,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [106842] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9318), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [106964] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8758), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9416), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [107086] = 18,
    ACTIONS(2305), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4545), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5765), 1,
      sym_getter,
    STATE(5766), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [107170] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8762), 1,
      anon_sym_COMMA,
    ACTIONS(8764), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9531), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [107292] = 18,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4560), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5792), 1,
      sym_getter,
    STATE(5793), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [107376] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8766), 1,
      anon_sym_RBRACK,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9803), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [107498] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2660), 43,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_EQ,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [107552] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8770), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9749), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [107674] = 19,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8552), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 11,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2335), 14,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_DOT_DOT_LT,
  [107760] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8772), 1,
      anon_sym_COMMA,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9228), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [107882] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8776), 1,
      anon_sym_COMMA,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9242), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108004] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8780), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9350), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108126] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8782), 1,
      anon_sym_RBRACK,
    ACTIONS(8784), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9386), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108248] = 36,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(2448), 1,
      anon_sym_else,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8506), 1,
      anon_sym_GT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8514), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8558), 1,
      anon_sym_PIPE_PIPE,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2446), 2,
      sym__class_member_semi,
      anon_sym_SEMI,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8516), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8518), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8520), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108368] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8786), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9539), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108490] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8788), 1,
      anon_sym_COMMA,
    ACTIONS(8790), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9563), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108612] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5707), 1,
      sym_getter,
    STATE(5709), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4683), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [108694] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9574), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [108816] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 15,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG,
      anon_sym_this_AT,
      anon_sym_super_AT,
      anon_sym_return_AT,
      anon_sym_COLON_COLON,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE,
      sym_float_literal,
    ACTIONS(6521), 30,
      anon_sym_fun,
      anon_sym_object,
      anon_sym_val,
      anon_sym_constructor,
      anon_sym_this,
      anon_sym_super,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_if,
      anon_sym_when,
      anon_sym_try,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_DQUOTE,
      sym_number_literal,
      sym_label,
      sym_identifier,
  [108870] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7658), 1,
      anon_sym_get,
    ACTIONS(7660), 1,
      anon_sym_set,
    ACTIONS(7666), 1,
      anon_sym_const,
    STATE(5599), 1,
      sym_getter,
    STATE(5613), 1,
      sym_setter,
    STATE(9961), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [108952] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8796), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9663), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [109074] = 26,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8798), 1,
      anon_sym_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2452), 6,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_else,
    ACTIONS(2450), 10,
      sym__class_member_semi,
      sym__not_is,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_BANGin,
  [109174] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8801), 1,
      anon_sym_RBRACK,
    ACTIONS(8803), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9733), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [109296] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 9,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 36,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [109350] = 18,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4562), 1,
      anon_sym_SEMI,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5777), 1,
      sym_getter,
    STATE(5794), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [109434] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(8805), 1,
      anon_sym_RBRACK,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9367), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [109556] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8807), 1,
      anon_sym_COMMA,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9599), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [109678] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8811), 1,
      anon_sym_COMMA,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9717), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [109800] = 30,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7255), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8500), 1,
      sym_identifier,
    ACTIONS(8504), 1,
      anon_sym_LT,
    ACTIONS(8508), 1,
      anon_sym_in,
    ACTIONS(8512), 1,
      anon_sym_SLASH,
    ACTIONS(8522), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8524), 1,
      anon_sym_BANGin,
    ACTIONS(8526), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8528), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8502), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8510), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
    ACTIONS(2339), 4,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_else,
    ACTIONS(2335), 8,
      sym__class_member_semi,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [109908] = 37,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    ACTIONS(8815), 1,
      anon_sym_RBRACK,
    ACTIONS(8817), 1,
      anon_sym_COMMA,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    STATE(9712), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [110030] = 10,
    ACTIONS(7578), 1,
      anon_sym_where,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    ACTIONS(8819), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    STATE(5780), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2572), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2574), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [110098] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [110153] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [110270] = 17,
    ACTIONS(2329), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5747), 1,
      sym_getter,
    STATE(5748), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [110351] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [110412] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4683), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5749), 1,
      sym_getter,
    STATE(5750), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [110493] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [110554] = 17,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5737), 1,
      sym_getter,
    STATE(5738), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [110635] = 8,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(8823), 1,
      anon_sym_COLON,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_constructor,
      sym_identifier,
    ACTIONS(5681), 3,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2554), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5679), 32,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [110698] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8825), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [110815] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8827), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [110932] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5767), 1,
      sym_getter,
    STATE(5768), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [111013] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8829), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [111130] = 17,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5792), 1,
      sym_getter,
    STATE(5793), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [111211] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5727), 1,
      sym_getter,
    STATE(5741), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [111292] = 17,
    ACTIONS(2329), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5775), 1,
      sym_getter,
    STATE(5776), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [111373] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    STATE(5227), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [111434] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [111495] = 17,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5751), 1,
      sym_getter,
    STATE(5762), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [111576] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8831), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [111693] = 5,
    ACTIONS(8833), 1,
      anon_sym_LT,
    STATE(5760), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [111750] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8835), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [111867] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(3174), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3176), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [111922] = 8,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(8837), 1,
      anon_sym_COLON,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_constructor,
      sym_identifier,
    ACTIONS(2554), 4,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5681), 4,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(5679), 31,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [111985] = 12,
    ACTIONS(8839), 1,
      anon_sym_AT,
    ACTIONS(8848), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8857), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8863), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8854), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8860), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8851), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8179), 6,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
    ACTIONS(8842), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8845), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5530), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [112056] = 17,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(4683), 1,
      sym__class_member_semi,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5781), 1,
      sym_getter,
    STATE(5784), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [112137] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(7466), 1,
      anon_sym_as,
    ACTIONS(7490), 1,
      anon_sym_is,
    ACTIONS(7492), 1,
      anon_sym_as_QMARK,
    ACTIONS(7498), 1,
      sym__not_is,
    ACTIONS(8394), 1,
      sym_identifier,
    ACTIONS(8403), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8407), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8409), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8419), 1,
      anon_sym_LT,
    ACTIONS(8421), 1,
      anon_sym_GT,
    ACTIONS(8423), 1,
      anon_sym_in,
    ACTIONS(8425), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8435), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8401), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8429), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8431), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8433), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8866), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [112254] = 17,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5745), 1,
      sym_getter,
    STATE(5746), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [112335] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [112452] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(3078), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3080), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [112507] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8868), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [112624] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8870), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [112741] = 17,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5733), 1,
      sym_getter,
    STATE(5734), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [112822] = 17,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5739), 1,
      sym_getter,
    STATE(5740), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [112903] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8872), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [113020] = 17,
    ACTIONS(2305), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5765), 1,
      sym_getter,
    STATE(5766), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [113101] = 17,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5790), 1,
      sym_getter,
    STATE(5791), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [113182] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(3094), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3096), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [113237] = 17,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7934), 1,
      anon_sym_get,
    ACTIONS(7936), 1,
      anon_sym_set,
    STATE(5777), 1,
      sym_getter,
    STATE(5794), 1,
      sym_setter,
    STATE(10114), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [113318] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8874), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [113435] = 12,
    ACTIONS(8089), 1,
      anon_sym_AT,
    ACTIONS(8876), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8111), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8878), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8109), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8113), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8107), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8099), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8101), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    ACTIONS(8169), 6,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
    STATE(5530), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [113506] = 17,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(7907), 1,
      anon_sym_get,
    ACTIONS(7909), 1,
      anon_sym_set,
    STATE(5743), 1,
      sym_getter,
    STATE(5744), 1,
      sym_setter,
    STATE(9954), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5868), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [113587] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8244), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [113648] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 11,
      sym__semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 33,
      anon_sym_constructor,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [113701] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(3166), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3168), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [113756] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8290), 1,
      anon_sym_EQ,
    STATE(5254), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [113817] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8880), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [113933] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8882), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114049] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8884), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114165] = 4,
    ACTIONS(2927), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3078), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3080), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [114219] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8886), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114335] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8888), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114451] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8890), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114567] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114683] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114799] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [114915] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8898), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115031] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8900), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115147] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(9880), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [115223] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8920), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115339] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115455] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115571] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8926), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115687] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10044), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [115763] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10044), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [115839] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8946), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [115955] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8948), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116071] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116187] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6625), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8954), 1,
      anon_sym_SEMI,
    ACTIONS(8960), 1,
      anon_sym_const,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [116265] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116381] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6639), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(8974), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [116459] = 4,
    ACTIONS(6984), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 27,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [116513] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6720), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [116591] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8978), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116707] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [116759] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8980), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116875] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8982), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [116991] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117107] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117223] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117339] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8990), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117455] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117571] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117687] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8996), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117803] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [117919] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118035] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9002), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118151] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118267] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9006), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118383] = 5,
    ACTIONS(6982), 1,
      anon_sym_SEMI,
    ACTIONS(6984), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 15,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [118439] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9008), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118555] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10064), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [118631] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10064), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [118707] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10278), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [118783] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9010), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [118899] = 5,
    ACTIONS(9012), 1,
      anon_sym_LT,
    STATE(5845), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2554), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [118955] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9014), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119071] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9016), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119187] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9018), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119303] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2408), 39,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [119357] = 4,
    ACTIONS(2939), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3094), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3096), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [119411] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9020), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119527] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119643] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119759] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4723), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [119819] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [119935] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9028), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [120051] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10278), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [120127] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4758), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [120187] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(9989), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [120263] = 5,
    ACTIONS(9030), 1,
      anon_sym_DOT,
    STATE(5639), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [120319] = 7,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    ACTIONS(8361), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym_block,
    STATE(4766), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [120379] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9034), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [120495] = 5,
    ACTIONS(9036), 1,
      anon_sym_DOT,
    STATE(5633), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [120551] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9039), 1,
      anon_sym_RBRACE,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [120667] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [120783] = 4,
    ACTIONS(2943), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3174), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3176), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [120837] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(9989), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [120913] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121029] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121145] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9047), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121261] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9049), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121377] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10007), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [121453] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10204), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2329), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [121529] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10204), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2329), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [121605] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121721] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [121837] = 5,
    ACTIONS(9055), 1,
      anon_sym_DOT,
    STATE(5662), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [121893] = 6,
    ACTIONS(9030), 1,
      anon_sym_DOT,
    STATE(5681), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [121951] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9058), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122067] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9060), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122183] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5177), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [122243] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10007), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [122319] = 5,
    ACTIONS(9062), 1,
      anon_sym_DOT,
    STATE(5662), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [122375] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6641), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(9066), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [122453] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9068), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122569] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122685] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9072), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122801] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [122917] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9076), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123033] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5069), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [123093] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9078), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123209] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9080), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123325] = 7,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym_block,
    STATE(5077), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [123385] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123501] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9084), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123617] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9086), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123733] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [123849] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(9880), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4225), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [123925] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9090), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124041] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9092), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124157] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9094), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124273] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9096), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124389] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9098), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124505] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9100), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124621] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9102), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124737] = 5,
    ACTIONS(9104), 1,
      anon_sym_DOT,
    STATE(5662), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [124793] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9107), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [124909] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9109), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125025] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9111), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125141] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125257] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9115), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125373] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125489] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9119), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125605] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10349), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4683), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [125681] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10349), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4683), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [125757] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6627), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(9121), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [125835] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9123), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [125951] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9125), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126067] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126183] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9129), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126299] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126415] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9133), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126531] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9135), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126647] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9137), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126763] = 6,
    ACTIONS(9062), 1,
      anon_sym_DOT,
    STATE(5662), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [126821] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9139), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [126937] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9141), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127053] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6623), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(9143), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [127131] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9145), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127247] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9147), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127363] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9149), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127479] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9151), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127595] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9153), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127711] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9155), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127827] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9157), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [127943] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9159), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128059] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(9161), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [128137] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9163), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128253] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9165), 1,
      anon_sym_RBRACE,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128369] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9167), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128485] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9169), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128601] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9171), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128717] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9173), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128833] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9175), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [128949] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9177), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129065] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9179), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129181] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [129235] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9181), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129351] = 4,
    ACTIONS(2935), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3166), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3168), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [129405] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9183), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129521] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8928), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    STATE(10092), 1,
      sym_setter,
    STATE(11244), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4950), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [129597] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9185), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129713] = 15,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8902), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    STATE(10092), 1,
      sym_getter,
    STATE(11300), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4950), 2,
      sym__semi,
      anon_sym_RBRACE,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [129789] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9187), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [129905] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130021] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 10,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 33,
      anon_sym_constructor,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [130073] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9191), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130189] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9193), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130305] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9195), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130421] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9197), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130537] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9199), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130653] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9201), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130769] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9203), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [130885] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9205), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131001] = 16,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(6746), 1,
      anon_sym_RBRACE,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(9207), 1,
      anon_sym_SEMI,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [131079] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9209), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131195] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9211), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131311] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9213), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131427] = 35,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8329), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_LT,
    ACTIONS(8335), 1,
      anon_sym_GT,
    ACTIONS(8337), 1,
      anon_sym_in,
    ACTIONS(8341), 1,
      anon_sym_SLASH,
    ACTIONS(8343), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8345), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8353), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8355), 1,
      anon_sym_BANGin,
    ACTIONS(8357), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9215), 1,
      anon_sym_RPAREN,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8331), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8347), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8349), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8351), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131543] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [131596] = 15,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(10592), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [131671] = 34,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_DOT,
    ACTIONS(7263), 1,
      anon_sym_as,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7295), 1,
      anon_sym_is,
    ACTIONS(7297), 1,
      anon_sym_as_QMARK,
    ACTIONS(7307), 1,
      sym_label,
    ACTIONS(7309), 1,
      sym__not_is,
    ACTIONS(8248), 1,
      sym_identifier,
    ACTIONS(8252), 1,
      anon_sym_LT,
    ACTIONS(8254), 1,
      anon_sym_GT,
    ACTIONS(8256), 1,
      anon_sym_in,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8262), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8264), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8274), 1,
      anon_sym_BANGin,
    ACTIONS(8276), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8278), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4621), 1,
      sym_value_arguments,
    STATE(5204), 1,
      sym_annotated_lambda,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(8350), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7305), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8250), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8266), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8268), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8270), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131784] = 34,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4159), 1,
      anon_sym_DOT,
    ACTIONS(4163), 1,
      anon_sym_as,
    ACTIONS(4171), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_is,
    ACTIONS(4197), 1,
      anon_sym_as_QMARK,
    ACTIONS(4207), 1,
      sym__not_is,
    ACTIONS(4638), 1,
      sym_identifier,
    ACTIONS(4642), 1,
      anon_sym_LT,
    ACTIONS(4644), 1,
      anon_sym_GT,
    ACTIONS(4646), 1,
      anon_sym_in,
    ACTIONS(4650), 1,
      anon_sym_SLASH,
    ACTIONS(4652), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4654), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4662), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(4664), 1,
      anon_sym_BANGin,
    ACTIONS(4666), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4668), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(9219), 1,
      sym_label,
    STATE(2000), 1,
      sym_value_arguments,
    STATE(2167), 1,
      sym_annotated_lambda,
    STATE(2169), 1,
      sym_lambda_literal,
    STATE(8344), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4203), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(4640), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4648), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(4658), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(4660), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8653), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(4177), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [131897] = 5,
    ACTIONS(9221), 1,
      anon_sym_DOT,
    STATE(5795), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2534), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [131952] = 4,
    ACTIONS(7073), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 27,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [132005] = 5,
    ACTIONS(7045), 1,
      anon_sym_SEMI,
    ACTIONS(7073), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [132060] = 15,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(10859), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132135] = 15,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(10859), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132210] = 15,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10748), 1,
      sym_modifiers,
    STATE(11108), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132285] = 15,
    ACTIONS(4225), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10749), 1,
      sym_modifiers,
    STATE(11108), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132360] = 15,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11089), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132435] = 15,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11089), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132510] = 15,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11247), 1,
      sym_modifiers,
    STATE(11430), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132585] = 15,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11248), 1,
      sym_modifiers,
    STATE(11430), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132660] = 15,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(10592), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132735] = 9,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9231), 1,
      anon_sym_EQ,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2605), 11,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2607), 24,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [132798] = 15,
    ACTIONS(2329), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11210), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132873] = 15,
    ACTIONS(2329), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11210), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [132948] = 15,
    ACTIONS(2305), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10651), 1,
      sym_setter,
    STATE(10748), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133023] = 15,
    ACTIONS(2305), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10651), 1,
      sym_getter,
    STATE(10749), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133098] = 15,
    ACTIONS(4683), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(10507), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133173] = 15,
    ACTIONS(4683), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(10507), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133248] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(4950), 1,
      anon_sym_while,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11098), 1,
      sym_setter,
    STATE(11247), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133323] = 15,
    ACTIONS(4950), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11098), 1,
      sym_getter,
    STATE(11248), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133398] = 15,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10748), 1,
      sym_modifiers,
    STATE(11111), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [133473] = 34,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_as,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6925), 1,
      anon_sym_is,
    ACTIONS(6927), 1,
      anon_sym_as_QMARK,
    ACTIONS(6935), 1,
      sym_label,
    ACTIONS(6937), 1,
      sym__not_is,
    ACTIONS(8002), 1,
      sym_identifier,
    ACTIONS(8011), 1,
      anon_sym_SLASH,
    ACTIONS(8013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8015), 1,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8026), 1,
      anon_sym_LT,
    ACTIONS(8028), 1,
      anon_sym_GT,
    ACTIONS(8030), 1,
      anon_sym_in,
    ACTIONS(8032), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8034), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8042), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8044), 1,
      anon_sym_BANGin,
    STATE(4326), 1,
      sym_value_arguments,
    STATE(4653), 1,
      sym_annotated_lambda,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(8334), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6933), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8004), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8009), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8036), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8038), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(6911), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [133586] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2408), 39,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [133637] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    STATE(5227), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2981), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2983), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [133696] = 10,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(9233), 1,
      anon_sym_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2615), 2,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
    ACTIONS(2605), 11,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2607), 22,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [133761] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [133812] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(9235), 1,
      anon_sym_LPAREN,
    ACTIONS(9237), 1,
      anon_sym_QMARK,
    ACTIONS(9239), 1,
      anon_sym_AMP,
    STATE(5998), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [133871] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 42,
      sym__semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [133920] = 5,
    ACTIONS(9241), 1,
      anon_sym_DOT,
    STATE(5770), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2547), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [133975] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [134026] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [134077] = 15,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10749), 1,
      sym_modifiers,
    STATE(11111), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134152] = 15,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11247), 1,
      sym_modifiers,
    STATE(11407), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134227] = 6,
    ACTIONS(9244), 1,
      anon_sym_DOT,
    STATE(5774), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2560), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [134284] = 15,
    ACTIONS(2329), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10457), 1,
      sym_setter,
    STATE(10748), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134359] = 15,
    ACTIONS(2329), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10457), 1,
      sym_getter,
    STATE(10749), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134434] = 15,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10748), 1,
      sym_modifiers,
    STATE(11428), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134509] = 15,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10749), 1,
      sym_modifiers,
    STATE(11428), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134584] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [134635] = 5,
    ACTIONS(9248), 1,
      anon_sym_DOT,
    STATE(5795), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2560), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [134690] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [134743] = 15,
    ACTIONS(4225), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11248), 1,
      sym_modifiers,
    STATE(11407), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [134818] = 10,
    ACTIONS(2609), 1,
      anon_sym_DOT,
    ACTIONS(2612), 1,
      anon_sym_LT,
    ACTIONS(2615), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2605), 11,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2607), 22,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      sym_label,
  [134883] = 6,
    ACTIONS(9221), 1,
      anon_sym_DOT,
    STATE(5795), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2515), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [134940] = 15,
    ACTIONS(4683), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10564), 1,
      sym_setter,
    STATE(10748), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135015] = 15,
    ACTIONS(4683), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10564), 1,
      sym_getter,
    STATE(10749), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135090] = 15,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10748), 1,
      sym_modifiers,
    STATE(11200), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135165] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [135216] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    STATE(5254), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2989), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2991), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [135275] = 7,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    ACTIONS(8411), 1,
      anon_sym_EQ,
    STATE(5191), 1,
      sym_function_body,
    STATE(5319), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2977), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_else,
      sym_identifier,
    ACTIONS(2979), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [135334] = 15,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(4950), 1,
      sym__class_member_semi,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10605), 1,
      sym_setter,
    STATE(10748), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135409] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [135460] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 42,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [135509] = 15,
    ACTIONS(4950), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10605), 1,
      sym_getter,
    STATE(10749), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135584] = 5,
    ACTIONS(9244), 1,
      anon_sym_DOT,
    STATE(5730), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2527), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [135639] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2580), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [135692] = 4,
    ACTIONS(9253), 1,
      anon_sym_LT,
    STATE(5864), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [135745] = 34,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6895), 1,
      anon_sym_LBRACK,
    ACTIONS(7000), 1,
      anon_sym_DOT,
    ACTIONS(7004), 1,
      anon_sym_as,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7015), 1,
      anon_sym_as_QMARK,
    ACTIONS(7023), 1,
      sym_label,
    ACTIONS(7071), 1,
      anon_sym_is,
    ACTIONS(7075), 1,
      sym__not_is,
    ACTIONS(8131), 1,
      sym_identifier,
    ACTIONS(8135), 1,
      anon_sym_LT,
    ACTIONS(8137), 1,
      anon_sym_GT,
    ACTIONS(8139), 1,
      anon_sym_in,
    ACTIONS(8143), 1,
      anon_sym_SLASH,
    ACTIONS(8145), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(8157), 1,
      anon_sym_BANGin,
    ACTIONS(8159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8161), 1,
      anon_sym_DOT_DOT_LT,
    STATE(4600), 1,
      sym_value_arguments,
    STATE(5151), 1,
      sym_annotated_lambda,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(8380), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7021), 2,
      sym__q_dot,
      anon_sym_COLON_COLON,
    ACTIONS(8133), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8141), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8149), 2,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
    ACTIONS(8151), 2,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
    ACTIONS(8153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(7011), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
  [135858] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [135911] = 15,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9217), 1,
      anon_sym_set,
    STATE(11247), 1,
      sym_modifiers,
    STATE(11365), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [135986] = 15,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_get,
    STATE(11248), 1,
      sym_modifiers,
    STATE(11365), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [136061] = 15,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(9227), 1,
      anon_sym_set,
    STATE(10748), 1,
      sym_modifiers,
    STATE(11237), 1,
      sym_setter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5944), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [136136] = 15,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10749), 1,
      sym_modifiers,
    STATE(11237), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [136211] = 15,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(9229), 1,
      anon_sym_get,
    STATE(10749), 1,
      sym_modifiers,
    STATE(11200), 1,
      sym_getter,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5970), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [136286] = 5,
    ACTIONS(9255), 1,
      anon_sym_DOT,
    STATE(5795), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2567), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136341] = 4,
    ACTIONS(9258), 1,
      anon_sym_LT,
    STATE(5898), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136394] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2588), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136446] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [136498] = 4,
    ACTIONS(9260), 1,
      anon_sym_DOT,
    STATE(5801), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136550] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2656), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136600] = 4,
    ACTIONS(9264), 1,
      anon_sym_DOT,
    STATE(5802), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136652] = 4,
    ACTIONS(9268), 1,
      anon_sym_DOT,
    STATE(5802), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136704] = 4,
    ACTIONS(9271), 1,
      anon_sym_LT,
    STATE(5956), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136756] = 14,
    ACTIONS(6533), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    STATE(9328), 1,
      sym_enum_entry,
    STATE(11227), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5965), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [136828] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [136878] = 5,
    ACTIONS(9237), 1,
      anon_sym_QMARK,
    ACTIONS(9239), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [136932] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2588), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [136984] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2621), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137034] = 5,
    ACTIONS(9260), 1,
      anon_sym_DOT,
    STATE(5817), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [137088] = 4,
    ACTIONS(9273), 1,
      anon_sym_DOT,
    STATE(5814), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137140] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [137190] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2660), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137240] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 41,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137288] = 4,
    ACTIONS(9276), 1,
      anon_sym_DOT,
    STATE(5828), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137340] = 4,
    ACTIONS(7303), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [137392] = 5,
    ACTIONS(7257), 1,
      anon_sym_SEMI,
    ACTIONS(7303), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [137446] = 5,
    ACTIONS(9264), 1,
      anon_sym_DOT,
    STATE(5802), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [137500] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [137550] = 4,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    STATE(5824), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137602] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137652] = 7,
    ACTIONS(9283), 1,
      anon_sym_LPAREN,
    ACTIONS(9285), 1,
      anon_sym_QMARK,
    ACTIONS(9287), 1,
      anon_sym_AMP,
    STATE(6065), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6424), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [137710] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2636), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137760] = 4,
    ACTIONS(9289), 1,
      anon_sym_DOT,
    STATE(5802), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137812] = 4,
    ACTIONS(9292), 1,
      anon_sym_DOT,
    STATE(5828), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [137864] = 22,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9300), 1,
      anon_sym_file,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4106), 1,
      sym_type,
    STATE(6482), 1,
      sym_use_site_target,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9308), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4170), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9304), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [137952] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2408), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [138004] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2668), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [138056] = 4,
    ACTIONS(9314), 1,
      anon_sym_DOT,
    STATE(5828), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [138108] = 6,
    ACTIONS(9319), 1,
      anon_sym_AT,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9317), 5,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_dynamic,
      sym_identifier,
    ACTIONS(9324), 10,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(2418), 24,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_sealed,
      anon_sym_tailrec,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
  [138164] = 4,
    ACTIONS(7395), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [138216] = 5,
    ACTIONS(7389), 1,
      anon_sym_SEMI,
    ACTIONS(7395), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 14,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_while,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [138270] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [138320] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138370] = 4,
    ACTIONS(9327), 1,
      anon_sym_DOT,
    STATE(5823), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [138422] = 5,
    ACTIONS(9330), 1,
      anon_sym_QMARK,
    ACTIONS(9332), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138476] = 5,
    ACTIONS(9330), 1,
      anon_sym_QMARK,
    ACTIONS(9332), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138530] = 5,
    ACTIONS(9279), 1,
      anon_sym_DOT,
    STATE(5839), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [138584] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138634] = 5,
    ACTIONS(9292), 1,
      anon_sym_DOT,
    STATE(5828), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [138688] = 5,
    ACTIONS(9237), 1,
      anon_sym_QMARK,
    ACTIONS(9239), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138742] = 5,
    ACTIONS(9330), 1,
      anon_sym_QMARK,
    ACTIONS(9332), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138796] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138848] = 5,
    ACTIONS(9237), 1,
      anon_sym_QMARK,
    ACTIONS(9239), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [138902] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2567), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [138952] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2632), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139002] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139049] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9336), 1,
      anon_sym_LBRACK,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6440), 1,
      sym_use_site_target,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7900), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9342), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8062), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9338), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [139134] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9348), 1,
      anon_sym_LBRACK,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(6389), 1,
      sym_type,
    STATE(6436), 1,
      sym_use_site_target,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9354), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6817), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9350), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [139219] = 5,
    ACTIONS(9358), 1,
      anon_sym_DOT,
    STATE(5851), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2527), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139272] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139319] = 5,
    ACTIONS(9362), 1,
      anon_sym_DOT,
    STATE(5906), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2534), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139372] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2588), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139421] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [139470] = 5,
    ACTIONS(9366), 1,
      anon_sym_DOT,
    STATE(5896), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2547), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139523] = 5,
    ACTIONS(9369), 1,
      anon_sym_LT,
    STATE(6047), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [139576] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9373), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6454), 1,
      sym_use_site_target,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8379), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9379), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8779), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9375), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [139661] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2700), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2702), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [139712] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139759] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9385), 1,
      anon_sym_LBRACK,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6473), 1,
      sym_use_site_target,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8492), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9391), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9647), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9387), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [139844] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9397), 1,
      anon_sym_LBRACK,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6471), 1,
      sym_use_site_target,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7836), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9403), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7953), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9399), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [139929] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [139978] = 5,
    ACTIONS(9285), 1,
      anon_sym_QMARK,
    ACTIONS(9287), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2687), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [140031] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9409), 1,
      anon_sym_LBRACK,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6460), 1,
      sym_use_site_target,
    STATE(6489), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9415), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7671), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9411), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [140116] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140163] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9421), 1,
      anon_sym_LBRACK,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6408), 1,
      sym_use_site_target,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8242), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9425), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8572), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(8093), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [140248] = 5,
    ACTIONS(9285), 1,
      anon_sym_QMARK,
    ACTIONS(9287), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2673), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [140301] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9431), 1,
      anon_sym_LBRACK,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6127), 1,
      sym_type,
    STATE(6506), 1,
      sym_use_site_target,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9437), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6554), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9433), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [140386] = 12,
    ACTIONS(4211), 1,
      anon_sym_AT,
    ACTIONS(7666), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7672), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(7676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8280), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(7670), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(7674), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(7668), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(7662), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(7664), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5894), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [140453] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140500] = 4,
    ACTIONS(9441), 1,
      anon_sym_DOT,
    STATE(5904), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140551] = 5,
    ACTIONS(9285), 1,
      anon_sym_QMARK,
    ACTIONS(9287), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2640), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [140604] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140651] = 4,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    STATE(5887), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140702] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2627), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140751] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9450), 1,
      anon_sym_LBRACK,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5821), 1,
      sym_type,
    STATE(6498), 1,
      sym_use_site_target,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9456), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6089), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9452), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [140836] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [140883] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9462), 1,
      anon_sym_LBRACK,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6413), 1,
      sym_use_site_target,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8033), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8160), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9464), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [140968] = 5,
    ACTIONS(9472), 1,
      anon_sym_QMARK,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2640), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [141021] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141070] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2664), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141119] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2408), 38,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141168] = 4,
    ACTIONS(9476), 1,
      anon_sym_DOT,
    STATE(5873), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141219] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141268] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9482), 1,
      anon_sym_LBRACK,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5138), 1,
      sym_type,
    STATE(6434), 1,
      sym_use_site_target,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9488), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(5426), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9484), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [141353] = 5,
    ACTIONS(9472), 1,
      anon_sym_QMARK,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2679), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [141406] = 5,
    ACTIONS(7556), 1,
      anon_sym_SEMI,
    ACTIONS(7562), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 25,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [141459] = 4,
    ACTIONS(9492), 1,
      anon_sym_DOT,
    STATE(5887), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141510] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2652), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [141559] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9497), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6414), 1,
      sym_type,
    STATE(6449), 1,
      sym_use_site_target,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9503), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7698), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9499), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [141644] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [141695] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9509), 1,
      anon_sym_LBRACK,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6507), 1,
      sym_use_site_target,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9515), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8069), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9511), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [141780] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4106), 1,
      sym_type,
    STATE(6482), 1,
      sym_use_site_target,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9308), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4170), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9304), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [141865] = 6,
    ACTIONS(9362), 1,
      anon_sym_DOT,
    STATE(5906), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2513), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [141920] = 12,
    ACTIONS(9519), 1,
      anon_sym_AT,
    ACTIONS(9528), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8295), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(9537), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(9543), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(9534), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(9540), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(9531), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(9522), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(9525), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5894), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [141987] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9462), 1,
      anon_sym_LBRACK,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6445), 1,
      sym_use_site_target,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8022), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8160), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9464), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [142072] = 5,
    ACTIONS(9546), 1,
      anon_sym_DOT,
    STATE(5906), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2560), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142125] = 4,
    ACTIONS(7574), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [142176] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142223] = 6,
    ACTIONS(9358), 1,
      anon_sym_DOT,
    STATE(5893), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2560), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [142278] = 6,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6098), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6100), 3,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3052), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3054), 22,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [142333] = 4,
    ACTIONS(7562), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 26,
      sym__semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [142384] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142433] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [142482] = 4,
    ACTIONS(9549), 1,
      anon_sym_DOT,
    STATE(5887), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142533] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9554), 1,
      anon_sym_LBRACK,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5757), 1,
      sym_type,
    STATE(6452), 1,
      sym_use_site_target,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9560), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6046), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9556), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [142618] = 5,
    ACTIONS(9564), 1,
      anon_sym_DOT,
    STATE(5906), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2567), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142671] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142720] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142767] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [142814] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2695), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [142865] = 5,
    ACTIONS(9476), 1,
      anon_sym_DOT,
    STATE(5915), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [142918] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9569), 1,
      anon_sym_LBRACK,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(5967), 1,
      sym_type,
    STATE(6424), 1,
      sym_use_site_target,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9575), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6216), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9571), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [143003] = 5,
    ACTIONS(7568), 1,
      anon_sym_SEMI,
    ACTIONS(7574), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 25,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [143056] = 5,
    ACTIONS(9472), 1,
      anon_sym_QMARK,
    ACTIONS(9474), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2644), 35,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [143109] = 5,
    ACTIONS(9444), 1,
      anon_sym_DOT,
    STATE(5887), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [143162] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 40,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [143209] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9579), 1,
      anon_sym_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6026), 1,
      sym_type,
    STATE(6488), 1,
      sym_use_site_target,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9585), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6300), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9581), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [143294] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(2704), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [143343] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 40,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [143390] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9591), 1,
      anon_sym_LBRACK,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6458), 1,
      sym_type,
    STATE(6468), 1,
      sym_use_site_target,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9597), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7680), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9310), 6,
      anon_sym_field,
      anon_sym_property,
      anon_sym_receiver,
      anon_sym_param,
      anon_sym_setparam,
      anon_sym_delegate,
    ACTIONS(9593), 10,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [143475] = 6,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    STATE(5940), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [143529] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [143575] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6519), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [143623] = 12,
    ACTIONS(8295), 1,
      anon_sym_set,
    ACTIONS(9605), 1,
      anon_sym_AT,
    ACTIONS(9614), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9623), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(9629), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(9620), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(9626), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(9617), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(9608), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(9611), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5924), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [143689] = 5,
    ACTIONS(7687), 1,
      anon_sym_SEMI,
    ACTIONS(7689), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 24,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [143741] = 5,
    ACTIONS(9632), 1,
      anon_sym_DOT,
    STATE(5950), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [143793] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [143839] = 5,
    ACTIONS(9636), 1,
      anon_sym_DOT,
    STATE(5950), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [143891] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9639), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6674), 36,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_init,
      anon_sym_constructor,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [143939] = 5,
    ACTIONS(9601), 1,
      anon_sym_DOT,
    STATE(5926), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [143991] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144039] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144089] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [144135] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [144185] = 4,
    ACTIONS(9645), 1,
      anon_sym_QMARK,
    ACTIONS(9647), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144235] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144283] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144333] = 5,
    ACTIONS(9649), 1,
      anon_sym_DOT,
    STATE(5928), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [144385] = 12,
    ACTIONS(8295), 1,
      anon_sym_get,
    ACTIONS(9652), 1,
      anon_sym_AT,
    ACTIONS(9661), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9670), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(9676), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(9667), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(9673), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(9664), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(9655), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(9658), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5939), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [144451] = 6,
    ACTIONS(9632), 1,
      anon_sym_DOT,
    STATE(5950), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [144505] = 4,
    ACTIONS(9645), 1,
      anon_sym_QMARK,
    ACTIONS(9647), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144555] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [144601] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [144647] = 12,
    ACTIONS(4724), 1,
      anon_sym_AT,
    ACTIONS(8280), 1,
      anon_sym_set,
    ACTIONS(8934), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8940), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8944), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8938), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8942), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8936), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8930), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8932), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5924), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [144713] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [144759] = 6,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6100), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6098), 2,
      anon_sym_where,
      anon_sym_while,
    ACTIONS(3052), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3054), 22,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [144813] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [144861] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144911] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(3020), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [144959] = 5,
    ACTIONS(9683), 1,
      anon_sym_DOT,
    STATE(5950), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [145011] = 4,
    ACTIONS(9686), 1,
      anon_sym_QMARK,
    ACTIONS(9688), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145061] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145107] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145153] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145199] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(3024), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145247] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145293] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145339] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 39,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145385] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145433] = 6,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6098), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6100), 2,
      sym__class_member_semi,
      anon_sym_COMMA,
    ACTIONS(3052), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(3054), 22,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [145487] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 39,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145533] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145583] = 4,
    ACTIONS(9645), 1,
      anon_sym_QMARK,
    ACTIONS(9647), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145633] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145683] = 12,
    ACTIONS(8169), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_AT,
    ACTIONS(8960), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8966), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8970), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8964), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8968), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8962), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8956), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8958), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5979), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [145749] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [145795] = 7,
    ACTIONS(9690), 1,
      anon_sym_LPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(9694), 1,
      anon_sym_AMP,
    STATE(5923), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6424), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145851] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 37,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145899] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [145947] = 12,
    ACTIONS(4952), 1,
      anon_sym_AT,
    ACTIONS(8280), 1,
      anon_sym_get,
    ACTIONS(8908), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8914), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(8918), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(8912), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(8916), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(8910), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(8904), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(8906), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5939), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [146013] = 4,
    ACTIONS(9686), 1,
      anon_sym_QMARK,
    ACTIONS(9688), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146063] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146113] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [146159] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 39,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [146205] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(3012), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146253] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146301] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(3016), 37,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146349] = 4,
    ACTIONS(7689), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2361), 13,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_BANG_EQ,
      anon_sym_EQ_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      sym_identifier,
    ACTIONS(2367), 25,
      sym__class_member_semi,
      sym__not_is,
      sym__q_dot,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BANG_BANG,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK_COLON,
      anon_sym_BANGin,
      anon_sym_as_QMARK,
      anon_sym_DOT_DOT_LT,
      anon_sym_COLON_COLON,
      sym_label,
  [146399] = 12,
    ACTIONS(8179), 1,
      sym_identifier,
    ACTIONS(9696), 1,
      anon_sym_AT,
    ACTIONS(9705), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9714), 2,
      anon_sym_override,
      anon_sym_lateinit,
    ACTIONS(9720), 2,
      anon_sym_expect,
      anon_sym_actual,
    ACTIONS(9711), 3,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
    ACTIONS(9717), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(9708), 4,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
    ACTIONS(9699), 6,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
    ACTIONS(9702), 6,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
    STATE(5979), 10,
      sym_class_modifier,
      sym_function_modifier,
      sym_property_modifier,
      sym_visibility_modifier,
      sym_inheritance_modifier,
      sym_member_modifier,
      sym_parameter_modifier,
      sym_platform_modifier,
      sym_annotation,
      aux_sym_modifiers_repeat1,
  [146465] = 4,
    ACTIONS(9686), 1,
      anon_sym_QMARK,
    ACTIONS(9688), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 37,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146515] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9727), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [146600] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [146649] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [146696] = 3,
    ACTIONS(9733), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9731), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [146743] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9735), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [146828] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [146875] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [146924] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8104), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8813), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147009] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147094] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9741), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147179] = 3,
    ACTIONS(9745), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147226] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147273] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9747), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8134), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8787), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147358] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9749), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147443] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9751), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8125), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8744), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147528] = 3,
    ACTIONS(9755), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9753), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147575] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9757), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8100), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8849), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147660] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147707] = 3,
    ACTIONS(9761), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9759), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147754] = 3,
    ACTIONS(9763), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147801] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(9694), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2640), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [147852] = 3,
    ACTIONS(9765), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [147899] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9767), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8112), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8881), 1,
      sym_type,
    STATE(8934), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [147984] = 5,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(9771), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2638), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2640), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [148035] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [148082] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [148167] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8111), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8776), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [148252] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [148299] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [148348] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9781), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [148433] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8112), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8867), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [148518] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [148565] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [148612] = 5,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(9771), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2642), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2644), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [148663] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [148708] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [148755] = 4,
    ACTIONS(9785), 1,
      anon_sym_QMARK,
    ACTIONS(9787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [148804] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [148849] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(9694), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2670), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2673), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [148900] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9789), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [148985] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [149032] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9791), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149117] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9793), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149202] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [149247] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [149292] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(9795), 1,
      anon_sym_LPAREN,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_AMP,
    STATE(6388), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [149347] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [149394] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [149443] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 38,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [149488] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9801), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8135), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8728), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149573] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [149622] = 3,
    ACTIONS(9803), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [149669] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9783), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8112), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(8867), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149754] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9805), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8118), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8721), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149839] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [149888] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9807), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [149973] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9737), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8104), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8813), 1,
      sym_parameter,
    STATE(8866), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [150058] = 5,
    ACTIONS(9809), 1,
      anon_sym_LT,
    STATE(6120), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2552), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150109] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9811), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8140), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8876), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [150194] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150241] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9813), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8114), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8748), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [150326] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(9694), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2685), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2687), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150377] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9815), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8130), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8777), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [150462] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150511] = 4,
    ACTIONS(9679), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5992), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150560] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150607] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150654] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150701] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150750] = 4,
    ACTIONS(9785), 1,
      anon_sym_QMARK,
    ACTIONS(9787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150799] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150846] = 3,
    ACTIONS(9817), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 37,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_val,
      anon_sym_var,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [150893] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 8,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2403), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [150942] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9775), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8111), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8776), 1,
      sym_parameter,
    STATE(8866), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151027] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9819), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8115), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8844), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151112] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9821), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151197] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9823), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151282] = 4,
    ACTIONS(9785), 1,
      anon_sym_QMARK,
    ACTIONS(9787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151331] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9825), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151416] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9827), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(9770), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151501] = 5,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(9771), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2676), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(2679), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_LPAREN,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151552] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9829), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8120), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8872), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151637] = 22,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(9725), 1,
      anon_sym_AT,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7930), 1,
      sym_annotation,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8138), 1,
      sym_parameter_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8862), 1,
      sym_parameter,
    STATE(8881), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7955), 2,
      sym_parameter_modifier,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [151722] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 36,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151769] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6519), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151815] = 5,
    ACTIONS(9833), 1,
      anon_sym_DOT,
    STATE(6113), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2558), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151865] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(3020), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151911] = 4,
    ACTIONS(9836), 1,
      anon_sym_COMMA,
    STATE(6092), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 35,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [151959] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152005] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6523), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152051] = 5,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152101] = 5,
    ACTIONS(9838), 1,
      anon_sym_QMARK,
    ACTIONS(9840), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152151] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 8,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2403), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152197] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152243] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152289] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9765), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152335] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152383] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9763), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152429] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9731), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9733), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152475] = 3,
    ACTIONS(8605), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152521] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(3016), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152567] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6515), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152613] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [152659] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152707] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6527), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152753] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9753), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9755), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152799] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5992), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152847] = 6,
    ACTIONS(9842), 1,
      anon_sym_DOT,
    STATE(6105), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2558), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152899] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(6531), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152945] = 5,
    ACTIONS(9846), 1,
      anon_sym_DOT,
    STATE(6066), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2545), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [152995] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153043] = 4,
    ACTIONS(9836), 1,
      anon_sym_COMMA,
    STATE(6096), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 35,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153091] = 5,
    ACTIONS(9842), 1,
      anon_sym_DOT,
    STATE(6109), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2524), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153141] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153189] = 3,
    ACTIONS(9849), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6322), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153235] = 4,
    ACTIONS(9851), 1,
      anon_sym_COMMA,
    STATE(6096), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 35,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153283] = 5,
    ACTIONS(9838), 1,
      anon_sym_QMARK,
    ACTIONS(9840), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153333] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153381] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153427] = 5,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153477] = 4,
    ACTIONS(9777), 1,
      anon_sym_QMARK,
    ACTIONS(9779), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5992), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153525] = 5,
    ACTIONS(9838), 1,
      anon_sym_QMARK,
    ACTIONS(9840), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153575] = 4,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153623] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9745), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153669] = 6,
    ACTIONS(9854), 1,
      anon_sym_DOT,
    STATE(6113), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2513), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153721] = 5,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [153771] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9759), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9761), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153817] = 3,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153863] = 5,
    ACTIONS(9854), 1,
      anon_sym_DOT,
    STATE(6113), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2521), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153913] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(3012), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [153959] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(3024), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154005] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9803), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154051] = 5,
    ACTIONS(9858), 1,
      anon_sym_DOT,
    STATE(6113), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2565), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154101] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 3,
      anon_sym_val,
      anon_sym_var,
      anon_sym_const,
    ACTIONS(9817), 34,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_companion,
      anon_sym_constructor,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154147] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2578), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154195] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9794), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154274] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6353), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154317] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9707), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154396] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9572), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154475] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2630), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154520] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154563] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9144), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154642] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2634), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154687] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9406), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154766] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9810), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154845] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9434), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [154924] = 7,
    ACTIONS(9865), 1,
      anon_sym_LPAREN,
    ACTIONS(9867), 1,
      anon_sym_QMARK,
    ACTIONS(9869), 1,
      anon_sym_AMP,
    STATE(6579), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6422), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [154977] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2658), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [155022] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9633), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155101] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9151), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155180] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9819), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155259] = 3,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 35,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [155304] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9194), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155383] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9231), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155462] = 4,
    ACTIONS(9871), 1,
      anon_sym_COMMA,
    STATE(6155), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 34,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [155509] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9255), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155588] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9272), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155667] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9286), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155746] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9307), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155825] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6361), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [155868] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2565), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [155913] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9332), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [155992] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9358), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156071] = 3,
    ACTIONS(8837), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156116] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9321), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156195] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9374), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156274] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9660), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156353] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9394), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156432] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9427), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156511] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9448), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156590] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6357), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156633] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2618), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156678] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9487), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156757] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2586), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156804] = 4,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    STATE(6155), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 34,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156851] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9501), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [156930] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2666), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [156977] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9510), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157056] = 3,
    ACTIONS(9876), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6322), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157101] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9514), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157180] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9744), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157259] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9509), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157338] = 4,
    ACTIONS(9878), 1,
      anon_sym_COMMA,
    STATE(6171), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 34,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157385] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9390), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157464] = 3,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157509] = 4,
    ACTIONS(9871), 1,
      anon_sym_COMMA,
    STATE(6135), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 34,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157556] = 3,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157601] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2654), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157646] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9629), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157725] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 36,
      sym__semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157768] = 4,
    ACTIONS(9878), 1,
      anon_sym_COMMA,
    STATE(6178), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 34,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157815] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9246), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [157894] = 3,
    ACTIONS(8823), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157939] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2586), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [157986] = 3,
    ACTIONS(9880), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6322), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [158031] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9388), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158110] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(10053), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158189] = 4,
    ACTIONS(9882), 1,
      anon_sym_COMMA,
    STATE(6178), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 34,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [158236] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9183), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158315] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9741), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158394] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9466), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158473] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_STAR,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8995), 1,
      sym_type,
    STATE(9473), 1,
      sym_type_projection,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6346), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158552] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9731), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9733), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [158596] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(9002), 1,
      sym_delegation_specifiers,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158676] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10225), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158756] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8617), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158836] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8573), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [158916] = 4,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    ACTIONS(9817), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [158962] = 4,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    ACTIONS(9763), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [159008] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6353), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159050] = 5,
    ACTIONS(9867), 1,
      anon_sym_QMARK,
    ACTIONS(9869), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2685), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159098] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8612), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159178] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9907), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    STATE(5529), 1,
      sym__reserved_identifier,
    STATE(6479), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7887), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8061), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4875), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9903), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159258] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8626), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159338] = 3,
    ACTIONS(6415), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6417), 34,
      sym__semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159382] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6515), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159426] = 4,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    ACTIONS(9765), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [159472] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2586), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159516] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9658), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159596] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8468), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159676] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6357), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159718] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [159760] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9833), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159840] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8513), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [159920] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8519), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160000] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9601), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160080] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6361), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160122] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9759), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9761), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160166] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(5414), 1,
      sym__reserved_identifier,
    STATE(6463), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7906), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8056), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4763), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9913), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160246] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9907), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    STATE(5529), 1,
      sym__reserved_identifier,
    STATE(6486), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7884), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8061), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4863), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9903), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160326] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8646), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160406] = 5,
    ACTIONS(9917), 1,
      anon_sym_QMARK,
    ACTIONS(9919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2676), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160454] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9947), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160534] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9817), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160578] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6523), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160622] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6531), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160666] = 5,
    ACTIONS(9917), 1,
      anon_sym_QMARK,
    ACTIONS(9919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2638), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160714] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10401), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160794] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9791), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160874] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8534), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [160954] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9753), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9755), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [160998] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10333), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161078] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4333), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161158] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9468), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161238] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [161280] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10037), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161360] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(4554), 1,
      sym_delegation_specifiers,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161440] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2650), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [161484] = 4,
    ACTIONS(9929), 1,
      anon_sym_LT,
    STATE(6423), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [161530] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9763), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [161574] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym__reserved_identifier,
    STATE(6419), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7909), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8045), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4856), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161654] = 5,
    ACTIONS(9935), 1,
      anon_sym_LT,
    STATE(6432), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [161702] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8625), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161782] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9765), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [161826] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(9072), 1,
      sym_delegation_specifiers,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161906] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8487), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [161986] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2693), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [162032] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4330), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162112] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4331), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162192] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8647), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162272] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8602), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162352] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8484), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162432] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9745), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [162476] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(6527), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [162520] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8535), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162600] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10115), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162680] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2700), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [162726] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym__reserved_identifier,
    STATE(6441), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7905), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8045), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4885), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162806] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(4532), 1,
      sym_delegation_specifiers,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162886] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8654), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [162966] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2697), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [163010] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8529), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163090] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9451), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163170] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4299), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163250] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4301), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163330] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9867), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163410] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10171), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163490] = 3,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 34,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [163534] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2624), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [163578] = 3,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 34,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [163622] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8507), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163702] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4310), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163782] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [163828] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8510), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [163908] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6361), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [163950] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4313), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164030] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6353), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [164072] = 5,
    ACTIONS(9867), 1,
      anon_sym_QMARK,
    ACTIONS(9869), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2638), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [164120] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8600), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164200] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9863), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164280] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8603), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164360] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4332), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164440] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8567), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164520] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8514), 1,
      sym_delegation_specifiers,
    STATE(8670), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164600] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6357), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [164642] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
    ACTIONS(2662), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [164686] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9676), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164766] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8645), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164846] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4298), 1,
      sym_delegation_specifiers,
    STATE(4384), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [164926] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(9693), 1,
      sym_delegation_specifiers,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165006] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9937), 1,
      sym_identifier,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym__reserved_identifier,
    STATE(6478), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7919), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8072), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1944), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165086] = 4,
    ACTIONS(9943), 1,
      anon_sym_LT,
    STATE(6491), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [165132] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8628), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165212] = 3,
    ACTIONS(6411), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6413), 34,
      sym__semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [165256] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(5414), 1,
      sym__reserved_identifier,
    STATE(6411), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7914), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8056), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4620), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9913), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165336] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9855), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165416] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9937), 1,
      sym_identifier,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym__reserved_identifier,
    STATE(6453), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7904), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8072), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1943), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165496] = 21,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8583), 1,
      sym_delegation_specifiers,
    STATE(8888), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165576] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10111), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165656] = 5,
    ACTIONS(9917), 1,
      anon_sym_QMARK,
    ACTIONS(9919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2642), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [165704] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 35,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [165746] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10139), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165826] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(9803), 33,
      anon_sym_AT,
      anon_sym_class,
      anon_sym_fun,
      anon_sym_interface,
      anon_sym_object,
      anon_sym_typealias,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [165870] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(9959), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [165950] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8958), 1,
      sym_delegation_specifier,
    STATE(10362), 1,
      sym_delegation_specifiers,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166030] = 4,
    ACTIONS(2408), 1,
      anon_sym_COLON,
    ACTIONS(9803), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166076] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8672), 1,
      sym_delegation_specifiers,
    STATE(8786), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166156] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 35,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_by,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [166198] = 5,
    ACTIONS(9867), 1,
      anon_sym_QMARK,
    ACTIONS(9869), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2670), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [166246] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166289] = 3,
    ACTIONS(9765), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166332] = 3,
    ACTIONS(9761), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9759), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166375] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166448] = 3,
    ACTIONS(6415), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6417), 33,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [166491] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9947), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166564] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9949), 1,
      sym_identifier,
    ACTIONS(9951), 1,
      anon_sym_interface,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_dynamic,
    STATE(4547), 1,
      sym_function_value_parameters,
    STATE(7125), 1,
      sym_type_parameters,
    STATE(7521), 1,
      sym_type_modifiers,
    STATE(7971), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8109), 1,
      sym__receiver_type,
    STATE(9620), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166641] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166714] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9959), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166787] = 5,
    ACTIONS(9961), 1,
      anon_sym_DOT,
    STATE(6312), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166834] = 4,
    ACTIONS(9964), 1,
      anon_sym_DOT,
    STATE(6310), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [166879] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9967), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [166952] = 5,
    ACTIONS(9969), 1,
      anon_sym_DOT,
    STATE(6312), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [166999] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9972), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167072] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6446), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8385), 1,
      sym_type,
    STATE(8941), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167149] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9955), 1,
      anon_sym_dynamic,
    ACTIONS(9974), 1,
      sym_identifier,
    ACTIONS(9976), 1,
      anon_sym_interface,
    ACTIONS(9978), 1,
      anon_sym_LPAREN,
    STATE(4644), 1,
      sym_function_value_parameters,
    STATE(6980), 1,
      sym_type_parameters,
    STATE(7521), 1,
      sym_type_modifiers,
    STATE(7983), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8099), 1,
      sym__receiver_type,
    STATE(9370), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167226] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [167271] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 34,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [167312] = 4,
    ACTIONS(9980), 1,
      anon_sym_DOT,
    STATE(6357), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [167357] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8826), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9292), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167436] = 20,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(6484), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8454), 1,
      sym_type,
    STATE(8941), 1,
      sym_delegation_specifier,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8955), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167513] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9987), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167586] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167659] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [167702] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(9991), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167775] = 3,
    ACTIONS(9817), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [167818] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9955), 1,
      anon_sym_dynamic,
    ACTIONS(9993), 1,
      sym_identifier,
    ACTIONS(9995), 1,
      anon_sym_interface,
    ACTIONS(9997), 1,
      anon_sym_LPAREN,
    STATE(2039), 1,
      sym_function_value_parameters,
    STATE(7231), 1,
      sym_type_parameters,
    STATE(7521), 1,
      sym_type_modifiers,
    STATE(7945), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8164), 1,
      sym__receiver_type,
    STATE(9758), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [167895] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [167938] = 5,
    ACTIONS(9999), 1,
      anon_sym_DOT,
    STATE(6401), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [167985] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168058] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [168101] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9645), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168180] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [168223] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [168266] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168339] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168412] = 4,
    ACTIONS(10011), 1,
      anon_sym_DOT,
    STATE(6397), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [168457] = 5,
    ACTIONS(10015), 1,
      anon_sym_DOT,
    STATE(6309), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [168504] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10018), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168577] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168650] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10022), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168723] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [168766] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 34,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [168807] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6431), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8273), 1,
      sym_type,
    STATE(8814), 1,
      sym_delegation_specifier,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8899), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168884] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(9985), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9292), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [168963] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169036] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9024), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7891), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169109] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10026), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169182] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [169225] = 3,
    ACTIONS(9745), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [169268] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169341] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10030), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169414] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169487] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10034), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8826), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9564), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169566] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10036), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169639] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10038), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169712] = 6,
    ACTIONS(10040), 1,
      anon_sym_DOT,
    STATE(6367), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [169761] = 4,
    ACTIONS(10044), 1,
      anon_sym_DOT,
    STATE(6310), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [169806] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [169849] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [169892] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10047), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [169965] = 3,
    ACTIONS(6411), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6413), 33,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [170008] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10049), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170081] = 5,
    ACTIONS(10011), 1,
      anon_sym_DOT,
    STATE(6397), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [170128] = 18,
    ACTIONS(10051), 1,
      sym_identifier,
    ACTIONS(10054), 1,
      anon_sym_AT,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    ACTIONS(10062), 1,
      anon_sym_LPAREN,
    ACTIONS(10065), 1,
      anon_sym_suspend,
    ACTIONS(10068), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10059), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170201] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170274] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170347] = 6,
    ACTIONS(10075), 1,
      anon_sym_DOT,
    STATE(6312), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [170396] = 4,
    ACTIONS(10079), 1,
      anon_sym_DOT,
    STATE(6310), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [170441] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10083), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170514] = 3,
    ACTIONS(6415), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6417), 33,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [170557] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10085), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170630] = 5,
    ACTIONS(10040), 1,
      anon_sym_DOT,
    STATE(6375), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [170677] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10087), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170750] = 3,
    ACTIONS(9733), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9731), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [170793] = 5,
    ACTIONS(10075), 1,
      anon_sym_DOT,
    STATE(6312), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [170840] = 3,
    ACTIONS(9755), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9753), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [170883] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [170956] = 4,
    ACTIONS(9999), 1,
      anon_sym_DOT,
    STATE(6368), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [171001] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6442), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8352), 1,
      sym_type,
    STATE(8953), 1,
      sym_delegation_specifier,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9052), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171078] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10091), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171151] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10005), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8826), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9645), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171230] = 5,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    STATE(6363), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [171277] = 4,
    ACTIONS(10097), 1,
      anon_sym_DOT,
    STATE(6394), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [171322] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10100), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171395] = 20,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4283), 1,
      sym_type,
    STATE(4438), 1,
      sym_delegation_specifier,
    STATE(6476), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4518), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171472] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8826), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9734), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171551] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10034), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9564), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171630] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [171673] = 6,
    ACTIONS(9641), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_AMP,
    ACTIONS(10104), 1,
      anon_sym_LPAREN,
    STATE(6719), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [171722] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10106), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171795] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10108), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171868] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10110), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [171941] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [171984] = 4,
    ACTIONS(10112), 1,
      anon_sym_DOT,
    STATE(6397), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [172029] = 4,
    ACTIONS(10093), 1,
      anon_sym_DOT,
    STATE(6336), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [172074] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10115), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172147] = 4,
    ACTIONS(10117), 1,
      anon_sym_DOT,
    STATE(6397), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [172192] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10120), 1,
      anon_sym_RBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6364), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172265] = 3,
    ACTIONS(9763), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [172308] = 3,
    ACTIONS(9803), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 33,
      anon_sym_val,
      anon_sym_var,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [172351] = 5,
    ACTIONS(10079), 1,
      anon_sym_DOT,
    STATE(6310), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [172398] = 21,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9983), 1,
      sym_identifier,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8046), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8448), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(9734), 1,
      sym_variable_declaration,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172477] = 3,
    ACTIONS(6411), 1,
      anon_sym_const,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6413), 33,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_constructor,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [172520] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [172560] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [172602] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6351), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172672] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6371), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172742] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8242), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8607), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172814] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6380), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172884] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6324), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [172954] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(5414), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7918), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8056), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4745), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9913), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173028] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [173072] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    ACTIONS(10124), 1,
      anon_sym_LBRACK,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8033), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8119), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173144] = 6,
    ACTIONS(10126), 1,
      anon_sym_LPAREN,
    ACTIONS(10128), 1,
      anon_sym_QMARK,
    ACTIONS(10130), 1,
      anon_sym_AMP,
    STATE(7679), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [173192] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6369), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173262] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6307), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173332] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [173372] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6377), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173442] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7880), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8045), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4893), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173516] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6322), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173586] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6305), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173656] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [173698] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [173738] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10132), 1,
      anon_sym_LBRACK,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(5967), 1,
      sym_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6196), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173810] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [173852] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6391), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [173922] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [173964] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6362), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174034] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6392), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174104] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [174148] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8002), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8239), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8692), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174222] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [174264] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6321), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174334] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    ACTIONS(10134), 1,
      anon_sym_LBRACK,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5138), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(5440), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174406] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6335), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174476] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    ACTIONS(10136), 1,
      anon_sym_LBRACK,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(6389), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6847), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174548] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [174588] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10138), 1,
      sym_identifier,
    ACTIONS(10140), 1,
      anon_sym_interface,
    STATE(7135), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7962), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8113), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174662] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6329), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174732] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    ACTIONS(10142), 1,
      anon_sym_LBRACK,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7900), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8073), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174804] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9931), 1,
      sym_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7909), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8045), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4856), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174878] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8002), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8312), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9075), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [174952] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6365), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175022] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [175064] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    ACTIONS(10124), 1,
      anon_sym_LBRACK,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8022), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8119), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175136] = 19,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8002), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8303), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9022), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175210] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6339), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175280] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10144), 1,
      sym_identifier,
    ACTIONS(10146), 1,
      anon_sym_interface,
    STATE(7235), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7980), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8168), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175354] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    ACTIONS(10148), 1,
      anon_sym_LBRACK,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6414), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7706), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175426] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [175468] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6352), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175538] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    ACTIONS(10150), 1,
      anon_sym_LBRACK,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5757), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(5983), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175610] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9937), 1,
      sym_identifier,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7919), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8072), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1944), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175684] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    ACTIONS(10152), 1,
      anon_sym_LBRACK,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8379), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8851), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175756] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    ACTIONS(10154), 1,
      anon_sym_LBRACK,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8783), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(10573), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175828] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6373), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175898] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6390), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [175968] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(10156), 1,
      anon_sym_LPAREN,
    ACTIONS(10158), 1,
      anon_sym_QMARK,
    ACTIONS(10160), 1,
      anon_sym_AMP,
    STATE(7670), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [176018] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6398), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176088] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    ACTIONS(10162), 1,
      anon_sym_LBRACK,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6489), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7678), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176160] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6347), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176230] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [176272] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9911), 1,
      sym_identifier,
    ACTIONS(9915), 1,
      anon_sym_LPAREN,
    STATE(5414), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7914), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8056), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4620), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9913), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176346] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6303), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176416] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6345), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176486] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [176530] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6313), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176600] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    ACTIONS(10164), 1,
      anon_sym_LBRACK,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6458), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7697), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176672] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6308), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176742] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10166), 1,
      sym_identifier,
    ACTIONS(10168), 1,
      anon_sym_interface,
    STATE(7209), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7932), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8153), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176816] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    ACTIONS(10170), 1,
      anon_sym_LBRACK,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7836), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7957), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176888] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6366), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [176958] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    ACTIONS(10172), 1,
      anon_sym_LBRACK,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8492), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9317), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177030] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [177070] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [177110] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4271), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8002), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4432), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177184] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [177226] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(9937), 1,
      sym_identifier,
    ACTIONS(9941), 1,
      anon_sym_LPAREN,
    STATE(2666), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7893), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8072), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1945), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177300] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9907), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    STATE(5529), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7922), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8061), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4899), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9903), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177374] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6334), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177444] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6350), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177514] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    ACTIONS(10174), 1,
      anon_sym_LBRACK,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4106), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(4163), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177586] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6338), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177656] = 19,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(8002), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8059), 1,
      sym_annotation,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8424), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(9022), 2,
      sym_constructor_invocation,
      sym_explicit_delegation,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177730] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6396), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177800] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9907), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    STATE(5529), 1,
      sym__reserved_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7887), 1,
      sym__receiver_type,
    STATE(7994), 1,
      aux_sym_type_modifiers_repeat1,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8061), 1,
      aux_sym_delegation_specifier_repeat1,
    STATE(8075), 1,
      sym_annotation,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4875), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9903), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177874] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [177914] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    ACTIONS(10176), 1,
      anon_sym_LBRACK,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6026), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6359), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [177986] = 6,
    ACTIONS(10178), 1,
      anon_sym_LPAREN,
    ACTIONS(10180), 1,
      anon_sym_QMARK,
    ACTIONS(10182), 1,
      anon_sym_AMP,
    STATE(7682), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [178034] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [178076] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [178116] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6311), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178186] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [178226] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [178268] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6354), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178338] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6355), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178408] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [178448] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    ACTIONS(10184), 1,
      anon_sym_LBRACK,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5821), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6082), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178520] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [178560] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10186), 1,
      sym_identifier,
    ACTIONS(10188), 1,
      anon_sym_interface,
    STATE(7206), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7976), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8151), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178634] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6384), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178704] = 19,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9905), 1,
      anon_sym_LT,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10190), 1,
      sym_identifier,
    ACTIONS(10192), 1,
      anon_sym_interface,
    STATE(7299), 1,
      sym_type_parameters,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7982), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8141), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178778] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6340), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178848] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6360), 3,
      sym_constructor_invocation,
      sym__unescaped_annotation,
      aux_sym_file_annotation_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [178918] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 33,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [178958] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    ACTIONS(10194), 1,
      anon_sym_LBRACK,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6127), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(6578), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179030] = 18,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    ACTIONS(10196), 1,
      anon_sym_LBRACK,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7886), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8042), 2,
      sym_constructor_invocation,
      sym__unescaped_annotation,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179102] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [179144] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8707), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179215] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8703), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179286] = 3,
    ACTIONS(10198), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6503), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [179327] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [179366] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [179405] = 5,
    ACTIONS(10158), 1,
      anon_sym_QMARK,
    ACTIONS(10160), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [179450] = 5,
    ACTIONS(10200), 1,
      anon_sym_QMARK,
    ACTIONS(10202), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [179495] = 3,
    ACTIONS(10204), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6509), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [179536] = 4,
    ACTIONS(10206), 1,
      anon_sym_QMARK,
    ACTIONS(10208), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [179579] = 5,
    ACTIONS(10158), 1,
      anon_sym_QMARK,
    ACTIONS(10160), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [179624] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6521), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [179665] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8831), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179736] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8693), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179807] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8828), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179878] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8887), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [179949] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8826), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180020] = 4,
    ACTIONS(10210), 1,
      anon_sym_QMARK,
    ACTIONS(10212), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [180063] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8766), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180134] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8737), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180205] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8809), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180276] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [180317] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [180356] = 4,
    ACTIONS(10206), 1,
      anon_sym_QMARK,
    ACTIONS(10208), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [180399] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8930), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180470] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [180511] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [180552] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(10214), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(10383), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180623] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [180664] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8738), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180735] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8928), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180806] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [180845] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8820), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180916] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8811), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [180987] = 4,
    ACTIONS(10180), 1,
      anon_sym_QMARK,
    ACTIONS(10182), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181030] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [181071] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(10383), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181142] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181183] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8757), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181254] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8843), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181325] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(3014), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181366] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8835), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181437] = 4,
    ACTIONS(10210), 1,
      anon_sym_QMARK,
    ACTIONS(10212), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181480] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8736), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181551] = 5,
    ACTIONS(10200), 1,
      anon_sym_QMARK,
    ACTIONS(10202), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [181596] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8702), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181667] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6529), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181708] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8729), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181779] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8882), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181850] = 4,
    ACTIONS(10180), 1,
      anon_sym_QMARK,
    ACTIONS(10182), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [181893] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8881), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [181964] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [182003] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [182042] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8912), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182113] = 5,
    ACTIONS(10158), 1,
      anon_sym_QMARK,
    ACTIONS(10160), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [182158] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8818), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182229] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8822), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182300] = 4,
    ACTIONS(10128), 1,
      anon_sym_QMARK,
    ACTIONS(10130), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [182343] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8704), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182414] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(3018), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [182455] = 4,
    ACTIONS(10180), 1,
      anon_sym_QMARK,
    ACTIONS(10182), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [182498] = 4,
    ACTIONS(10128), 1,
      anon_sym_QMARK,
    ACTIONS(10130), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [182541] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8937), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182612] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [182651] = 5,
    ACTIONS(10200), 1,
      anon_sym_QMARK,
    ACTIONS(10202), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [182696] = 4,
    ACTIONS(10210), 1,
      anon_sym_QMARK,
    ACTIONS(10212), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [182739] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8865), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182810] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8731), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [182881] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [182922] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [182963] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6513), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183004] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6517), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183045] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8866), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183116] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [183159] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8921), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183230] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8879), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183301] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8909), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183372] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [183415] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8935), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183486] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [183527] = 3,
    ACTIONS(10218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6439), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183568] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(3022), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183609] = 3,
    ACTIONS(10220), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6445), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183650] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8873), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183721] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8718), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [183792] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [183831] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(6525), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183872] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [183911] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 32,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_QMARK,
      anon_sym_AMP,
  [183950] = 4,
    ACTIONS(10206), 1,
      anon_sym_QMARK,
    ACTIONS(10208), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [183993] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8752), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184064] = 4,
    ACTIONS(10128), 1,
      anon_sym_QMARK,
    ACTIONS(10130), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 30,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184107] = 4,
    ACTIONS(10222), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10225), 2,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(2142), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184150] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8723), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184221] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8746), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184292] = 18,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(3734), 1,
      anon_sym_RPAREN,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8717), 1,
      sym_type,
    STATE(9193), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184363] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
    ACTIONS(3010), 29,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184404] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_LPAREN,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(4612), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9847), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184472] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(2039), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9768), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184540] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184578] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(5506), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9825), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184646] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184684] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10235), 1,
      anon_sym_LPAREN,
    STATE(3354), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9154), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184752] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10237), 1,
      anon_sym_LPAREN,
    STATE(3433), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9164), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184820] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10239), 1,
      anon_sym_LPAREN,
    STATE(3703), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9173), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [184888] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6463), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184926] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [184964] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185002] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10241), 1,
      anon_sym_LPAREN,
    STATE(620), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9182), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [185070] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6467), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185108] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10243), 1,
      anon_sym_LPAREN,
    STATE(3789), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9189), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [185176] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185214] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10245), 1,
      anon_sym_LPAREN,
    STATE(3862), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9197), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [185282] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185320] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185358] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10247), 1,
      anon_sym_LPAREN,
    STATE(3958), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9209), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [185426] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6471), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185464] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6475), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185502] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6479), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185540] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6483), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185578] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6487), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185616] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6491), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185654] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6495), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185692] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6499), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185730] = 3,
    ACTIONS(10249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6503), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185770] = 3,
    ACTIONS(10251), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6509), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185810] = 3,
    ACTIONS(10253), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6439), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185850] = 3,
    ACTIONS(10255), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6445), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [185890] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10257), 1,
      anon_sym_LPAREN,
    STATE(5374), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9331), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [185958] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(2313), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9220), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186026] = 17,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9723), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8400), 1,
      sym__reserved_identifier,
    STATE(8981), 1,
      sym_type,
    STATE(10383), 1,
      sym_parameter,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186094] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_LPAREN,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5237), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9305), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186162] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(5333), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9315), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186230] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6459), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [186268] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10259), 1,
      anon_sym_LPAREN,
    STATE(5238), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9300), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186336] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6451), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [186374] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10259), 1,
      anon_sym_LPAREN,
    STATE(5041), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9363), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186442] = 3,
    ACTIONS(10261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6503), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [186482] = 3,
    ACTIONS(10263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6509), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [186522] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10265), 1,
      anon_sym_LPAREN,
    STATE(3174), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9421), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186590] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(4854), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9617), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186658] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(2012), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9618), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186726] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(3413), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9425), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186794] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10233), 1,
      anon_sym_LPAREN,
    STATE(4806), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9630), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186862] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10259), 1,
      anon_sym_LPAREN,
    STATE(4547), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9628), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [186930] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [186968] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [187006] = 3,
    ACTIONS(10269), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6439), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [187046] = 3,
    ACTIONS(10271), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6445), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [187086] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10273), 1,
      anon_sym_LPAREN,
    STATE(3267), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9640), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187154] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6455), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [187192] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10265), 1,
      anon_sym_LPAREN,
    STATE(2341), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9776), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187260] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10267), 1,
      anon_sym_LPAREN,
    STATE(2492), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9777), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187328] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10273), 1,
      anon_sym_LPAREN,
    STATE(2514), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9778), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187396] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10231), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9779), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187464] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10235), 1,
      anon_sym_LPAREN,
    STATE(2527), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9780), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187532] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10237), 1,
      anon_sym_LPAREN,
    STATE(2540), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9781), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187600] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10239), 1,
      anon_sym_LPAREN,
    STATE(2737), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9782), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187668] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10241), 1,
      anon_sym_LPAREN,
    STATE(474), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9783), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187736] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10243), 1,
      anon_sym_LPAREN,
    STATE(2753), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9784), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187804] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10245), 1,
      anon_sym_LPAREN,
    STATE(2759), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9785), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187872] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10247), 1,
      anon_sym_LPAREN,
    STATE(2766), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9786), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [187940] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10257), 1,
      anon_sym_LPAREN,
    STATE(4808), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9631), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188008] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    ACTIONS(10259), 1,
      anon_sym_LPAREN,
    STATE(4426), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9746), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188076] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_LPAREN,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5362), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9829), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188144] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 31,
      sym__semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_RBRACE,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [188182] = 17,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10227), 1,
      anon_sym_LPAREN,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(4644), 1,
      sym_function_value_parameters,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9549), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188250] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4869), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188315] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5798), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188380] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5030), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188445] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8010), 1,
      sym__simple_user_type,
    STATE(9917), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188510] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(10283), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5819), 1,
      sym__simple_user_type,
    STATE(5941), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10467), 1,
      sym_function_type_parameters,
    STATE(10872), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5861), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188575] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [188612] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2915), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188677] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [188714] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(3000), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188779] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(3002), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188844] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(3153), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188909] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(3155), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [188974] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6691), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7938), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189039] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7933), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189104] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6692), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7950), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189169] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7958), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189234] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(10297), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7876), 1,
      sym__simple_user_type,
    STATE(7960), 1,
      sym_type,
    STATE(10602), 1,
      sym_function_type_parameters,
    STATE(10897), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7878), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189299] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(10297), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7876), 1,
      sym__simple_user_type,
    STATE(7967), 1,
      sym_type,
    STATE(10602), 1,
      sym_function_type_parameters,
    STATE(10897), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7878), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189364] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7948), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189429] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7934), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189494] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8395), 1,
      sym__simple_user_type,
    STATE(10075), 1,
      sym_type,
    STATE(10517), 1,
      sym__receiver_type,
    STATE(11017), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189559] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5942), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189624] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [189661] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6451), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [189698] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [189735] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8240), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189800] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6739), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8250), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189865] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [189902] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8247), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [189967] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4306), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190032] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(3156), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190097] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(3157), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190162] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(3517), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190227] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(3531), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190292] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6568), 1,
      sym_type,
    STATE(6713), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190357] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6593), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190422] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6557), 1,
      sym_type,
    STATE(6714), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190487] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6545), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190552] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(10305), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6395), 1,
      sym__simple_user_type,
    STATE(6573), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10611), 1,
      sym_function_type_parameters,
    STATE(10899), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6450), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190617] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(10305), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6395), 1,
      sym__simple_user_type,
    STATE(6525), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10611), 1,
      sym_function_type_parameters,
    STATE(10899), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6450), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190682] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6596), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190747] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6533), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190812] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5899), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10194), 1,
      sym_type,
    STATE(10938), 1,
      sym_function_type_parameters,
    STATE(11019), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190877] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5931), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [190942] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [190979] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2086), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191044] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(582), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191109] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(585), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191174] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(589), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191239] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(588), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191304] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6599), 1,
      sym_type,
    STATE(6729), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191369] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6560), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191434] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6569), 1,
      sym_type,
    STATE(6730), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191499] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6536), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191564] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(10319), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6378), 1,
      sym__simple_user_type,
    STATE(6597), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10625), 1,
      sym_function_type_parameters,
    STATE(10900), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6508), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191629] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(10319), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6378), 1,
      sym__simple_user_type,
    STATE(6531), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10625), 1,
      sym_function_type_parameters,
    STATE(10900), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6508), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191694] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6595), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191759] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6529), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191824] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7847), 1,
      sym__simple_user_type,
    STATE(9913), 1,
      sym_type,
    STATE(10990), 1,
      sym_function_type_parameters,
    STATE(11220), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191889] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8197), 1,
      sym__simple_user_type,
    STATE(9851), 1,
      sym_type,
    STATE(10548), 1,
      sym_function_type_parameters,
    STATE(10567), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [191954] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8676), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192019] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5957), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192084] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6761), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8283), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192149] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8264), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192214] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(10321), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8188), 1,
      sym__simple_user_type,
    STATE(8253), 1,
      sym_type,
    STATE(10783), 1,
      sym__receiver_type,
    STATE(11356), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8213), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192279] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6455), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [192316] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6459), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [192353] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9065), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192418] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3598), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192483] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(3185), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192548] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(3186), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192613] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(3563), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192678] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(3570), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192743] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6752), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8328), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192808] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8332), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192873] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6753), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8663), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [192938] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8546), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193003] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(10335), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8208), 1,
      sym__simple_user_type,
    STATE(8319), 1,
      sym_type,
    STATE(10686), 1,
      sym_function_type_parameters,
    STATE(10912), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8268), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193068] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(10337), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8397), 1,
      sym__simple_user_type,
    STATE(8558), 1,
      sym_type,
    STATE(10770), 1,
      sym__receiver_type,
    STATE(11123), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8522), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193133] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8341), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193198] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8551), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193263] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10339), 1,
      sym_identifier,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4359), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10013), 1,
      sym_type,
    STATE(10593), 1,
      sym__receiver_type,
    STATE(11159), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193328] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6463), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [193365] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6467), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [193402] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8237), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193467] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(10337), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8397), 1,
      sym__simple_user_type,
    STATE(8616), 1,
      sym_type,
    STATE(10770), 1,
      sym__receiver_type,
    STATE(11123), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8522), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193532] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(10321), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8188), 1,
      sym__simple_user_type,
    STATE(8281), 1,
      sym_type,
    STATE(10783), 1,
      sym__receiver_type,
    STATE(11356), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8213), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193597] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2869), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193662] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8276), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193727] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3200), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193792] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3201), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193857] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3590), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193922] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3600), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [193987] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6044), 1,
      sym_type,
    STATE(6772), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194052] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6018), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194117] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5866), 1,
      sym_type,
    STATE(6773), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194182] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5918), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194247] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10361), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5882), 1,
      sym__simple_user_type,
    STATE(6017), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10698), 1,
      sym_function_type_parameters,
    STATE(10913), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5959), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194312] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(10363), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5785), 1,
      sym__simple_user_type,
    STATE(5885), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10494), 1,
      sym_function_type_parameters,
    STATE(10802), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5807), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194377] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6015), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194442] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5874), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194507] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5764), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10144), 1,
      sym_type,
    STATE(10590), 1,
      sym_function_type_parameters,
    STATE(10607), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194572] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6471), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194609] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8644), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194674] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6475), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194711] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8236), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194776] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6479), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194813] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6483), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194850] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5010), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [194915] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6487), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194952] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6491), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [194989] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6495), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [195026] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6499), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [195063] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(3225), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195128] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(3226), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195193] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(3621), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195258] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(3632), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195323] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2517), 1,
      sym_type,
    STATE(6796), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195388] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2482), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195453] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6797), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7854), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195518] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7844), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195583] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10383), 1,
      anon_sym_dynamic,
    STATE(2246), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2525), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10741), 1,
      sym_function_type_parameters,
    STATE(10922), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2523), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195648] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(10385), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7748), 1,
      sym__simple_user_type,
    STATE(7875), 1,
      sym_type,
    STATE(10815), 1,
      sym__receiver_type,
    STATE(11125), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7835), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195713] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2485), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195778] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7861), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195843] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8199), 1,
      sym__simple_user_type,
    STATE(10312), 1,
      sym_type,
    STATE(10624), 1,
      sym__receiver_type,
    STATE(11198), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195908] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8579), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [195973] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9745), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [196010] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8947), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196075] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2787), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196140] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4529), 1,
      sym_type,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196205] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8565), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196270] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6077), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196335] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6191), 1,
      sym_type,
    STATE(6812), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196400] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6228), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196465] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6813), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8305), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196530] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8363), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196595] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(10393), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6093), 1,
      sym__simple_user_type,
    STATE(6217), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10754), 1,
      sym_function_type_parameters,
    STATE(10924), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6154), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196660] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(10335), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8208), 1,
      sym__simple_user_type,
    STATE(8308), 1,
      sym_type,
    STATE(10686), 1,
      sym_function_type_parameters,
    STATE(10912), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8268), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196725] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6276), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196790] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8368), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196855] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7818), 1,
      sym__simple_user_type,
    STATE(10426), 1,
      sym_type,
    STATE(10437), 1,
      sym_function_type_parameters,
    STATE(10643), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [196920] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [196957] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8562), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197022] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2789), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197087] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6824), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8435), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197152] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8462), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197217] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6028), 1,
      sym_type,
    STATE(6825), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197282] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6064), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197347] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10395), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8290), 1,
      sym__simple_user_type,
    STATE(8403), 1,
      sym_type,
    STATE(10772), 1,
      sym_function_type_parameters,
    STATE(10926), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8311), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197412] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10361), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5882), 1,
      sym__simple_user_type,
    STATE(6058), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10698), 1,
      sym_function_type_parameters,
    STATE(10913), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5959), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197477] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8463), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197542] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6040), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197607] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10397), 1,
      sym_identifier,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5809), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9966), 1,
      sym_type,
    STATE(10663), 1,
      sym__receiver_type,
    STATE(11182), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197672] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6916), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7946), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197737] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7988), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197802] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8610), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197867] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(3052), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197932] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4553), 1,
      sym_type,
    STATE(6872), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [197997] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4465), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198062] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6514), 1,
      sym_type,
    STATE(6839), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198127] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6577), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198192] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5972), 1,
      sym_type,
    STATE(6840), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198257] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5953), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198322] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6372), 1,
      sym__simple_user_type,
    STATE(6515), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10798), 1,
      sym_function_type_parameters,
    STATE(10930), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6466), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198387] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10411), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5799), 1,
      sym__simple_user_type,
    STATE(5951), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10435), 1,
      sym_function_type_parameters,
    STATE(10869), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5902), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198452] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6587), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198517] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5974), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198582] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5837), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9901), 1,
      sym_type,
    STATE(10669), 1,
      sym__receiver_type,
    STATE(11402), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198647] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8615), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198712] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5964), 1,
      sym_type,
    STATE(6679), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198777] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(529), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198842] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [198879] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2624), 1,
      sym_type,
    STATE(6852), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [198944] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2632), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199009] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5932), 1,
      sym_type,
    STATE(6853), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199074] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5958), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199139] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10413), 1,
      anon_sym_dynamic,
    STATE(2467), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2700), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10821), 1,
      sym_function_type_parameters,
    STATE(10934), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2690), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199204] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(10283), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5819), 1,
      sym__simple_user_type,
    STATE(5935), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10467), 1,
      sym_function_type_parameters,
    STATE(10872), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5861), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199269] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2657), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199334] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5933), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199399] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8010), 1,
      sym__simple_user_type,
    STATE(10106), 1,
      sym_type,
    STATE(10673), 1,
      sym__receiver_type,
    STATE(11203), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199464] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7607), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10280), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199529] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(6045), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199594] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8965), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199659] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2986), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199724] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4530), 1,
      sym_type,
    STATE(6935), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199789] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2063), 1,
      sym_type,
    STATE(6866), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199854] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2073), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199919] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2509), 1,
      sym_type,
    STATE(6867), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [199984] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2516), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200049] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10415), 1,
      anon_sym_dynamic,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2045), 1,
      sym__simple_user_type,
    STATE(2078), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10823), 1,
      sym_function_type_parameters,
    STATE(10935), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2083), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200114] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10383), 1,
      anon_sym_dynamic,
    STATE(2246), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2499), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10741), 1,
      sym_function_type_parameters,
    STATE(10922), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2523), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200179] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2049), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200244] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2472), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200309] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5921), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9856), 1,
      sym_type,
    STATE(10469), 1,
      sym_function_type_parameters,
    STATE(10696), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200374] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4468), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200439] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(4533), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10793), 1,
      sym__receiver_type,
    STATE(11183), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200504] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(4642), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10300), 1,
      sym_type,
    STATE(10479), 1,
      sym__receiver_type,
    STATE(10608), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200569] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(3044), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200634] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2769), 1,
      sym_type,
    STATE(6879), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200699] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2720), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200764] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6268), 1,
      sym_type,
    STATE(6880), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200829] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6237), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200894] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10419), 1,
      anon_sym_dynamic,
    STATE(2477), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2746), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10825), 1,
      sym_function_type_parameters,
    STATE(10936), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2765), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [200959] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(10393), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6093), 1,
      sym__simple_user_type,
    STATE(6290), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10754), 1,
      sym_function_type_parameters,
    STATE(10924), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6154), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201024] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2735), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201089] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6247), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201154] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5634), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9924), 1,
      sym_type,
    STATE(10707), 1,
      sym__receiver_type,
    STATE(11024), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201219] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4988), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201284] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2970), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201349] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4275), 1,
      sym_type,
    STATE(6890), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201414] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4277), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201479] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6891), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8420), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201544] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8343), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201609] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10421), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4249), 1,
      sym__simple_user_type,
    STATE(4278), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10835), 1,
      sym_function_type_parameters,
    STATE(10945), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4259), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201674] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10395), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8290), 1,
      sym__simple_user_type,
    STATE(8394), 1,
      sym_type,
    STATE(10772), 1,
      sym_function_type_parameters,
    STATE(10926), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8311), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201739] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4287), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201804] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8322), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201869] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7867), 1,
      sym__simple_user_type,
    STATE(10000), 1,
      sym_type,
    STATE(10443), 1,
      sym_function_type_parameters,
    STATE(10719), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201934] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3104), 1,
      sym_type,
    STATE(6899), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [201999] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3100), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202064] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6100), 1,
      sym_type,
    STATE(6900), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202129] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6075), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202194] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10423), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2855), 1,
      sym__simple_user_type,
    STATE(3110), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10837), 1,
      sym_function_type_parameters,
    STATE(10947), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(3003), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202259] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(10425), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5930), 1,
      sym__simple_user_type,
    STATE(6097), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10570), 1,
      sym_function_type_parameters,
    STATE(10890), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6031), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202324] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3101), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202389] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6083), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202454] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6382), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10132), 1,
      sym_type,
    STATE(10729), 1,
      sym__receiver_type,
    STATE(10753), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202519] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [202556] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5013), 1,
      sym_type,
    STATE(6909), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202621] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4953), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202686] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5806), 1,
      sym_type,
    STATE(6910), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202751] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5811), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202816] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10427), 1,
      anon_sym_dynamic,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4883), 1,
      sym__simple_user_type,
    STATE(4977), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10841), 1,
      sym_function_type_parameters,
    STATE(10952), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202881] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(10429), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5616), 1,
      sym__simple_user_type,
    STATE(5836), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10582), 1,
      sym_function_type_parameters,
    STATE(10893), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5726), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [202946] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5001), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203011] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5838), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203076] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6328), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10267), 1,
      sym_type,
    STATE(10732), 1,
      sym__receiver_type,
    STATE(11109), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203141] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(7127), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7987), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203206] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7975), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203271] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(10431), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7877), 1,
      sym__simple_user_type,
    STATE(7931), 1,
      sym_type,
    STATE(10463), 1,
      sym_function_type_parameters,
    STATE(10681), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203336] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2692), 1,
      sym_type,
    STATE(6921), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203401] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2694), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203466] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6562), 1,
      sym_type,
    STATE(6922), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203531] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6581), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203596] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10433), 1,
      anon_sym_dynamic,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2464), 1,
      sym__simple_user_type,
    STATE(2770), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10846), 1,
      sym_function_type_parameters,
    STATE(10988), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2675), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203661] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6372), 1,
      sym__simple_user_type,
    STATE(6552), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10798), 1,
      sym_function_type_parameters,
    STATE(10930), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6466), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203726] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2745), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203791] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6585), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203856] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8231), 1,
      sym__simple_user_type,
    STATE(10386), 1,
      sym_type,
    STATE(10818), 1,
      sym__receiver_type,
    STATE(11208), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203921] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2706), 1,
      sym_type,
    STATE(6930), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [203986] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2643), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204051] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6931), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7986), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204116] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7966), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204181] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_dynamic,
    STATE(2520), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2774), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10853), 1,
      sym_function_type_parameters,
    STATE(10995), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2731), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204246] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(10297), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7876), 1,
      sym__simple_user_type,
    STATE(7937), 1,
      sym_type,
    STATE(10602), 1,
      sym_function_type_parameters,
    STATE(10897), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7878), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204311] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2760), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204376] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9334), 1,
      sym_identifier,
    ACTIONS(9340), 1,
      anon_sym_LPAREN,
    ACTIONS(9344), 1,
      anon_sym_dynamic,
    STATE(6894), 1,
      sym_type_modifiers,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7873), 1,
      sym__simple_user_type,
    STATE(7979), 1,
      sym_type,
    STATE(10685), 1,
      sym__receiver_type,
    STATE(11215), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7926), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204441] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10353), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5911), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9853), 1,
      sym_type,
    STATE(10850), 1,
      sym__receiver_type,
    STATE(11303), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204506] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(4558), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10793), 1,
      sym__receiver_type,
    STATE(11183), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204571] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4411), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204636] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2929), 1,
      sym_type,
    STATE(6941), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204701] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2868), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204766] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6542), 1,
      sym_type,
    STATE(6942), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204831] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6571), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204896] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10437), 1,
      anon_sym_dynamic,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2752), 1,
      sym__simple_user_type,
    STATE(2848), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10855), 1,
      sym_function_type_parameters,
    STATE(10997), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [204961] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(10305), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6395), 1,
      sym__simple_user_type,
    STATE(6550), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10611), 1,
      sym_function_type_parameters,
    STATE(10899), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6450), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205026] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2898), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205091] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9407), 1,
      sym_identifier,
    ACTIONS(9413), 1,
      anon_sym_LPAREN,
    ACTIONS(9417), 1,
      anon_sym_dynamic,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6383), 1,
      sym__simple_user_type,
    STATE(6530), 1,
      sym_type,
    STATE(6903), 1,
      sym_type_modifiers,
    STATE(10641), 1,
      sym_function_type_parameters,
    STATE(10693), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6539), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6425), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205156] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10377), 1,
      sym_identifier,
    STATE(2322), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9869), 1,
      sym_type,
    STATE(10496), 1,
      sym_function_type_parameters,
    STATE(10878), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205221] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [205258] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(6035), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205323] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(499), 1,
      sym_type,
    STATE(6952), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205388] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(490), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205453] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6565), 1,
      sym_type,
    STATE(6953), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205518] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6513), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205583] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10439), 1,
      anon_sym_dynamic,
    STATE(467), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(500), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10857), 1,
      sym_function_type_parameters,
    STATE(10998), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(478), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205648] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(10319), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6378), 1,
      sym__simple_user_type,
    STATE(6517), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10625), 1,
      sym_function_type_parameters,
    STATE(10900), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6508), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205713] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(493), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205778] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9495), 1,
      sym_identifier,
    ACTIONS(9501), 1,
      anon_sym_LPAREN,
    ACTIONS(9505), 1,
      anon_sym_dynamic,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6318), 1,
      sym__simple_user_type,
    STATE(6559), 1,
      sym_type,
    STATE(6913), 1,
      sym_type_modifiers,
    STATE(10706), 1,
      sym__receiver_type,
    STATE(11148), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6512), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6444), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205843] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6088), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9887), 1,
      sym_type,
    STATE(10518), 1,
      sym_function_type_parameters,
    STATE(10881), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205908] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4144), 1,
      sym_type,
    STATE(7158), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [205973] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4147), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206038] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4604), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206103] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2831), 1,
      sym_type,
    STATE(6964), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206168] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2905), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206233] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2608), 1,
      sym_type,
    STATE(6965), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206298] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2653), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206363] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10441), 1,
      anon_sym_dynamic,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2771), 1,
      sym__simple_user_type,
    STATE(2887), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10862), 1,
      sym_function_type_parameters,
    STATE(10999), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2822), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206428] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10413), 1,
      anon_sym_dynamic,
    STATE(2467), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2621), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10821), 1,
      sym_function_type_parameters,
    STATE(10934), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2690), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206493] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2781), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206558] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2697), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206623] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8285), 1,
      sym__simple_user_type,
    STATE(9910), 1,
      sym_type,
    STATE(10536), 1,
      sym_function_type_parameters,
    STATE(10886), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206688] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4523), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206753] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4422), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206818] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2779), 1,
      sym_type,
    STATE(6975), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206883] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2814), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [206948] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2064), 1,
      sym_type,
    STATE(6976), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207013] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2070), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207078] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10443), 1,
      anon_sym_dynamic,
    STATE(2616), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2867), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10864), 1,
      sym_function_type_parameters,
    STATE(11002), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2927), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207143] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10415), 1,
      anon_sym_dynamic,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2045), 1,
      sym__simple_user_type,
    STATE(2066), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10823), 1,
      sym_function_type_parameters,
    STATE(10935), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2083), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207208] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2818), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207273] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2072), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207338] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6356), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9921), 1,
      sym_type,
    STATE(10594), 1,
      sym_function_type_parameters,
    STATE(10894), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207403] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10190), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7982), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8141), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207468] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2866), 1,
      sym_type,
    STATE(6985), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207533] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2913), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207598] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6986), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8349), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207663] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8374), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207728] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10445), 1,
      anon_sym_dynamic,
    STATE(2625), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2895), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10867), 1,
      sym_function_type_parameters,
    STATE(11003), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2932), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207793] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(10335), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8208), 1,
      sym__simple_user_type,
    STATE(8338), 1,
      sym_type,
    STATE(10686), 1,
      sym_function_type_parameters,
    STATE(10912), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8268), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207858] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2923), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207923] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8327), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [207988] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10285), 1,
      sym_identifier,
    STATE(2500), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9944), 1,
      sym_type,
    STATE(10652), 1,
      sym_function_type_parameters,
    STATE(10906), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208053] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6009), 1,
      sym_type,
    STATE(6992), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208118] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6024), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208183] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10361), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5882), 1,
      sym__simple_user_type,
    STATE(6050), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10698), 1,
      sym_function_type_parameters,
    STATE(10913), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5959), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208248] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6029), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208313] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10307), 1,
      sym_identifier,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2046), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9973), 1,
      sym_type,
    STATE(10672), 1,
      sym_function_type_parameters,
    STATE(10907), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208378] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2633), 1,
      sym_type,
    STATE(6997), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208443] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2761), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208508] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10419), 1,
      anon_sym_dynamic,
    STATE(2477), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2691), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10825), 1,
      sym_function_type_parameters,
    STATE(10936), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2765), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208573] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2607), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208638] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10341), 1,
      sym_identifier,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2518), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9991), 1,
      sym_type,
    STATE(10722), 1,
      sym_function_type_parameters,
    STATE(10920), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208703] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2474), 1,
      sym_type,
    STATE(7002), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208768] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2448), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208833] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10383), 1,
      anon_sym_dynamic,
    STATE(2246), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2491), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10741), 1,
      sym_function_type_parameters,
    STATE(10922), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2523), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208898] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2494), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [208963] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4245), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10012), 1,
      sym_type,
    STATE(10782), 1,
      sym_function_type_parameters,
    STATE(10928), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209028] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6299), 1,
      sym_type,
    STATE(7007), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209093] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6251), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209158] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(10393), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6093), 1,
      sym__simple_user_type,
    STATE(6212), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10754), 1,
      sym_function_type_parameters,
    STATE(10924), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6154), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209223] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9429), 1,
      sym_identifier,
    ACTIONS(9435), 1,
      anon_sym_LPAREN,
    ACTIONS(9439), 1,
      anon_sym_dynamic,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6090), 1,
      sym__simple_user_type,
    STATE(6259), 1,
      sym_type,
    STATE(6956), 1,
      sym_type_modifiers,
    STATE(10746), 1,
      sym__receiver_type,
    STATE(11074), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6198), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6174), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209288] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10323), 1,
      sym_identifier,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2816), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10024), 1,
      sym_type,
    STATE(10790), 1,
      sym_function_type_parameters,
    STATE(10929), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209353] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4936), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209418] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4996), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209483] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5331), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209548] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(7015), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8409), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209613] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8427), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209678] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10395), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8290), 1,
      sym__simple_user_type,
    STATE(8422), 1,
      sym_type,
    STATE(10772), 1,
      sym_function_type_parameters,
    STATE(10926), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8311), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209743] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9371), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_dynamic,
    STATE(6968), 1,
      sym_type_modifiers,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8282), 1,
      sym__simple_user_type,
    STATE(8428), 1,
      sym_type,
    STATE(10768), 1,
      sym__receiver_type,
    STATE(11318), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8458), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8361), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209808] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10365), 1,
      sym_identifier,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4866), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10042), 1,
      sym_type,
    STATE(10806), 1,
      sym_function_type_parameters,
    STATE(10931), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209873] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4273), 1,
      sym_type,
    STATE(7020), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [209938] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4281), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210003] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10421), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4249), 1,
      sym__simple_user_type,
    STATE(4274), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10835), 1,
      sym_function_type_parameters,
    STATE(10945), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4259), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210068] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4280), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210133] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10387), 1,
      sym_identifier,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2465), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10050), 1,
      sym_type,
    STATE(10819), 1,
      sym_function_type_parameters,
    STATE(10933), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210198] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3127), 1,
      sym_type,
    STATE(7025), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210263] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3124), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210328] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10423), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2855), 1,
      sym__simple_user_type,
    STATE(3130), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10837), 1,
      sym_function_type_parameters,
    STATE(10947), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(3003), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210393] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3125), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210458] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10291), 1,
      sym_identifier,
    STATE(2488), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10055), 1,
      sym_type,
    STATE(10828), 1,
      sym_function_type_parameters,
    STATE(10937), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210523] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6518), 1,
      sym_type,
    STATE(7030), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210588] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6534), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210653] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6372), 1,
      sym__simple_user_type,
    STATE(6572), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10798), 1,
      sym_function_type_parameters,
    STATE(10930), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6466), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210718] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9589), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(9599), 1,
      anon_sym_dynamic,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6337), 1,
      sym__simple_user_type,
    STATE(6543), 1,
      sym_type,
    STATE(6979), 1,
      sym_type_modifiers,
    STATE(10780), 1,
      sym__receiver_type,
    STATE(11138), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6576), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6412), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210783] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10299), 1,
      sym_identifier,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2715), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10063), 1,
      sym_type,
    STATE(10832), 1,
      sym_function_type_parameters,
    STATE(10944), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210848] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5011), 1,
      sym_type,
    STATE(7035), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210913] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4951), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [210978] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10427), 1,
      anon_sym_dynamic,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4883), 1,
      sym__simple_user_type,
    STATE(4933), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10841), 1,
      sym_function_type_parameters,
    STATE(10952), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211043] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4960), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211108] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10313), 1,
      sym_identifier,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(477), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10069), 1,
      sym_type,
    STATE(10839), 1,
      sym_function_type_parameters,
    STATE(10948), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211173] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2733), 1,
      sym_type,
    STATE(7040), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211238] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2620), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211303] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10433), 1,
      anon_sym_dynamic,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2464), 1,
      sym__simple_user_type,
    STATE(2686), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10846), 1,
      sym_function_type_parameters,
    STATE(10988), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2675), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211368] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2622), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211433] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10329), 1,
      sym_identifier,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2739), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10072), 1,
      sym_type,
    STATE(10843), 1,
      sym_function_type_parameters,
    STATE(10955), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211498] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2611), 1,
      sym_type,
    STATE(7045), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211563] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2627), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211628] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10413), 1,
      anon_sym_dynamic,
    STATE(2467), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2719), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10821), 1,
      sym_function_type_parameters,
    STATE(10934), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2690), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211693] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2630), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211758] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10347), 1,
      sym_identifier,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2708), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10077), 1,
      sym_type,
    STATE(10848), 1,
      sym_function_type_parameters,
    STATE(10993), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211823] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2074), 1,
      sym_type,
    STATE(7050), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211888] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2068), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [211953] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10415), 1,
      anon_sym_dynamic,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2045), 1,
      sym__simple_user_type,
    STATE(2081), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10823), 1,
      sym_function_type_parameters,
    STATE(10935), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2083), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212018] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2069), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212083] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10371), 1,
      sym_identifier,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2722), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(10079), 1,
      sym_type,
    STATE(10851), 1,
      sym_function_type_parameters,
    STATE(11431), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212148] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2711), 1,
      sym_type,
    STATE(7055), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212213] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2663), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212278] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10419), 1,
      anon_sym_dynamic,
    STATE(2477), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2736), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10825), 1,
      sym_function_type_parameters,
    STATE(10936), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2765), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212343] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2664), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212408] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2724), 1,
      sym_type,
    STATE(7059), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212473] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2681), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212538] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_dynamic,
    STATE(2520), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2757), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10853), 1,
      sym_function_type_parameters,
    STATE(10995), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2731), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212603] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2695), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212668] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2873), 1,
      sym_type,
    STATE(7063), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212733] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2846), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212798] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10437), 1,
      anon_sym_dynamic,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2752), 1,
      sym__simple_user_type,
    STATE(2920), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10855), 1,
      sym_function_type_parameters,
    STATE(10997), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212863] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2849), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212928] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4270), 1,
      sym_type,
    STATE(7067), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [212993] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4282), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213058] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(10421), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4249), 1,
      sym__simple_user_type,
    STATE(4279), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10835), 1,
      sym_function_type_parameters,
    STATE(10945), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4259), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213123] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4285), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213188] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3131), 1,
      sym_type,
    STATE(7071), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213253] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3128), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213318] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10423), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2855), 1,
      sym__simple_user_type,
    STATE(3132), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10837), 1,
      sym_function_type_parameters,
    STATE(10947), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(3003), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213383] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3129), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213448] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(487), 1,
      sym_type,
    STATE(7075), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213513] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(502), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213578] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10439), 1,
      anon_sym_dynamic,
    STATE(467), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(489), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10857), 1,
      sym_function_type_parameters,
    STATE(10998), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(478), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213643] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(503), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213708] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4974), 1,
      sym_type,
    STATE(7079), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213773] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5024), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213838] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10427), 1,
      anon_sym_dynamic,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4883), 1,
      sym__simple_user_type,
    STATE(4985), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10841), 1,
      sym_function_type_parameters,
    STATE(10952), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213903] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5005), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [213968] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2894), 1,
      sym_type,
    STATE(7083), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214033] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2880), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214098] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10441), 1,
      anon_sym_dynamic,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2771), 1,
      sym__simple_user_type,
    STATE(2804), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10862), 1,
      sym_function_type_parameters,
    STATE(10999), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2822), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214163] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2881), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214228] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2636), 1,
      sym_type,
    STATE(7087), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214293] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2619), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214358] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10433), 1,
      anon_sym_dynamic,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2464), 1,
      sym__simple_user_type,
    STATE(2642), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10846), 1,
      sym_function_type_parameters,
    STATE(10988), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2675), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214423] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2645), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214488] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2797), 1,
      sym_type,
    STATE(7091), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214553] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2798), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214618] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10443), 1,
      anon_sym_dynamic,
    STATE(2616), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2810), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10864), 1,
      sym_function_type_parameters,
    STATE(11002), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2927), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214683] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2829), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214748] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2806), 1,
      sym_type,
    STATE(7095), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214813] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2856), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214878] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10445), 1,
      anon_sym_dynamic,
    STATE(2625), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2817), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10867), 1,
      sym_function_type_parameters,
    STATE(11003), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2932), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [214943] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2858), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215008] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2606), 1,
      sym_type,
    STATE(7099), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215073] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2725), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215138] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10435), 1,
      anon_sym_dynamic,
    STATE(2520), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2648), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10853), 1,
      sym_function_type_parameters,
    STATE(10995), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2731), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215203] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2726), 1,
      sym_type,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215268] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2813), 1,
      sym_type,
    STATE(7103), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215333] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2874), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215398] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10437), 1,
      anon_sym_dynamic,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2752), 1,
      sym__simple_user_type,
    STATE(2835), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10855), 1,
      sym_function_type_parameters,
    STATE(10997), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2883), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215463] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2877), 1,
      sym_type,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215528] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(495), 1,
      sym_type,
    STATE(7107), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215593] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(504), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215658] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10439), 1,
      anon_sym_dynamic,
    STATE(467), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(496), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10857), 1,
      sym_function_type_parameters,
    STATE(10998), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(478), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215723] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(484), 1,
      sym_type,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215788] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2827), 1,
      sym_type,
    STATE(7111), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215853] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2912), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215918] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10441), 1,
      anon_sym_dynamic,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2771), 1,
      sym__simple_user_type,
    STATE(2854), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10862), 1,
      sym_function_type_parameters,
    STATE(10999), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2822), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [215983] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2921), 1,
      sym_type,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216048] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2842), 1,
      sym_type,
    STATE(7115), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216113] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2916), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216178] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10443), 1,
      anon_sym_dynamic,
    STATE(2616), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2859), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10864), 1,
      sym_function_type_parameters,
    STATE(11002), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2927), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216243] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2893), 1,
      sym_type,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216308] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2844), 1,
      sym_type,
    STATE(7119), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216373] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2796), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216438] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10445), 1,
      anon_sym_dynamic,
    STATE(2625), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2860), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10867), 1,
      sym_function_type_parameters,
    STATE(11003), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2932), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216503] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2852), 1,
      sym_type,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216568] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(9003), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216633] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10364), 1,
      sym_type,
    STATE(10992), 1,
      sym_function_type_parameters,
    STATE(11427), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216698] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5337), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216763] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10151), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216828] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10138), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7962), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8113), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216893] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9397), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [216958] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(10431), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7877), 1,
      sym__simple_user_type,
    STATE(7965), 1,
      sym_type,
    STATE(10463), 1,
      sym_function_type_parameters,
    STATE(10681), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217023] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9130), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217088] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7947), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217153] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7420), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8399), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217218] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7156), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8326), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217283] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8360), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217348] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5114), 1,
      sym_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217413] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8966), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217478] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10449), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7944), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8121), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217543] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7431), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8401), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217608] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9452), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217673] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8868), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217738] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [217775] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8548), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217840] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9040), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [217905] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [217942] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8563), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218007] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9042), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218072] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8564), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218137] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8569), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218202] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9043), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218267] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8571), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218332] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7164), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8307), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218397] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8575), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218462] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4136), 1,
      sym_type,
    STATE(7185), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218527] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8577), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218592] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8357), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218657] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8595), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218722] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8599), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218787] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8214), 1,
      sym__simple_user_type,
    STATE(8313), 1,
      sym_type,
    STATE(10809), 1,
      sym__receiver_type,
    STATE(11012), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218852] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4150), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218917] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(10453), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4087), 1,
      sym__simple_user_type,
    STATE(4118), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10581), 1,
      sym__receiver_type,
    STATE(10595), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4108), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [218982] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8716), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219047] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8517), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219112] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219149] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7935), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219214] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219251] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8214), 1,
      sym__simple_user_type,
    STATE(8346), 1,
      sym_type,
    STATE(10809), 1,
      sym__receiver_type,
    STATE(11012), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219316] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5937), 1,
      sym_type,
    STATE(7583), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219381] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219418] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9025), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219483] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8306), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219548] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6451), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219585] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219622] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8366), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219687] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7337), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9866), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219752] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219789] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 30,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219826] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [219863] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8238), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219928] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4526), 1,
      sym_type,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [219993] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8976), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220058] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9638), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220123] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6455), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [220160] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7514), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9753), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220225] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7515), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9186), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220290] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6459), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [220327] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9793), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220392] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(10453), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4087), 1,
      sym__simple_user_type,
    STATE(4143), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10581), 1,
      sym__receiver_type,
    STATE(10595), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4108), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220457] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4145), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220522] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8209), 1,
      sym__simple_user_type,
    STATE(8329), 1,
      sym_type,
    STATE(10960), 1,
      sym__receiver_type,
    STATE(11260), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220587] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8209), 1,
      sym__simple_user_type,
    STATE(8331), 1,
      sym_type,
    STATE(10960), 1,
      sym__receiver_type,
    STATE(11260), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220652] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7605), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9419), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220717] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7194), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8359), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220782] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5066), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220847] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5068), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220912] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(7227), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8077), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [220977] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8209), 1,
      sym__simple_user_type,
    STATE(8356), 1,
      sym_type,
    STATE(10960), 1,
      sym__receiver_type,
    STATE(11260), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221042] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2135), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221107] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2138), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221172] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9011), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221237] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8047), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221302] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5174), 1,
      sym_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221367] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8539), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221432] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(3141), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221497] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6463), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [221534] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6467), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [221571] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4850), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221636] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(9976), 1,
      sym_type,
    STATE(10658), 1,
      sym_function_type_parameters,
    STATE(11096), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221701] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10166), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7932), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8153), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221766] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9567), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221831] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7187), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8298), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221896] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7961), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8155), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [221961] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7188), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8302), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222026] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6471), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [222063] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6475), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [222100] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8578), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222165] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8365), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222230] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8581), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222295] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8582), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222360] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8584), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222425] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8585), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222490] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8586), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222555] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8587), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222620] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8588), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222685] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8589), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222750] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4962), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222815] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(7264), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8044), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222880] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6479), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [222917] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8065), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [222982] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8000), 1,
      sym__simple_user_type,
    STATE(8070), 1,
      sym_type,
    STATE(10559), 1,
      sym_function_type_parameters,
    STATE(10888), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8028), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223047] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6483), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [223084] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6487), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [223121] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8217), 1,
      sym__simple_user_type,
    STATE(9879), 1,
      sym_type,
    STATE(10434), 1,
      sym__receiver_type,
    STATE(11022), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223186] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10144), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7980), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8168), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223251] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9651), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223316] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7339), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8969), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223381] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6491), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [223418] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10459), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7974), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8169), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223483] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7340), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8970), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223548] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8632), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223613] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6495), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [223650] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6499), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [223687] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8633), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223752] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8634), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223817] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6106), 1,
      sym_type,
    STATE(7404), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223882] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8635), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [223947] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8636), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224012] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8637), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224077] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8638), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224142] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8639), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224207] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8640), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224272] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9736), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224337] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4872), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224402] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9505), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224467] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8677), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224532] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8678), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224597] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8679), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224662] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8680), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224727] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8681), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224792] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8682), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224857] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8683), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224922] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8685), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [224987] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8686), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225052] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9217), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225117] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9222), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225182] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8568), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225247] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8000), 1,
      sym__simple_user_type,
    STATE(8051), 1,
      sym_type,
    STATE(10559), 1,
      sym_function_type_parameters,
    STATE(10888), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8028), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225312] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8666), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225377] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8598), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225442] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8544), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225507] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4137), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225572] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8601), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225637] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9686), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225702] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8674), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225767] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8541), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225832] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8048), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225897] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8543), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [225962] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8552), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226027] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9136), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226092] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8662), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226157] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5289), 1,
      sym_type,
    STATE(7298), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226222] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8665), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226287] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8671), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226352] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8675), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226417] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5235), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226482] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8643), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226547] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8673), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226612] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8554), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226677] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8655), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226742] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8620), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226807] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9288), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226872] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9409), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [226937] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8071), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227002] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8342), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227067] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9764), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227132] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9754), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227197] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9301), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227262] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9496), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227327] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5206), 1,
      sym_type,
    STATE(7306), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227392] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5324), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227457] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(10461), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(5023), 1,
      sym__simple_user_type,
    STATE(5302), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(10689), 1,
      sym__receiver_type,
    STATE(10690), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5094), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227522] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9909), 1,
      anon_sym_dynamic,
    ACTIONS(10463), 1,
      sym_identifier,
    STATE(7569), 1,
      sym_type_modifiers,
    STATE(7942), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8136), 1,
      sym__receiver_type,
    STATE(9907), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8024), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227587] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9616), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227652] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2976), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227717] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8351), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227782] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(9057), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227847] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5030), 1,
      sym_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227912] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7124), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10174), 1,
      sym_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [227977] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(10461), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(5023), 1,
      sym__simple_user_type,
    STATE(5317), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(10689), 1,
      sym__receiver_type,
    STATE(10690), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5094), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228042] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5226), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228107] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8798), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228172] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5236), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228237] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5110), 1,
      sym_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(11196), 1,
      sym_function_type_parameters,
    STATE(11412), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228302] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5174), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228367] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(5105), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228432] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5110), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228497] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5114), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228562] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(5108), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228627] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5030), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228692] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9083), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228757] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9711), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228822] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9085), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228887] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9715), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [228952] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9088), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229017] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(7230), 1,
      sym_type_modifiers,
    STATE(8216), 1,
      sym__simple_user_type,
    STATE(8353), 1,
      sym_type,
    STATE(11007), 1,
      sym_function_type_parameters,
    STATE(11296), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229082] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5028), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229147] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5029), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229212] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5178), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229277] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8904), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229342] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8780), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229407] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5179), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229472] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4994), 1,
      sym_type,
    STATE(7333), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229537] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4465), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229602] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4995), 1,
      sym_type,
    STATE(7334), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229667] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4468), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229732] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(5026), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10644), 1,
      sym_function_type_parameters,
    STATE(10910), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229797] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(4992), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10644), 1,
      sym_function_type_parameters,
    STATE(10910), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229862] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4411), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229927] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4422), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [229992] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10209), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230057] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6099), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230122] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(9029), 1,
      sym_type,
    STATE(10966), 1,
      sym__receiver_type,
    STATE(11016), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230187] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(9030), 1,
      sym_type,
    STATE(10966), 1,
      sym__receiver_type,
    STATE(11016), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230252] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5002), 1,
      sym_type,
    STATE(7343), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230317] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4404), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230382] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(4978), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10644), 1,
      sym_function_type_parameters,
    STATE(10910), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230447] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4403), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230512] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7349), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9016), 1,
      sym_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230577] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5066), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230642] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5076), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230707] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5068), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230772] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(9056), 1,
      sym_type,
    STATE(10966), 1,
      sym__receiver_type,
    STATE(11016), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230837] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5246), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230902] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(5250), 1,
      sym_type,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [230967] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6071), 1,
      sym_type,
    STATE(7447), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231032] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    ACTIONS(10339), 1,
      sym_identifier,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4359), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9874), 1,
      sym_type,
    STATE(10544), 1,
      sym_function_type_parameters,
    STATE(10740), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231097] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8199), 1,
      sym__simple_user_type,
    STATE(9920), 1,
      sym_type,
    STATE(10762), 1,
      sym_function_type_parameters,
    STATE(10941), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231162] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10280), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231227] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5174), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231292] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5110), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231357] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5114), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231422] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10447), 1,
      anon_sym_LPAREN,
    STATE(5030), 1,
      sym_type,
    STATE(7537), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10943), 1,
      sym_function_type_parameters,
    STATE(11304), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231487] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8959), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231552] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9266), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231617] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8960), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231682] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9268), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231747] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8961), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231812] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5262), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231877] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(5279), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [231942] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8972), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232007] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9578), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232072] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8974), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232137] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9582), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232202] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8975), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232267] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8978), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232332] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9727), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232397] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8979), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232462] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9752), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232527] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8980), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232592] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4091), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9929), 1,
      sym_type,
    STATE(11064), 1,
      sym_function_type_parameters,
    STATE(11258), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232657] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8983), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232722] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9802), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232787] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8984), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232852] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9805), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232917] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6091), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [232982] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8985), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233047] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8990), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233112] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9143), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233177] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8991), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233242] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9146), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233307] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8992), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233372] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9162), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233437] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9163), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233502] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9171), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233567] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9172), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233632] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9180), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233697] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9181), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233762] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9187), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233827] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9188), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233892] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9195), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [233957] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9196), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234022] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9207), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234087] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9208), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234152] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9218), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234217] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9219), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234282] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7607), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(10364), 1,
      sym_type,
    STATE(10992), 1,
      sym_function_type_parameters,
    STATE(11427), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234347] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(10425), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5930), 1,
      sym__simple_user_type,
    STATE(6072), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10570), 1,
      sym_function_type_parameters,
    STATE(10890), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6031), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234412] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5174), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234477] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5110), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234542] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5114), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234607] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5030), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234672] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4901), 1,
      sym_type,
    STATE(7435), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234737] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6042), 1,
      sym_type,
    STATE(7529), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234802] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5174), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234867] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4865), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234932] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9665), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [234997] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(9698), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235062] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9803), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235099] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9817), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235136] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6001), 1,
      sym_type,
    STATE(7539), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235201] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9733), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235238] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5110), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235303] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(8389), 1,
      sym_type,
    STATE(10473), 1,
      sym_function_type_parameters,
    STATE(10949), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235368] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9755), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235405] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9761), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235442] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235479] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8340), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235544] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [235581] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(6087), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235646] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(9498), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235711] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8258), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235776] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4910), 1,
      sym_type,
    STATE(7463), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235841] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(9603), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235906] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(8406), 1,
      sym_type,
    STATE(10473), 1,
      sym_function_type_parameters,
    STATE(10949), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [235971] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5114), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236036] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4877), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236101] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5987), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236166] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10467), 1,
      anon_sym_dynamic,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4813), 1,
      sym__simple_user_type,
    STATE(4904), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10756), 1,
      sym__receiver_type,
    STATE(11325), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4886), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236231] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8347), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236296] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(9699), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236361] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5030), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236426] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8369), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236491] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8559), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236556] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(7532), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9577), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236621] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8325), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236686] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8619), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236751] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8631), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236816] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5174), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236881] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8648), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [236946] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(10425), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5930), 1,
      sym__simple_user_type,
    STATE(6102), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10570), 1,
      sym_function_type_parameters,
    STATE(10890), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6031), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237011] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9089), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237076] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8651), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237141] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8376), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237206] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [237243] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8576), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237308] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8629), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237373] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8656), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237438] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8660), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237503] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8661), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237568] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2792), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237633] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2845), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237698] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(3005), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237763] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4113), 1,
      sym_type,
    STATE(7467), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237828] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8360), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237893] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4121), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [237958] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10467), 1,
      anon_sym_dynamic,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4813), 1,
      sym__simple_user_type,
    STATE(4878), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10756), 1,
      sym__receiver_type,
    STATE(11325), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4886), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238023] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8357), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238088] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9763), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [238125] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9765), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [238162] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(10453), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4087), 1,
      sym__simple_user_type,
    STATE(4111), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10581), 1,
      sym__receiver_type,
    STATE(10595), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4108), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238227] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2994), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238292] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4879), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238357] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9296), 1,
      sym_identifier,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(9312), 1,
      anon_sym_dynamic,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym__simple_user_type,
    STATE(4123), 1,
      sym_type,
    STATE(7377), 1,
      sym_type_modifiers,
    STATE(10486), 1,
      sym_function_type_parameters,
    STATE(10523), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4117), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4100), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238422] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8367), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238487] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8366), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238552] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [238589] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(7476), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9655), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238654] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5066), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238719] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10469), 1,
      anon_sym_dynamic,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(9546), 1,
      sym_type,
    STATE(10650), 1,
      sym__receiver_type,
    STATE(10794), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9838), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238784] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5068), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238849] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(7480), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7940), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238914] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7984), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [238979] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(10431), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7877), 1,
      sym__simple_user_type,
    STATE(7936), 1,
      sym_type,
    STATE(10463), 1,
      sym_function_type_parameters,
    STATE(10681), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7923), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239044] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9513), 1,
      anon_sym_LPAREN,
    ACTIONS(9517), 1,
      anon_sym_dynamic,
    STATE(6733), 1,
      sym_type_modifiers,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7858), 1,
      sym__simple_user_type,
    STATE(7968), 1,
      sym_type,
    STATE(10908), 1,
      sym_function_type_parameters,
    STATE(11241), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7939), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7889), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239109] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6074), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239174] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5314), 1,
      sym_type,
    STATE(7485), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239239] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5309), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239304] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(10461), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(5023), 1,
      sym__simple_user_type,
    STATE(5251), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(10689), 1,
      sym__receiver_type,
    STATE(10690), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5094), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239369] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9486), 1,
      anon_sym_LPAREN,
    ACTIONS(9490), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4990), 1,
      sym__simple_user_type,
    STATE(5315), 1,
      sym_type,
    STATE(7499), 1,
      sym_type_modifiers,
    STATE(11170), 1,
      sym_function_type_parameters,
    STATE(11217), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5321), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5079), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239434] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 30,
      sym__class_member_semi,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [239471] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4891), 1,
      sym_type,
    STATE(7490), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239536] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4913), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239601] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10467), 1,
      anon_sym_dynamic,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4813), 1,
      sym__simple_user_type,
    STATE(4908), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10756), 1,
      sym__receiver_type,
    STATE(11325), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4886), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239666] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4870), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239731] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5862), 1,
      sym_type,
    STATE(7496), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239796] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5888), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239861] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5871), 1,
      sym_type,
    STATE(7501), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239926] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5910), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [239991] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(10363), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5785), 1,
      sym__simple_user_type,
    STATE(5878), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10494), 1,
      sym_function_type_parameters,
    STATE(10802), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5807), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240056] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4921), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240121] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(9587), 1,
      anon_sym_dynamic,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(5938), 1,
      sym__simple_user_type,
    STATE(6098), 1,
      sym_type,
    STATE(6870), 1,
      sym_type_modifiers,
    STATE(10671), 1,
      sym__receiver_type,
    STATE(11371), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6069), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(6049), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240186] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9480), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(4957), 1,
      sym__simple_user_type,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(9870), 1,
      sym_type,
    STATE(11192), 1,
      sym_function_type_parameters,
    STATE(11401), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240251] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9241), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240316] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(10363), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5785), 1,
      sym__simple_user_type,
    STATE(5914), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10494), 1,
      sym_function_type_parameters,
    STATE(10802), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5807), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240381] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5880), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240446] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9448), 1,
      sym_identifier,
    ACTIONS(9454), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_dynamic,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5759), 1,
      sym__simple_user_type,
    STATE(5857), 1,
      sym_type,
    STATE(6776), 1,
      sym_type_modifiers,
    STATE(10606), 1,
      sym__receiver_type,
    STATE(11025), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5797), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240511] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(7506), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8259), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240576] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8261), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240641] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(10321), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8188), 1,
      sym__simple_user_type,
    STATE(8271), 1,
      sym_type,
    STATE(10783), 1,
      sym__receiver_type,
    STATE(11356), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8213), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240706] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8256), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240771] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4563), 1,
      sym_type,
    STATE(7510), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240836] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4404), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240901] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_dynamic,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4372), 1,
      sym__simple_user_type,
    STATE(4543), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10793), 1,
      sym__receiver_type,
    STATE(11183), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4418), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [240966] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4403), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241031] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7567), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8364), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241096] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8294), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241161] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8833), 1,
      sym__simple_user_type,
    STATE(9540), 1,
      sym_type,
    STATE(10635), 1,
      sym_function_type_parameters,
    STATE(10904), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241226] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8833), 1,
      sym__simple_user_type,
    STATE(9541), 1,
      sym_type,
    STATE(10635), 1,
      sym_function_type_parameters,
    STATE(10904), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241291] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8318), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241356] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(7519), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8076), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241421] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8052), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241486] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(10457), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8000), 1,
      sym__simple_user_type,
    STATE(8064), 1,
      sym_type,
    STATE(10559), 1,
      sym_function_type_parameters,
    STATE(10888), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8028), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241551] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      anon_sym_dynamic,
    STATE(6856), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(7996), 1,
      sym__simple_user_type,
    STATE(8055), 1,
      sym_type,
    STATE(10666), 1,
      sym__receiver_type,
    STATE(11162), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8066), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8018), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241616] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(10471), 1,
      anon_sym_dynamic,
    STATE(6678), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8000), 1,
      sym__simple_user_type,
    STATE(10099), 1,
      sym_type,
    STATE(10658), 1,
      sym_function_type_parameters,
    STATE(11096), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8037), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241681] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(5968), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241746] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(7609), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9724), 1,
      sym_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241811] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(6084), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241876] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4436), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [241941] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5110), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242006] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7586), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8464), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242071] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5066), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242136] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5849), 1,
      sym__simple_user_type,
    STATE(6004), 1,
      sym_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10963), 1,
      sym__receiver_type,
    STATE(11131), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242201] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4780), 1,
      sym_type,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242266] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4781), 1,
      sym_type,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242331] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10469), 1,
      anon_sym_dynamic,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(9726), 1,
      sym_type,
    STATE(10650), 1,
      sym__receiver_type,
    STATE(10794), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9838), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242396] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9094), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242461] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4255), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242526] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6101), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242591] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4423), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242656] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(9889), 1,
      sym_type,
    STATE(10950), 1,
      sym_function_type_parameters,
    STATE(11413), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242721] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4471), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242786] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5849), 1,
      sym__simple_user_type,
    STATE(6014), 1,
      sym_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10963), 1,
      sym__receiver_type,
    STATE(11131), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242851] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4599), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [242916] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [242953] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4261), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243018] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [243055] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8698), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243120] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4406), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243185] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(5068), 1,
      sym_type,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243250] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4262), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243315] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4263), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243380] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(7589), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8623), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243445] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8641), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243510] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9921), 1,
      sym_identifier,
    ACTIONS(9925), 1,
      anon_sym_LPAREN,
    ACTIONS(9927), 1,
      anon_sym_dynamic,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4252), 1,
      sym__simple_user_type,
    STATE(4265), 1,
      sym_type,
    STATE(7004), 1,
      sym_type_modifiers,
    STATE(10814), 1,
      sym__receiver_type,
    STATE(11004), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4268), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4254), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243575] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2938), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243640] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(1975), 1,
      sym_type,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243705] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(1976), 1,
      sym_type,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243770] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2944), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243835] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(3108), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243900] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(3126), 1,
      sym_type,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [243965] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(7562), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7859), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244030] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7857), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244095] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(7563), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7863), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244160] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7866), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244225] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(10385), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7748), 1,
      sym__simple_user_type,
    STATE(7865), 1,
      sym_type,
    STATE(10815), 1,
      sym__receiver_type,
    STATE(11125), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7835), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244290] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(10385), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7748), 1,
      sym__simple_user_type,
    STATE(7860), 1,
      sym_type,
    STATE(10815), 1,
      sym__receiver_type,
    STATE(11125), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7835), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244355] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7870), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244420] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(9401), 1,
      anon_sym_LPAREN,
    ACTIONS(9405), 1,
      anon_sym_dynamic,
    STATE(6816), 1,
      sym_type_modifiers,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7768), 1,
      sym__simple_user_type,
    STATE(7868), 1,
      sym_type,
    STATE(10640), 1,
      sym__receiver_type,
    STATE(11310), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7849), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(7829), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244485] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8343), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244550] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8214), 1,
      sym__simple_user_type,
    STATE(8316), 1,
      sym_type,
    STATE(10809), 1,
      sym__receiver_type,
    STATE(11012), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244615] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8322), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244680] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9460), 1,
      sym_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(10471), 1,
      anon_sym_dynamic,
    STATE(6678), 1,
      sym_type_modifiers,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8000), 1,
      sym__simple_user_type,
    STATE(10205), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8037), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244745] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4469), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244810] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4476), 1,
      sym_type,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244875] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4574), 1,
      sym_type,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [244940] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_LPAREN,
    ACTIONS(10369), 1,
      anon_sym_dynamic,
    STATE(4575), 1,
      sym_type,
    STATE(4849), 1,
      sym__simple_user_type,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(7017), 1,
      sym_type_modifiers,
    STATE(10845), 1,
      sym__receiver_type,
    STATE(11191), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4991), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245005] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4569), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245070] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    ACTIONS(10465), 1,
      anon_sym_LPAREN,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4522), 1,
      sym_type,
    STATE(7353), 1,
      sym_type_modifiers,
    STATE(10509), 1,
      sym_function_type_parameters,
    STATE(10709), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245135] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(9889), 1,
      anon_sym_LPAREN,
    ACTIONS(9891), 1,
      anon_sym_dynamic,
    STATE(6734), 1,
      sym_type_modifiers,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8182), 1,
      sym__simple_user_type,
    STATE(8241), 1,
      sym_type,
    STATE(10579), 1,
      sym__receiver_type,
    STATE(11160), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8257), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8224), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245200] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [245237] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10353), 1,
      sym_identifier,
    ACTIONS(10357), 1,
      anon_sym_LPAREN,
    ACTIONS(10359), 1,
      anon_sym_dynamic,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5870), 1,
      sym__simple_user_type,
    STATE(6094), 1,
      sym_type,
    STATE(6934), 1,
      sym_type_modifiers,
    STATE(10731), 1,
      sym__receiver_type,
    STATE(11332), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6025), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5947), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245302] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4343), 1,
      sym_type,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245367] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6019), 1,
      sym_type,
    STATE(7649), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245432] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10339), 1,
      sym_identifier,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(10403), 1,
      anon_sym_dynamic,
    STATE(4356), 1,
      sym_type,
    STATE(4357), 1,
      sym__simple_user_type,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(6756), 1,
      sym_type_modifiers,
    STATE(10591), 1,
      sym__receiver_type,
    STATE(11056), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4451), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4401), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245497] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5066), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245562] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(10283), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5819), 1,
      sym__simple_user_type,
    STATE(5963), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10467), 1,
      sym_function_type_parameters,
    STATE(10872), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5861), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245627] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(9248), 1,
      sym_type,
    STATE(10752), 1,
      sym_function_type_parameters,
    STATE(10940), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245692] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6760), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8540), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245757] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(8392), 1,
      sym_type,
    STATE(10473), 1,
      sym_function_type_parameters,
    STATE(10949), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245822] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8446), 1,
      sym__simple_user_type,
    STATE(8537), 1,
      sym_type,
    STATE(10514), 1,
      sym__receiver_type,
    STATE(11018), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8530), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245887] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9346), 1,
      sym_identifier,
    ACTIONS(9352), 1,
      anon_sym_LPAREN,
    ACTIONS(9356), 1,
      anon_sym_dynamic,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5810), 1,
      sym__simple_user_type,
    STATE(6103), 1,
      sym_type,
    STATE(6843), 1,
      sym_type_modifiers,
    STATE(10662), 1,
      sym__receiver_type,
    STATE(10734), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5907), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [245952] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9389), 1,
      anon_sym_LPAREN,
    ACTIONS(10337), 1,
      anon_sym_dynamic,
    STATE(6695), 1,
      sym_type_modifiers,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8397), 1,
      sym__simple_user_type,
    STATE(8547), 1,
      sym_type,
    STATE(10770), 1,
      sym__receiver_type,
    STATE(11123), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8622), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8522), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246017] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [246054] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    STATE(5068), 1,
      sym_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5854), 1,
      sym__simple_user_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10565), 1,
      sym__receiver_type,
    STATE(10884), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246119] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(9251), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246184] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2080), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246249] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2061), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246314] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(1992), 1,
      sym_type,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246379] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(1996), 1,
      sym_type,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246444] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5948), 1,
      sym_type,
    STATE(7601), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246509] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5922), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246574] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5962), 1,
      sym_type,
    STATE(7602), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246639] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5976), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246704] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10411), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5799), 1,
      sym__simple_user_type,
    STATE(5980), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10435), 1,
      sym_function_type_parameters,
    STATE(10869), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5902), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246769] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10411), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5799), 1,
      sym__simple_user_type,
    STATE(5971), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10435), 1,
      sym_function_type_parameters,
    STATE(10869), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5902), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246834] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5966), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246899] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10397), 1,
      sym_identifier,
    ACTIONS(10405), 1,
      anon_sym_LPAREN,
    ACTIONS(10407), 1,
      anon_sym_dynamic,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5834), 1,
      sym__simple_user_type,
    STATE(5969), 1,
      sym_type,
    STATE(6828), 1,
      sym_type_modifiers,
    STATE(10648), 1,
      sym__receiver_type,
    STATE(11230), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5973), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5879), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [246964] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(10451), 1,
      anon_sym_dynamic,
    STATE(7354), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8833), 1,
      sym__simple_user_type,
    STATE(9542), 1,
      sym_type,
    STATE(10635), 1,
      sym_function_type_parameters,
    STATE(10904), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8270), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247029] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 30,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_while,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [247066] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(7355), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8180), 1,
      sym__simple_user_type,
    STATE(10320), 1,
      sym_type,
    STATE(11142), 1,
      sym__receiver_type,
    STATE(11144), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247131] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2676), 1,
      sym_type,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247196] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10469), 1,
      anon_sym_dynamic,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8187), 1,
      sym__simple_user_type,
    STATE(9687), 1,
      sym_type,
    STATE(10650), 1,
      sym__receiver_type,
    STATE(10794), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9838), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247261] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    ACTIONS(10229), 1,
      anon_sym_dynamic,
    STATE(5114), 1,
      sym_type,
    STATE(7205), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(10626), 1,
      sym_function_type_parameters,
    STATE(11400), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(9588), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247326] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8590), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247391] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8963), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247456] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3317), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247521] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2211), 1,
      sym_type,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247586] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10377), 1,
      sym_identifier,
    ACTIONS(10379), 1,
      anon_sym_LPAREN,
    ACTIONS(10381), 1,
      anon_sym_dynamic,
    STATE(2212), 1,
      sym_type,
    STATE(2334), 1,
      sym__simple_user_type,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(6945), 1,
      sym_type_modifiers,
    STATE(10700), 1,
      sym_function_type_parameters,
    STATE(10738), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2473), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2487), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247651] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2348), 1,
      sym_type,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247716] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10285), 1,
      sym_identifier,
    ACTIONS(10287), 1,
      anon_sym_LPAREN,
    ACTIONS(10289), 1,
      anon_sym_dynamic,
    STATE(2349), 1,
      sym_type,
    STATE(2561), 1,
      sym__simple_user_type,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(6989), 1,
      sym_type_modifiers,
    STATE(10792), 1,
      sym__receiver_type,
    STATE(11272), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2768), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2740), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247781] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2353), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247846] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10307), 1,
      sym_identifier,
    ACTIONS(10309), 1,
      anon_sym_LPAREN,
    ACTIONS(10311), 1,
      anon_sym_dynamic,
    STATE(2035), 1,
      sym__simple_user_type,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2355), 1,
      sym_type,
    STATE(6994), 1,
      sym_type_modifiers,
    STATE(10797), 1,
      sym__receiver_type,
    STATE(11169), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2050), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2056), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247911] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2361), 1,
      sym_type,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [247976] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2363), 1,
      sym_type,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248041] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2372), 1,
      sym_type,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248106] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2373), 1,
      sym_type,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248171] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2382), 1,
      sym_type,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248236] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10291), 1,
      sym_identifier,
    ACTIONS(10293), 1,
      anon_sym_LPAREN,
    ACTIONS(10295), 1,
      anon_sym_dynamic,
    STATE(2383), 1,
      sym_type,
    STATE(2565), 1,
      sym__simple_user_type,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(7027), 1,
      sym_type_modifiers,
    STATE(10871), 1,
      sym__receiver_type,
    STATE(11409), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2749), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2650), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248301] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2979), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248366] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2556), 1,
      sym_type,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248431] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10299), 1,
      sym_identifier,
    ACTIONS(10301), 1,
      anon_sym_LPAREN,
    ACTIONS(10303), 1,
      anon_sym_dynamic,
    STATE(2557), 1,
      sym_type,
    STATE(2634), 1,
      sym__simple_user_type,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(7032), 1,
      sym_type_modifiers,
    STATE(10462), 1,
      sym_function_type_parameters,
    STATE(10877), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2862), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2785), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248496] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2984), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248561] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(461), 1,
      sym_type,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248626] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10313), 1,
      sym_identifier,
    ACTIONS(10315), 1,
      anon_sym_LPAREN,
    ACTIONS(10317), 1,
      anon_sym_dynamic,
    STATE(462), 1,
      sym_type,
    STATE(470), 1,
      sym__simple_user_type,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(7037), 1,
      sym_type_modifiers,
    STATE(10493), 1,
      sym_function_type_parameters,
    STATE(10880), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(483), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(497), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248691] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(3145), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248756] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2573), 1,
      sym_type,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248821] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10329), 1,
      sym_identifier,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(10333), 1,
      anon_sym_dynamic,
    STATE(2575), 1,
      sym_type,
    STATE(2652), 1,
      sym__simple_user_type,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(7042), 1,
      sym_type_modifiers,
    STATE(10515), 1,
      sym_function_type_parameters,
    STATE(10883), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2865), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2926), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248886] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10387), 1,
      sym_identifier,
    ACTIONS(10389), 1,
      anon_sym_LPAREN,
    ACTIONS(10391), 1,
      anon_sym_dynamic,
    STATE(2441), 1,
      sym__simple_user_type,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(3151), 1,
      sym_type,
    STATE(7022), 1,
      sym_type_modifiers,
    STATE(10868), 1,
      sym__receiver_type,
    STATE(11278), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2638), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2659), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [248951] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2584), 1,
      sym_type,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249016] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10349), 1,
      anon_sym_LPAREN,
    ACTIONS(10351), 1,
      anon_sym_dynamic,
    STATE(2586), 1,
      sym_type,
    STATE(2678), 1,
      sym__simple_user_type,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(7047), 1,
      sym_type_modifiers,
    STATE(10532), 1,
      sym_function_type_parameters,
    STATE(10887), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2793), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2931), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249081] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5840), 1,
      sym_type,
    STATE(7648), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249146] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2595), 1,
      sym_type,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249211] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10371), 1,
      sym_identifier,
    ACTIONS(10373), 1,
      anon_sym_LPAREN,
    ACTIONS(10375), 1,
      anon_sym_dynamic,
    STATE(2596), 1,
      sym_type,
    STATE(2701), 1,
      sym__simple_user_type,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(7052), 1,
      sym_type_modifiers,
    STATE(10556), 1,
      sym_function_type_parameters,
    STATE(10889), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2820), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2885), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249276] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5818), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249341] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5843), 1,
      sym_type,
    STATE(7653), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249406] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10323), 1,
      sym_identifier,
    ACTIONS(10325), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_dynamic,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(2900), 1,
      sym__simple_user_type,
    STATE(3329), 1,
      sym_type,
    STATE(7009), 1,
      sym_type_modifiers,
    STATE(10817), 1,
      sym__receiver_type,
    STATE(11094), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(3099), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2980), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249471] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8608), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249536] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5842), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249601] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(5257), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249666] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(5258), 1,
      sym_type,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249731] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(10429), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5616), 1,
      sym__simple_user_type,
    STATE(5841), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10582), 1,
      sym_function_type_parameters,
    STATE(10893), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5726), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249796] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(10281), 1,
      anon_sym_dynamic,
    STATE(5259), 1,
      sym__reserved_identifier,
    STATE(5849), 1,
      sym__simple_user_type,
    STATE(6061), 1,
      sym_type,
    STATE(6717), 1,
      sym_type_modifiers,
    STATE(10963), 1,
      sym__receiver_type,
    STATE(11131), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4967), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249861] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9893), 1,
      sym_identifier,
    ACTIONS(9897), 1,
      anon_sym_LPAREN,
    ACTIONS(9899), 1,
      anon_sym_dynamic,
    STATE(6925), 1,
      sym_type_modifiers,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8211), 1,
      sym__simple_user_type,
    STATE(8533), 1,
      sym_type,
    STATE(10541), 1,
      sym_function_type_parameters,
    STATE(10724), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8333), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8255), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249926] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(3136), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [249991] = 16,
    ACTIONS(67), 1,
      anon_sym_dynamic,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9573), 1,
      anon_sym_LPAREN,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(7122), 1,
      sym_type_modifiers,
    STATE(8178), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__simple_user_type,
    STATE(8687), 1,
      sym_type,
    STATE(10989), 1,
      sym_function_type_parameters,
    STATE(11075), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5120), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4961), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250056] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(10429), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5616), 1,
      sym__simple_user_type,
    STATE(5835), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10582), 1,
      sym_function_type_parameters,
    STATE(10893), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5726), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250121] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9552), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_dynamic,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5619), 1,
      sym__simple_user_type,
    STATE(5833), 1,
      sym_type,
    STATE(6883), 1,
      sym_type_modifiers,
    STATE(10680), 1,
      sym__receiver_type,
    STATE(11429), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5805), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(5789), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250186] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4513), 1,
      sym_type,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250251] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10275), 1,
      sym_identifier,
    ACTIONS(10277), 1,
      anon_sym_LPAREN,
    ACTIONS(10279), 1,
      anon_sym_dynamic,
    STATE(4514), 1,
      sym_type,
    STATE(4799), 1,
      sym__simple_user_type,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(6873), 1,
      sym_type_modifiers,
    STATE(10477), 1,
      sym__receiver_type,
    STATE(11171), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4905), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(4858), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250316] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10341), 1,
      sym_identifier,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    ACTIONS(10345), 1,
      anon_sym_dynamic,
    STATE(2468), 1,
      sym__simple_user_type,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2975), 1,
      sym_type,
    STATE(6999), 1,
      sym_type_modifiers,
    STATE(10481), 1,
      sym_function_type_parameters,
    STATE(10807), 1,
      sym__receiver_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2680), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(2615), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250381] = 16,
    ACTIONS(441), 1,
      anon_sym_suspend,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(9419), 1,
      sym_identifier,
    ACTIONS(9423), 1,
      anon_sym_LPAREN,
    ACTIONS(9427), 1,
      anon_sym_dynamic,
    STATE(6800), 1,
      sym_type_modifiers,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8212), 1,
      sym__simple_user_type,
    STATE(8367), 1,
      sym_type,
    STATE(10621), 1,
      sym__receiver_type,
    STATE(11323), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7994), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    STATE(8335), 2,
      sym_non_nullable_type,
      sym_function_type,
    STATE(8244), 3,
      sym_user_type,
      sym_nullable_type,
      sym_parenthesized_type,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [250446] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9817), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250482] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [250520] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250556] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [250594] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250630] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250666] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250702] = 3,
    ACTIONS(9803), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2410), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [250740] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9763), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250776] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9765), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250812] = 3,
    ACTIONS(9817), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2418), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [250850] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [250888] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250924] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9803), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250960] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9817), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [250996] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9733), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251032] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9755), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251068] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9761), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251104] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9745), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251140] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251176] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251212] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251250] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9803), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251286] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251322] = 3,
    ACTIONS(9765), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2434), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251360] = 3,
    ACTIONS(9745), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251398] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251434] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9733), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251470] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9755), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251506] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9761), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251542] = 3,
    ACTIONS(9755), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9753), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251580] = 3,
    ACTIONS(9761), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9759), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251618] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9745), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251654] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251690] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251726] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251762] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251798] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251834] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251872] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251908] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 29,
      anon_sym_AT,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [251944] = 3,
    ACTIONS(9763), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2426), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [251982] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [252018] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [252056] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [252094] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9763), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [252130] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9765), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [252166] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 29,
      anon_sym_AT,
      anon_sym_get,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
  [252202] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [252240] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [252278] = 3,
    ACTIONS(9733), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9731), 28,
      anon_sym_enum,
      anon_sym_sealed,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_tailrec,
      anon_sym_operator,
      anon_sym_infix,
      anon_sym_inline,
      anon_sym_external,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_internal,
      anon_sym_abstract,
      anon_sym_final,
      anon_sym_open,
      anon_sym_override,
      anon_sym_lateinit,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [252316] = 5,
    ACTIONS(10473), 1,
      anon_sym_LT,
    STATE(7841), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [252354] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [252390] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10479), 1,
      anon_sym_RPAREN,
    STATE(8118), 1,
      sym_parameter_modifiers,
    STATE(8989), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252437] = 10,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252484] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10481), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252531] = 10,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252578] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10483), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252625] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10485), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252672] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10487), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252719] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10489), 1,
      anon_sym_RPAREN,
    STATE(8138), 1,
      sym_parameter_modifiers,
    STATE(8957), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252766] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10491), 1,
      anon_sym_RPAREN,
    STATE(8111), 1,
      sym_parameter_modifiers,
    STATE(9046), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252813] = 10,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252860] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10493), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252907] = 10,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [252954] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10495), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253001] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10497), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253048] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10499), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253095] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10501), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253142] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10503), 1,
      anon_sym_RPAREN,
    STATE(8120), 1,
      sym_parameter_modifiers,
    STATE(9017), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253189] = 5,
    ACTIONS(10505), 1,
      anon_sym_DOT,
    STATE(7752), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [253226] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10508), 1,
      anon_sym_RPAREN,
    STATE(8125), 1,
      sym_parameter_modifiers,
    STATE(9049), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253273] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10510), 1,
      anon_sym_RPAREN,
    STATE(8140), 1,
      sym_parameter_modifiers,
    STATE(8968), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253320] = 10,
    ACTIONS(8790), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253367] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10512), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253414] = 10,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253461] = 10,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253508] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [253543] = 6,
    ACTIONS(10514), 1,
      anon_sym_DOT,
    STATE(7752), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [253582] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10518), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253629] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10520), 1,
      anon_sym_RPAREN,
    STATE(8167), 1,
      sym_parameter_modifiers,
    STATE(9064), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253676] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10522), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253723] = 10,
    ACTIONS(8794), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253770] = 10,
    ACTIONS(8657), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253817] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10524), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253864] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10526), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253911] = 10,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [253958] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10528), 1,
      anon_sym_RPAREN,
    STATE(8152), 1,
      sym_parameter_modifiers,
    STATE(9013), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254005] = 10,
    ACTIONS(8595), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254052] = 5,
    ACTIONS(10530), 1,
      anon_sym_DOT,
    STATE(7759), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [254089] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10534), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254136] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10536), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254183] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10538), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254230] = 5,
    ACTIONS(10540), 1,
      anon_sym_DOT,
    STATE(7752), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [254267] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10543), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254314] = 10,
    ACTIONS(8696), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254361] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10545), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254408] = 10,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254455] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10547), 1,
      anon_sym_RPAREN,
    STATE(8135), 1,
      sym_parameter_modifiers,
    STATE(8944), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254502] = 10,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254549] = 5,
    ACTIONS(10514), 1,
      anon_sym_DOT,
    STATE(7752), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [254586] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10549), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254633] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254680] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10553), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254727] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254774] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10557), 1,
      anon_sym_RPAREN,
    STATE(8100), 1,
      sym_parameter_modifiers,
    STATE(8973), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254821] = 10,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254868] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254915] = 10,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [254962] = 5,
    ACTIONS(10561), 1,
      anon_sym_DOT,
    STATE(7729), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [254999] = 10,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255046] = 10,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255093] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10564), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255140] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10566), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255187] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10568), 1,
      anon_sym_RPAREN,
    STATE(8117), 1,
      sym_parameter_modifiers,
    STATE(9009), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255234] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10570), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255281] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10572), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255328] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10574), 1,
      anon_sym_RPAREN,
    STATE(8097), 1,
      sym_parameter_modifiers,
    STATE(9080), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255375] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10576), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255422] = 10,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255469] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10578), 1,
      anon_sym_RPAREN,
    STATE(8114), 1,
      sym_parameter_modifiers,
    STATE(9060), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255516] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255563] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10582), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255610] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10584), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      sym_parameter_modifiers,
    STATE(9074), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255657] = 10,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255704] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10586), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255751] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10588), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255798] = 10,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255845] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10590), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255892] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10592), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255939] = 10,
    ACTIONS(8532), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [255986] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256033] = 10,
    ACTIONS(8498), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256080] = 10,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256127] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256174] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10598), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256221] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10600), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256268] = 10,
    ACTIONS(8760), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256315] = 10,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256362] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10602), 1,
      anon_sym_RPAREN,
    STATE(8112), 1,
      sym_parameter_modifiers,
    STATE(9101), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256409] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [256442] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10604), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256489] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10606), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256536] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10608), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256583] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256630] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10612), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256677] = 10,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256724] = 10,
    ACTIONS(8591), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256771] = 10,
    ACTIONS(8764), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256818] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10614), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256865] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10616), 1,
      anon_sym_RPAREN,
    STATE(8115), 1,
      sym_parameter_modifiers,
    STATE(9132), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256912] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    STATE(8134), 1,
      sym_parameter_modifiers,
    STATE(9095), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [256959] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10620), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257006] = 10,
    ACTIONS(8742), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257053] = 10,
    ACTIONS(8573), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257100] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10622), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257147] = 10,
    ACTIONS(8587), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257194] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10624), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257241] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10626), 1,
      anon_sym_RPAREN,
    STATE(8104), 1,
      sym_parameter_modifiers,
    STATE(9032), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257288] = 6,
    ACTIONS(10530), 1,
      anon_sym_DOT,
    STATE(7737), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [257327] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10628), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257374] = 10,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257421] = 10,
    ACTIONS(8728), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257468] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10630), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257515] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10632), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257562] = 10,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257609] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10634), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257656] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10636), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257703] = 10,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(10638), 1,
      anon_sym_RPAREN,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257750] = 10,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [257797] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [257831] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [257863] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [257897] = 5,
    ACTIONS(10640), 1,
      anon_sym_LT,
    STATE(7901), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [257933] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [257965] = 5,
    ACTIONS(10642), 1,
      anon_sym_LT,
    STATE(7902), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258001] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258035] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(10644), 1,
      anon_sym_LPAREN,
    ACTIONS(10647), 1,
      anon_sym_QMARK,
    ACTIONS(10649), 1,
      anon_sym_AMP,
    STATE(7956), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258075] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258107] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258141] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258173] = 9,
    ACTIONS(10475), 1,
      sym_identifier,
    ACTIONS(10477), 1,
      anon_sym_AT,
    STATE(8132), 1,
      sym_parameter_modifiers,
    STATE(9415), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7955), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [258217] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258249] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258281] = 5,
    ACTIONS(10651), 1,
      anon_sym_DOT,
    STATE(7843), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [258316] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258347] = 5,
    ACTIONS(10654), 1,
      anon_sym_DOT,
    STATE(7872), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258382] = 6,
    ACTIONS(10654), 1,
      anon_sym_DOT,
    STATE(7872), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2513), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258419] = 6,
    ACTIONS(10658), 1,
      anon_sym_DOT,
    STATE(7846), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2558), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258456] = 9,
    ACTIONS(10662), 1,
      sym_identifier,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10668), 1,
      anon_sym_DASH_GT,
    STATE(9277), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8057), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10060), 3,
      sym_variable_declaration,
      sym_multi_variable_declaration,
      sym__lambda_parameter,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [258499] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258530] = 5,
    ACTIONS(10670), 1,
      anon_sym_DOT,
    STATE(7872), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258565] = 9,
    ACTIONS(10662), 1,
      sym_identifier,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10673), 1,
      anon_sym_DASH_GT,
    STATE(9277), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8057), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10060), 3,
      sym_variable_declaration,
      sym_multi_variable_declaration,
      sym__lambda_parameter,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [258608] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 9,
      anon_sym_COLON,
      anon_sym_val,
      anon_sym_where,
      anon_sym_by,
      anon_sym_in,
      anon_sym_while,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2408), 13,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [258639] = 6,
    ACTIONS(10675), 1,
      anon_sym_DOT,
    STATE(7843), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [258676] = 5,
    ACTIONS(10647), 1,
      anon_sym_QMARK,
    ACTIONS(10649), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258711] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [258742] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 7,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258773] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258804] = 5,
    ACTIONS(10679), 1,
      anon_sym_DOT,
    STATE(7850), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258839] = 5,
    ACTIONS(10647), 1,
      anon_sym_QMARK,
    ACTIONS(10649), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258874] = 5,
    ACTIONS(10682), 1,
      anon_sym_QMARK,
    ACTIONS(10684), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258909] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [258940] = 5,
    ACTIONS(10686), 1,
      anon_sym_DOT,
    STATE(7843), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [258975] = 5,
    ACTIONS(10647), 1,
      anon_sym_QMARK,
    ACTIONS(10649), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259010] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259043] = 5,
    ACTIONS(10682), 1,
      anon_sym_QMARK,
    ACTIONS(10684), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259078] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259111] = 6,
    ACTIONS(10689), 1,
      anon_sym_DOT,
    STATE(7853), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259148] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259181] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259214] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259245] = 5,
    ACTIONS(10675), 1,
      anon_sym_DOT,
    STATE(7843), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259280] = 5,
    ACTIONS(10693), 1,
      anon_sym_DOT,
    STATE(7872), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259315] = 5,
    ACTIONS(10696), 1,
      anon_sym_DOT,
    STATE(7862), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259350] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259383] = 5,
    ACTIONS(10682), 1,
      anon_sym_QMARK,
    ACTIONS(10684), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259418] = 5,
    ACTIONS(10689), 1,
      anon_sym_DOT,
    STATE(7871), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259453] = 5,
    ACTIONS(10658), 1,
      anon_sym_DOT,
    STATE(7845), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259488] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259520] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259550] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10701), 1,
      anon_sym_DOT,
    ACTIONS(10703), 1,
      anon_sym_LPAREN,
    STATE(6173), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4846), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [259592] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259624] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10707), 1,
      anon_sym_LPAREN,
    STATE(6080), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4715), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [259666] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [259698] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10711), 1,
      anon_sym_DOT,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    STATE(6144), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4875), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [259740] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259770] = 7,
    ACTIONS(10715), 1,
      anon_sym_LPAREN,
    ACTIONS(10718), 1,
      anon_sym_QMARK,
    ACTIONS(10720), 1,
      anon_sym_AMP,
    STATE(8017), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 2,
      anon_sym_AT,
      anon_sym_RBRACK,
    ACTIONS(6422), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259808] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10722), 1,
      anon_sym_DOT,
    STATE(6144), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4899), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [259850] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    STATE(6144), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4899), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [259892] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259924] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2666), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259956] = 5,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10728), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(10730), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(7891), 2,
      sym_variance_modifier,
      aux_sym_type_projection_repeat1,
    ACTIONS(10726), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [259990] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10735), 1,
      anon_sym_LPAREN,
    STATE(3920), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1966), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260032] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10737), 1,
      anon_sym_DOT,
    ACTIONS(10739), 1,
      anon_sym_LPAREN,
    STATE(3920), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1966), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260074] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10707), 1,
      anon_sym_LPAREN,
    STATE(6080), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4745), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260116] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10735), 1,
      anon_sym_LPAREN,
    STATE(3920), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1956), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260158] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    STATE(6144), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4857), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260200] = 8,
    ACTIONS(10662), 1,
      sym_identifier,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    STATE(9277), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8057), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10060), 3,
      sym_variable_declaration,
      sym_multi_variable_declaration,
      sym__lambda_parameter,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260240] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [260270] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [260300] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(10741), 1,
      anon_sym_LPAREN,
    ACTIONS(10743), 1,
      anon_sym_QMARK,
    ACTIONS(10745), 1,
      anon_sym_AMP,
    STATE(8043), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [260338] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [260368] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [260398] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [260428] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10739), 1,
      anon_sym_LPAREN,
    ACTIONS(10747), 1,
      anon_sym_DOT,
    STATE(3920), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1944), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260470] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10703), 1,
      anon_sym_LPAREN,
    ACTIONS(10749), 1,
      anon_sym_DOT,
    STATE(6173), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4856), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260512] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10751), 1,
      anon_sym_DOT,
    ACTIONS(10753), 1,
      anon_sym_LPAREN,
    STATE(6080), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4620), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260554] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [260584] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10707), 1,
      anon_sym_LPAREN,
    STATE(6080), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4789), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260626] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10703), 1,
      anon_sym_LPAREN,
    ACTIONS(10755), 1,
      anon_sym_DOT,
    STATE(6173), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4893), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260668] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    STATE(6173), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4893), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260710] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [260740] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [260770] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 6,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [260800] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10753), 1,
      anon_sym_LPAREN,
    ACTIONS(10759), 1,
      anon_sym_DOT,
    STATE(6080), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4745), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260842] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    STATE(6173), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4852), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260884] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10699), 1,
      sym_identifier,
    ACTIONS(10757), 1,
      anon_sym_LPAREN,
    STATE(6173), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4846), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8045), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260926] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10724), 1,
      anon_sym_LPAREN,
    STATE(6144), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4914), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [260968] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10705), 1,
      sym_identifier,
    ACTIONS(10753), 1,
      anon_sym_LPAREN,
    ACTIONS(10761), 1,
      anon_sym_DOT,
    STATE(6080), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4715), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8056), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261010] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10739), 1,
      anon_sym_LPAREN,
    ACTIONS(10763), 1,
      anon_sym_DOT,
    STATE(3920), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1945), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261052] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10733), 1,
      sym_identifier,
    ACTIONS(10735), 1,
      anon_sym_LPAREN,
    STATE(3920), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1945), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8072), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261094] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261124] = 9,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10709), 1,
      sym_identifier,
    ACTIONS(10713), 1,
      anon_sym_LPAREN,
    ACTIONS(10765), 1,
      anon_sym_DOT,
    STATE(6144), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4914), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    STATE(8061), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261166] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261198] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11145), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261237] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10769), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261276] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261305] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10475), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261344] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3010), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261373] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3018), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261402] = 6,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(10774), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9317), 2,
      anon_sym_suspend,
      anon_sym_dynamic,
    ACTIONS(10777), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    ACTIONS(10771), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261437] = 5,
    ACTIONS(10779), 1,
      anon_sym_QMARK,
    ACTIONS(10781), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2638), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261470] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8440), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261507] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261536] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261567] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2700), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261598] = 5,
    ACTIONS(10779), 1,
      anon_sym_QMARK,
    ACTIONS(10781), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2676), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261631] = 5,
    ACTIONS(10785), 1,
      anon_sym_QMARK,
    ACTIONS(10787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261664] = 5,
    ACTIONS(10743), 1,
      anon_sym_QMARK,
    ACTIONS(10745), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261697] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261726] = 5,
    ACTIONS(10718), 1,
      anon_sym_QMARK,
    ACTIONS(10720), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2670), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261759] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10789), 1,
      sym_identifier,
    ACTIONS(10797), 1,
      sym_line_comment,
    STATE(8684), 1,
      sym__reserved_identifier,
    ACTIONS(10795), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    ACTIONS(10793), 4,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
      sym_escape_sequence,
    ACTIONS(10791), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [261796] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8299), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261833] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6521), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261862] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8444), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261899] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4284), 1,
      sym_function_value_parameters,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [261936] = 5,
    ACTIONS(10718), 1,
      anon_sym_QMARK,
    ACTIONS(10720), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2685), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261969] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [261998] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262027] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7951), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11274), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262066] = 5,
    ACTIONS(10743), 1,
      anon_sym_QMARK,
    ACTIONS(10745), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262099] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11287), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262138] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7954), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11287), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262177] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6529), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262206] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11302), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262245] = 5,
    ACTIONS(10477), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9729), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7977), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(10807), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262278] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6517), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262307] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6513), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262336] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262367] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7925), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11269), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262406] = 5,
    ACTIONS(10785), 1,
      anon_sym_QMARK,
    ACTIONS(10787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262439] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8419), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262476] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8413), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262513] = 5,
    ACTIONS(5685), 1,
      anon_sym_LT,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262546] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3022), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262575] = 5,
    ACTIONS(10779), 1,
      anon_sym_QMARK,
    ACTIONS(10781), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2642), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262608] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262637] = 5,
    ACTIONS(10785), 1,
      anon_sym_QMARK,
    ACTIONS(10787), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262670] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262699] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7970), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11112), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262738] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10767), 1,
      sym_identifier,
    ACTIONS(10769), 1,
      anon_sym_AT,
    STATE(10131), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8030), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11130), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262777] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8445), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262814] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7924), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(11130), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [262853] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6525), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262882] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4286), 1,
      sym_function_value_parameters,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262919] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2693), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [262950] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8405), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [262987] = 5,
    ACTIONS(10811), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10814), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(7977), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
    ACTIONS(10809), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263020] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3014), 18,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263049] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263078] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4269), 1,
      sym_function_value_parameters,
    STATE(8021), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263115] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263146] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8317), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263183] = 7,
    ACTIONS(5685), 1,
      anon_sym_LT,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8021), 1,
      sym_type_arguments,
    STATE(8382), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2552), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263220] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263249] = 8,
    ACTIONS(10666), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_AT,
    ACTIONS(10805), 1,
      sym_identifier,
    STATE(10227), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7927), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    STATE(10769), 2,
      sym_variable_declaration,
      sym_multi_variable_declaration,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263288] = 5,
    ACTIONS(10743), 1,
      anon_sym_QMARK,
    ACTIONS(10745), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263321] = 5,
    ACTIONS(10718), 1,
      anon_sym_QMARK,
    ACTIONS(10720), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(2638), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263354] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 5,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263383] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10819), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263421] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10821), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263459] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10823), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263497] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10825), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(9292), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263535] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10829), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(10827), 17,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_in,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      anon_sym_out,
      sym_identifier,
  [263563] = 6,
    ACTIONS(9298), 1,
      anon_sym_AT,
    ACTIONS(10833), 1,
      anon_sym_LPAREN,
    ACTIONS(10835), 1,
      anon_sym_suspend,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7999), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    ACTIONS(10831), 14,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263597] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10837), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(9392), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263635] = 5,
    ACTIONS(10839), 1,
      anon_sym_DOT,
    STATE(8001), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263667] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263705] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263743] = 6,
    ACTIONS(10848), 1,
      anon_sym_AT,
    ACTIONS(10851), 1,
      anon_sym_LPAREN,
    ACTIONS(10853), 1,
      anon_sym_suspend,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7999), 2,
      sym_annotation,
      aux_sym_type_modifiers_repeat1,
    ACTIONS(10846), 14,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263777] = 5,
    ACTIONS(10856), 1,
      anon_sym_DOT,
    STATE(8004), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263809] = 5,
    ACTIONS(10860), 1,
      anon_sym_DOT,
    STATE(8007), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263841] = 5,
    ACTIONS(10865), 1,
      anon_sym_AT,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8002), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10863), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [263873] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2578), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263903] = 5,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    STATE(8007), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [263935] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10874), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(9564), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [263973] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10876), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264011] = 5,
    ACTIONS(10878), 1,
      anon_sym_DOT,
    STATE(8007), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264043] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10881), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264081] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10883), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264119] = 6,
    ACTIONS(10856), 1,
      anon_sym_DOT,
    STATE(8013), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264153] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10885), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(9645), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264191] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10887), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264229] = 6,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    STATE(8007), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264263] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10889), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264301] = 8,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10891), 1,
      anon_sym_RPAREN,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(9734), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264339] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2403), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264367] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(6517), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264394] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264423] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(3014), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264450] = 7,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10138), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264485] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2630), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264512] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(10893), 1,
      anon_sym_LPAREN,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(10898), 1,
      anon_sym_AMP,
    STATE(8103), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264547] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2634), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264574] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(8063), 3,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
    ACTIONS(5831), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264603] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10902), 3,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(10900), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264630] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(3018), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264657] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2618), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264684] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264713] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(3022), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264740] = 7,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    ACTIONS(10904), 1,
      sym_identifier,
    ACTIONS(10906), 1,
      anon_sym_AT,
    STATE(10022), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8049), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264775] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264802] = 7,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(11358), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264837] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(10898), 1,
      anon_sym_AMP,
    ACTIONS(10909), 1,
      anon_sym_LPAREN,
    STATE(8103), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264872] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264901] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 3,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
    ACTIONS(3010), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [264928] = 7,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10817), 1,
      sym_identifier,
    STATE(9053), 1,
      sym__reserved_identifier,
    STATE(10450), 1,
      sym_variable_declaration,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8046), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [264963] = 5,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(8068), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(10911), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [264994] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2654), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265021] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2658), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265048] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265074] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6417), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6415), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265100] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6513), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265126] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265152] = 5,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(10898), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265182] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10913), 1,
      sym_identifier,
    STATE(6159), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265214] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10915), 1,
      sym_identifier,
    STATE(9023), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265246] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265272] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265298] = 5,
    ACTIONS(10868), 1,
      anon_sym_LPAREN,
    ACTIONS(10906), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8049), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10863), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265328] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265354] = 5,
    ACTIONS(10917), 1,
      anon_sym_QMARK,
    ACTIONS(10919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265384] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265410] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265436] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6413), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6411), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265462] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265488] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10921), 1,
      sym_identifier,
    STATE(6095), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265520] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10923), 1,
      sym_identifier,
    STATE(9653), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265552] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265578] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10928), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(10925), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265604] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6521), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265630] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10931), 1,
      sym_identifier,
    STATE(6175), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265662] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265688] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265714] = 5,
    ACTIONS(10917), 1,
      anon_sym_QMARK,
    ACTIONS(10919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265744] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265772] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265798] = 3,
    ACTIONS(9745), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265824] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265850] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6529), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [265876] = 5,
    ACTIONS(10917), 1,
      anon_sym_QMARK,
    ACTIONS(10919), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265906] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265934] = 6,
    ACTIONS(10664), 1,
      anon_sym_AT,
    ACTIONS(10933), 1,
      sym_identifier,
    STATE(3926), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [265966] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 16,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [265992] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6525), 15,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_suspend,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      anon_sym_dynamic,
      sym_identifier,
  [266018] = 5,
    ACTIONS(9322), 1,
      anon_sym_LPAREN,
    ACTIONS(10928), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9317), 2,
      anon_sym_suspend,
      anon_sym_dynamic,
    ACTIONS(10925), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266048] = 5,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(10898), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266078] = 5,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(10898), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266108] = 6,
    ACTIONS(10935), 1,
      sym_identifier,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10133), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266139] = 4,
    ACTIONS(10939), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(5831), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266166] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10942), 1,
      sym_identifier,
    STATE(10145), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266197] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10944), 1,
      sym_identifier,
    STATE(10157), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266228] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10946), 1,
      sym_identifier,
    STATE(10413), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266259] = 5,
    ACTIONS(10948), 1,
      sym_identifier,
    STATE(11167), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10950), 2,
      anon_sym_val,
      anon_sym_var,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266288] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10952), 1,
      sym_identifier,
    STATE(9983), 1,
      sym__reserved_identifier,
    STATE(10715), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266319] = 4,
    ACTIONS(10954), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8085), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
    ACTIONS(10863), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266346] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10957), 1,
      sym_identifier,
    STATE(10001), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266377] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10959), 1,
      sym_identifier,
    STATE(10014), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266408] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10961), 1,
      sym_identifier,
    STATE(10250), 1,
      sym__reserved_identifier,
    STATE(10715), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266439] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10963), 1,
      sym_identifier,
    STATE(10265), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266470] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10965), 1,
      sym_identifier,
    STATE(10273), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266501] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10967), 1,
      sym_identifier,
    STATE(10095), 1,
      sym__reserved_identifier,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266532] = 6,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    ACTIONS(10969), 1,
      sym_identifier,
    STATE(10279), 1,
      sym__reserved_identifier,
    STATE(10715), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266563] = 5,
    ACTIONS(10323), 1,
      sym_identifier,
    STATE(2763), 1,
      sym__reserved_identifier,
    STATE(3018), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9939), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266591] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3022), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266615] = 5,
    ACTIONS(10365), 1,
      sym_identifier,
    STATE(4853), 1,
      sym__reserved_identifier,
    STATE(4926), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1885), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266643] = 5,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(7832), 1,
      sym__reserved_identifier,
    STATE(7899), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9338), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266671] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9093), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266699] = 5,
    ACTIONS(9567), 1,
      sym_identifier,
    STATE(4999), 1,
      sym__simple_user_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9571), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266727] = 5,
    ACTIONS(10971), 1,
      sym_identifier,
    ACTIONS(10973), 1,
      anon_sym_DOT,
    STATE(10005), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266755] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9008), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266783] = 5,
    ACTIONS(9407), 1,
      sym_identifier,
    STATE(6282), 1,
      sym__reserved_identifier,
    STATE(6497), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9411), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266811] = 5,
    ACTIONS(9395), 1,
      sym_identifier,
    STATE(7710), 1,
      sym__reserved_identifier,
    STATE(7839), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266839] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6517), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [266863] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9090), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266891] = 5,
    ACTIONS(9495), 1,
      sym_identifier,
    STATE(6229), 1,
      sym__reserved_identifier,
    STATE(6487), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9499), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266919] = 5,
    ACTIONS(9460), 1,
      sym_identifier,
    STATE(7963), 1,
      sym__reserved_identifier,
    STATE(8031), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9464), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266947] = 5,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(5855), 1,
      sym__reserved_identifier,
    STATE(6008), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9581), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [266975] = 5,
    ACTIONS(10387), 1,
      sym_identifier,
    STATE(2444), 1,
      sym__reserved_identifier,
    STATE(2685), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(603), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267003] = 5,
    ACTIONS(10975), 1,
      sym_identifier,
    ACTIONS(10977), 1,
      anon_sym_DOT,
    STATE(9946), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267031] = 5,
    ACTIONS(9893), 1,
      sym_identifier,
    STATE(8194), 1,
      sym__reserved_identifier,
    STATE(8275), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9895), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267059] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(8971), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267087] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9031), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267115] = 5,
    ACTIONS(10952), 1,
      sym_identifier,
    ACTIONS(10979), 1,
      anon_sym_DOT,
    STATE(9983), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267143] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9059), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267171] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9045), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267199] = 5,
    ACTIONS(10275), 1,
      sym_identifier,
    STATE(4800), 1,
      sym__reserved_identifier,
    STATE(4902), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(29), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267227] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9131), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267255] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(8988), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267283] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6513), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [267307] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9015), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267335] = 5,
    ACTIONS(10957), 1,
      sym_identifier,
    ACTIONS(10981), 1,
      anon_sym_DOT,
    STATE(10001), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267363] = 5,
    ACTIONS(10353), 1,
      sym_identifier,
    STATE(5803), 1,
      sym__reserved_identifier,
    STATE(5952), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267391] = 5,
    ACTIONS(10291), 1,
      sym_identifier,
    STATE(2566), 1,
      sym__reserved_identifier,
    STATE(2773), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(491), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267419] = 5,
    ACTIONS(9419), 1,
      sym_identifier,
    STATE(8193), 1,
      sym__reserved_identifier,
    STATE(8274), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267447] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9133), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267475] = 5,
    ACTIONS(10397), 1,
      sym_identifier,
    STATE(5787), 1,
      sym__reserved_identifier,
    STATE(5858), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267503] = 5,
    ACTIONS(9885), 1,
      sym_identifier,
    STATE(8179), 1,
      sym__reserved_identifier,
    STATE(8206), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9887), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267531] = 5,
    ACTIONS(10377), 1,
      sym_identifier,
    STATE(2335), 1,
      sym__reserved_identifier,
    STATE(2478), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(545), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267559] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6525), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [267583] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9073), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267611] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6521), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [267635] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9413), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267663] = 5,
    ACTIONS(9429), 1,
      sym_identifier,
    STATE(6038), 1,
      sym__reserved_identifier,
    STATE(6141), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9433), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267691] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9092), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267719] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(8943), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267747] = 5,
    ACTIONS(10946), 1,
      sym_identifier,
    ACTIONS(10983), 1,
      anon_sym_DOT,
    STATE(10413), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267775] = 5,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(7834), 1,
      sym__reserved_identifier,
    STATE(7913), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9511), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267803] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(8956), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267831] = 5,
    ACTIONS(10299), 1,
      sym_identifier,
    STATE(2662), 1,
      sym__reserved_identifier,
    STATE(2925), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(771), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267859] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(8967), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267887] = 5,
    ACTIONS(10969), 1,
      sym_identifier,
    ACTIONS(10985), 1,
      anon_sym_DOT,
    STATE(10279), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267915] = 5,
    ACTIONS(9371), 1,
      sym_identifier,
    STATE(8232), 1,
      sym__reserved_identifier,
    STATE(8375), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9375), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267943] = 5,
    ACTIONS(9861), 1,
      sym_identifier,
    STATE(4999), 1,
      sym__simple_user_type,
    STATE(8178), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267971] = 5,
    ACTIONS(9448), 1,
      sym_identifier,
    STATE(5601), 1,
      sym__reserved_identifier,
    STATE(5844), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9452), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [267999] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3010), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [268023] = 5,
    ACTIONS(10313), 1,
      sym_identifier,
    STATE(471), 1,
      sym__reserved_identifier,
    STATE(488), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(431), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268051] = 5,
    ACTIONS(9567), 1,
      sym_identifier,
    STATE(4999), 1,
      sym__simple_user_type,
    STATE(5259), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268079] = 5,
    ACTIONS(9589), 1,
      sym_identifier,
    STATE(6232), 1,
      sym__reserved_identifier,
    STATE(6427), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9593), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268107] = 5,
    ACTIONS(9346), 1,
      sym_identifier,
    STATE(5796), 1,
      sym__reserved_identifier,
    STATE(5872), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9350), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268135] = 5,
    ACTIONS(10285), 1,
      sym_identifier,
    STATE(2602), 1,
      sym__reserved_identifier,
    STATE(2730), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(663), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268163] = 5,
    ACTIONS(10987), 1,
      sym_identifier,
    ACTIONS(10989), 1,
      anon_sym_DOT,
    STATE(10110), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268191] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9063), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268219] = 5,
    ACTIONS(10935), 1,
      sym_identifier,
    ACTIONS(10991), 1,
      anon_sym_DOT,
    STATE(10133), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268247] = 5,
    ACTIONS(9552), 1,
      sym_identifier,
    STATE(5526), 1,
      sym__reserved_identifier,
    STATE(5769), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9556), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268275] = 5,
    ACTIONS(10942), 1,
      sym_identifier,
    ACTIONS(10993), 1,
      anon_sym_DOT,
    STATE(10145), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268303] = 5,
    ACTIONS(9480), 1,
      sym_identifier,
    STATE(4894), 1,
      sym__reserved_identifier,
    STATE(5153), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9484), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268331] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3014), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [268355] = 5,
    ACTIONS(10329), 1,
      sym_identifier,
    STATE(2654), 1,
      sym__reserved_identifier,
    STATE(2899), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(825), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268383] = 5,
    ACTIONS(10307), 1,
      sym_identifier,
    STATE(2041), 1,
      sym__reserved_identifier,
    STATE(2091), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(127), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268411] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(6529), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [268435] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(3018), 13,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
      sym_identifier,
  [268459] = 5,
    ACTIONS(10347), 1,
      sym_identifier,
    STATE(2682), 1,
      sym__reserved_identifier,
    STATE(2811), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(879), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268487] = 5,
    ACTIONS(9383), 1,
      sym_identifier,
    STATE(8320), 1,
      sym__reserved_identifier,
    STATE(8532), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9387), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268515] = 5,
    ACTIONS(10995), 1,
      sym_identifier,
    ACTIONS(10997), 1,
      anon_sym_DOT,
    STATE(10224), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268543] = 5,
    ACTIONS(10341), 1,
      sym_identifier,
    STATE(2493), 1,
      sym__reserved_identifier,
    STATE(2713), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(717), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268571] = 5,
    ACTIONS(9296), 1,
      sym_identifier,
    STATE(4066), 1,
      sym__reserved_identifier,
    STATE(4102), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9304), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268599] = 5,
    ACTIONS(10475), 1,
      sym_identifier,
    STATE(9079), 1,
      sym_parameter,
    STATE(11126), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268627] = 5,
    ACTIONS(10961), 1,
      sym_identifier,
    ACTIONS(10999), 1,
      anon_sym_DOT,
    STATE(10250), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268655] = 5,
    ACTIONS(10963), 1,
      sym_identifier,
    ACTIONS(11001), 1,
      anon_sym_DOT,
    STATE(10265), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268683] = 5,
    ACTIONS(10371), 1,
      sym_identifier,
    STATE(2702), 1,
      sym__reserved_identifier,
    STATE(2832), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(933), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268711] = 5,
    ACTIONS(9921), 1,
      sym_identifier,
    STATE(4244), 1,
      sym__reserved_identifier,
    STATE(4260), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9923), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268739] = 5,
    ACTIONS(10339), 1,
      sym_identifier,
    STATE(4358), 1,
      sym__reserved_identifier,
    STATE(4475), 1,
      sym__simple_user_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(209), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268767] = 4,
    ACTIONS(11003), 1,
      sym_identifier,
    STATE(8726), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11005), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268792] = 3,
    ACTIONS(2658), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 13,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
      sym_label,
  [268815] = 4,
    ACTIONS(10948), 1,
      sym_identifier,
    STATE(11167), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268840] = 4,
    ACTIONS(11007), 1,
      sym_identifier,
    STATE(11295), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8093), 12,
      anon_sym_constructor,
      anon_sym_get,
      anon_sym_set,
      anon_sym_enum,
      anon_sym_annotation,
      anon_sym_data,
      anon_sym_inner,
      anon_sym_value,
      anon_sym_operator,
      anon_sym_const,
      anon_sym_expect,
      anon_sym_actual,
  [268865] = 3,
    ACTIONS(2654), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 13,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
      sym_label,
  [268888] = 4,
    ACTIONS(11009), 1,
      anon_sym_LT,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 11,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [268912] = 4,
    ACTIONS(11011), 1,
      anon_sym_LT,
    STATE(8233), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [268936] = 5,
    ACTIONS(2560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    STATE(8196), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [268961] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [268984] = 4,
    ACTIONS(11017), 1,
      anon_sym_DOT,
    STATE(8185), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269007] = 4,
    ACTIONS(11020), 1,
      anon_sym_DOT,
    STATE(8198), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [269030] = 4,
    ACTIONS(11023), 1,
      anon_sym_DOT,
    STATE(8192), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269053] = 4,
    ACTIONS(11027), 1,
      anon_sym_DOT,
    STATE(8192), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269076] = 5,
    ACTIONS(11023), 1,
      anon_sym_DOT,
    STATE(8192), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [269101] = 5,
    ACTIONS(11013), 1,
      anon_sym_DOT,
    STATE(8195), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(2560), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_DASH_GT,
  [269126] = 4,
    ACTIONS(11030), 1,
      anon_sym_DOT,
    STATE(8184), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269149] = 4,
    ACTIONS(11034), 1,
      anon_sym_DOT,
    STATE(8183), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [269172] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 12,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269191] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269212] = 4,
    ACTIONS(11037), 1,
      anon_sym_DOT,
    STATE(8192), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269235] = 5,
    ACTIONS(11040), 1,
      anon_sym_LT,
    STATE(8265), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269260] = 4,
    ACTIONS(11042), 1,
      anon_sym_LT,
    STATE(8279), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269283] = 5,
    ACTIONS(11044), 1,
      anon_sym_DOT,
    STATE(8198), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(2515), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_DASH_GT,
  [269308] = 5,
    ACTIONS(2515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11044), 1,
      anon_sym_DOT,
    STATE(8198), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
  [269333] = 5,
    ACTIONS(11030), 1,
      anon_sym_DOT,
    STATE(8186), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [269358] = 4,
    ACTIONS(11048), 1,
      anon_sym_DOT,
    STATE(8198), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_DASH_GT,
      anon_sym_COLON_COLON,
  [269381] = 6,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(8226), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269407] = 5,
    ACTIONS(11055), 1,
      anon_sym_DOT,
    STATE(8207), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [269431] = 4,
    ACTIONS(11059), 1,
      anon_sym_DOT,
    STATE(8201), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269453] = 4,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269475] = 5,
    ACTIONS(11062), 1,
      anon_sym_DOT,
    STATE(8201), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [269499] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269519] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269541] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269559] = 4,
    ACTIONS(11066), 1,
      anon_sym_DOT,
    STATE(8207), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269581] = 4,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    STATE(8219), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269603] = 4,
    ACTIONS(11073), 1,
      anon_sym_DOT,
    STATE(8210), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269625] = 4,
    ACTIONS(11055), 1,
      anon_sym_DOT,
    STATE(8207), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269647] = 4,
    ACTIONS(11077), 1,
      anon_sym_DOT,
    STATE(8229), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269669] = 5,
    ACTIONS(11080), 1,
      anon_sym_DOT,
    STATE(8220), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2545), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269693] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269713] = 5,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(8225), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2524), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269737] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269755] = 4,
    ACTIONS(11083), 1,
      anon_sym_DOT,
    STATE(8222), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269777] = 5,
    ACTIONS(11073), 1,
      anon_sym_DOT,
    STATE(8200), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [269801] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 11,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269819] = 4,
    ACTIONS(11062), 1,
      anon_sym_DOT,
    STATE(8201), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269841] = 5,
    ACTIONS(11086), 1,
      anon_sym_DOT,
    STATE(8227), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2558), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269865] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269883] = 4,
    ACTIONS(11089), 1,
      anon_sym_DOT,
    STATE(8207), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269905] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269923] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [269943] = 5,
    ACTIONS(11092), 1,
      anon_sym_DOT,
    STATE(8227), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2521), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269967] = 6,
    ACTIONS(11092), 1,
      anon_sym_DOT,
    STATE(8227), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [269993] = 5,
    ACTIONS(11096), 1,
      anon_sym_DOT,
    STATE(8227), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2565), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [270017] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270037] = 4,
    ACTIONS(11099), 1,
      anon_sym_DOT,
    STATE(8201), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270059] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270077] = 5,
    ACTIONS(11069), 1,
      anon_sym_DOT,
    STATE(8203), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [270101] = 5,
    ACTIONS(11102), 1,
      anon_sym_LT,
    STATE(8372), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2552), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2554), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270125] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 11,
      sym__semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270143] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9641), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [270172] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9389), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [270201] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270220] = 10,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    STATE(8650), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10310), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6823), 2,
      sym__semi,
      anon_sym_RBRACE,
  [270253] = 10,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    STATE(8605), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10197), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6811), 2,
      sym__semi,
      anon_sym_RBRACE,
  [270286] = 7,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(11120), 1,
      anon_sym_LPAREN,
    ACTIONS(11122), 1,
      anon_sym_by,
    STATE(8740), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270313] = 10,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    STATE(8668), 1,
      sym_type_constraints,
    STATE(9982), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6799), 2,
      sym__semi,
      anon_sym_RBRACE,
  [270346] = 10,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    STATE(8594), 1,
      sym_type_constraints,
    STATE(10023), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6819), 2,
      sym__semi,
      anon_sym_RBRACE,
  [270379] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(11124), 1,
      anon_sym_LPAREN,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(11128), 1,
      anon_sym_AMP,
    STATE(8630), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [270406] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270425] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [270446] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [270465] = 4,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2578), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2580), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270486] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270503] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270520] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2408), 6,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270539] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270560] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9561), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [270589] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(10356), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [270618] = 4,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270639] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2656), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270656] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270675] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270692] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270709] = 10,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    STATE(8566), 1,
      sym_type_constraints,
    STATE(9963), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6815), 2,
      sym__semi,
      anon_sym_RBRACE,
  [270742] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270763] = 6,
    ACTIONS(11134), 1,
      anon_sym_DOT,
    STATE(8286), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2515), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2513), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [270788] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270805] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2660), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270822] = 9,
    ACTIONS(11138), 1,
      sym_identifier,
    ACTIONS(11140), 1,
      anon_sym_fun,
    ACTIONS(11142), 1,
      anon_sym_object,
    ACTIONS(11146), 1,
      anon_sym_typealias,
    ACTIONS(11148), 1,
      anon_sym_companion,
    ACTIONS(11150), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10188), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(11144), 2,
      anon_sym_val,
      anon_sym_var,
  [270853] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [270872] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270891] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9334), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [270920] = 5,
    ACTIONS(11134), 1,
      anon_sym_DOT,
    STATE(8286), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2521), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2534), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270943] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270962] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [270981] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [271002] = 4,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [271023] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [271044] = 7,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(11120), 1,
      anon_sym_LPAREN,
    ACTIONS(11122), 1,
      anon_sym_by,
    STATE(8740), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [271071] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271090] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271107] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 10,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271124] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271143] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271160] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 10,
      sym__class_member_semi,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271177] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271196] = 4,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [271217] = 5,
    ACTIONS(11152), 1,
      anon_sym_DOT,
    STATE(8284), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2545), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2547), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271240] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 8,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [271261] = 5,
    ACTIONS(11155), 1,
      anon_sym_DOT,
    STATE(8286), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2558), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271284] = 6,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(8260), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2558), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [271309] = 5,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    STATE(8286), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2567), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271332] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9731), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [271361] = 8,
    ACTIONS(11104), 1,
      sym_identifier,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11110), 1,
      sym_reification_modifier,
    STATE(9263), 1,
      sym_type_parameter,
    STATE(11058), 1,
      sym_type_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8438), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [271390] = 5,
    ACTIONS(2618), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2668), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2666), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [271413] = 5,
    ACTIONS(11158), 1,
      anon_sym_DOT,
    STATE(8267), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2524), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2527), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271436] = 6,
    ACTIONS(11165), 1,
      sym_identifier,
    ACTIONS(11167), 1,
      anon_sym_AT,
    STATE(11137), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [271460] = 9,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(5151), 1,
      anon_sym_LPAREN,
    ACTIONS(5165), 1,
      sym_label,
    STATE(2828), 1,
      sym_value_arguments,
    STATE(3717), 1,
      sym_lambda_literal,
    STATE(3744), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8557), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [271490] = 9,
    ACTIONS(887), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(5188), 1,
      anon_sym_LPAREN,
    ACTIONS(5224), 1,
      sym_label,
    STATE(2807), 1,
      sym_value_arguments,
    STATE(3877), 1,
      sym_lambda_literal,
    STATE(3905), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8609), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [271520] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2697), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [271538] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11171), 1,
      sym_identifier,
    STATE(11106), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [271562] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11173), 1,
      sym_identifier,
    STATE(11136), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [271586] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11175), 1,
      sym_identifier,
    STATE(11308), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [271610] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [271630] = 9,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11179), 1,
      anon_sym_COLON,
    STATE(8542), 1,
      sym_type_constraints,
    STATE(9993), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6861), 2,
      sym__semi,
      anon_sym_RBRACE,
  [271660] = 9,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11181), 1,
      anon_sym_COLON,
    STATE(8613), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10213), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6845), 2,
      sym__semi,
      anon_sym_RBRACE,
  [271690] = 9,
    ACTIONS(553), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4277), 1,
      anon_sym_LPAREN,
    ACTIONS(4315), 1,
      sym_label,
    STATE(2531), 1,
      sym_value_arguments,
    STATE(3189), 1,
      sym_lambda_literal,
    STATE(3220), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8553), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [271720] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [271740] = 7,
    ACTIONS(9690), 1,
      anon_sym_LPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11183), 1,
      anon_sym_by,
    STATE(5923), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 4,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [271766] = 9,
    ACTIONS(671), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4483), 1,
      anon_sym_LPAREN,
    ACTIONS(4521), 1,
      sym_label,
    STATE(2748), 1,
      sym_value_arguments,
    STATE(3544), 1,
      sym_lambda_literal,
    STATE(3580), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8614), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [271796] = 4,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [271816] = 10,
    ACTIONS(6799), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8891), 1,
      sym_type_constraints,
    STATE(11219), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271848] = 5,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(11128), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [271870] = 4,
    ACTIONS(11193), 1,
      anon_sym_QMARK,
    ACTIONS(11195), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [271890] = 9,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11197), 1,
      anon_sym_COLON,
    STATE(8611), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10429), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6867), 2,
      sym__semi,
      anon_sym_RBRACE,
  [271920] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11199), 1,
      sym_identifier,
    STATE(11128), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [271944] = 4,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [271964] = 7,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11201), 1,
      anon_sym_LPAREN,
    ACTIONS(11203), 1,
      anon_sym_by,
    STATE(9128), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [271990] = 5,
    ACTIONS(11205), 1,
      anon_sym_QMARK,
    ACTIONS(11207), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272012] = 9,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4377), 1,
      anon_sym_LPAREN,
    ACTIONS(4415), 1,
      sym_label,
    STATE(2610), 1,
      sym_value_arguments,
    STATE(3280), 1,
      sym_lambda_literal,
    STATE(3309), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8606), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272042] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11209), 1,
      sym_identifier,
    STATE(11150), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [272066] = 5,
    ACTIONS(11205), 1,
      anon_sym_QMARK,
    ACTIONS(11207), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272088] = 9,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11211), 1,
      anon_sym_COLON,
    STATE(8560), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10411), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6827), 2,
      sym__semi,
      anon_sym_RBRACE,
  [272118] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2624), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272136] = 4,
    ACTIONS(11193), 1,
      anon_sym_QMARK,
    ACTIONS(11195), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [272156] = 4,
    ACTIONS(11009), 1,
      anon_sym_LT,
    STATE(8495), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [272176] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11213), 1,
      sym_identifier,
    STATE(10483), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [272200] = 5,
    ACTIONS(2624), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [272222] = 3,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 8,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [272240] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2618), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2621), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [272258] = 10,
    ACTIONS(6819), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(8924), 1,
      sym_type_constraints,
    STATE(10630), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272290] = 5,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(11128), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272312] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [272328] = 4,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [272348] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11219), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [272368] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11221), 1,
      sym_identifier,
    STATE(10501), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [272392] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11219), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [272412] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [272428] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [272444] = 9,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(6907), 1,
      anon_sym_LPAREN,
    ACTIONS(6935), 1,
      sym_label,
    STATE(4307), 1,
      sym_value_arguments,
    STATE(4655), 1,
      sym_lambda_literal,
    STATE(4713), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8659), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272474] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2586), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272492] = 9,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(5242), 1,
      anon_sym_LPAREN,
    ACTIONS(5274), 1,
      sym_label,
    STATE(2794), 1,
      sym_value_arguments,
    STATE(3803), 1,
      sym_lambda_literal,
    STATE(3828), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8627), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272522] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11223), 1,
      sym_identifier,
    STATE(10487), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [272546] = 4,
    ACTIONS(11193), 1,
      anon_sym_QMARK,
    ACTIONS(11195), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [272566] = 9,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4842), 1,
      anon_sym_LPAREN,
    ACTIONS(4878), 1,
      sym_label,
    STATE(2629), 1,
      sym_value_arguments,
    STATE(3368), 1,
      sym_lambda_literal,
    STATE(3395), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8592), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272596] = 10,
    ACTIONS(6799), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(8869), 1,
      sym_type_constraints,
    STATE(11360), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272628] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [272644] = 10,
    ACTIONS(6815), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8708), 1,
      sym_type_constraints,
    STATE(11083), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272676] = 5,
    ACTIONS(2697), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [272698] = 9,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4171), 1,
      anon_sym_LPAREN,
    ACTIONS(9219), 1,
      sym_label,
    STATE(1991), 1,
      sym_value_arguments,
    STATE(2139), 1,
      sym_annotated_lambda,
    STATE(2169), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8653), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272728] = 9,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(4900), 1,
      anon_sym_LPAREN,
    ACTIONS(4936), 1,
      sym_label,
    STATE(2668), 1,
      sym_value_arguments,
    STATE(3447), 1,
      sym_lambda_literal,
    STATE(3477), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8570), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272758] = 5,
    ACTIONS(11205), 1,
      anon_sym_QMARK,
    ACTIONS(11207), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [272780] = 10,
    ACTIONS(6811), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(8823), 1,
      sym_type_constraints,
    STATE(11061), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272812] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11225), 1,
      sym_identifier,
    STATE(10522), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [272836] = 4,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [272856] = 9,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    ACTIONS(7307), 1,
      sym_label,
    STATE(4623), 1,
      sym_value_arguments,
    STATE(5210), 1,
      sym_lambda_literal,
    STATE(5322), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8538), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [272886] = 10,
    ACTIONS(6819), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8709), 1,
      sym_type_constraints,
    STATE(11345), 1,
      sym_block,
    STATE(11373), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272918] = 7,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11201), 1,
      anon_sym_LPAREN,
    ACTIONS(11203), 1,
      anon_sym_by,
    STATE(9128), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [272944] = 10,
    ACTIONS(6823), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8889), 1,
      sym_type_constraints,
    STATE(10490), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272976] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11227), 1,
      sym_identifier,
    STATE(10539), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273000] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11229), 1,
      sym_identifier,
    STATE(11252), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273024] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11219), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [273044] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2695), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2693), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [273064] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11231), 1,
      sym_identifier,
    STATE(10436), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273088] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_while,
  [273108] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2650), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [273126] = 4,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273146] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11233), 1,
      sym_identifier,
    STATE(10449), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273170] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [273188] = 5,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(11128), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [273210] = 10,
    ACTIONS(6811), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8883), 1,
      sym_type_constraints,
    STATE(10757), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273242] = 4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2700), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [273262] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2662), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [273280] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 7,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
  [273298] = 10,
    ACTIONS(6815), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(8885), 1,
      sym_type_constraints,
    STATE(11020), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273330] = 9,
    ACTIONS(941), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(5124), 1,
      anon_sym_LPAREN,
    ACTIONS(5138), 1,
      sym_label,
    STATE(2857), 1,
      sym_value_arguments,
    STATE(3974), 1,
      sym_lambda_literal,
    STATE(4002), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8669), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [273360] = 8,
    ACTIONS(11237), 1,
      anon_sym_fun,
    ACTIONS(11239), 1,
      anon_sym_object,
    ACTIONS(11243), 1,
      anon_sym_typealias,
    ACTIONS(11245), 1,
      anon_sym_companion,
    ACTIONS(11247), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11235), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(11241), 2,
      anon_sym_val,
      anon_sym_var,
  [273388] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2630), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2632), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273406] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2634), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2636), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273424] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 9,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_by,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273440] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2565), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2567), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273458] = 10,
    ACTIONS(6823), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(8759), 1,
      sym_type_constraints,
    STATE(10533), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273490] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11249), 1,
      sym_identifier,
    STATE(11291), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273514] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2654), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2656), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273532] = 7,
    ACTIONS(6424), 1,
      anon_sym_AT,
    ACTIONS(11251), 1,
      anon_sym_LPAREN,
    ACTIONS(11253), 1,
      anon_sym_QMARK,
    ACTIONS(11255), 1,
      anon_sym_AMP,
    STATE(8898), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6422), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [273558] = 9,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(7023), 1,
      sym_label,
    STATE(4579), 1,
      sym_value_arguments,
    STATE(5160), 1,
      sym_lambda_literal,
    STATE(5162), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8624), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [273588] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2658), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2660), 5,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [273606] = 9,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11257), 1,
      anon_sym_COLON,
    STATE(8618), 1,
      sym_type_constraints,
    STATE(10062), 1,
      sym_block,
    STATE(10081), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6855), 2,
      sym__semi,
      anon_sym_RBRACE,
  [273636] = 6,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(11259), 1,
      sym_identifier,
    STATE(11311), 1,
      sym_parameter_modifiers,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8442), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [273660] = 9,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(2241), 1,
      anon_sym_LPAREN,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11261), 1,
      sym_label,
    STATE(479), 1,
      sym_value_arguments,
    STATE(650), 1,
      sym_lambda_literal,
    STATE(653), 1,
      sym_annotated_lambda,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8621), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [273690] = 7,
    ACTIONS(9690), 1,
      anon_sym_LPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11183), 1,
      anon_sym_by,
    STATE(5923), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 4,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [273716] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7806), 1,
      anon_sym_COLON,
    STATE(8830), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4339), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10093), 2,
      sym_class_body,
      sym_enum_class_body,
  [273741] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11263), 1,
      anon_sym_DQUOTE,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11271), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8388), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [273768] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11273), 1,
      anon_sym_DQUOTE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [273795] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11277), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [273814] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11279), 1,
      anon_sym_DQUOTE,
    ACTIONS(11281), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8404), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [273841] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2408), 8,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [273856] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11277), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [273875] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11283), 1,
      anon_sym_DQUOTE,
    ACTIONS(11285), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8416), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [273902] = 5,
    ACTIONS(11287), 1,
      anon_sym_QMARK,
    ACTIONS(11289), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2642), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [273923] = 5,
    ACTIONS(11291), 1,
      anon_sym_DOT,
    STATE(8396), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2560), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [273944] = 5,
    ACTIONS(11295), 1,
      anon_sym_DOT,
    STATE(8450), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2515), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [273965] = 4,
    ACTIONS(11291), 1,
      anon_sym_DOT,
    STATE(8398), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [273984] = 4,
    ACTIONS(11295), 1,
      anon_sym_DOT,
    STATE(8450), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [274003] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [274022] = 5,
    ACTIONS(11009), 1,
      anon_sym_LT,
    ACTIONS(11301), 1,
      anon_sym_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2554), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [274043] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [274062] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11303), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274089] = 5,
    ACTIONS(11287), 1,
      anon_sym_QMARK,
    ACTIONS(11289), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [274110] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11305), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274137] = 9,
    ACTIONS(6855), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11307), 1,
      anon_sym_COLON,
    STATE(8720), 1,
      sym_type_constraints,
    STATE(10925), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274166] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(11277), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [274185] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(11309), 1,
      anon_sym_COLON,
    STATE(8871), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6879), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(9953), 2,
      sym_class_body,
      sym_enum_class_body,
  [274210] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11311), 1,
      anon_sym_DQUOTE,
    ACTIONS(11316), 1,
      anon_sym_DOLLAR,
    ACTIONS(11319), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11322), 1,
      sym_escape_sequence,
    ACTIONS(11313), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274237] = 5,
    ACTIONS(11253), 1,
      anon_sym_QMARK,
    ACTIONS(11255), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2670), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [274258] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11325), 1,
      anon_sym_DQUOTE,
    ACTIONS(11327), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8430), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274285] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11329), 1,
      anon_sym_DQUOTE,
    ACTIONS(11331), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8426), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274312] = 5,
    ACTIONS(10809), 1,
      sym_identifier,
    ACTIONS(11333), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11336), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8412), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [274333] = 9,
    ACTIONS(6827), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11339), 1,
      anon_sym_COLON,
    STATE(8760), 1,
      sym_type_constraints,
    STATE(11140), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274362] = 6,
    ACTIONS(11341), 1,
      sym_identifier,
    ACTIONS(11343), 1,
      anon_sym_AT,
    ACTIONS(11349), 1,
      sym_reification_modifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11346), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8414), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [274385] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11352), 1,
      anon_sym_DQUOTE,
    ACTIONS(11354), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8418), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274412] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11356), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274439] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(11358), 1,
      anon_sym_COLON,
    STATE(8733), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6873), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10392), 2,
      sym_class_body,
      sym_enum_class_body,
  [274464] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11360), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274491] = 9,
    ACTIONS(6861), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11362), 1,
      anon_sym_COLON,
    STATE(8897), 1,
      sym_type_constraints,
    STATE(11088), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274520] = 5,
    ACTIONS(11253), 1,
      anon_sym_QMARK,
    ACTIONS(11255), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2638), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [274541] = 9,
    ACTIONS(6845), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11364), 1,
      anon_sym_COLON,
    STATE(8938), 1,
      sym_type_constraints,
    STATE(10777), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274570] = 5,
    ACTIONS(11287), 1,
      anon_sym_QMARK,
    ACTIONS(11289), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2676), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [274591] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7867), 1,
      anon_sym_COLON,
    STATE(8894), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4357), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10353), 2,
      sym_class_body,
      sym_enum_class_body,
  [274616] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11183), 1,
      anon_sym_by,
    ACTIONS(11366), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_while,
  [274641] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11368), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274668] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11370), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274695] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2697), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2704), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [274712] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2624), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2627), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [274729] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(8815), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4347), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10295), 2,
      sym_class_body,
      sym_enum_class_body,
  [274754] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11372), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274781] = 9,
    ACTIONS(6867), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      anon_sym_COLON,
    STATE(8768), 1,
      sym_type_constraints,
    STATE(11326), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274810] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11376), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274837] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11378), 1,
      anon_sym_DQUOTE,
    ACTIONS(11380), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8437), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274864] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11382), 1,
      anon_sym_DQUOTE,
    ACTIONS(11384), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8443), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274891] = 5,
    ACTIONS(11253), 1,
      anon_sym_QMARK,
    ACTIONS(11255), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_AT,
      anon_sym_LPAREN,
    ACTIONS(2685), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [274912] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11386), 1,
      anon_sym_DQUOTE,
    ACTIONS(11388), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8456), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274939] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11390), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [274966] = 6,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(11392), 1,
      sym_identifier,
    ACTIONS(11394), 1,
      sym_reification_modifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11108), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(8414), 3,
      sym_annotation,
      sym_variance_modifier,
      aux_sym_type_parameter_modifiers_repeat1,
  [274989] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11396), 1,
      anon_sym_DQUOTE,
    ACTIONS(11398), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8441), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275016] = 9,
    ACTIONS(6827), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11400), 1,
      anon_sym_COLON,
    STATE(8870), 1,
      sym_type_constraints,
    STATE(10765), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275045] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11402), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275072] = 5,
    ACTIONS(10807), 1,
      sym_identifier,
    ACTIONS(11167), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11169), 3,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
    STATE(8412), 3,
      sym_parameter_modifier,
      sym_annotation,
      aux_sym_parameter_modifiers_repeat1,
  [275093] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11404), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275120] = 9,
    ACTIONS(6861), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11406), 1,
      anon_sym_COLON,
    STATE(8724), 1,
      sym_type_constraints,
    STATE(11270), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275149] = 9,
    ACTIONS(6855), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11408), 1,
      anon_sym_COLON,
    STATE(8694), 1,
      sym_type_constraints,
    STATE(11283), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275178] = 4,
    ACTIONS(11410), 1,
      anon_sym_DOT,
    STATE(8447), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2547), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [275197] = 4,
    ACTIONS(11413), 1,
      anon_sym_DOT,
    STATE(8450), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2560), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [275216] = 6,
    ACTIONS(11009), 1,
      anon_sym_LT,
    ACTIONS(11416), 1,
      anon_sym_COLON,
    STATE(4927), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2554), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
  [275239] = 7,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(11418), 1,
      anon_sym_COLON,
    STATE(8772), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6889), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10297), 2,
      sym_class_body,
      sym_enum_class_body,
  [275264] = 4,
    ACTIONS(11420), 1,
      anon_sym_DOT,
    STATE(8450), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [275283] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11423), 1,
      anon_sym_DQUOTE,
    ACTIONS(11425), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8425), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275310] = 9,
    ACTIONS(6867), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11427), 1,
      anon_sym_COLON,
    STATE(8817), 1,
      sym_type_constraints,
    STATE(11403), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275339] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11429), 1,
      anon_sym_DQUOTE,
    ACTIONS(11431), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8455), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275366] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11177), 1,
      anon_sym_AMP,
    ACTIONS(11183), 1,
      anon_sym_by,
    ACTIONS(11366), 1,
      anon_sym_LPAREN,
    STATE(8774), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_while,
  [275391] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11433), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275418] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11275), 1,
      sym_escape_sequence,
    ACTIONS(11435), 1,
      anon_sym_DQUOTE,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8408), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275445] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11437), 1,
      anon_sym_DQUOTE,
    ACTIONS(11439), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8432), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275472] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2586), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2588), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [275489] = 9,
    ACTIONS(6845), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11441), 1,
      anon_sym_COLON,
    STATE(8712), 1,
      sym_type_constraints,
    STATE(11154), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275518] = 3,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [275535] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11267), 1,
      anon_sym_DOLLAR,
    ACTIONS(11269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11443), 1,
      anon_sym_DQUOTE,
    ACTIONS(11445), 1,
      sym_escape_sequence,
    ACTIONS(11265), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    STATE(8402), 2,
      sym_interpolation,
      aux_sym_string_literal_repeat1,
  [275562] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2650), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2652), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [275579] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2662), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
    ACTIONS(2664), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_AMP,
  [275596] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_while,
  [275615] = 7,
    ACTIONS(6879), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(11447), 1,
      anon_sym_COLON,
    STATE(8964), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10471), 2,
      sym_class_body,
      sym_enum_class_body,
  [275639] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11451), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11453), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11457), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8526), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275663] = 3,
    ACTIONS(3010), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 6,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_label,
  [275679] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8701), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6970), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10406), 2,
      sym_class_body,
      sym_enum_class_body,
  [275701] = 7,
    ACTIONS(6889), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(11459), 1,
      anon_sym_COLON,
    STATE(8950), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10480), 2,
      sym_class_body,
      sym_enum_class_body,
  [275725] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11461), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11463), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11465), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8476), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275749] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11467), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11469), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11471), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8490), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275773] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11473), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11475), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11477), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8524), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275797] = 7,
    ACTIONS(4357), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7947), 1,
      anon_sym_COLON,
    STATE(8954), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10502), 2,
      sym_class_body,
      sym_enum_class_body,
  [275821] = 7,
    ACTIONS(6889), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(11479), 1,
      anon_sym_COLON,
    STATE(9126), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11364), 2,
      sym_class_body,
      sym_enum_class_body,
  [275845] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [275859] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11481), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11483), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275883] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11487), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11489), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275907] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11491), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11493), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11495), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8515), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [275931] = 6,
    ACTIONS(11499), 1,
      anon_sym_fun,
    ACTIONS(11501), 1,
      anon_sym_object,
    ACTIONS(11505), 1,
      anon_sym_typealias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11497), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(11503), 2,
      anon_sym_val,
      anon_sym_var,
  [275953] = 7,
    ACTIONS(4357), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7988), 1,
      anon_sym_COLON,
    STATE(9061), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10764), 2,
      sym_class_body,
      sym_enum_class_body,
  [275977] = 7,
    ACTIONS(6873), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(11507), 1,
      anon_sym_COLON,
    STATE(9004), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11030), 2,
      sym_class_body,
      sym_enum_class_body,
  [276001] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11509), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11511), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11513), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8486), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276025] = 7,
    ACTIONS(6879), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(11515), 1,
      anon_sym_COLON,
    STATE(8994), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11151), 2,
      sym_class_body,
      sym_enum_class_body,
  [276049] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8733), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6873), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10392), 2,
      sym_class_body,
      sym_enum_class_body,
  [276071] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11517), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11519), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11521), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8491), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276095] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11523), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11525), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276119] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8803), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6996), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10384), 2,
      sym_class_body,
      sym_enum_class_body,
  [276141] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11527), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11529), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11531), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8498), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276165] = 6,
    ACTIONS(11535), 1,
      anon_sym_fun,
    ACTIONS(11537), 1,
      anon_sym_object,
    ACTIONS(11541), 1,
      anon_sym_typealias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11533), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(11539), 2,
      anon_sym_val,
      anon_sym_var,
  [276187] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11543), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11545), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276211] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11547), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11549), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276235] = 6,
    ACTIONS(11366), 1,
      anon_sym_LPAREN,
    ACTIONS(11551), 1,
      anon_sym_QMARK,
    ACTIONS(11553), 1,
      anon_sym_AMP,
    STATE(8774), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6424), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
  [276257] = 3,
    ACTIONS(3022), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 6,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_label,
  [276273] = 3,
    ACTIONS(3014), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 6,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_label,
  [276289] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2632), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [276303] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2636), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [276317] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11555), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11557), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276341] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11559), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11561), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276365] = 6,
    ACTIONS(11366), 1,
      anon_sym_LPAREN,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(8878), 1,
      sym_value_arguments,
    STATE(9728), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11563), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [276387] = 7,
    ACTIONS(4347), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_COLON,
    STATE(9099), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11265), 2,
      sym_class_body,
      sym_enum_class_body,
  [276411] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11567), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11569), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276435] = 7,
    ACTIONS(11571), 1,
      anon_sym_DOLLAR,
    ACTIONS(11574), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11576), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11578), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11581), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276459] = 7,
    ACTIONS(4339), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(7911), 1,
      anon_sym_COLON,
    STATE(8999), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10675), 2,
      sym_class_body,
      sym_enum_class_body,
  [276483] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11584), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11586), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11588), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8511), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276507] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11590), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11592), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11594), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8501), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276531] = 7,
    ACTIONS(4347), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7957), 1,
      anon_sym_COLON,
    STATE(9070), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10891), 2,
      sym_class_body,
      sym_enum_class_body,
  [276555] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8713), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6949), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10183), 2,
      sym_class_body,
      sym_enum_class_body,
  [276577] = 6,
    ACTIONS(11366), 1,
      anon_sym_LPAREN,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(8734), 1,
      sym_value_arguments,
    STATE(9295), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11596), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [276599] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11598), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11600), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11602), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8512), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276623] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8842), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6992), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10251), 2,
      sym_class_body,
      sym_enum_class_body,
  [276645] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11604), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11606), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276669] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11608), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11610), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276693] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8837), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6953), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10152), 2,
      sym_class_body,
      sym_enum_class_body,
  [276715] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8871), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6879), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(9953), 2,
      sym_class_body,
      sym_enum_class_body,
  [276737] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11612), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11614), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276761] = 7,
    ACTIONS(4339), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(7922), 1,
      anon_sym_COLON,
    STATE(9067), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10882), 2,
      sym_class_body,
      sym_enum_class_body,
  [276785] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 5,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [276803] = 7,
    ACTIONS(6873), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(11616), 1,
      anon_sym_COLON,
    STATE(8986), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10488), 2,
      sym_class_body,
      sym_enum_class_body,
  [276827] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8845), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6957), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10154), 2,
      sym_class_body,
      sym_enum_class_body,
  [276849] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2621), 3,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2668), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [276865] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11618), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11620), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11622), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8477), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276889] = 3,
    ACTIONS(8065), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [276905] = 3,
    ACTIONS(3018), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 6,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      sym_label,
  [276921] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11624), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11626), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276945] = 6,
    ACTIONS(11630), 1,
      anon_sym_fun,
    ACTIONS(11632), 1,
      anon_sym_object,
    ACTIONS(11636), 1,
      anon_sym_typealias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11628), 2,
      anon_sym_class,
      anon_sym_interface,
    ACTIONS(11634), 2,
      anon_sym_val,
      anon_sym_var,
  [276967] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11638), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11640), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [276991] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11642), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11644), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11646), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8531), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [277015] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11648), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11650), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11652), 1,
      sym__multiline_string_content,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8497), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [277039] = 6,
    ACTIONS(7179), 1,
      anon_sym_where,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    STATE(8772), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6889), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10297), 2,
      sym_class_body,
      sym_enum_class_body,
  [277061] = 3,
    ACTIONS(8063), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [277077] = 7,
    ACTIONS(11449), 1,
      anon_sym_DOLLAR,
    ACTIONS(11455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11485), 1,
      sym__multiline_string_content,
    ACTIONS(11654), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11656), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8502), 2,
      sym_interpolation,
      aux_sym_multiline_string_literal_repeat1,
  [277101] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2567), 7,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [277115] = 4,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 4,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [277132] = 6,
    ACTIONS(6970), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(8997), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11268), 2,
      sym_class_body,
      sym_enum_class_body,
  [277153] = 6,
    ACTIONS(6889), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(8950), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10480), 2,
      sym_class_body,
      sym_enum_class_body,
  [277174] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2953), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277187] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2695), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [277202] = 6,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11658), 1,
      sym_label,
    STATE(5308), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [277223] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
    ACTIONS(2702), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [277238] = 4,
    ACTIONS(11551), 1,
      anon_sym_QMARK,
    ACTIONS(11553), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [277255] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4133), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277278] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10244), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7103), 2,
      sym__semi,
      anon_sym_RBRACE,
  [277299] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4134), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277322] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4130), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277345] = 4,
    ACTIONS(11664), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 4,
      sym__semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277362] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2704), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [277375] = 4,
    ACTIONS(11667), 1,
      anon_sym_QMARK,
    ACTIONS(11669), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [277392] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11671), 1,
      anon_sym_EQ,
    ACTIONS(11673), 1,
      anon_sym_LBRACE,
    STATE(6757), 1,
      sym_function_body,
    STATE(7139), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277415] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2749), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277428] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2925), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277441] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2627), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [277454] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4135), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277477] = 6,
    ACTIONS(553), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11675), 1,
      sym_label,
    STATE(3218), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [277498] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4676), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277521] = 4,
    ACTIONS(11677), 1,
      anon_sym_COMMA,
    STATE(8642), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7093), 4,
      sym__semi,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277538] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2755), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [277551] = 6,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11679), 1,
      sym_label,
    STATE(3742), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [277572] = 4,
    ACTIONS(11667), 1,
      anon_sym_QMARK,
    ACTIONS(11669), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [277589] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10062), 1,
      sym_block,
    STATE(10354), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277612] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(9850), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7148), 2,
      sym__semi,
      anon_sym_RBRACE,
  [277633] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(2408), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    ACTIONS(2403), 4,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
      sym_escape_sequence,
  [277650] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6629), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277673] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6777), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277696] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11671), 1,
      anon_sym_EQ,
    ACTIONS(11673), 1,
      anon_sym_LBRACE,
    STATE(6779), 1,
      sym_function_body,
    STATE(7139), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277719] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6628), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277742] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10041), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7165), 2,
      sym__semi,
      anon_sym_RBRACE,
  [277763] = 6,
    ACTIONS(6996), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(9007), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11314), 2,
      sym_class_body,
      sym_enum_class_body,
  [277784] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4126), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277807] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6781), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277830] = 6,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11689), 1,
      sym_label,
    STATE(3475), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [277851] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6782), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277874] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [277889] = 6,
    ACTIONS(6879), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(8964), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10471), 2,
      sym_class_body,
      sym_enum_class_body,
  [277910] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [277925] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6784), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277948] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9912), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277971] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6785), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277994] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11691), 1,
      anon_sym_EQ,
    ACTIONS(11693), 1,
      anon_sym_LBRACE,
    STATE(7202), 1,
      sym_function_body,
    STATE(7423), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278017] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6627), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278040] = 4,
    ACTIONS(11695), 1,
      anon_sym_COMMA,
    STATE(8658), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 4,
      sym__semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [278057] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7211), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278080] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11691), 1,
      anon_sym_EQ,
    ACTIONS(11693), 1,
      anon_sym_LBRACE,
    STATE(7212), 1,
      sym_function_body,
    STATE(7423), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278103] = 6,
    ACTIONS(6889), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(9126), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11364), 2,
      sym_class_body,
      sym_enum_class_body,
  [278124] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7225), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278147] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7228), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278170] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7229), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278193] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7234), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278216] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7238), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278239] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    STATE(6680), 1,
      sym_block,
    STATE(7239), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278262] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6624), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278285] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [278300] = 6,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11701), 1,
      sym_label,
    STATE(3393), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278321] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11705), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    ACTIONS(11703), 4,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
      sym_escape_sequence,
  [278338] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10203), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7033), 2,
      sym__semi,
      anon_sym_RBRACE,
  [278359] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6786), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278382] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [278397] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [278412] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4129), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278435] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    STATE(6787), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278458] = 6,
    ACTIONS(6992), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(8993), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10460), 2,
      sym_class_body,
      sym_enum_class_body,
  [278479] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4131), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278502] = 6,
    ACTIONS(6873), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(9004), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11030), 2,
      sym_class_body,
      sym_enum_class_body,
  [278523] = 6,
    ACTIONS(6879), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(8994), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11151), 2,
      sym_class_body,
      sym_enum_class_body,
  [278544] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(10795), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    ACTIONS(10793), 4,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
      sym_escape_sequence,
  [278561] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(9886), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7037), 2,
      sym__semi,
      anon_sym_RBRACE,
  [278582] = 6,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11707), 1,
      sym_label,
    STATE(3307), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278603] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [278618] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11709), 1,
      anon_sym_EQ,
    ACTIONS(11711), 1,
      anon_sym_LBRACE,
    STATE(6625), 1,
      sym_function_body,
    STATE(6653), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278641] = 6,
    ACTIONS(887), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11713), 1,
      sym_label,
    STATE(3903), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278662] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6630), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278685] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10188), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7027), 2,
      sym__semi,
      anon_sym_RBRACE,
  [278706] = 6,
    ACTIONS(6953), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(9001), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10721), 2,
      sym_class_body,
      sym_enum_class_body,
  [278727] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(9922), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7041), 2,
      sym__semi,
      anon_sym_RBRACE,
  [278748] = 6,
    ACTIONS(671), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11715), 1,
      sym_label,
    STATE(3578), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278769] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6631), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278792] = 4,
    ACTIONS(11667), 1,
      anon_sym_QMARK,
    ACTIONS(11669), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [278809] = 6,
    ACTIONS(6992), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(8949), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11232), 2,
      sym_class_body,
      sym_enum_class_body,
  [278830] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10408), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7107), 2,
      sym__semi,
      anon_sym_RBRACE,
  [278851] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9860), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278874] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4678), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278897] = 6,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11717), 1,
      sym_label,
    STATE(619), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278918] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [278931] = 4,
    ACTIONS(11551), 1,
      anon_sym_QMARK,
    ACTIONS(11553), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [278948] = 6,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11719), 1,
      sym_label,
    STATE(5146), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [278969] = 6,
    ACTIONS(6953), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(9127), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11277), 2,
      sym_class_body,
      sym_enum_class_body,
  [278990] = 6,
    ACTIONS(6957), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(8940), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10737), 2,
      sym_class_body,
      sym_enum_class_body,
  [279011] = 6,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11721), 1,
      sym_label,
    STATE(4045), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [279032] = 6,
    ACTIONS(6949), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(9038), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11321), 2,
      sym_class_body,
      sym_enum_class_body,
  [279053] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9935), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279076] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [279091] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9864), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279114] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11347), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279137] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11366), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279160] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11370), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279183] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11376), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279206] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11378), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279229] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11379), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279252] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11380), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279275] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11385), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279298] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(11345), 1,
      sym_block,
    STATE(11405), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279321] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2652), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [279334] = 4,
    ACTIONS(11723), 1,
      anon_sym_COMMA,
    STATE(8642), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 4,
      sym__semi,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279351] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4674), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279374] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2664), 6,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP,
      sym_label,
  [279387] = 6,
    ACTIONS(6873), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(8986), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10488), 2,
      sym_class_body,
      sym_enum_class_body,
  [279408] = 6,
    ACTIONS(6996), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(9012), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11343), 2,
      sym_class_body,
      sym_enum_class_body,
  [279429] = 6,
    ACTIONS(6957), 1,
      sym__class_member_semi,
    ACTIONS(7522), 1,
      anon_sym_where,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    STATE(9048), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11351), 2,
      sym_class_body,
      sym_enum_class_body,
  [279450] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11709), 1,
      anon_sym_EQ,
    ACTIONS(11711), 1,
      anon_sym_LBRACE,
    STATE(6613), 1,
      sym_function_body,
    STATE(6653), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279473] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [279488] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10388), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7120), 2,
      sym__semi,
      anon_sym_RBRACE,
  [279509] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9897), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279532] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2933), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279545] = 6,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11726), 1,
      sym_label,
    STATE(2124), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [279566] = 6,
    ACTIONS(6970), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(9005), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11057), 2,
      sym_class_body,
      sym_enum_class_body,
  [279587] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4677), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279610] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9939), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279633] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2949), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279646] = 4,
    ACTIONS(11695), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 4,
      sym__semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279663] = 6,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11728), 1,
      sym_label,
    STATE(4711), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [279684] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9941), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279707] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(9948), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279730] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4666), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279753] = 4,
    ACTIONS(11551), 1,
      anon_sym_QMARK,
    ACTIONS(11553), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 4,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      sym_label,
  [279770] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 5,
      anon_sym_val,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [279785] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4670), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279808] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4128), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279831] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2759), 6,
      sym__semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279844] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    STATE(10062), 1,
      sym_block,
    STATE(10175), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7137), 2,
      sym__semi,
      anon_sym_RBRACE,
  [279865] = 6,
    ACTIONS(941), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_AT,
    ACTIONS(11730), 1,
      sym_label,
    STATE(4000), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [279886] = 4,
    ACTIONS(11677), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7161), 4,
      sym__semi,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [279903] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4671), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279926] = 6,
    ACTIONS(6949), 1,
      anon_sym_while,
    ACTIONS(7426), 1,
      anon_sym_where,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    STATE(9014), 1,
      sym_type_constraints,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11176), 2,
      sym_class_body,
      sym_enum_class_body,
  [279947] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4675), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279970] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    STATE(4132), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279993] = 7,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(4672), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280016] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    STATE(6614), 1,
      sym_block,
    STATE(6626), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280039] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10667), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280062] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10682), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280085] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10683), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280108] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10688), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280131] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10699), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280154] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10701), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280177] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10702), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280200] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(11734), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
    ACTIONS(11732), 4,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
      sym_escape_sequence,
  [280217] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10704), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280240] = 7,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    STATE(10716), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280263] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2765), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_while,
  [280280] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2933), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [280292] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11736), 1,
      anon_sym_COLON,
    STATE(4122), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280312] = 6,
    ACTIONS(11738), 1,
      sym_identifier,
    ACTIONS(11740), 1,
      anon_sym_COLON,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(11744), 1,
      sym__class_member_semi,
    STATE(10472), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280332] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11746), 1,
      anon_sym_COLON,
    STATE(4133), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280352] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [280364] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280384] = 6,
    ACTIONS(7107), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11124), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280404] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2949), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [280416] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(11752), 1,
      anon_sym_COLON,
    STATE(6785), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280436] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11754), 1,
      anon_sym_COLON,
    STATE(4131), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280456] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11756), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8868), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [280474] = 5,
    ACTIONS(11758), 1,
      anon_sym_catch,
    ACTIONS(11760), 1,
      anon_sym_finally,
    STATE(3884), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2687), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [280492] = 3,
    ACTIONS(6523), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6521), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [280506] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7387), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(9990), 2,
      sym_class_body,
      sym_enum_class_body,
  [280522] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11762), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280542] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11764), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280562] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11766), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280582] = 6,
    ACTIONS(11709), 1,
      anon_sym_EQ,
    ACTIONS(11711), 1,
      anon_sym_LBRACE,
    ACTIONS(11768), 1,
      anon_sym_COLON,
    STATE(6641), 1,
      sym_function_body,
    STATE(6653), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280602] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11770), 1,
      anon_sym_COLON,
    STATE(10062), 1,
      sym_block,
    STATE(10358), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280622] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280642] = 6,
    ACTIONS(7165), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11345), 1,
      sym_block,
    STATE(11377), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280662] = 6,
    ACTIONS(7033), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11209), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280682] = 5,
    ACTIONS(11774), 1,
      anon_sym_COLON,
    ACTIONS(11776), 1,
      anon_sym_LBRACE,
    STATE(10385), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7361), 2,
      sym__semi,
      anon_sym_RBRACE,
  [280700] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11778), 1,
      anon_sym_COLON,
    STATE(4132), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280720] = 6,
    ACTIONS(7041), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10659), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280740] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7169), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10303), 2,
      sym_class_body,
      sym_enum_class_body,
  [280756] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2953), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [280768] = 5,
    ACTIONS(11780), 1,
      anon_sym_catch,
    ACTIONS(11782), 1,
      anon_sym_finally,
    STATE(5232), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4570), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [280786] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11784), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11786), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [280804] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11788), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280824] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11790), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280844] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2749), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [280856] = 6,
    ACTIONS(7107), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10744), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280876] = 6,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    ACTIONS(11794), 1,
      anon_sym_COMMA,
    ACTIONS(11796), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    STATE(9840), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280896] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2925), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [280908] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11798), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280928] = 6,
    ACTIONS(7103), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(10779), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280948] = 4,
    ACTIONS(11092), 1,
      anon_sym_DOT,
    STATE(8227), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2534), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
  [280964] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11732), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11734), 3,
      sym__multiline_string_content,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [280978] = 5,
    ACTIONS(11800), 1,
      anon_sym_catch,
    ACTIONS(11802), 1,
      anon_sym_finally,
    STATE(3457), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2459), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [280996] = 6,
    ACTIONS(11804), 1,
      anon_sym_EQ,
    ACTIONS(11806), 1,
      anon_sym_COMMA,
    ACTIONS(11808), 1,
      anon_sym_RPAREN,
    STATE(9243), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281016] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11810), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281036] = 3,
    ACTIONS(3012), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3010), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281050] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281070] = 5,
    ACTIONS(11814), 1,
      anon_sym_catch,
    ACTIONS(11816), 1,
      anon_sym_finally,
    STATE(3550), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2502), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [281088] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6996), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10384), 2,
      sym_class_body,
      sym_enum_class_body,
  [281104] = 4,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(9606), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11818), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [281120] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(11820), 1,
      anon_sym_COLON,
    STATE(6777), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281140] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11822), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281160] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11824), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281180] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11826), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281200] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7243), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [281212] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [281224] = 6,
    ACTIONS(11709), 1,
      anon_sym_EQ,
    ACTIONS(11711), 1,
      anon_sym_LBRACE,
    ACTIONS(11828), 1,
      anon_sym_COLON,
    STATE(6643), 1,
      sym_function_body,
    STATE(6653), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281244] = 3,
    ACTIONS(6527), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6525), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281258] = 5,
    ACTIONS(11830), 1,
      anon_sym_catch,
    ACTIONS(11832), 1,
      anon_sym_finally,
    STATE(661), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(469), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [281276] = 6,
    ACTIONS(11834), 1,
      anon_sym_EQ,
    ACTIONS(11836), 1,
      anon_sym_COMMA,
    ACTIONS(11838), 1,
      anon_sym_RPAREN,
    STATE(9516), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281296] = 3,
    ACTIONS(3016), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3014), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281310] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281330] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11842), 1,
      anon_sym_COLON,
    STATE(9935), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281350] = 6,
    ACTIONS(11844), 1,
      anon_sym_EQ,
    ACTIONS(11846), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_RPAREN,
    STATE(9554), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281370] = 5,
    ACTIONS(11850), 1,
      anon_sym_catch,
    ACTIONS(11852), 1,
      anon_sym_finally,
    STATE(3375), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2427), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [281388] = 4,
    ACTIONS(11854), 1,
      anon_sym_COMMA,
    STATE(8750), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 3,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
  [281404] = 4,
    ACTIONS(11857), 1,
      anon_sym_COMMA,
    STATE(8763), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7093), 3,
      sym__class_member_semi,
      anon_sym_where,
      anon_sym_LBRACE,
  [281420] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11859), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281440] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(11861), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6628), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281460] = 4,
    ACTIONS(11863), 1,
      anon_sym_COMMA,
    STATE(8754), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 3,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_while,
  [281476] = 3,
    ACTIONS(3020), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3018), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281490] = 4,
    ACTIONS(11866), 1,
      anon_sym_COMMA,
    STATE(8850), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7093), 3,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [281506] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11868), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281526] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON,
    STATE(9860), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281546] = 6,
    ACTIONS(7120), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10577), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281566] = 6,
    ACTIONS(7148), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11242), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281586] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 5,
      sym__semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [281598] = 3,
    ACTIONS(3024), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3022), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281612] = 4,
    ACTIONS(11872), 1,
      anon_sym_COMMA,
    STATE(8763), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 3,
      sym__class_member_semi,
      anon_sym_where,
      anon_sym_LBRACE,
  [281628] = 5,
    ACTIONS(11875), 1,
      anon_sym_catch,
    ACTIONS(11877), 1,
      anon_sym_finally,
    STATE(3809), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2756), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [281646] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(11879), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6658), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281666] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11881), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281686] = 4,
    ACTIONS(11883), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10868), 2,
      anon_sym_LBRACE,
      sym_label,
    STATE(8767), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [281702] = 6,
    ACTIONS(7027), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11201), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281722] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(11886), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281742] = 5,
    ACTIONS(11888), 1,
      anon_sym_catch,
    ACTIONS(11890), 1,
      anon_sym_finally,
    STATE(3723), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2704), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [281760] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11892), 1,
      anon_sym_COLON,
    STATE(4127), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281780] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6992), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10251), 2,
      sym_class_body,
      sym_enum_class_body,
  [281796] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2759), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [281808] = 3,
    ACTIONS(6517), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 4,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_label,
  [281822] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [281834] = 6,
    ACTIONS(11894), 1,
      anon_sym_EQ,
    ACTIONS(11896), 1,
      anon_sym_COMMA,
    ACTIONS(11898), 1,
      anon_sym_RPAREN,
    STATE(9537), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281854] = 6,
    ACTIONS(11900), 1,
      anon_sym_EQ,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_RPAREN,
    STATE(9634), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281874] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2933), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [281886] = 3,
    ACTIONS(6531), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6529), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [281900] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5992), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [281916] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11906), 1,
      anon_sym_COLON,
    STATE(11245), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281936] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4339), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10093), 2,
      sym_class_body,
      sym_enum_class_body,
  [281952] = 6,
    ACTIONS(6424), 1,
      sym__semi,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(11120), 1,
      anon_sym_LPAREN,
    STATE(8740), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281972] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7235), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [281984] = 6,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(11908), 1,
      sym_identifier,
    ACTIONS(11910), 1,
      anon_sym_COLON,
    ACTIONS(11912), 1,
      sym__class_member_semi,
    STATE(11389), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282004] = 4,
    ACTIONS(11866), 1,
      anon_sym_COMMA,
    STATE(8756), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7161), 3,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [282020] = 6,
    ACTIONS(11914), 1,
      anon_sym_EQ,
    ACTIONS(11916), 1,
      anon_sym_COMMA,
    ACTIONS(11918), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    STATE(9748), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282040] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(11920), 1,
      anon_sym_COLON,
    STATE(4660), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282060] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11922), 1,
      anon_sym_COLON,
    STATE(11322), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282080] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11924), 1,
      anon_sym_COLON,
    STATE(11324), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282100] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282112] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4347), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10295), 2,
      sym_class_body,
      sym_enum_class_body,
  [282128] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(11926), 1,
      anon_sym_COLON,
    STATE(6781), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282148] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11703), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(11705), 3,
      sym__multiline_string_content,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [282162] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11928), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11352), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282182] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2953), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [282194] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11930), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11366), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282214] = 5,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11932), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11934), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [282232] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(11936), 1,
      anon_sym_COLON,
    STATE(6740), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282252] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11938), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11376), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282272] = 4,
    ACTIONS(11940), 1,
      anon_sym_COMMA,
    STATE(8754), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 3,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_while,
  [282288] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11942), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11378), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282308] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6949), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10183), 2,
      sym_class_body,
      sym_enum_class_body,
  [282324] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11944), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11379), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282344] = 3,
    ACTIONS(10829), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10827), 4,
      anon_sym_in,
      sym_reification_modifier,
      anon_sym_out,
      sym_identifier,
  [282358] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(11946), 1,
      anon_sym_COLON,
    STATE(6782), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282378] = 6,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    ACTIONS(11948), 1,
      anon_sym_COLON,
    STATE(11345), 1,
      sym_block,
    STATE(11380), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282398] = 6,
    ACTIONS(11671), 1,
      anon_sym_EQ,
    ACTIONS(11673), 1,
      anon_sym_LBRACE,
    ACTIONS(11950), 1,
      anon_sym_COLON,
    STATE(6741), 1,
      sym_function_body,
    STATE(7139), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282418] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11952), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282438] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(11954), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6627), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282458] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11956), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282478] = 6,
    ACTIONS(11691), 1,
      anon_sym_EQ,
    ACTIONS(11693), 1,
      anon_sym_LBRACE,
    ACTIONS(11958), 1,
      anon_sym_COLON,
    STATE(7169), 1,
      sym_function_body,
    STATE(7423), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282498] = 6,
    ACTIONS(11960), 1,
      anon_sym_EQ,
    ACTIONS(11962), 1,
      anon_sym_COMMA,
    ACTIONS(11964), 1,
      anon_sym_RPAREN,
    STATE(9347), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282518] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282530] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6889), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10297), 2,
      sym_class_body,
      sym_enum_class_body,
  [282546] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7367), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282558] = 6,
    ACTIONS(7027), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(11394), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282578] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11966), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282598] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7189), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282610] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282630] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2949), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [282642] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282662] = 6,
    ACTIONS(7037), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10628), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282682] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(11972), 1,
      anon_sym_COLON,
    STATE(4130), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282702] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(11974), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6629), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282722] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11976), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282742] = 4,
    ACTIONS(11978), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10863), 2,
      anon_sym_val,
      sym_identifier,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [282758] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282778] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7371), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282790] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6873), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10392), 2,
      sym_class_body,
      sym_enum_class_body,
  [282806] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11983), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282826] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2749), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [282838] = 4,
    ACTIONS(11051), 1,
      anon_sym_DOT,
    STATE(8725), 1,
      aux_sym_user_type_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2527), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
  [282854] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11985), 1,
      anon_sym_COLON,
    STATE(10062), 1,
      sym_block,
    STATE(10184), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282874] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11987), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282894] = 4,
    ACTIONS(11989), 1,
      anon_sym_COMMA,
    STATE(8880), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 3,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
  [282910] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7231), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10407), 2,
      sym_class_body,
      sym_enum_class_body,
  [282926] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11991), 1,
      anon_sym_COLON,
    STATE(10062), 1,
      sym_block,
    STATE(10192), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282946] = 5,
    ACTIONS(11993), 1,
      anon_sym_catch,
    ACTIONS(11995), 1,
      anon_sym_finally,
    STATE(2224), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(1977), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [282964] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7341), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [282976] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(11997), 1,
      anon_sym_COLON,
    STATE(9897), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282996] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6953), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10152), 2,
      sym_class_body,
      sym_enum_class_body,
  [283012] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11999), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283032] = 6,
    ACTIONS(12001), 1,
      anon_sym_EQ,
    ACTIONS(12003), 1,
      anon_sym_COMMA,
    ACTIONS(12005), 1,
      anon_sym_RPAREN,
    STATE(9493), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283052] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6970), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10406), 2,
      sym_class_body,
      sym_enum_class_body,
  [283068] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2755), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [283080] = 5,
    ACTIONS(12007), 1,
      anon_sym_catch,
    ACTIONS(12009), 1,
      anon_sym_finally,
    STATE(4687), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4293), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [283098] = 5,
    ACTIONS(11776), 1,
      anon_sym_LBRACE,
    ACTIONS(12011), 1,
      anon_sym_COLON,
    STATE(10027), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7193), 2,
      sym__semi,
      anon_sym_RBRACE,
  [283116] = 6,
    ACTIONS(12013), 1,
      anon_sym_EQ,
    ACTIONS(12015), 1,
      anon_sym_COMMA,
    ACTIONS(12017), 1,
      anon_sym_RPAREN,
    STATE(9264), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283136] = 4,
    ACTIONS(12019), 1,
      anon_sym_COMMA,
    STATE(8850), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 3,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [283152] = 3,
    ACTIONS(6515), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6513), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [283166] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12022), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7180), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283186] = 6,
    ACTIONS(11691), 1,
      anon_sym_EQ,
    ACTIONS(11693), 1,
      anon_sym_LBRACE,
    ACTIONS(12024), 1,
      anon_sym_COLON,
    STATE(7183), 1,
      sym_function_body,
    STATE(7423), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283206] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(12026), 1,
      anon_sym_COLON,
    STATE(9912), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283226] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(12028), 1,
      anon_sym_COLON,
    STATE(4124), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283246] = 5,
    ACTIONS(12030), 1,
      anon_sym_catch,
    ACTIONS(12032), 1,
      anon_sym_finally,
    STATE(3289), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2512), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [283264] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(12034), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6617), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283284] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(12036), 1,
      anon_sym_COLON,
    STATE(6784), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283304] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12038), 1,
      anon_sym_COLON,
    STATE(4663), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283324] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(12040), 1,
      anon_sym_COLON,
    STATE(9939), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283344] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(12042), 1,
      anon_sym_COLON,
    STATE(4128), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283364] = 6,
    ACTIONS(12044), 1,
      anon_sym_EQ,
    ACTIONS(12046), 1,
      anon_sym_COMMA,
    ACTIONS(12048), 1,
      anon_sym_RPAREN,
    STATE(9155), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283384] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12050), 1,
      anon_sym_COLON,
    STATE(4664), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283404] = 6,
    ACTIONS(11660), 1,
      anon_sym_EQ,
    ACTIONS(11662), 1,
      anon_sym_LBRACE,
    ACTIONS(12052), 1,
      anon_sym_COLON,
    STATE(4125), 1,
      sym_function_body,
    STATE(4149), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283424] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12054), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283444] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12056), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283464] = 6,
    ACTIONS(12058), 1,
      anon_sym_EQ,
    ACTIONS(12060), 1,
      anon_sym_COMMA,
    ACTIONS(12062), 1,
      anon_sym_RPAREN,
    STATE(9424), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283484] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12064), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [283500] = 6,
    ACTIONS(7137), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10528), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283520] = 6,
    ACTIONS(7148), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(11338), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283540] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6957), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10154), 2,
      sym_class_body,
      sym_enum_class_body,
  [283556] = 6,
    ACTIONS(12066), 1,
      anon_sym_EQ,
    ACTIONS(12068), 1,
      anon_sym_COMMA,
    ACTIONS(12070), 1,
      anon_sym_RPAREN,
    STATE(9325), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283576] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12072), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283596] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [283608] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12074), 1,
      anon_sym_COLON,
    STATE(4667), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283628] = 6,
    ACTIONS(12076), 1,
      anon_sym_EQ,
    ACTIONS(12078), 1,
      anon_sym_COMMA,
    ACTIONS(12080), 1,
      anon_sym_RPAREN,
    STATE(9458), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283648] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12082), 1,
      anon_sym_COLON,
    STATE(4670), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283668] = 4,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(9295), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11596), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [283684] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12084), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283704] = 4,
    ACTIONS(11989), 1,
      anon_sym_COMMA,
    STATE(8750), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2967), 3,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_LBRACE,
  [283720] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12086), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283740] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12088), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283760] = 6,
    ACTIONS(7037), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11072), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283780] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12090), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7203), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283800] = 6,
    ACTIONS(7165), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10645), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283820] = 6,
    ACTIONS(11112), 1,
      anon_sym_EQ,
    ACTIONS(11114), 1,
      anon_sym_LBRACE,
    ACTIONS(12092), 1,
      anon_sym_COLON,
    STATE(10035), 1,
      sym_function_body,
    STATE(10062), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283840] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12094), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283860] = 4,
    ACTIONS(11857), 1,
      anon_sym_COMMA,
    STATE(8751), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7161), 3,
      sym__class_member_semi,
      anon_sym_where,
      anon_sym_LBRACE,
  [283876] = 6,
    ACTIONS(7120), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11046), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283896] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2755), 5,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
  [283908] = 6,
    ACTIONS(7137), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(10747), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283928] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4357), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(10353), 2,
      sym_class_body,
      sym_enum_class_body,
  [283944] = 6,
    ACTIONS(11671), 1,
      anon_sym_EQ,
    ACTIONS(11673), 1,
      anon_sym_LBRACE,
    ACTIONS(12096), 1,
      anon_sym_COLON,
    STATE(6698), 1,
      sym_function_body,
    STATE(7139), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283964] = 4,
    ACTIONS(7181), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6879), 2,
      sym__semi,
      anon_sym_RBRACE,
    STATE(9953), 2,
      sym_class_body,
      sym_enum_class_body,
  [283980] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [283992] = 5,
    ACTIONS(12098), 1,
      anon_sym_catch,
    ACTIONS(12100), 1,
      anon_sym_finally,
    STATE(3197), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2241), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [284010] = 6,
    ACTIONS(7103), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(11335), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284030] = 3,
    ACTIONS(6519), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6517), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [284044] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 5,
      sym__semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [284056] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7345), 5,
      sym__semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [284068] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2759), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [284080] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12102), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7211), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284100] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2925), 5,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [284112] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [284128] = 6,
    ACTIONS(11685), 1,
      anon_sym_EQ,
    ACTIONS(11687), 1,
      anon_sym_LBRACE,
    ACTIONS(12104), 1,
      anon_sym_COLON,
    STATE(6758), 1,
      sym_function_body,
    STATE(7541), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284148] = 3,
    ACTIONS(8072), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2580), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP,
  [284162] = 3,
    ACTIONS(9745), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9743), 4,
      anon_sym_vararg,
      anon_sym_noinline,
      anon_sym_crossinline,
      sym_identifier,
  [284176] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12106), 1,
      anon_sym_COLON,
    STATE(4672), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284196] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12108), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284216] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12110), 1,
      anon_sym_COLON,
    STATE(4674), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284236] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12112), 1,
      anon_sym_COLON,
    STATE(10587), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284256] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12114), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284276] = 4,
    ACTIONS(11940), 1,
      anon_sym_COMMA,
    STATE(8801), 1,
      aux_sym_type_constraints_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2961), 3,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_while,
  [284292] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(12116), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6626), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284312] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12118), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7225), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284332] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12120), 1,
      anon_sym_COLON,
    STATE(10637), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284352] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12122), 1,
      anon_sym_COLON,
    STATE(10638), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284372] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2403), 2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2408), 3,
      sym__multiline_string_content,
      anon_sym_DQUOTE_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [284386] = 6,
    ACTIONS(6801), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(12124), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_function_body,
    STATE(4833), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284406] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12126), 1,
      anon_sym_COLON,
    STATE(10668), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284426] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12128), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284446] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12130), 1,
      anon_sym_COLON,
    STATE(10682), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284466] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12132), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7228), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284486] = 6,
    ACTIONS(7033), 1,
      sym__class_member_semi,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10456), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284506] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12134), 1,
      anon_sym_COLON,
    STATE(10688), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284526] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12136), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7229), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284546] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12138), 1,
      anon_sym_COLON,
    STATE(10699), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284566] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12140), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284586] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12142), 1,
      anon_sym_COLON,
    STATE(10701), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284606] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12144), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284626] = 6,
    ACTIONS(11697), 1,
      anon_sym_EQ,
    ACTIONS(11699), 1,
      anon_sym_LBRACE,
    ACTIONS(12146), 1,
      anon_sym_COLON,
    STATE(6680), 1,
      sym_block,
    STATE(7234), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284646] = 6,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12148), 1,
      anon_sym_COLON,
    STATE(10702), 1,
      sym_function_body,
    STATE(11411), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284666] = 5,
    ACTIONS(12150), 1,
      anon_sym_catch,
    ACTIONS(12152), 1,
      anon_sym_finally,
    STATE(3981), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(2651), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [284684] = 6,
    ACTIONS(12058), 1,
      anon_sym_EQ,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      anon_sym_RPAREN,
    STATE(9424), 1,
      aux_sym_function_value_parameters_repeat1,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284704] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12158), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284724] = 5,
    ACTIONS(12160), 1,
      anon_sym_catch,
    ACTIONS(12162), 1,
      anon_sym_finally,
    STATE(5089), 1,
      sym_finally_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4430), 2,
      sym_catch_block,
      aux_sym_try_expression_repeat1,
  [284742] = 6,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(12164), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284762] = 6,
    ACTIONS(7041), 1,
      anon_sym_while,
    ACTIONS(11189), 1,
      anon_sym_EQ,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(11078), 1,
      sym_function_body,
    STATE(11345), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284782] = 6,
    ACTIONS(11681), 1,
      anon_sym_EQ,
    ACTIONS(11683), 1,
      anon_sym_LBRACE,
    ACTIONS(12166), 1,
      anon_sym_COLON,
    STATE(6614), 1,
      sym_block,
    STATE(6624), 1,
      sym_function_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284802] = 4,
    ACTIONS(6970), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11057), 2,
      sym_class_body,
      sym_enum_class_body,
  [284817] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 4,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [284828] = 4,
    ACTIONS(12168), 1,
      anon_sym_COMMA,
    STATE(8942), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 2,
      anon_sym_LBRACE,
      anon_sym_while,
  [284843] = 5,
    ACTIONS(10622), 1,
      anon_sym_RPAREN,
    ACTIONS(12171), 1,
      anon_sym_EQ,
    ACTIONS(12173), 1,
      anon_sym_COMMA,
    STATE(9457), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284860] = 5,
    ACTIONS(11804), 1,
      anon_sym_EQ,
    ACTIONS(12175), 1,
      anon_sym_COMMA,
    ACTIONS(12177), 1,
      anon_sym_RPAREN,
    STATE(9243), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284877] = 5,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(12179), 1,
      anon_sym_COLON,
    ACTIONS(12181), 1,
      sym__class_member_semi,
    STATE(11361), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284894] = 5,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12183), 1,
      anon_sym_COLON,
    ACTIONS(12185), 1,
      sym__class_member_semi,
    STATE(11392), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284911] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [284926] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12187), 1,
      anon_sym_val,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [284941] = 4,
    ACTIONS(6953), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11277), 2,
      sym_class_body,
      sym_enum_class_body,
  [284956] = 4,
    ACTIONS(6992), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10460), 2,
      sym_class_body,
      sym_enum_class_body,
  [284971] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7341), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [284982] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7345), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [284993] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7130), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [285004] = 4,
    ACTIONS(6879), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11151), 2,
      sym_class_body,
      sym_enum_class_body,
  [285019] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 4,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [285030] = 5,
    ACTIONS(10572), 1,
      anon_sym_RPAREN,
    ACTIONS(12189), 1,
      anon_sym_EQ,
    ACTIONS(12191), 1,
      anon_sym_COMMA,
    STATE(9253), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285047] = 5,
    ACTIONS(12044), 1,
      anon_sym_EQ,
    ACTIONS(12193), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_RPAREN,
    STATE(9155), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285064] = 4,
    ACTIONS(12197), 1,
      anon_sym_COMMA,
    STATE(9010), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7161), 2,
      anon_sym_LBRACE,
      anon_sym_while,
  [285079] = 5,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12199), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285096] = 5,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12201), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285113] = 5,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12203), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285130] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7345), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [285141] = 5,
    ACTIONS(9018), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12205), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285158] = 4,
    ACTIONS(6957), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11351), 2,
      sym_class_body,
      sym_enum_class_body,
  [285173] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7239), 2,
      sym__semi,
      anon_sym_RBRACE,
  [285188] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7315), 2,
      sym__semi,
      anon_sym_RBRACE,
  [285203] = 5,
    ACTIONS(10493), 1,
      anon_sym_RPAREN,
    ACTIONS(12207), 1,
      anon_sym_EQ,
    ACTIONS(12209), 1,
      anon_sym_COMMA,
    STATE(9504), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285220] = 5,
    ACTIONS(12076), 1,
      anon_sym_EQ,
    ACTIONS(12211), 1,
      anon_sym_COMMA,
    ACTIONS(12213), 1,
      anon_sym_RPAREN,
    STATE(9458), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285237] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2687), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [285252] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [285267] = 5,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    ACTIONS(12217), 1,
      anon_sym_EQ,
    ACTIONS(12219), 1,
      anon_sym_COMMA,
    STATE(9145), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285284] = 5,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12221), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285301] = 5,
    ACTIONS(12013), 1,
      anon_sym_EQ,
    ACTIONS(12223), 1,
      anon_sym_COMMA,
    ACTIONS(12225), 1,
      anon_sym_RPAREN,
    STATE(9264), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285318] = 5,
    ACTIONS(9215), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12227), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285335] = 5,
    ACTIONS(9076), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12229), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285352] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5992), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [285367] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3220), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_while,
  [285378] = 5,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12231), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285395] = 5,
    ACTIONS(9129), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12233), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285412] = 5,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285429] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [285444] = 4,
    ACTIONS(4339), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10675), 2,
      sym_class_body,
      sym_enum_class_body,
  [285459] = 5,
    ACTIONS(8880), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12239), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285476] = 5,
    ACTIONS(9171), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12241), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285493] = 5,
    ACTIONS(9173), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12243), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285510] = 4,
    ACTIONS(6996), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11343), 2,
      sym_class_body,
      sym_enum_class_body,
  [285525] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7243), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [285536] = 5,
    ACTIONS(10481), 1,
      anon_sym_RPAREN,
    ACTIONS(12245), 1,
      anon_sym_EQ,
    ACTIONS(12247), 1,
      anon_sym_COMMA,
    STATE(9176), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285553] = 5,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    ACTIONS(12249), 1,
      anon_sym_COMMA,
    ACTIONS(12251), 1,
      anon_sym_RPAREN,
    STATE(9840), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285570] = 5,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12253), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285587] = 5,
    ACTIONS(9193), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12255), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285604] = 5,
    ACTIONS(9197), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12257), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285621] = 4,
    ACTIONS(6953), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10721), 2,
      sym_class_body,
      sym_enum_class_body,
  [285636] = 4,
    ACTIONS(6957), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10737), 2,
      sym_class_body,
      sym_enum_class_body,
  [285651] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3690), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [285666] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12259), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [285681] = 4,
    ACTIONS(7387), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11173), 2,
      sym_class_body,
      sym_enum_class_body,
  [285696] = 5,
    ACTIONS(7361), 1,
      anon_sym_while,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    ACTIONS(12261), 1,
      anon_sym_COLON,
    STATE(10919), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285713] = 4,
    ACTIONS(6873), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11030), 2,
      sym_class_body,
      sym_enum_class_body,
  [285728] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7189), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [285739] = 4,
    ACTIONS(7231), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11055), 2,
      sym_class_body,
      sym_enum_class_body,
  [285754] = 4,
    ACTIONS(11776), 1,
      anon_sym_LBRACE,
    STATE(10096), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7502), 2,
      sym__semi,
      anon_sym_RBRACE,
  [285769] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7337), 2,
      sym__semi,
      anon_sym_RBRACE,
  [285784] = 4,
    ACTIONS(6996), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11314), 2,
      sym_class_body,
      sym_enum_class_body,
  [285799] = 4,
    ACTIONS(7387), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11346), 2,
      sym_class_body,
      sym_enum_class_body,
  [285814] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_while,
  [285825] = 4,
    ACTIONS(6949), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11176), 2,
      sym_class_body,
      sym_enum_class_body,
  [285840] = 5,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    ACTIONS(12263), 1,
      anon_sym_EQ,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    STATE(9354), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285857] = 5,
    ACTIONS(12267), 1,
      anon_sym_EQ,
    ACTIONS(12269), 1,
      anon_sym_COMMA,
    ACTIONS(12271), 1,
      anon_sym_RPAREN,
    STATE(9837), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285874] = 4,
    ACTIONS(12197), 1,
      anon_sym_COMMA,
    STATE(8942), 1,
      aux_sym_delegation_specifiers_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7093), 2,
      anon_sym_LBRACE,
      anon_sym_while,
  [285889] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12273), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [285904] = 4,
    ACTIONS(6949), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11321), 2,
      sym_class_body,
      sym_enum_class_body,
  [285919] = 5,
    ACTIONS(12275), 1,
      anon_sym_EQ,
    ACTIONS(12277), 1,
      anon_sym_COMMA,
    ACTIONS(12279), 1,
      anon_sym_RPAREN,
    STATE(9580), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285936] = 4,
    ACTIONS(7169), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11386), 2,
      sym_class_body,
      sym_enum_class_body,
  [285951] = 5,
    ACTIONS(10566), 1,
      anon_sym_RPAREN,
    ACTIONS(12281), 1,
      anon_sym_EQ,
    ACTIONS(12283), 1,
      anon_sym_COMMA,
    STATE(9364), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285968] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2673), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [285983] = 5,
    ACTIONS(12066), 1,
      anon_sym_EQ,
    ACTIONS(12285), 1,
      anon_sym_COMMA,
    ACTIONS(12287), 1,
      anon_sym_RPAREN,
    STATE(9325), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286000] = 4,
    ACTIONS(12291), 1,
      anon_sym_COMMA,
    STATE(9018), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12289), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [286015] = 5,
    ACTIONS(12294), 1,
      sym_identifier,
    ACTIONS(12296), 1,
      anon_sym_COLON,
    ACTIONS(12298), 1,
      anon_sym_LBRACE,
    STATE(4628), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286032] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12300), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8996), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [286047] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3012), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286058] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 4,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [286069] = 3,
    ACTIONS(12302), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [286082] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12304), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [286097] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12306), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [286112] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3136), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_while,
  [286123] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3016), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286134] = 5,
    ACTIONS(6619), 1,
      anon_sym_RBRACE,
    ACTIONS(12308), 1,
      anon_sym_SEMI,
    ACTIONS(12310), 1,
      anon_sym_COMMA,
    STATE(9035), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286151] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(12312), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2640), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [286166] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(12312), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2644), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [286181] = 5,
    ACTIONS(10586), 1,
      anon_sym_RPAREN,
    ACTIONS(12314), 1,
      anon_sym_EQ,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(9454), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286198] = 5,
    ACTIONS(11960), 1,
      anon_sym_EQ,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_RPAREN,
    STATE(9347), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286215] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7235), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [286226] = 4,
    ACTIONS(4347), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11265), 2,
      sym_class_body,
      sym_enum_class_body,
  [286241] = 5,
    ACTIONS(6625), 1,
      anon_sym_RBRACE,
    ACTIONS(8954), 1,
      anon_sym_SEMI,
    ACTIONS(12322), 1,
      anon_sym_COMMA,
    STATE(9018), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286258] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3020), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286269] = 5,
    ACTIONS(7361), 1,
      sym__class_member_semi,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(12324), 1,
      anon_sym_COLON,
    STATE(10571), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286286] = 4,
    ACTIONS(7169), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10530), 2,
      sym_class_body,
      sym_enum_class_body,
  [286301] = 5,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(12326), 1,
      anon_sym_COLON,
    ACTIONS(12328), 1,
      sym__class_member_semi,
    STATE(11113), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286318] = 5,
    ACTIONS(8926), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12330), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286335] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3024), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286346] = 5,
    ACTIONS(8978), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12332), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286363] = 5,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12334), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286380] = 4,
    ACTIONS(4339), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10882), 2,
      sym_class_body,
      sym_enum_class_body,
  [286395] = 5,
    ACTIONS(10512), 1,
      anon_sym_RPAREN,
    ACTIONS(12336), 1,
      anon_sym_EQ,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    STATE(9551), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286412] = 5,
    ACTIONS(11894), 1,
      anon_sym_EQ,
    ACTIONS(12340), 1,
      anon_sym_COMMA,
    ACTIONS(12342), 1,
      anon_sym_RPAREN,
    STATE(9537), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286429] = 5,
    ACTIONS(12344), 1,
      sym_identifier,
    ACTIONS(12346), 1,
      anon_sym_COLON,
    ACTIONS(12348), 1,
      anon_sym_LBRACE,
    STATE(5073), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286446] = 4,
    ACTIONS(6970), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11268), 2,
      sym_class_body,
      sym_enum_class_body,
  [286461] = 5,
    ACTIONS(11834), 1,
      anon_sym_EQ,
    ACTIONS(12350), 1,
      anon_sym_COMMA,
    ACTIONS(12352), 1,
      anon_sym_RPAREN,
    STATE(9516), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286478] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7235), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [286489] = 4,
    ACTIONS(4347), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10891), 2,
      sym_class_body,
      sym_enum_class_body,
  [286504] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6851), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286515] = 3,
    ACTIONS(12354), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [286528] = 5,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(12356), 1,
      anon_sym_COLON,
    ACTIONS(12358), 1,
      sym__class_member_semi,
    STATE(11033), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286545] = 5,
    ACTIONS(12360), 1,
      sym_identifier,
    ACTIONS(12362), 1,
      anon_sym_COLON,
    ACTIONS(12364), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286562] = 4,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(12312), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2679), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [286577] = 4,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7185), 2,
      sym__semi,
      anon_sym_RBRACE,
  [286592] = 5,
    ACTIONS(7193), 1,
      sym__class_member_semi,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(12366), 1,
      anon_sym_COLON,
    STATE(11178), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286609] = 5,
    ACTIONS(10630), 1,
      anon_sym_RPAREN,
    ACTIONS(12368), 1,
      anon_sym_EQ,
    ACTIONS(12370), 1,
      anon_sym_COMMA,
    STATE(9718), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286626] = 5,
    ACTIONS(11844), 1,
      anon_sym_EQ,
    ACTIONS(12372), 1,
      anon_sym_COMMA,
    ACTIONS(12374), 1,
      anon_sym_RPAREN,
    STATE(9554), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286643] = 4,
    ACTIONS(6879), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10471), 2,
      sym_class_body,
      sym_enum_class_body,
  [286658] = 5,
    ACTIONS(6750), 1,
      anon_sym_RBRACE,
    ACTIONS(12376), 1,
      anon_sym_SEMI,
    ACTIONS(12378), 1,
      anon_sym_COMMA,
    STATE(9066), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286675] = 5,
    ACTIONS(10564), 1,
      anon_sym_RPAREN,
    ACTIONS(12380), 1,
      anon_sym_EQ,
    ACTIONS(12382), 1,
      anon_sym_COMMA,
    STATE(9600), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286692] = 5,
    ACTIONS(12384), 1,
      anon_sym_EQ,
    ACTIONS(12386), 1,
      anon_sym_COMMA,
    ACTIONS(12388), 1,
      anon_sym_RPAREN,
    STATE(9669), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286709] = 5,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12390), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286726] = 5,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    ACTIONS(9161), 1,
      anon_sym_SEMI,
    ACTIONS(12392), 1,
      anon_sym_COMMA,
    STATE(9018), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286743] = 4,
    ACTIONS(6873), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10488), 2,
      sym_class_body,
      sym_enum_class_body,
  [286758] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7367), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [286769] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7371), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [286780] = 4,
    ACTIONS(6889), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11364), 2,
      sym_class_body,
      sym_enum_class_body,
  [286795] = 4,
    ACTIONS(4357), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10764), 2,
      sym_class_body,
      sym_enum_class_body,
  [286810] = 4,
    ACTIONS(11776), 1,
      anon_sym_LBRACE,
    STATE(9884), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7543), 2,
      sym__semi,
      anon_sym_RBRACE,
  [286825] = 5,
    ACTIONS(10524), 1,
      anon_sym_RPAREN,
    ACTIONS(12394), 1,
      anon_sym_EQ,
    ACTIONS(12396), 1,
      anon_sym_COMMA,
    STATE(9689), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286842] = 5,
    ACTIONS(11900), 1,
      anon_sym_EQ,
    ACTIONS(12398), 1,
      anon_sym_COMMA,
    ACTIONS(12400), 1,
      anon_sym_RPAREN,
    STATE(9634), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286859] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6833), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [286870] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12402), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9077), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [286885] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12404), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [286900] = 5,
    ACTIONS(6758), 1,
      anon_sym_RBRACE,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    STATE(9081), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286917] = 5,
    ACTIONS(10536), 1,
      anon_sym_RPAREN,
    ACTIONS(12410), 1,
      anon_sym_EQ,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    STATE(9690), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286934] = 5,
    ACTIONS(12414), 1,
      anon_sym_EQ,
    ACTIONS(12416), 1,
      anon_sym_COMMA,
    ACTIONS(12418), 1,
      anon_sym_RPAREN,
    STATE(9751), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286951] = 5,
    ACTIONS(6639), 1,
      anon_sym_RBRACE,
    ACTIONS(8974), 1,
      anon_sym_SEMI,
    ACTIONS(12420), 1,
      anon_sym_COMMA,
    STATE(9018), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286968] = 5,
    ACTIONS(6629), 1,
      anon_sym_RBRACE,
    ACTIONS(12422), 1,
      anon_sym_SEMI,
    ACTIONS(12424), 1,
      anon_sym_COMMA,
    STATE(9091), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286985] = 5,
    ACTIONS(9092), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12426), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287002] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7189), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [287013] = 5,
    ACTIONS(9096), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12428), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287030] = 5,
    ACTIONS(7193), 1,
      anon_sym_while,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    ACTIONS(12430), 1,
      anon_sym_COLON,
    STATE(11156), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287047] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2995), 4,
      sym__class_member_semi,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [287058] = 5,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12432), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287075] = 5,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12434), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287092] = 5,
    ACTIONS(10612), 1,
      anon_sym_RPAREN,
    ACTIONS(12436), 1,
      anon_sym_EQ,
    ACTIONS(12438), 1,
      anon_sym_COMMA,
    STATE(9826), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287109] = 5,
    ACTIONS(6641), 1,
      anon_sym_RBRACE,
    ACTIONS(9066), 1,
      anon_sym_SEMI,
    ACTIONS(12440), 1,
      anon_sym_COMMA,
    STATE(9018), 1,
      aux_sym_enum_class_body_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287126] = 5,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    ACTIONS(12442), 1,
      anon_sym_EQ,
    ACTIONS(12444), 1,
      anon_sym_COMMA,
    STATE(9767), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287143] = 5,
    ACTIONS(10545), 1,
      anon_sym_RPAREN,
    ACTIONS(12446), 1,
      anon_sym_EQ,
    ACTIONS(12448), 1,
      anon_sym_COMMA,
    STATE(9827), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287160] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12450), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [287175] = 5,
    ACTIONS(11914), 1,
      anon_sym_EQ,
    ACTIONS(12452), 1,
      anon_sym_COMMA,
    ACTIONS(12454), 1,
      anon_sym_RPAREN,
    STATE(9748), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287192] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7243), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [287203] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7367), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [287214] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7371), 4,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
      anon_sym_while,
  [287225] = 4,
    ACTIONS(6889), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10480), 2,
      sym_class_body,
      sym_enum_class_body,
  [287240] = 4,
    ACTIONS(4357), 1,
      anon_sym_while,
    ACTIONS(7428), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10502), 2,
      sym_class_body,
      sym_enum_class_body,
  [287255] = 5,
    ACTIONS(12058), 1,
      anon_sym_EQ,
    ACTIONS(12456), 1,
      anon_sym_COMMA,
    ACTIONS(12458), 1,
      anon_sym_RPAREN,
    STATE(9424), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287272] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12460), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9103), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287287] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12462), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287302] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9105), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287317] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12466), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287332] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12468), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9107), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287347] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12470), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287362] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12472), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9109), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287377] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287392] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12476), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9111), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287407] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12478), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287422] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12480), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9113), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287437] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12482), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287452] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12484), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9115), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287467] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12486), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287482] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9117), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287497] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12490), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287512] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12492), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9119), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287527] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12494), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287542] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12496), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9121), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287557] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12498), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287572] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12500), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9123), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287587] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287602] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9125), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287617] = 4,
    ACTIONS(11106), 1,
      anon_sym_AT,
    ACTIONS(12506), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8827), 2,
      sym_annotation,
      aux_sym_delegation_specifier_repeat1,
  [287632] = 4,
    ACTIONS(6992), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11232), 2,
      sym_class_body,
      sym_enum_class_body,
  [287647] = 4,
    ACTIONS(7231), 1,
      sym__class_member_semi,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11236), 2,
      sym_class_body,
      sym_enum_class_body,
  [287662] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6519), 4,
      sym__class_member_semi,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LBRACE,
  [287673] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7341), 4,
      sym__class_member_semi,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LBRACE,
  [287684] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5988), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [287699] = 5,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(12508), 1,
      anon_sym_EQ,
    ACTIONS(12510), 1,
      anon_sym_COMMA,
    STATE(9517), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287716] = 5,
    ACTIONS(12001), 1,
      anon_sym_EQ,
    ACTIONS(12512), 1,
      anon_sym_COMMA,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
    STATE(9493), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287733] = 5,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    ACTIONS(12516), 1,
      anon_sym_EQ,
    ACTIONS(12518), 1,
      anon_sym_COMMA,
    STATE(9535), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287750] = 4,
    ACTIONS(12520), 1,
      anon_sym_COMMA,
    ACTIONS(12522), 1,
      anon_sym_RPAREN,
    STATE(9459), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287764] = 4,
    ACTIONS(12524), 1,
      anon_sym_RBRACE,
    ACTIONS(12526), 1,
      sym__semi,
    STATE(9225), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287778] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12528), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287792] = 4,
    ACTIONS(12530), 1,
      anon_sym_COLON,
    ACTIONS(12532), 1,
      anon_sym_EQ,
    ACTIONS(12534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287806] = 4,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(12536), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287820] = 4,
    ACTIONS(12538), 1,
      anon_sym_COLON,
    ACTIONS(12540), 1,
      anon_sym_EQ,
    ACTIONS(12542), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287834] = 4,
    ACTIONS(12544), 1,
      anon_sym_EQ,
    ACTIONS(12546), 1,
      anon_sym_LT,
    STATE(10927), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287848] = 4,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(12536), 1,
      sym__semi,
    STATE(9210), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287862] = 4,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    ACTIONS(12253), 1,
      anon_sym_EQ,
    ACTIONS(12548), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287876] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287890] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12554), 1,
      anon_sym_GT,
    STATE(9226), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287904] = 4,
    ACTIONS(8772), 1,
      anon_sym_COMMA,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287918] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12556), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287932] = 4,
    ACTIONS(12558), 1,
      anon_sym_RBRACE,
    ACTIONS(12560), 1,
      sym__semi,
    STATE(9156), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287946] = 4,
    ACTIONS(12562), 1,
      anon_sym_COMMA,
    ACTIONS(12564), 1,
      anon_sym_RPAREN,
    STATE(9233), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287960] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12566), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287974] = 4,
    ACTIONS(12568), 1,
      anon_sym_RBRACE,
    ACTIONS(12570), 1,
      sym__semi,
    STATE(9159), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287988] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12572), 1,
      anon_sym_GT,
    STATE(9160), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288002] = 4,
    ACTIONS(12574), 1,
      anon_sym_COMMA,
    ACTIONS(12576), 1,
      anon_sym_RPAREN,
    STATE(9161), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288016] = 4,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(12578), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288030] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12580), 1,
      anon_sym_DOT,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288044] = 4,
    ACTIONS(10572), 1,
      anon_sym_RPAREN,
    ACTIONS(12191), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288058] = 4,
    ACTIONS(1469), 1,
      anon_sym_RBRACE,
    ACTIONS(12584), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288072] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12588), 1,
      anon_sym_LBRACE,
    STATE(11172), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288086] = 4,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    ACTIONS(12590), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288100] = 4,
    ACTIONS(1471), 1,
      anon_sym_RBRACE,
    ACTIONS(12592), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288114] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12594), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288128] = 4,
    ACTIONS(3794), 1,
      anon_sym_RPAREN,
    ACTIONS(12596), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288142] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288156] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288170] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12602), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288184] = 4,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    ACTIONS(12604), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288198] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12606), 1,
      anon_sym_LBRACE,
    STATE(11229), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288212] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12608), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288226] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(12610), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288240] = 4,
    ACTIONS(3722), 1,
      anon_sym_RPAREN,
    ACTIONS(12612), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288254] = 4,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(12614), 1,
      sym__semi,
    STATE(9274), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288268] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288282] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12618), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288296] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12620), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288310] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12622), 1,
      anon_sym_LBRACE,
    STATE(11340), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288324] = 4,
    ACTIONS(1421), 1,
      anon_sym_RBRACE,
    ACTIONS(12624), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288338] = 4,
    ACTIONS(8752), 1,
      anon_sym_COMMA,
    ACTIONS(8754), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288352] = 4,
    ACTIONS(12626), 1,
      anon_sym_COMMA,
    ACTIONS(12629), 1,
      anon_sym_DASH_GT,
    STATE(9177), 1,
      aux_sym_when_entry_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288366] = 4,
    ACTIONS(12631), 1,
      anon_sym_RBRACE,
    ACTIONS(12633), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288380] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6353), 3,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_GT,
  [288390] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12636), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288404] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288418] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12640), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288432] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12642), 1,
      anon_sym_GT,
    STATE(9382), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288446] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [288456] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12644), 1,
      anon_sym_LBRACE,
    STATE(10448), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288470] = 4,
    ACTIONS(2640), 1,
      anon_sym_in,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288484] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288498] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288512] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12652), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288526] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12654), 1,
      anon_sym_LBRACE,
    STATE(10497), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288540] = 4,
    ACTIONS(12656), 1,
      anon_sym_RBRACE,
    ACTIONS(12658), 1,
      sym__semi,
    STATE(9201), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288554] = 4,
    ACTIONS(12660), 1,
      anon_sym_RBRACE,
    ACTIONS(12662), 1,
      sym__semi,
    STATE(9202), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288568] = 4,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11976), 1,
      anon_sym_RPAREN,
    STATE(9704), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288582] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12664), 1,
      anon_sym_GT,
    STATE(9203), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288596] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288610] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288624] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12670), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288638] = 4,
    ACTIONS(12672), 1,
      anon_sym_COMMA,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(9205), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288652] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12676), 1,
      anon_sym_LBRACE,
    STATE(10555), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288666] = 4,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(12578), 1,
      sym__semi,
    STATE(9688), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288680] = 4,
    ACTIONS(1481), 1,
      anon_sym_RBRACE,
    ACTIONS(12678), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288694] = 4,
    ACTIONS(1483), 1,
      anon_sym_RBRACE,
    ACTIONS(12680), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288708] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12682), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288722] = 4,
    ACTIONS(1429), 1,
      anon_sym_RBRACE,
    ACTIONS(12684), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288736] = 4,
    ACTIONS(3824), 1,
      anon_sym_RPAREN,
    ACTIONS(12686), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288750] = 4,
    ACTIONS(12688), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288764] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288778] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288792] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12697), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288806] = 4,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    ACTIONS(12699), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288820] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(12701), 1,
      anon_sym_LBRACE,
    STATE(10629), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288834] = 4,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_DASH_GT,
    STATE(9212), 1,
      aux_sym_lambda_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288848] = 4,
    ACTIONS(12708), 1,
      anon_sym_COMMA,
    ACTIONS(12710), 1,
      anon_sym_RPAREN,
    STATE(9294), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288862] = 4,
    ACTIONS(1271), 1,
      anon_sym_RBRACE,
    ACTIONS(12712), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288876] = 4,
    ACTIONS(1243), 1,
      anon_sym_RBRACE,
    ACTIONS(12614), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288890] = 4,
    ACTIONS(8567), 1,
      anon_sym_COMMA,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288904] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12714), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288918] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288932] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288946] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12720), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288960] = 4,
    ACTIONS(12722), 1,
      anon_sym_COLON,
    ACTIONS(12724), 1,
      anon_sym_EQ,
    ACTIONS(12726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288974] = 4,
    ACTIONS(7185), 1,
      anon_sym_while,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288988] = 4,
    ACTIONS(12728), 1,
      anon_sym_RBRACE,
    ACTIONS(12730), 1,
      sym__semi,
    STATE(9282), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289002] = 4,
    ACTIONS(10582), 1,
      anon_sym_RPAREN,
    ACTIONS(12732), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289016] = 4,
    ACTIONS(1431), 1,
      anon_sym_RBRACE,
    ACTIONS(12734), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289030] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12736), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289044] = 4,
    ACTIONS(12738), 1,
      anon_sym_COLON,
    ACTIONS(12740), 1,
      anon_sym_EQ,
    ACTIONS(12742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289058] = 4,
    ACTIONS(8776), 1,
      anon_sym_COMMA,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289072] = 4,
    ACTIONS(12744), 1,
      anon_sym_RBRACE,
    ACTIONS(12746), 1,
      sym__semi,
    STATE(9234), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289086] = 4,
    ACTIONS(12748), 1,
      anon_sym_RBRACE,
    ACTIONS(12750), 1,
      sym__semi,
    STATE(9235), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289100] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12752), 1,
      anon_sym_GT,
    STATE(9236), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289114] = 4,
    ACTIONS(12754), 1,
      anon_sym_COMMA,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
    STATE(9239), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289128] = 4,
    ACTIONS(3828), 1,
      anon_sym_RPAREN,
    ACTIONS(12758), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289142] = 4,
    ACTIONS(1491), 1,
      anon_sym_RBRACE,
    ACTIONS(12760), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289156] = 4,
    ACTIONS(1493), 1,
      anon_sym_RBRACE,
    ACTIONS(12762), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289170] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12764), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289184] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(12766), 1,
      anon_sym_EQ,
    STATE(10876), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289198] = 3,
    ACTIONS(12768), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12770), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [289210] = 4,
    ACTIONS(3856), 1,
      anon_sym_RPAREN,
    ACTIONS(12772), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289224] = 4,
    ACTIONS(10487), 1,
      anon_sym_RPAREN,
    ACTIONS(12774), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289238] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289252] = 4,
    ACTIONS(10499), 1,
      anon_sym_RPAREN,
    ACTIONS(12778), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289266] = 4,
    ACTIONS(10622), 1,
      anon_sym_RPAREN,
    ACTIONS(12173), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289280] = 4,
    ACTIONS(12780), 1,
      anon_sym_RBRACE,
    ACTIONS(12782), 1,
      sym__semi,
    STATE(9296), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289294] = 4,
    ACTIONS(12784), 1,
      anon_sym_COMMA,
    ACTIONS(12787), 1,
      anon_sym_RPAREN,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289308] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12789), 1,
      anon_sym_GT,
    STATE(9299), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289322] = 4,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    ACTIONS(12199), 1,
      anon_sym_EQ,
    ACTIONS(12791), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289336] = 4,
    ACTIONS(5992), 1,
      anon_sym_in,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289350] = 4,
    ACTIONS(1201), 1,
      anon_sym_RBRACE,
    ACTIONS(12793), 1,
      sym__semi,
    STATE(9566), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289364] = 4,
    ACTIONS(12795), 1,
      anon_sym_COMMA,
    ACTIONS(12797), 1,
      anon_sym_RPAREN,
    STATE(9323), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289378] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289392] = 4,
    ACTIONS(12801), 1,
      anon_sym_RBRACE,
    ACTIONS(12803), 1,
      sym__semi,
    STATE(9257), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289406] = 4,
    ACTIONS(8621), 1,
      anon_sym_COMMA,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289420] = 4,
    ACTIONS(12805), 1,
      anon_sym_RBRACE,
    ACTIONS(12807), 1,
      sym__semi,
    STATE(9258), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289434] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12809), 1,
      anon_sym_GT,
    STATE(9259), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289448] = 4,
    ACTIONS(12811), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_RPAREN,
    STATE(9260), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289462] = 4,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(12815), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289476] = 4,
    ACTIONS(1503), 1,
      anon_sym_RBRACE,
    ACTIONS(12817), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289490] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12819), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289504] = 4,
    ACTIONS(3882), 1,
      anon_sym_RPAREN,
    ACTIONS(12821), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289518] = 4,
    ACTIONS(1563), 1,
      anon_sym_RBRACE,
    ACTIONS(12823), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289532] = 4,
    ACTIONS(12825), 1,
      anon_sym_COMMA,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(9262), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289546] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(12832), 1,
      anon_sym_GT,
    STATE(9538), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289560] = 4,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    ACTIONS(12265), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289574] = 4,
    ACTIONS(12834), 1,
      anon_sym_COLON,
    ACTIONS(12836), 1,
      anon_sym_LBRACE,
    STATE(3790), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289588] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12838), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289602] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12840), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289616] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289630] = 4,
    ACTIONS(1203), 1,
      anon_sym_RBRACE,
    ACTIONS(12844), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289644] = 4,
    ACTIONS(12846), 1,
      anon_sym_RBRACE,
    ACTIONS(12848), 1,
      sym__semi,
    STATE(9275), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289658] = 4,
    ACTIONS(12850), 1,
      anon_sym_RBRACE,
    ACTIONS(12852), 1,
      sym__semi,
    STATE(9278), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289672] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12854), 1,
      anon_sym_GT,
    STATE(9279), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289686] = 4,
    ACTIONS(12856), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_RPAREN,
    STATE(9280), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289700] = 4,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(12860), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289714] = 4,
    ACTIONS(1513), 1,
      anon_sym_RBRACE,
    ACTIONS(12862), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289728] = 4,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    ACTIONS(12860), 1,
      sym__semi,
    STATE(9383), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289742] = 3,
    ACTIONS(12864), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(5681), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [289754] = 4,
    ACTIONS(1515), 1,
      anon_sym_RBRACE,
    ACTIONS(12866), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289768] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12868), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289782] = 4,
    ACTIONS(3772), 1,
      anon_sym_RPAREN,
    ACTIONS(12870), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289796] = 4,
    ACTIONS(1341), 1,
      anon_sym_RBRACE,
    ACTIONS(12872), 1,
      sym__semi,
    STATE(9309), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289810] = 4,
    ACTIONS(1247), 1,
      anon_sym_RBRACE,
    ACTIONS(12874), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289824] = 3,
    ACTIONS(12876), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12878), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [289836] = 4,
    ACTIONS(12880), 1,
      anon_sym_RBRACE,
    ACTIONS(12882), 1,
      sym__semi,
    STATE(9289), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289850] = 4,
    ACTIONS(12884), 1,
      anon_sym_RBRACE,
    ACTIONS(12886), 1,
      sym__semi,
    STATE(9290), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289864] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_GT,
    STATE(9291), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289878] = 4,
    ACTIONS(12890), 1,
      anon_sym_COMMA,
    ACTIONS(12892), 1,
      anon_sym_RPAREN,
    STATE(9293), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289892] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12894), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289906] = 4,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
    ACTIONS(12896), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289920] = 4,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(12898), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289934] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12900), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289948] = 4,
    ACTIONS(12902), 1,
      anon_sym_COMMA,
    ACTIONS(12904), 1,
      anon_sym_RPAREN,
    STATE(9714), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289962] = 4,
    ACTIONS(3758), 1,
      anon_sym_RPAREN,
    ACTIONS(12906), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289976] = 4,
    ACTIONS(3816), 1,
      anon_sym_RPAREN,
    ACTIONS(12908), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289990] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11818), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [290000] = 4,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    ACTIONS(12910), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290014] = 4,
    ACTIONS(3912), 1,
      anon_sym_RBRACK,
    ACTIONS(12912), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290028] = 4,
    ACTIONS(12914), 1,
      anon_sym_COLON,
    ACTIONS(12916), 1,
      anon_sym_LBRACE,
    STATE(3434), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290042] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12918), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290056] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12920), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290070] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(12922), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290084] = 4,
    ACTIONS(1345), 1,
      anon_sym_RBRACE,
    ACTIONS(12924), 1,
      sym__semi,
    STATE(9339), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290098] = 4,
    ACTIONS(12926), 1,
      anon_sym_COMMA,
    ACTIONS(12928), 1,
      anon_sym_DASH_GT,
    STATE(9177), 1,
      aux_sym_when_entry_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290112] = 4,
    ACTIONS(12930), 1,
      anon_sym_RBRACE,
    ACTIONS(12932), 1,
      sym__semi,
    STATE(9310), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290126] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12934), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290140] = 4,
    ACTIONS(12936), 1,
      anon_sym_RBRACE,
    ACTIONS(12938), 1,
      sym__semi,
    STATE(9311), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290154] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_GT,
    STATE(9312), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290168] = 4,
    ACTIONS(12942), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_RPAREN,
    STATE(9314), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290182] = 4,
    ACTIONS(1345), 1,
      anon_sym_RBRACE,
    ACTIONS(12924), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290196] = 4,
    ACTIONS(1533), 1,
      anon_sym_RBRACE,
    ACTIONS(12946), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290210] = 4,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(12948), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290224] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12950), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290238] = 4,
    ACTIONS(12952), 1,
      anon_sym_RBRACE,
    ACTIONS(12954), 1,
      sym__semi,
    STATE(9346), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290252] = 4,
    ACTIONS(3820), 1,
      anon_sym_RPAREN,
    ACTIONS(12956), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290266] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12958), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290280] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6527), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
  [290290] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6515), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
  [290300] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(12960), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290314] = 4,
    ACTIONS(12962), 1,
      anon_sym_RBRACE,
    ACTIONS(12964), 1,
      sym__semi,
    STATE(9585), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290328] = 4,
    ACTIONS(12966), 1,
      anon_sym_RBRACE,
    ACTIONS(12968), 1,
      sym__semi,
    STATE(9348), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290342] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12970), 1,
      anon_sym_GT,
    STATE(9349), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290356] = 4,
    ACTIONS(12972), 1,
      anon_sym_COMMA,
    ACTIONS(12974), 1,
      anon_sym_RPAREN,
    STATE(9351), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290370] = 4,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    ACTIONS(12976), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290384] = 4,
    ACTIONS(1263), 1,
      anon_sym_RBRACE,
    ACTIONS(12978), 1,
      sym__semi,
    STATE(9562), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290398] = 4,
    ACTIONS(10566), 1,
      anon_sym_RPAREN,
    ACTIONS(12283), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290412] = 4,
    ACTIONS(8625), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290426] = 4,
    ACTIONS(12980), 1,
      anon_sym_RBRACE,
    ACTIONS(12982), 1,
      sym__semi,
    STATE(9335), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290440] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12289), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [290450] = 4,
    ACTIONS(12984), 1,
      anon_sym_RBRACE,
    ACTIONS(12986), 1,
      sym__semi,
    STATE(9337), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290464] = 4,
    ACTIONS(12988), 1,
      anon_sym_COLON,
    ACTIONS(12990), 1,
      anon_sym_EQ,
    ACTIONS(12992), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290478] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(12994), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290492] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(12996), 1,
      anon_sym_GT,
    STATE(9338), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290506] = 4,
    ACTIONS(12998), 1,
      anon_sym_COMMA,
    ACTIONS(13000), 1,
      anon_sym_RPAREN,
    STATE(9340), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290520] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13002), 1,
      anon_sym_GT,
    STATE(9550), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290534] = 4,
    ACTIONS(1545), 1,
      anon_sym_RBRACE,
    ACTIONS(13004), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290548] = 4,
    ACTIONS(1281), 1,
      anon_sym_RBRACE,
    ACTIONS(13006), 1,
      sym__semi,
    STATE(9418), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290562] = 4,
    ACTIONS(1547), 1,
      anon_sym_RBRACE,
    ACTIONS(13008), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290576] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13010), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290590] = 4,
    ACTIONS(1347), 1,
      anon_sym_RBRACE,
    ACTIONS(13012), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290604] = 4,
    ACTIONS(3872), 1,
      anon_sym_RPAREN,
    ACTIONS(13014), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290618] = 4,
    ACTIONS(1263), 1,
      anon_sym_RBRACE,
    ACTIONS(12978), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290632] = 4,
    ACTIONS(10495), 1,
      anon_sym_RPAREN,
    ACTIONS(13016), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290646] = 4,
    ACTIONS(1347), 1,
      anon_sym_RBRACE,
    ACTIONS(13012), 1,
      sym__semi,
    STATE(9366), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290660] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [290670] = 4,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    ACTIONS(12434), 1,
      anon_sym_EQ,
    ACTIONS(13018), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290684] = 4,
    ACTIONS(1349), 1,
      anon_sym_RBRACE,
    ACTIONS(13020), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290698] = 4,
    ACTIONS(10612), 1,
      anon_sym_RPAREN,
    ACTIONS(12438), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290712] = 4,
    ACTIONS(1351), 1,
      anon_sym_RBRACE,
    ACTIONS(13022), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290726] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13024), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290740] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13026), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290754] = 4,
    ACTIONS(3700), 1,
      anon_sym_RPAREN,
    ACTIONS(13028), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290768] = 4,
    ACTIONS(1145), 1,
      anon_sym_RBRACE,
    ACTIONS(13030), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290782] = 4,
    ACTIONS(13032), 1,
      anon_sym_RBRACE,
    ACTIONS(13034), 1,
      sym__semi,
    STATE(9610), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290796] = 4,
    ACTIONS(8758), 1,
      anon_sym_COMMA,
    ACTIONS(8760), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290810] = 4,
    ACTIONS(12346), 1,
      anon_sym_COLON,
    ACTIONS(12348), 1,
      anon_sym_LBRACE,
    STATE(5073), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290824] = 4,
    ACTIONS(13036), 1,
      anon_sym_RBRACE,
    ACTIONS(13038), 1,
      sym__semi,
    STATE(9360), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290838] = 4,
    ACTIONS(13040), 1,
      anon_sym_RBRACE,
    ACTIONS(13042), 1,
      sym__semi,
    STATE(9361), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290852] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13044), 1,
      anon_sym_GT,
    STATE(9362), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290866] = 4,
    ACTIONS(13046), 1,
      anon_sym_COMMA,
    ACTIONS(13048), 1,
      anon_sym_RPAREN,
    STATE(9365), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290880] = 4,
    ACTIONS(1555), 1,
      anon_sym_RBRACE,
    ACTIONS(13050), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290894] = 4,
    ACTIONS(1557), 1,
      anon_sym_RBRACE,
    ACTIONS(13052), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290908] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13054), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290922] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13056), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290936] = 4,
    ACTIONS(8575), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290950] = 4,
    ACTIONS(3694), 1,
      anon_sym_RPAREN,
    ACTIONS(13058), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290964] = 4,
    ACTIONS(1353), 1,
      anon_sym_RBRACE,
    ACTIONS(13060), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290978] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13062), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290992] = 4,
    ACTIONS(8589), 1,
      anon_sym_COMMA,
    ACTIONS(8591), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291006] = 4,
    ACTIONS(10628), 1,
      anon_sym_RPAREN,
    ACTIONS(13064), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291020] = 4,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13066), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291034] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13068), 1,
      anon_sym_EQ,
    STATE(11149), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291048] = 4,
    ACTIONS(13070), 1,
      anon_sym_RBRACE,
    ACTIONS(13072), 1,
      sym__semi,
    STATE(9376), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291062] = 4,
    ACTIONS(13074), 1,
      anon_sym_RBRACE,
    ACTIONS(13076), 1,
      sym__semi,
    STATE(9377), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291076] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13078), 1,
      anon_sym_GT,
    STATE(9379), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291090] = 4,
    ACTIONS(13080), 1,
      anon_sym_COMMA,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
    STATE(9380), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291104] = 4,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(13084), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291118] = 4,
    ACTIONS(1569), 1,
      anon_sym_RBRACE,
    ACTIONS(13086), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291132] = 4,
    ACTIONS(1363), 1,
      anon_sym_RBRACE,
    ACTIONS(13088), 1,
      sym__semi,
    STATE(9399), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291146] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13090), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291160] = 4,
    ACTIONS(3706), 1,
      anon_sym_RPAREN,
    ACTIONS(13092), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291174] = 4,
    ACTIONS(8744), 1,
      anon_sym_COMMA,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291188] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13094), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291202] = 4,
    ACTIONS(1251), 1,
      anon_sym_RBRACE,
    ACTIONS(13096), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291216] = 4,
    ACTIONS(13098), 1,
      anon_sym_RBRACE,
    ACTIONS(13100), 1,
      sym__semi,
    STATE(9649), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291230] = 4,
    ACTIONS(13102), 1,
      anon_sym_RBRACE,
    ACTIONS(13104), 1,
      sym__semi,
    STATE(9592), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291244] = 4,
    ACTIONS(3914), 1,
      anon_sym_RBRACK,
    ACTIONS(13106), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291258] = 4,
    ACTIONS(3936), 1,
      anon_sym_RBRACK,
    ACTIONS(13108), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291272] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13110), 1,
      anon_sym_GT,
    STATE(9670), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291286] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13112), 1,
      anon_sym_GT,
    STATE(9423), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291300] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13114), 1,
      anon_sym_GT,
    STATE(9595), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291314] = 4,
    ACTIONS(13116), 1,
      anon_sym_RBRACE,
    ACTIONS(13118), 1,
      sym__semi,
    STATE(9396), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291328] = 4,
    ACTIONS(13120), 1,
      anon_sym_COMMA,
    ACTIONS(13122), 1,
      anon_sym_RPAREN,
    STATE(9431), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291342] = 4,
    ACTIONS(13124), 1,
      anon_sym_RBRACE,
    ACTIONS(13126), 1,
      sym__semi,
    STATE(9400), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291356] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13128), 1,
      anon_sym_GT,
    STATE(9401), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291370] = 4,
    ACTIONS(13130), 1,
      anon_sym_COMMA,
    ACTIONS(13132), 1,
      anon_sym_RPAREN,
    STATE(9405), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291384] = 4,
    ACTIONS(1577), 1,
      anon_sym_RBRACE,
    ACTIONS(13134), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291398] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13136), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291412] = 4,
    ACTIONS(1415), 1,
      anon_sym_RBRACE,
    ACTIONS(13138), 1,
      sym__semi,
    STATE(9436), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291426] = 4,
    ACTIONS(1415), 1,
      anon_sym_RBRACE,
    ACTIONS(13138), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291440] = 4,
    ACTIONS(1579), 1,
      anon_sym_RBRACE,
    ACTIONS(13140), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291454] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13142), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291468] = 4,
    ACTIONS(13144), 1,
      anon_sym_RBRACE,
    ACTIONS(13146), 1,
      sym__semi,
    STATE(9438), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291482] = 4,
    ACTIONS(13148), 1,
      anon_sym_COLON,
    ACTIONS(13150), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291496] = 4,
    ACTIONS(13152), 1,
      anon_sym_RBRACE,
    ACTIONS(13154), 1,
      sym__semi,
    STATE(9441), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291510] = 4,
    ACTIONS(3726), 1,
      anon_sym_RPAREN,
    ACTIONS(13156), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291524] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13158), 1,
      anon_sym_GT,
    STATE(9442), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291538] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13160), 1,
      anon_sym_EQ,
    STATE(11282), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291552] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6361), 3,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_GT,
  [291562] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13162), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291576] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [291586] = 4,
    ACTIONS(8597), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291600] = 4,
    ACTIONS(13164), 1,
      anon_sym_COMMA,
    ACTIONS(13166), 1,
      anon_sym_RPAREN,
    STATE(9444), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291614] = 3,
    ACTIONS(13168), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13170), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [291626] = 4,
    ACTIONS(1285), 1,
      anon_sym_RBRACE,
    ACTIONS(13172), 1,
      sym__semi,
    STATE(9506), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291640] = 3,
    ACTIONS(13174), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13176), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [291652] = 4,
    ACTIONS(8762), 1,
      anon_sym_COMMA,
    ACTIONS(8764), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291666] = 4,
    ACTIONS(13178), 1,
      anon_sym_COMMA,
    ACTIONS(13180), 1,
      anon_sym_RPAREN,
    STATE(9445), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291680] = 4,
    ACTIONS(1285), 1,
      anon_sym_RBRACE,
    ACTIONS(13172), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291694] = 4,
    ACTIONS(2673), 1,
      anon_sym_in,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291708] = 4,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    ACTIONS(13182), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291722] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13184), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291736] = 4,
    ACTIONS(13186), 1,
      anon_sym_RBRACE,
    ACTIONS(13188), 1,
      sym__semi,
    STATE(9429), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291750] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13190), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291764] = 4,
    ACTIONS(10586), 1,
      anon_sym_RPAREN,
    ACTIONS(12316), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291778] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13192), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291792] = 4,
    ACTIONS(13194), 1,
      anon_sym_RBRACE,
    ACTIONS(13196), 1,
      sym__semi,
    STATE(9482), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291806] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13198), 1,
      anon_sym_GT,
    STATE(9430), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291820] = 4,
    ACTIONS(13200), 1,
      anon_sym_COMMA,
    ACTIONS(13202), 1,
      anon_sym_RPAREN,
    STATE(9433), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291834] = 4,
    ACTIONS(1587), 1,
      anon_sym_RBRACE,
    ACTIONS(13204), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291848] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13206), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291862] = 4,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    ACTIONS(13208), 1,
      anon_sym_COMMA,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291876] = 4,
    ACTIONS(13210), 1,
      anon_sym_RBRACE,
    ACTIONS(13212), 1,
      sym__semi,
    STATE(9483), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291890] = 4,
    ACTIONS(3740), 1,
      anon_sym_RPAREN,
    ACTIONS(13214), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291904] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13216), 1,
      anon_sym_GT,
    STATE(9488), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291918] = 4,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    ACTIONS(13218), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291932] = 4,
    ACTIONS(1609), 1,
      anon_sym_RBRACE,
    ACTIONS(13220), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291946] = 4,
    ACTIONS(1609), 1,
      anon_sym_RBRACE,
    ACTIONS(13220), 1,
      sym__semi,
    STATE(9461), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291960] = 4,
    ACTIONS(1611), 1,
      anon_sym_RBRACE,
    ACTIONS(13222), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291974] = 4,
    ACTIONS(13224), 1,
      anon_sym_RBRACE,
    ACTIONS(13226), 1,
      sym__semi,
    STATE(9522), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291988] = 4,
    ACTIONS(13228), 1,
      anon_sym_COLON,
    ACTIONS(13230), 1,
      anon_sym_LBRACE,
    STATE(3863), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292002] = 4,
    ACTIONS(1613), 1,
      anon_sym_RBRACE,
    ACTIONS(13232), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292016] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13234), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292030] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13236), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292044] = 4,
    ACTIONS(3802), 1,
      anon_sym_RPAREN,
    ACTIONS(13238), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292058] = 4,
    ACTIONS(8119), 1,
      anon_sym_RPAREN,
    ACTIONS(13240), 1,
      anon_sym_COMMA,
    STATE(9262), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292072] = 4,
    ACTIONS(13242), 1,
      anon_sym_RBRACE,
    ACTIONS(13244), 1,
      sym__semi,
    STATE(9534), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292086] = 4,
    ACTIONS(13246), 1,
      anon_sym_RBRACE,
    ACTIONS(13248), 1,
      sym__semi,
    STATE(9455), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292100] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13250), 1,
      anon_sym_GT,
    STATE(9456), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292114] = 4,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(13252), 1,
      sym__semi,
    STATE(9729), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292128] = 4,
    ACTIONS(13254), 1,
      anon_sym_COMMA,
    ACTIONS(13256), 1,
      anon_sym_RPAREN,
    STATE(9495), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292142] = 4,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(13258), 1,
      sym__class_member_semi,
    STATE(11069), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292156] = 4,
    ACTIONS(7315), 1,
      anon_sym_while,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292170] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(13260), 1,
      anon_sym_LBRACE,
    STATE(11225), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292184] = 4,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8595), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292198] = 4,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(13262), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292212] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13264), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292226] = 4,
    ACTIONS(8601), 1,
      anon_sym_COMMA,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292240] = 4,
    ACTIONS(10493), 1,
      anon_sym_RPAREN,
    ACTIONS(12209), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292254] = 4,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    ACTIONS(13266), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292268] = 4,
    ACTIONS(13268), 1,
      anon_sym_COLON,
    ACTIONS(13270), 1,
      anon_sym_EQ,
    ACTIONS(13272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292282] = 4,
    ACTIONS(1615), 1,
      anon_sym_RBRACE,
    ACTIONS(13274), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292296] = 4,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(13276), 1,
      sym__class_member_semi,
    STATE(11101), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292310] = 4,
    ACTIONS(1361), 1,
      anon_sym_RBRACE,
    ACTIONS(13278), 1,
      sym__semi,
    STATE(9499), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292324] = 4,
    ACTIONS(13280), 1,
      anon_sym_COMMA,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292338] = 3,
    STATE(9700), 1,
      sym_constructor_delegation_call,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13285), 2,
      anon_sym_this,
      anon_sym_super,
  [292350] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13287), 1,
      anon_sym_GT,
    STATE(9536), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292364] = 4,
    ACTIONS(13289), 1,
      anon_sym_COMMA,
    ACTIONS(13291), 1,
      anon_sym_DASH_GT,
    STATE(9747), 1,
      aux_sym_lambda_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292378] = 4,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(13293), 1,
      sym__class_member_semi,
    STATE(10527), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292392] = 4,
    ACTIONS(8617), 1,
      anon_sym_COMMA,
    ACTIONS(8619), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292406] = 4,
    ACTIONS(13295), 1,
      anon_sym_COMMA,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
    STATE(9545), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292420] = 4,
    ACTIONS(13299), 1,
      anon_sym_COLON,
    ACTIONS(13301), 1,
      anon_sym_EQ,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292434] = 4,
    ACTIONS(13305), 1,
      anon_sym_RBRACE,
    ACTIONS(13307), 1,
      sym__semi,
    STATE(9476), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292448] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13309), 1,
      anon_sym_GT,
    STATE(9477), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292462] = 4,
    ACTIONS(13311), 1,
      anon_sym_COMMA,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
    STATE(9479), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292476] = 4,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    ACTIONS(13315), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292490] = 4,
    ACTIONS(1599), 1,
      anon_sym_RBRACE,
    ACTIONS(13317), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292504] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13319), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292518] = 4,
    ACTIONS(13321), 1,
      anon_sym_RBRACE,
    ACTIONS(13323), 1,
      sym__semi,
    STATE(9798), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292532] = 4,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
    ACTIONS(13325), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292546] = 4,
    ACTIONS(8926), 1,
      anon_sym_RPAREN,
    ACTIONS(12330), 1,
      anon_sym_EQ,
    ACTIONS(13327), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292560] = 4,
    ACTIONS(13329), 1,
      anon_sym_COMMA,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
    STATE(9642), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292574] = 4,
    ACTIONS(1439), 1,
      anon_sym_RBRACE,
    ACTIONS(13333), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292588] = 4,
    ACTIONS(1441), 1,
      anon_sym_RBRACE,
    ACTIONS(13335), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292602] = 4,
    ACTIONS(3930), 1,
      anon_sym_RBRACK,
    ACTIONS(13337), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292616] = 4,
    ACTIONS(13339), 1,
      anon_sym_COLON,
    ACTIONS(13341), 1,
      anon_sym_EQ,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292630] = 4,
    ACTIONS(13345), 1,
      anon_sym_RBRACE,
    ACTIONS(13347), 1,
      sym__semi,
    STATE(9491), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292644] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13349), 1,
      anon_sym_GT,
    STATE(9492), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292658] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13351), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292672] = 4,
    ACTIONS(13353), 1,
      anon_sym_COMMA,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(9494), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292686] = 4,
    ACTIONS(13357), 1,
      anon_sym_COMMA,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    STATE(9774), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292700] = 4,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(13361), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292714] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13363), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292728] = 4,
    ACTIONS(10512), 1,
      anon_sym_RPAREN,
    ACTIONS(12338), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292742] = 4,
    ACTIONS(3774), 1,
      anon_sym_RPAREN,
    ACTIONS(13365), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292756] = 4,
    ACTIONS(3762), 1,
      anon_sym_RPAREN,
    ACTIONS(13367), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292770] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13369), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292784] = 4,
    ACTIONS(1367), 1,
      anon_sym_RBRACE,
    ACTIONS(13371), 1,
      sym__semi,
    STATE(9523), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292798] = 4,
    ACTIONS(7239), 1,
      sym__class_member_semi,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292812] = 4,
    ACTIONS(1367), 1,
      anon_sym_RBRACE,
    ACTIONS(13371), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292826] = 4,
    ACTIONS(13373), 1,
      anon_sym_RBRACE,
    ACTIONS(13375), 1,
      sym__semi,
    STATE(9526), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292840] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13377), 1,
      anon_sym_GT,
    STATE(9502), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292854] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13379), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292868] = 4,
    ACTIONS(13381), 1,
      anon_sym_COMMA,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(9696), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292882] = 4,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292896] = 4,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(13385), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292910] = 4,
    ACTIONS(1287), 1,
      anon_sym_RBRACE,
    ACTIONS(13388), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292924] = 4,
    ACTIONS(1287), 1,
      anon_sym_RBRACE,
    ACTIONS(13388), 1,
      sym__semi,
    STATE(9555), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292938] = 4,
    ACTIONS(13390), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      sym__semi,
    STATE(9527), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292952] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13394), 1,
      anon_sym_GT,
    STATE(9528), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292966] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13396), 1,
      anon_sym_GT,
    STATE(9511), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292980] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13398), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292994] = 4,
    ACTIONS(3957), 1,
      anon_sym_RBRACK,
    ACTIONS(13400), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293008] = 4,
    ACTIONS(13402), 1,
      anon_sym_COMMA,
    ACTIONS(13404), 1,
      anon_sym_RPAREN,
    STATE(9530), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293022] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13406), 1,
      anon_sym_GT,
    STATE(9515), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293036] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13408), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293050] = 4,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    ACTIONS(12518), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293064] = 4,
    ACTIONS(8807), 1,
      anon_sym_COMMA,
    ACTIONS(8809), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293078] = 4,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    ACTIONS(13410), 1,
      sym__semi,
    STATE(9757), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293092] = 4,
    ACTIONS(8607), 1,
      anon_sym_COMMA,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293106] = 4,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293120] = 4,
    ACTIONS(12296), 1,
      anon_sym_COLON,
    ACTIONS(12298), 1,
      anon_sym_LBRACE,
    STATE(4628), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293134] = 4,
    ACTIONS(1289), 1,
      anon_sym_RBRACE,
    ACTIONS(13412), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293148] = 4,
    ACTIONS(1369), 1,
      anon_sym_RBRACE,
    ACTIONS(13414), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293162] = 4,
    ACTIONS(13416), 1,
      anon_sym_COLON,
    ACTIONS(13418), 1,
      anon_sym_EQ,
    ACTIONS(13420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293176] = 4,
    ACTIONS(1369), 1,
      anon_sym_RBRACE,
    ACTIONS(13414), 1,
      sym__semi,
    STATE(9849), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293190] = 4,
    ACTIONS(1371), 1,
      anon_sym_RBRACE,
    ACTIONS(13422), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293204] = 4,
    ACTIONS(1373), 1,
      anon_sym_RBRACE,
    ACTIONS(13424), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293218] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13426), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293232] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13428), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293246] = 4,
    ACTIONS(3798), 1,
      anon_sym_RPAREN,
    ACTIONS(13430), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293260] = 4,
    ACTIONS(10614), 1,
      anon_sym_RPAREN,
    ACTIONS(13432), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293274] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 3,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [293284] = 4,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(13434), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293298] = 4,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    ACTIONS(13436), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293312] = 4,
    ACTIONS(8655), 1,
      anon_sym_COMMA,
    ACTIONS(8657), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293326] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13438), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293340] = 4,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    ACTIONS(12219), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293354] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13440), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293368] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13442), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293382] = 4,
    ACTIONS(2640), 1,
      anon_sym_in,
    ACTIONS(13444), 1,
      anon_sym_QMARK,
    ACTIONS(13446), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293396] = 4,
    ACTIONS(2644), 1,
      anon_sym_in,
    ACTIONS(13444), 1,
      anon_sym_QMARK,
    ACTIONS(13446), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293410] = 4,
    ACTIONS(2679), 1,
      anon_sym_in,
    ACTIONS(13444), 1,
      anon_sym_QMARK,
    ACTIONS(13446), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293424] = 4,
    ACTIONS(8690), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293438] = 4,
    ACTIONS(10518), 1,
      anon_sym_RPAREN,
    ACTIONS(13448), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293452] = 4,
    ACTIONS(3876), 1,
      anon_sym_RPAREN,
    ACTIONS(13450), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293466] = 4,
    ACTIONS(2679), 1,
      anon_sym_DOT,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(13454), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293480] = 4,
    ACTIONS(10534), 1,
      anon_sym_RPAREN,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293494] = 4,
    ACTIONS(13458), 1,
      anon_sym_COLON,
    ACTIONS(13460), 1,
      anon_sym_LBRACE,
    STATE(3175), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293508] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13066), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293522] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13462), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293536] = 4,
    ACTIONS(8788), 1,
      anon_sym_COMMA,
    ACTIONS(8790), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293550] = 4,
    ACTIONS(13464), 1,
      anon_sym_COLON,
    ACTIONS(13466), 1,
      anon_sym_EQ,
    ACTIONS(13468), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293564] = 4,
    ACTIONS(1153), 1,
      anon_sym_RBRACE,
    ACTIONS(13470), 1,
      sym__semi,
    STATE(9569), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293578] = 4,
    ACTIONS(10630), 1,
      anon_sym_RPAREN,
    ACTIONS(12370), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293592] = 4,
    ACTIONS(1293), 1,
      anon_sym_RBRACE,
    ACTIONS(13472), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293606] = 4,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    ACTIONS(13474), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293620] = 4,
    ACTIONS(10606), 1,
      anon_sym_RPAREN,
    ACTIONS(13476), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293634] = 4,
    ACTIONS(1313), 1,
      anon_sym_RBRACE,
    ACTIONS(13478), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293648] = 4,
    ACTIONS(3991), 1,
      anon_sym_RBRACK,
    ACTIONS(13480), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293662] = 4,
    ACTIONS(8874), 1,
      anon_sym_RBRACK,
    ACTIONS(13482), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293676] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13485), 1,
      anon_sym_GT,
    STATE(9579), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293690] = 4,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    ACTIONS(13487), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293704] = 4,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293718] = 4,
    ACTIONS(13489), 1,
      anon_sym_COMMA,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
    STATE(9583), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293732] = 4,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(12221), 1,
      anon_sym_EQ,
    ACTIONS(13493), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293746] = 4,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    ACTIONS(13495), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293760] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13497), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293774] = 4,
    ACTIONS(1157), 1,
      anon_sym_RBRACE,
    ACTIONS(13499), 1,
      sym__semi,
    STATE(9586), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293788] = 4,
    ACTIONS(1157), 1,
      anon_sym_RBRACE,
    ACTIONS(13499), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293802] = 4,
    ACTIONS(13501), 1,
      anon_sym_RBRACE,
    ACTIONS(13503), 1,
      sym__semi,
    STATE(9589), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293816] = 4,
    ACTIONS(13505), 1,
      anon_sym_RBRACE,
    ACTIONS(13507), 1,
      sym__semi,
    STATE(9590), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293830] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13509), 1,
      anon_sym_GT,
    STATE(9591), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293844] = 4,
    ACTIONS(13511), 1,
      anon_sym_COMMA,
    ACTIONS(13513), 1,
      anon_sym_RPAREN,
    STATE(9596), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293858] = 4,
    ACTIONS(10526), 1,
      anon_sym_RPAREN,
    ACTIONS(13515), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293872] = 4,
    ACTIONS(13517), 1,
      anon_sym_COMMA,
    ACTIONS(13519), 1,
      anon_sym_RPAREN,
    STATE(9598), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293886] = 4,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    ACTIONS(13495), 1,
      sym__semi,
    STATE(9556), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293900] = 4,
    ACTIONS(2687), 1,
      anon_sym_DOT,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293914] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13521), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293928] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13523), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293942] = 4,
    ACTIONS(10564), 1,
      anon_sym_RPAREN,
    ACTIONS(12382), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293956] = 4,
    ACTIONS(13525), 1,
      anon_sym_RBRACE,
    ACTIONS(13527), 1,
      sym__semi,
    STATE(9175), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293970] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293984] = 4,
    ACTIONS(10876), 1,
      anon_sym_RPAREN,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293998] = 4,
    ACTIONS(13533), 1,
      anon_sym_COLON,
    ACTIONS(13535), 1,
      anon_sym_LBRACE,
    STATE(3959), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294012] = 4,
    ACTIONS(1225), 1,
      anon_sym_RBRACE,
    ACTIONS(13537), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294026] = 4,
    ACTIONS(1159), 1,
      anon_sym_RBRACE,
    ACTIONS(13539), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294040] = 4,
    ACTIONS(1159), 1,
      anon_sym_RBRACE,
    ACTIONS(13539), 1,
      sym__semi,
    STATE(9602), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294054] = 3,
    ACTIONS(10939), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
  [294066] = 4,
    ACTIONS(1161), 1,
      anon_sym_RBRACE,
    ACTIONS(13541), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294080] = 4,
    ACTIONS(1163), 1,
      anon_sym_RBRACE,
    ACTIONS(13543), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294094] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13545), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294108] = 4,
    ACTIONS(1227), 1,
      anon_sym_RBRACE,
    ACTIONS(13547), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294122] = 4,
    ACTIONS(1383), 1,
      anon_sym_RBRACE,
    ACTIONS(13549), 1,
      sym__semi,
    STATE(9623), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294136] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13551), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294150] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13553), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294164] = 4,
    ACTIONS(3858), 1,
      anon_sym_RPAREN,
    ACTIONS(13555), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294178] = 4,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    ACTIONS(13487), 1,
      sym__semi,
    STATE(9214), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294192] = 4,
    ACTIONS(8095), 1,
      anon_sym_RPAREN,
    ACTIONS(13557), 1,
      anon_sym_COMMA,
    STATE(9262), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294206] = 4,
    ACTIONS(8811), 1,
      anon_sym_COMMA,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294220] = 4,
    ACTIONS(8694), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294234] = 4,
    ACTIONS(7502), 1,
      sym__class_member_semi,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    STATE(11103), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294248] = 4,
    ACTIONS(1165), 1,
      anon_sym_RBRACE,
    ACTIONS(13559), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294262] = 4,
    ACTIONS(7337), 1,
      sym__class_member_semi,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294276] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13561), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294290] = 4,
    ACTIONS(13563), 1,
      anon_sym_COMMA,
    ACTIONS(13565), 1,
      anon_sym_RPAREN,
    STATE(9722), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294304] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13567), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [294314] = 4,
    ACTIONS(13569), 1,
      anon_sym_RBRACE,
    ACTIONS(13571), 1,
      sym__semi,
    STATE(9352), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294328] = 4,
    ACTIONS(8698), 1,
      anon_sym_COMMA,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294342] = 4,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    ACTIONS(13573), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294356] = 4,
    ACTIONS(1267), 1,
      anon_sym_RBRACE,
    ACTIONS(13575), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294370] = 4,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    ACTIONS(13577), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294384] = 4,
    ACTIONS(10549), 1,
      anon_sym_RPAREN,
    ACTIONS(13579), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294398] = 4,
    ACTIONS(3932), 1,
      anon_sym_RBRACK,
    ACTIONS(13581), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294412] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(13583), 1,
      anon_sym_LBRACE,
    STATE(10921), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294426] = 4,
    ACTIONS(13585), 1,
      anon_sym_RBRACE,
    ACTIONS(13587), 1,
      sym__semi,
    STATE(9667), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294440] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13589), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294454] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13591), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294468] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13593), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294482] = 4,
    ACTIONS(1389), 1,
      anon_sym_RBRACE,
    ACTIONS(13595), 1,
      sym__semi,
    STATE(9643), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294496] = 4,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13597), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294510] = 4,
    ACTIONS(13599), 1,
      anon_sym_RBRACE,
    ACTIONS(13601), 1,
      sym__semi,
    STATE(9671), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294524] = 4,
    ACTIONS(13603), 1,
      anon_sym_COLON,
    ACTIONS(13605), 1,
      anon_sym_LBRACE,
    STATE(3418), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294538] = 4,
    ACTIONS(1389), 1,
      anon_sym_RBRACE,
    ACTIONS(13595), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294552] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13607), 1,
      anon_sym_EQ,
    STATE(11028), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294566] = 4,
    ACTIONS(13609), 1,
      anon_sym_RBRACE,
    ACTIONS(13611), 1,
      sym__semi,
    STATE(9646), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294580] = 4,
    ACTIONS(1175), 1,
      anon_sym_RBRACE,
    ACTIONS(13613), 1,
      sym__semi,
    STATE(9654), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294594] = 4,
    ACTIONS(13615), 1,
      anon_sym_RBRACE,
    ACTIONS(13617), 1,
      sym__semi,
    STATE(9657), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294608] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13597), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294622] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13619), 1,
      anon_sym_GT,
    STATE(9661), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294636] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13621), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294650] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13623), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294664] = 4,
    ACTIONS(13625), 1,
      anon_sym_COMMA,
    ACTIONS(13627), 1,
      anon_sym_RPAREN,
    STATE(9678), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294678] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13629), 1,
      anon_sym_GT,
    STATE(9701), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294692] = 4,
    ACTIONS(10524), 1,
      anon_sym_RPAREN,
    ACTIONS(12396), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294706] = 3,
    ACTIONS(13631), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6503), 2,
      sym__semi,
      anon_sym_RBRACE,
  [294718] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6523), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
  [294728] = 3,
    ACTIONS(13633), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6509), 2,
      sym__semi,
      anon_sym_RBRACE,
  [294740] = 4,
    ACTIONS(7239), 1,
      anon_sym_while,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294754] = 4,
    ACTIONS(3951), 1,
      anon_sym_RBRACK,
    ACTIONS(13635), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294768] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13637), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294782] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13639), 1,
      anon_sym_GT,
    STATE(9668), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294796] = 4,
    ACTIONS(3776), 1,
      anon_sym_RPAREN,
    ACTIONS(13641), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294810] = 4,
    ACTIONS(1391), 1,
      anon_sym_RBRACE,
    ACTIONS(13643), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294824] = 4,
    ACTIONS(1391), 1,
      anon_sym_RBRACE,
    ACTIONS(13643), 1,
      sym__semi,
    STATE(9695), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294838] = 4,
    ACTIONS(13645), 1,
      anon_sym_COMMA,
    ACTIONS(13647), 1,
      anon_sym_RPAREN,
    STATE(9673), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294852] = 4,
    ACTIONS(1393), 1,
      anon_sym_RBRACE,
    ACTIONS(13649), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294866] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6531), 3,
      anon_sym_AT,
      anon_sym_LBRACE,
      sym_label,
  [294876] = 4,
    ACTIONS(13651), 1,
      anon_sym_COMMA,
    ACTIONS(13653), 1,
      anon_sym_RPAREN,
    STATE(9708), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294890] = 4,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    ACTIONS(13655), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294904] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(13657), 1,
      anon_sym_LBRACE,
    STATE(11095), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294918] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13659), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294932] = 4,
    ACTIONS(1179), 1,
      anon_sym_RBRACE,
    ACTIONS(13661), 1,
      sym__semi,
    STATE(9674), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294946] = 3,
    ACTIONS(13663), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6322), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [294958] = 4,
    ACTIONS(1179), 1,
      anon_sym_RBRACE,
    ACTIONS(13661), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294972] = 4,
    ACTIONS(2673), 1,
      anon_sym_DOT,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294986] = 4,
    ACTIONS(13665), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym__semi,
    STATE(9677), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295000] = 4,
    ACTIONS(1395), 1,
      anon_sym_RBRACE,
    ACTIONS(13669), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295014] = 4,
    ACTIONS(7543), 1,
      sym__class_member_semi,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    STATE(10677), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295028] = 4,
    ACTIONS(13671), 1,
      anon_sym_RBRACE,
    ACTIONS(13673), 1,
      sym__semi,
    STATE(9679), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295042] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13675), 1,
      anon_sym_GT,
    STATE(9680), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295056] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13677), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295070] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13679), 1,
      anon_sym_EQ,
    STATE(11093), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295084] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13681), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295098] = 4,
    ACTIONS(13683), 1,
      anon_sym_COMMA,
    ACTIONS(13685), 1,
      anon_sym_RPAREN,
    STATE(9683), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295112] = 4,
    ACTIONS(5988), 1,
      anon_sym_in,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295126] = 4,
    ACTIONS(13687), 1,
      anon_sym_COMMA,
    ACTIONS(13689), 1,
      anon_sym_RPAREN,
    STATE(9684), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295140] = 4,
    ACTIONS(1449), 1,
      anon_sym_RBRACE,
    ACTIONS(13691), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295154] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13693), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295168] = 4,
    ACTIONS(10536), 1,
      anon_sym_RPAREN,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295182] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13695), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295196] = 4,
    ACTIONS(1451), 1,
      anon_sym_RBRACE,
    ACTIONS(13697), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295210] = 4,
    ACTIONS(1195), 1,
      anon_sym_RBRACE,
    ACTIONS(13699), 1,
      sym__semi,
    STATE(9269), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295224] = 4,
    ACTIONS(10887), 1,
      anon_sym_RPAREN,
    ACTIONS(13701), 1,
      anon_sym_COMMA,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295238] = 4,
    ACTIONS(1181), 1,
      anon_sym_RBRACE,
    ACTIONS(13703), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295252] = 4,
    ACTIONS(1181), 1,
      anon_sym_RBRACE,
    ACTIONS(13703), 1,
      sym__semi,
    STATE(9692), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295266] = 4,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(13705), 1,
      sym__class_member_semi,
    STATE(11263), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295280] = 4,
    ACTIONS(1183), 1,
      anon_sym_RBRACE,
    ACTIONS(13707), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295294] = 4,
    ACTIONS(3854), 1,
      anon_sym_RPAREN,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295308] = 4,
    ACTIONS(1185), 1,
      anon_sym_RBRACE,
    ACTIONS(13711), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295322] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13713), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295336] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13715), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295350] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13717), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295364] = 4,
    ACTIONS(3848), 1,
      anon_sym_RPAREN,
    ACTIONS(13719), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295378] = 4,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    ACTIONS(13721), 1,
      anon_sym_COMMA,
    STATE(9262), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295392] = 4,
    ACTIONS(13723), 1,
      anon_sym_COLON,
    ACTIONS(13725), 1,
      anon_sym_LBRACE,
    STATE(3704), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295406] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13727), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295420] = 4,
    ACTIONS(2644), 1,
      anon_sym_DOT,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(13454), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295434] = 4,
    ACTIONS(1177), 1,
      anon_sym_RBRACE,
    ACTIONS(13729), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295448] = 4,
    ACTIONS(8530), 1,
      anon_sym_COMMA,
    ACTIONS(8532), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295462] = 4,
    ACTIONS(8708), 1,
      anon_sym_COMMA,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295476] = 4,
    ACTIONS(13731), 1,
      anon_sym_COLON,
    ACTIONS(13733), 1,
      anon_sym_LBRACE,
    STATE(5194), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295490] = 4,
    ACTIONS(1187), 1,
      anon_sym_RBRACE,
    ACTIONS(13735), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295504] = 4,
    ACTIONS(11742), 1,
      anon_sym_LBRACE,
    ACTIONS(13737), 1,
      sym__class_member_semi,
    STATE(11292), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295518] = 4,
    ACTIONS(13739), 1,
      anon_sym_COLON,
    ACTIONS(13741), 1,
      anon_sym_EQ,
    ACTIONS(13743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295532] = 4,
    ACTIONS(1397), 1,
      anon_sym_RBRACE,
    ACTIONS(13745), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295546] = 4,
    ACTIONS(3866), 1,
      anon_sym_RPAREN,
    ACTIONS(13747), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295560] = 4,
    ACTIONS(8712), 1,
      anon_sym_COMMA,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295574] = 4,
    ACTIONS(7315), 1,
      sym__class_member_semi,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295588] = 4,
    ACTIONS(7185), 1,
      sym__class_member_semi,
    ACTIONS(11185), 1,
      anon_sym_QMARK,
    ACTIONS(11187), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295602] = 4,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    ACTIONS(13749), 1,
      sym__class_member_semi,
    STATE(10459), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295616] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13751), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295630] = 4,
    ACTIONS(10590), 1,
      anon_sym_RPAREN,
    ACTIONS(13753), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295644] = 4,
    ACTIONS(8496), 1,
      anon_sym_COMMA,
    ACTIONS(8498), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295658] = 4,
    ACTIONS(10216), 1,
      anon_sym_RPAREN,
    ACTIONS(13755), 1,
      anon_sym_COMMA,
    STATE(9809), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295672] = 4,
    ACTIONS(13757), 1,
      anon_sym_COLON,
    ACTIONS(13759), 1,
      anon_sym_EQ,
    ACTIONS(13761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295686] = 4,
    ACTIONS(1301), 1,
      anon_sym_RBRACE,
    ACTIONS(13763), 1,
      sym__semi,
    STATE(9769), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295700] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13765), 1,
      anon_sym_GT,
    STATE(9267), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295714] = 4,
    ACTIONS(3692), 1,
      anon_sym_RPAREN,
    ACTIONS(13767), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295728] = 4,
    ACTIONS(10598), 1,
      anon_sym_RPAREN,
    ACTIONS(13769), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295742] = 4,
    ACTIONS(9092), 1,
      anon_sym_RPAREN,
    ACTIONS(12426), 1,
      anon_sym_EQ,
    ACTIONS(13771), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295756] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295770] = 4,
    ACTIONS(3963), 1,
      anon_sym_RBRACK,
    ACTIONS(13775), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295784] = 4,
    ACTIONS(13777), 1,
      anon_sym_COLON,
    ACTIONS(13779), 1,
      anon_sym_EQ,
    ACTIONS(13781), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295798] = 4,
    ACTIONS(10823), 1,
      anon_sym_RPAREN,
    ACTIONS(13783), 1,
      anon_sym_COMMA,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295812] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295826] = 4,
    ACTIONS(13787), 1,
      anon_sym_COLON,
    ACTIONS(13789), 1,
      anon_sym_EQ,
    ACTIONS(13791), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295840] = 4,
    ACTIONS(10483), 1,
      anon_sym_RPAREN,
    ACTIONS(13793), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295854] = 4,
    ACTIONS(8740), 1,
      anon_sym_COMMA,
    ACTIONS(8742), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295868] = 4,
    ACTIONS(13795), 1,
      anon_sym_COLON,
    ACTIONS(13797), 1,
      anon_sym_LBRACE,
    STATE(3268), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295882] = 4,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
    ACTIONS(12231), 1,
      anon_sym_EQ,
    ACTIONS(13799), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295896] = 4,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
    ACTIONS(13801), 1,
      sym__semi,
    STATE(9153), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295910] = 4,
    ACTIONS(8125), 1,
      anon_sym_RPAREN,
    ACTIONS(13803), 1,
      anon_sym_COMMA,
    STATE(9262), 1,
      aux_sym_class_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295924] = 4,
    ACTIONS(1219), 1,
      anon_sym_RBRACE,
    ACTIONS(13805), 1,
      sym__semi,
    STATE(9739), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295938] = 4,
    ACTIONS(2640), 1,
      anon_sym_DOT,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295952] = 4,
    ACTIONS(13807), 1,
      anon_sym_COLON,
    ACTIONS(13809), 1,
      anon_sym_LBRACE,
    STATE(3355), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295966] = 4,
    ACTIONS(2640), 1,
      anon_sym_DOT,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(13454), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295980] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295994] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11596), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [296004] = 4,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
    ACTIONS(13801), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296018] = 4,
    ACTIONS(3967), 1,
      anon_sym_RBRACK,
    ACTIONS(13813), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296032] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13815), 1,
      anon_sym_GT,
    STATE(9750), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296046] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(13817), 1,
      anon_sym_LBRACE,
    STATE(11384), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296060] = 4,
    ACTIONS(3906), 1,
      anon_sym_RBRACK,
    ACTIONS(13819), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296074] = 4,
    ACTIONS(13821), 1,
      anon_sym_COMMA,
    ACTIONS(13823), 1,
      anon_sym_RPAREN,
    STATE(9775), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296088] = 4,
    ACTIONS(13825), 1,
      anon_sym_RBRACE,
    ACTIONS(13827), 1,
      sym__semi,
    STATE(9756), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296102] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13829), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296116] = 4,
    ACTIONS(1203), 1,
      anon_sym_RBRACE,
    ACTIONS(12844), 1,
      sym__semi,
    STATE(9813), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296130] = 4,
    ACTIONS(13831), 1,
      anon_sym_RBRACE,
    ACTIONS(13833), 1,
      sym__semi,
    STATE(9759), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296144] = 4,
    ACTIONS(1201), 1,
      anon_sym_RBRACE,
    ACTIONS(12793), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296158] = 4,
    ACTIONS(13835), 1,
      anon_sym_RBRACE,
    ACTIONS(13837), 1,
      sym__semi,
    STATE(9816), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296172] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13839), 1,
      anon_sym_GT,
    STATE(9760), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296186] = 4,
    ACTIONS(13841), 1,
      anon_sym_COMMA,
    ACTIONS(13843), 1,
      anon_sym_RPAREN,
    STATE(9761), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296200] = 4,
    ACTIONS(13845), 1,
      anon_sym_RBRACE,
    ACTIONS(13847), 1,
      sym__semi,
    STATE(9821), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296214] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13849), 1,
      anon_sym_GT,
    STATE(9822), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296228] = 4,
    ACTIONS(13851), 1,
      anon_sym_COMMA,
    ACTIONS(13853), 1,
      anon_sym_RPAREN,
    STATE(9824), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296242] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13855), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296256] = 4,
    ACTIONS(10668), 1,
      anon_sym_DASH_GT,
    ACTIONS(13857), 1,
      anon_sym_COMMA,
    STATE(9212), 1,
      aux_sym_lambda_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296270] = 4,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    ACTIONS(12444), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296284] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(13859), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296298] = 4,
    ACTIONS(12830), 1,
      anon_sym_COMMA,
    ACTIONS(13861), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296312] = 4,
    ACTIONS(10545), 1,
      anon_sym_RPAREN,
    ACTIONS(12448), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296326] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13863), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296340] = 4,
    ACTIONS(2687), 1,
      anon_sym_in,
    ACTIONS(11126), 1,
      anon_sym_QMARK,
    ACTIONS(12646), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296354] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13865), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296368] = 4,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    ACTIONS(13867), 1,
      sym__semi,
    STATE(9138), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296382] = 4,
    ACTIONS(1407), 1,
      anon_sym_RBRACE,
    ACTIONS(13869), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296396] = 4,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    ACTIONS(13867), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296410] = 4,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13871), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296424] = 4,
    ACTIONS(1409), 1,
      anon_sym_RBRACE,
    ACTIONS(13873), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296438] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13875), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296452] = 4,
    ACTIONS(3892), 1,
      anon_sym_RPAREN,
    ACTIONS(13877), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296466] = 4,
    ACTIONS(13879), 1,
      anon_sym_COMMA,
    ACTIONS(13882), 1,
      anon_sym_GT,
    STATE(9762), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296480] = 4,
    ACTIONS(3908), 1,
      anon_sym_RBRACK,
    ACTIONS(13884), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296494] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13886), 1,
      anon_sym_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296508] = 4,
    ACTIONS(13888), 1,
      anon_sym_RBRACE,
    ACTIONS(13890), 1,
      sym__semi,
    STATE(9158), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296522] = 4,
    ACTIONS(1305), 1,
      anon_sym_RBRACE,
    ACTIONS(13892), 1,
      sym__semi,
    STATE(9842), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296536] = 4,
    ACTIONS(8571), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296550] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13871), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296564] = 4,
    ACTIONS(1305), 1,
      anon_sym_RBRACE,
    ACTIONS(13892), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296578] = 3,
    ACTIONS(13174), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13894), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [296590] = 4,
    ACTIONS(13897), 1,
      anon_sym_RBRACE,
    ACTIONS(13899), 1,
      sym__semi,
    STATE(9435), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296604] = 4,
    ACTIONS(1237), 1,
      anon_sym_RBRACE,
    ACTIONS(13901), 1,
      sym__semi,
    STATE(9215), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296618] = 4,
    ACTIONS(8585), 1,
      anon_sym_COMMA,
    ACTIONS(8587), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296632] = 4,
    ACTIONS(3728), 1,
      anon_sym_RPAREN,
    ACTIONS(13903), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296646] = 4,
    ACTIONS(10821), 1,
      anon_sym_RPAREN,
    ACTIONS(13905), 1,
      anon_sym_COMMA,
    STATE(9464), 1,
      aux_sym_multi_variable_declaration_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296660] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13907), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296674] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13909), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296688] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13911), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296702] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13913), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296716] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13915), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296730] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13917), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296744] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13919), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296758] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13921), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296772] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13923), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296786] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13925), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296800] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(13927), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296814] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13929), 1,
      anon_sym_EQ,
    STATE(11079), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296828] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(13931), 1,
      anon_sym_LBRACE,
    STATE(10458), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296842] = 4,
    ACTIONS(12546), 1,
      anon_sym_LT,
    ACTIONS(13933), 1,
      anon_sym_EQ,
    STATE(10537), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296856] = 4,
    ACTIONS(13935), 1,
      anon_sym_RBRACE,
    ACTIONS(13937), 1,
      sym__semi,
    STATE(9799), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296870] = 4,
    ACTIONS(7502), 1,
      anon_sym_while,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(10676), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296884] = 4,
    ACTIONS(13939), 1,
      anon_sym_RBRACE,
    ACTIONS(13941), 1,
      sym__semi,
    STATE(9800), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296898] = 4,
    ACTIONS(7337), 1,
      anon_sym_while,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296912] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13943), 1,
      anon_sym_GT,
    STATE(9804), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296926] = 4,
    ACTIONS(13945), 1,
      anon_sym_COMMA,
    ACTIONS(13947), 1,
      anon_sym_RPAREN,
    STATE(9807), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296940] = 4,
    ACTIONS(13949), 1,
      anon_sym_COLON,
    ACTIONS(13951), 1,
      anon_sym_EQ,
    ACTIONS(13953), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296954] = 4,
    ACTIONS(13955), 1,
      anon_sym_COLON,
    ACTIONS(13957), 1,
      anon_sym_EQ,
    ACTIONS(13959), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296968] = 4,
    ACTIONS(1419), 1,
      anon_sym_RBRACE,
    ACTIONS(13961), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296982] = 4,
    ACTIONS(1459), 1,
      anon_sym_RBRACE,
    ACTIONS(13963), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296996] = 4,
    ACTIONS(1461), 1,
      anon_sym_RBRACE,
    ACTIONS(13965), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297010] = 4,
    ACTIONS(8880), 1,
      anon_sym_RPAREN,
    ACTIONS(12239), 1,
      anon_sym_EQ,
    ACTIONS(13967), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297024] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13969), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297038] = 4,
    ACTIONS(3918), 1,
      anon_sym_RBRACK,
    ACTIONS(13971), 1,
      anon_sym_COMMA,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297052] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13973), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297066] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(11299), 1,
      anon_sym_AMP,
    ACTIONS(13975), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297080] = 4,
    ACTIONS(13977), 1,
      anon_sym_RBRACE,
    ACTIONS(13979), 1,
      sym__semi,
    STATE(9165), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297094] = 4,
    ACTIONS(3742), 1,
      anon_sym_RPAREN,
    ACTIONS(13981), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297108] = 3,
    STATE(9462), 1,
      sym_constructor_delegation_call,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13285), 2,
      anon_sym_this,
      anon_sym_super,
  [297120] = 4,
    ACTIONS(12237), 1,
      anon_sym_RPAREN,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    STATE(9809), 1,
      aux_sym_function_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297134] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(13986), 1,
      anon_sym_GT,
    STATE(9167), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297148] = 4,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(13988), 1,
      sym__semi,
    STATE(9341), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297162] = 4,
    ACTIONS(10624), 1,
      anon_sym_RPAREN,
    ACTIONS(13990), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297176] = 4,
    ACTIONS(1205), 1,
      anon_sym_RBRACE,
    ACTIONS(13992), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297190] = 4,
    ACTIONS(1205), 1,
      anon_sym_RBRACE,
    ACTIONS(13992), 1,
      sym__semi,
    STATE(9830), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297204] = 4,
    ACTIONS(13994), 1,
      anon_sym_COMMA,
    ACTIONS(13996), 1,
      anon_sym_RPAREN,
    STATE(9169), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297218] = 4,
    ACTIONS(1207), 1,
      anon_sym_RBRACE,
    ACTIONS(13998), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297232] = 4,
    ACTIONS(12362), 1,
      anon_sym_COLON,
    ACTIONS(12364), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297246] = 4,
    ACTIONS(14000), 1,
      anon_sym_RBRACE,
    ACTIONS(14002), 1,
      sym__semi,
    STATE(9611), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297260] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(14004), 1,
      anon_sym_GT,
    STATE(9149), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297274] = 4,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
    ACTIONS(14006), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297288] = 4,
    ACTIONS(1209), 1,
      anon_sym_RBRACE,
    ACTIONS(14009), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297302] = 4,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    ACTIONS(14011), 1,
      anon_sym_GT,
    STATE(9206), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297316] = 4,
    ACTIONS(8581), 1,
      anon_sym_COMMA,
    ACTIONS(14013), 1,
      anon_sym_RBRACK,
    STATE(9560), 1,
      aux_sym_index_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297330] = 4,
    ACTIONS(3746), 1,
      anon_sym_RPAREN,
    ACTIONS(14015), 1,
      anon_sym_COMMA,
    STATE(9245), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297344] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(14017), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297358] = 4,
    ACTIONS(8647), 1,
      anon_sym_COMMA,
    ACTIONS(8649), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297372] = 4,
    ACTIONS(8726), 1,
      anon_sym_COMMA,
    ACTIONS(8728), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297386] = 4,
    ACTIONS(14019), 1,
      anon_sym_COMMA,
    ACTIONS(14021), 1,
      anon_sym_RPAREN,
    STATE(9420), 1,
      aux_sym_value_arguments_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297400] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(14023), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297414] = 4,
    ACTIONS(1211), 1,
      anon_sym_RBRACE,
    ACTIONS(14025), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297428] = 4,
    ACTIONS(14027), 1,
      anon_sym_RBRACE,
    ACTIONS(14029), 1,
      sym__semi,
    STATE(9204), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297442] = 4,
    ACTIONS(8730), 1,
      anon_sym_COMMA,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297456] = 4,
    ACTIONS(7543), 1,
      anon_sym_while,
    ACTIONS(11565), 1,
      anon_sym_LBRACE,
    STATE(10505), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297470] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6357), 3,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_GT,
  [297480] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(14031), 1,
      anon_sym_LBRACE,
    STATE(10525), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297494] = 4,
    ACTIONS(10634), 1,
      anon_sym_RPAREN,
    ACTIONS(14033), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297508] = 4,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(12510), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297522] = 3,
    ACTIONS(14035), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2588), 2,
      anon_sym_QMARK,
      anon_sym_AMP,
  [297534] = 4,
    ACTIONS(14039), 1,
      anon_sym_COMMA,
    ACTIONS(14041), 1,
      anon_sym_DASH_GT,
    STATE(9303), 1,
      aux_sym_when_entry_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297548] = 4,
    ACTIONS(10481), 1,
      anon_sym_RPAREN,
    ACTIONS(12247), 1,
      anon_sym_COMMA,
    STATE(9820), 1,
      aux_sym_function_value_parameters_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297562] = 4,
    ACTIONS(12586), 1,
      anon_sym_LPAREN,
    ACTIONS(14043), 1,
      anon_sym_LBRACE,
    STATE(10547), 1,
      sym_when_subject,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297576] = 4,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    ACTIONS(14045), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297590] = 4,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    ACTIONS(14045), 1,
      sym__semi,
    STATE(9558), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297604] = 4,
    ACTIONS(14047), 1,
      anon_sym_RBRACE,
    ACTIONS(14049), 1,
      sym__semi,
    STATE(9261), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297618] = 3,
    ACTIONS(14051), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6439), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297630] = 3,
    ACTIONS(14053), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6445), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297642] = 4,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(12582), 1,
      anon_sym_AMP,
    ACTIONS(14055), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297656] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6159), 3,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_DASH_GT,
  [297666] = 4,
    ACTIONS(1375), 1,
      anon_sym_RBRACE,
    ACTIONS(14057), 1,
      sym__semi,
    STATE(9178), 1,
      aux_sym__statements_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297680] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6811), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297689] = 3,
    ACTIONS(14059), 1,
      anon_sym_QMARK,
    ACTIONS(14061), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297700] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14063), 2,
      anon_sym_class,
      sym_identifier,
  [297709] = 3,
    ACTIONS(14065), 1,
      anon_sym_QMARK,
    ACTIONS(14067), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297720] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(289), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297729] = 3,
    ACTIONS(13809), 1,
      anon_sym_LBRACE,
    STATE(3400), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297740] = 3,
    ACTIONS(14069), 1,
      anon_sym_QMARK,
    ACTIONS(14071), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297751] = 3,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    STATE(4045), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297762] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8856), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297773] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14073), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [297784] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6471), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297793] = 3,
    ACTIONS(14075), 1,
      sym_identifier,
    STATE(2098), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297804] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297815] = 3,
    ACTIONS(13733), 1,
      anon_sym_LBRACE,
    STATE(5193), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297826] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6475), 2,
      sym__semi,
      anon_sym_RBRACE,
  [297835] = 3,
    ACTIONS(14081), 1,
      anon_sym_LPAREN,
    STATE(3832), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297846] = 3,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(14083), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297857] = 3,
    ACTIONS(12836), 1,
      anon_sym_LBRACE,
    STATE(3833), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297868] = 3,
    ACTIONS(14085), 1,
      sym_identifier,
    STATE(3084), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297879] = 3,
    ACTIONS(14087), 1,
      anon_sym_QMARK,
    ACTIONS(14089), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297890] = 3,
    ACTIONS(14091), 1,
      anon_sym_QMARK,
    ACTIONS(14093), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297901] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11271), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297912] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10785), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297923] = 3,
    ACTIONS(14095), 1,
      anon_sym_LPAREN,
    STATE(5336), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297934] = 3,
    ACTIONS(14097), 1,
      anon_sym_QMARK,
    ACTIONS(14099), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297945] = 3,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    STATE(5308), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297956] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10542), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297967] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10558), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297978] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11009), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297989] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14101), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298000] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2323), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298009] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11000), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298020] = 3,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(10589), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298031] = 3,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(3837), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298042] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7697), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298051] = 3,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    STATE(3841), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298062] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7754), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298071] = 3,
    ACTIONS(14103), 1,
      anon_sym_QMARK,
    ACTIONS(14105), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298082] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14107), 2,
      anon_sym_class,
      sym_identifier,
  [298091] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14109), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298102] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10478), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298113] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14111), 2,
      anon_sym_class,
      sym_identifier,
  [298122] = 3,
    ACTIONS(2503), 1,
      anon_sym_LBRACE,
    STATE(635), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298133] = 3,
    ACTIONS(14085), 1,
      sym_identifier,
    STATE(3589), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298144] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(9054), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298155] = 3,
    ACTIONS(14113), 1,
      sym_identifier,
    STATE(6202), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298166] = 3,
    ACTIONS(5097), 1,
      anon_sym_LBRACE,
    STATE(3405), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298177] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6479), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298186] = 3,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298197] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11290), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298208] = 3,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(14083), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298219] = 3,
    ACTIONS(14115), 1,
      anon_sym_QMARK,
    ACTIONS(14117), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298230] = 3,
    ACTIONS(14119), 1,
      sym_identifier,
    STATE(9087), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298241] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14121), 2,
      anon_sym_class,
      sym_identifier,
  [298250] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8715), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298261] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14123), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [298272] = 3,
    ACTIONS(14125), 1,
      anon_sym_LBRACE,
    STATE(2982), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298283] = 3,
    ACTIONS(10896), 1,
      anon_sym_QMARK,
    ACTIONS(14083), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298294] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11039), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298305] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298316] = 3,
    ACTIONS(13444), 1,
      anon_sym_QMARK,
    ACTIONS(14129), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298327] = 3,
    ACTIONS(14075), 1,
      sym_identifier,
    STATE(2165), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298338] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6483), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298347] = 3,
    ACTIONS(14131), 1,
      anon_sym_QMARK,
    ACTIONS(14133), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298358] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11053), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298369] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10484), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298380] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14135), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [298389] = 3,
    ACTIONS(14137), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298400] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14141), 2,
      anon_sym_class,
      sym_identifier,
  [298409] = 3,
    ACTIONS(14143), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298420] = 3,
    ACTIONS(14145), 1,
      anon_sym_QMARK,
    ACTIONS(14147), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298431] = 3,
    ACTIONS(14149), 1,
      anon_sym_QMARK,
    ACTIONS(14151), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298442] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6819), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298451] = 3,
    ACTIONS(14153), 1,
      anon_sym_LBRACE,
    STATE(3191), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298462] = 3,
    ACTIONS(14155), 1,
      anon_sym_QMARK,
    ACTIONS(14157), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298473] = 3,
    ACTIONS(14153), 1,
      anon_sym_LBRACE,
    STATE(3192), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298484] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8896), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298495] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(5332), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298506] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14161), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [298517] = 3,
    ACTIONS(14163), 1,
      anon_sym_QMARK,
    ACTIONS(14165), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298528] = 3,
    ACTIONS(14167), 1,
      sym_identifier,
    STATE(3089), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298539] = 3,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(3475), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298550] = 3,
    ACTIONS(14125), 1,
      anon_sym_LBRACE,
    STATE(3012), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298561] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14169), 2,
      anon_sym_class,
      sym_identifier,
  [298570] = 3,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(3163), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298581] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6487), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298590] = 3,
    ACTIONS(5087), 1,
      anon_sym_LBRACE,
    STATE(3322), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298601] = 3,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(4711), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298612] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298623] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6491), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298632] = 3,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    STATE(9097), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298643] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6495), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298652] = 3,
    ACTIONS(14175), 1,
      sym_identifier,
    STATE(4954), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298663] = 3,
    ACTIONS(14177), 1,
      sym_identifier,
    STATE(2901), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298674] = 3,
    ACTIONS(14179), 1,
      anon_sym_QMARK,
    ACTIONS(14181), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298685] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(5139), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298696] = 3,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8413), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298707] = 3,
    ACTIONS(12298), 1,
      anon_sym_LBRACE,
    STATE(4724), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298718] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6499), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298727] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(5320), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298738] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8732), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298749] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14183), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [298760] = 3,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(3164), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298771] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6957), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298780] = 3,
    ACTIONS(14185), 1,
      anon_sym_get,
    ACTIONS(14187), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298791] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8749), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298802] = 3,
    ACTIONS(14189), 1,
      anon_sym_LPAREN,
    STATE(3481), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298813] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14191), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [298824] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298835] = 3,
    ACTIONS(12916), 1,
      anon_sym_LBRACE,
    STATE(3482), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298846] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298857] = 3,
    ACTIONS(14197), 1,
      anon_sym_get,
    ACTIONS(14199), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298868] = 3,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4743), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298879] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7165), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298888] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10553), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298899] = 3,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(4897), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298910] = 3,
    ACTIONS(14201), 1,
      anon_sym_QMARK,
    ACTIONS(14203), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298921] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11331), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298932] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7760), 2,
      sym__semi,
      anon_sym_RBRACE,
  [298941] = 3,
    ACTIONS(14167), 1,
      sym_identifier,
    STATE(3617), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298952] = 3,
    ACTIONS(6503), 1,
      sym__class_member_semi,
    ACTIONS(14205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298963] = 3,
    ACTIONS(6509), 1,
      sym__class_member_semi,
    ACTIONS(14207), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298974] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14209), 2,
      anon_sym_class,
      sym_identifier,
  [298983] = 3,
    ACTIONS(14211), 1,
      anon_sym_QMARK,
    ACTIONS(14213), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298994] = 3,
    ACTIONS(1805), 1,
      anon_sym_LBRACE,
    STATE(4748), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299005] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3690), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [299014] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299025] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8727), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299036] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14217), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299047] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14219), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299058] = 3,
    ACTIONS(7424), 1,
      anon_sym_LPAREN,
    STATE(8952), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299069] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12631), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299078] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7137), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299087] = 3,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8444), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299098] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11399), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299109] = 3,
    ACTIONS(14221), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299120] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10600), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299131] = 3,
    ACTIONS(14223), 1,
      sym_identifier,
    STATE(4398), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299142] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11226), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299153] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2311), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299162] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7764), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299171] = 3,
    ACTIONS(14225), 1,
      anon_sym_QMARK,
    ACTIONS(14227), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299182] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8770), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299193] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7103), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299202] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14229), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299213] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299224] = 3,
    ACTIONS(14175), 1,
      sym_identifier,
    STATE(5067), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299235] = 3,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    STATE(3409), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299246] = 3,
    ACTIONS(14143), 1,
      sym_identifier,
    STATE(3584), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299257] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11348), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299268] = 3,
    ACTIONS(14233), 1,
      anon_sym_QMARK,
    ACTIONS(14235), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299279] = 3,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8421), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299290] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10554), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299301] = 3,
    ACTIONS(11201), 1,
      anon_sym_LPAREN,
    STATE(10266), 1,
      sym_value_arguments,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299312] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11080), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299323] = 3,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8317), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299334] = 3,
    ACTIONS(5107), 1,
      anon_sym_LBRACE,
    STATE(3489), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299345] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2317), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299354] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8743), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299365] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14237), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299376] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14239), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299387] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299398] = 3,
    ACTIONS(14243), 1,
      anon_sym_QMARK,
    ACTIONS(14245), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299409] = 3,
    ACTIONS(14097), 1,
      anon_sym_QMARK,
    ACTIONS(14247), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299420] = 3,
    ACTIONS(10801), 1,
      anon_sym_LPAREN,
    STATE(8431), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299431] = 3,
    ACTIONS(6503), 1,
      anon_sym_while,
    ACTIONS(14249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299442] = 3,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(3493), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299453] = 3,
    ACTIONS(6509), 1,
      anon_sym_while,
    ACTIONS(14251), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299464] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11328), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299475] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14253), 2,
      anon_sym_class,
      sym_identifier,
  [299484] = 3,
    ACTIONS(887), 1,
      anon_sym_LBRACE,
    STATE(3903), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299495] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11223), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299506] = 3,
    ACTIONS(6322), 1,
      anon_sym_in,
    ACTIONS(14255), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299517] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7033), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299526] = 3,
    ACTIONS(14257), 1,
      anon_sym_QMARK,
    ACTIONS(14259), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299537] = 3,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4421), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299548] = 3,
    ACTIONS(14261), 1,
      sym_identifier,
    STATE(3907), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299559] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7648), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299568] = 3,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(4427), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299579] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2929), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299588] = 3,
    ACTIONS(6439), 1,
      sym__class_member_semi,
    ACTIONS(14263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299599] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8764), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299610] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14265), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299621] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299632] = 3,
    ACTIONS(6445), 1,
      sym__class_member_semi,
    ACTIONS(14269), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299643] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6451), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299652] = 3,
    ACTIONS(14271), 1,
      anon_sym_LPAREN,
    STATE(3911), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299663] = 3,
    ACTIONS(13230), 1,
      anon_sym_LBRACE,
    STATE(3912), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299674] = 3,
    ACTIONS(14273), 1,
      sym_identifier,
    STATE(3095), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299685] = 3,
    ACTIONS(14275), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299696] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11047), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299707] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7768), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299716] = 3,
    ACTIONS(14277), 1,
      anon_sym_QMARK,
    ACTIONS(14279), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299727] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11141), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299738] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2305), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299747] = 3,
    ACTIONS(14281), 1,
      sym_identifier,
    STATE(4054), 1,
      sym_qualified_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299758] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10466), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299769] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(277), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299778] = 3,
    ACTIONS(14283), 1,
      sym_identifier,
    STATE(3654), 1,
      sym_qualified_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299789] = 3,
    ACTIONS(5599), 1,
      anon_sym_LBRACE,
    STATE(3918), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299800] = 3,
    ACTIONS(14285), 1,
      anon_sym_QMARK,
    ACTIONS(14287), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299811] = 3,
    ACTIONS(14113), 1,
      sym_identifier,
    STATE(6166), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299822] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14289), 2,
      anon_sym_class,
      sym_identifier,
  [299831] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12691), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [299840] = 3,
    ACTIONS(887), 1,
      anon_sym_LBRACE,
    STATE(3923), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299851] = 3,
    ACTIONS(14291), 1,
      anon_sym_QMARK,
    ACTIONS(14293), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299862] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8699), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299873] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14295), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [299884] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299895] = 3,
    ACTIONS(14119), 1,
      sym_identifier,
    STATE(8836), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299906] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12706), 2,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [299915] = 3,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    STATE(5082), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299926] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3216), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299935] = 3,
    ACTIONS(14299), 1,
      anon_sym_QMARK,
    ACTIONS(14301), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299946] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2329), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299955] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10519), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299966] = 3,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299977] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3220), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299986] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(285), 2,
      sym__semi,
      anon_sym_RBRACE,
  [299995] = 3,
    ACTIONS(14303), 1,
      anon_sym_QMARK,
    ACTIONS(14305), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300006] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10575), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300017] = 3,
    ACTIONS(14273), 1,
      sym_identifier,
    STATE(3641), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300028] = 3,
    ACTIONS(14307), 1,
      anon_sym_QMARK,
    ACTIONS(14309), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300039] = 3,
    ACTIONS(14261), 1,
      sym_identifier,
    STATE(4055), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300050] = 3,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    STATE(8816), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300061] = 3,
    ACTIONS(14311), 1,
      anon_sym_QMARK,
    ACTIONS(14313), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300072] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10776), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300083] = 3,
    ACTIONS(14315), 1,
      anon_sym_QMARK,
    ACTIONS(14317), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300094] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7726), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300103] = 3,
    ACTIONS(14319), 1,
      anon_sym_QMARK,
    ACTIONS(14321), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300114] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8933), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300125] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7107), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300134] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14323), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [300145] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300156] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14327), 2,
      anon_sym_class,
      sym_identifier,
  [300165] = 3,
    ACTIONS(14329), 1,
      sym_identifier,
    STATE(8580), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300176] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14331), 2,
      anon_sym_class,
      sym_identifier,
  [300185] = 3,
    ACTIONS(14177), 1,
      sym_identifier,
    STATE(3030), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300196] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14333), 2,
      anon_sym_class,
      sym_identifier,
  [300205] = 3,
    ACTIONS(14335), 1,
      anon_sym_LBRACE,
    STATE(3216), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300216] = 3,
    ACTIONS(14335), 1,
      anon_sym_LBRACE,
    STATE(3217), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300227] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10942), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300238] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7784), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300247] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6873), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300256] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11045), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300267] = 3,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8309), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300278] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7734), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300287] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(4425), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300298] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4571), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300307] = 3,
    ACTIONS(10917), 1,
      anon_sym_QMARK,
    ACTIONS(14215), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300318] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14337), 2,
      anon_sym_class,
      sym_identifier,
  [300327] = 3,
    ACTIONS(14339), 1,
      anon_sym_LPAREN,
    STATE(3314), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300338] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14341), 2,
      anon_sym_class,
      sym_identifier,
  [300347] = 3,
    ACTIONS(553), 1,
      anon_sym_LBRACE,
    STATE(3218), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300358] = 3,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(5009), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300369] = 3,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    STATE(619), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300380] = 3,
    ACTIONS(14137), 1,
      anon_sym_QMARK,
    ACTIONS(14343), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300391] = 3,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    STATE(9068), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300402] = 3,
    ACTIONS(14345), 1,
      sym_identifier,
    STATE(6068), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300413] = 3,
    ACTIONS(14347), 1,
      anon_sym_LPAREN,
    STATE(3223), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300424] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8440), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300435] = 3,
    ACTIONS(13460), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300446] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11221), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300457] = 3,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(4925), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300468] = 3,
    ACTIONS(14349), 1,
      anon_sym_get,
    ACTIONS(14351), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300479] = 3,
    ACTIONS(13797), 1,
      anon_sym_LBRACE,
    STATE(3315), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300490] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11254), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300501] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4339), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300510] = 3,
    ACTIONS(14095), 1,
      anon_sym_LPAREN,
    STATE(5405), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300521] = 3,
    ACTIONS(14353), 1,
      sym_identifier,
    STATE(5268), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300532] = 3,
    ACTIONS(14353), 1,
      sym_identifier,
    STATE(4656), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300543] = 3,
    ACTIONS(4714), 1,
      anon_sym_LBRACE,
    STATE(3232), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300554] = 3,
    ACTIONS(14355), 1,
      sym_identifier,
    STATE(579), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300565] = 3,
    ACTIONS(553), 1,
      anon_sym_LBRACE,
    STATE(3241), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300576] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14357), 2,
      anon_sym_class,
      sym_identifier,
  [300585] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11032), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300596] = 3,
    ACTIONS(14095), 1,
      anon_sym_LPAREN,
    STATE(4859), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300607] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10543), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300618] = 3,
    ACTIONS(14359), 1,
      anon_sym_LBRACE,
    STATE(2973), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300629] = 3,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    STATE(8962), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300640] = 3,
    ACTIONS(14359), 1,
      anon_sym_LBRACE,
    STATE(2974), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300651] = 3,
    ACTIONS(14361), 1,
      anon_sym_COLON,
    ACTIONS(14363), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300662] = 3,
    ACTIONS(14366), 1,
      anon_sym_QMARK,
    ACTIONS(14368), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300673] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8419), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300684] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8936), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300695] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10599), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300706] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11234), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300717] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8946), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300728] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13283), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [300737] = 3,
    ACTIONS(12348), 1,
      anon_sym_LBRACE,
    STATE(5090), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300748] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11121), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300759] = 3,
    ACTIONS(14345), 1,
      sym_identifier,
    STATE(6170), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300770] = 3,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(5027), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300781] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11256), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300792] = 3,
    ACTIONS(14370), 1,
      anon_sym_QMARK,
    ACTIONS(14372), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300803] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8459), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300814] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14374), 2,
      anon_sym_class,
      sym_identifier,
  [300823] = 3,
    ACTIONS(14376), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300834] = 3,
    ACTIONS(941), 1,
      anon_sym_LBRACE,
    STATE(4000), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300845] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7738), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300854] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14378), 2,
      anon_sym_class,
      sym_identifier,
  [300863] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300874] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7231), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300883] = 3,
    ACTIONS(7403), 1,
      anon_sym_LBRACE,
    STATE(4907), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300894] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6970), 2,
      sym__semi,
      anon_sym_RBRACE,
  [300903] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10901), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300914] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11081), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300925] = 3,
    ACTIONS(10783), 1,
      anon_sym_LPAREN,
    STATE(8452), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300936] = 3,
    ACTIONS(14380), 1,
      anon_sym_LBRACE,
    STATE(2918), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300947] = 3,
    ACTIONS(14380), 1,
      anon_sym_LBRACE,
    STATE(2783), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300958] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(4545), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300969] = 3,
    ACTIONS(14376), 1,
      anon_sym_LBRACE,
    STATE(581), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300980] = 3,
    ACTIONS(14382), 1,
      anon_sym_LPAREN,
    STATE(2018), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300991] = 3,
    ACTIONS(6439), 1,
      anon_sym_while,
    ACTIONS(14384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301002] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11011), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301013] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11205), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301024] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8847), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301035] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14386), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [301046] = 3,
    ACTIONS(14388), 1,
      sym_identifier,
    STATE(3022), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301057] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301068] = 3,
    ACTIONS(14392), 1,
      anon_sym_LPAREN,
    STATE(4008), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301079] = 3,
    ACTIONS(13535), 1,
      anon_sym_LBRACE,
    STATE(4009), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301090] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2937), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301099] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7884), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301108] = 3,
    ACTIONS(9692), 1,
      anon_sym_QMARK,
    ACTIONS(14083), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301119] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7742), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301128] = 3,
    ACTIONS(6445), 1,
      anon_sym_while,
    ACTIONS(14394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301139] = 3,
    ACTIONS(14159), 1,
      anon_sym_LPAREN,
    STATE(4803), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301150] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7722), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301159] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10763), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301170] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14396), 2,
      anon_sym_class,
      sym_identifier,
  [301179] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11105), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301190] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11166), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301201] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7169), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301210] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6455), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301219] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10504), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301230] = 3,
    ACTIONS(6159), 1,
      anon_sym_COMMA,
    ACTIONS(14398), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301241] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10557), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301252] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6823), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301261] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14401), 2,
      anon_sym_class,
      sym_identifier,
  [301270] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14403), 2,
      anon_sym_class,
      sym_identifier,
  [301279] = 3,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    STATE(4014), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301290] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6459), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301299] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10781), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301310] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14405), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301321] = 3,
    ACTIONS(14095), 1,
      anon_sym_LPAREN,
    STATE(4807), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301332] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10911), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301343] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7037), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301352] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301363] = 3,
    ACTIONS(725), 1,
      anon_sym_LBRACE,
    STATE(3307), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301374] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11187), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301385] = 3,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    STATE(5146), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301396] = 3,
    ACTIONS(941), 1,
      anon_sym_LBRACE,
    STATE(4018), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301407] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7772), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301416] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4683), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301425] = 3,
    ACTIONS(10917), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301436] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11034), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301447] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11239), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301458] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14409), 2,
      anon_sym_class,
      sym_identifier,
  [301467] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301478] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11281), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301489] = 3,
    ACTIONS(671), 1,
      anon_sym_LBRACE,
    STATE(3578), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301500] = 3,
    ACTIONS(11191), 1,
      anon_sym_LBRACE,
    STATE(8839), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301511] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7041), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301520] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11334), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301531] = 3,
    ACTIONS(4121), 1,
      anon_sym_LPAREN,
    STATE(4484), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301542] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11357), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301553] = 3,
    ACTIONS(14411), 1,
      sym_identifier,
    STATE(4815), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301564] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11036), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301575] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12787), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [301584] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10905), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301595] = 3,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(10797), 1,
      sym_line_comment,
    ACTIONS(14413), 2,
      aux_sym_character_literal_token1,
      sym_escape_sequence,
  [301606] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11180), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301617] = 3,
    ACTIONS(14415), 1,
      anon_sym_LPAREN,
    STATE(3596), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301628] = 3,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4269), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301639] = 3,
    ACTIONS(13605), 1,
      anon_sym_LBRACE,
    STATE(3599), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301650] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10489), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301661] = 3,
    ACTIONS(5681), 1,
      anon_sym_in,
    ACTIONS(14417), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301672] = 3,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(14419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301683] = 3,
    ACTIONS(14421), 1,
      anon_sym_get,
    ACTIONS(14423), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301694] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10468), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301705] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10632), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301716] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11257), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301727] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11336), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301738] = 3,
    ACTIONS(14425), 1,
      anon_sym_LBRACE,
    STATE(2960), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301749] = 3,
    ACTIONS(14425), 1,
      anon_sym_LBRACE,
    STATE(2969), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301760] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3136), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301769] = 3,
    ACTIONS(7580), 1,
      anon_sym_LBRACE,
    STATE(5200), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301780] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10529), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301791] = 3,
    ACTIONS(5075), 1,
      anon_sym_LBRACE,
    STATE(3606), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301802] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10562), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301813] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11301), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301824] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11026), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301835] = 3,
    ACTIONS(671), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301846] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6815), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301855] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11051), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301866] = 3,
    ACTIONS(4121), 1,
      anon_sym_LPAREN,
    STATE(4474), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301877] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4347), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301886] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11143), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301897] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11161), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301908] = 3,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4286), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301919] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6953), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301928] = 3,
    ACTIONS(14382), 1,
      anon_sym_LPAREN,
    STATE(2316), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301939] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7889), 2,
      sym__semi,
      anon_sym_RBRACE,
  [301948] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11228), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301959] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11240), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301970] = 3,
    ACTIONS(14427), 1,
      sym_identifier,
    STATE(6291), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301981] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11339), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301992] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11355), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302003] = 3,
    ACTIONS(14388), 1,
      sym_identifier,
    STATE(3234), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302014] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10444), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302025] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10451), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302036] = 3,
    ACTIONS(14411), 1,
      sym_identifier,
    STATE(4656), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302047] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10474), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302058] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10482), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302069] = 3,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4276), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302080] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14429), 2,
      sym__class_member_semi,
      anon_sym_LBRACE,
  [302089] = 3,
    ACTIONS(14431), 1,
      anon_sym_QMARK,
    ACTIONS(14433), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302100] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10499), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302111] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10503), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302122] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10521), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302133] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10524), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302144] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12828), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [302153] = 3,
    ACTIONS(10803), 1,
      anon_sym_LPAREN,
    STATE(4288), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302164] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10538), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302175] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10540), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302186] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10560), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302197] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10561), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302208] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2247), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302217] = 3,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8299), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302228] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302239] = 3,
    ACTIONS(14435), 1,
      anon_sym_LBRACE,
    STATE(3016), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302250] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10574), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302261] = 3,
    ACTIONS(14435), 1,
      anon_sym_LBRACE,
    STATE(2934), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302272] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10583), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302283] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10596), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302294] = 3,
    ACTIONS(14437), 1,
      anon_sym_LBRACE,
    STATE(3246), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302305] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10603), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302316] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10612), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302327] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10627), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302338] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10639), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302349] = 3,
    ACTIONS(14437), 1,
      anon_sym_LBRACE,
    STATE(3247), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302360] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10653), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302371] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10674), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302382] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14439), 2,
      anon_sym_class,
      sym_identifier,
  [302391] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6889), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302400] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10687), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302411] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6992), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302420] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10712), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302431] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4357), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302440] = 3,
    ACTIONS(14441), 1,
      anon_sym_QMARK,
    ACTIONS(14443), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302451] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14445), 2,
      anon_sym_class,
      sym_identifier,
  [302460] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14447), 2,
      anon_sym_class,
      sym_identifier,
  [302469] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7776), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302478] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10723), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302489] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10743), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302500] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10761), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302511] = 3,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(3742), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302522] = 3,
    ACTIONS(7177), 1,
      anon_sym_LPAREN,
    STATE(8900), 1,
      sym_class_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302533] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10773), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302544] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7120), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302553] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10784), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302564] = 3,
    ACTIONS(14145), 1,
      anon_sym_QMARK,
    ACTIONS(14449), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302575] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10791), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302586] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10799), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302597] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10808), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302608] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10820), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302619] = 3,
    ACTIONS(14329), 1,
      sym_identifier,
    STATE(8761), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302630] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14451), 2,
      anon_sym_class,
      sym_identifier,
  [302639] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10822), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302650] = 3,
    ACTIONS(9769), 1,
      anon_sym_QMARK,
    ACTIONS(14139), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302661] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7682), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302670] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14453), 2,
      anon_sym_class,
      sym_identifier,
  [302679] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10824), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302690] = 3,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
    STATE(2124), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302701] = 3,
    ACTIONS(14455), 1,
      sym_identifier,
    STATE(5159), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302712] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10827), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302723] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2941), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302732] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10831), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302743] = 3,
    ACTIONS(14457), 1,
      sym_identifier,
    STATE(8913), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302754] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10834), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302765] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10836), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302776] = 3,
    ACTIONS(14382), 1,
      anon_sym_LPAREN,
    STATE(2047), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302787] = 3,
    ACTIONS(12364), 1,
      anon_sym_LBRACE,
    STATE(2126), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302798] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10838), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302809] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10840), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302820] = 3,
    ACTIONS(14221), 1,
      sym_identifier,
    STATE(2935), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302831] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10842), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302842] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10844), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302853] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10847), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302864] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10849), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302875] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10852), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302886] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7693), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302895] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10854), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302906] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10856), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302917] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10858), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302928] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10863), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302939] = 3,
    ACTIONS(4325), 1,
      anon_sym_LBRACE,
    STATE(2118), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302950] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10865), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302961] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4950), 2,
      sym__semi,
      anon_sym_RBRACE,
  [302970] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10870), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302981] = 3,
    ACTIONS(1827), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302992] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10715), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303003] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6879), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303012] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6463), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303021] = 3,
    ACTIONS(14347), 1,
      anon_sym_LPAREN,
    STATE(2342), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303032] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13882), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [303041] = 3,
    ACTIONS(14415), 1,
      anon_sym_LPAREN,
    STATE(2498), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303052] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6467), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303061] = 3,
    ACTIONS(14459), 1,
      anon_sym_LPAREN,
    STATE(3748), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303072] = 3,
    ACTIONS(14382), 1,
      anon_sym_LPAREN,
    STATE(2511), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303083] = 3,
    ACTIONS(14339), 1,
      anon_sym_LPAREN,
    STATE(2521), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303094] = 3,
    ACTIONS(13725), 1,
      anon_sym_LBRACE,
    STATE(3749), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303105] = 3,
    ACTIONS(14461), 1,
      anon_sym_LPAREN,
    STATE(2534), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303116] = 3,
    ACTIONS(13452), 1,
      anon_sym_QMARK,
    ACTIONS(14463), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303127] = 3,
    ACTIONS(14189), 1,
      anon_sym_LPAREN,
    STATE(2546), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303138] = 3,
    ACTIONS(14455), 1,
      sym_identifier,
    STATE(5313), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303149] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11349), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303160] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11054), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303171] = 3,
    ACTIONS(14459), 1,
      anon_sym_LPAREN,
    STATE(2741), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303182] = 3,
    ACTIONS(14465), 1,
      anon_sym_LPAREN,
    STATE(476), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303193] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7746), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303202] = 3,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    STATE(5244), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303213] = 3,
    ACTIONS(14081), 1,
      anon_sym_LPAREN,
    STATE(2755), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303224] = 3,
    ACTIONS(14271), 1,
      anon_sym_LPAREN,
    STATE(2764), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303235] = 3,
    ACTIONS(14355), 1,
      sym_identifier,
    STATE(591), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303246] = 3,
    ACTIONS(14392), 1,
      anon_sym_LPAREN,
    STATE(2767), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303257] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11097), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303268] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14469), 2,
      anon_sym_class,
      sym_identifier,
  [303277] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10954), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303288] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10956), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303299] = 3,
    ACTIONS(1893), 1,
      anon_sym_LBRACE,
    STATE(5208), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303310] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7852), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303319] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12237), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [303328] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6949), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303337] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7848), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303346] = 3,
    ACTIONS(14471), 1,
      anon_sym_QMARK,
    ACTIONS(14473), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303357] = 3,
    ACTIONS(14223), 1,
      sym_identifier,
    STATE(4352), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303368] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7780), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303377] = 3,
    ACTIONS(14475), 1,
      sym_identifier,
    STATE(3055), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303388] = 3,
    ACTIONS(14275), 1,
      sym_identifier,
    STATE(3063), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303399] = 3,
    ACTIONS(14461), 1,
      anon_sym_LPAREN,
    STATE(3399), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303410] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6996), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303419] = 3,
    ACTIONS(14465), 1,
      anon_sym_LPAREN,
    STATE(610), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303430] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11010), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303441] = 3,
    ACTIONS(5565), 1,
      anon_sym_LBRACE,
    STATE(3756), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303452] = 3,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    STATE(5354), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303463] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11027), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303474] = 3,
    ACTIONS(14427), 1,
      sym_identifier,
    STATE(6163), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303485] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7730), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303494] = 3,
    ACTIONS(14457), 1,
      sym_identifier,
    STATE(9006), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303505] = 3,
    ACTIONS(13150), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303516] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(11197), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303527] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2945), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303536] = 3,
    ACTIONS(14390), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303547] = 3,
    ACTIONS(779), 1,
      anon_sym_LBRACE,
    STATE(3768), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303558] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7387), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303567] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7750), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303576] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6799), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303585] = 3,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    STATE(4749), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303596] = 3,
    ACTIONS(4325), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303607] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7148), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303616] = 3,
    ACTIONS(4325), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303627] = 3,
    ACTIONS(10799), 1,
      anon_sym_LPAREN,
    STATE(8300), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303638] = 3,
    ACTIONS(14173), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303649] = 3,
    ACTIONS(14195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303660] = 3,
    ACTIONS(14419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303671] = 3,
    ACTIONS(14079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303682] = 3,
    ACTIONS(14127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303693] = 3,
    ACTIONS(14193), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303704] = 3,
    ACTIONS(14219), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303715] = 3,
    ACTIONS(14231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303726] = 3,
    ACTIONS(14241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303737] = 3,
    ACTIONS(14267), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303748] = 3,
    ACTIONS(14297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303759] = 3,
    ACTIONS(14325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303770] = 3,
    ACTIONS(14479), 1,
      anon_sym_QMARK,
    ACTIONS(14481), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303781] = 3,
    ACTIONS(611), 1,
      anon_sym_LBRACE,
    STATE(3393), 1,
      sym_lambda_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303792] = 3,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    STATE(4606), 1,
      sym_function_value_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303803] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7027), 2,
      sym__semi,
      anon_sym_RBRACE,
  [303812] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14483), 2,
      anon_sym_class,
      sym_identifier,
  [303821] = 3,
    ACTIONS(14407), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303832] = 3,
    ACTIONS(14475), 1,
      sym_identifier,
    STATE(3051), 1,
      sym_type_constraint,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303843] = 3,
    ACTIONS(10937), 1,
      anon_sym_LPAREN,
    STATE(10755), 1,
      sym_function_type_parameters,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303854] = 2,
    ACTIONS(14485), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303862] = 2,
    ACTIONS(14487), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303870] = 2,
    ACTIONS(14489), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303878] = 2,
    ACTIONS(14491), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303886] = 2,
    ACTIONS(8821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303894] = 2,
    ACTIONS(14493), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303902] = 2,
    ACTIONS(14495), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303910] = 2,
    ACTIONS(14497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303918] = 2,
    ACTIONS(14499), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303926] = 2,
    ACTIONS(14501), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303934] = 2,
    ACTIONS(14503), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303942] = 2,
    ACTIONS(14505), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303950] = 2,
    ACTIONS(14507), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303958] = 2,
    ACTIONS(14509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303966] = 2,
    ACTIONS(14511), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303974] = 2,
    ACTIONS(14513), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303982] = 2,
    ACTIONS(14515), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303990] = 2,
    ACTIONS(14517), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303998] = 2,
    ACTIONS(14519), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304006] = 2,
    ACTIONS(14521), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304014] = 2,
    ACTIONS(14523), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304022] = 2,
    ACTIONS(14525), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304030] = 2,
    ACTIONS(7772), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304038] = 2,
    ACTIONS(4683), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304046] = 2,
    ACTIONS(14527), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304054] = 2,
    ACTIONS(14529), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304062] = 2,
    ACTIONS(6953), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304070] = 2,
    ACTIONS(14531), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304078] = 2,
    ACTIONS(14533), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304086] = 2,
    ACTIONS(14535), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304094] = 2,
    ACTIONS(14537), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304102] = 2,
    ACTIONS(14539), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304110] = 2,
    ACTIONS(14541), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304118] = 2,
    ACTIONS(14543), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304126] = 2,
    ACTIONS(14545), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304134] = 2,
    ACTIONS(14547), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304142] = 2,
    ACTIONS(14549), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304150] = 2,
    ACTIONS(6957), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304158] = 2,
    ACTIONS(11912), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304166] = 2,
    ACTIONS(14551), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304174] = 2,
    ACTIONS(14553), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304182] = 2,
    ACTIONS(14555), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304190] = 2,
    ACTIONS(14557), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304198] = 2,
    ACTIONS(14559), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304206] = 2,
    ACTIONS(14561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304214] = 2,
    ACTIONS(14563), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304222] = 2,
    ACTIONS(6992), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304230] = 2,
    ACTIONS(14565), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304238] = 2,
    ACTIONS(14567), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304246] = 2,
    ACTIONS(14569), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304254] = 2,
    ACTIONS(14571), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304262] = 2,
    ACTIONS(14573), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304270] = 2,
    ACTIONS(14575), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304278] = 2,
    ACTIONS(14577), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304286] = 2,
    ACTIONS(6996), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304294] = 2,
    ACTIONS(14579), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304302] = 2,
    ACTIONS(7120), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304310] = 2,
    ACTIONS(14581), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304318] = 2,
    ACTIONS(2929), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304326] = 2,
    ACTIONS(14583), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304334] = 2,
    ACTIONS(14585), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304342] = 2,
    ACTIONS(2751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304350] = 2,
    ACTIONS(14587), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304358] = 2,
    ACTIONS(14589), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304366] = 2,
    ACTIONS(14591), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304374] = 2,
    ACTIONS(14593), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304382] = 2,
    ACTIONS(14595), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304390] = 2,
    ACTIONS(14597), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304398] = 2,
    ACTIONS(6879), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304406] = 2,
    ACTIONS(14599), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304414] = 2,
    ACTIONS(14601), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304422] = 2,
    ACTIONS(7697), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304430] = 2,
    ACTIONS(14603), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304438] = 2,
    ACTIONS(4950), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304446] = 2,
    ACTIONS(14605), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304454] = 2,
    ACTIONS(14607), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304462] = 2,
    ACTIONS(14609), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304470] = 2,
    ACTIONS(14611), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304478] = 2,
    ACTIONS(14613), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304486] = 2,
    ACTIONS(277), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304494] = 2,
    ACTIONS(14615), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304502] = 2,
    ACTIONS(14617), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304510] = 2,
    ACTIONS(14619), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304518] = 2,
    ACTIONS(14621), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304526] = 2,
    ACTIONS(14623), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304534] = 2,
    ACTIONS(14625), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304542] = 2,
    ACTIONS(14627), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304550] = 2,
    ACTIONS(14629), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304558] = 2,
    ACTIONS(14631), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304566] = 2,
    ACTIONS(14633), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304574] = 2,
    ACTIONS(14635), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304582] = 2,
    ACTIONS(14637), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304590] = 2,
    ACTIONS(14639), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304598] = 2,
    ACTIONS(14641), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304606] = 2,
    ACTIONS(7742), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304614] = 2,
    ACTIONS(14643), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304622] = 2,
    ACTIONS(7776), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304630] = 2,
    ACTIONS(14645), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304638] = 2,
    ACTIONS(14647), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304646] = 2,
    ACTIONS(7120), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304654] = 2,
    ACTIONS(14649), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304662] = 2,
    ACTIONS(14651), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304670] = 2,
    ACTIONS(14653), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304678] = 2,
    ACTIONS(14655), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304686] = 2,
    ACTIONS(14657), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304694] = 2,
    ACTIONS(14659), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304702] = 2,
    ACTIONS(14661), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304710] = 2,
    ACTIONS(14663), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304718] = 2,
    ACTIONS(14665), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304726] = 2,
    ACTIONS(14667), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304734] = 2,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304742] = 2,
    ACTIONS(14671), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304750] = 2,
    ACTIONS(4347), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304758] = 2,
    ACTIONS(14673), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304766] = 2,
    ACTIONS(14675), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304774] = 2,
    ACTIONS(14677), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304782] = 2,
    ACTIONS(14679), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304790] = 2,
    ACTIONS(14681), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304798] = 2,
    ACTIONS(14683), 1,
      anon_sym_file,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304806] = 2,
    ACTIONS(14685), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304814] = 2,
    ACTIONS(14687), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304822] = 2,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304830] = 2,
    ACTIONS(14691), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304838] = 2,
    ACTIONS(14693), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304846] = 2,
    ACTIONS(14695), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304854] = 2,
    ACTIONS(14697), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304862] = 2,
    ACTIONS(14699), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304870] = 2,
    ACTIONS(14701), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304878] = 2,
    ACTIONS(14703), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304886] = 2,
    ACTIONS(14705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304894] = 2,
    ACTIONS(4950), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304902] = 2,
    ACTIONS(14707), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304910] = 2,
    ACTIONS(14709), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304918] = 2,
    ACTIONS(14711), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304926] = 2,
    ACTIONS(14713), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304934] = 2,
    ACTIONS(14715), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304942] = 2,
    ACTIONS(14717), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304950] = 2,
    ACTIONS(7848), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304958] = 2,
    ACTIONS(14679), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304966] = 2,
    ACTIONS(14719), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304974] = 2,
    ACTIONS(14721), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304982] = 2,
    ACTIONS(14723), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304990] = 2,
    ACTIONS(14725), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304998] = 2,
    ACTIONS(7780), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305006] = 2,
    ACTIONS(14727), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305014] = 2,
    ACTIONS(14729), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305022] = 2,
    ACTIONS(14731), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305030] = 2,
    ACTIONS(14733), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305038] = 2,
    ACTIONS(14735), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305046] = 2,
    ACTIONS(14737), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305054] = 2,
    ACTIONS(14739), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305062] = 2,
    ACTIONS(14741), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305070] = 2,
    ACTIONS(14743), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305078] = 2,
    ACTIONS(6451), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305086] = 2,
    ACTIONS(14745), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305094] = 2,
    ACTIONS(14747), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305102] = 2,
    ACTIONS(14749), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305110] = 2,
    ACTIONS(14751), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305118] = 2,
    ACTIONS(2311), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305126] = 2,
    ACTIONS(14753), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305134] = 2,
    ACTIONS(14755), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305142] = 2,
    ACTIONS(14757), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305150] = 2,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305158] = 2,
    ACTIONS(14761), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305166] = 2,
    ACTIONS(14763), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305174] = 2,
    ACTIONS(14765), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305182] = 2,
    ACTIONS(14767), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305190] = 2,
    ACTIONS(14769), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305198] = 2,
    ACTIONS(14771), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305206] = 2,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305214] = 2,
    ACTIONS(14775), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305222] = 2,
    ACTIONS(7784), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305230] = 2,
    ACTIONS(14777), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305238] = 2,
    ACTIONS(14779), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305246] = 2,
    ACTIONS(14781), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305254] = 2,
    ACTIONS(14783), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305262] = 2,
    ACTIONS(14785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305270] = 2,
    ACTIONS(14787), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305278] = 2,
    ACTIONS(14789), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305286] = 2,
    ACTIONS(14791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305294] = 2,
    ACTIONS(14793), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305302] = 2,
    ACTIONS(7726), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305310] = 2,
    ACTIONS(14795), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305318] = 2,
    ACTIONS(14797), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305326] = 2,
    ACTIONS(14799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305334] = 2,
    ACTIONS(14801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305342] = 2,
    ACTIONS(14803), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305350] = 2,
    ACTIONS(14805), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305358] = 2,
    ACTIONS(14807), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305366] = 2,
    ACTIONS(14809), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305374] = 2,
    ACTIONS(14811), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305382] = 2,
    ACTIONS(14813), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305390] = 2,
    ACTIONS(14815), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305398] = 2,
    ACTIONS(14817), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305406] = 2,
    ACTIONS(7754), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305414] = 2,
    ACTIONS(14819), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305422] = 2,
    ACTIONS(7033), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305430] = 2,
    ACTIONS(14821), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305438] = 2,
    ACTIONS(14823), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305446] = 2,
    ACTIONS(14825), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305454] = 2,
    ACTIONS(14827), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305462] = 2,
    ACTIONS(14829), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305470] = 2,
    ACTIONS(14831), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305478] = 2,
    ACTIONS(6455), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305486] = 2,
    ACTIONS(6459), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305494] = 2,
    ACTIONS(14833), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305502] = 2,
    ACTIONS(14835), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305510] = 2,
    ACTIONS(14837), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305518] = 2,
    ACTIONS(14839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305526] = 2,
    ACTIONS(14841), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305534] = 2,
    ACTIONS(14843), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305542] = 2,
    ACTIONS(7768), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305550] = 2,
    ACTIONS(14845), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305558] = 2,
    ACTIONS(14847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305566] = 2,
    ACTIONS(14849), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305574] = 2,
    ACTIONS(14851), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305582] = 2,
    ACTIONS(14853), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305590] = 2,
    ACTIONS(2329), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305598] = 2,
    ACTIONS(14855), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305606] = 2,
    ACTIONS(14857), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305614] = 2,
    ACTIONS(14859), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305622] = 2,
    ACTIONS(14861), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305630] = 2,
    ACTIONS(14863), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305638] = 2,
    ACTIONS(14865), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305646] = 2,
    ACTIONS(14867), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305654] = 2,
    ACTIONS(6819), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305662] = 2,
    ACTIONS(14869), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305670] = 2,
    ACTIONS(14871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305678] = 2,
    ACTIONS(14873), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305686] = 2,
    ACTIONS(14875), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305694] = 2,
    ACTIONS(14877), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305702] = 2,
    ACTIONS(14879), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305710] = 2,
    ACTIONS(14881), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305718] = 2,
    ACTIONS(6463), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305726] = 2,
    ACTIONS(6467), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305734] = 2,
    ACTIONS(14883), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305742] = 2,
    ACTIONS(14885), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305750] = 2,
    ACTIONS(14887), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305758] = 2,
    ACTIONS(14889), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305766] = 2,
    ACTIONS(14891), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305774] = 2,
    ACTIONS(14893), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305782] = 2,
    ACTIONS(6873), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305790] = 2,
    ACTIONS(7734), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305798] = 2,
    ACTIONS(7697), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305806] = 2,
    ACTIONS(14895), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305814] = 2,
    ACTIONS(14897), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305822] = 2,
    ACTIONS(14899), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305830] = 2,
    ACTIONS(14901), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305838] = 2,
    ACTIONS(6471), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305846] = 2,
    ACTIONS(6475), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305854] = 2,
    ACTIONS(14903), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305862] = 2,
    ACTIONS(14905), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305870] = 2,
    ACTIONS(14907), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305878] = 2,
    ACTIONS(14909), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305886] = 2,
    ACTIONS(6479), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305894] = 2,
    ACTIONS(14911), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305902] = 2,
    ACTIONS(14913), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305910] = 2,
    ACTIONS(14915), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305918] = 2,
    ACTIONS(14917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305926] = 2,
    ACTIONS(14919), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305934] = 2,
    ACTIONS(14921), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305942] = 2,
    ACTIONS(14923), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305950] = 2,
    ACTIONS(14925), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305958] = 2,
    ACTIONS(14927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305966] = 2,
    ACTIONS(14929), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305974] = 2,
    ACTIONS(6483), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305982] = 2,
    ACTIONS(14931), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305990] = 2,
    ACTIONS(6487), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305998] = 2,
    ACTIONS(6491), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306006] = 2,
    ACTIONS(14933), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306014] = 2,
    ACTIONS(6495), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306022] = 2,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306030] = 2,
    ACTIONS(14937), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306038] = 2,
    ACTIONS(14939), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306046] = 2,
    ACTIONS(14941), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306054] = 2,
    ACTIONS(14943), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306062] = 2,
    ACTIONS(14945), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306070] = 2,
    ACTIONS(14947), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306078] = 2,
    ACTIONS(14949), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306086] = 2,
    ACTIONS(14951), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306094] = 2,
    ACTIONS(14953), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306102] = 2,
    ACTIONS(14955), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306110] = 2,
    ACTIONS(6499), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306118] = 2,
    ACTIONS(14957), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306126] = 2,
    ACTIONS(7738), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306134] = 2,
    ACTIONS(14959), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306142] = 2,
    ACTIONS(14961), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306150] = 2,
    ACTIONS(7231), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306158] = 2,
    ACTIONS(14963), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306166] = 2,
    ACTIONS(14965), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306174] = 2,
    ACTIONS(14967), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306182] = 2,
    ACTIONS(14969), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306190] = 2,
    ACTIONS(14971), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306198] = 2,
    ACTIONS(14973), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306206] = 2,
    ACTIONS(14975), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306214] = 2,
    ACTIONS(14977), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306222] = 2,
    ACTIONS(14979), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306230] = 2,
    ACTIONS(14981), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306238] = 2,
    ACTIONS(14983), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306246] = 2,
    ACTIONS(14985), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306254] = 2,
    ACTIONS(14987), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306262] = 2,
    ACTIONS(14989), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306270] = 2,
    ACTIONS(14991), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306278] = 2,
    ACTIONS(6970), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306286] = 2,
    ACTIONS(14993), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306294] = 2,
    ACTIONS(14995), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306302] = 2,
    ACTIONS(14997), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306310] = 2,
    ACTIONS(14999), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306318] = 2,
    ACTIONS(15001), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306326] = 2,
    ACTIONS(15003), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306334] = 2,
    ACTIONS(6799), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306342] = 2,
    ACTIONS(15005), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306350] = 2,
    ACTIONS(15007), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306358] = 2,
    ACTIONS(7742), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306366] = 2,
    ACTIONS(15009), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306374] = 2,
    ACTIONS(15011), 1,
      anon_sym_get,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306382] = 2,
    ACTIONS(15013), 1,
      anon_sym_object,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306390] = 2,
    ACTIONS(15015), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306398] = 2,
    ACTIONS(15017), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306406] = 2,
    ACTIONS(15019), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306414] = 2,
    ACTIONS(15021), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306422] = 2,
    ACTIONS(15023), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306430] = 2,
    ACTIONS(15025), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306438] = 2,
    ACTIONS(7037), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306446] = 2,
    ACTIONS(15027), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306454] = 2,
    ACTIONS(15029), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306462] = 2,
    ACTIONS(15031), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306470] = 2,
    ACTIONS(15033), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306478] = 2,
    ACTIONS(15035), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306486] = 2,
    ACTIONS(15037), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306494] = 2,
    ACTIONS(6879), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306502] = 2,
    ACTIONS(7148), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306510] = 2,
    ACTIONS(15039), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306518] = 2,
    ACTIONS(15041), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306526] = 2,
    ACTIONS(15043), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306534] = 2,
    ACTIONS(15045), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306542] = 2,
    ACTIONS(15047), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306550] = 2,
    ACTIONS(15049), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306558] = 2,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306566] = 2,
    ACTIONS(15053), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306574] = 2,
    ACTIONS(15055), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306582] = 2,
    ACTIONS(4339), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306590] = 2,
    ACTIONS(15057), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306598] = 2,
    ACTIONS(7041), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306606] = 2,
    ACTIONS(15059), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306614] = 2,
    ACTIONS(6815), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306622] = 2,
    ACTIONS(15061), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306630] = 2,
    ACTIONS(15063), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306638] = 2,
    ACTIONS(15065), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306646] = 2,
    ACTIONS(15067), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306654] = 2,
    ACTIONS(15069), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306662] = 2,
    ACTIONS(15071), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306670] = 2,
    ACTIONS(15073), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306678] = 2,
    ACTIONS(15075), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306686] = 2,
    ACTIONS(15077), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306694] = 2,
    ACTIONS(15079), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306702] = 2,
    ACTIONS(15081), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306710] = 2,
    ACTIONS(15083), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306718] = 2,
    ACTIONS(15085), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306726] = 2,
    ACTIONS(15087), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306734] = 2,
    ACTIONS(15089), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306742] = 2,
    ACTIONS(15091), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306750] = 2,
    ACTIONS(15093), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306758] = 2,
    ACTIONS(15095), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306766] = 2,
    ACTIONS(15097), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306774] = 2,
    ACTIONS(15099), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306782] = 2,
    ACTIONS(15101), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306790] = 2,
    ACTIONS(15103), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306798] = 2,
    ACTIONS(15105), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306806] = 2,
    ACTIONS(15107), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306814] = 2,
    ACTIONS(15109), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306822] = 2,
    ACTIONS(15111), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306830] = 2,
    ACTIONS(15113), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306838] = 2,
    ACTIONS(15115), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306846] = 2,
    ACTIONS(15117), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306854] = 2,
    ACTIONS(15119), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306862] = 2,
    ACTIONS(7730), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306870] = 2,
    ACTIONS(15121), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306878] = 2,
    ACTIONS(15123), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306886] = 2,
    ACTIONS(3136), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306894] = 2,
    ACTIONS(15125), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306902] = 2,
    ACTIONS(15127), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306910] = 2,
    ACTIONS(15129), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306918] = 2,
    ACTIONS(15131), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306926] = 2,
    ACTIONS(15133), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306934] = 2,
    ACTIONS(15135), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306942] = 2,
    ACTIONS(15137), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306950] = 2,
    ACTIONS(15139), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306958] = 2,
    ACTIONS(15141), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306966] = 2,
    ACTIONS(15143), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306974] = 2,
    ACTIONS(15145), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306982] = 2,
    ACTIONS(15147), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306990] = 2,
    ACTIONS(15149), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306998] = 2,
    ACTIONS(15151), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307006] = 2,
    ACTIONS(15153), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307014] = 2,
    ACTIONS(15155), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307022] = 2,
    ACTIONS(15157), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307030] = 2,
    ACTIONS(15159), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307038] = 2,
    ACTIONS(15161), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307046] = 2,
    ACTIONS(15163), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307054] = 2,
    ACTIONS(15165), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307062] = 2,
    ACTIONS(15167), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307070] = 2,
    ACTIONS(15169), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307078] = 2,
    ACTIONS(15171), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307086] = 2,
    ACTIONS(15173), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307094] = 2,
    ACTIONS(15175), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307102] = 2,
    ACTIONS(15177), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307110] = 2,
    ACTIONS(15179), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307118] = 2,
    ACTIONS(15181), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307126] = 2,
    ACTIONS(15183), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307134] = 2,
    ACTIONS(15185), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307142] = 2,
    ACTIONS(15187), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307150] = 2,
    ACTIONS(15189), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307158] = 2,
    ACTIONS(15191), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307166] = 2,
    ACTIONS(15193), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307174] = 2,
    ACTIONS(15195), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307182] = 2,
    ACTIONS(15197), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307190] = 2,
    ACTIONS(15199), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307198] = 2,
    ACTIONS(15201), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307206] = 2,
    ACTIONS(15203), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307214] = 2,
    ACTIONS(15205), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307222] = 2,
    ACTIONS(15207), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307230] = 2,
    ACTIONS(15209), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307238] = 2,
    ACTIONS(15211), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307246] = 2,
    ACTIONS(15213), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307254] = 2,
    ACTIONS(2247), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307262] = 2,
    ACTIONS(15215), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307270] = 2,
    ACTIONS(15217), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307278] = 2,
    ACTIONS(15219), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307286] = 2,
    ACTIONS(15221), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307294] = 2,
    ACTIONS(15223), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307302] = 2,
    ACTIONS(15225), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307310] = 2,
    ACTIONS(15227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307318] = 2,
    ACTIONS(15229), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307326] = 2,
    ACTIONS(15231), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307334] = 2,
    ACTIONS(15233), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307342] = 2,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307350] = 2,
    ACTIONS(15237), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307358] = 2,
    ACTIONS(15239), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307366] = 2,
    ACTIONS(7889), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307374] = 2,
    ACTIONS(15241), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307382] = 2,
    ACTIONS(15243), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307390] = 2,
    ACTIONS(15245), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307398] = 2,
    ACTIONS(15247), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307406] = 2,
    ACTIONS(15249), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307414] = 2,
    ACTIONS(15251), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307422] = 2,
    ACTIONS(15253), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307430] = 2,
    ACTIONS(15255), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307438] = 2,
    ACTIONS(6873), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307446] = 2,
    ACTIONS(15257), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307454] = 2,
    ACTIONS(15259), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307462] = 2,
    ACTIONS(15261), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307470] = 2,
    ACTIONS(15263), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307478] = 2,
    ACTIONS(15265), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307486] = 2,
    ACTIONS(15267), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307494] = 2,
    ACTIONS(15269), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307502] = 2,
    ACTIONS(15271), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307510] = 2,
    ACTIONS(6889), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307518] = 2,
    ACTIONS(15273), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307526] = 2,
    ACTIONS(15275), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307534] = 2,
    ACTIONS(15277), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307542] = 2,
    ACTIONS(15279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307550] = 2,
    ACTIONS(15281), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307558] = 2,
    ACTIONS(15283), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307566] = 2,
    ACTIONS(15285), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307574] = 2,
    ACTIONS(15287), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307582] = 2,
    ACTIONS(15289), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307590] = 2,
    ACTIONS(15291), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307598] = 2,
    ACTIONS(15293), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307606] = 2,
    ACTIONS(15295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307614] = 2,
    ACTIONS(15297), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307622] = 2,
    ACTIONS(15299), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307630] = 2,
    ACTIONS(15301), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307638] = 2,
    ACTIONS(15303), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307646] = 2,
    ACTIONS(15305), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307654] = 2,
    ACTIONS(15307), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307662] = 2,
    ACTIONS(15309), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307670] = 2,
    ACTIONS(15311), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307678] = 2,
    ACTIONS(15313), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307686] = 2,
    ACTIONS(15315), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307694] = 2,
    ACTIONS(15317), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307702] = 2,
    ACTIONS(4357), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307710] = 2,
    ACTIONS(6413), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307718] = 2,
    ACTIONS(15319), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307726] = 2,
    ACTIONS(15321), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307734] = 2,
    ACTIONS(7848), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307742] = 2,
    ACTIONS(15323), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307750] = 2,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307758] = 2,
    ACTIONS(15327), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307766] = 2,
    ACTIONS(15329), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307774] = 2,
    ACTIONS(15331), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307782] = 2,
    ACTIONS(7107), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307790] = 2,
    ACTIONS(15333), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307798] = 2,
    ACTIONS(15335), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307806] = 2,
    ACTIONS(15337), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307814] = 2,
    ACTIONS(15339), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307822] = 2,
    ACTIONS(15341), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307830] = 2,
    ACTIONS(15343), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307838] = 2,
    ACTIONS(15345), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307846] = 2,
    ACTIONS(15347), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307854] = 2,
    ACTIONS(15349), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307862] = 2,
    ACTIONS(15351), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307870] = 2,
    ACTIONS(15353), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307878] = 2,
    ACTIONS(15355), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307886] = 2,
    ACTIONS(15357), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307894] = 2,
    ACTIONS(2937), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307902] = 2,
    ACTIONS(15359), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307910] = 2,
    ACTIONS(15361), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307918] = 2,
    ACTIONS(15363), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307926] = 2,
    ACTIONS(15365), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307934] = 2,
    ACTIONS(15367), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307942] = 2,
    ACTIONS(15369), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307950] = 2,
    ACTIONS(15371), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307958] = 2,
    ACTIONS(15373), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307966] = 2,
    ACTIONS(15375), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307974] = 2,
    ACTIONS(15377), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307982] = 2,
    ACTIONS(15379), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307990] = 2,
    ACTIONS(285), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307998] = 2,
    ACTIONS(15381), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308006] = 2,
    ACTIONS(15383), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308014] = 2,
    ACTIONS(15385), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308022] = 2,
    ACTIONS(15387), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308030] = 2,
    ACTIONS(15389), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308038] = 2,
    ACTIONS(15391), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308046] = 2,
    ACTIONS(15393), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308054] = 2,
    ACTIONS(15395), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308062] = 2,
    ACTIONS(15397), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308070] = 2,
    ACTIONS(15399), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308078] = 2,
    ACTIONS(15401), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308086] = 2,
    ACTIONS(15403), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308094] = 2,
    ACTIONS(15405), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308102] = 2,
    ACTIONS(15407), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308110] = 2,
    ACTIONS(15409), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308118] = 2,
    ACTIONS(15411), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308126] = 2,
    ACTIONS(15413), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308134] = 2,
    ACTIONS(15415), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308142] = 2,
    ACTIONS(15417), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308150] = 2,
    ACTIONS(15419), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308158] = 2,
    ACTIONS(15421), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308166] = 2,
    ACTIONS(15423), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308174] = 2,
    ACTIONS(15425), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308182] = 2,
    ACTIONS(15427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308190] = 2,
    ACTIONS(15429), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308198] = 2,
    ACTIONS(15431), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308206] = 2,
    ACTIONS(15433), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308214] = 2,
    ACTIONS(15435), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308222] = 2,
    ACTIONS(15437), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308230] = 2,
    ACTIONS(15439), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308238] = 2,
    ACTIONS(15441), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308246] = 2,
    ACTIONS(15443), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308254] = 2,
    ACTIONS(15445), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308262] = 2,
    ACTIONS(15447), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308270] = 2,
    ACTIONS(15449), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308278] = 2,
    ACTIONS(15451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308286] = 2,
    ACTIONS(15453), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308294] = 2,
    ACTIONS(15455), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308302] = 2,
    ACTIONS(15457), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308310] = 2,
    ACTIONS(15459), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308318] = 2,
    ACTIONS(15461), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308326] = 2,
    ACTIONS(15463), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308334] = 2,
    ACTIONS(3220), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308342] = 2,
    ACTIONS(15465), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308350] = 2,
    ACTIONS(15467), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308358] = 2,
    ACTIONS(15469), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308366] = 2,
    ACTIONS(15471), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308374] = 2,
    ACTIONS(15473), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308382] = 2,
    ACTIONS(15475), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308390] = 2,
    ACTIONS(15477), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308398] = 2,
    ACTIONS(15479), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308406] = 2,
    ACTIONS(15481), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308414] = 2,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308422] = 2,
    ACTIONS(15485), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308430] = 2,
    ACTIONS(15487), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308438] = 2,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308446] = 2,
    ACTIONS(15491), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308454] = 2,
    ACTIONS(15493), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308462] = 2,
    ACTIONS(15495), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308470] = 2,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308478] = 2,
    ACTIONS(15499), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308486] = 2,
    ACTIONS(15501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308494] = 2,
    ACTIONS(15503), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308502] = 2,
    ACTIONS(7682), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308510] = 2,
    ACTIONS(15505), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308518] = 2,
    ACTIONS(15507), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308526] = 2,
    ACTIONS(15509), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308534] = 2,
    ACTIONS(15511), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308542] = 2,
    ACTIONS(7165), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308550] = 2,
    ACTIONS(7852), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308558] = 2,
    ACTIONS(15513), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308566] = 2,
    ACTIONS(15515), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308574] = 2,
    ACTIONS(15517), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308582] = 2,
    ACTIONS(15519), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308590] = 2,
    ACTIONS(15521), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308598] = 2,
    ACTIONS(15523), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308606] = 2,
    ACTIONS(15525), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308614] = 2,
    ACTIONS(15527), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308622] = 2,
    ACTIONS(6996), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308630] = 2,
    ACTIONS(15529), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308638] = 2,
    ACTIONS(15531), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308646] = 2,
    ACTIONS(12185), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308654] = 2,
    ACTIONS(15533), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308662] = 2,
    ACTIONS(15535), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308670] = 2,
    ACTIONS(15537), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308678] = 2,
    ACTIONS(15539), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308686] = 2,
    ACTIONS(15541), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308694] = 2,
    ACTIONS(15543), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308702] = 2,
    ACTIONS(15545), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308710] = 2,
    ACTIONS(15547), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308718] = 2,
    ACTIONS(15549), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308726] = 2,
    ACTIONS(15551), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308734] = 2,
    ACTIONS(15553), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308742] = 2,
    ACTIONS(15555), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308750] = 2,
    ACTIONS(7780), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308758] = 2,
    ACTIONS(15557), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308766] = 2,
    ACTIONS(7746), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308774] = 2,
    ACTIONS(15559), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308782] = 2,
    ACTIONS(7722), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308790] = 2,
    ACTIONS(15561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308798] = 2,
    ACTIONS(15563), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308806] = 2,
    ACTIONS(15565), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308814] = 2,
    ACTIONS(15567), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308822] = 2,
    ACTIONS(7750), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308830] = 2,
    ACTIONS(15569), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308838] = 2,
    ACTIONS(7387), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308846] = 2,
    ACTIONS(15571), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308854] = 2,
    ACTIONS(15573), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308862] = 2,
    ACTIONS(15575), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308870] = 2,
    ACTIONS(7037), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308878] = 2,
    ACTIONS(15577), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308886] = 2,
    ACTIONS(15579), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308894] = 2,
    ACTIONS(15581), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308902] = 2,
    ACTIONS(15583), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308910] = 2,
    ACTIONS(15585), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308918] = 2,
    ACTIONS(15587), 1,
      anon_sym_get,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308926] = 2,
    ACTIONS(15589), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308934] = 2,
    ACTIONS(13737), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308942] = 2,
    ACTIONS(15591), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308950] = 2,
    ACTIONS(15593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308958] = 2,
    ACTIONS(7754), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308966] = 2,
    ACTIONS(15595), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308974] = 2,
    ACTIONS(15597), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308982] = 2,
    ACTIONS(14477), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308990] = 2,
    ACTIONS(15599), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308998] = 2,
    ACTIONS(15601), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309006] = 2,
    ACTIONS(6819), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309014] = 2,
    ACTIONS(15603), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309022] = 2,
    ACTIONS(15605), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309030] = 2,
    ACTIONS(15607), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309038] = 2,
    ACTIONS(15609), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309046] = 2,
    ACTIONS(7165), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309054] = 2,
    ACTIONS(15611), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309062] = 2,
    ACTIONS(15613), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309070] = 2,
    ACTIONS(15615), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309078] = 2,
    ACTIONS(15617), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309086] = 2,
    ACTIONS(7103), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309094] = 2,
    ACTIONS(2305), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309102] = 2,
    ACTIONS(15619), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309110] = 2,
    ACTIONS(2941), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309118] = 2,
    ACTIONS(15621), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309126] = 2,
    ACTIONS(15623), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309134] = 2,
    ACTIONS(15625), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309142] = 2,
    ACTIONS(15627), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309150] = 2,
    ACTIONS(15629), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309158] = 2,
    ACTIONS(15631), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309166] = 2,
    ACTIONS(7784), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309174] = 2,
    ACTIONS(15633), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309182] = 2,
    ACTIONS(15635), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309190] = 2,
    ACTIONS(13749), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309198] = 2,
    ACTIONS(15637), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309206] = 2,
    ACTIONS(7734), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309214] = 2,
    ACTIONS(15639), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309222] = 2,
    ACTIONS(15641), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309230] = 2,
    ACTIONS(15643), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309238] = 2,
    ACTIONS(15645), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309246] = 2,
    ACTIONS(2323), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309254] = 2,
    ACTIONS(15647), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309262] = 2,
    ACTIONS(15649), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309270] = 2,
    ACTIONS(2305), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309278] = 2,
    ACTIONS(15651), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309286] = 2,
    ACTIONS(15653), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309294] = 2,
    ACTIONS(15655), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309302] = 2,
    ACTIONS(15657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309310] = 2,
    ACTIONS(15659), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309318] = 2,
    ACTIONS(15661), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309326] = 2,
    ACTIONS(15663), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309334] = 2,
    ACTIONS(15665), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309342] = 2,
    ACTIONS(2582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309350] = 2,
    ACTIONS(15667), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309358] = 2,
    ACTIONS(15669), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309366] = 2,
    ACTIONS(15671), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309374] = 2,
    ACTIONS(6799), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309382] = 2,
    ACTIONS(15673), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309390] = 2,
    ACTIONS(11301), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309398] = 2,
    ACTIONS(15675), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309406] = 2,
    ACTIONS(15677), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309414] = 2,
    ACTIONS(15679), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309422] = 2,
    ACTIONS(15681), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309430] = 2,
    ACTIONS(15683), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309438] = 2,
    ACTIONS(15685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309446] = 2,
    ACTIONS(15687), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309454] = 2,
    ACTIONS(15689), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309462] = 2,
    ACTIONS(15691), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309470] = 2,
    ACTIONS(15693), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309478] = 2,
    ACTIONS(15695), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309486] = 2,
    ACTIONS(15697), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309494] = 2,
    ACTIONS(7738), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309502] = 2,
    ACTIONS(7148), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309510] = 2,
    ACTIONS(15699), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309518] = 2,
    ACTIONS(15701), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309526] = 2,
    ACTIONS(15703), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309534] = 2,
    ACTIONS(15705), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309542] = 2,
    ACTIONS(15707), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309550] = 2,
    ACTIONS(7760), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309558] = 2,
    ACTIONS(15709), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309566] = 2,
    ACTIONS(15711), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309574] = 2,
    ACTIONS(15713), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309582] = 2,
    ACTIONS(15715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309590] = 2,
    ACTIONS(6957), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309598] = 2,
    ACTIONS(15717), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309606] = 2,
    ACTIONS(15719), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309614] = 2,
    ACTIONS(7041), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309622] = 2,
    ACTIONS(15721), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309630] = 2,
    ACTIONS(7648), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309638] = 2,
    ACTIONS(15723), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309646] = 2,
    ACTIONS(15725), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309654] = 2,
    ACTIONS(15727), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309662] = 2,
    ACTIONS(15729), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309670] = 2,
    ACTIONS(15731), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309678] = 2,
    ACTIONS(15733), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309686] = 2,
    ACTIONS(15735), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309694] = 2,
    ACTIONS(15737), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309702] = 2,
    ACTIONS(15739), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309710] = 2,
    ACTIONS(15741), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309718] = 2,
    ACTIONS(15743), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309726] = 2,
    ACTIONS(15745), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309734] = 2,
    ACTIONS(15747), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309742] = 2,
    ACTIONS(15749), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309750] = 2,
    ACTIONS(15751), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309758] = 2,
    ACTIONS(15753), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309766] = 2,
    ACTIONS(7764), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309774] = 2,
    ACTIONS(15755), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309782] = 2,
    ACTIONS(15757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309790] = 2,
    ACTIONS(7169), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309798] = 2,
    ACTIONS(15759), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309806] = 2,
    ACTIONS(7648), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309814] = 2,
    ACTIONS(15761), 1,
      sym__semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309822] = 2,
    ACTIONS(15763), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309830] = 2,
    ACTIONS(15765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309838] = 2,
    ACTIONS(15767), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309846] = 2,
    ACTIONS(15769), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309854] = 2,
    ACTIONS(15771), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309862] = 2,
    ACTIONS(15773), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309870] = 2,
    ACTIONS(15775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309878] = 2,
    ACTIONS(15777), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309886] = 2,
    ACTIONS(15779), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309894] = 2,
    ACTIONS(15781), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309902] = 2,
    ACTIONS(15783), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309910] = 2,
    ACTIONS(15785), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309918] = 2,
    ACTIONS(15787), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309926] = 2,
    ACTIONS(15789), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309934] = 2,
    ACTIONS(7746), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309942] = 2,
    ACTIONS(15791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309950] = 2,
    ACTIONS(15793), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309958] = 2,
    ACTIONS(15795), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309966] = 2,
    ACTIONS(15797), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309974] = 2,
    ACTIONS(15799), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309982] = 2,
    ACTIONS(2247), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309990] = 2,
    ACTIONS(6823), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309998] = 2,
    ACTIONS(15801), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310006] = 2,
    ACTIONS(15803), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310014] = 2,
    ACTIONS(15805), 1,
      anon_sym_object,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310022] = 2,
    ACTIONS(15807), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310030] = 2,
    ACTIONS(15809), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310038] = 2,
    ACTIONS(15811), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310046] = 2,
    ACTIONS(15813), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310054] = 2,
    ACTIONS(7772), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310062] = 2,
    ACTIONS(4683), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310070] = 2,
    ACTIONS(15815), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310078] = 2,
    ACTIONS(15817), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310086] = 2,
    ACTIONS(15819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310094] = 2,
    ACTIONS(7693), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310102] = 2,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310110] = 2,
    ACTIONS(15823), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310118] = 2,
    ACTIONS(15825), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310126] = 2,
    ACTIONS(15827), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310134] = 2,
    ACTIONS(7137), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310142] = 2,
    ACTIONS(15829), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310150] = 2,
    ACTIONS(15831), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310158] = 2,
    ACTIONS(15833), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310166] = 2,
    ACTIONS(15835), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310174] = 2,
    ACTIONS(15837), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310182] = 2,
    ACTIONS(15839), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310190] = 2,
    ACTIONS(15841), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310198] = 2,
    ACTIONS(15843), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310206] = 2,
    ACTIONS(15845), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310214] = 2,
    ACTIONS(15847), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310222] = 2,
    ACTIONS(15849), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310230] = 2,
    ACTIONS(15851), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310238] = 2,
    ACTIONS(6953), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310246] = 2,
    ACTIONS(15853), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310254] = 2,
    ACTIONS(15855), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310262] = 2,
    ACTIONS(15857), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310270] = 2,
    ACTIONS(7750), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310278] = 2,
    ACTIONS(2317), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310286] = 2,
    ACTIONS(15859), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310294] = 2,
    ACTIONS(15861), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310302] = 2,
    ACTIONS(15863), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310310] = 2,
    ACTIONS(15865), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310318] = 2,
    ACTIONS(6811), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310326] = 2,
    ACTIONS(15867), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310334] = 2,
    ACTIONS(15869), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310342] = 2,
    ACTIONS(6451), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310350] = 2,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310358] = 2,
    ACTIONS(15873), 1,
      anon_sym_set,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310366] = 2,
    ACTIONS(15875), 1,
      anon_sym_get,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310374] = 2,
    ACTIONS(15877), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310382] = 2,
    ACTIONS(15879), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310390] = 2,
    ACTIONS(7889), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310398] = 2,
    ACTIONS(15881), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310406] = 2,
    ACTIONS(15883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310414] = 2,
    ACTIONS(15885), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310422] = 2,
    ACTIONS(15887), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310430] = 2,
    ACTIONS(15889), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310438] = 2,
    ACTIONS(15891), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310446] = 2,
    ACTIONS(15893), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310454] = 2,
    ACTIONS(15895), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310462] = 2,
    ACTIONS(15897), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310470] = 2,
    ACTIONS(4347), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310478] = 2,
    ACTIONS(15899), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310486] = 2,
    ACTIONS(15901), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310494] = 2,
    ACTIONS(15903), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310502] = 2,
    ACTIONS(6889), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310510] = 2,
    ACTIONS(15905), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310518] = 2,
    ACTIONS(15907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310526] = 2,
    ACTIONS(7387), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310534] = 2,
    ACTIONS(15909), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310542] = 2,
    ACTIONS(7103), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310550] = 2,
    ACTIONS(15911), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310558] = 2,
    ACTIONS(15913), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310566] = 2,
    ACTIONS(4357), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310574] = 2,
    ACTIONS(15915), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310582] = 2,
    ACTIONS(15917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310590] = 2,
    ACTIONS(15919), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310598] = 2,
    ACTIONS(7231), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310606] = 2,
    ACTIONS(15921), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310614] = 2,
    ACTIONS(15923), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310622] = 2,
    ACTIONS(15925), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310630] = 2,
    ACTIONS(15927), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310638] = 2,
    ACTIONS(15929), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310646] = 2,
    ACTIONS(7107), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310654] = 2,
    ACTIONS(15931), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310662] = 2,
    ACTIONS(15933), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310670] = 2,
    ACTIONS(15935), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310678] = 2,
    ACTIONS(15937), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310686] = 2,
    ACTIONS(15939), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310694] = 2,
    ACTIONS(15941), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310702] = 2,
    ACTIONS(15943), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310710] = 2,
    ACTIONS(15945), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310718] = 2,
    ACTIONS(15947), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310726] = 2,
    ACTIONS(289), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310734] = 2,
    ACTIONS(2761), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310742] = 2,
    ACTIONS(15949), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310750] = 2,
    ACTIONS(15951), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310758] = 2,
    ACTIONS(15953), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310766] = 2,
    ACTIONS(15955), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310774] = 2,
    ACTIONS(15957), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310782] = 2,
    ACTIONS(15959), 1,
      anon_sym_get,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310790] = 2,
    ACTIONS(15961), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310798] = 2,
    ACTIONS(15963), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310806] = 2,
    ACTIONS(15965), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310814] = 2,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310822] = 2,
    ACTIONS(15969), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310830] = 2,
    ACTIONS(6417), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310838] = 2,
    ACTIONS(15971), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310846] = 2,
    ACTIONS(15973), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310854] = 2,
    ACTIONS(15975), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310862] = 2,
    ACTIONS(15977), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310870] = 2,
    ACTIONS(15979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310878] = 2,
    ACTIONS(2945), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310886] = 2,
    ACTIONS(15981), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310894] = 2,
    ACTIONS(6949), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310902] = 2,
    ACTIONS(15983), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310910] = 2,
    ACTIONS(15985), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310918] = 2,
    ACTIONS(15987), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310926] = 2,
    ACTIONS(15989), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310934] = 2,
    ACTIONS(15991), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310942] = 2,
    ACTIONS(15993), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310950] = 2,
    ACTIONS(7169), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310958] = 2,
    ACTIONS(6455), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310966] = 2,
    ACTIONS(15995), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310974] = 2,
    ACTIONS(6459), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310982] = 2,
    ACTIONS(15997), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310990] = 2,
    ACTIONS(7027), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310998] = 2,
    ACTIONS(15999), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311006] = 2,
    ACTIONS(16001), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311014] = 2,
    ACTIONS(16003), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311022] = 2,
    ACTIONS(16005), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311030] = 2,
    ACTIONS(16007), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311038] = 2,
    ACTIONS(16009), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311046] = 2,
    ACTIONS(16011), 1,
      anon_sym_constructor,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311054] = 2,
    ACTIONS(16013), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311062] = 2,
    ACTIONS(6815), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311070] = 2,
    ACTIONS(16015), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311078] = 2,
    ACTIONS(16017), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311086] = 2,
    ACTIONS(6811), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311094] = 2,
    ACTIONS(16019), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311102] = 2,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311110] = 2,
    ACTIONS(4339), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311118] = 2,
    ACTIONS(16023), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311126] = 2,
    ACTIONS(6949), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311134] = 2,
    ACTIONS(7760), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311142] = 2,
    ACTIONS(3216), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311150] = 2,
    ACTIONS(7764), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311158] = 2,
    ACTIONS(6463), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311166] = 2,
    ACTIONS(16025), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311174] = 2,
    ACTIONS(16027), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311182] = 2,
    ACTIONS(7884), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311190] = 2,
    ACTIONS(6970), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311198] = 2,
    ACTIONS(6467), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311206] = 2,
    ACTIONS(16029), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311214] = 2,
    ACTIONS(16031), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311222] = 2,
    ACTIONS(16033), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311230] = 2,
    ACTIONS(16035), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311238] = 2,
    ACTIONS(16037), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311246] = 2,
    ACTIONS(16039), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311254] = 2,
    ACTIONS(16041), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311262] = 2,
    ACTIONS(7137), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311270] = 2,
    ACTIONS(16043), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311278] = 2,
    ACTIONS(16045), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311286] = 2,
    ACTIONS(16047), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311294] = 2,
    ACTIONS(6992), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311302] = 2,
    ACTIONS(2317), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311310] = 2,
    ACTIONS(6471), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311318] = 2,
    ACTIONS(16049), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311326] = 2,
    ACTIONS(16051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311334] = 2,
    ACTIONS(7722), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311342] = 2,
    ACTIONS(6475), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311350] = 2,
    ACTIONS(16053), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311358] = 2,
    ACTIONS(16055), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311366] = 2,
    ACTIONS(7033), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311374] = 2,
    ACTIONS(7682), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311382] = 2,
    ACTIONS(16057), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311390] = 2,
    ACTIONS(6479), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311398] = 2,
    ACTIONS(7768), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311406] = 2,
    ACTIONS(6483), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311414] = 2,
    ACTIONS(6487), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311422] = 2,
    ACTIONS(6491), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311430] = 2,
    ACTIONS(16059), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311438] = 2,
    ACTIONS(16061), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311446] = 2,
    ACTIONS(16063), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311454] = 2,
    ACTIONS(16065), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311462] = 2,
    ACTIONS(6495), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311470] = 2,
    ACTIONS(7776), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311478] = 2,
    ACTIONS(16067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311486] = 2,
    ACTIONS(16069), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311494] = 2,
    ACTIONS(13258), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311502] = 2,
    ACTIONS(4571), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311510] = 2,
    ACTIONS(16071), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311518] = 2,
    ACTIONS(13276), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311526] = 2,
    ACTIONS(16073), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311534] = 2,
    ACTIONS(6823), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311542] = 2,
    ACTIONS(16075), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311550] = 2,
    ACTIONS(7693), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311558] = 2,
    ACTIONS(16077), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311566] = 2,
    ACTIONS(16079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311574] = 2,
    ACTIONS(16081), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311582] = 2,
    ACTIONS(16083), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311590] = 2,
    ACTIONS(16085), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311598] = 2,
    ACTIONS(16087), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311606] = 2,
    ACTIONS(7027), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311614] = 2,
    ACTIONS(16089), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311622] = 2,
    ACTIONS(6499), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311630] = 2,
    ACTIONS(16091), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311638] = 2,
    ACTIONS(2323), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311646] = 2,
    ACTIONS(16093), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311654] = 2,
    ACTIONS(16095), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311662] = 2,
    ACTIONS(16097), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311670] = 2,
    ACTIONS(3216), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311678] = 2,
    ACTIONS(14077), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311686] = 2,
    ACTIONS(16099), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311694] = 2,
    ACTIONS(16101), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311702] = 2,
    ACTIONS(16103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311710] = 2,
    ACTIONS(16105), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311718] = 2,
    ACTIONS(16107), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311726] = 2,
    ACTIONS(16109), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311734] = 2,
    ACTIONS(16111), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311742] = 2,
    ACTIONS(16113), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311750] = 2,
    ACTIONS(16115), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311758] = 2,
    ACTIONS(16117), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311766] = 2,
    ACTIONS(16119), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311774] = 2,
    ACTIONS(16121), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311782] = 2,
    ACTIONS(16123), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311790] = 2,
    ACTIONS(16125), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311798] = 2,
    ACTIONS(16127), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311806] = 2,
    ACTIONS(2311), 1,
      sym__class_member_semi,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311814] = 2,
    ACTIONS(16129), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311822] = 2,
    ACTIONS(2329), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311830] = 2,
    ACTIONS(16131), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(4175)] = 0,
  [SMALL_STATE(4176)] = 114,
  [SMALL_STATE(4177)] = 228,
  [SMALL_STATE(4178)] = 342,
  [SMALL_STATE(4179)] = 456,
  [SMALL_STATE(4180)] = 570,
  [SMALL_STATE(4181)] = 684,
  [SMALL_STATE(4182)] = 798,
  [SMALL_STATE(4183)] = 912,
  [SMALL_STATE(4184)] = 1026,
  [SMALL_STATE(4185)] = 1140,
  [SMALL_STATE(4186)] = 1254,
  [SMALL_STATE(4187)] = 1368,
  [SMALL_STATE(4188)] = 1482,
  [SMALL_STATE(4189)] = 1596,
  [SMALL_STATE(4190)] = 1710,
  [SMALL_STATE(4191)] = 1824,
  [SMALL_STATE(4192)] = 1938,
  [SMALL_STATE(4193)] = 2052,
  [SMALL_STATE(4194)] = 2166,
  [SMALL_STATE(4195)] = 2280,
  [SMALL_STATE(4196)] = 2394,
  [SMALL_STATE(4197)] = 2508,
  [SMALL_STATE(4198)] = 2622,
  [SMALL_STATE(4199)] = 2736,
  [SMALL_STATE(4200)] = 2850,
  [SMALL_STATE(4201)] = 2964,
  [SMALL_STATE(4202)] = 3078,
  [SMALL_STATE(4203)] = 3192,
  [SMALL_STATE(4204)] = 3306,
  [SMALL_STATE(4205)] = 3420,
  [SMALL_STATE(4206)] = 3534,
  [SMALL_STATE(4207)] = 3648,
  [SMALL_STATE(4208)] = 3762,
  [SMALL_STATE(4209)] = 3876,
  [SMALL_STATE(4210)] = 3990,
  [SMALL_STATE(4211)] = 4104,
  [SMALL_STATE(4212)] = 4218,
  [SMALL_STATE(4213)] = 4332,
  [SMALL_STATE(4214)] = 4446,
  [SMALL_STATE(4215)] = 4560,
  [SMALL_STATE(4216)] = 4674,
  [SMALL_STATE(4217)] = 4788,
  [SMALL_STATE(4218)] = 4902,
  [SMALL_STATE(4219)] = 5016,
  [SMALL_STATE(4220)] = 5130,
  [SMALL_STATE(4221)] = 5244,
  [SMALL_STATE(4222)] = 5358,
  [SMALL_STATE(4223)] = 5472,
  [SMALL_STATE(4224)] = 5586,
  [SMALL_STATE(4225)] = 5700,
  [SMALL_STATE(4226)] = 5814,
  [SMALL_STATE(4227)] = 5928,
  [SMALL_STATE(4228)] = 6042,
  [SMALL_STATE(4229)] = 6156,
  [SMALL_STATE(4230)] = 6270,
  [SMALL_STATE(4231)] = 6384,
  [SMALL_STATE(4232)] = 6498,
  [SMALL_STATE(4233)] = 6612,
  [SMALL_STATE(4234)] = 6726,
  [SMALL_STATE(4235)] = 6840,
  [SMALL_STATE(4236)] = 6954,
  [SMALL_STATE(4237)] = 7068,
  [SMALL_STATE(4238)] = 7182,
  [SMALL_STATE(4239)] = 7296,
  [SMALL_STATE(4240)] = 7410,
  [SMALL_STATE(4241)] = 7524,
  [SMALL_STATE(4242)] = 7638,
  [SMALL_STATE(4243)] = 7752,
  [SMALL_STATE(4244)] = 7866,
  [SMALL_STATE(4245)] = 7939,
  [SMALL_STATE(4246)] = 8013,
  [SMALL_STATE(4247)] = 8085,
  [SMALL_STATE(4248)] = 8157,
  [SMALL_STATE(4249)] = 8231,
  [SMALL_STATE(4250)] = 8303,
  [SMALL_STATE(4251)] = 8373,
  [SMALL_STATE(4252)] = 8441,
  [SMALL_STATE(4253)] = 8513,
  [SMALL_STATE(4254)] = 8585,
  [SMALL_STATE(4255)] = 8654,
  [SMALL_STATE(4256)] = 8737,
  [SMALL_STATE(4257)] = 8804,
  [SMALL_STATE(4258)] = 8875,
  [SMALL_STATE(4259)] = 8942,
  [SMALL_STATE(4260)] = 9011,
  [SMALL_STATE(4261)] = 9078,
  [SMALL_STATE(4262)] = 9161,
  [SMALL_STATE(4263)] = 9244,
  [SMALL_STATE(4264)] = 9327,
  [SMALL_STATE(4265)] = 9394,
  [SMALL_STATE(4266)] = 9477,
  [SMALL_STATE(4267)] = 9544,
  [SMALL_STATE(4268)] = 9611,
  [SMALL_STATE(4269)] = 9677,
  [SMALL_STATE(4270)] = 9757,
  [SMALL_STATE(4271)] = 9827,
  [SMALL_STATE(4272)] = 9903,
  [SMALL_STATE(4273)] = 9979,
  [SMALL_STATE(4274)] = 10049,
  [SMALL_STATE(4275)] = 10119,
  [SMALL_STATE(4276)] = 10189,
  [SMALL_STATE(4277)] = 10269,
  [SMALL_STATE(4278)] = 10335,
  [SMALL_STATE(4279)] = 10405,
  [SMALL_STATE(4280)] = 10475,
  [SMALL_STATE(4281)] = 10543,
  [SMALL_STATE(4282)] = 10611,
  [SMALL_STATE(4283)] = 10677,
  [SMALL_STATE(4284)] = 10753,
  [SMALL_STATE(4285)] = 10833,
  [SMALL_STATE(4286)] = 10899,
  [SMALL_STATE(4287)] = 10979,
  [SMALL_STATE(4288)] = 11045,
  [SMALL_STATE(4289)] = 11125,
  [SMALL_STATE(4290)] = 11200,
  [SMALL_STATE(4291)] = 11275,
  [SMALL_STATE(4292)] = 11350,
  [SMALL_STATE(4293)] = 11425,
  [SMALL_STATE(4294)] = 11498,
  [SMALL_STATE(4295)] = 11573,
  [SMALL_STATE(4296)] = 11648,
  [SMALL_STATE(4297)] = 11772,
  [SMALL_STATE(4298)] = 11904,
  [SMALL_STATE(4299)] = 11976,
  [SMALL_STATE(4300)] = 12048,
  [SMALL_STATE(4301)] = 12180,
  [SMALL_STATE(4302)] = 12252,
  [SMALL_STATE(4303)] = 12384,
  [SMALL_STATE(4304)] = 12512,
  [SMALL_STATE(4305)] = 12608,
  [SMALL_STATE(4306)] = 12724,
  [SMALL_STATE(4307)] = 12792,
  [SMALL_STATE(4308)] = 12862,
  [SMALL_STATE(4309)] = 12970,
  [SMALL_STATE(4310)] = 13068,
  [SMALL_STATE(4311)] = 13140,
  [SMALL_STATE(4312)] = 13266,
  [SMALL_STATE(4313)] = 13334,
  [SMALL_STATE(4314)] = 13406,
  [SMALL_STATE(4315)] = 13512,
  [SMALL_STATE(4316)] = 13612,
  [SMALL_STATE(4317)] = 13716,
  [SMALL_STATE(4318)] = 13844,
  [SMALL_STATE(4319)] = 13972,
  [SMALL_STATE(4320)] = 14100,
  [SMALL_STATE(4321)] = 14228,
  [SMALL_STATE(4322)] = 14356,
  [SMALL_STATE(4323)] = 14484,
  [SMALL_STATE(4324)] = 14616,
  [SMALL_STATE(4325)] = 14748,
  [SMALL_STATE(4326)] = 14880,
  [SMALL_STATE(4327)] = 14950,
  [SMALL_STATE(4328)] = 15086,
  [SMALL_STATE(4329)] = 15222,
  [SMALL_STATE(4330)] = 15350,
  [SMALL_STATE(4331)] = 15422,
  [SMALL_STATE(4332)] = 15494,
  [SMALL_STATE(4333)] = 15566,
  [SMALL_STATE(4334)] = 15638,
  [SMALL_STATE(4335)] = 15758,
  [SMALL_STATE(4336)] = 15861,
  [SMALL_STATE(4337)] = 15932,
  [SMALL_STATE(4338)] = 15999,
  [SMALL_STATE(4339)] = 16070,
  [SMALL_STATE(4340)] = 16141,
  [SMALL_STATE(4341)] = 16212,
  [SMALL_STATE(4342)] = 16347,
  [SMALL_STATE(4343)] = 16420,
  [SMALL_STATE(4344)] = 16499,
  [SMALL_STATE(4345)] = 16566,
  [SMALL_STATE(4346)] = 16633,
  [SMALL_STATE(4347)] = 16696,
  [SMALL_STATE(4348)] = 16827,
  [SMALL_STATE(4349)] = 16958,
  [SMALL_STATE(4350)] = 17089,
  [SMALL_STATE(4351)] = 17220,
  [SMALL_STATE(4352)] = 17291,
  [SMALL_STATE(4353)] = 17358,
  [SMALL_STATE(4354)] = 17431,
  [SMALL_STATE(4355)] = 17494,
  [SMALL_STATE(4356)] = 17565,
  [SMALL_STATE(4357)] = 17644,
  [SMALL_STATE(4358)] = 17711,
  [SMALL_STATE(4359)] = 17778,
  [SMALL_STATE(4360)] = 17847,
  [SMALL_STATE(4361)] = 17918,
  [SMALL_STATE(4362)] = 17985,
  [SMALL_STATE(4363)] = 18052,
  [SMALL_STATE(4364)] = 18121,
  [SMALL_STATE(4365)] = 18188,
  [SMALL_STATE(4366)] = 18259,
  [SMALL_STATE(4367)] = 18322,
  [SMALL_STATE(4368)] = 18389,
  [SMALL_STATE(4369)] = 18524,
  [SMALL_STATE(4370)] = 18587,
  [SMALL_STATE(4371)] = 18658,
  [SMALL_STATE(4372)] = 18721,
  [SMALL_STATE(4373)] = 18788,
  [SMALL_STATE(4374)] = 18915,
  [SMALL_STATE(4375)] = 19010,
  [SMALL_STATE(4376)] = 19137,
  [SMALL_STATE(4377)] = 19252,
  [SMALL_STATE(4378)] = 19359,
  [SMALL_STATE(4379)] = 19456,
  [SMALL_STATE(4380)] = 19581,
  [SMALL_STATE(4381)] = 19704,
  [SMALL_STATE(4382)] = 19823,
  [SMALL_STATE(4383)] = 19928,
  [SMALL_STATE(4384)] = 20027,
  [SMALL_STATE(4385)] = 20094,
  [SMALL_STATE(4386)] = 20221,
  [SMALL_STATE(4387)] = 20348,
  [SMALL_STATE(4388)] = 20475,
  [SMALL_STATE(4389)] = 20602,
  [SMALL_STATE(4390)] = 20729,
  [SMALL_STATE(4391)] = 20856,
  [SMALL_STATE(4392)] = 20919,
  [SMALL_STATE(4393)] = 20990,
  [SMALL_STATE(4394)] = 21053,
  [SMALL_STATE(4395)] = 21184,
  [SMALL_STATE(4396)] = 21315,
  [SMALL_STATE(4397)] = 21378,
  [SMALL_STATE(4398)] = 21444,
  [SMALL_STATE(4399)] = 21506,
  [SMALL_STATE(4400)] = 21610,
  [SMALL_STATE(4401)] = 21672,
  [SMALL_STATE(4402)] = 21736,
  [SMALL_STATE(4403)] = 21802,
  [SMALL_STATE(4404)] = 21864,
  [SMALL_STATE(4405)] = 21926,
  [SMALL_STATE(4406)] = 21992,
  [SMALL_STATE(4407)] = 22058,
  [SMALL_STATE(4408)] = 22120,
  [SMALL_STATE(4409)] = 22188,
  [SMALL_STATE(4410)] = 22314,
  [SMALL_STATE(4411)] = 22380,
  [SMALL_STATE(4412)] = 22442,
  [SMALL_STATE(4413)] = 22508,
  [SMALL_STATE(4414)] = 22634,
  [SMALL_STATE(4415)] = 22696,
  [SMALL_STATE(4416)] = 22822,
  [SMALL_STATE(4417)] = 22948,
  [SMALL_STATE(4418)] = 23074,
  [SMALL_STATE(4419)] = 23138,
  [SMALL_STATE(4420)] = 23200,
  [SMALL_STATE(4421)] = 23266,
  [SMALL_STATE(4422)] = 23328,
  [SMALL_STATE(4423)] = 23392,
  [SMALL_STATE(4424)] = 23458,
  [SMALL_STATE(4425)] = 23520,
  [SMALL_STATE(4426)] = 23596,
  [SMALL_STATE(4427)] = 23672,
  [SMALL_STATE(4428)] = 23734,
  [SMALL_STATE(4429)] = 23798,
  [SMALL_STATE(4430)] = 23924,
  [SMALL_STATE(4431)] = 23994,
  [SMALL_STATE(4432)] = 24128,
  [SMALL_STATE(4433)] = 24190,
  [SMALL_STATE(4434)] = 24320,
  [SMALL_STATE(4435)] = 24386,
  [SMALL_STATE(4436)] = 24490,
  [SMALL_STATE(4437)] = 24556,
  [SMALL_STATE(4438)] = 24618,
  [SMALL_STATE(4439)] = 24680,
  [SMALL_STATE(4440)] = 24742,
  [SMALL_STATE(4441)] = 24808,
  [SMALL_STATE(4442)] = 24870,
  [SMALL_STATE(4443)] = 25000,
  [SMALL_STATE(4444)] = 25130,
  [SMALL_STATE(4445)] = 25256,
  [SMALL_STATE(4446)] = 25318,
  [SMALL_STATE(4447)] = 25412,
  [SMALL_STATE(4448)] = 25526,
  [SMALL_STATE(4449)] = 25598,
  [SMALL_STATE(4450)] = 25704,
  [SMALL_STATE(4451)] = 25800,
  [SMALL_STATE(4452)] = 25862,
  [SMALL_STATE(4453)] = 25986,
  [SMALL_STATE(4454)] = 26108,
  [SMALL_STATE(4455)] = 26226,
  [SMALL_STATE(4456)] = 26288,
  [SMALL_STATE(4457)] = 26386,
  [SMALL_STATE(4458)] = 26488,
  [SMALL_STATE(4459)] = 26614,
  [SMALL_STATE(4460)] = 26744,
  [SMALL_STATE(4461)] = 26806,
  [SMALL_STATE(4462)] = 26870,
  [SMALL_STATE(4463)] = 27000,
  [SMALL_STATE(4464)] = 27062,
  [SMALL_STATE(4465)] = 27192,
  [SMALL_STATE(4466)] = 27254,
  [SMALL_STATE(4467)] = 27316,
  [SMALL_STATE(4468)] = 27382,
  [SMALL_STATE(4469)] = 27446,
  [SMALL_STATE(4470)] = 27524,
  [SMALL_STATE(4471)] = 27596,
  [SMALL_STATE(4472)] = 27662,
  [SMALL_STATE(4473)] = 27724,
  [SMALL_STATE(4474)] = 27786,
  [SMALL_STATE(4475)] = 27848,
  [SMALL_STATE(4476)] = 27910,
  [SMALL_STATE(4477)] = 27988,
  [SMALL_STATE(4478)] = 28054,
  [SMALL_STATE(4479)] = 28180,
  [SMALL_STATE(4480)] = 28314,
  [SMALL_STATE(4481)] = 28380,
  [SMALL_STATE(4482)] = 28514,
  [SMALL_STATE(4483)] = 28582,
  [SMALL_STATE(4484)] = 28708,
  [SMALL_STATE(4485)] = 28770,
  [SMALL_STATE(4486)] = 28832,
  [SMALL_STATE(4487)] = 28926,
  [SMALL_STATE(4488)] = 29052,
  [SMALL_STATE(4489)] = 29166,
  [SMALL_STATE(4490)] = 29232,
  [SMALL_STATE(4491)] = 29338,
  [SMALL_STATE(4492)] = 29434,
  [SMALL_STATE(4493)] = 29558,
  [SMALL_STATE(4494)] = 29680,
  [SMALL_STATE(4495)] = 29798,
  [SMALL_STATE(4496)] = 29902,
  [SMALL_STATE(4497)] = 30000,
  [SMALL_STATE(4498)] = 30102,
  [SMALL_STATE(4499)] = 30168,
  [SMALL_STATE(4500)] = 30234,
  [SMALL_STATE(4501)] = 30364,
  [SMALL_STATE(4502)] = 30494,
  [SMALL_STATE(4503)] = 30624,
  [SMALL_STATE(4504)] = 30690,
  [SMALL_STATE(4505)] = 30752,
  [SMALL_STATE(4506)] = 30886,
  [SMALL_STATE(4507)] = 31016,
  [SMALL_STATE(4508)] = 31078,
  [SMALL_STATE(4509)] = 31208,
  [SMALL_STATE(4510)] = 31334,
  [SMALL_STATE(4511)] = 31460,
  [SMALL_STATE(4512)] = 31590,
  [SMALL_STATE(4513)] = 31694,
  [SMALL_STATE(4514)] = 31772,
  [SMALL_STATE(4515)] = 31850,
  [SMALL_STATE(4516)] = 31976,
  [SMALL_STATE(4517)] = 32102,
  [SMALL_STATE(4518)] = 32228,
  [SMALL_STATE(4519)] = 32290,
  [SMALL_STATE(4520)] = 32352,
  [SMALL_STATE(4521)] = 32456,
  [SMALL_STATE(4522)] = 32517,
  [SMALL_STATE(4523)] = 32594,
  [SMALL_STATE(4524)] = 32659,
  [SMALL_STATE(4525)] = 32752,
  [SMALL_STATE(4526)] = 32855,
  [SMALL_STATE(4527)] = 32932,
  [SMALL_STATE(4528)] = 33057,
  [SMALL_STATE(4529)] = 33180,
  [SMALL_STATE(4530)] = 33257,
  [SMALL_STATE(4531)] = 33322,
  [SMALL_STATE(4532)] = 33447,
  [SMALL_STATE(4533)] = 33512,
  [SMALL_STATE(4534)] = 33577,
  [SMALL_STATE(4535)] = 33670,
  [SMALL_STATE(4536)] = 33771,
  [SMALL_STATE(4537)] = 33896,
  [SMALL_STATE(4538)] = 34009,
  [SMALL_STATE(4539)] = 34112,
  [SMALL_STATE(4540)] = 34217,
  [SMALL_STATE(4541)] = 34342,
  [SMALL_STATE(4542)] = 34437,
  [SMALL_STATE(4543)] = 34498,
  [SMALL_STATE(4544)] = 34563,
  [SMALL_STATE(4545)] = 34692,
  [SMALL_STATE(4546)] = 34767,
  [SMALL_STATE(4547)] = 34870,
  [SMALL_STATE(4548)] = 34945,
  [SMALL_STATE(4549)] = 35070,
  [SMALL_STATE(4550)] = 35193,
  [SMALL_STATE(4551)] = 35256,
  [SMALL_STATE(4552)] = 35359,
  [SMALL_STATE(4553)] = 35484,
  [SMALL_STATE(4554)] = 35549,
  [SMALL_STATE(4555)] = 35614,
  [SMALL_STATE(4556)] = 35679,
  [SMALL_STATE(4557)] = 35810,
  [SMALL_STATE(4558)] = 35871,
  [SMALL_STATE(4559)] = 35936,
  [SMALL_STATE(4560)] = 36061,
  [SMALL_STATE(4561)] = 36186,
  [SMALL_STATE(4562)] = 36311,
  [SMALL_STATE(4563)] = 36374,
  [SMALL_STATE(4564)] = 36439,
  [SMALL_STATE(4565)] = 36560,
  [SMALL_STATE(4566)] = 36677,
  [SMALL_STATE(4567)] = 36808,
  [SMALL_STATE(4568)] = 36933,
  [SMALL_STATE(4569)] = 37062,
  [SMALL_STATE(4570)] = 37139,
  [SMALL_STATE(4571)] = 37208,
  [SMALL_STATE(4572)] = 37269,
  [SMALL_STATE(4573)] = 37400,
  [SMALL_STATE(4574)] = 37513,
  [SMALL_STATE(4575)] = 37590,
  [SMALL_STATE(4576)] = 37667,
  [SMALL_STATE(4577)] = 37730,
  [SMALL_STATE(4578)] = 37833,
  [SMALL_STATE(4579)] = 37958,
  [SMALL_STATE(4580)] = 38025,
  [SMALL_STATE(4581)] = 38154,
  [SMALL_STATE(4582)] = 38257,
  [SMALL_STATE(4583)] = 38386,
  [SMALL_STATE(4584)] = 38515,
  [SMALL_STATE(4585)] = 38644,
  [SMALL_STATE(4586)] = 38773,
  [SMALL_STATE(4587)] = 38902,
  [SMALL_STATE(4588)] = 38999,
  [SMALL_STATE(4589)] = 39124,
  [SMALL_STATE(4590)] = 39249,
  [SMALL_STATE(4591)] = 39378,
  [SMALL_STATE(4592)] = 39441,
  [SMALL_STATE(4593)] = 39502,
  [SMALL_STATE(4594)] = 39605,
  [SMALL_STATE(4595)] = 39706,
  [SMALL_STATE(4596)] = 39811,
  [SMALL_STATE(4597)] = 39942,
  [SMALL_STATE(4598)] = 40037,
  [SMALL_STATE(4599)] = 40098,
  [SMALL_STATE(4600)] = 40163,
  [SMALL_STATE(4601)] = 40230,
  [SMALL_STATE(4602)] = 40359,
  [SMALL_STATE(4603)] = 40420,
  [SMALL_STATE(4604)] = 40545,
  [SMALL_STATE(4605)] = 40610,
  [SMALL_STATE(4606)] = 40731,
  [SMALL_STATE(4607)] = 40806,
  [SMALL_STATE(4608)] = 40931,
  [SMALL_STATE(4609)] = 41056,
  [SMALL_STATE(4610)] = 41153,
  [SMALL_STATE(4611)] = 41256,
  [SMALL_STATE(4612)] = 41385,
  [SMALL_STATE(4613)] = 41460,
  [SMALL_STATE(4614)] = 41521,
  [SMALL_STATE(4615)] = 41650,
  [SMALL_STATE(4616)] = 41767,
  [SMALL_STATE(4617)] = 41895,
  [SMALL_STATE(4618)] = 41955,
  [SMALL_STATE(4619)] = 42015,
  [SMALL_STATE(4620)] = 42075,
  [SMALL_STATE(4621)] = 42175,
  [SMALL_STATE(4622)] = 42241,
  [SMALL_STATE(4623)] = 42301,
  [SMALL_STATE(4624)] = 42367,
  [SMALL_STATE(4625)] = 42431,
  [SMALL_STATE(4626)] = 42491,
  [SMALL_STATE(4627)] = 42555,
  [SMALL_STATE(4628)] = 42615,
  [SMALL_STATE(4629)] = 42675,
  [SMALL_STATE(4630)] = 42805,
  [SMALL_STATE(4631)] = 42865,
  [SMALL_STATE(4632)] = 42925,
  [SMALL_STATE(4633)] = 42985,
  [SMALL_STATE(4634)] = 43113,
  [SMALL_STATE(4635)] = 43173,
  [SMALL_STATE(4636)] = 43233,
  [SMALL_STATE(4637)] = 43361,
  [SMALL_STATE(4638)] = 43421,
  [SMALL_STATE(4639)] = 43481,
  [SMALL_STATE(4640)] = 43541,
  [SMALL_STATE(4641)] = 43601,
  [SMALL_STATE(4642)] = 43661,
  [SMALL_STATE(4643)] = 43727,
  [SMALL_STATE(4644)] = 43787,
  [SMALL_STATE(4645)] = 43861,
  [SMALL_STATE(4646)] = 43921,
  [SMALL_STATE(4647)] = 43983,
  [SMALL_STATE(4648)] = 44045,
  [SMALL_STATE(4649)] = 44111,
  [SMALL_STATE(4650)] = 44171,
  [SMALL_STATE(4651)] = 44231,
  [SMALL_STATE(4652)] = 44293,
  [SMALL_STATE(4653)] = 44355,
  [SMALL_STATE(4654)] = 44415,
  [SMALL_STATE(4655)] = 44475,
  [SMALL_STATE(4656)] = 44535,
  [SMALL_STATE(4657)] = 44595,
  [SMALL_STATE(4658)] = 44655,
  [SMALL_STATE(4659)] = 44719,
  [SMALL_STATE(4660)] = 44779,
  [SMALL_STATE(4661)] = 44839,
  [SMALL_STATE(4662)] = 44899,
  [SMALL_STATE(4663)] = 44959,
  [SMALL_STATE(4664)] = 45019,
  [SMALL_STATE(4665)] = 45079,
  [SMALL_STATE(4666)] = 45139,
  [SMALL_STATE(4667)] = 45199,
  [SMALL_STATE(4668)] = 45259,
  [SMALL_STATE(4669)] = 45319,
  [SMALL_STATE(4670)] = 45379,
  [SMALL_STATE(4671)] = 45439,
  [SMALL_STATE(4672)] = 45499,
  [SMALL_STATE(4673)] = 45559,
  [SMALL_STATE(4674)] = 45619,
  [SMALL_STATE(4675)] = 45679,
  [SMALL_STATE(4676)] = 45739,
  [SMALL_STATE(4677)] = 45799,
  [SMALL_STATE(4678)] = 45859,
  [SMALL_STATE(4679)] = 45919,
  [SMALL_STATE(4680)] = 45979,
  [SMALL_STATE(4681)] = 46039,
  [SMALL_STATE(4682)] = 46099,
  [SMALL_STATE(4683)] = 46159,
  [SMALL_STATE(4684)] = 46219,
  [SMALL_STATE(4685)] = 46279,
  [SMALL_STATE(4686)] = 46339,
  [SMALL_STATE(4687)] = 46399,
  [SMALL_STATE(4688)] = 46459,
  [SMALL_STATE(4689)] = 46519,
  [SMALL_STATE(4690)] = 46579,
  [SMALL_STATE(4691)] = 46639,
  [SMALL_STATE(4692)] = 46699,
  [SMALL_STATE(4693)] = 46759,
  [SMALL_STATE(4694)] = 46819,
  [SMALL_STATE(4695)] = 46879,
  [SMALL_STATE(4696)] = 46939,
  [SMALL_STATE(4697)] = 46999,
  [SMALL_STATE(4698)] = 47059,
  [SMALL_STATE(4699)] = 47119,
  [SMALL_STATE(4700)] = 47179,
  [SMALL_STATE(4701)] = 47239,
  [SMALL_STATE(4702)] = 47299,
  [SMALL_STATE(4703)] = 47359,
  [SMALL_STATE(4704)] = 47419,
  [SMALL_STATE(4705)] = 47479,
  [SMALL_STATE(4706)] = 47539,
  [SMALL_STATE(4707)] = 47599,
  [SMALL_STATE(4708)] = 47659,
  [SMALL_STATE(4709)] = 47719,
  [SMALL_STATE(4710)] = 47779,
  [SMALL_STATE(4711)] = 47839,
  [SMALL_STATE(4712)] = 47899,
  [SMALL_STATE(4713)] = 47959,
  [SMALL_STATE(4714)] = 48019,
  [SMALL_STATE(4715)] = 48079,
  [SMALL_STATE(4716)] = 48179,
  [SMALL_STATE(4717)] = 48239,
  [SMALL_STATE(4718)] = 48299,
  [SMALL_STATE(4719)] = 48359,
  [SMALL_STATE(4720)] = 48419,
  [SMALL_STATE(4721)] = 48479,
  [SMALL_STATE(4722)] = 48539,
  [SMALL_STATE(4723)] = 48599,
  [SMALL_STATE(4724)] = 48659,
  [SMALL_STATE(4725)] = 48719,
  [SMALL_STATE(4726)] = 48779,
  [SMALL_STATE(4727)] = 48839,
  [SMALL_STATE(4728)] = 48899,
  [SMALL_STATE(4729)] = 48959,
  [SMALL_STATE(4730)] = 49019,
  [SMALL_STATE(4731)] = 49079,
  [SMALL_STATE(4732)] = 49139,
  [SMALL_STATE(4733)] = 49199,
  [SMALL_STATE(4734)] = 49259,
  [SMALL_STATE(4735)] = 49319,
  [SMALL_STATE(4736)] = 49379,
  [SMALL_STATE(4737)] = 49439,
  [SMALL_STATE(4738)] = 49501,
  [SMALL_STATE(4739)] = 49563,
  [SMALL_STATE(4740)] = 49623,
  [SMALL_STATE(4741)] = 49753,
  [SMALL_STATE(4742)] = 49813,
  [SMALL_STATE(4743)] = 49911,
  [SMALL_STATE(4744)] = 49971,
  [SMALL_STATE(4745)] = 50031,
  [SMALL_STATE(4746)] = 50131,
  [SMALL_STATE(4747)] = 50191,
  [SMALL_STATE(4748)] = 50251,
  [SMALL_STATE(4749)] = 50311,
  [SMALL_STATE(4750)] = 50385,
  [SMALL_STATE(4751)] = 50453,
  [SMALL_STATE(4752)] = 50521,
  [SMALL_STATE(4753)] = 50589,
  [SMALL_STATE(4754)] = 50649,
  [SMALL_STATE(4755)] = 50709,
  [SMALL_STATE(4756)] = 50769,
  [SMALL_STATE(4757)] = 50829,
  [SMALL_STATE(4758)] = 50889,
  [SMALL_STATE(4759)] = 50949,
  [SMALL_STATE(4760)] = 51009,
  [SMALL_STATE(4761)] = 51069,
  [SMALL_STATE(4762)] = 51129,
  [SMALL_STATE(4763)] = 51189,
  [SMALL_STATE(4764)] = 51289,
  [SMALL_STATE(4765)] = 51349,
  [SMALL_STATE(4766)] = 51409,
  [SMALL_STATE(4767)] = 51469,
  [SMALL_STATE(4768)] = 51529,
  [SMALL_STATE(4769)] = 51653,
  [SMALL_STATE(4770)] = 51745,
  [SMALL_STATE(4771)] = 51869,
  [SMALL_STATE(4772)] = 51981,
  [SMALL_STATE(4773)] = 52085,
  [SMALL_STATE(4774)] = 52179,
  [SMALL_STATE(4775)] = 52301,
  [SMALL_STATE(4776)] = 52421,
  [SMALL_STATE(4777)] = 52537,
  [SMALL_STATE(4778)] = 52639,
  [SMALL_STATE(4779)] = 52735,
  [SMALL_STATE(4780)] = 52835,
  [SMALL_STATE(4781)] = 52911,
  [SMALL_STATE(4782)] = 52987,
  [SMALL_STATE(4783)] = 53047,
  [SMALL_STATE(4784)] = 53111,
  [SMALL_STATE(4785)] = 53171,
  [SMALL_STATE(4786)] = 53241,
  [SMALL_STATE(4787)] = 53303,
  [SMALL_STATE(4788)] = 53365,
  [SMALL_STATE(4789)] = 53427,
  [SMALL_STATE(4790)] = 53527,
  [SMALL_STATE(4791)] = 53587,
  [SMALL_STATE(4792)] = 53647,
  [SMALL_STATE(4793)] = 53711,
  [SMALL_STATE(4794)] = 53775,
  [SMALL_STATE(4795)] = 53835,
  [SMALL_STATE(4796)] = 53897,
  [SMALL_STATE(4797)] = 53959,
  [SMALL_STATE(4798)] = 54023,
  [SMALL_STATE(4799)] = 54095,
  [SMALL_STATE(4800)] = 54159,
  [SMALL_STATE(4801)] = 54223,
  [SMALL_STATE(4802)] = 54283,
  [SMALL_STATE(4803)] = 54381,
  [SMALL_STATE(4804)] = 54455,
  [SMALL_STATE(4805)] = 54519,
  [SMALL_STATE(4806)] = 54579,
  [SMALL_STATE(4807)] = 54653,
  [SMALL_STATE(4808)] = 54727,
  [SMALL_STATE(4809)] = 54801,
  [SMALL_STATE(4810)] = 54899,
  [SMALL_STATE(4811)] = 54961,
  [SMALL_STATE(4812)] = 55021,
  [SMALL_STATE(4813)] = 55145,
  [SMALL_STATE(4814)] = 55209,
  [SMALL_STATE(4815)] = 55269,
  [SMALL_STATE(4816)] = 55333,
  [SMALL_STATE(4817)] = 55393,
  [SMALL_STATE(4818)] = 55457,
  [SMALL_STATE(4819)] = 55517,
  [SMALL_STATE(4820)] = 55581,
  [SMALL_STATE(4821)] = 55705,
  [SMALL_STATE(4822)] = 55829,
  [SMALL_STATE(4823)] = 55953,
  [SMALL_STATE(4824)] = 56077,
  [SMALL_STATE(4825)] = 56201,
  [SMALL_STATE(4826)] = 56329,
  [SMALL_STATE(4827)] = 56457,
  [SMALL_STATE(4828)] = 56585,
  [SMALL_STATE(4829)] = 56645,
  [SMALL_STATE(4830)] = 56705,
  [SMALL_STATE(4831)] = 56765,
  [SMALL_STATE(4832)] = 56825,
  [SMALL_STATE(4833)] = 56895,
  [SMALL_STATE(4834)] = 56955,
  [SMALL_STATE(4835)] = 57015,
  [SMALL_STATE(4836)] = 57075,
  [SMALL_STATE(4837)] = 57135,
  [SMALL_STATE(4838)] = 57195,
  [SMALL_STATE(4839)] = 57255,
  [SMALL_STATE(4840)] = 57315,
  [SMALL_STATE(4841)] = 57377,
  [SMALL_STATE(4842)] = 57437,
  [SMALL_STATE(4843)] = 57497,
  [SMALL_STATE(4844)] = 57557,
  [SMALL_STATE(4845)] = 57616,
  [SMALL_STATE(4846)] = 57679,
  [SMALL_STATE(4847)] = 57778,
  [SMALL_STATE(4848)] = 57837,
  [SMALL_STATE(4849)] = 57934,
  [SMALL_STATE(4850)] = 57997,
  [SMALL_STATE(4851)] = 58060,
  [SMALL_STATE(4852)] = 58119,
  [SMALL_STATE(4853)] = 58218,
  [SMALL_STATE(4854)] = 58281,
  [SMALL_STATE(4855)] = 58354,
  [SMALL_STATE(4856)] = 58451,
  [SMALL_STATE(4857)] = 58550,
  [SMALL_STATE(4858)] = 58649,
  [SMALL_STATE(4859)] = 58710,
  [SMALL_STATE(4860)] = 58783,
  [SMALL_STATE(4861)] = 58846,
  [SMALL_STATE(4862)] = 58917,
  [SMALL_STATE(4863)] = 58978,
  [SMALL_STATE(4864)] = 59077,
  [SMALL_STATE(4865)] = 59174,
  [SMALL_STATE(4866)] = 59233,
  [SMALL_STATE(4867)] = 59298,
  [SMALL_STATE(4868)] = 59357,
  [SMALL_STATE(4869)] = 59416,
  [SMALL_STATE(4870)] = 59479,
  [SMALL_STATE(4871)] = 59538,
  [SMALL_STATE(4872)] = 59603,
  [SMALL_STATE(4873)] = 59666,
  [SMALL_STATE(4874)] = 59763,
  [SMALL_STATE(4875)] = 59836,
  [SMALL_STATE(4876)] = 59935,
  [SMALL_STATE(4877)] = 59996,
  [SMALL_STATE(4878)] = 60057,
  [SMALL_STATE(4879)] = 60120,
  [SMALL_STATE(4880)] = 60179,
  [SMALL_STATE(4881)] = 60238,
  [SMALL_STATE(4882)] = 60301,
  [SMALL_STATE(4883)] = 60360,
  [SMALL_STATE(4884)] = 60423,
  [SMALL_STATE(4885)] = 60492,
  [SMALL_STATE(4886)] = 60591,
  [SMALL_STATE(4887)] = 60652,
  [SMALL_STATE(4888)] = 60711,
  [SMALL_STATE(4889)] = 60770,
  [SMALL_STATE(4890)] = 60829,
  [SMALL_STATE(4891)] = 60888,
  [SMALL_STATE(4892)] = 60951,
  [SMALL_STATE(4893)] = 61010,
  [SMALL_STATE(4894)] = 61109,
  [SMALL_STATE(4895)] = 61172,
  [SMALL_STATE(4896)] = 61233,
  [SMALL_STATE(4897)] = 61330,
  [SMALL_STATE(4898)] = 61389,
  [SMALL_STATE(4899)] = 61450,
  [SMALL_STATE(4900)] = 61549,
  [SMALL_STATE(4901)] = 61646,
  [SMALL_STATE(4902)] = 61709,
  [SMALL_STATE(4903)] = 61768,
  [SMALL_STATE(4904)] = 61827,
  [SMALL_STATE(4905)] = 61890,
  [SMALL_STATE(4906)] = 61949,
  [SMALL_STATE(4907)] = 62010,
  [SMALL_STATE(4908)] = 62069,
  [SMALL_STATE(4909)] = 62132,
  [SMALL_STATE(4910)] = 62191,
  [SMALL_STATE(4911)] = 62254,
  [SMALL_STATE(4912)] = 62313,
  [SMALL_STATE(4913)] = 62374,
  [SMALL_STATE(4914)] = 62433,
  [SMALL_STATE(4915)] = 62532,
  [SMALL_STATE(4916)] = 62657,
  [SMALL_STATE(4917)] = 62716,
  [SMALL_STATE(4918)] = 62785,
  [SMALL_STATE(4919)] = 62852,
  [SMALL_STATE(4920)] = 62919,
  [SMALL_STATE(4921)] = 62986,
  [SMALL_STATE(4922)] = 63047,
  [SMALL_STATE(4923)] = 63109,
  [SMALL_STATE(4924)] = 63169,
  [SMALL_STATE(4925)] = 63229,
  [SMALL_STATE(4926)] = 63287,
  [SMALL_STATE(4927)] = 63345,
  [SMALL_STATE(4928)] = 63403,
  [SMALL_STATE(4929)] = 63461,
  [SMALL_STATE(4930)] = 63563,
  [SMALL_STATE(4931)] = 63623,
  [SMALL_STATE(4932)] = 63681,
  [SMALL_STATE(4933)] = 63739,
  [SMALL_STATE(4934)] = 63801,
  [SMALL_STATE(4935)] = 63859,
  [SMALL_STATE(4936)] = 63955,
  [SMALL_STATE(4937)] = 64029,
  [SMALL_STATE(4938)] = 64153,
  [SMALL_STATE(4939)] = 64219,
  [SMALL_STATE(4940)] = 64277,
  [SMALL_STATE(4941)] = 64377,
  [SMALL_STATE(4942)] = 64435,
  [SMALL_STATE(4943)] = 64529,
  [SMALL_STATE(4944)] = 64595,
  [SMALL_STATE(4945)] = 64661,
  [SMALL_STATE(4946)] = 64719,
  [SMALL_STATE(4947)] = 64777,
  [SMALL_STATE(4948)] = 64837,
  [SMALL_STATE(4949)] = 64897,
  [SMALL_STATE(4950)] = 64955,
  [SMALL_STATE(4951)] = 65013,
  [SMALL_STATE(4952)] = 65073,
  [SMALL_STATE(4953)] = 65197,
  [SMALL_STATE(4954)] = 65255,
  [SMALL_STATE(4955)] = 65317,
  [SMALL_STATE(4956)] = 65407,
  [SMALL_STATE(4957)] = 65531,
  [SMALL_STATE(4958)] = 65595,
  [SMALL_STATE(4959)] = 65657,
  [SMALL_STATE(4960)] = 65761,
  [SMALL_STATE(4961)] = 65821,
  [SMALL_STATE(4962)] = 65881,
  [SMALL_STATE(4963)] = 65955,
  [SMALL_STATE(4964)] = 66021,
  [SMALL_STATE(4965)] = 66145,
  [SMALL_STATE(4966)] = 66211,
  [SMALL_STATE(4967)] = 66277,
  [SMALL_STATE(4968)] = 66339,
  [SMALL_STATE(4969)] = 66397,
  [SMALL_STATE(4970)] = 66455,
  [SMALL_STATE(4971)] = 66549,
  [SMALL_STATE(4972)] = 66609,
  [SMALL_STATE(4973)] = 66667,
  [SMALL_STATE(4974)] = 66791,
  [SMALL_STATE(4975)] = 66853,
  [SMALL_STATE(4976)] = 66947,
  [SMALL_STATE(4977)] = 67069,
  [SMALL_STATE(4978)] = 67131,
  [SMALL_STATE(4979)] = 67193,
  [SMALL_STATE(4980)] = 67253,
  [SMALL_STATE(4981)] = 67311,
  [SMALL_STATE(4982)] = 67435,
  [SMALL_STATE(4983)] = 67499,
  [SMALL_STATE(4984)] = 67561,
  [SMALL_STATE(4985)] = 67619,
  [SMALL_STATE(4986)] = 67681,
  [SMALL_STATE(4987)] = 67751,
  [SMALL_STATE(4988)] = 67845,
  [SMALL_STATE(4989)] = 67907,
  [SMALL_STATE(4990)] = 68001,
  [SMALL_STATE(4991)] = 68063,
  [SMALL_STATE(4992)] = 68121,
  [SMALL_STATE(4993)] = 68183,
  [SMALL_STATE(4994)] = 68243,
  [SMALL_STATE(4995)] = 68305,
  [SMALL_STATE(4996)] = 68367,
  [SMALL_STATE(4997)] = 68429,
  [SMALL_STATE(4998)] = 68487,
  [SMALL_STATE(4999)] = 68547,
  [SMALL_STATE(5000)] = 68605,
  [SMALL_STATE(5001)] = 68663,
  [SMALL_STATE(5002)] = 68721,
  [SMALL_STATE(5003)] = 68783,
  [SMALL_STATE(5004)] = 68895,
  [SMALL_STATE(5005)] = 68989,
  [SMALL_STATE(5006)] = 69047,
  [SMALL_STATE(5007)] = 69107,
  [SMALL_STATE(5008)] = 69231,
  [SMALL_STATE(5009)] = 69291,
  [SMALL_STATE(5010)] = 69349,
  [SMALL_STATE(5011)] = 69411,
  [SMALL_STATE(5012)] = 69473,
  [SMALL_STATE(5013)] = 69533,
  [SMALL_STATE(5014)] = 69595,
  [SMALL_STATE(5015)] = 69657,
  [SMALL_STATE(5016)] = 69717,
  [SMALL_STATE(5017)] = 69837,
  [SMALL_STATE(5018)] = 69899,
  [SMALL_STATE(5019)] = 69961,
  [SMALL_STATE(5020)] = 70085,
  [SMALL_STATE(5021)] = 70143,
  [SMALL_STATE(5022)] = 70259,
  [SMALL_STATE(5023)] = 70317,
  [SMALL_STATE(5024)] = 70379,
  [SMALL_STATE(5025)] = 70437,
  [SMALL_STATE(5026)] = 70561,
  [SMALL_STATE(5027)] = 70623,
  [SMALL_STATE(5028)] = 70680,
  [SMALL_STATE(5029)] = 70741,
  [SMALL_STATE(5030)] = 70802,
  [SMALL_STATE(5031)] = 70861,
  [SMALL_STATE(5032)] = 70918,
  [SMALL_STATE(5033)] = 70975,
  [SMALL_STATE(5034)] = 71034,
  [SMALL_STATE(5035)] = 71125,
  [SMALL_STATE(5036)] = 71216,
  [SMALL_STATE(5037)] = 71273,
  [SMALL_STATE(5038)] = 71364,
  [SMALL_STATE(5039)] = 71423,
  [SMALL_STATE(5040)] = 71514,
  [SMALL_STATE(5041)] = 71605,
  [SMALL_STATE(5042)] = 71676,
  [SMALL_STATE(5043)] = 71733,
  [SMALL_STATE(5044)] = 71790,
  [SMALL_STATE(5045)] = 71855,
  [SMALL_STATE(5046)] = 71912,
  [SMALL_STATE(5047)] = 72005,
  [SMALL_STATE(5048)] = 72062,
  [SMALL_STATE(5049)] = 72127,
  [SMALL_STATE(5050)] = 72184,
  [SMALL_STATE(5051)] = 72241,
  [SMALL_STATE(5052)] = 72298,
  [SMALL_STATE(5053)] = 72391,
  [SMALL_STATE(5054)] = 72482,
  [SMALL_STATE(5055)] = 72605,
  [SMALL_STATE(5056)] = 72696,
  [SMALL_STATE(5057)] = 72753,
  [SMALL_STATE(5058)] = 72846,
  [SMALL_STATE(5059)] = 72903,
  [SMALL_STATE(5060)] = 72960,
  [SMALL_STATE(5061)] = 73017,
  [SMALL_STATE(5062)] = 73074,
  [SMALL_STATE(5063)] = 73165,
  [SMALL_STATE(5064)] = 73288,
  [SMALL_STATE(5065)] = 73345,
  [SMALL_STATE(5066)] = 73402,
  [SMALL_STATE(5067)] = 73459,
  [SMALL_STATE(5068)] = 73516,
  [SMALL_STATE(5069)] = 73573,
  [SMALL_STATE(5070)] = 73630,
  [SMALL_STATE(5071)] = 73753,
  [SMALL_STATE(5072)] = 73876,
  [SMALL_STATE(5073)] = 73969,
  [SMALL_STATE(5074)] = 74026,
  [SMALL_STATE(5075)] = 74149,
  [SMALL_STATE(5076)] = 74206,
  [SMALL_STATE(5077)] = 74267,
  [SMALL_STATE(5078)] = 74324,
  [SMALL_STATE(5079)] = 74381,
  [SMALL_STATE(5080)] = 74440,
  [SMALL_STATE(5081)] = 74497,
  [SMALL_STATE(5082)] = 74554,
  [SMALL_STATE(5083)] = 74611,
  [SMALL_STATE(5084)] = 74704,
  [SMALL_STATE(5085)] = 74761,
  [SMALL_STATE(5086)] = 74818,
  [SMALL_STATE(5087)] = 74893,
  [SMALL_STATE(5088)] = 74950,
  [SMALL_STATE(5089)] = 75007,
  [SMALL_STATE(5090)] = 75064,
  [SMALL_STATE(5091)] = 75121,
  [SMALL_STATE(5092)] = 75178,
  [SMALL_STATE(5093)] = 75269,
  [SMALL_STATE(5094)] = 75334,
  [SMALL_STATE(5095)] = 75393,
  [SMALL_STATE(5096)] = 75450,
  [SMALL_STATE(5097)] = 75515,
  [SMALL_STATE(5098)] = 75608,
  [SMALL_STATE(5099)] = 75673,
  [SMALL_STATE(5100)] = 75730,
  [SMALL_STATE(5101)] = 75787,
  [SMALL_STATE(5102)] = 75844,
  [SMALL_STATE(5103)] = 75935,
  [SMALL_STATE(5104)] = 75992,
  [SMALL_STATE(5105)] = 76049,
  [SMALL_STATE(5106)] = 76122,
  [SMALL_STATE(5107)] = 76183,
  [SMALL_STATE(5108)] = 76258,
  [SMALL_STATE(5109)] = 76331,
  [SMALL_STATE(5110)] = 76388,
  [SMALL_STATE(5111)] = 76447,
  [SMALL_STATE(5112)] = 76570,
  [SMALL_STATE(5113)] = 76663,
  [SMALL_STATE(5114)] = 76722,
  [SMALL_STATE(5115)] = 76779,
  [SMALL_STATE(5116)] = 76836,
  [SMALL_STATE(5117)] = 76929,
  [SMALL_STATE(5118)] = 76986,
  [SMALL_STATE(5119)] = 77043,
  [SMALL_STATE(5120)] = 77100,
  [SMALL_STATE(5121)] = 77157,
  [SMALL_STATE(5122)] = 77248,
  [SMALL_STATE(5123)] = 77309,
  [SMALL_STATE(5124)] = 77368,
  [SMALL_STATE(5125)] = 77429,
  [SMALL_STATE(5126)] = 77490,
  [SMALL_STATE(5127)] = 77547,
  [SMALL_STATE(5128)] = 77608,
  [SMALL_STATE(5129)] = 77665,
  [SMALL_STATE(5130)] = 77722,
  [SMALL_STATE(5131)] = 77779,
  [SMALL_STATE(5132)] = 77836,
  [SMALL_STATE(5133)] = 77893,
  [SMALL_STATE(5134)] = 77950,
  [SMALL_STATE(5135)] = 78007,
  [SMALL_STATE(5136)] = 78064,
  [SMALL_STATE(5137)] = 78123,
  [SMALL_STATE(5138)] = 78180,
  [SMALL_STATE(5139)] = 78245,
  [SMALL_STATE(5140)] = 78316,
  [SMALL_STATE(5141)] = 78373,
  [SMALL_STATE(5142)] = 78430,
  [SMALL_STATE(5143)] = 78487,
  [SMALL_STATE(5144)] = 78610,
  [SMALL_STATE(5145)] = 78699,
  [SMALL_STATE(5146)] = 78756,
  [SMALL_STATE(5147)] = 78813,
  [SMALL_STATE(5148)] = 78936,
  [SMALL_STATE(5149)] = 78993,
  [SMALL_STATE(5150)] = 79058,
  [SMALL_STATE(5151)] = 79115,
  [SMALL_STATE(5152)] = 79172,
  [SMALL_STATE(5153)] = 79283,
  [SMALL_STATE(5154)] = 79340,
  [SMALL_STATE(5155)] = 79443,
  [SMALL_STATE(5156)] = 79500,
  [SMALL_STATE(5157)] = 79559,
  [SMALL_STATE(5158)] = 79652,
  [SMALL_STATE(5159)] = 79709,
  [SMALL_STATE(5160)] = 79770,
  [SMALL_STATE(5161)] = 79827,
  [SMALL_STATE(5162)] = 79888,
  [SMALL_STATE(5163)] = 79945,
  [SMALL_STATE(5164)] = 80066,
  [SMALL_STATE(5165)] = 80185,
  [SMALL_STATE(5166)] = 80246,
  [SMALL_STATE(5167)] = 80303,
  [SMALL_STATE(5168)] = 80418,
  [SMALL_STATE(5169)] = 80511,
  [SMALL_STATE(5170)] = 80568,
  [SMALL_STATE(5171)] = 80669,
  [SMALL_STATE(5172)] = 80726,
  [SMALL_STATE(5173)] = 80821,
  [SMALL_STATE(5174)] = 80882,
  [SMALL_STATE(5175)] = 80939,
  [SMALL_STATE(5176)] = 81038,
  [SMALL_STATE(5177)] = 81131,
  [SMALL_STATE(5178)] = 81188,
  [SMALL_STATE(5179)] = 81261,
  [SMALL_STATE(5180)] = 81334,
  [SMALL_STATE(5181)] = 81425,
  [SMALL_STATE(5182)] = 81482,
  [SMALL_STATE(5183)] = 81539,
  [SMALL_STATE(5184)] = 81596,
  [SMALL_STATE(5185)] = 81653,
  [SMALL_STATE(5186)] = 81709,
  [SMALL_STATE(5187)] = 81769,
  [SMALL_STATE(5188)] = 81891,
  [SMALL_STATE(5189)] = 81947,
  [SMALL_STATE(5190)] = 82003,
  [SMALL_STATE(5191)] = 82059,
  [SMALL_STATE(5192)] = 82115,
  [SMALL_STATE(5193)] = 82171,
  [SMALL_STATE(5194)] = 82227,
  [SMALL_STATE(5195)] = 82283,
  [SMALL_STATE(5196)] = 82359,
  [SMALL_STATE(5197)] = 82415,
  [SMALL_STATE(5198)] = 82471,
  [SMALL_STATE(5199)] = 82527,
  [SMALL_STATE(5200)] = 82583,
  [SMALL_STATE(5201)] = 82639,
  [SMALL_STATE(5202)] = 82695,
  [SMALL_STATE(5203)] = 82751,
  [SMALL_STATE(5204)] = 82807,
  [SMALL_STATE(5205)] = 82863,
  [SMALL_STATE(5206)] = 82919,
  [SMALL_STATE(5207)] = 82979,
  [SMALL_STATE(5208)] = 83035,
  [SMALL_STATE(5209)] = 83091,
  [SMALL_STATE(5210)] = 83147,
  [SMALL_STATE(5211)] = 83203,
  [SMALL_STATE(5212)] = 83259,
  [SMALL_STATE(5213)] = 83315,
  [SMALL_STATE(5214)] = 83437,
  [SMALL_STATE(5215)] = 83493,
  [SMALL_STATE(5216)] = 83615,
  [SMALL_STATE(5217)] = 83737,
  [SMALL_STATE(5218)] = 83859,
  [SMALL_STATE(5219)] = 83981,
  [SMALL_STATE(5220)] = 84037,
  [SMALL_STATE(5221)] = 84095,
  [SMALL_STATE(5222)] = 84151,
  [SMALL_STATE(5223)] = 84207,
  [SMALL_STATE(5224)] = 84263,
  [SMALL_STATE(5225)] = 84319,
  [SMALL_STATE(5226)] = 84375,
  [SMALL_STATE(5227)] = 84431,
  [SMALL_STATE(5228)] = 84487,
  [SMALL_STATE(5229)] = 84543,
  [SMALL_STATE(5230)] = 84599,
  [SMALL_STATE(5231)] = 84655,
  [SMALL_STATE(5232)] = 84711,
  [SMALL_STATE(5233)] = 84767,
  [SMALL_STATE(5234)] = 84823,
  [SMALL_STATE(5235)] = 84879,
  [SMALL_STATE(5236)] = 84935,
  [SMALL_STATE(5237)] = 84993,
  [SMALL_STATE(5238)] = 85063,
  [SMALL_STATE(5239)] = 85133,
  [SMALL_STATE(5240)] = 85197,
  [SMALL_STATE(5241)] = 85253,
  [SMALL_STATE(5242)] = 85309,
  [SMALL_STATE(5243)] = 85365,
  [SMALL_STATE(5244)] = 85421,
  [SMALL_STATE(5245)] = 85491,
  [SMALL_STATE(5246)] = 85547,
  [SMALL_STATE(5247)] = 85619,
  [SMALL_STATE(5248)] = 85683,
  [SMALL_STATE(5249)] = 85759,
  [SMALL_STATE(5250)] = 85823,
  [SMALL_STATE(5251)] = 85895,
  [SMALL_STATE(5252)] = 85955,
  [SMALL_STATE(5253)] = 86011,
  [SMALL_STATE(5254)] = 86067,
  [SMALL_STATE(5255)] = 86123,
  [SMALL_STATE(5256)] = 86179,
  [SMALL_STATE(5257)] = 86235,
  [SMALL_STATE(5258)] = 86307,
  [SMALL_STATE(5259)] = 86379,
  [SMALL_STATE(5260)] = 86439,
  [SMALL_STATE(5261)] = 86561,
  [SMALL_STATE(5262)] = 86683,
  [SMALL_STATE(5263)] = 86755,
  [SMALL_STATE(5264)] = 86877,
  [SMALL_STATE(5265)] = 86965,
  [SMALL_STATE(5266)] = 87021,
  [SMALL_STATE(5267)] = 87131,
  [SMALL_STATE(5268)] = 87233,
  [SMALL_STATE(5269)] = 87293,
  [SMALL_STATE(5270)] = 87353,
  [SMALL_STATE(5271)] = 87413,
  [SMALL_STATE(5272)] = 87505,
  [SMALL_STATE(5273)] = 87625,
  [SMALL_STATE(5274)] = 87743,
  [SMALL_STATE(5275)] = 87857,
  [SMALL_STATE(5276)] = 87957,
  [SMALL_STATE(5277)] = 88051,
  [SMALL_STATE(5278)] = 88149,
  [SMALL_STATE(5279)] = 88271,
  [SMALL_STATE(5280)] = 88343,
  [SMALL_STATE(5281)] = 88465,
  [SMALL_STATE(5282)] = 88587,
  [SMALL_STATE(5283)] = 88709,
  [SMALL_STATE(5284)] = 88765,
  [SMALL_STATE(5285)] = 88823,
  [SMALL_STATE(5286)] = 88883,
  [SMALL_STATE(5287)] = 88939,
  [SMALL_STATE(5288)] = 88999,
  [SMALL_STATE(5289)] = 89121,
  [SMALL_STATE(5290)] = 89181,
  [SMALL_STATE(5291)] = 89237,
  [SMALL_STATE(5292)] = 89293,
  [SMALL_STATE(5293)] = 89349,
  [SMALL_STATE(5294)] = 89471,
  [SMALL_STATE(5295)] = 89559,
  [SMALL_STATE(5296)] = 89681,
  [SMALL_STATE(5297)] = 89737,
  [SMALL_STATE(5298)] = 89847,
  [SMALL_STATE(5299)] = 89949,
  [SMALL_STATE(5300)] = 90041,
  [SMALL_STATE(5301)] = 90161,
  [SMALL_STATE(5302)] = 90279,
  [SMALL_STATE(5303)] = 90339,
  [SMALL_STATE(5304)] = 90395,
  [SMALL_STATE(5305)] = 90509,
  [SMALL_STATE(5306)] = 90609,
  [SMALL_STATE(5307)] = 90703,
  [SMALL_STATE(5308)] = 90801,
  [SMALL_STATE(5309)] = 90857,
  [SMALL_STATE(5310)] = 90913,
  [SMALL_STATE(5311)] = 90969,
  [SMALL_STATE(5312)] = 91027,
  [SMALL_STATE(5313)] = 91087,
  [SMALL_STATE(5314)] = 91143,
  [SMALL_STATE(5315)] = 91203,
  [SMALL_STATE(5316)] = 91259,
  [SMALL_STATE(5317)] = 91319,
  [SMALL_STATE(5318)] = 91379,
  [SMALL_STATE(5319)] = 91435,
  [SMALL_STATE(5320)] = 91491,
  [SMALL_STATE(5321)] = 91561,
  [SMALL_STATE(5322)] = 91617,
  [SMALL_STATE(5323)] = 91673,
  [SMALL_STATE(5324)] = 91733,
  [SMALL_STATE(5325)] = 91791,
  [SMALL_STATE(5326)] = 91879,
  [SMALL_STATE(5327)] = 91980,
  [SMALL_STATE(5328)] = 92043,
  [SMALL_STATE(5329)] = 92106,
  [SMALL_STATE(5330)] = 92191,
  [SMALL_STATE(5331)] = 92276,
  [SMALL_STATE(5332)] = 92347,
  [SMALL_STATE(5333)] = 92416,
  [SMALL_STATE(5334)] = 92485,
  [SMALL_STATE(5335)] = 92544,
  [SMALL_STATE(5336)] = 92629,
  [SMALL_STATE(5337)] = 92698,
  [SMALL_STATE(5338)] = 92769,
  [SMALL_STATE(5339)] = 92854,
  [SMALL_STATE(5340)] = 92975,
  [SMALL_STATE(5341)] = 93060,
  [SMALL_STATE(5342)] = 93181,
  [SMALL_STATE(5343)] = 93302,
  [SMALL_STATE(5344)] = 93423,
  [SMALL_STATE(5345)] = 93544,
  [SMALL_STATE(5346)] = 93665,
  [SMALL_STATE(5347)] = 93786,
  [SMALL_STATE(5348)] = 93873,
  [SMALL_STATE(5349)] = 93994,
  [SMALL_STATE(5350)] = 94115,
  [SMALL_STATE(5351)] = 94202,
  [SMALL_STATE(5352)] = 94311,
  [SMALL_STATE(5353)] = 94420,
  [SMALL_STATE(5354)] = 94541,
  [SMALL_STATE(5355)] = 94610,
  [SMALL_STATE(5356)] = 94711,
  [SMALL_STATE(5357)] = 94802,
  [SMALL_STATE(5358)] = 94921,
  [SMALL_STATE(5359)] = 95038,
  [SMALL_STATE(5360)] = 95095,
  [SMALL_STATE(5361)] = 95154,
  [SMALL_STATE(5362)] = 95275,
  [SMALL_STATE(5363)] = 95344,
  [SMALL_STATE(5364)] = 95465,
  [SMALL_STATE(5365)] = 95586,
  [SMALL_STATE(5366)] = 95707,
  [SMALL_STATE(5367)] = 95828,
  [SMALL_STATE(5368)] = 95947,
  [SMALL_STATE(5369)] = 96060,
  [SMALL_STATE(5370)] = 96159,
  [SMALL_STATE(5371)] = 96252,
  [SMALL_STATE(5372)] = 96349,
  [SMALL_STATE(5373)] = 96466,
  [SMALL_STATE(5374)] = 96551,
  [SMALL_STATE(5375)] = 96620,
  [SMALL_STATE(5376)] = 96741,
  [SMALL_STATE(5377)] = 96854,
  [SMALL_STATE(5378)] = 96953,
  [SMALL_STATE(5379)] = 97046,
  [SMALL_STATE(5380)] = 97143,
  [SMALL_STATE(5381)] = 97200,
  [SMALL_STATE(5382)] = 97263,
  [SMALL_STATE(5383)] = 97354,
  [SMALL_STATE(5384)] = 97476,
  [SMALL_STATE(5385)] = 97594,
  [SMALL_STATE(5386)] = 97678,
  [SMALL_STATE(5387)] = 97794,
  [SMALL_STATE(5388)] = 97916,
  [SMALL_STATE(5389)] = 98028,
  [SMALL_STATE(5390)] = 98102,
  [SMALL_STATE(5391)] = 98200,
  [SMALL_STATE(5392)] = 98292,
  [SMALL_STATE(5393)] = 98412,
  [SMALL_STATE(5394)] = 98508,
  [SMALL_STATE(5395)] = 98628,
  [SMALL_STATE(5396)] = 98750,
  [SMALL_STATE(5397)] = 98872,
  [SMALL_STATE(5398)] = 98928,
  [SMALL_STATE(5399)] = 98986,
  [SMALL_STATE(5400)] = 99048,
  [SMALL_STATE(5401)] = 99170,
  [SMALL_STATE(5402)] = 99292,
  [SMALL_STATE(5403)] = 99412,
  [SMALL_STATE(5404)] = 99534,
  [SMALL_STATE(5405)] = 99596,
  [SMALL_STATE(5406)] = 99664,
  [SMALL_STATE(5407)] = 99786,
  [SMALL_STATE(5408)] = 99848,
  [SMALL_STATE(5409)] = 99968,
  [SMALL_STATE(5410)] = 100052,
  [SMALL_STATE(5411)] = 100174,
  [SMALL_STATE(5412)] = 100296,
  [SMALL_STATE(5413)] = 100418,
  [SMALL_STATE(5414)] = 100540,
  [SMALL_STATE(5415)] = 100604,
  [SMALL_STATE(5416)] = 100688,
  [SMALL_STATE(5417)] = 100810,
  [SMALL_STATE(5418)] = 100932,
  [SMALL_STATE(5419)] = 101016,
  [SMALL_STATE(5420)] = 101138,
  [SMALL_STATE(5421)] = 101260,
  [SMALL_STATE(5422)] = 101342,
  [SMALL_STATE(5423)] = 101426,
  [SMALL_STATE(5424)] = 101548,
  [SMALL_STATE(5425)] = 101670,
  [SMALL_STATE(5426)] = 101792,
  [SMALL_STATE(5427)] = 101846,
  [SMALL_STATE(5428)] = 101968,
  [SMALL_STATE(5429)] = 102090,
  [SMALL_STATE(5430)] = 102174,
  [SMALL_STATE(5431)] = 102296,
  [SMALL_STATE(5432)] = 102418,
  [SMALL_STATE(5433)] = 102540,
  [SMALL_STATE(5434)] = 102662,
  [SMALL_STATE(5435)] = 102784,
  [SMALL_STATE(5436)] = 102868,
  [SMALL_STATE(5437)] = 102950,
  [SMALL_STATE(5438)] = 103004,
  [SMALL_STATE(5439)] = 103126,
  [SMALL_STATE(5440)] = 103248,
  [SMALL_STATE(5441)] = 103302,
  [SMALL_STATE(5442)] = 103422,
  [SMALL_STATE(5443)] = 103476,
  [SMALL_STATE(5444)] = 103550,
  [SMALL_STATE(5445)] = 103672,
  [SMALL_STATE(5446)] = 103794,
  [SMALL_STATE(5447)] = 103884,
  [SMALL_STATE(5448)] = 104006,
  [SMALL_STATE(5449)] = 104128,
  [SMALL_STATE(5450)] = 104212,
  [SMALL_STATE(5451)] = 104266,
  [SMALL_STATE(5452)] = 104348,
  [SMALL_STATE(5453)] = 104470,
  [SMALL_STATE(5454)] = 104590,
  [SMALL_STATE(5455)] = 104712,
  [SMALL_STATE(5456)] = 104834,
  [SMALL_STATE(5457)] = 104888,
  [SMALL_STATE(5458)] = 105010,
  [SMALL_STATE(5459)] = 105132,
  [SMALL_STATE(5460)] = 105186,
  [SMALL_STATE(5461)] = 105308,
  [SMALL_STATE(5462)] = 105390,
  [SMALL_STATE(5463)] = 105512,
  [SMALL_STATE(5464)] = 105634,
  [SMALL_STATE(5465)] = 105756,
  [SMALL_STATE(5466)] = 105838,
  [SMALL_STATE(5467)] = 105960,
  [SMALL_STATE(5468)] = 106082,
  [SMALL_STATE(5469)] = 106204,
  [SMALL_STATE(5470)] = 106326,
  [SMALL_STATE(5471)] = 106380,
  [SMALL_STATE(5472)] = 106462,
  [SMALL_STATE(5473)] = 106582,
  [SMALL_STATE(5474)] = 106704,
  [SMALL_STATE(5475)] = 106788,
  [SMALL_STATE(5476)] = 106842,
  [SMALL_STATE(5477)] = 106964,
  [SMALL_STATE(5478)] = 107086,
  [SMALL_STATE(5479)] = 107170,
  [SMALL_STATE(5480)] = 107292,
  [SMALL_STATE(5481)] = 107376,
  [SMALL_STATE(5482)] = 107498,
  [SMALL_STATE(5483)] = 107552,
  [SMALL_STATE(5484)] = 107674,
  [SMALL_STATE(5485)] = 107760,
  [SMALL_STATE(5486)] = 107882,
  [SMALL_STATE(5487)] = 108004,
  [SMALL_STATE(5488)] = 108126,
  [SMALL_STATE(5489)] = 108248,
  [SMALL_STATE(5490)] = 108368,
  [SMALL_STATE(5491)] = 108490,
  [SMALL_STATE(5492)] = 108612,
  [SMALL_STATE(5493)] = 108694,
  [SMALL_STATE(5494)] = 108816,
  [SMALL_STATE(5495)] = 108870,
  [SMALL_STATE(5496)] = 108952,
  [SMALL_STATE(5497)] = 109074,
  [SMALL_STATE(5498)] = 109174,
  [SMALL_STATE(5499)] = 109296,
  [SMALL_STATE(5500)] = 109350,
  [SMALL_STATE(5501)] = 109434,
  [SMALL_STATE(5502)] = 109556,
  [SMALL_STATE(5503)] = 109678,
  [SMALL_STATE(5504)] = 109800,
  [SMALL_STATE(5505)] = 109908,
  [SMALL_STATE(5506)] = 110030,
  [SMALL_STATE(5507)] = 110098,
  [SMALL_STATE(5508)] = 110153,
  [SMALL_STATE(5509)] = 110270,
  [SMALL_STATE(5510)] = 110351,
  [SMALL_STATE(5511)] = 110412,
  [SMALL_STATE(5512)] = 110493,
  [SMALL_STATE(5513)] = 110554,
  [SMALL_STATE(5514)] = 110635,
  [SMALL_STATE(5515)] = 110698,
  [SMALL_STATE(5516)] = 110815,
  [SMALL_STATE(5517)] = 110932,
  [SMALL_STATE(5518)] = 111013,
  [SMALL_STATE(5519)] = 111130,
  [SMALL_STATE(5520)] = 111211,
  [SMALL_STATE(5521)] = 111292,
  [SMALL_STATE(5522)] = 111373,
  [SMALL_STATE(5523)] = 111434,
  [SMALL_STATE(5524)] = 111495,
  [SMALL_STATE(5525)] = 111576,
  [SMALL_STATE(5526)] = 111693,
  [SMALL_STATE(5527)] = 111750,
  [SMALL_STATE(5528)] = 111867,
  [SMALL_STATE(5529)] = 111922,
  [SMALL_STATE(5530)] = 111985,
  [SMALL_STATE(5531)] = 112056,
  [SMALL_STATE(5532)] = 112137,
  [SMALL_STATE(5533)] = 112254,
  [SMALL_STATE(5534)] = 112335,
  [SMALL_STATE(5535)] = 112452,
  [SMALL_STATE(5536)] = 112507,
  [SMALL_STATE(5537)] = 112624,
  [SMALL_STATE(5538)] = 112741,
  [SMALL_STATE(5539)] = 112822,
  [SMALL_STATE(5540)] = 112903,
  [SMALL_STATE(5541)] = 113020,
  [SMALL_STATE(5542)] = 113101,
  [SMALL_STATE(5543)] = 113182,
  [SMALL_STATE(5544)] = 113237,
  [SMALL_STATE(5545)] = 113318,
  [SMALL_STATE(5546)] = 113435,
  [SMALL_STATE(5547)] = 113506,
  [SMALL_STATE(5548)] = 113587,
  [SMALL_STATE(5549)] = 113648,
  [SMALL_STATE(5550)] = 113701,
  [SMALL_STATE(5551)] = 113756,
  [SMALL_STATE(5552)] = 113817,
  [SMALL_STATE(5553)] = 113933,
  [SMALL_STATE(5554)] = 114049,
  [SMALL_STATE(5555)] = 114165,
  [SMALL_STATE(5556)] = 114219,
  [SMALL_STATE(5557)] = 114335,
  [SMALL_STATE(5558)] = 114451,
  [SMALL_STATE(5559)] = 114567,
  [SMALL_STATE(5560)] = 114683,
  [SMALL_STATE(5561)] = 114799,
  [SMALL_STATE(5562)] = 114915,
  [SMALL_STATE(5563)] = 115031,
  [SMALL_STATE(5564)] = 115147,
  [SMALL_STATE(5565)] = 115223,
  [SMALL_STATE(5566)] = 115339,
  [SMALL_STATE(5567)] = 115455,
  [SMALL_STATE(5568)] = 115571,
  [SMALL_STATE(5569)] = 115687,
  [SMALL_STATE(5570)] = 115763,
  [SMALL_STATE(5571)] = 115839,
  [SMALL_STATE(5572)] = 115955,
  [SMALL_STATE(5573)] = 116071,
  [SMALL_STATE(5574)] = 116187,
  [SMALL_STATE(5575)] = 116265,
  [SMALL_STATE(5576)] = 116381,
  [SMALL_STATE(5577)] = 116459,
  [SMALL_STATE(5578)] = 116513,
  [SMALL_STATE(5579)] = 116591,
  [SMALL_STATE(5580)] = 116707,
  [SMALL_STATE(5581)] = 116759,
  [SMALL_STATE(5582)] = 116875,
  [SMALL_STATE(5583)] = 116991,
  [SMALL_STATE(5584)] = 117107,
  [SMALL_STATE(5585)] = 117223,
  [SMALL_STATE(5586)] = 117339,
  [SMALL_STATE(5587)] = 117455,
  [SMALL_STATE(5588)] = 117571,
  [SMALL_STATE(5589)] = 117687,
  [SMALL_STATE(5590)] = 117803,
  [SMALL_STATE(5591)] = 117919,
  [SMALL_STATE(5592)] = 118035,
  [SMALL_STATE(5593)] = 118151,
  [SMALL_STATE(5594)] = 118267,
  [SMALL_STATE(5595)] = 118383,
  [SMALL_STATE(5596)] = 118439,
  [SMALL_STATE(5597)] = 118555,
  [SMALL_STATE(5598)] = 118631,
  [SMALL_STATE(5599)] = 118707,
  [SMALL_STATE(5600)] = 118783,
  [SMALL_STATE(5601)] = 118899,
  [SMALL_STATE(5602)] = 118955,
  [SMALL_STATE(5603)] = 119071,
  [SMALL_STATE(5604)] = 119187,
  [SMALL_STATE(5605)] = 119303,
  [SMALL_STATE(5606)] = 119357,
  [SMALL_STATE(5607)] = 119411,
  [SMALL_STATE(5608)] = 119527,
  [SMALL_STATE(5609)] = 119643,
  [SMALL_STATE(5610)] = 119759,
  [SMALL_STATE(5611)] = 119819,
  [SMALL_STATE(5612)] = 119935,
  [SMALL_STATE(5613)] = 120051,
  [SMALL_STATE(5614)] = 120127,
  [SMALL_STATE(5615)] = 120187,
  [SMALL_STATE(5616)] = 120263,
  [SMALL_STATE(5617)] = 120319,
  [SMALL_STATE(5618)] = 120379,
  [SMALL_STATE(5619)] = 120495,
  [SMALL_STATE(5620)] = 120551,
  [SMALL_STATE(5621)] = 120667,
  [SMALL_STATE(5622)] = 120783,
  [SMALL_STATE(5623)] = 120837,
  [SMALL_STATE(5624)] = 120913,
  [SMALL_STATE(5625)] = 121029,
  [SMALL_STATE(5626)] = 121145,
  [SMALL_STATE(5627)] = 121261,
  [SMALL_STATE(5628)] = 121377,
  [SMALL_STATE(5629)] = 121453,
  [SMALL_STATE(5630)] = 121529,
  [SMALL_STATE(5631)] = 121605,
  [SMALL_STATE(5632)] = 121721,
  [SMALL_STATE(5633)] = 121837,
  [SMALL_STATE(5634)] = 121893,
  [SMALL_STATE(5635)] = 121951,
  [SMALL_STATE(5636)] = 122067,
  [SMALL_STATE(5637)] = 122183,
  [SMALL_STATE(5638)] = 122243,
  [SMALL_STATE(5639)] = 122319,
  [SMALL_STATE(5640)] = 122375,
  [SMALL_STATE(5641)] = 122453,
  [SMALL_STATE(5642)] = 122569,
  [SMALL_STATE(5643)] = 122685,
  [SMALL_STATE(5644)] = 122801,
  [SMALL_STATE(5645)] = 122917,
  [SMALL_STATE(5646)] = 123033,
  [SMALL_STATE(5647)] = 123093,
  [SMALL_STATE(5648)] = 123209,
  [SMALL_STATE(5649)] = 123325,
  [SMALL_STATE(5650)] = 123385,
  [SMALL_STATE(5651)] = 123501,
  [SMALL_STATE(5652)] = 123617,
  [SMALL_STATE(5653)] = 123733,
  [SMALL_STATE(5654)] = 123849,
  [SMALL_STATE(5655)] = 123925,
  [SMALL_STATE(5656)] = 124041,
  [SMALL_STATE(5657)] = 124157,
  [SMALL_STATE(5658)] = 124273,
  [SMALL_STATE(5659)] = 124389,
  [SMALL_STATE(5660)] = 124505,
  [SMALL_STATE(5661)] = 124621,
  [SMALL_STATE(5662)] = 124737,
  [SMALL_STATE(5663)] = 124793,
  [SMALL_STATE(5664)] = 124909,
  [SMALL_STATE(5665)] = 125025,
  [SMALL_STATE(5666)] = 125141,
  [SMALL_STATE(5667)] = 125257,
  [SMALL_STATE(5668)] = 125373,
  [SMALL_STATE(5669)] = 125489,
  [SMALL_STATE(5670)] = 125605,
  [SMALL_STATE(5671)] = 125681,
  [SMALL_STATE(5672)] = 125757,
  [SMALL_STATE(5673)] = 125835,
  [SMALL_STATE(5674)] = 125951,
  [SMALL_STATE(5675)] = 126067,
  [SMALL_STATE(5676)] = 126183,
  [SMALL_STATE(5677)] = 126299,
  [SMALL_STATE(5678)] = 126415,
  [SMALL_STATE(5679)] = 126531,
  [SMALL_STATE(5680)] = 126647,
  [SMALL_STATE(5681)] = 126763,
  [SMALL_STATE(5682)] = 126821,
  [SMALL_STATE(5683)] = 126937,
  [SMALL_STATE(5684)] = 127053,
  [SMALL_STATE(5685)] = 127131,
  [SMALL_STATE(5686)] = 127247,
  [SMALL_STATE(5687)] = 127363,
  [SMALL_STATE(5688)] = 127479,
  [SMALL_STATE(5689)] = 127595,
  [SMALL_STATE(5690)] = 127711,
  [SMALL_STATE(5691)] = 127827,
  [SMALL_STATE(5692)] = 127943,
  [SMALL_STATE(5693)] = 128059,
  [SMALL_STATE(5694)] = 128137,
  [SMALL_STATE(5695)] = 128253,
  [SMALL_STATE(5696)] = 128369,
  [SMALL_STATE(5697)] = 128485,
  [SMALL_STATE(5698)] = 128601,
  [SMALL_STATE(5699)] = 128717,
  [SMALL_STATE(5700)] = 128833,
  [SMALL_STATE(5701)] = 128949,
  [SMALL_STATE(5702)] = 129065,
  [SMALL_STATE(5703)] = 129181,
  [SMALL_STATE(5704)] = 129235,
  [SMALL_STATE(5705)] = 129351,
  [SMALL_STATE(5706)] = 129405,
  [SMALL_STATE(5707)] = 129521,
  [SMALL_STATE(5708)] = 129597,
  [SMALL_STATE(5709)] = 129713,
  [SMALL_STATE(5710)] = 129789,
  [SMALL_STATE(5711)] = 129905,
  [SMALL_STATE(5712)] = 130021,
  [SMALL_STATE(5713)] = 130073,
  [SMALL_STATE(5714)] = 130189,
  [SMALL_STATE(5715)] = 130305,
  [SMALL_STATE(5716)] = 130421,
  [SMALL_STATE(5717)] = 130537,
  [SMALL_STATE(5718)] = 130653,
  [SMALL_STATE(5719)] = 130769,
  [SMALL_STATE(5720)] = 130885,
  [SMALL_STATE(5721)] = 131001,
  [SMALL_STATE(5722)] = 131079,
  [SMALL_STATE(5723)] = 131195,
  [SMALL_STATE(5724)] = 131311,
  [SMALL_STATE(5725)] = 131427,
  [SMALL_STATE(5726)] = 131543,
  [SMALL_STATE(5727)] = 131596,
  [SMALL_STATE(5728)] = 131671,
  [SMALL_STATE(5729)] = 131784,
  [SMALL_STATE(5730)] = 131897,
  [SMALL_STATE(5731)] = 131952,
  [SMALL_STATE(5732)] = 132005,
  [SMALL_STATE(5733)] = 132060,
  [SMALL_STATE(5734)] = 132135,
  [SMALL_STATE(5735)] = 132210,
  [SMALL_STATE(5736)] = 132285,
  [SMALL_STATE(5737)] = 132360,
  [SMALL_STATE(5738)] = 132435,
  [SMALL_STATE(5739)] = 132510,
  [SMALL_STATE(5740)] = 132585,
  [SMALL_STATE(5741)] = 132660,
  [SMALL_STATE(5742)] = 132735,
  [SMALL_STATE(5743)] = 132798,
  [SMALL_STATE(5744)] = 132873,
  [SMALL_STATE(5745)] = 132948,
  [SMALL_STATE(5746)] = 133023,
  [SMALL_STATE(5747)] = 133098,
  [SMALL_STATE(5748)] = 133173,
  [SMALL_STATE(5749)] = 133248,
  [SMALL_STATE(5750)] = 133323,
  [SMALL_STATE(5751)] = 133398,
  [SMALL_STATE(5752)] = 133473,
  [SMALL_STATE(5753)] = 133586,
  [SMALL_STATE(5754)] = 133637,
  [SMALL_STATE(5755)] = 133696,
  [SMALL_STATE(5756)] = 133761,
  [SMALL_STATE(5757)] = 133812,
  [SMALL_STATE(5758)] = 133871,
  [SMALL_STATE(5759)] = 133920,
  [SMALL_STATE(5760)] = 133975,
  [SMALL_STATE(5761)] = 134026,
  [SMALL_STATE(5762)] = 134077,
  [SMALL_STATE(5763)] = 134152,
  [SMALL_STATE(5764)] = 134227,
  [SMALL_STATE(5765)] = 134284,
  [SMALL_STATE(5766)] = 134359,
  [SMALL_STATE(5767)] = 134434,
  [SMALL_STATE(5768)] = 134509,
  [SMALL_STATE(5769)] = 134584,
  [SMALL_STATE(5770)] = 134635,
  [SMALL_STATE(5771)] = 134690,
  [SMALL_STATE(5772)] = 134743,
  [SMALL_STATE(5773)] = 134818,
  [SMALL_STATE(5774)] = 134883,
  [SMALL_STATE(5775)] = 134940,
  [SMALL_STATE(5776)] = 135015,
  [SMALL_STATE(5777)] = 135090,
  [SMALL_STATE(5778)] = 135165,
  [SMALL_STATE(5779)] = 135216,
  [SMALL_STATE(5780)] = 135275,
  [SMALL_STATE(5781)] = 135334,
  [SMALL_STATE(5782)] = 135409,
  [SMALL_STATE(5783)] = 135460,
  [SMALL_STATE(5784)] = 135509,
  [SMALL_STATE(5785)] = 135584,
  [SMALL_STATE(5786)] = 135639,
  [SMALL_STATE(5787)] = 135692,
  [SMALL_STATE(5788)] = 135745,
  [SMALL_STATE(5789)] = 135858,
  [SMALL_STATE(5790)] = 135911,
  [SMALL_STATE(5791)] = 135986,
  [SMALL_STATE(5792)] = 136061,
  [SMALL_STATE(5793)] = 136136,
  [SMALL_STATE(5794)] = 136211,
  [SMALL_STATE(5795)] = 136286,
  [SMALL_STATE(5796)] = 136341,
  [SMALL_STATE(5797)] = 136394,
  [SMALL_STATE(5798)] = 136446,
  [SMALL_STATE(5799)] = 136498,
  [SMALL_STATE(5800)] = 136550,
  [SMALL_STATE(5801)] = 136600,
  [SMALL_STATE(5802)] = 136652,
  [SMALL_STATE(5803)] = 136704,
  [SMALL_STATE(5804)] = 136756,
  [SMALL_STATE(5805)] = 136828,
  [SMALL_STATE(5806)] = 136878,
  [SMALL_STATE(5807)] = 136932,
  [SMALL_STATE(5808)] = 136984,
  [SMALL_STATE(5809)] = 137034,
  [SMALL_STATE(5810)] = 137088,
  [SMALL_STATE(5811)] = 137140,
  [SMALL_STATE(5812)] = 137190,
  [SMALL_STATE(5813)] = 137240,
  [SMALL_STATE(5814)] = 137288,
  [SMALL_STATE(5815)] = 137340,
  [SMALL_STATE(5816)] = 137392,
  [SMALL_STATE(5817)] = 137446,
  [SMALL_STATE(5818)] = 137500,
  [SMALL_STATE(5819)] = 137550,
  [SMALL_STATE(5820)] = 137602,
  [SMALL_STATE(5821)] = 137652,
  [SMALL_STATE(5822)] = 137710,
  [SMALL_STATE(5823)] = 137760,
  [SMALL_STATE(5824)] = 137812,
  [SMALL_STATE(5825)] = 137864,
  [SMALL_STATE(5826)] = 137952,
  [SMALL_STATE(5827)] = 138004,
  [SMALL_STATE(5828)] = 138056,
  [SMALL_STATE(5829)] = 138108,
  [SMALL_STATE(5830)] = 138164,
  [SMALL_STATE(5831)] = 138216,
  [SMALL_STATE(5832)] = 138270,
  [SMALL_STATE(5833)] = 138320,
  [SMALL_STATE(5834)] = 138370,
  [SMALL_STATE(5835)] = 138422,
  [SMALL_STATE(5836)] = 138476,
  [SMALL_STATE(5837)] = 138530,
  [SMALL_STATE(5838)] = 138584,
  [SMALL_STATE(5839)] = 138634,
  [SMALL_STATE(5840)] = 138688,
  [SMALL_STATE(5841)] = 138742,
  [SMALL_STATE(5842)] = 138796,
  [SMALL_STATE(5843)] = 138848,
  [SMALL_STATE(5844)] = 138902,
  [SMALL_STATE(5845)] = 138952,
  [SMALL_STATE(5846)] = 139002,
  [SMALL_STATE(5847)] = 139049,
  [SMALL_STATE(5848)] = 139134,
  [SMALL_STATE(5849)] = 139219,
  [SMALL_STATE(5850)] = 139272,
  [SMALL_STATE(5851)] = 139319,
  [SMALL_STATE(5852)] = 139372,
  [SMALL_STATE(5853)] = 139421,
  [SMALL_STATE(5854)] = 139470,
  [SMALL_STATE(5855)] = 139523,
  [SMALL_STATE(5856)] = 139576,
  [SMALL_STATE(5857)] = 139661,
  [SMALL_STATE(5858)] = 139712,
  [SMALL_STATE(5859)] = 139759,
  [SMALL_STATE(5860)] = 139844,
  [SMALL_STATE(5861)] = 139929,
  [SMALL_STATE(5862)] = 139978,
  [SMALL_STATE(5863)] = 140031,
  [SMALL_STATE(5864)] = 140116,
  [SMALL_STATE(5865)] = 140163,
  [SMALL_STATE(5866)] = 140248,
  [SMALL_STATE(5867)] = 140301,
  [SMALL_STATE(5868)] = 140386,
  [SMALL_STATE(5869)] = 140453,
  [SMALL_STATE(5870)] = 140500,
  [SMALL_STATE(5871)] = 140551,
  [SMALL_STATE(5872)] = 140604,
  [SMALL_STATE(5873)] = 140651,
  [SMALL_STATE(5874)] = 140702,
  [SMALL_STATE(5875)] = 140751,
  [SMALL_STATE(5876)] = 140836,
  [SMALL_STATE(5877)] = 140883,
  [SMALL_STATE(5878)] = 140968,
  [SMALL_STATE(5879)] = 141021,
  [SMALL_STATE(5880)] = 141070,
  [SMALL_STATE(5881)] = 141119,
  [SMALL_STATE(5882)] = 141168,
  [SMALL_STATE(5883)] = 141219,
  [SMALL_STATE(5884)] = 141268,
  [SMALL_STATE(5885)] = 141353,
  [SMALL_STATE(5886)] = 141406,
  [SMALL_STATE(5887)] = 141459,
  [SMALL_STATE(5888)] = 141510,
  [SMALL_STATE(5889)] = 141559,
  [SMALL_STATE(5890)] = 141644,
  [SMALL_STATE(5891)] = 141695,
  [SMALL_STATE(5892)] = 141780,
  [SMALL_STATE(5893)] = 141865,
  [SMALL_STATE(5894)] = 141920,
  [SMALL_STATE(5895)] = 141987,
  [SMALL_STATE(5896)] = 142072,
  [SMALL_STATE(5897)] = 142125,
  [SMALL_STATE(5898)] = 142176,
  [SMALL_STATE(5899)] = 142223,
  [SMALL_STATE(5900)] = 142278,
  [SMALL_STATE(5901)] = 142333,
  [SMALL_STATE(5902)] = 142384,
  [SMALL_STATE(5903)] = 142433,
  [SMALL_STATE(5904)] = 142482,
  [SMALL_STATE(5905)] = 142533,
  [SMALL_STATE(5906)] = 142618,
  [SMALL_STATE(5907)] = 142671,
  [SMALL_STATE(5908)] = 142720,
  [SMALL_STATE(5909)] = 142767,
  [SMALL_STATE(5910)] = 142814,
  [SMALL_STATE(5911)] = 142865,
  [SMALL_STATE(5912)] = 142918,
  [SMALL_STATE(5913)] = 143003,
  [SMALL_STATE(5914)] = 143056,
  [SMALL_STATE(5915)] = 143109,
  [SMALL_STATE(5916)] = 143162,
  [SMALL_STATE(5917)] = 143209,
  [SMALL_STATE(5918)] = 143294,
  [SMALL_STATE(5919)] = 143343,
  [SMALL_STATE(5920)] = 143390,
  [SMALL_STATE(5921)] = 143475,
  [SMALL_STATE(5922)] = 143529,
  [SMALL_STATE(5923)] = 143575,
  [SMALL_STATE(5924)] = 143623,
  [SMALL_STATE(5925)] = 143689,
  [SMALL_STATE(5926)] = 143741,
  [SMALL_STATE(5927)] = 143793,
  [SMALL_STATE(5928)] = 143839,
  [SMALL_STATE(5929)] = 143891,
  [SMALL_STATE(5930)] = 143939,
  [SMALL_STATE(5931)] = 143991,
  [SMALL_STATE(5932)] = 144039,
  [SMALL_STATE(5933)] = 144089,
  [SMALL_STATE(5934)] = 144135,
  [SMALL_STATE(5935)] = 144185,
  [SMALL_STATE(5936)] = 144235,
  [SMALL_STATE(5937)] = 144283,
  [SMALL_STATE(5938)] = 144333,
  [SMALL_STATE(5939)] = 144385,
  [SMALL_STATE(5940)] = 144451,
  [SMALL_STATE(5941)] = 144505,
  [SMALL_STATE(5942)] = 144555,
  [SMALL_STATE(5943)] = 144601,
  [SMALL_STATE(5944)] = 144647,
  [SMALL_STATE(5945)] = 144713,
  [SMALL_STATE(5946)] = 144759,
  [SMALL_STATE(5947)] = 144813,
  [SMALL_STATE(5948)] = 144861,
  [SMALL_STATE(5949)] = 144911,
  [SMALL_STATE(5950)] = 144959,
  [SMALL_STATE(5951)] = 145011,
  [SMALL_STATE(5952)] = 145061,
  [SMALL_STATE(5953)] = 145107,
  [SMALL_STATE(5954)] = 145153,
  [SMALL_STATE(5955)] = 145199,
  [SMALL_STATE(5956)] = 145247,
  [SMALL_STATE(5957)] = 145293,
  [SMALL_STATE(5958)] = 145339,
  [SMALL_STATE(5959)] = 145385,
  [SMALL_STATE(5960)] = 145433,
  [SMALL_STATE(5961)] = 145487,
  [SMALL_STATE(5962)] = 145533,
  [SMALL_STATE(5963)] = 145583,
  [SMALL_STATE(5964)] = 145633,
  [SMALL_STATE(5965)] = 145683,
  [SMALL_STATE(5966)] = 145749,
  [SMALL_STATE(5967)] = 145795,
  [SMALL_STATE(5968)] = 145851,
  [SMALL_STATE(5969)] = 145899,
  [SMALL_STATE(5970)] = 145947,
  [SMALL_STATE(5971)] = 146013,
  [SMALL_STATE(5972)] = 146063,
  [SMALL_STATE(5973)] = 146113,
  [SMALL_STATE(5974)] = 146159,
  [SMALL_STATE(5975)] = 146205,
  [SMALL_STATE(5976)] = 146253,
  [SMALL_STATE(5977)] = 146301,
  [SMALL_STATE(5978)] = 146349,
  [SMALL_STATE(5979)] = 146399,
  [SMALL_STATE(5980)] = 146465,
  [SMALL_STATE(5981)] = 146515,
  [SMALL_STATE(5982)] = 146600,
  [SMALL_STATE(5983)] = 146649,
  [SMALL_STATE(5984)] = 146696,
  [SMALL_STATE(5985)] = 146743,
  [SMALL_STATE(5986)] = 146828,
  [SMALL_STATE(5987)] = 146875,
  [SMALL_STATE(5988)] = 146924,
  [SMALL_STATE(5989)] = 147009,
  [SMALL_STATE(5990)] = 147094,
  [SMALL_STATE(5991)] = 147179,
  [SMALL_STATE(5992)] = 147226,
  [SMALL_STATE(5993)] = 147273,
  [SMALL_STATE(5994)] = 147358,
  [SMALL_STATE(5995)] = 147443,
  [SMALL_STATE(5996)] = 147528,
  [SMALL_STATE(5997)] = 147575,
  [SMALL_STATE(5998)] = 147660,
  [SMALL_STATE(5999)] = 147707,
  [SMALL_STATE(6000)] = 147754,
  [SMALL_STATE(6001)] = 147801,
  [SMALL_STATE(6002)] = 147852,
  [SMALL_STATE(6003)] = 147899,
  [SMALL_STATE(6004)] = 147984,
  [SMALL_STATE(6005)] = 148035,
  [SMALL_STATE(6006)] = 148082,
  [SMALL_STATE(6007)] = 148167,
  [SMALL_STATE(6008)] = 148252,
  [SMALL_STATE(6009)] = 148299,
  [SMALL_STATE(6010)] = 148348,
  [SMALL_STATE(6011)] = 148433,
  [SMALL_STATE(6012)] = 148518,
  [SMALL_STATE(6013)] = 148565,
  [SMALL_STATE(6014)] = 148612,
  [SMALL_STATE(6015)] = 148663,
  [SMALL_STATE(6016)] = 148708,
  [SMALL_STATE(6017)] = 148755,
  [SMALL_STATE(6018)] = 148804,
  [SMALL_STATE(6019)] = 148849,
  [SMALL_STATE(6020)] = 148900,
  [SMALL_STATE(6021)] = 148985,
  [SMALL_STATE(6022)] = 149032,
  [SMALL_STATE(6023)] = 149117,
  [SMALL_STATE(6024)] = 149202,
  [SMALL_STATE(6025)] = 149247,
  [SMALL_STATE(6026)] = 149292,
  [SMALL_STATE(6027)] = 149347,
  [SMALL_STATE(6028)] = 149394,
  [SMALL_STATE(6029)] = 149443,
  [SMALL_STATE(6030)] = 149488,
  [SMALL_STATE(6031)] = 149573,
  [SMALL_STATE(6032)] = 149622,
  [SMALL_STATE(6033)] = 149669,
  [SMALL_STATE(6034)] = 149754,
  [SMALL_STATE(6035)] = 149839,
  [SMALL_STATE(6036)] = 149888,
  [SMALL_STATE(6037)] = 149973,
  [SMALL_STATE(6038)] = 150058,
  [SMALL_STATE(6039)] = 150109,
  [SMALL_STATE(6040)] = 150194,
  [SMALL_STATE(6041)] = 150241,
  [SMALL_STATE(6042)] = 150326,
  [SMALL_STATE(6043)] = 150377,
  [SMALL_STATE(6044)] = 150462,
  [SMALL_STATE(6045)] = 150511,
  [SMALL_STATE(6046)] = 150560,
  [SMALL_STATE(6047)] = 150607,
  [SMALL_STATE(6048)] = 150654,
  [SMALL_STATE(6049)] = 150701,
  [SMALL_STATE(6050)] = 150750,
  [SMALL_STATE(6051)] = 150799,
  [SMALL_STATE(6052)] = 150846,
  [SMALL_STATE(6053)] = 150893,
  [SMALL_STATE(6054)] = 150942,
  [SMALL_STATE(6055)] = 151027,
  [SMALL_STATE(6056)] = 151112,
  [SMALL_STATE(6057)] = 151197,
  [SMALL_STATE(6058)] = 151282,
  [SMALL_STATE(6059)] = 151331,
  [SMALL_STATE(6060)] = 151416,
  [SMALL_STATE(6061)] = 151501,
  [SMALL_STATE(6062)] = 151552,
  [SMALL_STATE(6063)] = 151637,
  [SMALL_STATE(6064)] = 151722,
  [SMALL_STATE(6065)] = 151769,
  [SMALL_STATE(6066)] = 151815,
  [SMALL_STATE(6067)] = 151865,
  [SMALL_STATE(6068)] = 151911,
  [SMALL_STATE(6069)] = 151959,
  [SMALL_STATE(6070)] = 152005,
  [SMALL_STATE(6071)] = 152051,
  [SMALL_STATE(6072)] = 152101,
  [SMALL_STATE(6073)] = 152151,
  [SMALL_STATE(6074)] = 152197,
  [SMALL_STATE(6075)] = 152243,
  [SMALL_STATE(6076)] = 152289,
  [SMALL_STATE(6077)] = 152335,
  [SMALL_STATE(6078)] = 152383,
  [SMALL_STATE(6079)] = 152429,
  [SMALL_STATE(6080)] = 152475,
  [SMALL_STATE(6081)] = 152521,
  [SMALL_STATE(6082)] = 152567,
  [SMALL_STATE(6083)] = 152613,
  [SMALL_STATE(6084)] = 152659,
  [SMALL_STATE(6085)] = 152707,
  [SMALL_STATE(6086)] = 152753,
  [SMALL_STATE(6087)] = 152799,
  [SMALL_STATE(6088)] = 152847,
  [SMALL_STATE(6089)] = 152899,
  [SMALL_STATE(6090)] = 152945,
  [SMALL_STATE(6091)] = 152995,
  [SMALL_STATE(6092)] = 153043,
  [SMALL_STATE(6093)] = 153091,
  [SMALL_STATE(6094)] = 153141,
  [SMALL_STATE(6095)] = 153189,
  [SMALL_STATE(6096)] = 153235,
  [SMALL_STATE(6097)] = 153283,
  [SMALL_STATE(6098)] = 153333,
  [SMALL_STATE(6099)] = 153381,
  [SMALL_STATE(6100)] = 153427,
  [SMALL_STATE(6101)] = 153477,
  [SMALL_STATE(6102)] = 153525,
  [SMALL_STATE(6103)] = 153575,
  [SMALL_STATE(6104)] = 153623,
  [SMALL_STATE(6105)] = 153669,
  [SMALL_STATE(6106)] = 153721,
  [SMALL_STATE(6107)] = 153771,
  [SMALL_STATE(6108)] = 153817,
  [SMALL_STATE(6109)] = 153863,
  [SMALL_STATE(6110)] = 153913,
  [SMALL_STATE(6111)] = 153959,
  [SMALL_STATE(6112)] = 154005,
  [SMALL_STATE(6113)] = 154051,
  [SMALL_STATE(6114)] = 154101,
  [SMALL_STATE(6115)] = 154147,
  [SMALL_STATE(6116)] = 154195,
  [SMALL_STATE(6117)] = 154274,
  [SMALL_STATE(6118)] = 154317,
  [SMALL_STATE(6119)] = 154396,
  [SMALL_STATE(6120)] = 154475,
  [SMALL_STATE(6121)] = 154520,
  [SMALL_STATE(6122)] = 154563,
  [SMALL_STATE(6123)] = 154642,
  [SMALL_STATE(6124)] = 154687,
  [SMALL_STATE(6125)] = 154766,
  [SMALL_STATE(6126)] = 154845,
  [SMALL_STATE(6127)] = 154924,
  [SMALL_STATE(6128)] = 154977,
  [SMALL_STATE(6129)] = 155022,
  [SMALL_STATE(6130)] = 155101,
  [SMALL_STATE(6131)] = 155180,
  [SMALL_STATE(6132)] = 155259,
  [SMALL_STATE(6133)] = 155304,
  [SMALL_STATE(6134)] = 155383,
  [SMALL_STATE(6135)] = 155462,
  [SMALL_STATE(6136)] = 155509,
  [SMALL_STATE(6137)] = 155588,
  [SMALL_STATE(6138)] = 155667,
  [SMALL_STATE(6139)] = 155746,
  [SMALL_STATE(6140)] = 155825,
  [SMALL_STATE(6141)] = 155868,
  [SMALL_STATE(6142)] = 155913,
  [SMALL_STATE(6143)] = 155992,
  [SMALL_STATE(6144)] = 156071,
  [SMALL_STATE(6145)] = 156116,
  [SMALL_STATE(6146)] = 156195,
  [SMALL_STATE(6147)] = 156274,
  [SMALL_STATE(6148)] = 156353,
  [SMALL_STATE(6149)] = 156432,
  [SMALL_STATE(6150)] = 156511,
  [SMALL_STATE(6151)] = 156590,
  [SMALL_STATE(6152)] = 156633,
  [SMALL_STATE(6153)] = 156678,
  [SMALL_STATE(6154)] = 156757,
  [SMALL_STATE(6155)] = 156804,
  [SMALL_STATE(6156)] = 156851,
  [SMALL_STATE(6157)] = 156930,
  [SMALL_STATE(6158)] = 156977,
  [SMALL_STATE(6159)] = 157056,
  [SMALL_STATE(6160)] = 157101,
  [SMALL_STATE(6161)] = 157180,
  [SMALL_STATE(6162)] = 157259,
  [SMALL_STATE(6163)] = 157338,
  [SMALL_STATE(6164)] = 157385,
  [SMALL_STATE(6165)] = 157464,
  [SMALL_STATE(6166)] = 157509,
  [SMALL_STATE(6167)] = 157556,
  [SMALL_STATE(6168)] = 157601,
  [SMALL_STATE(6169)] = 157646,
  [SMALL_STATE(6170)] = 157725,
  [SMALL_STATE(6171)] = 157768,
  [SMALL_STATE(6172)] = 157815,
  [SMALL_STATE(6173)] = 157894,
  [SMALL_STATE(6174)] = 157939,
  [SMALL_STATE(6175)] = 157986,
  [SMALL_STATE(6176)] = 158031,
  [SMALL_STATE(6177)] = 158110,
  [SMALL_STATE(6178)] = 158189,
  [SMALL_STATE(6179)] = 158236,
  [SMALL_STATE(6180)] = 158315,
  [SMALL_STATE(6181)] = 158394,
  [SMALL_STATE(6182)] = 158473,
  [SMALL_STATE(6183)] = 158552,
  [SMALL_STATE(6184)] = 158596,
  [SMALL_STATE(6185)] = 158676,
  [SMALL_STATE(6186)] = 158756,
  [SMALL_STATE(6187)] = 158836,
  [SMALL_STATE(6188)] = 158916,
  [SMALL_STATE(6189)] = 158962,
  [SMALL_STATE(6190)] = 159008,
  [SMALL_STATE(6191)] = 159050,
  [SMALL_STATE(6192)] = 159098,
  [SMALL_STATE(6193)] = 159178,
  [SMALL_STATE(6194)] = 159258,
  [SMALL_STATE(6195)] = 159338,
  [SMALL_STATE(6196)] = 159382,
  [SMALL_STATE(6197)] = 159426,
  [SMALL_STATE(6198)] = 159472,
  [SMALL_STATE(6199)] = 159516,
  [SMALL_STATE(6200)] = 159596,
  [SMALL_STATE(6201)] = 159676,
  [SMALL_STATE(6202)] = 159718,
  [SMALL_STATE(6203)] = 159760,
  [SMALL_STATE(6204)] = 159840,
  [SMALL_STATE(6205)] = 159920,
  [SMALL_STATE(6206)] = 160000,
  [SMALL_STATE(6207)] = 160080,
  [SMALL_STATE(6208)] = 160122,
  [SMALL_STATE(6209)] = 160166,
  [SMALL_STATE(6210)] = 160246,
  [SMALL_STATE(6211)] = 160326,
  [SMALL_STATE(6212)] = 160406,
  [SMALL_STATE(6213)] = 160454,
  [SMALL_STATE(6214)] = 160534,
  [SMALL_STATE(6215)] = 160578,
  [SMALL_STATE(6216)] = 160622,
  [SMALL_STATE(6217)] = 160666,
  [SMALL_STATE(6218)] = 160714,
  [SMALL_STATE(6219)] = 160794,
  [SMALL_STATE(6220)] = 160874,
  [SMALL_STATE(6221)] = 160954,
  [SMALL_STATE(6222)] = 160998,
  [SMALL_STATE(6223)] = 161078,
  [SMALL_STATE(6224)] = 161158,
  [SMALL_STATE(6225)] = 161238,
  [SMALL_STATE(6226)] = 161280,
  [SMALL_STATE(6227)] = 161360,
  [SMALL_STATE(6228)] = 161440,
  [SMALL_STATE(6229)] = 161484,
  [SMALL_STATE(6230)] = 161530,
  [SMALL_STATE(6231)] = 161574,
  [SMALL_STATE(6232)] = 161654,
  [SMALL_STATE(6233)] = 161702,
  [SMALL_STATE(6234)] = 161782,
  [SMALL_STATE(6235)] = 161826,
  [SMALL_STATE(6236)] = 161906,
  [SMALL_STATE(6237)] = 161986,
  [SMALL_STATE(6238)] = 162032,
  [SMALL_STATE(6239)] = 162112,
  [SMALL_STATE(6240)] = 162192,
  [SMALL_STATE(6241)] = 162272,
  [SMALL_STATE(6242)] = 162352,
  [SMALL_STATE(6243)] = 162432,
  [SMALL_STATE(6244)] = 162476,
  [SMALL_STATE(6245)] = 162520,
  [SMALL_STATE(6246)] = 162600,
  [SMALL_STATE(6247)] = 162680,
  [SMALL_STATE(6248)] = 162726,
  [SMALL_STATE(6249)] = 162806,
  [SMALL_STATE(6250)] = 162886,
  [SMALL_STATE(6251)] = 162966,
  [SMALL_STATE(6252)] = 163010,
  [SMALL_STATE(6253)] = 163090,
  [SMALL_STATE(6254)] = 163170,
  [SMALL_STATE(6255)] = 163250,
  [SMALL_STATE(6256)] = 163330,
  [SMALL_STATE(6257)] = 163410,
  [SMALL_STATE(6258)] = 163490,
  [SMALL_STATE(6259)] = 163534,
  [SMALL_STATE(6260)] = 163578,
  [SMALL_STATE(6261)] = 163622,
  [SMALL_STATE(6262)] = 163702,
  [SMALL_STATE(6263)] = 163782,
  [SMALL_STATE(6264)] = 163828,
  [SMALL_STATE(6265)] = 163908,
  [SMALL_STATE(6266)] = 163950,
  [SMALL_STATE(6267)] = 164030,
  [SMALL_STATE(6268)] = 164072,
  [SMALL_STATE(6269)] = 164120,
  [SMALL_STATE(6270)] = 164200,
  [SMALL_STATE(6271)] = 164280,
  [SMALL_STATE(6272)] = 164360,
  [SMALL_STATE(6273)] = 164440,
  [SMALL_STATE(6274)] = 164520,
  [SMALL_STATE(6275)] = 164600,
  [SMALL_STATE(6276)] = 164642,
  [SMALL_STATE(6277)] = 164686,
  [SMALL_STATE(6278)] = 164766,
  [SMALL_STATE(6279)] = 164846,
  [SMALL_STATE(6280)] = 164926,
  [SMALL_STATE(6281)] = 165006,
  [SMALL_STATE(6282)] = 165086,
  [SMALL_STATE(6283)] = 165132,
  [SMALL_STATE(6284)] = 165212,
  [SMALL_STATE(6285)] = 165256,
  [SMALL_STATE(6286)] = 165336,
  [SMALL_STATE(6287)] = 165416,
  [SMALL_STATE(6288)] = 165496,
  [SMALL_STATE(6289)] = 165576,
  [SMALL_STATE(6290)] = 165656,
  [SMALL_STATE(6291)] = 165704,
  [SMALL_STATE(6292)] = 165746,
  [SMALL_STATE(6293)] = 165826,
  [SMALL_STATE(6294)] = 165870,
  [SMALL_STATE(6295)] = 165950,
  [SMALL_STATE(6296)] = 166030,
  [SMALL_STATE(6297)] = 166076,
  [SMALL_STATE(6298)] = 166156,
  [SMALL_STATE(6299)] = 166198,
  [SMALL_STATE(6300)] = 166246,
  [SMALL_STATE(6301)] = 166289,
  [SMALL_STATE(6302)] = 166332,
  [SMALL_STATE(6303)] = 166375,
  [SMALL_STATE(6304)] = 166448,
  [SMALL_STATE(6305)] = 166491,
  [SMALL_STATE(6306)] = 166564,
  [SMALL_STATE(6307)] = 166641,
  [SMALL_STATE(6308)] = 166714,
  [SMALL_STATE(6309)] = 166787,
  [SMALL_STATE(6310)] = 166834,
  [SMALL_STATE(6311)] = 166879,
  [SMALL_STATE(6312)] = 166952,
  [SMALL_STATE(6313)] = 166999,
  [SMALL_STATE(6314)] = 167072,
  [SMALL_STATE(6315)] = 167149,
  [SMALL_STATE(6316)] = 167226,
  [SMALL_STATE(6317)] = 167271,
  [SMALL_STATE(6318)] = 167312,
  [SMALL_STATE(6319)] = 167357,
  [SMALL_STATE(6320)] = 167436,
  [SMALL_STATE(6321)] = 167513,
  [SMALL_STATE(6322)] = 167586,
  [SMALL_STATE(6323)] = 167659,
  [SMALL_STATE(6324)] = 167702,
  [SMALL_STATE(6325)] = 167775,
  [SMALL_STATE(6326)] = 167818,
  [SMALL_STATE(6327)] = 167895,
  [SMALL_STATE(6328)] = 167938,
  [SMALL_STATE(6329)] = 167985,
  [SMALL_STATE(6330)] = 168058,
  [SMALL_STATE(6331)] = 168101,
  [SMALL_STATE(6332)] = 168180,
  [SMALL_STATE(6333)] = 168223,
  [SMALL_STATE(6334)] = 168266,
  [SMALL_STATE(6335)] = 168339,
  [SMALL_STATE(6336)] = 168412,
  [SMALL_STATE(6337)] = 168457,
  [SMALL_STATE(6338)] = 168504,
  [SMALL_STATE(6339)] = 168577,
  [SMALL_STATE(6340)] = 168650,
  [SMALL_STATE(6341)] = 168723,
  [SMALL_STATE(6342)] = 168766,
  [SMALL_STATE(6343)] = 168807,
  [SMALL_STATE(6344)] = 168884,
  [SMALL_STATE(6345)] = 168963,
  [SMALL_STATE(6346)] = 169036,
  [SMALL_STATE(6347)] = 169109,
  [SMALL_STATE(6348)] = 169182,
  [SMALL_STATE(6349)] = 169225,
  [SMALL_STATE(6350)] = 169268,
  [SMALL_STATE(6351)] = 169341,
  [SMALL_STATE(6352)] = 169414,
  [SMALL_STATE(6353)] = 169487,
  [SMALL_STATE(6354)] = 169566,
  [SMALL_STATE(6355)] = 169639,
  [SMALL_STATE(6356)] = 169712,
  [SMALL_STATE(6357)] = 169761,
  [SMALL_STATE(6358)] = 169806,
  [SMALL_STATE(6359)] = 169849,
  [SMALL_STATE(6360)] = 169892,
  [SMALL_STATE(6361)] = 169965,
  [SMALL_STATE(6362)] = 170008,
  [SMALL_STATE(6363)] = 170081,
  [SMALL_STATE(6364)] = 170128,
  [SMALL_STATE(6365)] = 170201,
  [SMALL_STATE(6366)] = 170274,
  [SMALL_STATE(6367)] = 170347,
  [SMALL_STATE(6368)] = 170396,
  [SMALL_STATE(6369)] = 170441,
  [SMALL_STATE(6370)] = 170514,
  [SMALL_STATE(6371)] = 170557,
  [SMALL_STATE(6372)] = 170630,
  [SMALL_STATE(6373)] = 170677,
  [SMALL_STATE(6374)] = 170750,
  [SMALL_STATE(6375)] = 170793,
  [SMALL_STATE(6376)] = 170840,
  [SMALL_STATE(6377)] = 170883,
  [SMALL_STATE(6378)] = 170956,
  [SMALL_STATE(6379)] = 171001,
  [SMALL_STATE(6380)] = 171078,
  [SMALL_STATE(6381)] = 171151,
  [SMALL_STATE(6382)] = 171230,
  [SMALL_STATE(6383)] = 171277,
  [SMALL_STATE(6384)] = 171322,
  [SMALL_STATE(6385)] = 171395,
  [SMALL_STATE(6386)] = 171472,
  [SMALL_STATE(6387)] = 171551,
  [SMALL_STATE(6388)] = 171630,
  [SMALL_STATE(6389)] = 171673,
  [SMALL_STATE(6390)] = 171722,
  [SMALL_STATE(6391)] = 171795,
  [SMALL_STATE(6392)] = 171868,
  [SMALL_STATE(6393)] = 171941,
  [SMALL_STATE(6394)] = 171984,
  [SMALL_STATE(6395)] = 172029,
  [SMALL_STATE(6396)] = 172074,
  [SMALL_STATE(6397)] = 172147,
  [SMALL_STATE(6398)] = 172192,
  [SMALL_STATE(6399)] = 172265,
  [SMALL_STATE(6400)] = 172308,
  [SMALL_STATE(6401)] = 172351,
  [SMALL_STATE(6402)] = 172398,
  [SMALL_STATE(6403)] = 172477,
  [SMALL_STATE(6404)] = 172520,
  [SMALL_STATE(6405)] = 172560,
  [SMALL_STATE(6406)] = 172602,
  [SMALL_STATE(6407)] = 172672,
  [SMALL_STATE(6408)] = 172742,
  [SMALL_STATE(6409)] = 172814,
  [SMALL_STATE(6410)] = 172884,
  [SMALL_STATE(6411)] = 172954,
  [SMALL_STATE(6412)] = 173028,
  [SMALL_STATE(6413)] = 173072,
  [SMALL_STATE(6414)] = 173144,
  [SMALL_STATE(6415)] = 173192,
  [SMALL_STATE(6416)] = 173262,
  [SMALL_STATE(6417)] = 173332,
  [SMALL_STATE(6418)] = 173372,
  [SMALL_STATE(6419)] = 173442,
  [SMALL_STATE(6420)] = 173516,
  [SMALL_STATE(6421)] = 173586,
  [SMALL_STATE(6422)] = 173656,
  [SMALL_STATE(6423)] = 173698,
  [SMALL_STATE(6424)] = 173738,
  [SMALL_STATE(6425)] = 173810,
  [SMALL_STATE(6426)] = 173852,
  [SMALL_STATE(6427)] = 173922,
  [SMALL_STATE(6428)] = 173964,
  [SMALL_STATE(6429)] = 174034,
  [SMALL_STATE(6430)] = 174104,
  [SMALL_STATE(6431)] = 174148,
  [SMALL_STATE(6432)] = 174222,
  [SMALL_STATE(6433)] = 174264,
  [SMALL_STATE(6434)] = 174334,
  [SMALL_STATE(6435)] = 174406,
  [SMALL_STATE(6436)] = 174476,
  [SMALL_STATE(6437)] = 174548,
  [SMALL_STATE(6438)] = 174588,
  [SMALL_STATE(6439)] = 174662,
  [SMALL_STATE(6440)] = 174732,
  [SMALL_STATE(6441)] = 174804,
  [SMALL_STATE(6442)] = 174878,
  [SMALL_STATE(6443)] = 174952,
  [SMALL_STATE(6444)] = 175022,
  [SMALL_STATE(6445)] = 175064,
  [SMALL_STATE(6446)] = 175136,
  [SMALL_STATE(6447)] = 175210,
  [SMALL_STATE(6448)] = 175280,
  [SMALL_STATE(6449)] = 175354,
  [SMALL_STATE(6450)] = 175426,
  [SMALL_STATE(6451)] = 175468,
  [SMALL_STATE(6452)] = 175538,
  [SMALL_STATE(6453)] = 175610,
  [SMALL_STATE(6454)] = 175684,
  [SMALL_STATE(6455)] = 175756,
  [SMALL_STATE(6456)] = 175828,
  [SMALL_STATE(6457)] = 175898,
  [SMALL_STATE(6458)] = 175968,
  [SMALL_STATE(6459)] = 176018,
  [SMALL_STATE(6460)] = 176088,
  [SMALL_STATE(6461)] = 176160,
  [SMALL_STATE(6462)] = 176230,
  [SMALL_STATE(6463)] = 176272,
  [SMALL_STATE(6464)] = 176346,
  [SMALL_STATE(6465)] = 176416,
  [SMALL_STATE(6466)] = 176486,
  [SMALL_STATE(6467)] = 176530,
  [SMALL_STATE(6468)] = 176600,
  [SMALL_STATE(6469)] = 176672,
  [SMALL_STATE(6470)] = 176742,
  [SMALL_STATE(6471)] = 176816,
  [SMALL_STATE(6472)] = 176888,
  [SMALL_STATE(6473)] = 176958,
  [SMALL_STATE(6474)] = 177030,
  [SMALL_STATE(6475)] = 177070,
  [SMALL_STATE(6476)] = 177110,
  [SMALL_STATE(6477)] = 177184,
  [SMALL_STATE(6478)] = 177226,
  [SMALL_STATE(6479)] = 177300,
  [SMALL_STATE(6480)] = 177374,
  [SMALL_STATE(6481)] = 177444,
  [SMALL_STATE(6482)] = 177514,
  [SMALL_STATE(6483)] = 177586,
  [SMALL_STATE(6484)] = 177656,
  [SMALL_STATE(6485)] = 177730,
  [SMALL_STATE(6486)] = 177800,
  [SMALL_STATE(6487)] = 177874,
  [SMALL_STATE(6488)] = 177914,
  [SMALL_STATE(6489)] = 177986,
  [SMALL_STATE(6490)] = 178034,
  [SMALL_STATE(6491)] = 178076,
  [SMALL_STATE(6492)] = 178116,
  [SMALL_STATE(6493)] = 178186,
  [SMALL_STATE(6494)] = 178226,
  [SMALL_STATE(6495)] = 178268,
  [SMALL_STATE(6496)] = 178338,
  [SMALL_STATE(6497)] = 178408,
  [SMALL_STATE(6498)] = 178448,
  [SMALL_STATE(6499)] = 178520,
  [SMALL_STATE(6500)] = 178560,
  [SMALL_STATE(6501)] = 178634,
  [SMALL_STATE(6502)] = 178704,
  [SMALL_STATE(6503)] = 178778,
  [SMALL_STATE(6504)] = 178848,
  [SMALL_STATE(6505)] = 178918,
  [SMALL_STATE(6506)] = 178958,
  [SMALL_STATE(6507)] = 179030,
  [SMALL_STATE(6508)] = 179102,
  [SMALL_STATE(6509)] = 179144,
  [SMALL_STATE(6510)] = 179215,
  [SMALL_STATE(6511)] = 179286,
  [SMALL_STATE(6512)] = 179327,
  [SMALL_STATE(6513)] = 179366,
  [SMALL_STATE(6514)] = 179405,
  [SMALL_STATE(6515)] = 179450,
  [SMALL_STATE(6516)] = 179495,
  [SMALL_STATE(6517)] = 179536,
  [SMALL_STATE(6518)] = 179579,
  [SMALL_STATE(6519)] = 179624,
  [SMALL_STATE(6520)] = 179665,
  [SMALL_STATE(6521)] = 179736,
  [SMALL_STATE(6522)] = 179807,
  [SMALL_STATE(6523)] = 179878,
  [SMALL_STATE(6524)] = 179949,
  [SMALL_STATE(6525)] = 180020,
  [SMALL_STATE(6526)] = 180063,
  [SMALL_STATE(6527)] = 180134,
  [SMALL_STATE(6528)] = 180205,
  [SMALL_STATE(6529)] = 180276,
  [SMALL_STATE(6530)] = 180317,
  [SMALL_STATE(6531)] = 180356,
  [SMALL_STATE(6532)] = 180399,
  [SMALL_STATE(6533)] = 180470,
  [SMALL_STATE(6534)] = 180511,
  [SMALL_STATE(6535)] = 180552,
  [SMALL_STATE(6536)] = 180623,
  [SMALL_STATE(6537)] = 180664,
  [SMALL_STATE(6538)] = 180735,
  [SMALL_STATE(6539)] = 180806,
  [SMALL_STATE(6540)] = 180845,
  [SMALL_STATE(6541)] = 180916,
  [SMALL_STATE(6542)] = 180987,
  [SMALL_STATE(6543)] = 181030,
  [SMALL_STATE(6544)] = 181071,
  [SMALL_STATE(6545)] = 181142,
  [SMALL_STATE(6546)] = 181183,
  [SMALL_STATE(6547)] = 181254,
  [SMALL_STATE(6548)] = 181325,
  [SMALL_STATE(6549)] = 181366,
  [SMALL_STATE(6550)] = 181437,
  [SMALL_STATE(6551)] = 181480,
  [SMALL_STATE(6552)] = 181551,
  [SMALL_STATE(6553)] = 181596,
  [SMALL_STATE(6554)] = 181667,
  [SMALL_STATE(6555)] = 181708,
  [SMALL_STATE(6556)] = 181779,
  [SMALL_STATE(6557)] = 181850,
  [SMALL_STATE(6558)] = 181893,
  [SMALL_STATE(6559)] = 181964,
  [SMALL_STATE(6560)] = 182003,
  [SMALL_STATE(6561)] = 182042,
  [SMALL_STATE(6562)] = 182113,
  [SMALL_STATE(6563)] = 182158,
  [SMALL_STATE(6564)] = 182229,
  [SMALL_STATE(6565)] = 182300,
  [SMALL_STATE(6566)] = 182343,
  [SMALL_STATE(6567)] = 182414,
  [SMALL_STATE(6568)] = 182455,
  [SMALL_STATE(6569)] = 182498,
  [SMALL_STATE(6570)] = 182541,
  [SMALL_STATE(6571)] = 182612,
  [SMALL_STATE(6572)] = 182651,
  [SMALL_STATE(6573)] = 182696,
  [SMALL_STATE(6574)] = 182739,
  [SMALL_STATE(6575)] = 182810,
  [SMALL_STATE(6576)] = 182881,
  [SMALL_STATE(6577)] = 182922,
  [SMALL_STATE(6578)] = 182963,
  [SMALL_STATE(6579)] = 183004,
  [SMALL_STATE(6580)] = 183045,
  [SMALL_STATE(6581)] = 183116,
  [SMALL_STATE(6582)] = 183159,
  [SMALL_STATE(6583)] = 183230,
  [SMALL_STATE(6584)] = 183301,
  [SMALL_STATE(6585)] = 183372,
  [SMALL_STATE(6586)] = 183415,
  [SMALL_STATE(6587)] = 183486,
  [SMALL_STATE(6588)] = 183527,
  [SMALL_STATE(6589)] = 183568,
  [SMALL_STATE(6590)] = 183609,
  [SMALL_STATE(6591)] = 183650,
  [SMALL_STATE(6592)] = 183721,
  [SMALL_STATE(6593)] = 183792,
  [SMALL_STATE(6594)] = 183831,
  [SMALL_STATE(6595)] = 183872,
  [SMALL_STATE(6596)] = 183911,
  [SMALL_STATE(6597)] = 183950,
  [SMALL_STATE(6598)] = 183993,
  [SMALL_STATE(6599)] = 184064,
  [SMALL_STATE(6600)] = 184107,
  [SMALL_STATE(6601)] = 184150,
  [SMALL_STATE(6602)] = 184221,
  [SMALL_STATE(6603)] = 184292,
  [SMALL_STATE(6604)] = 184363,
  [SMALL_STATE(6605)] = 184404,
  [SMALL_STATE(6606)] = 184472,
  [SMALL_STATE(6607)] = 184540,
  [SMALL_STATE(6608)] = 184578,
  [SMALL_STATE(6609)] = 184646,
  [SMALL_STATE(6610)] = 184684,
  [SMALL_STATE(6611)] = 184752,
  [SMALL_STATE(6612)] = 184820,
  [SMALL_STATE(6613)] = 184888,
  [SMALL_STATE(6614)] = 184926,
  [SMALL_STATE(6615)] = 184964,
  [SMALL_STATE(6616)] = 185002,
  [SMALL_STATE(6617)] = 185070,
  [SMALL_STATE(6618)] = 185108,
  [SMALL_STATE(6619)] = 185176,
  [SMALL_STATE(6620)] = 185214,
  [SMALL_STATE(6621)] = 185282,
  [SMALL_STATE(6622)] = 185320,
  [SMALL_STATE(6623)] = 185358,
  [SMALL_STATE(6624)] = 185426,
  [SMALL_STATE(6625)] = 185464,
  [SMALL_STATE(6626)] = 185502,
  [SMALL_STATE(6627)] = 185540,
  [SMALL_STATE(6628)] = 185578,
  [SMALL_STATE(6629)] = 185616,
  [SMALL_STATE(6630)] = 185654,
  [SMALL_STATE(6631)] = 185692,
  [SMALL_STATE(6632)] = 185730,
  [SMALL_STATE(6633)] = 185770,
  [SMALL_STATE(6634)] = 185810,
  [SMALL_STATE(6635)] = 185850,
  [SMALL_STATE(6636)] = 185890,
  [SMALL_STATE(6637)] = 185958,
  [SMALL_STATE(6638)] = 186026,
  [SMALL_STATE(6639)] = 186094,
  [SMALL_STATE(6640)] = 186162,
  [SMALL_STATE(6641)] = 186230,
  [SMALL_STATE(6642)] = 186268,
  [SMALL_STATE(6643)] = 186336,
  [SMALL_STATE(6644)] = 186374,
  [SMALL_STATE(6645)] = 186442,
  [SMALL_STATE(6646)] = 186482,
  [SMALL_STATE(6647)] = 186522,
  [SMALL_STATE(6648)] = 186590,
  [SMALL_STATE(6649)] = 186658,
  [SMALL_STATE(6650)] = 186726,
  [SMALL_STATE(6651)] = 186794,
  [SMALL_STATE(6652)] = 186862,
  [SMALL_STATE(6653)] = 186930,
  [SMALL_STATE(6654)] = 186968,
  [SMALL_STATE(6655)] = 187006,
  [SMALL_STATE(6656)] = 187046,
  [SMALL_STATE(6657)] = 187086,
  [SMALL_STATE(6658)] = 187154,
  [SMALL_STATE(6659)] = 187192,
  [SMALL_STATE(6660)] = 187260,
  [SMALL_STATE(6661)] = 187328,
  [SMALL_STATE(6662)] = 187396,
  [SMALL_STATE(6663)] = 187464,
  [SMALL_STATE(6664)] = 187532,
  [SMALL_STATE(6665)] = 187600,
  [SMALL_STATE(6666)] = 187668,
  [SMALL_STATE(6667)] = 187736,
  [SMALL_STATE(6668)] = 187804,
  [SMALL_STATE(6669)] = 187872,
  [SMALL_STATE(6670)] = 187940,
  [SMALL_STATE(6671)] = 188008,
  [SMALL_STATE(6672)] = 188076,
  [SMALL_STATE(6673)] = 188144,
  [SMALL_STATE(6674)] = 188182,
  [SMALL_STATE(6675)] = 188250,
  [SMALL_STATE(6676)] = 188315,
  [SMALL_STATE(6677)] = 188380,
  [SMALL_STATE(6678)] = 188445,
  [SMALL_STATE(6679)] = 188510,
  [SMALL_STATE(6680)] = 188575,
  [SMALL_STATE(6681)] = 188612,
  [SMALL_STATE(6682)] = 188677,
  [SMALL_STATE(6683)] = 188714,
  [SMALL_STATE(6684)] = 188779,
  [SMALL_STATE(6685)] = 188844,
  [SMALL_STATE(6686)] = 188909,
  [SMALL_STATE(6687)] = 188974,
  [SMALL_STATE(6688)] = 189039,
  [SMALL_STATE(6689)] = 189104,
  [SMALL_STATE(6690)] = 189169,
  [SMALL_STATE(6691)] = 189234,
  [SMALL_STATE(6692)] = 189299,
  [SMALL_STATE(6693)] = 189364,
  [SMALL_STATE(6694)] = 189429,
  [SMALL_STATE(6695)] = 189494,
  [SMALL_STATE(6696)] = 189559,
  [SMALL_STATE(6697)] = 189624,
  [SMALL_STATE(6698)] = 189661,
  [SMALL_STATE(6699)] = 189698,
  [SMALL_STATE(6700)] = 189735,
  [SMALL_STATE(6701)] = 189800,
  [SMALL_STATE(6702)] = 189865,
  [SMALL_STATE(6703)] = 189902,
  [SMALL_STATE(6704)] = 189967,
  [SMALL_STATE(6705)] = 190032,
  [SMALL_STATE(6706)] = 190097,
  [SMALL_STATE(6707)] = 190162,
  [SMALL_STATE(6708)] = 190227,
  [SMALL_STATE(6709)] = 190292,
  [SMALL_STATE(6710)] = 190357,
  [SMALL_STATE(6711)] = 190422,
  [SMALL_STATE(6712)] = 190487,
  [SMALL_STATE(6713)] = 190552,
  [SMALL_STATE(6714)] = 190617,
  [SMALL_STATE(6715)] = 190682,
  [SMALL_STATE(6716)] = 190747,
  [SMALL_STATE(6717)] = 190812,
  [SMALL_STATE(6718)] = 190877,
  [SMALL_STATE(6719)] = 190942,
  [SMALL_STATE(6720)] = 190979,
  [SMALL_STATE(6721)] = 191044,
  [SMALL_STATE(6722)] = 191109,
  [SMALL_STATE(6723)] = 191174,
  [SMALL_STATE(6724)] = 191239,
  [SMALL_STATE(6725)] = 191304,
  [SMALL_STATE(6726)] = 191369,
  [SMALL_STATE(6727)] = 191434,
  [SMALL_STATE(6728)] = 191499,
  [SMALL_STATE(6729)] = 191564,
  [SMALL_STATE(6730)] = 191629,
  [SMALL_STATE(6731)] = 191694,
  [SMALL_STATE(6732)] = 191759,
  [SMALL_STATE(6733)] = 191824,
  [SMALL_STATE(6734)] = 191889,
  [SMALL_STATE(6735)] = 191954,
  [SMALL_STATE(6736)] = 192019,
  [SMALL_STATE(6737)] = 192084,
  [SMALL_STATE(6738)] = 192149,
  [SMALL_STATE(6739)] = 192214,
  [SMALL_STATE(6740)] = 192279,
  [SMALL_STATE(6741)] = 192316,
  [SMALL_STATE(6742)] = 192353,
  [SMALL_STATE(6743)] = 192418,
  [SMALL_STATE(6744)] = 192483,
  [SMALL_STATE(6745)] = 192548,
  [SMALL_STATE(6746)] = 192613,
  [SMALL_STATE(6747)] = 192678,
  [SMALL_STATE(6748)] = 192743,
  [SMALL_STATE(6749)] = 192808,
  [SMALL_STATE(6750)] = 192873,
  [SMALL_STATE(6751)] = 192938,
  [SMALL_STATE(6752)] = 193003,
  [SMALL_STATE(6753)] = 193068,
  [SMALL_STATE(6754)] = 193133,
  [SMALL_STATE(6755)] = 193198,
  [SMALL_STATE(6756)] = 193263,
  [SMALL_STATE(6757)] = 193328,
  [SMALL_STATE(6758)] = 193365,
  [SMALL_STATE(6759)] = 193402,
  [SMALL_STATE(6760)] = 193467,
  [SMALL_STATE(6761)] = 193532,
  [SMALL_STATE(6762)] = 193597,
  [SMALL_STATE(6763)] = 193662,
  [SMALL_STATE(6764)] = 193727,
  [SMALL_STATE(6765)] = 193792,
  [SMALL_STATE(6766)] = 193857,
  [SMALL_STATE(6767)] = 193922,
  [SMALL_STATE(6768)] = 193987,
  [SMALL_STATE(6769)] = 194052,
  [SMALL_STATE(6770)] = 194117,
  [SMALL_STATE(6771)] = 194182,
  [SMALL_STATE(6772)] = 194247,
  [SMALL_STATE(6773)] = 194312,
  [SMALL_STATE(6774)] = 194377,
  [SMALL_STATE(6775)] = 194442,
  [SMALL_STATE(6776)] = 194507,
  [SMALL_STATE(6777)] = 194572,
  [SMALL_STATE(6778)] = 194609,
  [SMALL_STATE(6779)] = 194674,
  [SMALL_STATE(6780)] = 194711,
  [SMALL_STATE(6781)] = 194776,
  [SMALL_STATE(6782)] = 194813,
  [SMALL_STATE(6783)] = 194850,
  [SMALL_STATE(6784)] = 194915,
  [SMALL_STATE(6785)] = 194952,
  [SMALL_STATE(6786)] = 194989,
  [SMALL_STATE(6787)] = 195026,
  [SMALL_STATE(6788)] = 195063,
  [SMALL_STATE(6789)] = 195128,
  [SMALL_STATE(6790)] = 195193,
  [SMALL_STATE(6791)] = 195258,
  [SMALL_STATE(6792)] = 195323,
  [SMALL_STATE(6793)] = 195388,
  [SMALL_STATE(6794)] = 195453,
  [SMALL_STATE(6795)] = 195518,
  [SMALL_STATE(6796)] = 195583,
  [SMALL_STATE(6797)] = 195648,
  [SMALL_STATE(6798)] = 195713,
  [SMALL_STATE(6799)] = 195778,
  [SMALL_STATE(6800)] = 195843,
  [SMALL_STATE(6801)] = 195908,
  [SMALL_STATE(6802)] = 195973,
  [SMALL_STATE(6803)] = 196010,
  [SMALL_STATE(6804)] = 196075,
  [SMALL_STATE(6805)] = 196140,
  [SMALL_STATE(6806)] = 196205,
  [SMALL_STATE(6807)] = 196270,
  [SMALL_STATE(6808)] = 196335,
  [SMALL_STATE(6809)] = 196400,
  [SMALL_STATE(6810)] = 196465,
  [SMALL_STATE(6811)] = 196530,
  [SMALL_STATE(6812)] = 196595,
  [SMALL_STATE(6813)] = 196660,
  [SMALL_STATE(6814)] = 196725,
  [SMALL_STATE(6815)] = 196790,
  [SMALL_STATE(6816)] = 196855,
  [SMALL_STATE(6817)] = 196920,
  [SMALL_STATE(6818)] = 196957,
  [SMALL_STATE(6819)] = 197022,
  [SMALL_STATE(6820)] = 197087,
  [SMALL_STATE(6821)] = 197152,
  [SMALL_STATE(6822)] = 197217,
  [SMALL_STATE(6823)] = 197282,
  [SMALL_STATE(6824)] = 197347,
  [SMALL_STATE(6825)] = 197412,
  [SMALL_STATE(6826)] = 197477,
  [SMALL_STATE(6827)] = 197542,
  [SMALL_STATE(6828)] = 197607,
  [SMALL_STATE(6829)] = 197672,
  [SMALL_STATE(6830)] = 197737,
  [SMALL_STATE(6831)] = 197802,
  [SMALL_STATE(6832)] = 197867,
  [SMALL_STATE(6833)] = 197932,
  [SMALL_STATE(6834)] = 197997,
  [SMALL_STATE(6835)] = 198062,
  [SMALL_STATE(6836)] = 198127,
  [SMALL_STATE(6837)] = 198192,
  [SMALL_STATE(6838)] = 198257,
  [SMALL_STATE(6839)] = 198322,
  [SMALL_STATE(6840)] = 198387,
  [SMALL_STATE(6841)] = 198452,
  [SMALL_STATE(6842)] = 198517,
  [SMALL_STATE(6843)] = 198582,
  [SMALL_STATE(6844)] = 198647,
  [SMALL_STATE(6845)] = 198712,
  [SMALL_STATE(6846)] = 198777,
  [SMALL_STATE(6847)] = 198842,
  [SMALL_STATE(6848)] = 198879,
  [SMALL_STATE(6849)] = 198944,
  [SMALL_STATE(6850)] = 199009,
  [SMALL_STATE(6851)] = 199074,
  [SMALL_STATE(6852)] = 199139,
  [SMALL_STATE(6853)] = 199204,
  [SMALL_STATE(6854)] = 199269,
  [SMALL_STATE(6855)] = 199334,
  [SMALL_STATE(6856)] = 199399,
  [SMALL_STATE(6857)] = 199464,
  [SMALL_STATE(6858)] = 199529,
  [SMALL_STATE(6859)] = 199594,
  [SMALL_STATE(6860)] = 199659,
  [SMALL_STATE(6861)] = 199724,
  [SMALL_STATE(6862)] = 199789,
  [SMALL_STATE(6863)] = 199854,
  [SMALL_STATE(6864)] = 199919,
  [SMALL_STATE(6865)] = 199984,
  [SMALL_STATE(6866)] = 200049,
  [SMALL_STATE(6867)] = 200114,
  [SMALL_STATE(6868)] = 200179,
  [SMALL_STATE(6869)] = 200244,
  [SMALL_STATE(6870)] = 200309,
  [SMALL_STATE(6871)] = 200374,
  [SMALL_STATE(6872)] = 200439,
  [SMALL_STATE(6873)] = 200504,
  [SMALL_STATE(6874)] = 200569,
  [SMALL_STATE(6875)] = 200634,
  [SMALL_STATE(6876)] = 200699,
  [SMALL_STATE(6877)] = 200764,
  [SMALL_STATE(6878)] = 200829,
  [SMALL_STATE(6879)] = 200894,
  [SMALL_STATE(6880)] = 200959,
  [SMALL_STATE(6881)] = 201024,
  [SMALL_STATE(6882)] = 201089,
  [SMALL_STATE(6883)] = 201154,
  [SMALL_STATE(6884)] = 201219,
  [SMALL_STATE(6885)] = 201284,
  [SMALL_STATE(6886)] = 201349,
  [SMALL_STATE(6887)] = 201414,
  [SMALL_STATE(6888)] = 201479,
  [SMALL_STATE(6889)] = 201544,
  [SMALL_STATE(6890)] = 201609,
  [SMALL_STATE(6891)] = 201674,
  [SMALL_STATE(6892)] = 201739,
  [SMALL_STATE(6893)] = 201804,
  [SMALL_STATE(6894)] = 201869,
  [SMALL_STATE(6895)] = 201934,
  [SMALL_STATE(6896)] = 201999,
  [SMALL_STATE(6897)] = 202064,
  [SMALL_STATE(6898)] = 202129,
  [SMALL_STATE(6899)] = 202194,
  [SMALL_STATE(6900)] = 202259,
  [SMALL_STATE(6901)] = 202324,
  [SMALL_STATE(6902)] = 202389,
  [SMALL_STATE(6903)] = 202454,
  [SMALL_STATE(6904)] = 202519,
  [SMALL_STATE(6905)] = 202556,
  [SMALL_STATE(6906)] = 202621,
  [SMALL_STATE(6907)] = 202686,
  [SMALL_STATE(6908)] = 202751,
  [SMALL_STATE(6909)] = 202816,
  [SMALL_STATE(6910)] = 202881,
  [SMALL_STATE(6911)] = 202946,
  [SMALL_STATE(6912)] = 203011,
  [SMALL_STATE(6913)] = 203076,
  [SMALL_STATE(6914)] = 203141,
  [SMALL_STATE(6915)] = 203206,
  [SMALL_STATE(6916)] = 203271,
  [SMALL_STATE(6917)] = 203336,
  [SMALL_STATE(6918)] = 203401,
  [SMALL_STATE(6919)] = 203466,
  [SMALL_STATE(6920)] = 203531,
  [SMALL_STATE(6921)] = 203596,
  [SMALL_STATE(6922)] = 203661,
  [SMALL_STATE(6923)] = 203726,
  [SMALL_STATE(6924)] = 203791,
  [SMALL_STATE(6925)] = 203856,
  [SMALL_STATE(6926)] = 203921,
  [SMALL_STATE(6927)] = 203986,
  [SMALL_STATE(6928)] = 204051,
  [SMALL_STATE(6929)] = 204116,
  [SMALL_STATE(6930)] = 204181,
  [SMALL_STATE(6931)] = 204246,
  [SMALL_STATE(6932)] = 204311,
  [SMALL_STATE(6933)] = 204376,
  [SMALL_STATE(6934)] = 204441,
  [SMALL_STATE(6935)] = 204506,
  [SMALL_STATE(6936)] = 204571,
  [SMALL_STATE(6937)] = 204636,
  [SMALL_STATE(6938)] = 204701,
  [SMALL_STATE(6939)] = 204766,
  [SMALL_STATE(6940)] = 204831,
  [SMALL_STATE(6941)] = 204896,
  [SMALL_STATE(6942)] = 204961,
  [SMALL_STATE(6943)] = 205026,
  [SMALL_STATE(6944)] = 205091,
  [SMALL_STATE(6945)] = 205156,
  [SMALL_STATE(6946)] = 205221,
  [SMALL_STATE(6947)] = 205258,
  [SMALL_STATE(6948)] = 205323,
  [SMALL_STATE(6949)] = 205388,
  [SMALL_STATE(6950)] = 205453,
  [SMALL_STATE(6951)] = 205518,
  [SMALL_STATE(6952)] = 205583,
  [SMALL_STATE(6953)] = 205648,
  [SMALL_STATE(6954)] = 205713,
  [SMALL_STATE(6955)] = 205778,
  [SMALL_STATE(6956)] = 205843,
  [SMALL_STATE(6957)] = 205908,
  [SMALL_STATE(6958)] = 205973,
  [SMALL_STATE(6959)] = 206038,
  [SMALL_STATE(6960)] = 206103,
  [SMALL_STATE(6961)] = 206168,
  [SMALL_STATE(6962)] = 206233,
  [SMALL_STATE(6963)] = 206298,
  [SMALL_STATE(6964)] = 206363,
  [SMALL_STATE(6965)] = 206428,
  [SMALL_STATE(6966)] = 206493,
  [SMALL_STATE(6967)] = 206558,
  [SMALL_STATE(6968)] = 206623,
  [SMALL_STATE(6969)] = 206688,
  [SMALL_STATE(6970)] = 206753,
  [SMALL_STATE(6971)] = 206818,
  [SMALL_STATE(6972)] = 206883,
  [SMALL_STATE(6973)] = 206948,
  [SMALL_STATE(6974)] = 207013,
  [SMALL_STATE(6975)] = 207078,
  [SMALL_STATE(6976)] = 207143,
  [SMALL_STATE(6977)] = 207208,
  [SMALL_STATE(6978)] = 207273,
  [SMALL_STATE(6979)] = 207338,
  [SMALL_STATE(6980)] = 207403,
  [SMALL_STATE(6981)] = 207468,
  [SMALL_STATE(6982)] = 207533,
  [SMALL_STATE(6983)] = 207598,
  [SMALL_STATE(6984)] = 207663,
  [SMALL_STATE(6985)] = 207728,
  [SMALL_STATE(6986)] = 207793,
  [SMALL_STATE(6987)] = 207858,
  [SMALL_STATE(6988)] = 207923,
  [SMALL_STATE(6989)] = 207988,
  [SMALL_STATE(6990)] = 208053,
  [SMALL_STATE(6991)] = 208118,
  [SMALL_STATE(6992)] = 208183,
  [SMALL_STATE(6993)] = 208248,
  [SMALL_STATE(6994)] = 208313,
  [SMALL_STATE(6995)] = 208378,
  [SMALL_STATE(6996)] = 208443,
  [SMALL_STATE(6997)] = 208508,
  [SMALL_STATE(6998)] = 208573,
  [SMALL_STATE(6999)] = 208638,
  [SMALL_STATE(7000)] = 208703,
  [SMALL_STATE(7001)] = 208768,
  [SMALL_STATE(7002)] = 208833,
  [SMALL_STATE(7003)] = 208898,
  [SMALL_STATE(7004)] = 208963,
  [SMALL_STATE(7005)] = 209028,
  [SMALL_STATE(7006)] = 209093,
  [SMALL_STATE(7007)] = 209158,
  [SMALL_STATE(7008)] = 209223,
  [SMALL_STATE(7009)] = 209288,
  [SMALL_STATE(7010)] = 209353,
  [SMALL_STATE(7011)] = 209418,
  [SMALL_STATE(7012)] = 209483,
  [SMALL_STATE(7013)] = 209548,
  [SMALL_STATE(7014)] = 209613,
  [SMALL_STATE(7015)] = 209678,
  [SMALL_STATE(7016)] = 209743,
  [SMALL_STATE(7017)] = 209808,
  [SMALL_STATE(7018)] = 209873,
  [SMALL_STATE(7019)] = 209938,
  [SMALL_STATE(7020)] = 210003,
  [SMALL_STATE(7021)] = 210068,
  [SMALL_STATE(7022)] = 210133,
  [SMALL_STATE(7023)] = 210198,
  [SMALL_STATE(7024)] = 210263,
  [SMALL_STATE(7025)] = 210328,
  [SMALL_STATE(7026)] = 210393,
  [SMALL_STATE(7027)] = 210458,
  [SMALL_STATE(7028)] = 210523,
  [SMALL_STATE(7029)] = 210588,
  [SMALL_STATE(7030)] = 210653,
  [SMALL_STATE(7031)] = 210718,
  [SMALL_STATE(7032)] = 210783,
  [SMALL_STATE(7033)] = 210848,
  [SMALL_STATE(7034)] = 210913,
  [SMALL_STATE(7035)] = 210978,
  [SMALL_STATE(7036)] = 211043,
  [SMALL_STATE(7037)] = 211108,
  [SMALL_STATE(7038)] = 211173,
  [SMALL_STATE(7039)] = 211238,
  [SMALL_STATE(7040)] = 211303,
  [SMALL_STATE(7041)] = 211368,
  [SMALL_STATE(7042)] = 211433,
  [SMALL_STATE(7043)] = 211498,
  [SMALL_STATE(7044)] = 211563,
  [SMALL_STATE(7045)] = 211628,
  [SMALL_STATE(7046)] = 211693,
  [SMALL_STATE(7047)] = 211758,
  [SMALL_STATE(7048)] = 211823,
  [SMALL_STATE(7049)] = 211888,
  [SMALL_STATE(7050)] = 211953,
  [SMALL_STATE(7051)] = 212018,
  [SMALL_STATE(7052)] = 212083,
  [SMALL_STATE(7053)] = 212148,
  [SMALL_STATE(7054)] = 212213,
  [SMALL_STATE(7055)] = 212278,
  [SMALL_STATE(7056)] = 212343,
  [SMALL_STATE(7057)] = 212408,
  [SMALL_STATE(7058)] = 212473,
  [SMALL_STATE(7059)] = 212538,
  [SMALL_STATE(7060)] = 212603,
  [SMALL_STATE(7061)] = 212668,
  [SMALL_STATE(7062)] = 212733,
  [SMALL_STATE(7063)] = 212798,
  [SMALL_STATE(7064)] = 212863,
  [SMALL_STATE(7065)] = 212928,
  [SMALL_STATE(7066)] = 212993,
  [SMALL_STATE(7067)] = 213058,
  [SMALL_STATE(7068)] = 213123,
  [SMALL_STATE(7069)] = 213188,
  [SMALL_STATE(7070)] = 213253,
  [SMALL_STATE(7071)] = 213318,
  [SMALL_STATE(7072)] = 213383,
  [SMALL_STATE(7073)] = 213448,
  [SMALL_STATE(7074)] = 213513,
  [SMALL_STATE(7075)] = 213578,
  [SMALL_STATE(7076)] = 213643,
  [SMALL_STATE(7077)] = 213708,
  [SMALL_STATE(7078)] = 213773,
  [SMALL_STATE(7079)] = 213838,
  [SMALL_STATE(7080)] = 213903,
  [SMALL_STATE(7081)] = 213968,
  [SMALL_STATE(7082)] = 214033,
  [SMALL_STATE(7083)] = 214098,
  [SMALL_STATE(7084)] = 214163,
  [SMALL_STATE(7085)] = 214228,
  [SMALL_STATE(7086)] = 214293,
  [SMALL_STATE(7087)] = 214358,
  [SMALL_STATE(7088)] = 214423,
  [SMALL_STATE(7089)] = 214488,
  [SMALL_STATE(7090)] = 214553,
  [SMALL_STATE(7091)] = 214618,
  [SMALL_STATE(7092)] = 214683,
  [SMALL_STATE(7093)] = 214748,
  [SMALL_STATE(7094)] = 214813,
  [SMALL_STATE(7095)] = 214878,
  [SMALL_STATE(7096)] = 214943,
  [SMALL_STATE(7097)] = 215008,
  [SMALL_STATE(7098)] = 215073,
  [SMALL_STATE(7099)] = 215138,
  [SMALL_STATE(7100)] = 215203,
  [SMALL_STATE(7101)] = 215268,
  [SMALL_STATE(7102)] = 215333,
  [SMALL_STATE(7103)] = 215398,
  [SMALL_STATE(7104)] = 215463,
  [SMALL_STATE(7105)] = 215528,
  [SMALL_STATE(7106)] = 215593,
  [SMALL_STATE(7107)] = 215658,
  [SMALL_STATE(7108)] = 215723,
  [SMALL_STATE(7109)] = 215788,
  [SMALL_STATE(7110)] = 215853,
  [SMALL_STATE(7111)] = 215918,
  [SMALL_STATE(7112)] = 215983,
  [SMALL_STATE(7113)] = 216048,
  [SMALL_STATE(7114)] = 216113,
  [SMALL_STATE(7115)] = 216178,
  [SMALL_STATE(7116)] = 216243,
  [SMALL_STATE(7117)] = 216308,
  [SMALL_STATE(7118)] = 216373,
  [SMALL_STATE(7119)] = 216438,
  [SMALL_STATE(7120)] = 216503,
  [SMALL_STATE(7121)] = 216568,
  [SMALL_STATE(7122)] = 216633,
  [SMALL_STATE(7123)] = 216698,
  [SMALL_STATE(7124)] = 216763,
  [SMALL_STATE(7125)] = 216828,
  [SMALL_STATE(7126)] = 216893,
  [SMALL_STATE(7127)] = 216958,
  [SMALL_STATE(7128)] = 217023,
  [SMALL_STATE(7129)] = 217088,
  [SMALL_STATE(7130)] = 217153,
  [SMALL_STATE(7131)] = 217218,
  [SMALL_STATE(7132)] = 217283,
  [SMALL_STATE(7133)] = 217348,
  [SMALL_STATE(7134)] = 217413,
  [SMALL_STATE(7135)] = 217478,
  [SMALL_STATE(7136)] = 217543,
  [SMALL_STATE(7137)] = 217608,
  [SMALL_STATE(7138)] = 217673,
  [SMALL_STATE(7139)] = 217738,
  [SMALL_STATE(7140)] = 217775,
  [SMALL_STATE(7141)] = 217840,
  [SMALL_STATE(7142)] = 217905,
  [SMALL_STATE(7143)] = 217942,
  [SMALL_STATE(7144)] = 218007,
  [SMALL_STATE(7145)] = 218072,
  [SMALL_STATE(7146)] = 218137,
  [SMALL_STATE(7147)] = 218202,
  [SMALL_STATE(7148)] = 218267,
  [SMALL_STATE(7149)] = 218332,
  [SMALL_STATE(7150)] = 218397,
  [SMALL_STATE(7151)] = 218462,
  [SMALL_STATE(7152)] = 218527,
  [SMALL_STATE(7153)] = 218592,
  [SMALL_STATE(7154)] = 218657,
  [SMALL_STATE(7155)] = 218722,
  [SMALL_STATE(7156)] = 218787,
  [SMALL_STATE(7157)] = 218852,
  [SMALL_STATE(7158)] = 218917,
  [SMALL_STATE(7159)] = 218982,
  [SMALL_STATE(7160)] = 219047,
  [SMALL_STATE(7161)] = 219112,
  [SMALL_STATE(7162)] = 219149,
  [SMALL_STATE(7163)] = 219214,
  [SMALL_STATE(7164)] = 219251,
  [SMALL_STATE(7165)] = 219316,
  [SMALL_STATE(7166)] = 219381,
  [SMALL_STATE(7167)] = 219418,
  [SMALL_STATE(7168)] = 219483,
  [SMALL_STATE(7169)] = 219548,
  [SMALL_STATE(7170)] = 219585,
  [SMALL_STATE(7171)] = 219622,
  [SMALL_STATE(7172)] = 219687,
  [SMALL_STATE(7173)] = 219752,
  [SMALL_STATE(7174)] = 219789,
  [SMALL_STATE(7175)] = 219826,
  [SMALL_STATE(7176)] = 219863,
  [SMALL_STATE(7177)] = 219928,
  [SMALL_STATE(7178)] = 219993,
  [SMALL_STATE(7179)] = 220058,
  [SMALL_STATE(7180)] = 220123,
  [SMALL_STATE(7181)] = 220160,
  [SMALL_STATE(7182)] = 220225,
  [SMALL_STATE(7183)] = 220290,
  [SMALL_STATE(7184)] = 220327,
  [SMALL_STATE(7185)] = 220392,
  [SMALL_STATE(7186)] = 220457,
  [SMALL_STATE(7187)] = 220522,
  [SMALL_STATE(7188)] = 220587,
  [SMALL_STATE(7189)] = 220652,
  [SMALL_STATE(7190)] = 220717,
  [SMALL_STATE(7191)] = 220782,
  [SMALL_STATE(7192)] = 220847,
  [SMALL_STATE(7193)] = 220912,
  [SMALL_STATE(7194)] = 220977,
  [SMALL_STATE(7195)] = 221042,
  [SMALL_STATE(7196)] = 221107,
  [SMALL_STATE(7197)] = 221172,
  [SMALL_STATE(7198)] = 221237,
  [SMALL_STATE(7199)] = 221302,
  [SMALL_STATE(7200)] = 221367,
  [SMALL_STATE(7201)] = 221432,
  [SMALL_STATE(7202)] = 221497,
  [SMALL_STATE(7203)] = 221534,
  [SMALL_STATE(7204)] = 221571,
  [SMALL_STATE(7205)] = 221636,
  [SMALL_STATE(7206)] = 221701,
  [SMALL_STATE(7207)] = 221766,
  [SMALL_STATE(7208)] = 221831,
  [SMALL_STATE(7209)] = 221896,
  [SMALL_STATE(7210)] = 221961,
  [SMALL_STATE(7211)] = 222026,
  [SMALL_STATE(7212)] = 222063,
  [SMALL_STATE(7213)] = 222100,
  [SMALL_STATE(7214)] = 222165,
  [SMALL_STATE(7215)] = 222230,
  [SMALL_STATE(7216)] = 222295,
  [SMALL_STATE(7217)] = 222360,
  [SMALL_STATE(7218)] = 222425,
  [SMALL_STATE(7219)] = 222490,
  [SMALL_STATE(7220)] = 222555,
  [SMALL_STATE(7221)] = 222620,
  [SMALL_STATE(7222)] = 222685,
  [SMALL_STATE(7223)] = 222750,
  [SMALL_STATE(7224)] = 222815,
  [SMALL_STATE(7225)] = 222880,
  [SMALL_STATE(7226)] = 222917,
  [SMALL_STATE(7227)] = 222982,
  [SMALL_STATE(7228)] = 223047,
  [SMALL_STATE(7229)] = 223084,
  [SMALL_STATE(7230)] = 223121,
  [SMALL_STATE(7231)] = 223186,
  [SMALL_STATE(7232)] = 223251,
  [SMALL_STATE(7233)] = 223316,
  [SMALL_STATE(7234)] = 223381,
  [SMALL_STATE(7235)] = 223418,
  [SMALL_STATE(7236)] = 223483,
  [SMALL_STATE(7237)] = 223548,
  [SMALL_STATE(7238)] = 223613,
  [SMALL_STATE(7239)] = 223650,
  [SMALL_STATE(7240)] = 223687,
  [SMALL_STATE(7241)] = 223752,
  [SMALL_STATE(7242)] = 223817,
  [SMALL_STATE(7243)] = 223882,
  [SMALL_STATE(7244)] = 223947,
  [SMALL_STATE(7245)] = 224012,
  [SMALL_STATE(7246)] = 224077,
  [SMALL_STATE(7247)] = 224142,
  [SMALL_STATE(7248)] = 224207,
  [SMALL_STATE(7249)] = 224272,
  [SMALL_STATE(7250)] = 224337,
  [SMALL_STATE(7251)] = 224402,
  [SMALL_STATE(7252)] = 224467,
  [SMALL_STATE(7253)] = 224532,
  [SMALL_STATE(7254)] = 224597,
  [SMALL_STATE(7255)] = 224662,
  [SMALL_STATE(7256)] = 224727,
  [SMALL_STATE(7257)] = 224792,
  [SMALL_STATE(7258)] = 224857,
  [SMALL_STATE(7259)] = 224922,
  [SMALL_STATE(7260)] = 224987,
  [SMALL_STATE(7261)] = 225052,
  [SMALL_STATE(7262)] = 225117,
  [SMALL_STATE(7263)] = 225182,
  [SMALL_STATE(7264)] = 225247,
  [SMALL_STATE(7265)] = 225312,
  [SMALL_STATE(7266)] = 225377,
  [SMALL_STATE(7267)] = 225442,
  [SMALL_STATE(7268)] = 225507,
  [SMALL_STATE(7269)] = 225572,
  [SMALL_STATE(7270)] = 225637,
  [SMALL_STATE(7271)] = 225702,
  [SMALL_STATE(7272)] = 225767,
  [SMALL_STATE(7273)] = 225832,
  [SMALL_STATE(7274)] = 225897,
  [SMALL_STATE(7275)] = 225962,
  [SMALL_STATE(7276)] = 226027,
  [SMALL_STATE(7277)] = 226092,
  [SMALL_STATE(7278)] = 226157,
  [SMALL_STATE(7279)] = 226222,
  [SMALL_STATE(7280)] = 226287,
  [SMALL_STATE(7281)] = 226352,
  [SMALL_STATE(7282)] = 226417,
  [SMALL_STATE(7283)] = 226482,
  [SMALL_STATE(7284)] = 226547,
  [SMALL_STATE(7285)] = 226612,
  [SMALL_STATE(7286)] = 226677,
  [SMALL_STATE(7287)] = 226742,
  [SMALL_STATE(7288)] = 226807,
  [SMALL_STATE(7289)] = 226872,
  [SMALL_STATE(7290)] = 226937,
  [SMALL_STATE(7291)] = 227002,
  [SMALL_STATE(7292)] = 227067,
  [SMALL_STATE(7293)] = 227132,
  [SMALL_STATE(7294)] = 227197,
  [SMALL_STATE(7295)] = 227262,
  [SMALL_STATE(7296)] = 227327,
  [SMALL_STATE(7297)] = 227392,
  [SMALL_STATE(7298)] = 227457,
  [SMALL_STATE(7299)] = 227522,
  [SMALL_STATE(7300)] = 227587,
  [SMALL_STATE(7301)] = 227652,
  [SMALL_STATE(7302)] = 227717,
  [SMALL_STATE(7303)] = 227782,
  [SMALL_STATE(7304)] = 227847,
  [SMALL_STATE(7305)] = 227912,
  [SMALL_STATE(7306)] = 227977,
  [SMALL_STATE(7307)] = 228042,
  [SMALL_STATE(7308)] = 228107,
  [SMALL_STATE(7309)] = 228172,
  [SMALL_STATE(7310)] = 228237,
  [SMALL_STATE(7311)] = 228302,
  [SMALL_STATE(7312)] = 228367,
  [SMALL_STATE(7313)] = 228432,
  [SMALL_STATE(7314)] = 228497,
  [SMALL_STATE(7315)] = 228562,
  [SMALL_STATE(7316)] = 228627,
  [SMALL_STATE(7317)] = 228692,
  [SMALL_STATE(7318)] = 228757,
  [SMALL_STATE(7319)] = 228822,
  [SMALL_STATE(7320)] = 228887,
  [SMALL_STATE(7321)] = 228952,
  [SMALL_STATE(7322)] = 229017,
  [SMALL_STATE(7323)] = 229082,
  [SMALL_STATE(7324)] = 229147,
  [SMALL_STATE(7325)] = 229212,
  [SMALL_STATE(7326)] = 229277,
  [SMALL_STATE(7327)] = 229342,
  [SMALL_STATE(7328)] = 229407,
  [SMALL_STATE(7329)] = 229472,
  [SMALL_STATE(7330)] = 229537,
  [SMALL_STATE(7331)] = 229602,
  [SMALL_STATE(7332)] = 229667,
  [SMALL_STATE(7333)] = 229732,
  [SMALL_STATE(7334)] = 229797,
  [SMALL_STATE(7335)] = 229862,
  [SMALL_STATE(7336)] = 229927,
  [SMALL_STATE(7337)] = 229992,
  [SMALL_STATE(7338)] = 230057,
  [SMALL_STATE(7339)] = 230122,
  [SMALL_STATE(7340)] = 230187,
  [SMALL_STATE(7341)] = 230252,
  [SMALL_STATE(7342)] = 230317,
  [SMALL_STATE(7343)] = 230382,
  [SMALL_STATE(7344)] = 230447,
  [SMALL_STATE(7345)] = 230512,
  [SMALL_STATE(7346)] = 230577,
  [SMALL_STATE(7347)] = 230642,
  [SMALL_STATE(7348)] = 230707,
  [SMALL_STATE(7349)] = 230772,
  [SMALL_STATE(7350)] = 230837,
  [SMALL_STATE(7351)] = 230902,
  [SMALL_STATE(7352)] = 230967,
  [SMALL_STATE(7353)] = 231032,
  [SMALL_STATE(7354)] = 231097,
  [SMALL_STATE(7355)] = 231162,
  [SMALL_STATE(7356)] = 231227,
  [SMALL_STATE(7357)] = 231292,
  [SMALL_STATE(7358)] = 231357,
  [SMALL_STATE(7359)] = 231422,
  [SMALL_STATE(7360)] = 231487,
  [SMALL_STATE(7361)] = 231552,
  [SMALL_STATE(7362)] = 231617,
  [SMALL_STATE(7363)] = 231682,
  [SMALL_STATE(7364)] = 231747,
  [SMALL_STATE(7365)] = 231812,
  [SMALL_STATE(7366)] = 231877,
  [SMALL_STATE(7367)] = 231942,
  [SMALL_STATE(7368)] = 232007,
  [SMALL_STATE(7369)] = 232072,
  [SMALL_STATE(7370)] = 232137,
  [SMALL_STATE(7371)] = 232202,
  [SMALL_STATE(7372)] = 232267,
  [SMALL_STATE(7373)] = 232332,
  [SMALL_STATE(7374)] = 232397,
  [SMALL_STATE(7375)] = 232462,
  [SMALL_STATE(7376)] = 232527,
  [SMALL_STATE(7377)] = 232592,
  [SMALL_STATE(7378)] = 232657,
  [SMALL_STATE(7379)] = 232722,
  [SMALL_STATE(7380)] = 232787,
  [SMALL_STATE(7381)] = 232852,
  [SMALL_STATE(7382)] = 232917,
  [SMALL_STATE(7383)] = 232982,
  [SMALL_STATE(7384)] = 233047,
  [SMALL_STATE(7385)] = 233112,
  [SMALL_STATE(7386)] = 233177,
  [SMALL_STATE(7387)] = 233242,
  [SMALL_STATE(7388)] = 233307,
  [SMALL_STATE(7389)] = 233372,
  [SMALL_STATE(7390)] = 233437,
  [SMALL_STATE(7391)] = 233502,
  [SMALL_STATE(7392)] = 233567,
  [SMALL_STATE(7393)] = 233632,
  [SMALL_STATE(7394)] = 233697,
  [SMALL_STATE(7395)] = 233762,
  [SMALL_STATE(7396)] = 233827,
  [SMALL_STATE(7397)] = 233892,
  [SMALL_STATE(7398)] = 233957,
  [SMALL_STATE(7399)] = 234022,
  [SMALL_STATE(7400)] = 234087,
  [SMALL_STATE(7401)] = 234152,
  [SMALL_STATE(7402)] = 234217,
  [SMALL_STATE(7403)] = 234282,
  [SMALL_STATE(7404)] = 234347,
  [SMALL_STATE(7405)] = 234412,
  [SMALL_STATE(7406)] = 234477,
  [SMALL_STATE(7407)] = 234542,
  [SMALL_STATE(7408)] = 234607,
  [SMALL_STATE(7409)] = 234672,
  [SMALL_STATE(7410)] = 234737,
  [SMALL_STATE(7411)] = 234802,
  [SMALL_STATE(7412)] = 234867,
  [SMALL_STATE(7413)] = 234932,
  [SMALL_STATE(7414)] = 234997,
  [SMALL_STATE(7415)] = 235062,
  [SMALL_STATE(7416)] = 235099,
  [SMALL_STATE(7417)] = 235136,
  [SMALL_STATE(7418)] = 235201,
  [SMALL_STATE(7419)] = 235238,
  [SMALL_STATE(7420)] = 235303,
  [SMALL_STATE(7421)] = 235368,
  [SMALL_STATE(7422)] = 235405,
  [SMALL_STATE(7423)] = 235442,
  [SMALL_STATE(7424)] = 235479,
  [SMALL_STATE(7425)] = 235544,
  [SMALL_STATE(7426)] = 235581,
  [SMALL_STATE(7427)] = 235646,
  [SMALL_STATE(7428)] = 235711,
  [SMALL_STATE(7429)] = 235776,
  [SMALL_STATE(7430)] = 235841,
  [SMALL_STATE(7431)] = 235906,
  [SMALL_STATE(7432)] = 235971,
  [SMALL_STATE(7433)] = 236036,
  [SMALL_STATE(7434)] = 236101,
  [SMALL_STATE(7435)] = 236166,
  [SMALL_STATE(7436)] = 236231,
  [SMALL_STATE(7437)] = 236296,
  [SMALL_STATE(7438)] = 236361,
  [SMALL_STATE(7439)] = 236426,
  [SMALL_STATE(7440)] = 236491,
  [SMALL_STATE(7441)] = 236556,
  [SMALL_STATE(7442)] = 236621,
  [SMALL_STATE(7443)] = 236686,
  [SMALL_STATE(7444)] = 236751,
  [SMALL_STATE(7445)] = 236816,
  [SMALL_STATE(7446)] = 236881,
  [SMALL_STATE(7447)] = 236946,
  [SMALL_STATE(7448)] = 237011,
  [SMALL_STATE(7449)] = 237076,
  [SMALL_STATE(7450)] = 237141,
  [SMALL_STATE(7451)] = 237206,
  [SMALL_STATE(7452)] = 237243,
  [SMALL_STATE(7453)] = 237308,
  [SMALL_STATE(7454)] = 237373,
  [SMALL_STATE(7455)] = 237438,
  [SMALL_STATE(7456)] = 237503,
  [SMALL_STATE(7457)] = 237568,
  [SMALL_STATE(7458)] = 237633,
  [SMALL_STATE(7459)] = 237698,
  [SMALL_STATE(7460)] = 237763,
  [SMALL_STATE(7461)] = 237828,
  [SMALL_STATE(7462)] = 237893,
  [SMALL_STATE(7463)] = 237958,
  [SMALL_STATE(7464)] = 238023,
  [SMALL_STATE(7465)] = 238088,
  [SMALL_STATE(7466)] = 238125,
  [SMALL_STATE(7467)] = 238162,
  [SMALL_STATE(7468)] = 238227,
  [SMALL_STATE(7469)] = 238292,
  [SMALL_STATE(7470)] = 238357,
  [SMALL_STATE(7471)] = 238422,
  [SMALL_STATE(7472)] = 238487,
  [SMALL_STATE(7473)] = 238552,
  [SMALL_STATE(7474)] = 238589,
  [SMALL_STATE(7475)] = 238654,
  [SMALL_STATE(7476)] = 238719,
  [SMALL_STATE(7477)] = 238784,
  [SMALL_STATE(7478)] = 238849,
  [SMALL_STATE(7479)] = 238914,
  [SMALL_STATE(7480)] = 238979,
  [SMALL_STATE(7481)] = 239044,
  [SMALL_STATE(7482)] = 239109,
  [SMALL_STATE(7483)] = 239174,
  [SMALL_STATE(7484)] = 239239,
  [SMALL_STATE(7485)] = 239304,
  [SMALL_STATE(7486)] = 239369,
  [SMALL_STATE(7487)] = 239434,
  [SMALL_STATE(7488)] = 239471,
  [SMALL_STATE(7489)] = 239536,
  [SMALL_STATE(7490)] = 239601,
  [SMALL_STATE(7491)] = 239666,
  [SMALL_STATE(7492)] = 239731,
  [SMALL_STATE(7493)] = 239796,
  [SMALL_STATE(7494)] = 239861,
  [SMALL_STATE(7495)] = 239926,
  [SMALL_STATE(7496)] = 239991,
  [SMALL_STATE(7497)] = 240056,
  [SMALL_STATE(7498)] = 240121,
  [SMALL_STATE(7499)] = 240186,
  [SMALL_STATE(7500)] = 240251,
  [SMALL_STATE(7501)] = 240316,
  [SMALL_STATE(7502)] = 240381,
  [SMALL_STATE(7503)] = 240446,
  [SMALL_STATE(7504)] = 240511,
  [SMALL_STATE(7505)] = 240576,
  [SMALL_STATE(7506)] = 240641,
  [SMALL_STATE(7507)] = 240706,
  [SMALL_STATE(7508)] = 240771,
  [SMALL_STATE(7509)] = 240836,
  [SMALL_STATE(7510)] = 240901,
  [SMALL_STATE(7511)] = 240966,
  [SMALL_STATE(7512)] = 241031,
  [SMALL_STATE(7513)] = 241096,
  [SMALL_STATE(7514)] = 241161,
  [SMALL_STATE(7515)] = 241226,
  [SMALL_STATE(7516)] = 241291,
  [SMALL_STATE(7517)] = 241356,
  [SMALL_STATE(7518)] = 241421,
  [SMALL_STATE(7519)] = 241486,
  [SMALL_STATE(7520)] = 241551,
  [SMALL_STATE(7521)] = 241616,
  [SMALL_STATE(7522)] = 241681,
  [SMALL_STATE(7523)] = 241746,
  [SMALL_STATE(7524)] = 241811,
  [SMALL_STATE(7525)] = 241876,
  [SMALL_STATE(7526)] = 241941,
  [SMALL_STATE(7527)] = 242006,
  [SMALL_STATE(7528)] = 242071,
  [SMALL_STATE(7529)] = 242136,
  [SMALL_STATE(7530)] = 242201,
  [SMALL_STATE(7531)] = 242266,
  [SMALL_STATE(7532)] = 242331,
  [SMALL_STATE(7533)] = 242396,
  [SMALL_STATE(7534)] = 242461,
  [SMALL_STATE(7535)] = 242526,
  [SMALL_STATE(7536)] = 242591,
  [SMALL_STATE(7537)] = 242656,
  [SMALL_STATE(7538)] = 242721,
  [SMALL_STATE(7539)] = 242786,
  [SMALL_STATE(7540)] = 242851,
  [SMALL_STATE(7541)] = 242916,
  [SMALL_STATE(7542)] = 242953,
  [SMALL_STATE(7543)] = 243018,
  [SMALL_STATE(7544)] = 243055,
  [SMALL_STATE(7545)] = 243120,
  [SMALL_STATE(7546)] = 243185,
  [SMALL_STATE(7547)] = 243250,
  [SMALL_STATE(7548)] = 243315,
  [SMALL_STATE(7549)] = 243380,
  [SMALL_STATE(7550)] = 243445,
  [SMALL_STATE(7551)] = 243510,
  [SMALL_STATE(7552)] = 243575,
  [SMALL_STATE(7553)] = 243640,
  [SMALL_STATE(7554)] = 243705,
  [SMALL_STATE(7555)] = 243770,
  [SMALL_STATE(7556)] = 243835,
  [SMALL_STATE(7557)] = 243900,
  [SMALL_STATE(7558)] = 243965,
  [SMALL_STATE(7559)] = 244030,
  [SMALL_STATE(7560)] = 244095,
  [SMALL_STATE(7561)] = 244160,
  [SMALL_STATE(7562)] = 244225,
  [SMALL_STATE(7563)] = 244290,
  [SMALL_STATE(7564)] = 244355,
  [SMALL_STATE(7565)] = 244420,
  [SMALL_STATE(7566)] = 244485,
  [SMALL_STATE(7567)] = 244550,
  [SMALL_STATE(7568)] = 244615,
  [SMALL_STATE(7569)] = 244680,
  [SMALL_STATE(7570)] = 244745,
  [SMALL_STATE(7571)] = 244810,
  [SMALL_STATE(7572)] = 244875,
  [SMALL_STATE(7573)] = 244940,
  [SMALL_STATE(7574)] = 245005,
  [SMALL_STATE(7575)] = 245070,
  [SMALL_STATE(7576)] = 245135,
  [SMALL_STATE(7577)] = 245200,
  [SMALL_STATE(7578)] = 245237,
  [SMALL_STATE(7579)] = 245302,
  [SMALL_STATE(7580)] = 245367,
  [SMALL_STATE(7581)] = 245432,
  [SMALL_STATE(7582)] = 245497,
  [SMALL_STATE(7583)] = 245562,
  [SMALL_STATE(7584)] = 245627,
  [SMALL_STATE(7585)] = 245692,
  [SMALL_STATE(7586)] = 245757,
  [SMALL_STATE(7587)] = 245822,
  [SMALL_STATE(7588)] = 245887,
  [SMALL_STATE(7589)] = 245952,
  [SMALL_STATE(7590)] = 246017,
  [SMALL_STATE(7591)] = 246054,
  [SMALL_STATE(7592)] = 246119,
  [SMALL_STATE(7593)] = 246184,
  [SMALL_STATE(7594)] = 246249,
  [SMALL_STATE(7595)] = 246314,
  [SMALL_STATE(7596)] = 246379,
  [SMALL_STATE(7597)] = 246444,
  [SMALL_STATE(7598)] = 246509,
  [SMALL_STATE(7599)] = 246574,
  [SMALL_STATE(7600)] = 246639,
  [SMALL_STATE(7601)] = 246704,
  [SMALL_STATE(7602)] = 246769,
  [SMALL_STATE(7603)] = 246834,
  [SMALL_STATE(7604)] = 246899,
  [SMALL_STATE(7605)] = 246964,
  [SMALL_STATE(7606)] = 247029,
  [SMALL_STATE(7607)] = 247066,
  [SMALL_STATE(7608)] = 247131,
  [SMALL_STATE(7609)] = 247196,
  [SMALL_STATE(7610)] = 247261,
  [SMALL_STATE(7611)] = 247326,
  [SMALL_STATE(7612)] = 247391,
  [SMALL_STATE(7613)] = 247456,
  [SMALL_STATE(7614)] = 247521,
  [SMALL_STATE(7615)] = 247586,
  [SMALL_STATE(7616)] = 247651,
  [SMALL_STATE(7617)] = 247716,
  [SMALL_STATE(7618)] = 247781,
  [SMALL_STATE(7619)] = 247846,
  [SMALL_STATE(7620)] = 247911,
  [SMALL_STATE(7621)] = 247976,
  [SMALL_STATE(7622)] = 248041,
  [SMALL_STATE(7623)] = 248106,
  [SMALL_STATE(7624)] = 248171,
  [SMALL_STATE(7625)] = 248236,
  [SMALL_STATE(7626)] = 248301,
  [SMALL_STATE(7627)] = 248366,
  [SMALL_STATE(7628)] = 248431,
  [SMALL_STATE(7629)] = 248496,
  [SMALL_STATE(7630)] = 248561,
  [SMALL_STATE(7631)] = 248626,
  [SMALL_STATE(7632)] = 248691,
  [SMALL_STATE(7633)] = 248756,
  [SMALL_STATE(7634)] = 248821,
  [SMALL_STATE(7635)] = 248886,
  [SMALL_STATE(7636)] = 248951,
  [SMALL_STATE(7637)] = 249016,
  [SMALL_STATE(7638)] = 249081,
  [SMALL_STATE(7639)] = 249146,
  [SMALL_STATE(7640)] = 249211,
  [SMALL_STATE(7641)] = 249276,
  [SMALL_STATE(7642)] = 249341,
  [SMALL_STATE(7643)] = 249406,
  [SMALL_STATE(7644)] = 249471,
  [SMALL_STATE(7645)] = 249536,
  [SMALL_STATE(7646)] = 249601,
  [SMALL_STATE(7647)] = 249666,
  [SMALL_STATE(7648)] = 249731,
  [SMALL_STATE(7649)] = 249796,
  [SMALL_STATE(7650)] = 249861,
  [SMALL_STATE(7651)] = 249926,
  [SMALL_STATE(7652)] = 249991,
  [SMALL_STATE(7653)] = 250056,
  [SMALL_STATE(7654)] = 250121,
  [SMALL_STATE(7655)] = 250186,
  [SMALL_STATE(7656)] = 250251,
  [SMALL_STATE(7657)] = 250316,
  [SMALL_STATE(7658)] = 250381,
  [SMALL_STATE(7659)] = 250446,
  [SMALL_STATE(7660)] = 250482,
  [SMALL_STATE(7661)] = 250520,
  [SMALL_STATE(7662)] = 250556,
  [SMALL_STATE(7663)] = 250594,
  [SMALL_STATE(7664)] = 250630,
  [SMALL_STATE(7665)] = 250666,
  [SMALL_STATE(7666)] = 250702,
  [SMALL_STATE(7667)] = 250740,
  [SMALL_STATE(7668)] = 250776,
  [SMALL_STATE(7669)] = 250812,
  [SMALL_STATE(7670)] = 250850,
  [SMALL_STATE(7671)] = 250888,
  [SMALL_STATE(7672)] = 250924,
  [SMALL_STATE(7673)] = 250960,
  [SMALL_STATE(7674)] = 250996,
  [SMALL_STATE(7675)] = 251032,
  [SMALL_STATE(7676)] = 251068,
  [SMALL_STATE(7677)] = 251104,
  [SMALL_STATE(7678)] = 251140,
  [SMALL_STATE(7679)] = 251176,
  [SMALL_STATE(7680)] = 251212,
  [SMALL_STATE(7681)] = 251250,
  [SMALL_STATE(7682)] = 251286,
  [SMALL_STATE(7683)] = 251322,
  [SMALL_STATE(7684)] = 251360,
  [SMALL_STATE(7685)] = 251398,
  [SMALL_STATE(7686)] = 251434,
  [SMALL_STATE(7687)] = 251470,
  [SMALL_STATE(7688)] = 251506,
  [SMALL_STATE(7689)] = 251542,
  [SMALL_STATE(7690)] = 251580,
  [SMALL_STATE(7691)] = 251618,
  [SMALL_STATE(7692)] = 251654,
  [SMALL_STATE(7693)] = 251690,
  [SMALL_STATE(7694)] = 251726,
  [SMALL_STATE(7695)] = 251762,
  [SMALL_STATE(7696)] = 251798,
  [SMALL_STATE(7697)] = 251834,
  [SMALL_STATE(7698)] = 251872,
  [SMALL_STATE(7699)] = 251908,
  [SMALL_STATE(7700)] = 251944,
  [SMALL_STATE(7701)] = 251982,
  [SMALL_STATE(7702)] = 252018,
  [SMALL_STATE(7703)] = 252056,
  [SMALL_STATE(7704)] = 252094,
  [SMALL_STATE(7705)] = 252130,
  [SMALL_STATE(7706)] = 252166,
  [SMALL_STATE(7707)] = 252202,
  [SMALL_STATE(7708)] = 252240,
  [SMALL_STATE(7709)] = 252278,
  [SMALL_STATE(7710)] = 252316,
  [SMALL_STATE(7711)] = 252354,
  [SMALL_STATE(7712)] = 252390,
  [SMALL_STATE(7713)] = 252437,
  [SMALL_STATE(7714)] = 252484,
  [SMALL_STATE(7715)] = 252531,
  [SMALL_STATE(7716)] = 252578,
  [SMALL_STATE(7717)] = 252625,
  [SMALL_STATE(7718)] = 252672,
  [SMALL_STATE(7719)] = 252719,
  [SMALL_STATE(7720)] = 252766,
  [SMALL_STATE(7721)] = 252813,
  [SMALL_STATE(7722)] = 252860,
  [SMALL_STATE(7723)] = 252907,
  [SMALL_STATE(7724)] = 252954,
  [SMALL_STATE(7725)] = 253001,
  [SMALL_STATE(7726)] = 253048,
  [SMALL_STATE(7727)] = 253095,
  [SMALL_STATE(7728)] = 253142,
  [SMALL_STATE(7729)] = 253189,
  [SMALL_STATE(7730)] = 253226,
  [SMALL_STATE(7731)] = 253273,
  [SMALL_STATE(7732)] = 253320,
  [SMALL_STATE(7733)] = 253367,
  [SMALL_STATE(7734)] = 253414,
  [SMALL_STATE(7735)] = 253461,
  [SMALL_STATE(7736)] = 253508,
  [SMALL_STATE(7737)] = 253543,
  [SMALL_STATE(7738)] = 253582,
  [SMALL_STATE(7739)] = 253629,
  [SMALL_STATE(7740)] = 253676,
  [SMALL_STATE(7741)] = 253723,
  [SMALL_STATE(7742)] = 253770,
  [SMALL_STATE(7743)] = 253817,
  [SMALL_STATE(7744)] = 253864,
  [SMALL_STATE(7745)] = 253911,
  [SMALL_STATE(7746)] = 253958,
  [SMALL_STATE(7747)] = 254005,
  [SMALL_STATE(7748)] = 254052,
  [SMALL_STATE(7749)] = 254089,
  [SMALL_STATE(7750)] = 254136,
  [SMALL_STATE(7751)] = 254183,
  [SMALL_STATE(7752)] = 254230,
  [SMALL_STATE(7753)] = 254267,
  [SMALL_STATE(7754)] = 254314,
  [SMALL_STATE(7755)] = 254361,
  [SMALL_STATE(7756)] = 254408,
  [SMALL_STATE(7757)] = 254455,
  [SMALL_STATE(7758)] = 254502,
  [SMALL_STATE(7759)] = 254549,
  [SMALL_STATE(7760)] = 254586,
  [SMALL_STATE(7761)] = 254633,
  [SMALL_STATE(7762)] = 254680,
  [SMALL_STATE(7763)] = 254727,
  [SMALL_STATE(7764)] = 254774,
  [SMALL_STATE(7765)] = 254821,
  [SMALL_STATE(7766)] = 254868,
  [SMALL_STATE(7767)] = 254915,
  [SMALL_STATE(7768)] = 254962,
  [SMALL_STATE(7769)] = 254999,
  [SMALL_STATE(7770)] = 255046,
  [SMALL_STATE(7771)] = 255093,
  [SMALL_STATE(7772)] = 255140,
  [SMALL_STATE(7773)] = 255187,
  [SMALL_STATE(7774)] = 255234,
  [SMALL_STATE(7775)] = 255281,
  [SMALL_STATE(7776)] = 255328,
  [SMALL_STATE(7777)] = 255375,
  [SMALL_STATE(7778)] = 255422,
  [SMALL_STATE(7779)] = 255469,
  [SMALL_STATE(7780)] = 255516,
  [SMALL_STATE(7781)] = 255563,
  [SMALL_STATE(7782)] = 255610,
  [SMALL_STATE(7783)] = 255657,
  [SMALL_STATE(7784)] = 255704,
  [SMALL_STATE(7785)] = 255751,
  [SMALL_STATE(7786)] = 255798,
  [SMALL_STATE(7787)] = 255845,
  [SMALL_STATE(7788)] = 255892,
  [SMALL_STATE(7789)] = 255939,
  [SMALL_STATE(7790)] = 255986,
  [SMALL_STATE(7791)] = 256033,
  [SMALL_STATE(7792)] = 256080,
  [SMALL_STATE(7793)] = 256127,
  [SMALL_STATE(7794)] = 256174,
  [SMALL_STATE(7795)] = 256221,
  [SMALL_STATE(7796)] = 256268,
  [SMALL_STATE(7797)] = 256315,
  [SMALL_STATE(7798)] = 256362,
  [SMALL_STATE(7799)] = 256409,
  [SMALL_STATE(7800)] = 256442,
  [SMALL_STATE(7801)] = 256489,
  [SMALL_STATE(7802)] = 256536,
  [SMALL_STATE(7803)] = 256583,
  [SMALL_STATE(7804)] = 256630,
  [SMALL_STATE(7805)] = 256677,
  [SMALL_STATE(7806)] = 256724,
  [SMALL_STATE(7807)] = 256771,
  [SMALL_STATE(7808)] = 256818,
  [SMALL_STATE(7809)] = 256865,
  [SMALL_STATE(7810)] = 256912,
  [SMALL_STATE(7811)] = 256959,
  [SMALL_STATE(7812)] = 257006,
  [SMALL_STATE(7813)] = 257053,
  [SMALL_STATE(7814)] = 257100,
  [SMALL_STATE(7815)] = 257147,
  [SMALL_STATE(7816)] = 257194,
  [SMALL_STATE(7817)] = 257241,
  [SMALL_STATE(7818)] = 257288,
  [SMALL_STATE(7819)] = 257327,
  [SMALL_STATE(7820)] = 257374,
  [SMALL_STATE(7821)] = 257421,
  [SMALL_STATE(7822)] = 257468,
  [SMALL_STATE(7823)] = 257515,
  [SMALL_STATE(7824)] = 257562,
  [SMALL_STATE(7825)] = 257609,
  [SMALL_STATE(7826)] = 257656,
  [SMALL_STATE(7827)] = 257703,
  [SMALL_STATE(7828)] = 257750,
  [SMALL_STATE(7829)] = 257797,
  [SMALL_STATE(7830)] = 257831,
  [SMALL_STATE(7831)] = 257863,
  [SMALL_STATE(7832)] = 257897,
  [SMALL_STATE(7833)] = 257933,
  [SMALL_STATE(7834)] = 257965,
  [SMALL_STATE(7835)] = 258001,
  [SMALL_STATE(7836)] = 258035,
  [SMALL_STATE(7837)] = 258075,
  [SMALL_STATE(7838)] = 258107,
  [SMALL_STATE(7839)] = 258141,
  [SMALL_STATE(7840)] = 258173,
  [SMALL_STATE(7841)] = 258217,
  [SMALL_STATE(7842)] = 258249,
  [SMALL_STATE(7843)] = 258281,
  [SMALL_STATE(7844)] = 258316,
  [SMALL_STATE(7845)] = 258347,
  [SMALL_STATE(7846)] = 258382,
  [SMALL_STATE(7847)] = 258419,
  [SMALL_STATE(7848)] = 258456,
  [SMALL_STATE(7849)] = 258499,
  [SMALL_STATE(7850)] = 258530,
  [SMALL_STATE(7851)] = 258565,
  [SMALL_STATE(7852)] = 258608,
  [SMALL_STATE(7853)] = 258639,
  [SMALL_STATE(7854)] = 258676,
  [SMALL_STATE(7855)] = 258711,
  [SMALL_STATE(7856)] = 258742,
  [SMALL_STATE(7857)] = 258773,
  [SMALL_STATE(7858)] = 258804,
  [SMALL_STATE(7859)] = 258839,
  [SMALL_STATE(7860)] = 258874,
  [SMALL_STATE(7861)] = 258909,
  [SMALL_STATE(7862)] = 258940,
  [SMALL_STATE(7863)] = 258975,
  [SMALL_STATE(7864)] = 259010,
  [SMALL_STATE(7865)] = 259043,
  [SMALL_STATE(7866)] = 259078,
  [SMALL_STATE(7867)] = 259111,
  [SMALL_STATE(7868)] = 259148,
  [SMALL_STATE(7869)] = 259181,
  [SMALL_STATE(7870)] = 259214,
  [SMALL_STATE(7871)] = 259245,
  [SMALL_STATE(7872)] = 259280,
  [SMALL_STATE(7873)] = 259315,
  [SMALL_STATE(7874)] = 259350,
  [SMALL_STATE(7875)] = 259383,
  [SMALL_STATE(7876)] = 259418,
  [SMALL_STATE(7877)] = 259453,
  [SMALL_STATE(7878)] = 259488,
  [SMALL_STATE(7879)] = 259520,
  [SMALL_STATE(7880)] = 259550,
  [SMALL_STATE(7881)] = 259592,
  [SMALL_STATE(7882)] = 259624,
  [SMALL_STATE(7883)] = 259666,
  [SMALL_STATE(7884)] = 259698,
  [SMALL_STATE(7885)] = 259740,
  [SMALL_STATE(7886)] = 259770,
  [SMALL_STATE(7887)] = 259808,
  [SMALL_STATE(7888)] = 259850,
  [SMALL_STATE(7889)] = 259892,
  [SMALL_STATE(7890)] = 259924,
  [SMALL_STATE(7891)] = 259956,
  [SMALL_STATE(7892)] = 259990,
  [SMALL_STATE(7893)] = 260032,
  [SMALL_STATE(7894)] = 260074,
  [SMALL_STATE(7895)] = 260116,
  [SMALL_STATE(7896)] = 260158,
  [SMALL_STATE(7897)] = 260200,
  [SMALL_STATE(7898)] = 260240,
  [SMALL_STATE(7899)] = 260270,
  [SMALL_STATE(7900)] = 260300,
  [SMALL_STATE(7901)] = 260338,
  [SMALL_STATE(7902)] = 260368,
  [SMALL_STATE(7903)] = 260398,
  [SMALL_STATE(7904)] = 260428,
  [SMALL_STATE(7905)] = 260470,
  [SMALL_STATE(7906)] = 260512,
  [SMALL_STATE(7907)] = 260554,
  [SMALL_STATE(7908)] = 260584,
  [SMALL_STATE(7909)] = 260626,
  [SMALL_STATE(7910)] = 260668,
  [SMALL_STATE(7911)] = 260710,
  [SMALL_STATE(7912)] = 260740,
  [SMALL_STATE(7913)] = 260770,
  [SMALL_STATE(7914)] = 260800,
  [SMALL_STATE(7915)] = 260842,
  [SMALL_STATE(7916)] = 260884,
  [SMALL_STATE(7917)] = 260926,
  [SMALL_STATE(7918)] = 260968,
  [SMALL_STATE(7919)] = 261010,
  [SMALL_STATE(7920)] = 261052,
  [SMALL_STATE(7921)] = 261094,
  [SMALL_STATE(7922)] = 261124,
  [SMALL_STATE(7923)] = 261166,
  [SMALL_STATE(7924)] = 261198,
  [SMALL_STATE(7925)] = 261237,
  [SMALL_STATE(7926)] = 261276,
  [SMALL_STATE(7927)] = 261305,
  [SMALL_STATE(7928)] = 261344,
  [SMALL_STATE(7929)] = 261373,
  [SMALL_STATE(7930)] = 261402,
  [SMALL_STATE(7931)] = 261437,
  [SMALL_STATE(7932)] = 261470,
  [SMALL_STATE(7933)] = 261507,
  [SMALL_STATE(7934)] = 261536,
  [SMALL_STATE(7935)] = 261567,
  [SMALL_STATE(7936)] = 261598,
  [SMALL_STATE(7937)] = 261631,
  [SMALL_STATE(7938)] = 261664,
  [SMALL_STATE(7939)] = 261697,
  [SMALL_STATE(7940)] = 261726,
  [SMALL_STATE(7941)] = 261759,
  [SMALL_STATE(7942)] = 261796,
  [SMALL_STATE(7943)] = 261833,
  [SMALL_STATE(7944)] = 261862,
  [SMALL_STATE(7945)] = 261899,
  [SMALL_STATE(7946)] = 261936,
  [SMALL_STATE(7947)] = 261969,
  [SMALL_STATE(7948)] = 261998,
  [SMALL_STATE(7949)] = 262027,
  [SMALL_STATE(7950)] = 262066,
  [SMALL_STATE(7951)] = 262099,
  [SMALL_STATE(7952)] = 262138,
  [SMALL_STATE(7953)] = 262177,
  [SMALL_STATE(7954)] = 262206,
  [SMALL_STATE(7955)] = 262245,
  [SMALL_STATE(7956)] = 262278,
  [SMALL_STATE(7957)] = 262307,
  [SMALL_STATE(7958)] = 262336,
  [SMALL_STATE(7959)] = 262367,
  [SMALL_STATE(7960)] = 262406,
  [SMALL_STATE(7961)] = 262439,
  [SMALL_STATE(7962)] = 262476,
  [SMALL_STATE(7963)] = 262513,
  [SMALL_STATE(7964)] = 262546,
  [SMALL_STATE(7965)] = 262575,
  [SMALL_STATE(7966)] = 262608,
  [SMALL_STATE(7967)] = 262637,
  [SMALL_STATE(7968)] = 262670,
  [SMALL_STATE(7969)] = 262699,
  [SMALL_STATE(7970)] = 262738,
  [SMALL_STATE(7971)] = 262777,
  [SMALL_STATE(7972)] = 262814,
  [SMALL_STATE(7973)] = 262853,
  [SMALL_STATE(7974)] = 262882,
  [SMALL_STATE(7975)] = 262919,
  [SMALL_STATE(7976)] = 262950,
  [SMALL_STATE(7977)] = 262987,
  [SMALL_STATE(7978)] = 263020,
  [SMALL_STATE(7979)] = 263049,
  [SMALL_STATE(7980)] = 263078,
  [SMALL_STATE(7981)] = 263115,
  [SMALL_STATE(7982)] = 263146,
  [SMALL_STATE(7983)] = 263183,
  [SMALL_STATE(7984)] = 263220,
  [SMALL_STATE(7985)] = 263249,
  [SMALL_STATE(7986)] = 263288,
  [SMALL_STATE(7987)] = 263321,
  [SMALL_STATE(7988)] = 263354,
  [SMALL_STATE(7989)] = 263383,
  [SMALL_STATE(7990)] = 263421,
  [SMALL_STATE(7991)] = 263459,
  [SMALL_STATE(7992)] = 263497,
  [SMALL_STATE(7993)] = 263535,
  [SMALL_STATE(7994)] = 263563,
  [SMALL_STATE(7995)] = 263597,
  [SMALL_STATE(7996)] = 263635,
  [SMALL_STATE(7997)] = 263667,
  [SMALL_STATE(7998)] = 263705,
  [SMALL_STATE(7999)] = 263743,
  [SMALL_STATE(8000)] = 263777,
  [SMALL_STATE(8001)] = 263809,
  [SMALL_STATE(8002)] = 263841,
  [SMALL_STATE(8003)] = 263873,
  [SMALL_STATE(8004)] = 263903,
  [SMALL_STATE(8005)] = 263935,
  [SMALL_STATE(8006)] = 263973,
  [SMALL_STATE(8007)] = 264011,
  [SMALL_STATE(8008)] = 264043,
  [SMALL_STATE(8009)] = 264081,
  [SMALL_STATE(8010)] = 264119,
  [SMALL_STATE(8011)] = 264153,
  [SMALL_STATE(8012)] = 264191,
  [SMALL_STATE(8013)] = 264229,
  [SMALL_STATE(8014)] = 264263,
  [SMALL_STATE(8015)] = 264301,
  [SMALL_STATE(8016)] = 264339,
  [SMALL_STATE(8017)] = 264367,
  [SMALL_STATE(8018)] = 264394,
  [SMALL_STATE(8019)] = 264423,
  [SMALL_STATE(8020)] = 264450,
  [SMALL_STATE(8021)] = 264485,
  [SMALL_STATE(8022)] = 264512,
  [SMALL_STATE(8023)] = 264547,
  [SMALL_STATE(8024)] = 264574,
  [SMALL_STATE(8025)] = 264603,
  [SMALL_STATE(8026)] = 264630,
  [SMALL_STATE(8027)] = 264657,
  [SMALL_STATE(8028)] = 264684,
  [SMALL_STATE(8029)] = 264713,
  [SMALL_STATE(8030)] = 264740,
  [SMALL_STATE(8031)] = 264775,
  [SMALL_STATE(8032)] = 264802,
  [SMALL_STATE(8033)] = 264837,
  [SMALL_STATE(8034)] = 264872,
  [SMALL_STATE(8035)] = 264901,
  [SMALL_STATE(8036)] = 264928,
  [SMALL_STATE(8037)] = 264963,
  [SMALL_STATE(8038)] = 264994,
  [SMALL_STATE(8039)] = 265021,
  [SMALL_STATE(8040)] = 265048,
  [SMALL_STATE(8041)] = 265074,
  [SMALL_STATE(8042)] = 265100,
  [SMALL_STATE(8043)] = 265126,
  [SMALL_STATE(8044)] = 265152,
  [SMALL_STATE(8045)] = 265182,
  [SMALL_STATE(8046)] = 265214,
  [SMALL_STATE(8047)] = 265246,
  [SMALL_STATE(8048)] = 265272,
  [SMALL_STATE(8049)] = 265298,
  [SMALL_STATE(8050)] = 265328,
  [SMALL_STATE(8051)] = 265354,
  [SMALL_STATE(8052)] = 265384,
  [SMALL_STATE(8053)] = 265410,
  [SMALL_STATE(8054)] = 265436,
  [SMALL_STATE(8055)] = 265462,
  [SMALL_STATE(8056)] = 265488,
  [SMALL_STATE(8057)] = 265520,
  [SMALL_STATE(8058)] = 265552,
  [SMALL_STATE(8059)] = 265578,
  [SMALL_STATE(8060)] = 265604,
  [SMALL_STATE(8061)] = 265630,
  [SMALL_STATE(8062)] = 265662,
  [SMALL_STATE(8063)] = 265688,
  [SMALL_STATE(8064)] = 265714,
  [SMALL_STATE(8065)] = 265744,
  [SMALL_STATE(8066)] = 265772,
  [SMALL_STATE(8067)] = 265798,
  [SMALL_STATE(8068)] = 265824,
  [SMALL_STATE(8069)] = 265850,
  [SMALL_STATE(8070)] = 265876,
  [SMALL_STATE(8071)] = 265906,
  [SMALL_STATE(8072)] = 265934,
  [SMALL_STATE(8073)] = 265966,
  [SMALL_STATE(8074)] = 265992,
  [SMALL_STATE(8075)] = 266018,
  [SMALL_STATE(8076)] = 266048,
  [SMALL_STATE(8077)] = 266078,
  [SMALL_STATE(8078)] = 266108,
  [SMALL_STATE(8079)] = 266139,
  [SMALL_STATE(8080)] = 266166,
  [SMALL_STATE(8081)] = 266197,
  [SMALL_STATE(8082)] = 266228,
  [SMALL_STATE(8083)] = 266259,
  [SMALL_STATE(8084)] = 266288,
  [SMALL_STATE(8085)] = 266319,
  [SMALL_STATE(8086)] = 266346,
  [SMALL_STATE(8087)] = 266377,
  [SMALL_STATE(8088)] = 266408,
  [SMALL_STATE(8089)] = 266439,
  [SMALL_STATE(8090)] = 266470,
  [SMALL_STATE(8091)] = 266501,
  [SMALL_STATE(8092)] = 266532,
  [SMALL_STATE(8093)] = 266563,
  [SMALL_STATE(8094)] = 266591,
  [SMALL_STATE(8095)] = 266615,
  [SMALL_STATE(8096)] = 266643,
  [SMALL_STATE(8097)] = 266671,
  [SMALL_STATE(8098)] = 266699,
  [SMALL_STATE(8099)] = 266727,
  [SMALL_STATE(8100)] = 266755,
  [SMALL_STATE(8101)] = 266783,
  [SMALL_STATE(8102)] = 266811,
  [SMALL_STATE(8103)] = 266839,
  [SMALL_STATE(8104)] = 266863,
  [SMALL_STATE(8105)] = 266891,
  [SMALL_STATE(8106)] = 266919,
  [SMALL_STATE(8107)] = 266947,
  [SMALL_STATE(8108)] = 266975,
  [SMALL_STATE(8109)] = 267003,
  [SMALL_STATE(8110)] = 267031,
  [SMALL_STATE(8111)] = 267059,
  [SMALL_STATE(8112)] = 267087,
  [SMALL_STATE(8113)] = 267115,
  [SMALL_STATE(8114)] = 267143,
  [SMALL_STATE(8115)] = 267171,
  [SMALL_STATE(8116)] = 267199,
  [SMALL_STATE(8117)] = 267227,
  [SMALL_STATE(8118)] = 267255,
  [SMALL_STATE(8119)] = 267283,
  [SMALL_STATE(8120)] = 267307,
  [SMALL_STATE(8121)] = 267335,
  [SMALL_STATE(8122)] = 267363,
  [SMALL_STATE(8123)] = 267391,
  [SMALL_STATE(8124)] = 267419,
  [SMALL_STATE(8125)] = 267447,
  [SMALL_STATE(8126)] = 267475,
  [SMALL_STATE(8127)] = 267503,
  [SMALL_STATE(8128)] = 267531,
  [SMALL_STATE(8129)] = 267559,
  [SMALL_STATE(8130)] = 267583,
  [SMALL_STATE(8131)] = 267611,
  [SMALL_STATE(8132)] = 267635,
  [SMALL_STATE(8133)] = 267663,
  [SMALL_STATE(8134)] = 267691,
  [SMALL_STATE(8135)] = 267719,
  [SMALL_STATE(8136)] = 267747,
  [SMALL_STATE(8137)] = 267775,
  [SMALL_STATE(8138)] = 267803,
  [SMALL_STATE(8139)] = 267831,
  [SMALL_STATE(8140)] = 267859,
  [SMALL_STATE(8141)] = 267887,
  [SMALL_STATE(8142)] = 267915,
  [SMALL_STATE(8143)] = 267943,
  [SMALL_STATE(8144)] = 267971,
  [SMALL_STATE(8145)] = 267999,
  [SMALL_STATE(8146)] = 268023,
  [SMALL_STATE(8147)] = 268051,
  [SMALL_STATE(8148)] = 268079,
  [SMALL_STATE(8149)] = 268107,
  [SMALL_STATE(8150)] = 268135,
  [SMALL_STATE(8151)] = 268163,
  [SMALL_STATE(8152)] = 268191,
  [SMALL_STATE(8153)] = 268219,
  [SMALL_STATE(8154)] = 268247,
  [SMALL_STATE(8155)] = 268275,
  [SMALL_STATE(8156)] = 268303,
  [SMALL_STATE(8157)] = 268331,
  [SMALL_STATE(8158)] = 268355,
  [SMALL_STATE(8159)] = 268383,
  [SMALL_STATE(8160)] = 268411,
  [SMALL_STATE(8161)] = 268435,
  [SMALL_STATE(8162)] = 268459,
  [SMALL_STATE(8163)] = 268487,
  [SMALL_STATE(8164)] = 268515,
  [SMALL_STATE(8165)] = 268543,
  [SMALL_STATE(8166)] = 268571,
  [SMALL_STATE(8167)] = 268599,
  [SMALL_STATE(8168)] = 268627,
  [SMALL_STATE(8169)] = 268655,
  [SMALL_STATE(8170)] = 268683,
  [SMALL_STATE(8171)] = 268711,
  [SMALL_STATE(8172)] = 268739,
  [SMALL_STATE(8173)] = 268767,
  [SMALL_STATE(8174)] = 268792,
  [SMALL_STATE(8175)] = 268815,
  [SMALL_STATE(8176)] = 268840,
  [SMALL_STATE(8177)] = 268865,
  [SMALL_STATE(8178)] = 268888,
  [SMALL_STATE(8179)] = 268912,
  [SMALL_STATE(8180)] = 268936,
  [SMALL_STATE(8181)] = 268961,
  [SMALL_STATE(8182)] = 268984,
  [SMALL_STATE(8183)] = 269007,
  [SMALL_STATE(8184)] = 269030,
  [SMALL_STATE(8185)] = 269053,
  [SMALL_STATE(8186)] = 269076,
  [SMALL_STATE(8187)] = 269101,
  [SMALL_STATE(8188)] = 269126,
  [SMALL_STATE(8189)] = 269149,
  [SMALL_STATE(8190)] = 269172,
  [SMALL_STATE(8191)] = 269191,
  [SMALL_STATE(8192)] = 269212,
  [SMALL_STATE(8193)] = 269235,
  [SMALL_STATE(8194)] = 269260,
  [SMALL_STATE(8195)] = 269283,
  [SMALL_STATE(8196)] = 269308,
  [SMALL_STATE(8197)] = 269333,
  [SMALL_STATE(8198)] = 269358,
  [SMALL_STATE(8199)] = 269381,
  [SMALL_STATE(8200)] = 269407,
  [SMALL_STATE(8201)] = 269431,
  [SMALL_STATE(8202)] = 269453,
  [SMALL_STATE(8203)] = 269475,
  [SMALL_STATE(8204)] = 269499,
  [SMALL_STATE(8205)] = 269519,
  [SMALL_STATE(8206)] = 269541,
  [SMALL_STATE(8207)] = 269559,
  [SMALL_STATE(8208)] = 269581,
  [SMALL_STATE(8209)] = 269603,
  [SMALL_STATE(8210)] = 269625,
  [SMALL_STATE(8211)] = 269647,
  [SMALL_STATE(8212)] = 269669,
  [SMALL_STATE(8213)] = 269693,
  [SMALL_STATE(8214)] = 269713,
  [SMALL_STATE(8215)] = 269737,
  [SMALL_STATE(8216)] = 269755,
  [SMALL_STATE(8217)] = 269777,
  [SMALL_STATE(8218)] = 269801,
  [SMALL_STATE(8219)] = 269819,
  [SMALL_STATE(8220)] = 269841,
  [SMALL_STATE(8221)] = 269865,
  [SMALL_STATE(8222)] = 269883,
  [SMALL_STATE(8223)] = 269905,
  [SMALL_STATE(8224)] = 269923,
  [SMALL_STATE(8225)] = 269943,
  [SMALL_STATE(8226)] = 269967,
  [SMALL_STATE(8227)] = 269993,
  [SMALL_STATE(8228)] = 270017,
  [SMALL_STATE(8229)] = 270037,
  [SMALL_STATE(8230)] = 270059,
  [SMALL_STATE(8231)] = 270077,
  [SMALL_STATE(8232)] = 270101,
  [SMALL_STATE(8233)] = 270125,
  [SMALL_STATE(8234)] = 270143,
  [SMALL_STATE(8235)] = 270172,
  [SMALL_STATE(8236)] = 270201,
  [SMALL_STATE(8237)] = 270220,
  [SMALL_STATE(8238)] = 270253,
  [SMALL_STATE(8239)] = 270286,
  [SMALL_STATE(8240)] = 270313,
  [SMALL_STATE(8241)] = 270346,
  [SMALL_STATE(8242)] = 270379,
  [SMALL_STATE(8243)] = 270406,
  [SMALL_STATE(8244)] = 270425,
  [SMALL_STATE(8245)] = 270446,
  [SMALL_STATE(8246)] = 270465,
  [SMALL_STATE(8247)] = 270486,
  [SMALL_STATE(8248)] = 270503,
  [SMALL_STATE(8249)] = 270520,
  [SMALL_STATE(8250)] = 270539,
  [SMALL_STATE(8251)] = 270560,
  [SMALL_STATE(8252)] = 270589,
  [SMALL_STATE(8253)] = 270618,
  [SMALL_STATE(8254)] = 270639,
  [SMALL_STATE(8255)] = 270656,
  [SMALL_STATE(8256)] = 270675,
  [SMALL_STATE(8257)] = 270692,
  [SMALL_STATE(8258)] = 270709,
  [SMALL_STATE(8259)] = 270742,
  [SMALL_STATE(8260)] = 270763,
  [SMALL_STATE(8261)] = 270788,
  [SMALL_STATE(8262)] = 270805,
  [SMALL_STATE(8263)] = 270822,
  [SMALL_STATE(8264)] = 270853,
  [SMALL_STATE(8265)] = 270872,
  [SMALL_STATE(8266)] = 270891,
  [SMALL_STATE(8267)] = 270920,
  [SMALL_STATE(8268)] = 270943,
  [SMALL_STATE(8269)] = 270962,
  [SMALL_STATE(8270)] = 270981,
  [SMALL_STATE(8271)] = 271002,
  [SMALL_STATE(8272)] = 271023,
  [SMALL_STATE(8273)] = 271044,
  [SMALL_STATE(8274)] = 271071,
  [SMALL_STATE(8275)] = 271090,
  [SMALL_STATE(8276)] = 271107,
  [SMALL_STATE(8277)] = 271124,
  [SMALL_STATE(8278)] = 271143,
  [SMALL_STATE(8279)] = 271160,
  [SMALL_STATE(8280)] = 271177,
  [SMALL_STATE(8281)] = 271196,
  [SMALL_STATE(8282)] = 271217,
  [SMALL_STATE(8283)] = 271240,
  [SMALL_STATE(8284)] = 271261,
  [SMALL_STATE(8285)] = 271284,
  [SMALL_STATE(8286)] = 271309,
  [SMALL_STATE(8287)] = 271332,
  [SMALL_STATE(8288)] = 271361,
  [SMALL_STATE(8289)] = 271390,
  [SMALL_STATE(8290)] = 271413,
  [SMALL_STATE(8291)] = 271436,
  [SMALL_STATE(8292)] = 271460,
  [SMALL_STATE(8293)] = 271490,
  [SMALL_STATE(8294)] = 271520,
  [SMALL_STATE(8295)] = 271538,
  [SMALL_STATE(8296)] = 271562,
  [SMALL_STATE(8297)] = 271586,
  [SMALL_STATE(8298)] = 271610,
  [SMALL_STATE(8299)] = 271630,
  [SMALL_STATE(8300)] = 271660,
  [SMALL_STATE(8301)] = 271690,
  [SMALL_STATE(8302)] = 271720,
  [SMALL_STATE(8303)] = 271740,
  [SMALL_STATE(8304)] = 271766,
  [SMALL_STATE(8305)] = 271796,
  [SMALL_STATE(8306)] = 271816,
  [SMALL_STATE(8307)] = 271848,
  [SMALL_STATE(8308)] = 271870,
  [SMALL_STATE(8309)] = 271890,
  [SMALL_STATE(8310)] = 271920,
  [SMALL_STATE(8311)] = 271944,
  [SMALL_STATE(8312)] = 271964,
  [SMALL_STATE(8313)] = 271990,
  [SMALL_STATE(8314)] = 272012,
  [SMALL_STATE(8315)] = 272042,
  [SMALL_STATE(8316)] = 272066,
  [SMALL_STATE(8317)] = 272088,
  [SMALL_STATE(8318)] = 272118,
  [SMALL_STATE(8319)] = 272136,
  [SMALL_STATE(8320)] = 272156,
  [SMALL_STATE(8321)] = 272176,
  [SMALL_STATE(8322)] = 272200,
  [SMALL_STATE(8323)] = 272222,
  [SMALL_STATE(8324)] = 272240,
  [SMALL_STATE(8325)] = 272258,
  [SMALL_STATE(8326)] = 272290,
  [SMALL_STATE(8327)] = 272312,
  [SMALL_STATE(8328)] = 272328,
  [SMALL_STATE(8329)] = 272348,
  [SMALL_STATE(8330)] = 272368,
  [SMALL_STATE(8331)] = 272392,
  [SMALL_STATE(8332)] = 272412,
  [SMALL_STATE(8333)] = 272428,
  [SMALL_STATE(8334)] = 272444,
  [SMALL_STATE(8335)] = 272474,
  [SMALL_STATE(8336)] = 272492,
  [SMALL_STATE(8337)] = 272522,
  [SMALL_STATE(8338)] = 272546,
  [SMALL_STATE(8339)] = 272566,
  [SMALL_STATE(8340)] = 272596,
  [SMALL_STATE(8341)] = 272628,
  [SMALL_STATE(8342)] = 272644,
  [SMALL_STATE(8343)] = 272676,
  [SMALL_STATE(8344)] = 272698,
  [SMALL_STATE(8345)] = 272728,
  [SMALL_STATE(8346)] = 272758,
  [SMALL_STATE(8347)] = 272780,
  [SMALL_STATE(8348)] = 272812,
  [SMALL_STATE(8349)] = 272836,
  [SMALL_STATE(8350)] = 272856,
  [SMALL_STATE(8351)] = 272886,
  [SMALL_STATE(8352)] = 272918,
  [SMALL_STATE(8353)] = 272944,
  [SMALL_STATE(8354)] = 272976,
  [SMALL_STATE(8355)] = 273000,
  [SMALL_STATE(8356)] = 273024,
  [SMALL_STATE(8357)] = 273044,
  [SMALL_STATE(8358)] = 273064,
  [SMALL_STATE(8359)] = 273088,
  [SMALL_STATE(8360)] = 273108,
  [SMALL_STATE(8361)] = 273126,
  [SMALL_STATE(8362)] = 273146,
  [SMALL_STATE(8363)] = 273170,
  [SMALL_STATE(8364)] = 273188,
  [SMALL_STATE(8365)] = 273210,
  [SMALL_STATE(8366)] = 273242,
  [SMALL_STATE(8367)] = 273262,
  [SMALL_STATE(8368)] = 273280,
  [SMALL_STATE(8369)] = 273298,
  [SMALL_STATE(8370)] = 273330,
  [SMALL_STATE(8371)] = 273360,
  [SMALL_STATE(8372)] = 273388,
  [SMALL_STATE(8373)] = 273406,
  [SMALL_STATE(8374)] = 273424,
  [SMALL_STATE(8375)] = 273440,
  [SMALL_STATE(8376)] = 273458,
  [SMALL_STATE(8377)] = 273490,
  [SMALL_STATE(8378)] = 273514,
  [SMALL_STATE(8379)] = 273532,
  [SMALL_STATE(8380)] = 273558,
  [SMALL_STATE(8381)] = 273588,
  [SMALL_STATE(8382)] = 273606,
  [SMALL_STATE(8383)] = 273636,
  [SMALL_STATE(8384)] = 273660,
  [SMALL_STATE(8385)] = 273690,
  [SMALL_STATE(8386)] = 273716,
  [SMALL_STATE(8387)] = 273741,
  [SMALL_STATE(8388)] = 273768,
  [SMALL_STATE(8389)] = 273795,
  [SMALL_STATE(8390)] = 273814,
  [SMALL_STATE(8391)] = 273841,
  [SMALL_STATE(8392)] = 273856,
  [SMALL_STATE(8393)] = 273875,
  [SMALL_STATE(8394)] = 273902,
  [SMALL_STATE(8395)] = 273923,
  [SMALL_STATE(8396)] = 273944,
  [SMALL_STATE(8397)] = 273965,
  [SMALL_STATE(8398)] = 273984,
  [SMALL_STATE(8399)] = 274003,
  [SMALL_STATE(8400)] = 274022,
  [SMALL_STATE(8401)] = 274043,
  [SMALL_STATE(8402)] = 274062,
  [SMALL_STATE(8403)] = 274089,
  [SMALL_STATE(8404)] = 274110,
  [SMALL_STATE(8405)] = 274137,
  [SMALL_STATE(8406)] = 274166,
  [SMALL_STATE(8407)] = 274185,
  [SMALL_STATE(8408)] = 274210,
  [SMALL_STATE(8409)] = 274237,
  [SMALL_STATE(8410)] = 274258,
  [SMALL_STATE(8411)] = 274285,
  [SMALL_STATE(8412)] = 274312,
  [SMALL_STATE(8413)] = 274333,
  [SMALL_STATE(8414)] = 274362,
  [SMALL_STATE(8415)] = 274385,
  [SMALL_STATE(8416)] = 274412,
  [SMALL_STATE(8417)] = 274439,
  [SMALL_STATE(8418)] = 274464,
  [SMALL_STATE(8419)] = 274491,
  [SMALL_STATE(8420)] = 274520,
  [SMALL_STATE(8421)] = 274541,
  [SMALL_STATE(8422)] = 274570,
  [SMALL_STATE(8423)] = 274591,
  [SMALL_STATE(8424)] = 274616,
  [SMALL_STATE(8425)] = 274641,
  [SMALL_STATE(8426)] = 274668,
  [SMALL_STATE(8427)] = 274695,
  [SMALL_STATE(8428)] = 274712,
  [SMALL_STATE(8429)] = 274729,
  [SMALL_STATE(8430)] = 274754,
  [SMALL_STATE(8431)] = 274781,
  [SMALL_STATE(8432)] = 274810,
  [SMALL_STATE(8433)] = 274837,
  [SMALL_STATE(8434)] = 274864,
  [SMALL_STATE(8435)] = 274891,
  [SMALL_STATE(8436)] = 274912,
  [SMALL_STATE(8437)] = 274939,
  [SMALL_STATE(8438)] = 274966,
  [SMALL_STATE(8439)] = 274989,
  [SMALL_STATE(8440)] = 275016,
  [SMALL_STATE(8441)] = 275045,
  [SMALL_STATE(8442)] = 275072,
  [SMALL_STATE(8443)] = 275093,
  [SMALL_STATE(8444)] = 275120,
  [SMALL_STATE(8445)] = 275149,
  [SMALL_STATE(8446)] = 275178,
  [SMALL_STATE(8447)] = 275197,
  [SMALL_STATE(8448)] = 275216,
  [SMALL_STATE(8449)] = 275239,
  [SMALL_STATE(8450)] = 275264,
  [SMALL_STATE(8451)] = 275283,
  [SMALL_STATE(8452)] = 275310,
  [SMALL_STATE(8453)] = 275339,
  [SMALL_STATE(8454)] = 275366,
  [SMALL_STATE(8455)] = 275391,
  [SMALL_STATE(8456)] = 275418,
  [SMALL_STATE(8457)] = 275445,
  [SMALL_STATE(8458)] = 275472,
  [SMALL_STATE(8459)] = 275489,
  [SMALL_STATE(8460)] = 275518,
  [SMALL_STATE(8461)] = 275535,
  [SMALL_STATE(8462)] = 275562,
  [SMALL_STATE(8463)] = 275579,
  [SMALL_STATE(8464)] = 275596,
  [SMALL_STATE(8465)] = 275615,
  [SMALL_STATE(8466)] = 275639,
  [SMALL_STATE(8467)] = 275663,
  [SMALL_STATE(8468)] = 275679,
  [SMALL_STATE(8469)] = 275701,
  [SMALL_STATE(8470)] = 275725,
  [SMALL_STATE(8471)] = 275749,
  [SMALL_STATE(8472)] = 275773,
  [SMALL_STATE(8473)] = 275797,
  [SMALL_STATE(8474)] = 275821,
  [SMALL_STATE(8475)] = 275845,
  [SMALL_STATE(8476)] = 275859,
  [SMALL_STATE(8477)] = 275883,
  [SMALL_STATE(8478)] = 275907,
  [SMALL_STATE(8479)] = 275931,
  [SMALL_STATE(8480)] = 275953,
  [SMALL_STATE(8481)] = 275977,
  [SMALL_STATE(8482)] = 276001,
  [SMALL_STATE(8483)] = 276025,
  [SMALL_STATE(8484)] = 276049,
  [SMALL_STATE(8485)] = 276071,
  [SMALL_STATE(8486)] = 276095,
  [SMALL_STATE(8487)] = 276119,
  [SMALL_STATE(8488)] = 276141,
  [SMALL_STATE(8489)] = 276165,
  [SMALL_STATE(8490)] = 276187,
  [SMALL_STATE(8491)] = 276211,
  [SMALL_STATE(8492)] = 276235,
  [SMALL_STATE(8493)] = 276257,
  [SMALL_STATE(8494)] = 276273,
  [SMALL_STATE(8495)] = 276289,
  [SMALL_STATE(8496)] = 276303,
  [SMALL_STATE(8497)] = 276317,
  [SMALL_STATE(8498)] = 276341,
  [SMALL_STATE(8499)] = 276365,
  [SMALL_STATE(8500)] = 276387,
  [SMALL_STATE(8501)] = 276411,
  [SMALL_STATE(8502)] = 276435,
  [SMALL_STATE(8503)] = 276459,
  [SMALL_STATE(8504)] = 276483,
  [SMALL_STATE(8505)] = 276507,
  [SMALL_STATE(8506)] = 276531,
  [SMALL_STATE(8507)] = 276555,
  [SMALL_STATE(8508)] = 276577,
  [SMALL_STATE(8509)] = 276599,
  [SMALL_STATE(8510)] = 276623,
  [SMALL_STATE(8511)] = 276645,
  [SMALL_STATE(8512)] = 276669,
  [SMALL_STATE(8513)] = 276693,
  [SMALL_STATE(8514)] = 276715,
  [SMALL_STATE(8515)] = 276737,
  [SMALL_STATE(8516)] = 276761,
  [SMALL_STATE(8517)] = 276785,
  [SMALL_STATE(8518)] = 276803,
  [SMALL_STATE(8519)] = 276827,
  [SMALL_STATE(8520)] = 276849,
  [SMALL_STATE(8521)] = 276865,
  [SMALL_STATE(8522)] = 276889,
  [SMALL_STATE(8523)] = 276905,
  [SMALL_STATE(8524)] = 276921,
  [SMALL_STATE(8525)] = 276945,
  [SMALL_STATE(8526)] = 276967,
  [SMALL_STATE(8527)] = 276991,
  [SMALL_STATE(8528)] = 277015,
  [SMALL_STATE(8529)] = 277039,
  [SMALL_STATE(8530)] = 277061,
  [SMALL_STATE(8531)] = 277077,
  [SMALL_STATE(8532)] = 277101,
  [SMALL_STATE(8533)] = 277115,
  [SMALL_STATE(8534)] = 277132,
  [SMALL_STATE(8535)] = 277153,
  [SMALL_STATE(8536)] = 277174,
  [SMALL_STATE(8537)] = 277187,
  [SMALL_STATE(8538)] = 277202,
  [SMALL_STATE(8539)] = 277223,
  [SMALL_STATE(8540)] = 277238,
  [SMALL_STATE(8541)] = 277255,
  [SMALL_STATE(8542)] = 277278,
  [SMALL_STATE(8543)] = 277299,
  [SMALL_STATE(8544)] = 277322,
  [SMALL_STATE(8545)] = 277345,
  [SMALL_STATE(8546)] = 277362,
  [SMALL_STATE(8547)] = 277375,
  [SMALL_STATE(8548)] = 277392,
  [SMALL_STATE(8549)] = 277415,
  [SMALL_STATE(8550)] = 277428,
  [SMALL_STATE(8551)] = 277441,
  [SMALL_STATE(8552)] = 277454,
  [SMALL_STATE(8553)] = 277477,
  [SMALL_STATE(8554)] = 277498,
  [SMALL_STATE(8555)] = 277521,
  [SMALL_STATE(8556)] = 277538,
  [SMALL_STATE(8557)] = 277551,
  [SMALL_STATE(8558)] = 277572,
  [SMALL_STATE(8559)] = 277589,
  [SMALL_STATE(8560)] = 277612,
  [SMALL_STATE(8561)] = 277633,
  [SMALL_STATE(8562)] = 277650,
  [SMALL_STATE(8563)] = 277673,
  [SMALL_STATE(8564)] = 277696,
  [SMALL_STATE(8565)] = 277719,
  [SMALL_STATE(8566)] = 277742,
  [SMALL_STATE(8567)] = 277763,
  [SMALL_STATE(8568)] = 277784,
  [SMALL_STATE(8569)] = 277807,
  [SMALL_STATE(8570)] = 277830,
  [SMALL_STATE(8571)] = 277851,
  [SMALL_STATE(8572)] = 277874,
  [SMALL_STATE(8573)] = 277889,
  [SMALL_STATE(8574)] = 277910,
  [SMALL_STATE(8575)] = 277925,
  [SMALL_STATE(8576)] = 277948,
  [SMALL_STATE(8577)] = 277971,
  [SMALL_STATE(8578)] = 277994,
  [SMALL_STATE(8579)] = 278017,
  [SMALL_STATE(8580)] = 278040,
  [SMALL_STATE(8581)] = 278057,
  [SMALL_STATE(8582)] = 278080,
  [SMALL_STATE(8583)] = 278103,
  [SMALL_STATE(8584)] = 278124,
  [SMALL_STATE(8585)] = 278147,
  [SMALL_STATE(8586)] = 278170,
  [SMALL_STATE(8587)] = 278193,
  [SMALL_STATE(8588)] = 278216,
  [SMALL_STATE(8589)] = 278239,
  [SMALL_STATE(8590)] = 278262,
  [SMALL_STATE(8591)] = 278285,
  [SMALL_STATE(8592)] = 278300,
  [SMALL_STATE(8593)] = 278321,
  [SMALL_STATE(8594)] = 278338,
  [SMALL_STATE(8595)] = 278359,
  [SMALL_STATE(8596)] = 278382,
  [SMALL_STATE(8597)] = 278397,
  [SMALL_STATE(8598)] = 278412,
  [SMALL_STATE(8599)] = 278435,
  [SMALL_STATE(8600)] = 278458,
  [SMALL_STATE(8601)] = 278479,
  [SMALL_STATE(8602)] = 278502,
  [SMALL_STATE(8603)] = 278523,
  [SMALL_STATE(8604)] = 278544,
  [SMALL_STATE(8605)] = 278561,
  [SMALL_STATE(8606)] = 278582,
  [SMALL_STATE(8607)] = 278603,
  [SMALL_STATE(8608)] = 278618,
  [SMALL_STATE(8609)] = 278641,
  [SMALL_STATE(8610)] = 278662,
  [SMALL_STATE(8611)] = 278685,
  [SMALL_STATE(8612)] = 278706,
  [SMALL_STATE(8613)] = 278727,
  [SMALL_STATE(8614)] = 278748,
  [SMALL_STATE(8615)] = 278769,
  [SMALL_STATE(8616)] = 278792,
  [SMALL_STATE(8617)] = 278809,
  [SMALL_STATE(8618)] = 278830,
  [SMALL_STATE(8619)] = 278851,
  [SMALL_STATE(8620)] = 278874,
  [SMALL_STATE(8621)] = 278897,
  [SMALL_STATE(8622)] = 278918,
  [SMALL_STATE(8623)] = 278931,
  [SMALL_STATE(8624)] = 278948,
  [SMALL_STATE(8625)] = 278969,
  [SMALL_STATE(8626)] = 278990,
  [SMALL_STATE(8627)] = 279011,
  [SMALL_STATE(8628)] = 279032,
  [SMALL_STATE(8629)] = 279053,
  [SMALL_STATE(8630)] = 279076,
  [SMALL_STATE(8631)] = 279091,
  [SMALL_STATE(8632)] = 279114,
  [SMALL_STATE(8633)] = 279137,
  [SMALL_STATE(8634)] = 279160,
  [SMALL_STATE(8635)] = 279183,
  [SMALL_STATE(8636)] = 279206,
  [SMALL_STATE(8637)] = 279229,
  [SMALL_STATE(8638)] = 279252,
  [SMALL_STATE(8639)] = 279275,
  [SMALL_STATE(8640)] = 279298,
  [SMALL_STATE(8641)] = 279321,
  [SMALL_STATE(8642)] = 279334,
  [SMALL_STATE(8643)] = 279351,
  [SMALL_STATE(8644)] = 279374,
  [SMALL_STATE(8645)] = 279387,
  [SMALL_STATE(8646)] = 279408,
  [SMALL_STATE(8647)] = 279429,
  [SMALL_STATE(8648)] = 279450,
  [SMALL_STATE(8649)] = 279473,
  [SMALL_STATE(8650)] = 279488,
  [SMALL_STATE(8651)] = 279509,
  [SMALL_STATE(8652)] = 279532,
  [SMALL_STATE(8653)] = 279545,
  [SMALL_STATE(8654)] = 279566,
  [SMALL_STATE(8655)] = 279587,
  [SMALL_STATE(8656)] = 279610,
  [SMALL_STATE(8657)] = 279633,
  [SMALL_STATE(8658)] = 279646,
  [SMALL_STATE(8659)] = 279663,
  [SMALL_STATE(8660)] = 279684,
  [SMALL_STATE(8661)] = 279707,
  [SMALL_STATE(8662)] = 279730,
  [SMALL_STATE(8663)] = 279753,
  [SMALL_STATE(8664)] = 279770,
  [SMALL_STATE(8665)] = 279785,
  [SMALL_STATE(8666)] = 279808,
  [SMALL_STATE(8667)] = 279831,
  [SMALL_STATE(8668)] = 279844,
  [SMALL_STATE(8669)] = 279865,
  [SMALL_STATE(8670)] = 279886,
  [SMALL_STATE(8671)] = 279903,
  [SMALL_STATE(8672)] = 279926,
  [SMALL_STATE(8673)] = 279947,
  [SMALL_STATE(8674)] = 279970,
  [SMALL_STATE(8675)] = 279993,
  [SMALL_STATE(8676)] = 280016,
  [SMALL_STATE(8677)] = 280039,
  [SMALL_STATE(8678)] = 280062,
  [SMALL_STATE(8679)] = 280085,
  [SMALL_STATE(8680)] = 280108,
  [SMALL_STATE(8681)] = 280131,
  [SMALL_STATE(8682)] = 280154,
  [SMALL_STATE(8683)] = 280177,
  [SMALL_STATE(8684)] = 280200,
  [SMALL_STATE(8685)] = 280217,
  [SMALL_STATE(8686)] = 280240,
  [SMALL_STATE(8687)] = 280263,
  [SMALL_STATE(8688)] = 280280,
  [SMALL_STATE(8689)] = 280292,
  [SMALL_STATE(8690)] = 280312,
  [SMALL_STATE(8691)] = 280332,
  [SMALL_STATE(8692)] = 280352,
  [SMALL_STATE(8693)] = 280364,
  [SMALL_STATE(8694)] = 280384,
  [SMALL_STATE(8695)] = 280404,
  [SMALL_STATE(8696)] = 280416,
  [SMALL_STATE(8697)] = 280436,
  [SMALL_STATE(8698)] = 280456,
  [SMALL_STATE(8699)] = 280474,
  [SMALL_STATE(8700)] = 280492,
  [SMALL_STATE(8701)] = 280506,
  [SMALL_STATE(8702)] = 280522,
  [SMALL_STATE(8703)] = 280542,
  [SMALL_STATE(8704)] = 280562,
  [SMALL_STATE(8705)] = 280582,
  [SMALL_STATE(8706)] = 280602,
  [SMALL_STATE(8707)] = 280622,
  [SMALL_STATE(8708)] = 280642,
  [SMALL_STATE(8709)] = 280662,
  [SMALL_STATE(8710)] = 280682,
  [SMALL_STATE(8711)] = 280700,
  [SMALL_STATE(8712)] = 280720,
  [SMALL_STATE(8713)] = 280740,
  [SMALL_STATE(8714)] = 280756,
  [SMALL_STATE(8715)] = 280768,
  [SMALL_STATE(8716)] = 280786,
  [SMALL_STATE(8717)] = 280804,
  [SMALL_STATE(8718)] = 280824,
  [SMALL_STATE(8719)] = 280844,
  [SMALL_STATE(8720)] = 280856,
  [SMALL_STATE(8721)] = 280876,
  [SMALL_STATE(8722)] = 280896,
  [SMALL_STATE(8723)] = 280908,
  [SMALL_STATE(8724)] = 280928,
  [SMALL_STATE(8725)] = 280948,
  [SMALL_STATE(8726)] = 280964,
  [SMALL_STATE(8727)] = 280978,
  [SMALL_STATE(8728)] = 280996,
  [SMALL_STATE(8729)] = 281016,
  [SMALL_STATE(8730)] = 281036,
  [SMALL_STATE(8731)] = 281050,
  [SMALL_STATE(8732)] = 281070,
  [SMALL_STATE(8733)] = 281088,
  [SMALL_STATE(8734)] = 281104,
  [SMALL_STATE(8735)] = 281120,
  [SMALL_STATE(8736)] = 281140,
  [SMALL_STATE(8737)] = 281160,
  [SMALL_STATE(8738)] = 281180,
  [SMALL_STATE(8739)] = 281200,
  [SMALL_STATE(8740)] = 281212,
  [SMALL_STATE(8741)] = 281224,
  [SMALL_STATE(8742)] = 281244,
  [SMALL_STATE(8743)] = 281258,
  [SMALL_STATE(8744)] = 281276,
  [SMALL_STATE(8745)] = 281296,
  [SMALL_STATE(8746)] = 281310,
  [SMALL_STATE(8747)] = 281330,
  [SMALL_STATE(8748)] = 281350,
  [SMALL_STATE(8749)] = 281370,
  [SMALL_STATE(8750)] = 281388,
  [SMALL_STATE(8751)] = 281404,
  [SMALL_STATE(8752)] = 281420,
  [SMALL_STATE(8753)] = 281440,
  [SMALL_STATE(8754)] = 281460,
  [SMALL_STATE(8755)] = 281476,
  [SMALL_STATE(8756)] = 281490,
  [SMALL_STATE(8757)] = 281506,
  [SMALL_STATE(8758)] = 281526,
  [SMALL_STATE(8759)] = 281546,
  [SMALL_STATE(8760)] = 281566,
  [SMALL_STATE(8761)] = 281586,
  [SMALL_STATE(8762)] = 281598,
  [SMALL_STATE(8763)] = 281612,
  [SMALL_STATE(8764)] = 281628,
  [SMALL_STATE(8765)] = 281646,
  [SMALL_STATE(8766)] = 281666,
  [SMALL_STATE(8767)] = 281686,
  [SMALL_STATE(8768)] = 281702,
  [SMALL_STATE(8769)] = 281722,
  [SMALL_STATE(8770)] = 281742,
  [SMALL_STATE(8771)] = 281760,
  [SMALL_STATE(8772)] = 281780,
  [SMALL_STATE(8773)] = 281796,
  [SMALL_STATE(8774)] = 281808,
  [SMALL_STATE(8775)] = 281822,
  [SMALL_STATE(8776)] = 281834,
  [SMALL_STATE(8777)] = 281854,
  [SMALL_STATE(8778)] = 281874,
  [SMALL_STATE(8779)] = 281886,
  [SMALL_STATE(8780)] = 281900,
  [SMALL_STATE(8781)] = 281916,
  [SMALL_STATE(8782)] = 281936,
  [SMALL_STATE(8783)] = 281952,
  [SMALL_STATE(8784)] = 281972,
  [SMALL_STATE(8785)] = 281984,
  [SMALL_STATE(8786)] = 282004,
  [SMALL_STATE(8787)] = 282020,
  [SMALL_STATE(8788)] = 282040,
  [SMALL_STATE(8789)] = 282060,
  [SMALL_STATE(8790)] = 282080,
  [SMALL_STATE(8791)] = 282100,
  [SMALL_STATE(8792)] = 282112,
  [SMALL_STATE(8793)] = 282128,
  [SMALL_STATE(8794)] = 282148,
  [SMALL_STATE(8795)] = 282162,
  [SMALL_STATE(8796)] = 282182,
  [SMALL_STATE(8797)] = 282194,
  [SMALL_STATE(8798)] = 282214,
  [SMALL_STATE(8799)] = 282232,
  [SMALL_STATE(8800)] = 282252,
  [SMALL_STATE(8801)] = 282272,
  [SMALL_STATE(8802)] = 282288,
  [SMALL_STATE(8803)] = 282308,
  [SMALL_STATE(8804)] = 282324,
  [SMALL_STATE(8805)] = 282344,
  [SMALL_STATE(8806)] = 282358,
  [SMALL_STATE(8807)] = 282378,
  [SMALL_STATE(8808)] = 282398,
  [SMALL_STATE(8809)] = 282418,
  [SMALL_STATE(8810)] = 282438,
  [SMALL_STATE(8811)] = 282458,
  [SMALL_STATE(8812)] = 282478,
  [SMALL_STATE(8813)] = 282498,
  [SMALL_STATE(8814)] = 282518,
  [SMALL_STATE(8815)] = 282530,
  [SMALL_STATE(8816)] = 282546,
  [SMALL_STATE(8817)] = 282558,
  [SMALL_STATE(8818)] = 282578,
  [SMALL_STATE(8819)] = 282598,
  [SMALL_STATE(8820)] = 282610,
  [SMALL_STATE(8821)] = 282630,
  [SMALL_STATE(8822)] = 282642,
  [SMALL_STATE(8823)] = 282662,
  [SMALL_STATE(8824)] = 282682,
  [SMALL_STATE(8825)] = 282702,
  [SMALL_STATE(8826)] = 282722,
  [SMALL_STATE(8827)] = 282742,
  [SMALL_STATE(8828)] = 282758,
  [SMALL_STATE(8829)] = 282778,
  [SMALL_STATE(8830)] = 282790,
  [SMALL_STATE(8831)] = 282806,
  [SMALL_STATE(8832)] = 282826,
  [SMALL_STATE(8833)] = 282838,
  [SMALL_STATE(8834)] = 282854,
  [SMALL_STATE(8835)] = 282874,
  [SMALL_STATE(8836)] = 282894,
  [SMALL_STATE(8837)] = 282910,
  [SMALL_STATE(8838)] = 282926,
  [SMALL_STATE(8839)] = 282946,
  [SMALL_STATE(8840)] = 282964,
  [SMALL_STATE(8841)] = 282976,
  [SMALL_STATE(8842)] = 282996,
  [SMALL_STATE(8843)] = 283012,
  [SMALL_STATE(8844)] = 283032,
  [SMALL_STATE(8845)] = 283052,
  [SMALL_STATE(8846)] = 283068,
  [SMALL_STATE(8847)] = 283080,
  [SMALL_STATE(8848)] = 283098,
  [SMALL_STATE(8849)] = 283116,
  [SMALL_STATE(8850)] = 283136,
  [SMALL_STATE(8851)] = 283152,
  [SMALL_STATE(8852)] = 283166,
  [SMALL_STATE(8853)] = 283186,
  [SMALL_STATE(8854)] = 283206,
  [SMALL_STATE(8855)] = 283226,
  [SMALL_STATE(8856)] = 283246,
  [SMALL_STATE(8857)] = 283264,
  [SMALL_STATE(8858)] = 283284,
  [SMALL_STATE(8859)] = 283304,
  [SMALL_STATE(8860)] = 283324,
  [SMALL_STATE(8861)] = 283344,
  [SMALL_STATE(8862)] = 283364,
  [SMALL_STATE(8863)] = 283384,
  [SMALL_STATE(8864)] = 283404,
  [SMALL_STATE(8865)] = 283424,
  [SMALL_STATE(8866)] = 283444,
  [SMALL_STATE(8867)] = 283464,
  [SMALL_STATE(8868)] = 283484,
  [SMALL_STATE(8869)] = 283500,
  [SMALL_STATE(8870)] = 283520,
  [SMALL_STATE(8871)] = 283540,
  [SMALL_STATE(8872)] = 283556,
  [SMALL_STATE(8873)] = 283576,
  [SMALL_STATE(8874)] = 283596,
  [SMALL_STATE(8875)] = 283608,
  [SMALL_STATE(8876)] = 283628,
  [SMALL_STATE(8877)] = 283648,
  [SMALL_STATE(8878)] = 283668,
  [SMALL_STATE(8879)] = 283684,
  [SMALL_STATE(8880)] = 283704,
  [SMALL_STATE(8881)] = 283720,
  [SMALL_STATE(8882)] = 283740,
  [SMALL_STATE(8883)] = 283760,
  [SMALL_STATE(8884)] = 283780,
  [SMALL_STATE(8885)] = 283800,
  [SMALL_STATE(8886)] = 283820,
  [SMALL_STATE(8887)] = 283840,
  [SMALL_STATE(8888)] = 283860,
  [SMALL_STATE(8889)] = 283876,
  [SMALL_STATE(8890)] = 283896,
  [SMALL_STATE(8891)] = 283908,
  [SMALL_STATE(8892)] = 283928,
  [SMALL_STATE(8893)] = 283944,
  [SMALL_STATE(8894)] = 283964,
  [SMALL_STATE(8895)] = 283980,
  [SMALL_STATE(8896)] = 283992,
  [SMALL_STATE(8897)] = 284010,
  [SMALL_STATE(8898)] = 284030,
  [SMALL_STATE(8899)] = 284044,
  [SMALL_STATE(8900)] = 284056,
  [SMALL_STATE(8901)] = 284068,
  [SMALL_STATE(8902)] = 284080,
  [SMALL_STATE(8903)] = 284100,
  [SMALL_STATE(8904)] = 284112,
  [SMALL_STATE(8905)] = 284128,
  [SMALL_STATE(8906)] = 284148,
  [SMALL_STATE(8907)] = 284162,
  [SMALL_STATE(8908)] = 284176,
  [SMALL_STATE(8909)] = 284196,
  [SMALL_STATE(8910)] = 284216,
  [SMALL_STATE(8911)] = 284236,
  [SMALL_STATE(8912)] = 284256,
  [SMALL_STATE(8913)] = 284276,
  [SMALL_STATE(8914)] = 284292,
  [SMALL_STATE(8915)] = 284312,
  [SMALL_STATE(8916)] = 284332,
  [SMALL_STATE(8917)] = 284352,
  [SMALL_STATE(8918)] = 284372,
  [SMALL_STATE(8919)] = 284386,
  [SMALL_STATE(8920)] = 284406,
  [SMALL_STATE(8921)] = 284426,
  [SMALL_STATE(8922)] = 284446,
  [SMALL_STATE(8923)] = 284466,
  [SMALL_STATE(8924)] = 284486,
  [SMALL_STATE(8925)] = 284506,
  [SMALL_STATE(8926)] = 284526,
  [SMALL_STATE(8927)] = 284546,
  [SMALL_STATE(8928)] = 284566,
  [SMALL_STATE(8929)] = 284586,
  [SMALL_STATE(8930)] = 284606,
  [SMALL_STATE(8931)] = 284626,
  [SMALL_STATE(8932)] = 284646,
  [SMALL_STATE(8933)] = 284666,
  [SMALL_STATE(8934)] = 284684,
  [SMALL_STATE(8935)] = 284704,
  [SMALL_STATE(8936)] = 284724,
  [SMALL_STATE(8937)] = 284742,
  [SMALL_STATE(8938)] = 284762,
  [SMALL_STATE(8939)] = 284782,
  [SMALL_STATE(8940)] = 284802,
  [SMALL_STATE(8941)] = 284817,
  [SMALL_STATE(8942)] = 284828,
  [SMALL_STATE(8943)] = 284843,
  [SMALL_STATE(8944)] = 284860,
  [SMALL_STATE(8945)] = 284877,
  [SMALL_STATE(8946)] = 284894,
  [SMALL_STATE(8947)] = 284911,
  [SMALL_STATE(8948)] = 284926,
  [SMALL_STATE(8949)] = 284941,
  [SMALL_STATE(8950)] = 284956,
  [SMALL_STATE(8951)] = 284971,
  [SMALL_STATE(8952)] = 284982,
  [SMALL_STATE(8953)] = 284993,
  [SMALL_STATE(8954)] = 285004,
  [SMALL_STATE(8955)] = 285019,
  [SMALL_STATE(8956)] = 285030,
  [SMALL_STATE(8957)] = 285047,
  [SMALL_STATE(8958)] = 285064,
  [SMALL_STATE(8959)] = 285079,
  [SMALL_STATE(8960)] = 285096,
  [SMALL_STATE(8961)] = 285113,
  [SMALL_STATE(8962)] = 285130,
  [SMALL_STATE(8963)] = 285141,
  [SMALL_STATE(8964)] = 285158,
  [SMALL_STATE(8965)] = 285173,
  [SMALL_STATE(8966)] = 285188,
  [SMALL_STATE(8967)] = 285203,
  [SMALL_STATE(8968)] = 285220,
  [SMALL_STATE(8969)] = 285237,
  [SMALL_STATE(8970)] = 285252,
  [SMALL_STATE(8971)] = 285267,
  [SMALL_STATE(8972)] = 285284,
  [SMALL_STATE(8973)] = 285301,
  [SMALL_STATE(8974)] = 285318,
  [SMALL_STATE(8975)] = 285335,
  [SMALL_STATE(8976)] = 285352,
  [SMALL_STATE(8977)] = 285367,
  [SMALL_STATE(8978)] = 285378,
  [SMALL_STATE(8979)] = 285395,
  [SMALL_STATE(8980)] = 285412,
  [SMALL_STATE(8981)] = 285429,
  [SMALL_STATE(8982)] = 285444,
  [SMALL_STATE(8983)] = 285459,
  [SMALL_STATE(8984)] = 285476,
  [SMALL_STATE(8985)] = 285493,
  [SMALL_STATE(8986)] = 285510,
  [SMALL_STATE(8987)] = 285525,
  [SMALL_STATE(8988)] = 285536,
  [SMALL_STATE(8989)] = 285553,
  [SMALL_STATE(8990)] = 285570,
  [SMALL_STATE(8991)] = 285587,
  [SMALL_STATE(8992)] = 285604,
  [SMALL_STATE(8993)] = 285621,
  [SMALL_STATE(8994)] = 285636,
  [SMALL_STATE(8995)] = 285651,
  [SMALL_STATE(8996)] = 285666,
  [SMALL_STATE(8997)] = 285681,
  [SMALL_STATE(8998)] = 285696,
  [SMALL_STATE(8999)] = 285713,
  [SMALL_STATE(9000)] = 285728,
  [SMALL_STATE(9001)] = 285739,
  [SMALL_STATE(9002)] = 285754,
  [SMALL_STATE(9003)] = 285769,
  [SMALL_STATE(9004)] = 285784,
  [SMALL_STATE(9005)] = 285799,
  [SMALL_STATE(9006)] = 285814,
  [SMALL_STATE(9007)] = 285825,
  [SMALL_STATE(9008)] = 285840,
  [SMALL_STATE(9009)] = 285857,
  [SMALL_STATE(9010)] = 285874,
  [SMALL_STATE(9011)] = 285889,
  [SMALL_STATE(9012)] = 285904,
  [SMALL_STATE(9013)] = 285919,
  [SMALL_STATE(9014)] = 285936,
  [SMALL_STATE(9015)] = 285951,
  [SMALL_STATE(9016)] = 285968,
  [SMALL_STATE(9017)] = 285983,
  [SMALL_STATE(9018)] = 286000,
  [SMALL_STATE(9019)] = 286015,
  [SMALL_STATE(9020)] = 286032,
  [SMALL_STATE(9021)] = 286047,
  [SMALL_STATE(9022)] = 286058,
  [SMALL_STATE(9023)] = 286069,
  [SMALL_STATE(9024)] = 286082,
  [SMALL_STATE(9025)] = 286097,
  [SMALL_STATE(9026)] = 286112,
  [SMALL_STATE(9027)] = 286123,
  [SMALL_STATE(9028)] = 286134,
  [SMALL_STATE(9029)] = 286151,
  [SMALL_STATE(9030)] = 286166,
  [SMALL_STATE(9031)] = 286181,
  [SMALL_STATE(9032)] = 286198,
  [SMALL_STATE(9033)] = 286215,
  [SMALL_STATE(9034)] = 286226,
  [SMALL_STATE(9035)] = 286241,
  [SMALL_STATE(9036)] = 286258,
  [SMALL_STATE(9037)] = 286269,
  [SMALL_STATE(9038)] = 286286,
  [SMALL_STATE(9039)] = 286301,
  [SMALL_STATE(9040)] = 286318,
  [SMALL_STATE(9041)] = 286335,
  [SMALL_STATE(9042)] = 286346,
  [SMALL_STATE(9043)] = 286363,
  [SMALL_STATE(9044)] = 286380,
  [SMALL_STATE(9045)] = 286395,
  [SMALL_STATE(9046)] = 286412,
  [SMALL_STATE(9047)] = 286429,
  [SMALL_STATE(9048)] = 286446,
  [SMALL_STATE(9049)] = 286461,
  [SMALL_STATE(9050)] = 286478,
  [SMALL_STATE(9051)] = 286489,
  [SMALL_STATE(9052)] = 286504,
  [SMALL_STATE(9053)] = 286515,
  [SMALL_STATE(9054)] = 286528,
  [SMALL_STATE(9055)] = 286545,
  [SMALL_STATE(9056)] = 286562,
  [SMALL_STATE(9057)] = 286577,
  [SMALL_STATE(9058)] = 286592,
  [SMALL_STATE(9059)] = 286609,
  [SMALL_STATE(9060)] = 286626,
  [SMALL_STATE(9061)] = 286643,
  [SMALL_STATE(9062)] = 286658,
  [SMALL_STATE(9063)] = 286675,
  [SMALL_STATE(9064)] = 286692,
  [SMALL_STATE(9065)] = 286709,
  [SMALL_STATE(9066)] = 286726,
  [SMALL_STATE(9067)] = 286743,
  [SMALL_STATE(9068)] = 286758,
  [SMALL_STATE(9069)] = 286769,
  [SMALL_STATE(9070)] = 286780,
  [SMALL_STATE(9071)] = 286795,
  [SMALL_STATE(9072)] = 286810,
  [SMALL_STATE(9073)] = 286825,
  [SMALL_STATE(9074)] = 286842,
  [SMALL_STATE(9075)] = 286859,
  [SMALL_STATE(9076)] = 286870,
  [SMALL_STATE(9077)] = 286885,
  [SMALL_STATE(9078)] = 286900,
  [SMALL_STATE(9079)] = 286917,
  [SMALL_STATE(9080)] = 286934,
  [SMALL_STATE(9081)] = 286951,
  [SMALL_STATE(9082)] = 286968,
  [SMALL_STATE(9083)] = 286985,
  [SMALL_STATE(9084)] = 287002,
  [SMALL_STATE(9085)] = 287013,
  [SMALL_STATE(9086)] = 287030,
  [SMALL_STATE(9087)] = 287047,
  [SMALL_STATE(9088)] = 287058,
  [SMALL_STATE(9089)] = 287075,
  [SMALL_STATE(9090)] = 287092,
  [SMALL_STATE(9091)] = 287109,
  [SMALL_STATE(9092)] = 287126,
  [SMALL_STATE(9093)] = 287143,
  [SMALL_STATE(9094)] = 287160,
  [SMALL_STATE(9095)] = 287175,
  [SMALL_STATE(9096)] = 287192,
  [SMALL_STATE(9097)] = 287203,
  [SMALL_STATE(9098)] = 287214,
  [SMALL_STATE(9099)] = 287225,
  [SMALL_STATE(9100)] = 287240,
  [SMALL_STATE(9101)] = 287255,
  [SMALL_STATE(9102)] = 287272,
  [SMALL_STATE(9103)] = 287287,
  [SMALL_STATE(9104)] = 287302,
  [SMALL_STATE(9105)] = 287317,
  [SMALL_STATE(9106)] = 287332,
  [SMALL_STATE(9107)] = 287347,
  [SMALL_STATE(9108)] = 287362,
  [SMALL_STATE(9109)] = 287377,
  [SMALL_STATE(9110)] = 287392,
  [SMALL_STATE(9111)] = 287407,
  [SMALL_STATE(9112)] = 287422,
  [SMALL_STATE(9113)] = 287437,
  [SMALL_STATE(9114)] = 287452,
  [SMALL_STATE(9115)] = 287467,
  [SMALL_STATE(9116)] = 287482,
  [SMALL_STATE(9117)] = 287497,
  [SMALL_STATE(9118)] = 287512,
  [SMALL_STATE(9119)] = 287527,
  [SMALL_STATE(9120)] = 287542,
  [SMALL_STATE(9121)] = 287557,
  [SMALL_STATE(9122)] = 287572,
  [SMALL_STATE(9123)] = 287587,
  [SMALL_STATE(9124)] = 287602,
  [SMALL_STATE(9125)] = 287617,
  [SMALL_STATE(9126)] = 287632,
  [SMALL_STATE(9127)] = 287647,
  [SMALL_STATE(9128)] = 287662,
  [SMALL_STATE(9129)] = 287673,
  [SMALL_STATE(9130)] = 287684,
  [SMALL_STATE(9131)] = 287699,
  [SMALL_STATE(9132)] = 287716,
  [SMALL_STATE(9133)] = 287733,
  [SMALL_STATE(9134)] = 287750,
  [SMALL_STATE(9135)] = 287764,
  [SMALL_STATE(9136)] = 287778,
  [SMALL_STATE(9137)] = 287792,
  [SMALL_STATE(9138)] = 287806,
  [SMALL_STATE(9139)] = 287820,
  [SMALL_STATE(9140)] = 287834,
  [SMALL_STATE(9141)] = 287848,
  [SMALL_STATE(9142)] = 287862,
  [SMALL_STATE(9143)] = 287876,
  [SMALL_STATE(9144)] = 287890,
  [SMALL_STATE(9145)] = 287904,
  [SMALL_STATE(9146)] = 287918,
  [SMALL_STATE(9147)] = 287932,
  [SMALL_STATE(9148)] = 287946,
  [SMALL_STATE(9149)] = 287960,
  [SMALL_STATE(9150)] = 287974,
  [SMALL_STATE(9151)] = 287988,
  [SMALL_STATE(9152)] = 288002,
  [SMALL_STATE(9153)] = 288016,
  [SMALL_STATE(9154)] = 288030,
  [SMALL_STATE(9155)] = 288044,
  [SMALL_STATE(9156)] = 288058,
  [SMALL_STATE(9157)] = 288072,
  [SMALL_STATE(9158)] = 288086,
  [SMALL_STATE(9159)] = 288100,
  [SMALL_STATE(9160)] = 288114,
  [SMALL_STATE(9161)] = 288128,
  [SMALL_STATE(9162)] = 288142,
  [SMALL_STATE(9163)] = 288156,
  [SMALL_STATE(9164)] = 288170,
  [SMALL_STATE(9165)] = 288184,
  [SMALL_STATE(9166)] = 288198,
  [SMALL_STATE(9167)] = 288212,
  [SMALL_STATE(9168)] = 288226,
  [SMALL_STATE(9169)] = 288240,
  [SMALL_STATE(9170)] = 288254,
  [SMALL_STATE(9171)] = 288268,
  [SMALL_STATE(9172)] = 288282,
  [SMALL_STATE(9173)] = 288296,
  [SMALL_STATE(9174)] = 288310,
  [SMALL_STATE(9175)] = 288324,
  [SMALL_STATE(9176)] = 288338,
  [SMALL_STATE(9177)] = 288352,
  [SMALL_STATE(9178)] = 288366,
  [SMALL_STATE(9179)] = 288380,
  [SMALL_STATE(9180)] = 288390,
  [SMALL_STATE(9181)] = 288404,
  [SMALL_STATE(9182)] = 288418,
  [SMALL_STATE(9183)] = 288432,
  [SMALL_STATE(9184)] = 288446,
  [SMALL_STATE(9185)] = 288456,
  [SMALL_STATE(9186)] = 288470,
  [SMALL_STATE(9187)] = 288484,
  [SMALL_STATE(9188)] = 288498,
  [SMALL_STATE(9189)] = 288512,
  [SMALL_STATE(9190)] = 288526,
  [SMALL_STATE(9191)] = 288540,
  [SMALL_STATE(9192)] = 288554,
  [SMALL_STATE(9193)] = 288568,
  [SMALL_STATE(9194)] = 288582,
  [SMALL_STATE(9195)] = 288596,
  [SMALL_STATE(9196)] = 288610,
  [SMALL_STATE(9197)] = 288624,
  [SMALL_STATE(9198)] = 288638,
  [SMALL_STATE(9199)] = 288652,
  [SMALL_STATE(9200)] = 288666,
  [SMALL_STATE(9201)] = 288680,
  [SMALL_STATE(9202)] = 288694,
  [SMALL_STATE(9203)] = 288708,
  [SMALL_STATE(9204)] = 288722,
  [SMALL_STATE(9205)] = 288736,
  [SMALL_STATE(9206)] = 288750,
  [SMALL_STATE(9207)] = 288764,
  [SMALL_STATE(9208)] = 288778,
  [SMALL_STATE(9209)] = 288792,
  [SMALL_STATE(9210)] = 288806,
  [SMALL_STATE(9211)] = 288820,
  [SMALL_STATE(9212)] = 288834,
  [SMALL_STATE(9213)] = 288848,
  [SMALL_STATE(9214)] = 288862,
  [SMALL_STATE(9215)] = 288876,
  [SMALL_STATE(9216)] = 288890,
  [SMALL_STATE(9217)] = 288904,
  [SMALL_STATE(9218)] = 288918,
  [SMALL_STATE(9219)] = 288932,
  [SMALL_STATE(9220)] = 288946,
  [SMALL_STATE(9221)] = 288960,
  [SMALL_STATE(9222)] = 288974,
  [SMALL_STATE(9223)] = 288988,
  [SMALL_STATE(9224)] = 289002,
  [SMALL_STATE(9225)] = 289016,
  [SMALL_STATE(9226)] = 289030,
  [SMALL_STATE(9227)] = 289044,
  [SMALL_STATE(9228)] = 289058,
  [SMALL_STATE(9229)] = 289072,
  [SMALL_STATE(9230)] = 289086,
  [SMALL_STATE(9231)] = 289100,
  [SMALL_STATE(9232)] = 289114,
  [SMALL_STATE(9233)] = 289128,
  [SMALL_STATE(9234)] = 289142,
  [SMALL_STATE(9235)] = 289156,
  [SMALL_STATE(9236)] = 289170,
  [SMALL_STATE(9237)] = 289184,
  [SMALL_STATE(9238)] = 289198,
  [SMALL_STATE(9239)] = 289210,
  [SMALL_STATE(9240)] = 289224,
  [SMALL_STATE(9241)] = 289238,
  [SMALL_STATE(9242)] = 289252,
  [SMALL_STATE(9243)] = 289266,
  [SMALL_STATE(9244)] = 289280,
  [SMALL_STATE(9245)] = 289294,
  [SMALL_STATE(9246)] = 289308,
  [SMALL_STATE(9247)] = 289322,
  [SMALL_STATE(9248)] = 289336,
  [SMALL_STATE(9249)] = 289350,
  [SMALL_STATE(9250)] = 289364,
  [SMALL_STATE(9251)] = 289378,
  [SMALL_STATE(9252)] = 289392,
  [SMALL_STATE(9253)] = 289406,
  [SMALL_STATE(9254)] = 289420,
  [SMALL_STATE(9255)] = 289434,
  [SMALL_STATE(9256)] = 289448,
  [SMALL_STATE(9257)] = 289462,
  [SMALL_STATE(9258)] = 289476,
  [SMALL_STATE(9259)] = 289490,
  [SMALL_STATE(9260)] = 289504,
  [SMALL_STATE(9261)] = 289518,
  [SMALL_STATE(9262)] = 289532,
  [SMALL_STATE(9263)] = 289546,
  [SMALL_STATE(9264)] = 289560,
  [SMALL_STATE(9265)] = 289574,
  [SMALL_STATE(9266)] = 289588,
  [SMALL_STATE(9267)] = 289602,
  [SMALL_STATE(9268)] = 289616,
  [SMALL_STATE(9269)] = 289630,
  [SMALL_STATE(9270)] = 289644,
  [SMALL_STATE(9271)] = 289658,
  [SMALL_STATE(9272)] = 289672,
  [SMALL_STATE(9273)] = 289686,
  [SMALL_STATE(9274)] = 289700,
  [SMALL_STATE(9275)] = 289714,
  [SMALL_STATE(9276)] = 289728,
  [SMALL_STATE(9277)] = 289742,
  [SMALL_STATE(9278)] = 289754,
  [SMALL_STATE(9279)] = 289768,
  [SMALL_STATE(9280)] = 289782,
  [SMALL_STATE(9281)] = 289796,
  [SMALL_STATE(9282)] = 289810,
  [SMALL_STATE(9283)] = 289824,
  [SMALL_STATE(9284)] = 289836,
  [SMALL_STATE(9285)] = 289850,
  [SMALL_STATE(9286)] = 289864,
  [SMALL_STATE(9287)] = 289878,
  [SMALL_STATE(9288)] = 289892,
  [SMALL_STATE(9289)] = 289906,
  [SMALL_STATE(9290)] = 289920,
  [SMALL_STATE(9291)] = 289934,
  [SMALL_STATE(9292)] = 289948,
  [SMALL_STATE(9293)] = 289962,
  [SMALL_STATE(9294)] = 289976,
  [SMALL_STATE(9295)] = 289990,
  [SMALL_STATE(9296)] = 290000,
  [SMALL_STATE(9297)] = 290014,
  [SMALL_STATE(9298)] = 290028,
  [SMALL_STATE(9299)] = 290042,
  [SMALL_STATE(9300)] = 290056,
  [SMALL_STATE(9301)] = 290070,
  [SMALL_STATE(9302)] = 290084,
  [SMALL_STATE(9303)] = 290098,
  [SMALL_STATE(9304)] = 290112,
  [SMALL_STATE(9305)] = 290126,
  [SMALL_STATE(9306)] = 290140,
  [SMALL_STATE(9307)] = 290154,
  [SMALL_STATE(9308)] = 290168,
  [SMALL_STATE(9309)] = 290182,
  [SMALL_STATE(9310)] = 290196,
  [SMALL_STATE(9311)] = 290210,
  [SMALL_STATE(9312)] = 290224,
  [SMALL_STATE(9313)] = 290238,
  [SMALL_STATE(9314)] = 290252,
  [SMALL_STATE(9315)] = 290266,
  [SMALL_STATE(9316)] = 290280,
  [SMALL_STATE(9317)] = 290290,
  [SMALL_STATE(9318)] = 290300,
  [SMALL_STATE(9319)] = 290314,
  [SMALL_STATE(9320)] = 290328,
  [SMALL_STATE(9321)] = 290342,
  [SMALL_STATE(9322)] = 290356,
  [SMALL_STATE(9323)] = 290370,
  [SMALL_STATE(9324)] = 290384,
  [SMALL_STATE(9325)] = 290398,
  [SMALL_STATE(9326)] = 290412,
  [SMALL_STATE(9327)] = 290426,
  [SMALL_STATE(9328)] = 290440,
  [SMALL_STATE(9329)] = 290450,
  [SMALL_STATE(9330)] = 290464,
  [SMALL_STATE(9331)] = 290478,
  [SMALL_STATE(9332)] = 290492,
  [SMALL_STATE(9333)] = 290506,
  [SMALL_STATE(9334)] = 290520,
  [SMALL_STATE(9335)] = 290534,
  [SMALL_STATE(9336)] = 290548,
  [SMALL_STATE(9337)] = 290562,
  [SMALL_STATE(9338)] = 290576,
  [SMALL_STATE(9339)] = 290590,
  [SMALL_STATE(9340)] = 290604,
  [SMALL_STATE(9341)] = 290618,
  [SMALL_STATE(9342)] = 290632,
  [SMALL_STATE(9343)] = 290646,
  [SMALL_STATE(9344)] = 290660,
  [SMALL_STATE(9345)] = 290670,
  [SMALL_STATE(9346)] = 290684,
  [SMALL_STATE(9347)] = 290698,
  [SMALL_STATE(9348)] = 290712,
  [SMALL_STATE(9349)] = 290726,
  [SMALL_STATE(9350)] = 290740,
  [SMALL_STATE(9351)] = 290754,
  [SMALL_STATE(9352)] = 290768,
  [SMALL_STATE(9353)] = 290782,
  [SMALL_STATE(9354)] = 290796,
  [SMALL_STATE(9355)] = 290810,
  [SMALL_STATE(9356)] = 290824,
  [SMALL_STATE(9357)] = 290838,
  [SMALL_STATE(9358)] = 290852,
  [SMALL_STATE(9359)] = 290866,
  [SMALL_STATE(9360)] = 290880,
  [SMALL_STATE(9361)] = 290894,
  [SMALL_STATE(9362)] = 290908,
  [SMALL_STATE(9363)] = 290922,
  [SMALL_STATE(9364)] = 290936,
  [SMALL_STATE(9365)] = 290950,
  [SMALL_STATE(9366)] = 290964,
  [SMALL_STATE(9367)] = 290978,
  [SMALL_STATE(9368)] = 290992,
  [SMALL_STATE(9369)] = 291006,
  [SMALL_STATE(9370)] = 291020,
  [SMALL_STATE(9371)] = 291034,
  [SMALL_STATE(9372)] = 291048,
  [SMALL_STATE(9373)] = 291062,
  [SMALL_STATE(9374)] = 291076,
  [SMALL_STATE(9375)] = 291090,
  [SMALL_STATE(9376)] = 291104,
  [SMALL_STATE(9377)] = 291118,
  [SMALL_STATE(9378)] = 291132,
  [SMALL_STATE(9379)] = 291146,
  [SMALL_STATE(9380)] = 291160,
  [SMALL_STATE(9381)] = 291174,
  [SMALL_STATE(9382)] = 291188,
  [SMALL_STATE(9383)] = 291202,
  [SMALL_STATE(9384)] = 291216,
  [SMALL_STATE(9385)] = 291230,
  [SMALL_STATE(9386)] = 291244,
  [SMALL_STATE(9387)] = 291258,
  [SMALL_STATE(9388)] = 291272,
  [SMALL_STATE(9389)] = 291286,
  [SMALL_STATE(9390)] = 291300,
  [SMALL_STATE(9391)] = 291314,
  [SMALL_STATE(9392)] = 291328,
  [SMALL_STATE(9393)] = 291342,
  [SMALL_STATE(9394)] = 291356,
  [SMALL_STATE(9395)] = 291370,
  [SMALL_STATE(9396)] = 291384,
  [SMALL_STATE(9397)] = 291398,
  [SMALL_STATE(9398)] = 291412,
  [SMALL_STATE(9399)] = 291426,
  [SMALL_STATE(9400)] = 291440,
  [SMALL_STATE(9401)] = 291454,
  [SMALL_STATE(9402)] = 291468,
  [SMALL_STATE(9403)] = 291482,
  [SMALL_STATE(9404)] = 291496,
  [SMALL_STATE(9405)] = 291510,
  [SMALL_STATE(9406)] = 291524,
  [SMALL_STATE(9407)] = 291538,
  [SMALL_STATE(9408)] = 291552,
  [SMALL_STATE(9409)] = 291562,
  [SMALL_STATE(9410)] = 291576,
  [SMALL_STATE(9411)] = 291586,
  [SMALL_STATE(9412)] = 291600,
  [SMALL_STATE(9413)] = 291614,
  [SMALL_STATE(9414)] = 291626,
  [SMALL_STATE(9415)] = 291640,
  [SMALL_STATE(9416)] = 291652,
  [SMALL_STATE(9417)] = 291666,
  [SMALL_STATE(9418)] = 291680,
  [SMALL_STATE(9419)] = 291694,
  [SMALL_STATE(9420)] = 291708,
  [SMALL_STATE(9421)] = 291722,
  [SMALL_STATE(9422)] = 291736,
  [SMALL_STATE(9423)] = 291750,
  [SMALL_STATE(9424)] = 291764,
  [SMALL_STATE(9425)] = 291778,
  [SMALL_STATE(9426)] = 291792,
  [SMALL_STATE(9427)] = 291806,
  [SMALL_STATE(9428)] = 291820,
  [SMALL_STATE(9429)] = 291834,
  [SMALL_STATE(9430)] = 291848,
  [SMALL_STATE(9431)] = 291862,
  [SMALL_STATE(9432)] = 291876,
  [SMALL_STATE(9433)] = 291890,
  [SMALL_STATE(9434)] = 291904,
  [SMALL_STATE(9435)] = 291918,
  [SMALL_STATE(9436)] = 291932,
  [SMALL_STATE(9437)] = 291946,
  [SMALL_STATE(9438)] = 291960,
  [SMALL_STATE(9439)] = 291974,
  [SMALL_STATE(9440)] = 291988,
  [SMALL_STATE(9441)] = 292002,
  [SMALL_STATE(9442)] = 292016,
  [SMALL_STATE(9443)] = 292030,
  [SMALL_STATE(9444)] = 292044,
  [SMALL_STATE(9445)] = 292058,
  [SMALL_STATE(9446)] = 292072,
  [SMALL_STATE(9447)] = 292086,
  [SMALL_STATE(9448)] = 292100,
  [SMALL_STATE(9449)] = 292114,
  [SMALL_STATE(9450)] = 292128,
  [SMALL_STATE(9451)] = 292142,
  [SMALL_STATE(9452)] = 292156,
  [SMALL_STATE(9453)] = 292170,
  [SMALL_STATE(9454)] = 292184,
  [SMALL_STATE(9455)] = 292198,
  [SMALL_STATE(9456)] = 292212,
  [SMALL_STATE(9457)] = 292226,
  [SMALL_STATE(9458)] = 292240,
  [SMALL_STATE(9459)] = 292254,
  [SMALL_STATE(9460)] = 292268,
  [SMALL_STATE(9461)] = 292282,
  [SMALL_STATE(9462)] = 292296,
  [SMALL_STATE(9463)] = 292310,
  [SMALL_STATE(9464)] = 292324,
  [SMALL_STATE(9465)] = 292338,
  [SMALL_STATE(9466)] = 292350,
  [SMALL_STATE(9467)] = 292364,
  [SMALL_STATE(9468)] = 292378,
  [SMALL_STATE(9469)] = 292392,
  [SMALL_STATE(9470)] = 292406,
  [SMALL_STATE(9471)] = 292420,
  [SMALL_STATE(9472)] = 292434,
  [SMALL_STATE(9473)] = 292448,
  [SMALL_STATE(9474)] = 292462,
  [SMALL_STATE(9475)] = 292476,
  [SMALL_STATE(9476)] = 292490,
  [SMALL_STATE(9477)] = 292504,
  [SMALL_STATE(9478)] = 292518,
  [SMALL_STATE(9479)] = 292532,
  [SMALL_STATE(9480)] = 292546,
  [SMALL_STATE(9481)] = 292560,
  [SMALL_STATE(9482)] = 292574,
  [SMALL_STATE(9483)] = 292588,
  [SMALL_STATE(9484)] = 292602,
  [SMALL_STATE(9485)] = 292616,
  [SMALL_STATE(9486)] = 292630,
  [SMALL_STATE(9487)] = 292644,
  [SMALL_STATE(9488)] = 292658,
  [SMALL_STATE(9489)] = 292672,
  [SMALL_STATE(9490)] = 292686,
  [SMALL_STATE(9491)] = 292700,
  [SMALL_STATE(9492)] = 292714,
  [SMALL_STATE(9493)] = 292728,
  [SMALL_STATE(9494)] = 292742,
  [SMALL_STATE(9495)] = 292756,
  [SMALL_STATE(9496)] = 292770,
  [SMALL_STATE(9497)] = 292784,
  [SMALL_STATE(9498)] = 292798,
  [SMALL_STATE(9499)] = 292812,
  [SMALL_STATE(9500)] = 292826,
  [SMALL_STATE(9501)] = 292840,
  [SMALL_STATE(9502)] = 292854,
  [SMALL_STATE(9503)] = 292868,
  [SMALL_STATE(9504)] = 292882,
  [SMALL_STATE(9505)] = 292896,
  [SMALL_STATE(9506)] = 292910,
  [SMALL_STATE(9507)] = 292924,
  [SMALL_STATE(9508)] = 292938,
  [SMALL_STATE(9509)] = 292952,
  [SMALL_STATE(9510)] = 292966,
  [SMALL_STATE(9511)] = 292980,
  [SMALL_STATE(9512)] = 292994,
  [SMALL_STATE(9513)] = 293008,
  [SMALL_STATE(9514)] = 293022,
  [SMALL_STATE(9515)] = 293036,
  [SMALL_STATE(9516)] = 293050,
  [SMALL_STATE(9517)] = 293064,
  [SMALL_STATE(9518)] = 293078,
  [SMALL_STATE(9519)] = 293092,
  [SMALL_STATE(9520)] = 293106,
  [SMALL_STATE(9521)] = 293120,
  [SMALL_STATE(9522)] = 293134,
  [SMALL_STATE(9523)] = 293148,
  [SMALL_STATE(9524)] = 293162,
  [SMALL_STATE(9525)] = 293176,
  [SMALL_STATE(9526)] = 293190,
  [SMALL_STATE(9527)] = 293204,
  [SMALL_STATE(9528)] = 293218,
  [SMALL_STATE(9529)] = 293232,
  [SMALL_STATE(9530)] = 293246,
  [SMALL_STATE(9531)] = 293260,
  [SMALL_STATE(9532)] = 293274,
  [SMALL_STATE(9533)] = 293284,
  [SMALL_STATE(9534)] = 293298,
  [SMALL_STATE(9535)] = 293312,
  [SMALL_STATE(9536)] = 293326,
  [SMALL_STATE(9537)] = 293340,
  [SMALL_STATE(9538)] = 293354,
  [SMALL_STATE(9539)] = 293368,
  [SMALL_STATE(9540)] = 293382,
  [SMALL_STATE(9541)] = 293396,
  [SMALL_STATE(9542)] = 293410,
  [SMALL_STATE(9543)] = 293424,
  [SMALL_STATE(9544)] = 293438,
  [SMALL_STATE(9545)] = 293452,
  [SMALL_STATE(9546)] = 293466,
  [SMALL_STATE(9547)] = 293480,
  [SMALL_STATE(9548)] = 293494,
  [SMALL_STATE(9549)] = 293508,
  [SMALL_STATE(9550)] = 293522,
  [SMALL_STATE(9551)] = 293536,
  [SMALL_STATE(9552)] = 293550,
  [SMALL_STATE(9553)] = 293564,
  [SMALL_STATE(9554)] = 293578,
  [SMALL_STATE(9555)] = 293592,
  [SMALL_STATE(9556)] = 293606,
  [SMALL_STATE(9557)] = 293620,
  [SMALL_STATE(9558)] = 293634,
  [SMALL_STATE(9559)] = 293648,
  [SMALL_STATE(9560)] = 293662,
  [SMALL_STATE(9561)] = 293676,
  [SMALL_STATE(9562)] = 293690,
  [SMALL_STATE(9563)] = 293704,
  [SMALL_STATE(9564)] = 293718,
  [SMALL_STATE(9565)] = 293732,
  [SMALL_STATE(9566)] = 293746,
  [SMALL_STATE(9567)] = 293760,
  [SMALL_STATE(9568)] = 293774,
  [SMALL_STATE(9569)] = 293788,
  [SMALL_STATE(9570)] = 293802,
  [SMALL_STATE(9571)] = 293816,
  [SMALL_STATE(9572)] = 293830,
  [SMALL_STATE(9573)] = 293844,
  [SMALL_STATE(9574)] = 293858,
  [SMALL_STATE(9575)] = 293872,
  [SMALL_STATE(9576)] = 293886,
  [SMALL_STATE(9577)] = 293900,
  [SMALL_STATE(9578)] = 293914,
  [SMALL_STATE(9579)] = 293928,
  [SMALL_STATE(9580)] = 293942,
  [SMALL_STATE(9581)] = 293956,
  [SMALL_STATE(9582)] = 293970,
  [SMALL_STATE(9583)] = 293984,
  [SMALL_STATE(9584)] = 293998,
  [SMALL_STATE(9585)] = 294012,
  [SMALL_STATE(9586)] = 294026,
  [SMALL_STATE(9587)] = 294040,
  [SMALL_STATE(9588)] = 294054,
  [SMALL_STATE(9589)] = 294066,
  [SMALL_STATE(9590)] = 294080,
  [SMALL_STATE(9591)] = 294094,
  [SMALL_STATE(9592)] = 294108,
  [SMALL_STATE(9593)] = 294122,
  [SMALL_STATE(9594)] = 294136,
  [SMALL_STATE(9595)] = 294150,
  [SMALL_STATE(9596)] = 294164,
  [SMALL_STATE(9597)] = 294178,
  [SMALL_STATE(9598)] = 294192,
  [SMALL_STATE(9599)] = 294206,
  [SMALL_STATE(9600)] = 294220,
  [SMALL_STATE(9601)] = 294234,
  [SMALL_STATE(9602)] = 294248,
  [SMALL_STATE(9603)] = 294262,
  [SMALL_STATE(9604)] = 294276,
  [SMALL_STATE(9605)] = 294290,
  [SMALL_STATE(9606)] = 294304,
  [SMALL_STATE(9607)] = 294314,
  [SMALL_STATE(9608)] = 294328,
  [SMALL_STATE(9609)] = 294342,
  [SMALL_STATE(9610)] = 294356,
  [SMALL_STATE(9611)] = 294370,
  [SMALL_STATE(9612)] = 294384,
  [SMALL_STATE(9613)] = 294398,
  [SMALL_STATE(9614)] = 294412,
  [SMALL_STATE(9615)] = 294426,
  [SMALL_STATE(9616)] = 294440,
  [SMALL_STATE(9617)] = 294454,
  [SMALL_STATE(9618)] = 294468,
  [SMALL_STATE(9619)] = 294482,
  [SMALL_STATE(9620)] = 294496,
  [SMALL_STATE(9621)] = 294510,
  [SMALL_STATE(9622)] = 294524,
  [SMALL_STATE(9623)] = 294538,
  [SMALL_STATE(9624)] = 294552,
  [SMALL_STATE(9625)] = 294566,
  [SMALL_STATE(9626)] = 294580,
  [SMALL_STATE(9627)] = 294594,
  [SMALL_STATE(9628)] = 294608,
  [SMALL_STATE(9629)] = 294622,
  [SMALL_STATE(9630)] = 294636,
  [SMALL_STATE(9631)] = 294650,
  [SMALL_STATE(9632)] = 294664,
  [SMALL_STATE(9633)] = 294678,
  [SMALL_STATE(9634)] = 294692,
  [SMALL_STATE(9635)] = 294706,
  [SMALL_STATE(9636)] = 294718,
  [SMALL_STATE(9637)] = 294728,
  [SMALL_STATE(9638)] = 294740,
  [SMALL_STATE(9639)] = 294754,
  [SMALL_STATE(9640)] = 294768,
  [SMALL_STATE(9641)] = 294782,
  [SMALL_STATE(9642)] = 294796,
  [SMALL_STATE(9643)] = 294810,
  [SMALL_STATE(9644)] = 294824,
  [SMALL_STATE(9645)] = 294838,
  [SMALL_STATE(9646)] = 294852,
  [SMALL_STATE(9647)] = 294866,
  [SMALL_STATE(9648)] = 294876,
  [SMALL_STATE(9649)] = 294890,
  [SMALL_STATE(9650)] = 294904,
  [SMALL_STATE(9651)] = 294918,
  [SMALL_STATE(9652)] = 294932,
  [SMALL_STATE(9653)] = 294946,
  [SMALL_STATE(9654)] = 294958,
  [SMALL_STATE(9655)] = 294972,
  [SMALL_STATE(9656)] = 294986,
  [SMALL_STATE(9657)] = 295000,
  [SMALL_STATE(9658)] = 295014,
  [SMALL_STATE(9659)] = 295028,
  [SMALL_STATE(9660)] = 295042,
  [SMALL_STATE(9661)] = 295056,
  [SMALL_STATE(9662)] = 295070,
  [SMALL_STATE(9663)] = 295084,
  [SMALL_STATE(9664)] = 295098,
  [SMALL_STATE(9665)] = 295112,
  [SMALL_STATE(9666)] = 295126,
  [SMALL_STATE(9667)] = 295140,
  [SMALL_STATE(9668)] = 295154,
  [SMALL_STATE(9669)] = 295168,
  [SMALL_STATE(9670)] = 295182,
  [SMALL_STATE(9671)] = 295196,
  [SMALL_STATE(9672)] = 295210,
  [SMALL_STATE(9673)] = 295224,
  [SMALL_STATE(9674)] = 295238,
  [SMALL_STATE(9675)] = 295252,
  [SMALL_STATE(9676)] = 295266,
  [SMALL_STATE(9677)] = 295280,
  [SMALL_STATE(9678)] = 295294,
  [SMALL_STATE(9679)] = 295308,
  [SMALL_STATE(9680)] = 295322,
  [SMALL_STATE(9681)] = 295336,
  [SMALL_STATE(9682)] = 295350,
  [SMALL_STATE(9683)] = 295364,
  [SMALL_STATE(9684)] = 295378,
  [SMALL_STATE(9685)] = 295392,
  [SMALL_STATE(9686)] = 295406,
  [SMALL_STATE(9687)] = 295420,
  [SMALL_STATE(9688)] = 295434,
  [SMALL_STATE(9689)] = 295448,
  [SMALL_STATE(9690)] = 295462,
  [SMALL_STATE(9691)] = 295476,
  [SMALL_STATE(9692)] = 295490,
  [SMALL_STATE(9693)] = 295504,
  [SMALL_STATE(9694)] = 295518,
  [SMALL_STATE(9695)] = 295532,
  [SMALL_STATE(9696)] = 295546,
  [SMALL_STATE(9697)] = 295560,
  [SMALL_STATE(9698)] = 295574,
  [SMALL_STATE(9699)] = 295588,
  [SMALL_STATE(9700)] = 295602,
  [SMALL_STATE(9701)] = 295616,
  [SMALL_STATE(9702)] = 295630,
  [SMALL_STATE(9703)] = 295644,
  [SMALL_STATE(9704)] = 295658,
  [SMALL_STATE(9705)] = 295672,
  [SMALL_STATE(9706)] = 295686,
  [SMALL_STATE(9707)] = 295700,
  [SMALL_STATE(9708)] = 295714,
  [SMALL_STATE(9709)] = 295728,
  [SMALL_STATE(9710)] = 295742,
  [SMALL_STATE(9711)] = 295756,
  [SMALL_STATE(9712)] = 295770,
  [SMALL_STATE(9713)] = 295784,
  [SMALL_STATE(9714)] = 295798,
  [SMALL_STATE(9715)] = 295812,
  [SMALL_STATE(9716)] = 295826,
  [SMALL_STATE(9717)] = 295840,
  [SMALL_STATE(9718)] = 295854,
  [SMALL_STATE(9719)] = 295868,
  [SMALL_STATE(9720)] = 295882,
  [SMALL_STATE(9721)] = 295896,
  [SMALL_STATE(9722)] = 295910,
  [SMALL_STATE(9723)] = 295924,
  [SMALL_STATE(9724)] = 295938,
  [SMALL_STATE(9725)] = 295952,
  [SMALL_STATE(9726)] = 295966,
  [SMALL_STATE(9727)] = 295980,
  [SMALL_STATE(9728)] = 295994,
  [SMALL_STATE(9729)] = 296004,
  [SMALL_STATE(9730)] = 296018,
  [SMALL_STATE(9731)] = 296032,
  [SMALL_STATE(9732)] = 296046,
  [SMALL_STATE(9733)] = 296060,
  [SMALL_STATE(9734)] = 296074,
  [SMALL_STATE(9735)] = 296088,
  [SMALL_STATE(9736)] = 296102,
  [SMALL_STATE(9737)] = 296116,
  [SMALL_STATE(9738)] = 296130,
  [SMALL_STATE(9739)] = 296144,
  [SMALL_STATE(9740)] = 296158,
  [SMALL_STATE(9741)] = 296172,
  [SMALL_STATE(9742)] = 296186,
  [SMALL_STATE(9743)] = 296200,
  [SMALL_STATE(9744)] = 296214,
  [SMALL_STATE(9745)] = 296228,
  [SMALL_STATE(9746)] = 296242,
  [SMALL_STATE(9747)] = 296256,
  [SMALL_STATE(9748)] = 296270,
  [SMALL_STATE(9749)] = 296284,
  [SMALL_STATE(9750)] = 296298,
  [SMALL_STATE(9751)] = 296312,
  [SMALL_STATE(9752)] = 296326,
  [SMALL_STATE(9753)] = 296340,
  [SMALL_STATE(9754)] = 296354,
  [SMALL_STATE(9755)] = 296368,
  [SMALL_STATE(9756)] = 296382,
  [SMALL_STATE(9757)] = 296396,
  [SMALL_STATE(9758)] = 296410,
  [SMALL_STATE(9759)] = 296424,
  [SMALL_STATE(9760)] = 296438,
  [SMALL_STATE(9761)] = 296452,
  [SMALL_STATE(9762)] = 296466,
  [SMALL_STATE(9763)] = 296480,
  [SMALL_STATE(9764)] = 296494,
  [SMALL_STATE(9765)] = 296508,
  [SMALL_STATE(9766)] = 296522,
  [SMALL_STATE(9767)] = 296536,
  [SMALL_STATE(9768)] = 296550,
  [SMALL_STATE(9769)] = 296564,
  [SMALL_STATE(9770)] = 296578,
  [SMALL_STATE(9771)] = 296590,
  [SMALL_STATE(9772)] = 296604,
  [SMALL_STATE(9773)] = 296618,
  [SMALL_STATE(9774)] = 296632,
  [SMALL_STATE(9775)] = 296646,
  [SMALL_STATE(9776)] = 296660,
  [SMALL_STATE(9777)] = 296674,
  [SMALL_STATE(9778)] = 296688,
  [SMALL_STATE(9779)] = 296702,
  [SMALL_STATE(9780)] = 296716,
  [SMALL_STATE(9781)] = 296730,
  [SMALL_STATE(9782)] = 296744,
  [SMALL_STATE(9783)] = 296758,
  [SMALL_STATE(9784)] = 296772,
  [SMALL_STATE(9785)] = 296786,
  [SMALL_STATE(9786)] = 296800,
  [SMALL_STATE(9787)] = 296814,
  [SMALL_STATE(9788)] = 296828,
  [SMALL_STATE(9789)] = 296842,
  [SMALL_STATE(9790)] = 296856,
  [SMALL_STATE(9791)] = 296870,
  [SMALL_STATE(9792)] = 296884,
  [SMALL_STATE(9793)] = 296898,
  [SMALL_STATE(9794)] = 296912,
  [SMALL_STATE(9795)] = 296926,
  [SMALL_STATE(9796)] = 296940,
  [SMALL_STATE(9797)] = 296954,
  [SMALL_STATE(9798)] = 296968,
  [SMALL_STATE(9799)] = 296982,
  [SMALL_STATE(9800)] = 296996,
  [SMALL_STATE(9801)] = 297010,
  [SMALL_STATE(9802)] = 297024,
  [SMALL_STATE(9803)] = 297038,
  [SMALL_STATE(9804)] = 297052,
  [SMALL_STATE(9805)] = 297066,
  [SMALL_STATE(9806)] = 297080,
  [SMALL_STATE(9807)] = 297094,
  [SMALL_STATE(9808)] = 297108,
  [SMALL_STATE(9809)] = 297120,
  [SMALL_STATE(9810)] = 297134,
  [SMALL_STATE(9811)] = 297148,
  [SMALL_STATE(9812)] = 297162,
  [SMALL_STATE(9813)] = 297176,
  [SMALL_STATE(9814)] = 297190,
  [SMALL_STATE(9815)] = 297204,
  [SMALL_STATE(9816)] = 297218,
  [SMALL_STATE(9817)] = 297232,
  [SMALL_STATE(9818)] = 297246,
  [SMALL_STATE(9819)] = 297260,
  [SMALL_STATE(9820)] = 297274,
  [SMALL_STATE(9821)] = 297288,
  [SMALL_STATE(9822)] = 297302,
  [SMALL_STATE(9823)] = 297316,
  [SMALL_STATE(9824)] = 297330,
  [SMALL_STATE(9825)] = 297344,
  [SMALL_STATE(9826)] = 297358,
  [SMALL_STATE(9827)] = 297372,
  [SMALL_STATE(9828)] = 297386,
  [SMALL_STATE(9829)] = 297400,
  [SMALL_STATE(9830)] = 297414,
  [SMALL_STATE(9831)] = 297428,
  [SMALL_STATE(9832)] = 297442,
  [SMALL_STATE(9833)] = 297456,
  [SMALL_STATE(9834)] = 297470,
  [SMALL_STATE(9835)] = 297480,
  [SMALL_STATE(9836)] = 297494,
  [SMALL_STATE(9837)] = 297508,
  [SMALL_STATE(9838)] = 297522,
  [SMALL_STATE(9839)] = 297534,
  [SMALL_STATE(9840)] = 297548,
  [SMALL_STATE(9841)] = 297562,
  [SMALL_STATE(9842)] = 297576,
  [SMALL_STATE(9843)] = 297590,
  [SMALL_STATE(9844)] = 297604,
  [SMALL_STATE(9845)] = 297618,
  [SMALL_STATE(9846)] = 297630,
  [SMALL_STATE(9847)] = 297642,
  [SMALL_STATE(9848)] = 297656,
  [SMALL_STATE(9849)] = 297666,
  [SMALL_STATE(9850)] = 297680,
  [SMALL_STATE(9851)] = 297689,
  [SMALL_STATE(9852)] = 297700,
  [SMALL_STATE(9853)] = 297709,
  [SMALL_STATE(9854)] = 297720,
  [SMALL_STATE(9855)] = 297729,
  [SMALL_STATE(9856)] = 297740,
  [SMALL_STATE(9857)] = 297751,
  [SMALL_STATE(9858)] = 297762,
  [SMALL_STATE(9859)] = 297773,
  [SMALL_STATE(9860)] = 297784,
  [SMALL_STATE(9861)] = 297793,
  [SMALL_STATE(9862)] = 297804,
  [SMALL_STATE(9863)] = 297815,
  [SMALL_STATE(9864)] = 297826,
  [SMALL_STATE(9865)] = 297835,
  [SMALL_STATE(9866)] = 297846,
  [SMALL_STATE(9867)] = 297857,
  [SMALL_STATE(9868)] = 297868,
  [SMALL_STATE(9869)] = 297879,
  [SMALL_STATE(9870)] = 297890,
  [SMALL_STATE(9871)] = 297901,
  [SMALL_STATE(9872)] = 297912,
  [SMALL_STATE(9873)] = 297923,
  [SMALL_STATE(9874)] = 297934,
  [SMALL_STATE(9875)] = 297945,
  [SMALL_STATE(9876)] = 297956,
  [SMALL_STATE(9877)] = 297967,
  [SMALL_STATE(9878)] = 297978,
  [SMALL_STATE(9879)] = 297989,
  [SMALL_STATE(9880)] = 298000,
  [SMALL_STATE(9881)] = 298009,
  [SMALL_STATE(9882)] = 298020,
  [SMALL_STATE(9883)] = 298031,
  [SMALL_STATE(9884)] = 298042,
  [SMALL_STATE(9885)] = 298051,
  [SMALL_STATE(9886)] = 298062,
  [SMALL_STATE(9887)] = 298071,
  [SMALL_STATE(9888)] = 298082,
  [SMALL_STATE(9889)] = 298091,
  [SMALL_STATE(9890)] = 298102,
  [SMALL_STATE(9891)] = 298113,
  [SMALL_STATE(9892)] = 298122,
  [SMALL_STATE(9893)] = 298133,
  [SMALL_STATE(9894)] = 298144,
  [SMALL_STATE(9895)] = 298155,
  [SMALL_STATE(9896)] = 298166,
  [SMALL_STATE(9897)] = 298177,
  [SMALL_STATE(9898)] = 298186,
  [SMALL_STATE(9899)] = 298197,
  [SMALL_STATE(9900)] = 298208,
  [SMALL_STATE(9901)] = 298219,
  [SMALL_STATE(9902)] = 298230,
  [SMALL_STATE(9903)] = 298241,
  [SMALL_STATE(9904)] = 298250,
  [SMALL_STATE(9905)] = 298261,
  [SMALL_STATE(9906)] = 298272,
  [SMALL_STATE(9907)] = 298283,
  [SMALL_STATE(9908)] = 298294,
  [SMALL_STATE(9909)] = 298305,
  [SMALL_STATE(9910)] = 298316,
  [SMALL_STATE(9911)] = 298327,
  [SMALL_STATE(9912)] = 298338,
  [SMALL_STATE(9913)] = 298347,
  [SMALL_STATE(9914)] = 298358,
  [SMALL_STATE(9915)] = 298369,
  [SMALL_STATE(9916)] = 298380,
  [SMALL_STATE(9917)] = 298389,
  [SMALL_STATE(9918)] = 298400,
  [SMALL_STATE(9919)] = 298409,
  [SMALL_STATE(9920)] = 298420,
  [SMALL_STATE(9921)] = 298431,
  [SMALL_STATE(9922)] = 298442,
  [SMALL_STATE(9923)] = 298451,
  [SMALL_STATE(9924)] = 298462,
  [SMALL_STATE(9925)] = 298473,
  [SMALL_STATE(9926)] = 298484,
  [SMALL_STATE(9927)] = 298495,
  [SMALL_STATE(9928)] = 298506,
  [SMALL_STATE(9929)] = 298517,
  [SMALL_STATE(9930)] = 298528,
  [SMALL_STATE(9931)] = 298539,
  [SMALL_STATE(9932)] = 298550,
  [SMALL_STATE(9933)] = 298561,
  [SMALL_STATE(9934)] = 298570,
  [SMALL_STATE(9935)] = 298581,
  [SMALL_STATE(9936)] = 298590,
  [SMALL_STATE(9937)] = 298601,
  [SMALL_STATE(9938)] = 298612,
  [SMALL_STATE(9939)] = 298623,
  [SMALL_STATE(9940)] = 298632,
  [SMALL_STATE(9941)] = 298643,
  [SMALL_STATE(9942)] = 298652,
  [SMALL_STATE(9943)] = 298663,
  [SMALL_STATE(9944)] = 298674,
  [SMALL_STATE(9945)] = 298685,
  [SMALL_STATE(9946)] = 298696,
  [SMALL_STATE(9947)] = 298707,
  [SMALL_STATE(9948)] = 298718,
  [SMALL_STATE(9949)] = 298727,
  [SMALL_STATE(9950)] = 298738,
  [SMALL_STATE(9951)] = 298749,
  [SMALL_STATE(9952)] = 298760,
  [SMALL_STATE(9953)] = 298771,
  [SMALL_STATE(9954)] = 298780,
  [SMALL_STATE(9955)] = 298791,
  [SMALL_STATE(9956)] = 298802,
  [SMALL_STATE(9957)] = 298813,
  [SMALL_STATE(9958)] = 298824,
  [SMALL_STATE(9959)] = 298835,
  [SMALL_STATE(9960)] = 298846,
  [SMALL_STATE(9961)] = 298857,
  [SMALL_STATE(9962)] = 298868,
  [SMALL_STATE(9963)] = 298879,
  [SMALL_STATE(9964)] = 298888,
  [SMALL_STATE(9965)] = 298899,
  [SMALL_STATE(9966)] = 298910,
  [SMALL_STATE(9967)] = 298921,
  [SMALL_STATE(9968)] = 298932,
  [SMALL_STATE(9969)] = 298941,
  [SMALL_STATE(9970)] = 298952,
  [SMALL_STATE(9971)] = 298963,
  [SMALL_STATE(9972)] = 298974,
  [SMALL_STATE(9973)] = 298983,
  [SMALL_STATE(9974)] = 298994,
  [SMALL_STATE(9975)] = 299005,
  [SMALL_STATE(9976)] = 299014,
  [SMALL_STATE(9977)] = 299025,
  [SMALL_STATE(9978)] = 299036,
  [SMALL_STATE(9979)] = 299047,
  [SMALL_STATE(9980)] = 299058,
  [SMALL_STATE(9981)] = 299069,
  [SMALL_STATE(9982)] = 299078,
  [SMALL_STATE(9983)] = 299087,
  [SMALL_STATE(9984)] = 299098,
  [SMALL_STATE(9985)] = 299109,
  [SMALL_STATE(9986)] = 299120,
  [SMALL_STATE(9987)] = 299131,
  [SMALL_STATE(9988)] = 299142,
  [SMALL_STATE(9989)] = 299153,
  [SMALL_STATE(9990)] = 299162,
  [SMALL_STATE(9991)] = 299171,
  [SMALL_STATE(9992)] = 299182,
  [SMALL_STATE(9993)] = 299193,
  [SMALL_STATE(9994)] = 299202,
  [SMALL_STATE(9995)] = 299213,
  [SMALL_STATE(9996)] = 299224,
  [SMALL_STATE(9997)] = 299235,
  [SMALL_STATE(9998)] = 299246,
  [SMALL_STATE(9999)] = 299257,
  [SMALL_STATE(10000)] = 299268,
  [SMALL_STATE(10001)] = 299279,
  [SMALL_STATE(10002)] = 299290,
  [SMALL_STATE(10003)] = 299301,
  [SMALL_STATE(10004)] = 299312,
  [SMALL_STATE(10005)] = 299323,
  [SMALL_STATE(10006)] = 299334,
  [SMALL_STATE(10007)] = 299345,
  [SMALL_STATE(10008)] = 299354,
  [SMALL_STATE(10009)] = 299365,
  [SMALL_STATE(10010)] = 299376,
  [SMALL_STATE(10011)] = 299387,
  [SMALL_STATE(10012)] = 299398,
  [SMALL_STATE(10013)] = 299409,
  [SMALL_STATE(10014)] = 299420,
  [SMALL_STATE(10015)] = 299431,
  [SMALL_STATE(10016)] = 299442,
  [SMALL_STATE(10017)] = 299453,
  [SMALL_STATE(10018)] = 299464,
  [SMALL_STATE(10019)] = 299475,
  [SMALL_STATE(10020)] = 299484,
  [SMALL_STATE(10021)] = 299495,
  [SMALL_STATE(10022)] = 299506,
  [SMALL_STATE(10023)] = 299517,
  [SMALL_STATE(10024)] = 299526,
  [SMALL_STATE(10025)] = 299537,
  [SMALL_STATE(10026)] = 299548,
  [SMALL_STATE(10027)] = 299559,
  [SMALL_STATE(10028)] = 299568,
  [SMALL_STATE(10029)] = 299579,
  [SMALL_STATE(10030)] = 299588,
  [SMALL_STATE(10031)] = 299599,
  [SMALL_STATE(10032)] = 299610,
  [SMALL_STATE(10033)] = 299621,
  [SMALL_STATE(10034)] = 299632,
  [SMALL_STATE(10035)] = 299643,
  [SMALL_STATE(10036)] = 299652,
  [SMALL_STATE(10037)] = 299663,
  [SMALL_STATE(10038)] = 299674,
  [SMALL_STATE(10039)] = 299685,
  [SMALL_STATE(10040)] = 299696,
  [SMALL_STATE(10041)] = 299707,
  [SMALL_STATE(10042)] = 299716,
  [SMALL_STATE(10043)] = 299727,
  [SMALL_STATE(10044)] = 299738,
  [SMALL_STATE(10045)] = 299747,
  [SMALL_STATE(10046)] = 299758,
  [SMALL_STATE(10047)] = 299769,
  [SMALL_STATE(10048)] = 299778,
  [SMALL_STATE(10049)] = 299789,
  [SMALL_STATE(10050)] = 299800,
  [SMALL_STATE(10051)] = 299811,
  [SMALL_STATE(10052)] = 299822,
  [SMALL_STATE(10053)] = 299831,
  [SMALL_STATE(10054)] = 299840,
  [SMALL_STATE(10055)] = 299851,
  [SMALL_STATE(10056)] = 299862,
  [SMALL_STATE(10057)] = 299873,
  [SMALL_STATE(10058)] = 299884,
  [SMALL_STATE(10059)] = 299895,
  [SMALL_STATE(10060)] = 299906,
  [SMALL_STATE(10061)] = 299915,
  [SMALL_STATE(10062)] = 299926,
  [SMALL_STATE(10063)] = 299935,
  [SMALL_STATE(10064)] = 299946,
  [SMALL_STATE(10065)] = 299955,
  [SMALL_STATE(10066)] = 299966,
  [SMALL_STATE(10067)] = 299977,
  [SMALL_STATE(10068)] = 299986,
  [SMALL_STATE(10069)] = 299995,
  [SMALL_STATE(10070)] = 300006,
  [SMALL_STATE(10071)] = 300017,
  [SMALL_STATE(10072)] = 300028,
  [SMALL_STATE(10073)] = 300039,
  [SMALL_STATE(10074)] = 300050,
  [SMALL_STATE(10075)] = 300061,
  [SMALL_STATE(10076)] = 300072,
  [SMALL_STATE(10077)] = 300083,
  [SMALL_STATE(10078)] = 300094,
  [SMALL_STATE(10079)] = 300103,
  [SMALL_STATE(10080)] = 300114,
  [SMALL_STATE(10081)] = 300125,
  [SMALL_STATE(10082)] = 300134,
  [SMALL_STATE(10083)] = 300145,
  [SMALL_STATE(10084)] = 300156,
  [SMALL_STATE(10085)] = 300165,
  [SMALL_STATE(10086)] = 300176,
  [SMALL_STATE(10087)] = 300185,
  [SMALL_STATE(10088)] = 300196,
  [SMALL_STATE(10089)] = 300205,
  [SMALL_STATE(10090)] = 300216,
  [SMALL_STATE(10091)] = 300227,
  [SMALL_STATE(10092)] = 300238,
  [SMALL_STATE(10093)] = 300247,
  [SMALL_STATE(10094)] = 300256,
  [SMALL_STATE(10095)] = 300267,
  [SMALL_STATE(10096)] = 300278,
  [SMALL_STATE(10097)] = 300287,
  [SMALL_STATE(10098)] = 300298,
  [SMALL_STATE(10099)] = 300307,
  [SMALL_STATE(10100)] = 300318,
  [SMALL_STATE(10101)] = 300327,
  [SMALL_STATE(10102)] = 300338,
  [SMALL_STATE(10103)] = 300347,
  [SMALL_STATE(10104)] = 300358,
  [SMALL_STATE(10105)] = 300369,
  [SMALL_STATE(10106)] = 300380,
  [SMALL_STATE(10107)] = 300391,
  [SMALL_STATE(10108)] = 300402,
  [SMALL_STATE(10109)] = 300413,
  [SMALL_STATE(10110)] = 300424,
  [SMALL_STATE(10111)] = 300435,
  [SMALL_STATE(10112)] = 300446,
  [SMALL_STATE(10113)] = 300457,
  [SMALL_STATE(10114)] = 300468,
  [SMALL_STATE(10115)] = 300479,
  [SMALL_STATE(10116)] = 300490,
  [SMALL_STATE(10117)] = 300501,
  [SMALL_STATE(10118)] = 300510,
  [SMALL_STATE(10119)] = 300521,
  [SMALL_STATE(10120)] = 300532,
  [SMALL_STATE(10121)] = 300543,
  [SMALL_STATE(10122)] = 300554,
  [SMALL_STATE(10123)] = 300565,
  [SMALL_STATE(10124)] = 300576,
  [SMALL_STATE(10125)] = 300585,
  [SMALL_STATE(10126)] = 300596,
  [SMALL_STATE(10127)] = 300607,
  [SMALL_STATE(10128)] = 300618,
  [SMALL_STATE(10129)] = 300629,
  [SMALL_STATE(10130)] = 300640,
  [SMALL_STATE(10131)] = 300651,
  [SMALL_STATE(10132)] = 300662,
  [SMALL_STATE(10133)] = 300673,
  [SMALL_STATE(10134)] = 300684,
  [SMALL_STATE(10135)] = 300695,
  [SMALL_STATE(10136)] = 300706,
  [SMALL_STATE(10137)] = 300717,
  [SMALL_STATE(10138)] = 300728,
  [SMALL_STATE(10139)] = 300737,
  [SMALL_STATE(10140)] = 300748,
  [SMALL_STATE(10141)] = 300759,
  [SMALL_STATE(10142)] = 300770,
  [SMALL_STATE(10143)] = 300781,
  [SMALL_STATE(10144)] = 300792,
  [SMALL_STATE(10145)] = 300803,
  [SMALL_STATE(10146)] = 300814,
  [SMALL_STATE(10147)] = 300823,
  [SMALL_STATE(10148)] = 300834,
  [SMALL_STATE(10149)] = 300845,
  [SMALL_STATE(10150)] = 300854,
  [SMALL_STATE(10151)] = 300863,
  [SMALL_STATE(10152)] = 300874,
  [SMALL_STATE(10153)] = 300883,
  [SMALL_STATE(10154)] = 300894,
  [SMALL_STATE(10155)] = 300903,
  [SMALL_STATE(10156)] = 300914,
  [SMALL_STATE(10157)] = 300925,
  [SMALL_STATE(10158)] = 300936,
  [SMALL_STATE(10159)] = 300947,
  [SMALL_STATE(10160)] = 300958,
  [SMALL_STATE(10161)] = 300969,
  [SMALL_STATE(10162)] = 300980,
  [SMALL_STATE(10163)] = 300991,
  [SMALL_STATE(10164)] = 301002,
  [SMALL_STATE(10165)] = 301013,
  [SMALL_STATE(10166)] = 301024,
  [SMALL_STATE(10167)] = 301035,
  [SMALL_STATE(10168)] = 301046,
  [SMALL_STATE(10169)] = 301057,
  [SMALL_STATE(10170)] = 301068,
  [SMALL_STATE(10171)] = 301079,
  [SMALL_STATE(10172)] = 301090,
  [SMALL_STATE(10173)] = 301099,
  [SMALL_STATE(10174)] = 301108,
  [SMALL_STATE(10175)] = 301119,
  [SMALL_STATE(10176)] = 301128,
  [SMALL_STATE(10177)] = 301139,
  [SMALL_STATE(10178)] = 301150,
  [SMALL_STATE(10179)] = 301159,
  [SMALL_STATE(10180)] = 301170,
  [SMALL_STATE(10181)] = 301179,
  [SMALL_STATE(10182)] = 301190,
  [SMALL_STATE(10183)] = 301201,
  [SMALL_STATE(10184)] = 301210,
  [SMALL_STATE(10185)] = 301219,
  [SMALL_STATE(10186)] = 301230,
  [SMALL_STATE(10187)] = 301241,
  [SMALL_STATE(10188)] = 301252,
  [SMALL_STATE(10189)] = 301261,
  [SMALL_STATE(10190)] = 301270,
  [SMALL_STATE(10191)] = 301279,
  [SMALL_STATE(10192)] = 301290,
  [SMALL_STATE(10193)] = 301299,
  [SMALL_STATE(10194)] = 301310,
  [SMALL_STATE(10195)] = 301321,
  [SMALL_STATE(10196)] = 301332,
  [SMALL_STATE(10197)] = 301343,
  [SMALL_STATE(10198)] = 301352,
  [SMALL_STATE(10199)] = 301363,
  [SMALL_STATE(10200)] = 301374,
  [SMALL_STATE(10201)] = 301385,
  [SMALL_STATE(10202)] = 301396,
  [SMALL_STATE(10203)] = 301407,
  [SMALL_STATE(10204)] = 301416,
  [SMALL_STATE(10205)] = 301425,
  [SMALL_STATE(10206)] = 301436,
  [SMALL_STATE(10207)] = 301447,
  [SMALL_STATE(10208)] = 301458,
  [SMALL_STATE(10209)] = 301467,
  [SMALL_STATE(10210)] = 301478,
  [SMALL_STATE(10211)] = 301489,
  [SMALL_STATE(10212)] = 301500,
  [SMALL_STATE(10213)] = 301511,
  [SMALL_STATE(10214)] = 301520,
  [SMALL_STATE(10215)] = 301531,
  [SMALL_STATE(10216)] = 301542,
  [SMALL_STATE(10217)] = 301553,
  [SMALL_STATE(10218)] = 301564,
  [SMALL_STATE(10219)] = 301575,
  [SMALL_STATE(10220)] = 301584,
  [SMALL_STATE(10221)] = 301595,
  [SMALL_STATE(10222)] = 301606,
  [SMALL_STATE(10223)] = 301617,
  [SMALL_STATE(10224)] = 301628,
  [SMALL_STATE(10225)] = 301639,
  [SMALL_STATE(10226)] = 301650,
  [SMALL_STATE(10227)] = 301661,
  [SMALL_STATE(10228)] = 301672,
  [SMALL_STATE(10229)] = 301683,
  [SMALL_STATE(10230)] = 301694,
  [SMALL_STATE(10231)] = 301705,
  [SMALL_STATE(10232)] = 301716,
  [SMALL_STATE(10233)] = 301727,
  [SMALL_STATE(10234)] = 301738,
  [SMALL_STATE(10235)] = 301749,
  [SMALL_STATE(10236)] = 301760,
  [SMALL_STATE(10237)] = 301769,
  [SMALL_STATE(10238)] = 301780,
  [SMALL_STATE(10239)] = 301791,
  [SMALL_STATE(10240)] = 301802,
  [SMALL_STATE(10241)] = 301813,
  [SMALL_STATE(10242)] = 301824,
  [SMALL_STATE(10243)] = 301835,
  [SMALL_STATE(10244)] = 301846,
  [SMALL_STATE(10245)] = 301855,
  [SMALL_STATE(10246)] = 301866,
  [SMALL_STATE(10247)] = 301877,
  [SMALL_STATE(10248)] = 301886,
  [SMALL_STATE(10249)] = 301897,
  [SMALL_STATE(10250)] = 301908,
  [SMALL_STATE(10251)] = 301919,
  [SMALL_STATE(10252)] = 301928,
  [SMALL_STATE(10253)] = 301939,
  [SMALL_STATE(10254)] = 301948,
  [SMALL_STATE(10255)] = 301959,
  [SMALL_STATE(10256)] = 301970,
  [SMALL_STATE(10257)] = 301981,
  [SMALL_STATE(10258)] = 301992,
  [SMALL_STATE(10259)] = 302003,
  [SMALL_STATE(10260)] = 302014,
  [SMALL_STATE(10261)] = 302025,
  [SMALL_STATE(10262)] = 302036,
  [SMALL_STATE(10263)] = 302047,
  [SMALL_STATE(10264)] = 302058,
  [SMALL_STATE(10265)] = 302069,
  [SMALL_STATE(10266)] = 302080,
  [SMALL_STATE(10267)] = 302089,
  [SMALL_STATE(10268)] = 302100,
  [SMALL_STATE(10269)] = 302111,
  [SMALL_STATE(10270)] = 302122,
  [SMALL_STATE(10271)] = 302133,
  [SMALL_STATE(10272)] = 302144,
  [SMALL_STATE(10273)] = 302153,
  [SMALL_STATE(10274)] = 302164,
  [SMALL_STATE(10275)] = 302175,
  [SMALL_STATE(10276)] = 302186,
  [SMALL_STATE(10277)] = 302197,
  [SMALL_STATE(10278)] = 302208,
  [SMALL_STATE(10279)] = 302217,
  [SMALL_STATE(10280)] = 302228,
  [SMALL_STATE(10281)] = 302239,
  [SMALL_STATE(10282)] = 302250,
  [SMALL_STATE(10283)] = 302261,
  [SMALL_STATE(10284)] = 302272,
  [SMALL_STATE(10285)] = 302283,
  [SMALL_STATE(10286)] = 302294,
  [SMALL_STATE(10287)] = 302305,
  [SMALL_STATE(10288)] = 302316,
  [SMALL_STATE(10289)] = 302327,
  [SMALL_STATE(10290)] = 302338,
  [SMALL_STATE(10291)] = 302349,
  [SMALL_STATE(10292)] = 302360,
  [SMALL_STATE(10293)] = 302371,
  [SMALL_STATE(10294)] = 302382,
  [SMALL_STATE(10295)] = 302391,
  [SMALL_STATE(10296)] = 302400,
  [SMALL_STATE(10297)] = 302411,
  [SMALL_STATE(10298)] = 302420,
  [SMALL_STATE(10299)] = 302431,
  [SMALL_STATE(10300)] = 302440,
  [SMALL_STATE(10301)] = 302451,
  [SMALL_STATE(10302)] = 302460,
  [SMALL_STATE(10303)] = 302469,
  [SMALL_STATE(10304)] = 302478,
  [SMALL_STATE(10305)] = 302489,
  [SMALL_STATE(10306)] = 302500,
  [SMALL_STATE(10307)] = 302511,
  [SMALL_STATE(10308)] = 302522,
  [SMALL_STATE(10309)] = 302533,
  [SMALL_STATE(10310)] = 302544,
  [SMALL_STATE(10311)] = 302553,
  [SMALL_STATE(10312)] = 302564,
  [SMALL_STATE(10313)] = 302575,
  [SMALL_STATE(10314)] = 302586,
  [SMALL_STATE(10315)] = 302597,
  [SMALL_STATE(10316)] = 302608,
  [SMALL_STATE(10317)] = 302619,
  [SMALL_STATE(10318)] = 302630,
  [SMALL_STATE(10319)] = 302639,
  [SMALL_STATE(10320)] = 302650,
  [SMALL_STATE(10321)] = 302661,
  [SMALL_STATE(10322)] = 302670,
  [SMALL_STATE(10323)] = 302679,
  [SMALL_STATE(10324)] = 302690,
  [SMALL_STATE(10325)] = 302701,
  [SMALL_STATE(10326)] = 302712,
  [SMALL_STATE(10327)] = 302723,
  [SMALL_STATE(10328)] = 302732,
  [SMALL_STATE(10329)] = 302743,
  [SMALL_STATE(10330)] = 302754,
  [SMALL_STATE(10331)] = 302765,
  [SMALL_STATE(10332)] = 302776,
  [SMALL_STATE(10333)] = 302787,
  [SMALL_STATE(10334)] = 302798,
  [SMALL_STATE(10335)] = 302809,
  [SMALL_STATE(10336)] = 302820,
  [SMALL_STATE(10337)] = 302831,
  [SMALL_STATE(10338)] = 302842,
  [SMALL_STATE(10339)] = 302853,
  [SMALL_STATE(10340)] = 302864,
  [SMALL_STATE(10341)] = 302875,
  [SMALL_STATE(10342)] = 302886,
  [SMALL_STATE(10343)] = 302895,
  [SMALL_STATE(10344)] = 302906,
  [SMALL_STATE(10345)] = 302917,
  [SMALL_STATE(10346)] = 302928,
  [SMALL_STATE(10347)] = 302939,
  [SMALL_STATE(10348)] = 302950,
  [SMALL_STATE(10349)] = 302961,
  [SMALL_STATE(10350)] = 302970,
  [SMALL_STATE(10351)] = 302981,
  [SMALL_STATE(10352)] = 302992,
  [SMALL_STATE(10353)] = 303003,
  [SMALL_STATE(10354)] = 303012,
  [SMALL_STATE(10355)] = 303021,
  [SMALL_STATE(10356)] = 303032,
  [SMALL_STATE(10357)] = 303041,
  [SMALL_STATE(10358)] = 303052,
  [SMALL_STATE(10359)] = 303061,
  [SMALL_STATE(10360)] = 303072,
  [SMALL_STATE(10361)] = 303083,
  [SMALL_STATE(10362)] = 303094,
  [SMALL_STATE(10363)] = 303105,
  [SMALL_STATE(10364)] = 303116,
  [SMALL_STATE(10365)] = 303127,
  [SMALL_STATE(10366)] = 303138,
  [SMALL_STATE(10367)] = 303149,
  [SMALL_STATE(10368)] = 303160,
  [SMALL_STATE(10369)] = 303171,
  [SMALL_STATE(10370)] = 303182,
  [SMALL_STATE(10371)] = 303193,
  [SMALL_STATE(10372)] = 303202,
  [SMALL_STATE(10373)] = 303213,
  [SMALL_STATE(10374)] = 303224,
  [SMALL_STATE(10375)] = 303235,
  [SMALL_STATE(10376)] = 303246,
  [SMALL_STATE(10377)] = 303257,
  [SMALL_STATE(10378)] = 303268,
  [SMALL_STATE(10379)] = 303277,
  [SMALL_STATE(10380)] = 303288,
  [SMALL_STATE(10381)] = 303299,
  [SMALL_STATE(10382)] = 303310,
  [SMALL_STATE(10383)] = 303319,
  [SMALL_STATE(10384)] = 303328,
  [SMALL_STATE(10385)] = 303337,
  [SMALL_STATE(10386)] = 303346,
  [SMALL_STATE(10387)] = 303357,
  [SMALL_STATE(10388)] = 303368,
  [SMALL_STATE(10389)] = 303377,
  [SMALL_STATE(10390)] = 303388,
  [SMALL_STATE(10391)] = 303399,
  [SMALL_STATE(10392)] = 303410,
  [SMALL_STATE(10393)] = 303419,
  [SMALL_STATE(10394)] = 303430,
  [SMALL_STATE(10395)] = 303441,
  [SMALL_STATE(10396)] = 303452,
  [SMALL_STATE(10397)] = 303463,
  [SMALL_STATE(10398)] = 303474,
  [SMALL_STATE(10399)] = 303485,
  [SMALL_STATE(10400)] = 303494,
  [SMALL_STATE(10401)] = 303505,
  [SMALL_STATE(10402)] = 303516,
  [SMALL_STATE(10403)] = 303527,
  [SMALL_STATE(10404)] = 303536,
  [SMALL_STATE(10405)] = 303547,
  [SMALL_STATE(10406)] = 303558,
  [SMALL_STATE(10407)] = 303567,
  [SMALL_STATE(10408)] = 303576,
  [SMALL_STATE(10409)] = 303585,
  [SMALL_STATE(10410)] = 303596,
  [SMALL_STATE(10411)] = 303607,
  [SMALL_STATE(10412)] = 303616,
  [SMALL_STATE(10413)] = 303627,
  [SMALL_STATE(10414)] = 303638,
  [SMALL_STATE(10415)] = 303649,
  [SMALL_STATE(10416)] = 303660,
  [SMALL_STATE(10417)] = 303671,
  [SMALL_STATE(10418)] = 303682,
  [SMALL_STATE(10419)] = 303693,
  [SMALL_STATE(10420)] = 303704,
  [SMALL_STATE(10421)] = 303715,
  [SMALL_STATE(10422)] = 303726,
  [SMALL_STATE(10423)] = 303737,
  [SMALL_STATE(10424)] = 303748,
  [SMALL_STATE(10425)] = 303759,
  [SMALL_STATE(10426)] = 303770,
  [SMALL_STATE(10427)] = 303781,
  [SMALL_STATE(10428)] = 303792,
  [SMALL_STATE(10429)] = 303803,
  [SMALL_STATE(10430)] = 303812,
  [SMALL_STATE(10431)] = 303821,
  [SMALL_STATE(10432)] = 303832,
  [SMALL_STATE(10433)] = 303843,
  [SMALL_STATE(10434)] = 303854,
  [SMALL_STATE(10435)] = 303862,
  [SMALL_STATE(10436)] = 303870,
  [SMALL_STATE(10437)] = 303878,
  [SMALL_STATE(10438)] = 303886,
  [SMALL_STATE(10439)] = 303894,
  [SMALL_STATE(10440)] = 303902,
  [SMALL_STATE(10441)] = 303910,
  [SMALL_STATE(10442)] = 303918,
  [SMALL_STATE(10443)] = 303926,
  [SMALL_STATE(10444)] = 303934,
  [SMALL_STATE(10445)] = 303942,
  [SMALL_STATE(10446)] = 303950,
  [SMALL_STATE(10447)] = 303958,
  [SMALL_STATE(10448)] = 303966,
  [SMALL_STATE(10449)] = 303974,
  [SMALL_STATE(10450)] = 303982,
  [SMALL_STATE(10451)] = 303990,
  [SMALL_STATE(10452)] = 303998,
  [SMALL_STATE(10453)] = 304006,
  [SMALL_STATE(10454)] = 304014,
  [SMALL_STATE(10455)] = 304022,
  [SMALL_STATE(10456)] = 304030,
  [SMALL_STATE(10457)] = 304038,
  [SMALL_STATE(10458)] = 304046,
  [SMALL_STATE(10459)] = 304054,
  [SMALL_STATE(10460)] = 304062,
  [SMALL_STATE(10461)] = 304070,
  [SMALL_STATE(10462)] = 304078,
  [SMALL_STATE(10463)] = 304086,
  [SMALL_STATE(10464)] = 304094,
  [SMALL_STATE(10465)] = 304102,
  [SMALL_STATE(10466)] = 304110,
  [SMALL_STATE(10467)] = 304118,
  [SMALL_STATE(10468)] = 304126,
  [SMALL_STATE(10469)] = 304134,
  [SMALL_STATE(10470)] = 304142,
  [SMALL_STATE(10471)] = 304150,
  [SMALL_STATE(10472)] = 304158,
  [SMALL_STATE(10473)] = 304166,
  [SMALL_STATE(10474)] = 304174,
  [SMALL_STATE(10475)] = 304182,
  [SMALL_STATE(10476)] = 304190,
  [SMALL_STATE(10477)] = 304198,
  [SMALL_STATE(10478)] = 304206,
  [SMALL_STATE(10479)] = 304214,
  [SMALL_STATE(10480)] = 304222,
  [SMALL_STATE(10481)] = 304230,
  [SMALL_STATE(10482)] = 304238,
  [SMALL_STATE(10483)] = 304246,
  [SMALL_STATE(10484)] = 304254,
  [SMALL_STATE(10485)] = 304262,
  [SMALL_STATE(10486)] = 304270,
  [SMALL_STATE(10487)] = 304278,
  [SMALL_STATE(10488)] = 304286,
  [SMALL_STATE(10489)] = 304294,
  [SMALL_STATE(10490)] = 304302,
  [SMALL_STATE(10491)] = 304310,
  [SMALL_STATE(10492)] = 304318,
  [SMALL_STATE(10493)] = 304326,
  [SMALL_STATE(10494)] = 304334,
  [SMALL_STATE(10495)] = 304342,
  [SMALL_STATE(10496)] = 304350,
  [SMALL_STATE(10497)] = 304358,
  [SMALL_STATE(10498)] = 304366,
  [SMALL_STATE(10499)] = 304374,
  [SMALL_STATE(10500)] = 304382,
  [SMALL_STATE(10501)] = 304390,
  [SMALL_STATE(10502)] = 304398,
  [SMALL_STATE(10503)] = 304406,
  [SMALL_STATE(10504)] = 304414,
  [SMALL_STATE(10505)] = 304422,
  [SMALL_STATE(10506)] = 304430,
  [SMALL_STATE(10507)] = 304438,
  [SMALL_STATE(10508)] = 304446,
  [SMALL_STATE(10509)] = 304454,
  [SMALL_STATE(10510)] = 304462,
  [SMALL_STATE(10511)] = 304470,
  [SMALL_STATE(10512)] = 304478,
  [SMALL_STATE(10513)] = 304486,
  [SMALL_STATE(10514)] = 304494,
  [SMALL_STATE(10515)] = 304502,
  [SMALL_STATE(10516)] = 304510,
  [SMALL_STATE(10517)] = 304518,
  [SMALL_STATE(10518)] = 304526,
  [SMALL_STATE(10519)] = 304534,
  [SMALL_STATE(10520)] = 304542,
  [SMALL_STATE(10521)] = 304550,
  [SMALL_STATE(10522)] = 304558,
  [SMALL_STATE(10523)] = 304566,
  [SMALL_STATE(10524)] = 304574,
  [SMALL_STATE(10525)] = 304582,
  [SMALL_STATE(10526)] = 304590,
  [SMALL_STATE(10527)] = 304598,
  [SMALL_STATE(10528)] = 304606,
  [SMALL_STATE(10529)] = 304614,
  [SMALL_STATE(10530)] = 304622,
  [SMALL_STATE(10531)] = 304630,
  [SMALL_STATE(10532)] = 304638,
  [SMALL_STATE(10533)] = 304646,
  [SMALL_STATE(10534)] = 304654,
  [SMALL_STATE(10535)] = 304662,
  [SMALL_STATE(10536)] = 304670,
  [SMALL_STATE(10537)] = 304678,
  [SMALL_STATE(10538)] = 304686,
  [SMALL_STATE(10539)] = 304694,
  [SMALL_STATE(10540)] = 304702,
  [SMALL_STATE(10541)] = 304710,
  [SMALL_STATE(10542)] = 304718,
  [SMALL_STATE(10543)] = 304726,
  [SMALL_STATE(10544)] = 304734,
  [SMALL_STATE(10545)] = 304742,
  [SMALL_STATE(10546)] = 304750,
  [SMALL_STATE(10547)] = 304758,
  [SMALL_STATE(10548)] = 304766,
  [SMALL_STATE(10549)] = 304774,
  [SMALL_STATE(10550)] = 304782,
  [SMALL_STATE(10551)] = 304790,
  [SMALL_STATE(10552)] = 304798,
  [SMALL_STATE(10553)] = 304806,
  [SMALL_STATE(10554)] = 304814,
  [SMALL_STATE(10555)] = 304822,
  [SMALL_STATE(10556)] = 304830,
  [SMALL_STATE(10557)] = 304838,
  [SMALL_STATE(10558)] = 304846,
  [SMALL_STATE(10559)] = 304854,
  [SMALL_STATE(10560)] = 304862,
  [SMALL_STATE(10561)] = 304870,
  [SMALL_STATE(10562)] = 304878,
  [SMALL_STATE(10563)] = 304886,
  [SMALL_STATE(10564)] = 304894,
  [SMALL_STATE(10565)] = 304902,
  [SMALL_STATE(10566)] = 304910,
  [SMALL_STATE(10567)] = 304918,
  [SMALL_STATE(10568)] = 304926,
  [SMALL_STATE(10569)] = 304934,
  [SMALL_STATE(10570)] = 304942,
  [SMALL_STATE(10571)] = 304950,
  [SMALL_STATE(10572)] = 304958,
  [SMALL_STATE(10573)] = 304966,
  [SMALL_STATE(10574)] = 304974,
  [SMALL_STATE(10575)] = 304982,
  [SMALL_STATE(10576)] = 304990,
  [SMALL_STATE(10577)] = 304998,
  [SMALL_STATE(10578)] = 305006,
  [SMALL_STATE(10579)] = 305014,
  [SMALL_STATE(10580)] = 305022,
  [SMALL_STATE(10581)] = 305030,
  [SMALL_STATE(10582)] = 305038,
  [SMALL_STATE(10583)] = 305046,
  [SMALL_STATE(10584)] = 305054,
  [SMALL_STATE(10585)] = 305062,
  [SMALL_STATE(10586)] = 305070,
  [SMALL_STATE(10587)] = 305078,
  [SMALL_STATE(10588)] = 305086,
  [SMALL_STATE(10589)] = 305094,
  [SMALL_STATE(10590)] = 305102,
  [SMALL_STATE(10591)] = 305110,
  [SMALL_STATE(10592)] = 305118,
  [SMALL_STATE(10593)] = 305126,
  [SMALL_STATE(10594)] = 305134,
  [SMALL_STATE(10595)] = 305142,
  [SMALL_STATE(10596)] = 305150,
  [SMALL_STATE(10597)] = 305158,
  [SMALL_STATE(10598)] = 305166,
  [SMALL_STATE(10599)] = 305174,
  [SMALL_STATE(10600)] = 305182,
  [SMALL_STATE(10601)] = 305190,
  [SMALL_STATE(10602)] = 305198,
  [SMALL_STATE(10603)] = 305206,
  [SMALL_STATE(10604)] = 305214,
  [SMALL_STATE(10605)] = 305222,
  [SMALL_STATE(10606)] = 305230,
  [SMALL_STATE(10607)] = 305238,
  [SMALL_STATE(10608)] = 305246,
  [SMALL_STATE(10609)] = 305254,
  [SMALL_STATE(10610)] = 305262,
  [SMALL_STATE(10611)] = 305270,
  [SMALL_STATE(10612)] = 305278,
  [SMALL_STATE(10613)] = 305286,
  [SMALL_STATE(10614)] = 305294,
  [SMALL_STATE(10615)] = 305302,
  [SMALL_STATE(10616)] = 305310,
  [SMALL_STATE(10617)] = 305318,
  [SMALL_STATE(10618)] = 305326,
  [SMALL_STATE(10619)] = 305334,
  [SMALL_STATE(10620)] = 305342,
  [SMALL_STATE(10621)] = 305350,
  [SMALL_STATE(10622)] = 305358,
  [SMALL_STATE(10623)] = 305366,
  [SMALL_STATE(10624)] = 305374,
  [SMALL_STATE(10625)] = 305382,
  [SMALL_STATE(10626)] = 305390,
  [SMALL_STATE(10627)] = 305398,
  [SMALL_STATE(10628)] = 305406,
  [SMALL_STATE(10629)] = 305414,
  [SMALL_STATE(10630)] = 305422,
  [SMALL_STATE(10631)] = 305430,
  [SMALL_STATE(10632)] = 305438,
  [SMALL_STATE(10633)] = 305446,
  [SMALL_STATE(10634)] = 305454,
  [SMALL_STATE(10635)] = 305462,
  [SMALL_STATE(10636)] = 305470,
  [SMALL_STATE(10637)] = 305478,
  [SMALL_STATE(10638)] = 305486,
  [SMALL_STATE(10639)] = 305494,
  [SMALL_STATE(10640)] = 305502,
  [SMALL_STATE(10641)] = 305510,
  [SMALL_STATE(10642)] = 305518,
  [SMALL_STATE(10643)] = 305526,
  [SMALL_STATE(10644)] = 305534,
  [SMALL_STATE(10645)] = 305542,
  [SMALL_STATE(10646)] = 305550,
  [SMALL_STATE(10647)] = 305558,
  [SMALL_STATE(10648)] = 305566,
  [SMALL_STATE(10649)] = 305574,
  [SMALL_STATE(10650)] = 305582,
  [SMALL_STATE(10651)] = 305590,
  [SMALL_STATE(10652)] = 305598,
  [SMALL_STATE(10653)] = 305606,
  [SMALL_STATE(10654)] = 305614,
  [SMALL_STATE(10655)] = 305622,
  [SMALL_STATE(10656)] = 305630,
  [SMALL_STATE(10657)] = 305638,
  [SMALL_STATE(10658)] = 305646,
  [SMALL_STATE(10659)] = 305654,
  [SMALL_STATE(10660)] = 305662,
  [SMALL_STATE(10661)] = 305670,
  [SMALL_STATE(10662)] = 305678,
  [SMALL_STATE(10663)] = 305686,
  [SMALL_STATE(10664)] = 305694,
  [SMALL_STATE(10665)] = 305702,
  [SMALL_STATE(10666)] = 305710,
  [SMALL_STATE(10667)] = 305718,
  [SMALL_STATE(10668)] = 305726,
  [SMALL_STATE(10669)] = 305734,
  [SMALL_STATE(10670)] = 305742,
  [SMALL_STATE(10671)] = 305750,
  [SMALL_STATE(10672)] = 305758,
  [SMALL_STATE(10673)] = 305766,
  [SMALL_STATE(10674)] = 305774,
  [SMALL_STATE(10675)] = 305782,
  [SMALL_STATE(10676)] = 305790,
  [SMALL_STATE(10677)] = 305798,
  [SMALL_STATE(10678)] = 305806,
  [SMALL_STATE(10679)] = 305814,
  [SMALL_STATE(10680)] = 305822,
  [SMALL_STATE(10681)] = 305830,
  [SMALL_STATE(10682)] = 305838,
  [SMALL_STATE(10683)] = 305846,
  [SMALL_STATE(10684)] = 305854,
  [SMALL_STATE(10685)] = 305862,
  [SMALL_STATE(10686)] = 305870,
  [SMALL_STATE(10687)] = 305878,
  [SMALL_STATE(10688)] = 305886,
  [SMALL_STATE(10689)] = 305894,
  [SMALL_STATE(10690)] = 305902,
  [SMALL_STATE(10691)] = 305910,
  [SMALL_STATE(10692)] = 305918,
  [SMALL_STATE(10693)] = 305926,
  [SMALL_STATE(10694)] = 305934,
  [SMALL_STATE(10695)] = 305942,
  [SMALL_STATE(10696)] = 305950,
  [SMALL_STATE(10697)] = 305958,
  [SMALL_STATE(10698)] = 305966,
  [SMALL_STATE(10699)] = 305974,
  [SMALL_STATE(10700)] = 305982,
  [SMALL_STATE(10701)] = 305990,
  [SMALL_STATE(10702)] = 305998,
  [SMALL_STATE(10703)] = 306006,
  [SMALL_STATE(10704)] = 306014,
  [SMALL_STATE(10705)] = 306022,
  [SMALL_STATE(10706)] = 306030,
  [SMALL_STATE(10707)] = 306038,
  [SMALL_STATE(10708)] = 306046,
  [SMALL_STATE(10709)] = 306054,
  [SMALL_STATE(10710)] = 306062,
  [SMALL_STATE(10711)] = 306070,
  [SMALL_STATE(10712)] = 306078,
  [SMALL_STATE(10713)] = 306086,
  [SMALL_STATE(10714)] = 306094,
  [SMALL_STATE(10715)] = 306102,
  [SMALL_STATE(10716)] = 306110,
  [SMALL_STATE(10717)] = 306118,
  [SMALL_STATE(10718)] = 306126,
  [SMALL_STATE(10719)] = 306134,
  [SMALL_STATE(10720)] = 306142,
  [SMALL_STATE(10721)] = 306150,
  [SMALL_STATE(10722)] = 306158,
  [SMALL_STATE(10723)] = 306166,
  [SMALL_STATE(10724)] = 306174,
  [SMALL_STATE(10725)] = 306182,
  [SMALL_STATE(10726)] = 306190,
  [SMALL_STATE(10727)] = 306198,
  [SMALL_STATE(10728)] = 306206,
  [SMALL_STATE(10729)] = 306214,
  [SMALL_STATE(10730)] = 306222,
  [SMALL_STATE(10731)] = 306230,
  [SMALL_STATE(10732)] = 306238,
  [SMALL_STATE(10733)] = 306246,
  [SMALL_STATE(10734)] = 306254,
  [SMALL_STATE(10735)] = 306262,
  [SMALL_STATE(10736)] = 306270,
  [SMALL_STATE(10737)] = 306278,
  [SMALL_STATE(10738)] = 306286,
  [SMALL_STATE(10739)] = 306294,
  [SMALL_STATE(10740)] = 306302,
  [SMALL_STATE(10741)] = 306310,
  [SMALL_STATE(10742)] = 306318,
  [SMALL_STATE(10743)] = 306326,
  [SMALL_STATE(10744)] = 306334,
  [SMALL_STATE(10745)] = 306342,
  [SMALL_STATE(10746)] = 306350,
  [SMALL_STATE(10747)] = 306358,
  [SMALL_STATE(10748)] = 306366,
  [SMALL_STATE(10749)] = 306374,
  [SMALL_STATE(10750)] = 306382,
  [SMALL_STATE(10751)] = 306390,
  [SMALL_STATE(10752)] = 306398,
  [SMALL_STATE(10753)] = 306406,
  [SMALL_STATE(10754)] = 306414,
  [SMALL_STATE(10755)] = 306422,
  [SMALL_STATE(10756)] = 306430,
  [SMALL_STATE(10757)] = 306438,
  [SMALL_STATE(10758)] = 306446,
  [SMALL_STATE(10759)] = 306454,
  [SMALL_STATE(10760)] = 306462,
  [SMALL_STATE(10761)] = 306470,
  [SMALL_STATE(10762)] = 306478,
  [SMALL_STATE(10763)] = 306486,
  [SMALL_STATE(10764)] = 306494,
  [SMALL_STATE(10765)] = 306502,
  [SMALL_STATE(10766)] = 306510,
  [SMALL_STATE(10767)] = 306518,
  [SMALL_STATE(10768)] = 306526,
  [SMALL_STATE(10769)] = 306534,
  [SMALL_STATE(10770)] = 306542,
  [SMALL_STATE(10771)] = 306550,
  [SMALL_STATE(10772)] = 306558,
  [SMALL_STATE(10773)] = 306566,
  [SMALL_STATE(10774)] = 306574,
  [SMALL_STATE(10775)] = 306582,
  [SMALL_STATE(10776)] = 306590,
  [SMALL_STATE(10777)] = 306598,
  [SMALL_STATE(10778)] = 306606,
  [SMALL_STATE(10779)] = 306614,
  [SMALL_STATE(10780)] = 306622,
  [SMALL_STATE(10781)] = 306630,
  [SMALL_STATE(10782)] = 306638,
  [SMALL_STATE(10783)] = 306646,
  [SMALL_STATE(10784)] = 306654,
  [SMALL_STATE(10785)] = 306662,
  [SMALL_STATE(10786)] = 306670,
  [SMALL_STATE(10787)] = 306678,
  [SMALL_STATE(10788)] = 306686,
  [SMALL_STATE(10789)] = 306694,
  [SMALL_STATE(10790)] = 306702,
  [SMALL_STATE(10791)] = 306710,
  [SMALL_STATE(10792)] = 306718,
  [SMALL_STATE(10793)] = 306726,
  [SMALL_STATE(10794)] = 306734,
  [SMALL_STATE(10795)] = 306742,
  [SMALL_STATE(10796)] = 306750,
  [SMALL_STATE(10797)] = 306758,
  [SMALL_STATE(10798)] = 306766,
  [SMALL_STATE(10799)] = 306774,
  [SMALL_STATE(10800)] = 306782,
  [SMALL_STATE(10801)] = 306790,
  [SMALL_STATE(10802)] = 306798,
  [SMALL_STATE(10803)] = 306806,
  [SMALL_STATE(10804)] = 306814,
  [SMALL_STATE(10805)] = 306822,
  [SMALL_STATE(10806)] = 306830,
  [SMALL_STATE(10807)] = 306838,
  [SMALL_STATE(10808)] = 306846,
  [SMALL_STATE(10809)] = 306854,
  [SMALL_STATE(10810)] = 306862,
  [SMALL_STATE(10811)] = 306870,
  [SMALL_STATE(10812)] = 306878,
  [SMALL_STATE(10813)] = 306886,
  [SMALL_STATE(10814)] = 306894,
  [SMALL_STATE(10815)] = 306902,
  [SMALL_STATE(10816)] = 306910,
  [SMALL_STATE(10817)] = 306918,
  [SMALL_STATE(10818)] = 306926,
  [SMALL_STATE(10819)] = 306934,
  [SMALL_STATE(10820)] = 306942,
  [SMALL_STATE(10821)] = 306950,
  [SMALL_STATE(10822)] = 306958,
  [SMALL_STATE(10823)] = 306966,
  [SMALL_STATE(10824)] = 306974,
  [SMALL_STATE(10825)] = 306982,
  [SMALL_STATE(10826)] = 306990,
  [SMALL_STATE(10827)] = 306998,
  [SMALL_STATE(10828)] = 307006,
  [SMALL_STATE(10829)] = 307014,
  [SMALL_STATE(10830)] = 307022,
  [SMALL_STATE(10831)] = 307030,
  [SMALL_STATE(10832)] = 307038,
  [SMALL_STATE(10833)] = 307046,
  [SMALL_STATE(10834)] = 307054,
  [SMALL_STATE(10835)] = 307062,
  [SMALL_STATE(10836)] = 307070,
  [SMALL_STATE(10837)] = 307078,
  [SMALL_STATE(10838)] = 307086,
  [SMALL_STATE(10839)] = 307094,
  [SMALL_STATE(10840)] = 307102,
  [SMALL_STATE(10841)] = 307110,
  [SMALL_STATE(10842)] = 307118,
  [SMALL_STATE(10843)] = 307126,
  [SMALL_STATE(10844)] = 307134,
  [SMALL_STATE(10845)] = 307142,
  [SMALL_STATE(10846)] = 307150,
  [SMALL_STATE(10847)] = 307158,
  [SMALL_STATE(10848)] = 307166,
  [SMALL_STATE(10849)] = 307174,
  [SMALL_STATE(10850)] = 307182,
  [SMALL_STATE(10851)] = 307190,
  [SMALL_STATE(10852)] = 307198,
  [SMALL_STATE(10853)] = 307206,
  [SMALL_STATE(10854)] = 307214,
  [SMALL_STATE(10855)] = 307222,
  [SMALL_STATE(10856)] = 307230,
  [SMALL_STATE(10857)] = 307238,
  [SMALL_STATE(10858)] = 307246,
  [SMALL_STATE(10859)] = 307254,
  [SMALL_STATE(10860)] = 307262,
  [SMALL_STATE(10861)] = 307270,
  [SMALL_STATE(10862)] = 307278,
  [SMALL_STATE(10863)] = 307286,
  [SMALL_STATE(10864)] = 307294,
  [SMALL_STATE(10865)] = 307302,
  [SMALL_STATE(10866)] = 307310,
  [SMALL_STATE(10867)] = 307318,
  [SMALL_STATE(10868)] = 307326,
  [SMALL_STATE(10869)] = 307334,
  [SMALL_STATE(10870)] = 307342,
  [SMALL_STATE(10871)] = 307350,
  [SMALL_STATE(10872)] = 307358,
  [SMALL_STATE(10873)] = 307366,
  [SMALL_STATE(10874)] = 307374,
  [SMALL_STATE(10875)] = 307382,
  [SMALL_STATE(10876)] = 307390,
  [SMALL_STATE(10877)] = 307398,
  [SMALL_STATE(10878)] = 307406,
  [SMALL_STATE(10879)] = 307414,
  [SMALL_STATE(10880)] = 307422,
  [SMALL_STATE(10881)] = 307430,
  [SMALL_STATE(10882)] = 307438,
  [SMALL_STATE(10883)] = 307446,
  [SMALL_STATE(10884)] = 307454,
  [SMALL_STATE(10885)] = 307462,
  [SMALL_STATE(10886)] = 307470,
  [SMALL_STATE(10887)] = 307478,
  [SMALL_STATE(10888)] = 307486,
  [SMALL_STATE(10889)] = 307494,
  [SMALL_STATE(10890)] = 307502,
  [SMALL_STATE(10891)] = 307510,
  [SMALL_STATE(10892)] = 307518,
  [SMALL_STATE(10893)] = 307526,
  [SMALL_STATE(10894)] = 307534,
  [SMALL_STATE(10895)] = 307542,
  [SMALL_STATE(10896)] = 307550,
  [SMALL_STATE(10897)] = 307558,
  [SMALL_STATE(10898)] = 307566,
  [SMALL_STATE(10899)] = 307574,
  [SMALL_STATE(10900)] = 307582,
  [SMALL_STATE(10901)] = 307590,
  [SMALL_STATE(10902)] = 307598,
  [SMALL_STATE(10903)] = 307606,
  [SMALL_STATE(10904)] = 307614,
  [SMALL_STATE(10905)] = 307622,
  [SMALL_STATE(10906)] = 307630,
  [SMALL_STATE(10907)] = 307638,
  [SMALL_STATE(10908)] = 307646,
  [SMALL_STATE(10909)] = 307654,
  [SMALL_STATE(10910)] = 307662,
  [SMALL_STATE(10911)] = 307670,
  [SMALL_STATE(10912)] = 307678,
  [SMALL_STATE(10913)] = 307686,
  [SMALL_STATE(10914)] = 307694,
  [SMALL_STATE(10915)] = 307702,
  [SMALL_STATE(10916)] = 307710,
  [SMALL_STATE(10917)] = 307718,
  [SMALL_STATE(10918)] = 307726,
  [SMALL_STATE(10919)] = 307734,
  [SMALL_STATE(10920)] = 307742,
  [SMALL_STATE(10921)] = 307750,
  [SMALL_STATE(10922)] = 307758,
  [SMALL_STATE(10923)] = 307766,
  [SMALL_STATE(10924)] = 307774,
  [SMALL_STATE(10925)] = 307782,
  [SMALL_STATE(10926)] = 307790,
  [SMALL_STATE(10927)] = 307798,
  [SMALL_STATE(10928)] = 307806,
  [SMALL_STATE(10929)] = 307814,
  [SMALL_STATE(10930)] = 307822,
  [SMALL_STATE(10931)] = 307830,
  [SMALL_STATE(10932)] = 307838,
  [SMALL_STATE(10933)] = 307846,
  [SMALL_STATE(10934)] = 307854,
  [SMALL_STATE(10935)] = 307862,
  [SMALL_STATE(10936)] = 307870,
  [SMALL_STATE(10937)] = 307878,
  [SMALL_STATE(10938)] = 307886,
  [SMALL_STATE(10939)] = 307894,
  [SMALL_STATE(10940)] = 307902,
  [SMALL_STATE(10941)] = 307910,
  [SMALL_STATE(10942)] = 307918,
  [SMALL_STATE(10943)] = 307926,
  [SMALL_STATE(10944)] = 307934,
  [SMALL_STATE(10945)] = 307942,
  [SMALL_STATE(10946)] = 307950,
  [SMALL_STATE(10947)] = 307958,
  [SMALL_STATE(10948)] = 307966,
  [SMALL_STATE(10949)] = 307974,
  [SMALL_STATE(10950)] = 307982,
  [SMALL_STATE(10951)] = 307990,
  [SMALL_STATE(10952)] = 307998,
  [SMALL_STATE(10953)] = 308006,
  [SMALL_STATE(10954)] = 308014,
  [SMALL_STATE(10955)] = 308022,
  [SMALL_STATE(10956)] = 308030,
  [SMALL_STATE(10957)] = 308038,
  [SMALL_STATE(10958)] = 308046,
  [SMALL_STATE(10959)] = 308054,
  [SMALL_STATE(10960)] = 308062,
  [SMALL_STATE(10961)] = 308070,
  [SMALL_STATE(10962)] = 308078,
  [SMALL_STATE(10963)] = 308086,
  [SMALL_STATE(10964)] = 308094,
  [SMALL_STATE(10965)] = 308102,
  [SMALL_STATE(10966)] = 308110,
  [SMALL_STATE(10967)] = 308118,
  [SMALL_STATE(10968)] = 308126,
  [SMALL_STATE(10969)] = 308134,
  [SMALL_STATE(10970)] = 308142,
  [SMALL_STATE(10971)] = 308150,
  [SMALL_STATE(10972)] = 308158,
  [SMALL_STATE(10973)] = 308166,
  [SMALL_STATE(10974)] = 308174,
  [SMALL_STATE(10975)] = 308182,
  [SMALL_STATE(10976)] = 308190,
  [SMALL_STATE(10977)] = 308198,
  [SMALL_STATE(10978)] = 308206,
  [SMALL_STATE(10979)] = 308214,
  [SMALL_STATE(10980)] = 308222,
  [SMALL_STATE(10981)] = 308230,
  [SMALL_STATE(10982)] = 308238,
  [SMALL_STATE(10983)] = 308246,
  [SMALL_STATE(10984)] = 308254,
  [SMALL_STATE(10985)] = 308262,
  [SMALL_STATE(10986)] = 308270,
  [SMALL_STATE(10987)] = 308278,
  [SMALL_STATE(10988)] = 308286,
  [SMALL_STATE(10989)] = 308294,
  [SMALL_STATE(10990)] = 308302,
  [SMALL_STATE(10991)] = 308310,
  [SMALL_STATE(10992)] = 308318,
  [SMALL_STATE(10993)] = 308326,
  [SMALL_STATE(10994)] = 308334,
  [SMALL_STATE(10995)] = 308342,
  [SMALL_STATE(10996)] = 308350,
  [SMALL_STATE(10997)] = 308358,
  [SMALL_STATE(10998)] = 308366,
  [SMALL_STATE(10999)] = 308374,
  [SMALL_STATE(11000)] = 308382,
  [SMALL_STATE(11001)] = 308390,
  [SMALL_STATE(11002)] = 308398,
  [SMALL_STATE(11003)] = 308406,
  [SMALL_STATE(11004)] = 308414,
  [SMALL_STATE(11005)] = 308422,
  [SMALL_STATE(11006)] = 308430,
  [SMALL_STATE(11007)] = 308438,
  [SMALL_STATE(11008)] = 308446,
  [SMALL_STATE(11009)] = 308454,
  [SMALL_STATE(11010)] = 308462,
  [SMALL_STATE(11011)] = 308470,
  [SMALL_STATE(11012)] = 308478,
  [SMALL_STATE(11013)] = 308486,
  [SMALL_STATE(11014)] = 308494,
  [SMALL_STATE(11015)] = 308502,
  [SMALL_STATE(11016)] = 308510,
  [SMALL_STATE(11017)] = 308518,
  [SMALL_STATE(11018)] = 308526,
  [SMALL_STATE(11019)] = 308534,
  [SMALL_STATE(11020)] = 308542,
  [SMALL_STATE(11021)] = 308550,
  [SMALL_STATE(11022)] = 308558,
  [SMALL_STATE(11023)] = 308566,
  [SMALL_STATE(11024)] = 308574,
  [SMALL_STATE(11025)] = 308582,
  [SMALL_STATE(11026)] = 308590,
  [SMALL_STATE(11027)] = 308598,
  [SMALL_STATE(11028)] = 308606,
  [SMALL_STATE(11029)] = 308614,
  [SMALL_STATE(11030)] = 308622,
  [SMALL_STATE(11031)] = 308630,
  [SMALL_STATE(11032)] = 308638,
  [SMALL_STATE(11033)] = 308646,
  [SMALL_STATE(11034)] = 308654,
  [SMALL_STATE(11035)] = 308662,
  [SMALL_STATE(11036)] = 308670,
  [SMALL_STATE(11037)] = 308678,
  [SMALL_STATE(11038)] = 308686,
  [SMALL_STATE(11039)] = 308694,
  [SMALL_STATE(11040)] = 308702,
  [SMALL_STATE(11041)] = 308710,
  [SMALL_STATE(11042)] = 308718,
  [SMALL_STATE(11043)] = 308726,
  [SMALL_STATE(11044)] = 308734,
  [SMALL_STATE(11045)] = 308742,
  [SMALL_STATE(11046)] = 308750,
  [SMALL_STATE(11047)] = 308758,
  [SMALL_STATE(11048)] = 308766,
  [SMALL_STATE(11049)] = 308774,
  [SMALL_STATE(11050)] = 308782,
  [SMALL_STATE(11051)] = 308790,
  [SMALL_STATE(11052)] = 308798,
  [SMALL_STATE(11053)] = 308806,
  [SMALL_STATE(11054)] = 308814,
  [SMALL_STATE(11055)] = 308822,
  [SMALL_STATE(11056)] = 308830,
  [SMALL_STATE(11057)] = 308838,
  [SMALL_STATE(11058)] = 308846,
  [SMALL_STATE(11059)] = 308854,
  [SMALL_STATE(11060)] = 308862,
  [SMALL_STATE(11061)] = 308870,
  [SMALL_STATE(11062)] = 308878,
  [SMALL_STATE(11063)] = 308886,
  [SMALL_STATE(11064)] = 308894,
  [SMALL_STATE(11065)] = 308902,
  [SMALL_STATE(11066)] = 308910,
  [SMALL_STATE(11067)] = 308918,
  [SMALL_STATE(11068)] = 308926,
  [SMALL_STATE(11069)] = 308934,
  [SMALL_STATE(11070)] = 308942,
  [SMALL_STATE(11071)] = 308950,
  [SMALL_STATE(11072)] = 308958,
  [SMALL_STATE(11073)] = 308966,
  [SMALL_STATE(11074)] = 308974,
  [SMALL_STATE(11075)] = 308982,
  [SMALL_STATE(11076)] = 308990,
  [SMALL_STATE(11077)] = 308998,
  [SMALL_STATE(11078)] = 309006,
  [SMALL_STATE(11079)] = 309014,
  [SMALL_STATE(11080)] = 309022,
  [SMALL_STATE(11081)] = 309030,
  [SMALL_STATE(11082)] = 309038,
  [SMALL_STATE(11083)] = 309046,
  [SMALL_STATE(11084)] = 309054,
  [SMALL_STATE(11085)] = 309062,
  [SMALL_STATE(11086)] = 309070,
  [SMALL_STATE(11087)] = 309078,
  [SMALL_STATE(11088)] = 309086,
  [SMALL_STATE(11089)] = 309094,
  [SMALL_STATE(11090)] = 309102,
  [SMALL_STATE(11091)] = 309110,
  [SMALL_STATE(11092)] = 309118,
  [SMALL_STATE(11093)] = 309126,
  [SMALL_STATE(11094)] = 309134,
  [SMALL_STATE(11095)] = 309142,
  [SMALL_STATE(11096)] = 309150,
  [SMALL_STATE(11097)] = 309158,
  [SMALL_STATE(11098)] = 309166,
  [SMALL_STATE(11099)] = 309174,
  [SMALL_STATE(11100)] = 309182,
  [SMALL_STATE(11101)] = 309190,
  [SMALL_STATE(11102)] = 309198,
  [SMALL_STATE(11103)] = 309206,
  [SMALL_STATE(11104)] = 309214,
  [SMALL_STATE(11105)] = 309222,
  [SMALL_STATE(11106)] = 309230,
  [SMALL_STATE(11107)] = 309238,
  [SMALL_STATE(11108)] = 309246,
  [SMALL_STATE(11109)] = 309254,
  [SMALL_STATE(11110)] = 309262,
  [SMALL_STATE(11111)] = 309270,
  [SMALL_STATE(11112)] = 309278,
  [SMALL_STATE(11113)] = 309286,
  [SMALL_STATE(11114)] = 309294,
  [SMALL_STATE(11115)] = 309302,
  [SMALL_STATE(11116)] = 309310,
  [SMALL_STATE(11117)] = 309318,
  [SMALL_STATE(11118)] = 309326,
  [SMALL_STATE(11119)] = 309334,
  [SMALL_STATE(11120)] = 309342,
  [SMALL_STATE(11121)] = 309350,
  [SMALL_STATE(11122)] = 309358,
  [SMALL_STATE(11123)] = 309366,
  [SMALL_STATE(11124)] = 309374,
  [SMALL_STATE(11125)] = 309382,
  [SMALL_STATE(11126)] = 309390,
  [SMALL_STATE(11127)] = 309398,
  [SMALL_STATE(11128)] = 309406,
  [SMALL_STATE(11129)] = 309414,
  [SMALL_STATE(11130)] = 309422,
  [SMALL_STATE(11131)] = 309430,
  [SMALL_STATE(11132)] = 309438,
  [SMALL_STATE(11133)] = 309446,
  [SMALL_STATE(11134)] = 309454,
  [SMALL_STATE(11135)] = 309462,
  [SMALL_STATE(11136)] = 309470,
  [SMALL_STATE(11137)] = 309478,
  [SMALL_STATE(11138)] = 309486,
  [SMALL_STATE(11139)] = 309494,
  [SMALL_STATE(11140)] = 309502,
  [SMALL_STATE(11141)] = 309510,
  [SMALL_STATE(11142)] = 309518,
  [SMALL_STATE(11143)] = 309526,
  [SMALL_STATE(11144)] = 309534,
  [SMALL_STATE(11145)] = 309542,
  [SMALL_STATE(11146)] = 309550,
  [SMALL_STATE(11147)] = 309558,
  [SMALL_STATE(11148)] = 309566,
  [SMALL_STATE(11149)] = 309574,
  [SMALL_STATE(11150)] = 309582,
  [SMALL_STATE(11151)] = 309590,
  [SMALL_STATE(11152)] = 309598,
  [SMALL_STATE(11153)] = 309606,
  [SMALL_STATE(11154)] = 309614,
  [SMALL_STATE(11155)] = 309622,
  [SMALL_STATE(11156)] = 309630,
  [SMALL_STATE(11157)] = 309638,
  [SMALL_STATE(11158)] = 309646,
  [SMALL_STATE(11159)] = 309654,
  [SMALL_STATE(11160)] = 309662,
  [SMALL_STATE(11161)] = 309670,
  [SMALL_STATE(11162)] = 309678,
  [SMALL_STATE(11163)] = 309686,
  [SMALL_STATE(11164)] = 309694,
  [SMALL_STATE(11165)] = 309702,
  [SMALL_STATE(11166)] = 309710,
  [SMALL_STATE(11167)] = 309718,
  [SMALL_STATE(11168)] = 309726,
  [SMALL_STATE(11169)] = 309734,
  [SMALL_STATE(11170)] = 309742,
  [SMALL_STATE(11171)] = 309750,
  [SMALL_STATE(11172)] = 309758,
  [SMALL_STATE(11173)] = 309766,
  [SMALL_STATE(11174)] = 309774,
  [SMALL_STATE(11175)] = 309782,
  [SMALL_STATE(11176)] = 309790,
  [SMALL_STATE(11177)] = 309798,
  [SMALL_STATE(11178)] = 309806,
  [SMALL_STATE(11179)] = 309814,
  [SMALL_STATE(11180)] = 309822,
  [SMALL_STATE(11181)] = 309830,
  [SMALL_STATE(11182)] = 309838,
  [SMALL_STATE(11183)] = 309846,
  [SMALL_STATE(11184)] = 309854,
  [SMALL_STATE(11185)] = 309862,
  [SMALL_STATE(11186)] = 309870,
  [SMALL_STATE(11187)] = 309878,
  [SMALL_STATE(11188)] = 309886,
  [SMALL_STATE(11189)] = 309894,
  [SMALL_STATE(11190)] = 309902,
  [SMALL_STATE(11191)] = 309910,
  [SMALL_STATE(11192)] = 309918,
  [SMALL_STATE(11193)] = 309926,
  [SMALL_STATE(11194)] = 309934,
  [SMALL_STATE(11195)] = 309942,
  [SMALL_STATE(11196)] = 309950,
  [SMALL_STATE(11197)] = 309958,
  [SMALL_STATE(11198)] = 309966,
  [SMALL_STATE(11199)] = 309974,
  [SMALL_STATE(11200)] = 309982,
  [SMALL_STATE(11201)] = 309990,
  [SMALL_STATE(11202)] = 309998,
  [SMALL_STATE(11203)] = 310006,
  [SMALL_STATE(11204)] = 310014,
  [SMALL_STATE(11205)] = 310022,
  [SMALL_STATE(11206)] = 310030,
  [SMALL_STATE(11207)] = 310038,
  [SMALL_STATE(11208)] = 310046,
  [SMALL_STATE(11209)] = 310054,
  [SMALL_STATE(11210)] = 310062,
  [SMALL_STATE(11211)] = 310070,
  [SMALL_STATE(11212)] = 310078,
  [SMALL_STATE(11213)] = 310086,
  [SMALL_STATE(11214)] = 310094,
  [SMALL_STATE(11215)] = 310102,
  [SMALL_STATE(11216)] = 310110,
  [SMALL_STATE(11217)] = 310118,
  [SMALL_STATE(11218)] = 310126,
  [SMALL_STATE(11219)] = 310134,
  [SMALL_STATE(11220)] = 310142,
  [SMALL_STATE(11221)] = 310150,
  [SMALL_STATE(11222)] = 310158,
  [SMALL_STATE(11223)] = 310166,
  [SMALL_STATE(11224)] = 310174,
  [SMALL_STATE(11225)] = 310182,
  [SMALL_STATE(11226)] = 310190,
  [SMALL_STATE(11227)] = 310198,
  [SMALL_STATE(11228)] = 310206,
  [SMALL_STATE(11229)] = 310214,
  [SMALL_STATE(11230)] = 310222,
  [SMALL_STATE(11231)] = 310230,
  [SMALL_STATE(11232)] = 310238,
  [SMALL_STATE(11233)] = 310246,
  [SMALL_STATE(11234)] = 310254,
  [SMALL_STATE(11235)] = 310262,
  [SMALL_STATE(11236)] = 310270,
  [SMALL_STATE(11237)] = 310278,
  [SMALL_STATE(11238)] = 310286,
  [SMALL_STATE(11239)] = 310294,
  [SMALL_STATE(11240)] = 310302,
  [SMALL_STATE(11241)] = 310310,
  [SMALL_STATE(11242)] = 310318,
  [SMALL_STATE(11243)] = 310326,
  [SMALL_STATE(11244)] = 310334,
  [SMALL_STATE(11245)] = 310342,
  [SMALL_STATE(11246)] = 310350,
  [SMALL_STATE(11247)] = 310358,
  [SMALL_STATE(11248)] = 310366,
  [SMALL_STATE(11249)] = 310374,
  [SMALL_STATE(11250)] = 310382,
  [SMALL_STATE(11251)] = 310390,
  [SMALL_STATE(11252)] = 310398,
  [SMALL_STATE(11253)] = 310406,
  [SMALL_STATE(11254)] = 310414,
  [SMALL_STATE(11255)] = 310422,
  [SMALL_STATE(11256)] = 310430,
  [SMALL_STATE(11257)] = 310438,
  [SMALL_STATE(11258)] = 310446,
  [SMALL_STATE(11259)] = 310454,
  [SMALL_STATE(11260)] = 310462,
  [SMALL_STATE(11261)] = 310470,
  [SMALL_STATE(11262)] = 310478,
  [SMALL_STATE(11263)] = 310486,
  [SMALL_STATE(11264)] = 310494,
  [SMALL_STATE(11265)] = 310502,
  [SMALL_STATE(11266)] = 310510,
  [SMALL_STATE(11267)] = 310518,
  [SMALL_STATE(11268)] = 310526,
  [SMALL_STATE(11269)] = 310534,
  [SMALL_STATE(11270)] = 310542,
  [SMALL_STATE(11271)] = 310550,
  [SMALL_STATE(11272)] = 310558,
  [SMALL_STATE(11273)] = 310566,
  [SMALL_STATE(11274)] = 310574,
  [SMALL_STATE(11275)] = 310582,
  [SMALL_STATE(11276)] = 310590,
  [SMALL_STATE(11277)] = 310598,
  [SMALL_STATE(11278)] = 310606,
  [SMALL_STATE(11279)] = 310614,
  [SMALL_STATE(11280)] = 310622,
  [SMALL_STATE(11281)] = 310630,
  [SMALL_STATE(11282)] = 310638,
  [SMALL_STATE(11283)] = 310646,
  [SMALL_STATE(11284)] = 310654,
  [SMALL_STATE(11285)] = 310662,
  [SMALL_STATE(11286)] = 310670,
  [SMALL_STATE(11287)] = 310678,
  [SMALL_STATE(11288)] = 310686,
  [SMALL_STATE(11289)] = 310694,
  [SMALL_STATE(11290)] = 310702,
  [SMALL_STATE(11291)] = 310710,
  [SMALL_STATE(11292)] = 310718,
  [SMALL_STATE(11293)] = 310726,
  [SMALL_STATE(11294)] = 310734,
  [SMALL_STATE(11295)] = 310742,
  [SMALL_STATE(11296)] = 310750,
  [SMALL_STATE(11297)] = 310758,
  [SMALL_STATE(11298)] = 310766,
  [SMALL_STATE(11299)] = 310774,
  [SMALL_STATE(11300)] = 310782,
  [SMALL_STATE(11301)] = 310790,
  [SMALL_STATE(11302)] = 310798,
  [SMALL_STATE(11303)] = 310806,
  [SMALL_STATE(11304)] = 310814,
  [SMALL_STATE(11305)] = 310822,
  [SMALL_STATE(11306)] = 310830,
  [SMALL_STATE(11307)] = 310838,
  [SMALL_STATE(11308)] = 310846,
  [SMALL_STATE(11309)] = 310854,
  [SMALL_STATE(11310)] = 310862,
  [SMALL_STATE(11311)] = 310870,
  [SMALL_STATE(11312)] = 310878,
  [SMALL_STATE(11313)] = 310886,
  [SMALL_STATE(11314)] = 310894,
  [SMALL_STATE(11315)] = 310902,
  [SMALL_STATE(11316)] = 310910,
  [SMALL_STATE(11317)] = 310918,
  [SMALL_STATE(11318)] = 310926,
  [SMALL_STATE(11319)] = 310934,
  [SMALL_STATE(11320)] = 310942,
  [SMALL_STATE(11321)] = 310950,
  [SMALL_STATE(11322)] = 310958,
  [SMALL_STATE(11323)] = 310966,
  [SMALL_STATE(11324)] = 310974,
  [SMALL_STATE(11325)] = 310982,
  [SMALL_STATE(11326)] = 310990,
  [SMALL_STATE(11327)] = 310998,
  [SMALL_STATE(11328)] = 311006,
  [SMALL_STATE(11329)] = 311014,
  [SMALL_STATE(11330)] = 311022,
  [SMALL_STATE(11331)] = 311030,
  [SMALL_STATE(11332)] = 311038,
  [SMALL_STATE(11333)] = 311046,
  [SMALL_STATE(11334)] = 311054,
  [SMALL_STATE(11335)] = 311062,
  [SMALL_STATE(11336)] = 311070,
  [SMALL_STATE(11337)] = 311078,
  [SMALL_STATE(11338)] = 311086,
  [SMALL_STATE(11339)] = 311094,
  [SMALL_STATE(11340)] = 311102,
  [SMALL_STATE(11341)] = 311110,
  [SMALL_STATE(11342)] = 311118,
  [SMALL_STATE(11343)] = 311126,
  [SMALL_STATE(11344)] = 311134,
  [SMALL_STATE(11345)] = 311142,
  [SMALL_STATE(11346)] = 311150,
  [SMALL_STATE(11347)] = 311158,
  [SMALL_STATE(11348)] = 311166,
  [SMALL_STATE(11349)] = 311174,
  [SMALL_STATE(11350)] = 311182,
  [SMALL_STATE(11351)] = 311190,
  [SMALL_STATE(11352)] = 311198,
  [SMALL_STATE(11353)] = 311206,
  [SMALL_STATE(11354)] = 311214,
  [SMALL_STATE(11355)] = 311222,
  [SMALL_STATE(11356)] = 311230,
  [SMALL_STATE(11357)] = 311238,
  [SMALL_STATE(11358)] = 311246,
  [SMALL_STATE(11359)] = 311254,
  [SMALL_STATE(11360)] = 311262,
  [SMALL_STATE(11361)] = 311270,
  [SMALL_STATE(11362)] = 311278,
  [SMALL_STATE(11363)] = 311286,
  [SMALL_STATE(11364)] = 311294,
  [SMALL_STATE(11365)] = 311302,
  [SMALL_STATE(11366)] = 311310,
  [SMALL_STATE(11367)] = 311318,
  [SMALL_STATE(11368)] = 311326,
  [SMALL_STATE(11369)] = 311334,
  [SMALL_STATE(11370)] = 311342,
  [SMALL_STATE(11371)] = 311350,
  [SMALL_STATE(11372)] = 311358,
  [SMALL_STATE(11373)] = 311366,
  [SMALL_STATE(11374)] = 311374,
  [SMALL_STATE(11375)] = 311382,
  [SMALL_STATE(11376)] = 311390,
  [SMALL_STATE(11377)] = 311398,
  [SMALL_STATE(11378)] = 311406,
  [SMALL_STATE(11379)] = 311414,
  [SMALL_STATE(11380)] = 311422,
  [SMALL_STATE(11381)] = 311430,
  [SMALL_STATE(11382)] = 311438,
  [SMALL_STATE(11383)] = 311446,
  [SMALL_STATE(11384)] = 311454,
  [SMALL_STATE(11385)] = 311462,
  [SMALL_STATE(11386)] = 311470,
  [SMALL_STATE(11387)] = 311478,
  [SMALL_STATE(11388)] = 311486,
  [SMALL_STATE(11389)] = 311494,
  [SMALL_STATE(11390)] = 311502,
  [SMALL_STATE(11391)] = 311510,
  [SMALL_STATE(11392)] = 311518,
  [SMALL_STATE(11393)] = 311526,
  [SMALL_STATE(11394)] = 311534,
  [SMALL_STATE(11395)] = 311542,
  [SMALL_STATE(11396)] = 311550,
  [SMALL_STATE(11397)] = 311558,
  [SMALL_STATE(11398)] = 311566,
  [SMALL_STATE(11399)] = 311574,
  [SMALL_STATE(11400)] = 311582,
  [SMALL_STATE(11401)] = 311590,
  [SMALL_STATE(11402)] = 311598,
  [SMALL_STATE(11403)] = 311606,
  [SMALL_STATE(11404)] = 311614,
  [SMALL_STATE(11405)] = 311622,
  [SMALL_STATE(11406)] = 311630,
  [SMALL_STATE(11407)] = 311638,
  [SMALL_STATE(11408)] = 311646,
  [SMALL_STATE(11409)] = 311654,
  [SMALL_STATE(11410)] = 311662,
  [SMALL_STATE(11411)] = 311670,
  [SMALL_STATE(11412)] = 311678,
  [SMALL_STATE(11413)] = 311686,
  [SMALL_STATE(11414)] = 311694,
  [SMALL_STATE(11415)] = 311702,
  [SMALL_STATE(11416)] = 311710,
  [SMALL_STATE(11417)] = 311718,
  [SMALL_STATE(11418)] = 311726,
  [SMALL_STATE(11419)] = 311734,
  [SMALL_STATE(11420)] = 311742,
  [SMALL_STATE(11421)] = 311750,
  [SMALL_STATE(11422)] = 311758,
  [SMALL_STATE(11423)] = 311766,
  [SMALL_STATE(11424)] = 311774,
  [SMALL_STATE(11425)] = 311782,
  [SMALL_STATE(11426)] = 311790,
  [SMALL_STATE(11427)] = 311798,
  [SMALL_STATE(11428)] = 311806,
  [SMALL_STATE(11429)] = 311814,
  [SMALL_STATE(11430)] = 311822,
  [SMALL_STATE(11431)] = 311830,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10045),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10048),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11320),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10508),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5038),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10510),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10631),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11206),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9841),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10892),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 11),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11297),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11233),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 11),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10563),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9650),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10212),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11354),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6306),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10875),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 5, 0, 13),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 5, 0, 13),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11216),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9614),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 13),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 13),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 6, 0, 19),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 6, 0, 19),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 4),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 4),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6666),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10805),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9185),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10008),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9298),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10787),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9166),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9977),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6659),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10664),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9732),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9926),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 3, 0, 0),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 4, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6663),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9725),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10760),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9157),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9955),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9622),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10705),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10180),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9719),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10720),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9858),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9685),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10795),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9174),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9992),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10812),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9190),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10031),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9440),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10816),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10056),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9584),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10829),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10080),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11119),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11174),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 5, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10441),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(4785),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5892),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(1509),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(1289),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(11320),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6315),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(9047),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6209),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10508),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(4521),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5036),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5038),
  [1029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(968),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(12),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10510),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10631),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(96),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(2077),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6293),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6214),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(2082),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5829),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(2084),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6183),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6221),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6208),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(6243),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(2071),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(4961),
  [1080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(1251),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(1251),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(11319),
  [1089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(11052),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(11206),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(9841),
  [1098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10134),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(402),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10440),
  [1107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(1294),
  [1110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(9891),
  [1113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(8393),
  [1116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(8521),
  [1119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(10009),
  [1122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5117),
  [1125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(5117),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0), SHIFT_REPEAT(779),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11249),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11279),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11077),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10670),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10512),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10692),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10708),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10588),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10679),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10576),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9817),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10861),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11305),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6652),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10778),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9835),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9904),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10634),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6674),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6648),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10742),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10736),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11235),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6639),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11298),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6642),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11071),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10647),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10986),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6608),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10604),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2133] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4785),
  [2137] = {.entry = {.count = 4, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(5884),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(6674),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(9355),
  [2150] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4521),
  [2154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(968),
  [2157] = {.entry = {.count = 4, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4521),
  [2162] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(7994),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4961),
  [2169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2036),
  [2172] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(5884),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(6606),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(9817),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2087),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(943),
  [2188] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2087),
  [2192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4785),
  [2195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4521),
  [2198] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4521),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4353),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(6652),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), SHIFT(9521),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4346),
  [2214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(939),
  [2217] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4346),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10617),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 7, 0, 0),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 7, 0, 0),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7421),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10105),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 8, 0, 0),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 8, 0, 0),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 0),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, 0, 0),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [2321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 9, 0, 0),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 9, 0, 0),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 9),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 11),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 11),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 6, 0, 11),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 6, 0, 11),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 7, 0, 11),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 7, 0, 11),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 8, 0, 11),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 8, 0, 11),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_modifier, 1, 0, 0),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_modifier, 1, 0, 0),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_property_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_property_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_platform_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_platform_modifier, 1, 0, 0),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_platform_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 1, 1),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 3, 0, 4),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 3, 0, 4),
  [2443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(714),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 9),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 9),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_expression, 3, 0, 8),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(714),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(714),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 0),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(714),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 2, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_expression, 2, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spread_expression, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_expression, 2, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_expression, 2, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_expression, 2, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_expression, 2, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 4, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 4, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10122),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 6, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 6, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_type, 3, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type, 3, 0, 0),
  [2517] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8146),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0),
  [2530] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8146),
  [2534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 3, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 3, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11422),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9892),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8146),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_user_type, 1, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_user_type, 1, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8146),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8146),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameters, 3, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7631),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2590] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__receiver_type, 1, 0, 0), REDUCE(sym__receiver_type, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 0),
  [2598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11422),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_user_type, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(6179),
  [2615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_user_type, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 0), REDUCE(sym_nullable_type, 3, 0, 0),
  [2621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 0), REDUCE(sym_nullable_type, 3, 0, 0),
  [2624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 0), REDUCE(sym_function_type, 6, 0, 0),
  [2627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 0), REDUCE(sym_function_type, 6, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_user_type, 2, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_user_type, 2, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_nullable_type, 4, 0, 0),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_nullable_type, 4, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_nullable_type, 5, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_nullable_type, 5, 0, 0),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 0),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 3, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 3, 0, 0),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_non_nullable_type, 3, 0, 0), REDUCE(sym_non_nullable_type, 4, 0, 0),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_non_nullable_type, 3, 0, 0), REDUCE(sym_non_nullable_type, 4, 0, 0),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_non_nullable_type, 4, 0, 0), REDUCE(sym_non_nullable_type, 5, 0, 0),
  [2679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_non_nullable_type, 4, 0, 0), REDUCE(sym_non_nullable_type, 5, 0, 0),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__receiver_type, 1, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_nullable_type, 3, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_nullable_type, 3, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 0),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0), REDUCE(sym_function_type, 4, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 6, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 0),
  [2704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0), REDUCE(sym_function_type, 4, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10485),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 2, 0, 0),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 2, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameters, 2, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 3, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 3, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 4, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 4, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameters, 4, 0, 0),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 3, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 3, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4353),
  [2796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(5884),
  [2799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [2802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6636),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9521),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4346),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4839),
  [2817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4840),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [2823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0),
  [2828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7994),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4961),
  [2834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [2837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [2840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [2846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11393),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11397),
  [2852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11398),
  [2855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10485),
  [2858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9614),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10166),
  [2864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(417),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11041),
  [2870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [2873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9903),
  [2876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8436),
  [2879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8478),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10167),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4617),
  [2888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4617),
  [2891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [2894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 6, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 6, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 5, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 5, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 5, 0, 0),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 5, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 7, 0, 0),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 7, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_value_parameters, 8, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_value_parameters, 8, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 7, 0, 0),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 7, 0, 0),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraints, 2, 0, 0),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraints, 2, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraints, 3, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraints, 3, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_block, 8, 0, 0),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_block, 8, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_expression, 3, 0, 8),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_expression, 3, 0, 8),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 3, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 3, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 5, 0, 0),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 5, 0, 0),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 8),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 8),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 7, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 7, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10375),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_expression, 4, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_expression, 4, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 2, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 2, 0, 0),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 3, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 3, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 4, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 4, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_arguments, 5, 0, 0),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_arguments, 5, 0, 0),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(715),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(715),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_expression, 6, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_expression, 6, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 6, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 6, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_this_expression, 1, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_this_expression, 1, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_expression, 1, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_expression, 1, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_literal, 4, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_literal, 4, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 7, 0, 0),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 7, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_lambda, 2, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_lambda, 2, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [3070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_literal, 2, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_literal, 2, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 8, 0, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 8, 0, 0),
  [3078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 2, 0, 0),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 2, 0, 0),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_this_expression, 2, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_this_expression, 2, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super_expression, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_expression, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callable_reference, 2, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callable_reference, 2, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 4, 0, 0),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 4, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string_literal, 2, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string_literal, 2, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_expression, 4, 0, 0),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_expression, 4, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_block, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_block, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(715),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(715),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_lambda, 1, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_lambda, 1, 0, 0),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collection_literal, 3, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collection_literal, 3, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_lambda, 3, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_lambda, 3, 0, 0),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collection_literal, 5, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collection_literal, 5, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collection_literal, 4, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collection_literal, 4, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 3, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 3, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_expression, 3, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_expression, 3, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_literal, 5, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_literal, 5, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_delegate, 2, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_delegate, 2, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiline_string_literal, 3, 0, 0),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiline_string_literal, 3, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_literal, 3, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_literal, 3, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callable_reference, 3, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callable_reference, 3, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_navigation_expression, 3, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_navigation_expression, 3, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 3, 0, 0),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 3, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_expression, 5, 0, 0),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_expression, 5, 0, 0),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 5, 0, 0),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 5, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 1, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 1, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11289),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11329),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11299),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11086),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10991),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11250),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [3690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_projection, 1, 0, 0),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8032),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [3938] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(5884),
  [3942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0),
  [3944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(7994),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2698),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(5884),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2462),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(913),
  [4009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2840),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2637),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(929),
  [4018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2847),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2614),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(948),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4884),
  [4030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4946),
  [4033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(953),
  [4036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2871),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2658),
  [4042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(954),
  [4045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2788),
  [4048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2647),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(955),
  [4054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(3014),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2784),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(956),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(528),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(498),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(957),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2992),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2930),
  [4078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(958),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(3028),
  [4084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2853),
  [4087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(959),
  [4090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2989),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(2903),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(960),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4101] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4353),
  [4105] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0), SHIFT(4346),
  [4109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 2, 0, 2),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 2, 0, 2),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10215),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10387),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 7),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 7),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11195),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7594),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10324),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [4209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 2, 0, 0),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [4213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 2, 0, 0),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10026),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [4225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(720),
  [4236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(720),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(720),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(720),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10661),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7458),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9861),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11416),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10347),
  [4335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 12),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 12),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [4343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 2),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 2),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [4353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 7),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [4357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 7),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10642),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(696),
  [4460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(696),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10996),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6645),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [4547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(696),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7554),
  [4552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11416),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [4557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(696),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [4566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8159),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [4575] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8159),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8159),
  [4584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8159),
  [4587] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8159),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7596),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7048),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [4601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9911),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(702),
  [4681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 10, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 10, 0, 0),
  [4685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(702),
  [4688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(702),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(702),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(704),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(704),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(704),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(704),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7659),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11414),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10121),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11005),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [4940] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8128),
  [4944] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8128),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 11, 0, 0),
  [4950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 11, 0, 0),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7672),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7704),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7674),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [4972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(705),
  [4975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(705),
  [4978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(705),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(705),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(708),
  [4995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(708),
  [4998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(708),
  [5001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(708),
  [5004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(710),
  [5007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(710),
  [5010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(710),
  [5013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(710),
  [5016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(712),
  [5019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(712),
  [5022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(712),
  [5025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(712),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7196),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8128),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [5061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8128),
  [5064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8128),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10168),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10432),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10039),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10801),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6789),
  [5121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(718),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11168),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6706),
  [5148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(713),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [5167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(707),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10454),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11127),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [5278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(716),
  [5281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(716),
  [5284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(716),
  [5287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(716),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [5310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(707),
  [5313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(717),
  [5316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(717),
  [5319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(717),
  [5322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(717),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11419),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9896),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6788),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [5355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(718),
  [5358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(718),
  [5361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(718),
  [5364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8108),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [5382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(707),
  [5385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(707),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [5400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11414),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11420),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10006),
  [5407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8108),
  [5410] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8108),
  [5414] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8108),
  [5418] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8150),
  [5422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8165),
  [5425] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8150),
  [5429] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8165),
  [5433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8108),
  [5436] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8165),
  [5440] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8123),
  [5444] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8123),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [5456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8165),
  [5459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11415),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10239),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11417),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9936),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [5477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [5516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8150),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [5553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(713),
  [5556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(713),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7625),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9919),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [5571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8150),
  [5574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(713),
  [5577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8123),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [5582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8123),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9868),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9930),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10038),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6981),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [5625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8150),
  [5628] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8162),
  [5632] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8162),
  [5636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11417),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [5643] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8170),
  [5647] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8170),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8139),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11419),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7085),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11425),
  [5667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8158),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [5674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8158),
  [5677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [5679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 1, 0, 0),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 1, 0, 0),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [5687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8158),
  [5690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11420),
  [5693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8139),
  [5696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8162),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [5701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8139),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11424),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10049),
  [5708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8162),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8162),
  [5718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8170),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [5723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8170),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11421),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10395),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8170),
  [5733] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8139),
  [5737] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8139),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [5743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11415),
  [5746] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8158),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7628),
  [5752] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8158),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7634),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11423),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9883),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7639),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7640),
  [5774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10087),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7109),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7113),
  [5785] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8093),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11421),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [5800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11424),
  [5803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11425),
  [5806] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8093),
  [5810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11423),
  [5813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8093),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [5818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8093),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8093),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [5826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10259),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [5831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__receiver_type, 1, 0, 0),
  [5833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10390),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [5838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__receiver_type, 1, 0, 0), REDUCE(sym__receiver_type, 2, 0, 0),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [5845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9985),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10389),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [5855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9998),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_qualified_identifier_repeat1, 2, 0, 0),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_qualified_identifier_repeat1, 2, 0, 0),
  [5864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_qualified_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(10526),
  [5867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9893),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9969),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10071),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 1, 0, 0),
  [5898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 1, 0, 0),
  [5900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 1, 0, 0), SHIFT(10526),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [5907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 0),
  [5909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 0),
  [5911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 0), SHIFT(10526),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(729),
  [5925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(729),
  [5928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(729),
  [5931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(729),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7651),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7232),
  [5940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(695),
  [5943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(695),
  [5946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(695),
  [5949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(695),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7201),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [5988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [5990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [5992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7632),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(726),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(726),
  [6036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(726),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(726),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7635),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [6050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(694),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(694),
  [6056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(694),
  [6059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(694),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [6068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(711),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(711),
  [6078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(711),
  [6081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(711),
  [6084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [6092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_explicit_delegation, 3, 0, 0),
  [6095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_explicit_delegation, 3, 0, 0),
  [6098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_delegation, 3, 0, 0),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_delegation, 3, 0, 0),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10526),
  [6106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [6110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10552),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 2, 0, 0),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 2, 0, 0),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10550),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10572),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7261),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [6157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_variable_declaration, 2, 0, 0),
  [6159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_variable_declaration, 2, 0, 0),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7292),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6707),
  [6165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(689),
  [6168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(689),
  [6171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(689),
  [6174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(689),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [6179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [6181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [6183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(10048),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [6222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(691),
  [6225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(691),
  [6228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(691),
  [6231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(691),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6747),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [6272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(692),
  [6275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(692),
  [6278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(692),
  [6281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(692),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [6320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 0),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 0),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [6326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10073),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6790),
  [6333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(693),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(693),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(693),
  [6342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(693),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6791),
  [6347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_annotation, 7, 0, 0),
  [6349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_annotation, 7, 0, 0),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_variable_declaration, 5, 0, 0),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_variable_declaration, 5, 0, 0),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_variable_declaration, 3, 0, 0),
  [6357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_variable_declaration, 3, 0, 0),
  [6359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multi_variable_declaration, 4, 0, 0),
  [6361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multi_variable_declaration, 4, 0, 0),
  [6363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_annotation, 5, 0, 0),
  [6365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_annotation, 5, 0, 0),
  [6367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_header, 2, 0, 0),
  [6369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_header, 2, 0, 0),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [6373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 0),
  [6375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, 0, 0),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, 0, 0),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 5, 0, 0),
  [6383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_header, 3, 0, 0),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_header, 3, 0, 0),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 3, 0, 0),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 3, 0, 0),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8166),
  [6398] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8166),
  [6402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat3, 2, 0, 0),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8166),
  [6407] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8166),
  [6411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [6415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [6417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8166),
  [6422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unescaped_annotation, 1, 0, 0),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0),
  [6426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0), SHIFT(937),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 2, 0, 0),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 2, 0, 0),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [6443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 2, 0, 0),
  [6445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 2, 0, 0),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [6449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 4, 0, 0),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 4, 0, 0),
  [6453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 5, 0, 0),
  [6455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 5, 0, 0),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 5, 0, 0),
  [6459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 5, 0, 0),
  [6461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 6, 0, 0),
  [6463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 6, 0, 0),
  [6465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 6, 0, 0),
  [6467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 6, 0, 0),
  [6469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 7, 0, 0),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 7, 0, 0),
  [6473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 7, 0, 0),
  [6475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 7, 0, 0),
  [6477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 8, 0, 0),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 8, 0, 0),
  [6481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 9, 0, 0),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 9, 0, 0),
  [6485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 10, 0, 0),
  [6487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 10, 0, 0),
  [6489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 11, 0, 0),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 11, 0, 0),
  [6493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 12, 0, 0),
  [6495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 12, 0, 0),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 13, 0, 0),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 13, 0, 0),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter, 1, 0, 0),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 1, 0, 0),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter, 1, 0, 0),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 1, 0, 0),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [6513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 0),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 0),
  [6517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_invocation, 2, 0, 0),
  [6519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_invocation, 2, 0, 0),
  [6521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 5, 0, 0),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 5, 0, 0),
  [6525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 4, 0, 0),
  [6527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 4, 0, 0),
  [6529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 2, 0, 0),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 0),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10613),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10610),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [6547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11231),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11204),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9882),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9894),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [6647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5875),
  [6650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(10613),
  [6653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6500),
  [6656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(10610),
  [6659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6210),
  [6662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11231),
  [6665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11204),
  [6668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9882),
  [6671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9894),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6112),
  [6679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6114),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6078),
  [6685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6079),
  [6688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6086),
  [6691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6107),
  [6694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [6697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6076),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [6780] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8171),
  [6784] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8171),
  [6788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8171),
  [6791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8171),
  [6794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8171),
  [6797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 2),
  [6799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 2),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [6809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 7),
  [6811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 7),
  [6813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 12),
  [6815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 12),
  [6817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, 0, 18),
  [6819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 18),
  [6821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, 0, 22),
  [6823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 22),
  [6825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 7),
  [6827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 7),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [6831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegation_specifier, 2, 0, 0),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegation_specifier, 2, 0, 0),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 18),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 18),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegation_specifier, 1, 0, 0),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegation_specifier, 1, 0, 0),
  [6853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 2),
  [6855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 2),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [6859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 12),
  [6861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 12),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [6865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 22),
  [6867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 22),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [6871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 12),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 12),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [6877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 7),
  [6879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 7),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11342),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [6887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 2),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 2),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [6893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11084),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 12),
  [6949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 12),
  [6951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 2),
  [6953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 2),
  [6955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 7),
  [6957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 7),
  [6959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(701),
  [6962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(701),
  [6965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11342),
  [6968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 7),
  [6970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 7),
  [6972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(701),
  [6975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(701),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [6984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [6990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 2),
  [6992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 2),
  [6994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 12),
  [6996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 12),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11132),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [7004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [7006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(728),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [7025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, 0, 22),
  [7027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 22),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, 0, 18),
  [7033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 18),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 7),
  [7037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 7),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 18),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 18),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10217),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [7083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6833),
  [7087] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8172),
  [7091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegation_specifiers, 2, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegation_specifiers, 2, 0, 0),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [7101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 12),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 12),
  [7105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 2),
  [7107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 2),
  [7109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8172),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [7114] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8172),
  [7118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 10, 0, 22),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, 0, 22),
  [7122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9987),
  [7125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8172),
  [7128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0),
  [7130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0),
  [7132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6385),
  [7135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 2),
  [7137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 2),
  [7139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8172),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [7146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 7),
  [7148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 7),
  [7150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(728),
  [7153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(728),
  [7156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(728),
  [7159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegation_specifiers, 1, 0, 0),
  [7161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegation_specifiers, 1, 0, 0),
  [7163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, 0, 12),
  [7165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 12),
  [7167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, 0, 12),
  [7169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, 0, 12),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [7183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 6, 0, 17),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 6, 0, 17),
  [7187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 5, 0, 0),
  [7191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 3, 0, 7),
  [7193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 3, 0, 7),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [7205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 2),
  [7231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 2),
  [7233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_constructor, 1, 0, 0),
  [7235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constructor, 1, 0, 0),
  [7237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 5, 0, 10),
  [7239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 5, 0, 10),
  [7241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [7243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 4, 0, 0),
  [7245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10665),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10142),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11317),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [7279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [7285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [7313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 4, 0, 10),
  [7315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 4, 0, 10),
  [7317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(719),
  [7320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(719),
  [7323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(719),
  [7326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(719),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [7335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 5, 0, 17),
  [7337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 5, 0, 17),
  [7339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 3, 0, 0),
  [7343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_constructor, 3, 0, 0),
  [7345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constructor, 3, 0, 0),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [7359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 2, 0, 2),
  [7361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 2, 0, 2),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [7365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_constructor, 2, 0, 0),
  [7367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constructor, 2, 0, 0),
  [7369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [7371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameters, 2, 0, 0),
  [7373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(721),
  [7376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(721),
  [7379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(721),
  [7382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(721),
  [7385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 7),
  [7387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 7),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9942),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [7405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [7407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [7411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10119),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [7415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(690),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7323),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [7500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 5, 0, 7),
  [7502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 5, 0, 7),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [7508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(722),
  [7511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(690),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [7526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(722),
  [7529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [7533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [7541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 4, 0, 2),
  [7543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 4, 0, 2),
  [7545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10665),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11418),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10237),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [7570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10325),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6905),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [7590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(722),
  [7593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(722),
  [7596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(690),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [7605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(690),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 4, 0, 7),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 4, 0, 7),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [7680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 3, 0, 0),
  [7682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 3, 0, 0),
  [7684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11418),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [7691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [7693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [7695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 5, 0, 2),
  [7697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 5, 0, 2),
  [7699] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8116),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [7709] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8116),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10262),
  [7720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 4, 0, 0),
  [7722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 4, 0, 0),
  [7724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 13),
  [7726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 13),
  [7728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 11),
  [7730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 11),
  [7732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 6, 0, 7),
  [7734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 6, 0, 7),
  [7736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 5, 0, 0),
  [7738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 5, 0, 0),
  [7740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 2),
  [7742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 2),
  [7744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 6, 0, 0),
  [7746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 6, 0, 0),
  [7748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 2),
  [7750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 2),
  [7752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, 0, 7),
  [7754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 7),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_class_body, 7, 0, 0),
  [7760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_class_body, 7, 0, 0),
  [7762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, 0, 7),
  [7764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, 0, 7),
  [7766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, 0, 12),
  [7768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, 0, 12),
  [7770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 10, 0, 18),
  [7772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 10, 0, 18),
  [7774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 10, 0, 12),
  [7776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 10, 0, 12),
  [7778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 11, 0, 22),
  [7780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 11, 0, 22),
  [7782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 12, 0, 0),
  [7784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 12, 0, 0),
  [7786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 3, 0, 0),
  [7788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 3, 0, 0),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [7792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 3, 0, 15),
  [7794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 3, 0, 15),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(709),
  [7819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(709),
  [7822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(709),
  [7825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(709),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [7830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 4, 0, 15),
  [7832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 4, 0, 15),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [7836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 4, 0, 20),
  [7838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 4, 0, 20),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [7846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_declaration, 3, 0, 2),
  [7848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_declaration, 3, 0, 2),
  [7850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 7, 0, 21),
  [7852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 7, 0, 21),
  [7854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 5, 0, 20),
  [7856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 5, 0, 20),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [7862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8116),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6172),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [7871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8116),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7574),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [7882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [7884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 0),
  [7886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0), REDUCE(sym_enum_class_body, 2, 0, 0),
  [7889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0), REDUCE(sym_enum_class_body, 2, 0, 0),
  [7892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8116),
  [7895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [7897] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8095),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [7913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8095),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [7940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8095),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [7949] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8095),
  [7953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 4, 0, 0),
  [7955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 4, 0, 0),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [7969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 5, 0, 15),
  [7971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 5, 0, 15),
  [7973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [7980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_entry, 6, 0, 20),
  [7982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_entry, 6, 0, 20),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [7996] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8156),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(723),
  [8009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [8019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [8021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(723),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(723),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [8053] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8156),
  [8057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9996),
  [8060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(723),
  [8063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__receiver_type, 1, 0, 0),
  [8065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__receiver_type, 1, 0, 0), REDUCE(sym__receiver_type, 2, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__receiver_type, 2, 0, 0),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [8072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type_parameters, 3, 0, 0), REDUCE(sym_parenthesized_type, 3, 0, 0),
  [8075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8156),
  [8078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8156),
  [8081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8156),
  [8084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_value_parameters, 2, 0, 0), REDUCE(sym_function_type_parameters, 2, 0, 0),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10811),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6296),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6302),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7010),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [8131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [8139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [8141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [8143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [8149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [8169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [8179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5905),
  [8184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6032),
  [8187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6052),
  [8190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6000),
  [8193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5984),
  [8196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5996),
  [8199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5999),
  [8202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5991),
  [8205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6002),
  [8208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_value_parameters, 3, 0, 0), REDUCE(sym_function_type_parameters, 3, 0, 0),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [8215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0), SHIFT(1024),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [8224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(698),
  [8227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(698),
  [8230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_value_parameters, 4, 0, 0), REDUCE(sym_function_type_parameters, 4, 0, 0),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [8235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10366),
  [8238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(698),
  [8241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(698),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7312),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [8292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5875),
  [8295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [8297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6112),
  [8300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6114),
  [8303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6078),
  [8306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6079),
  [8309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6086),
  [8312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6107),
  [8315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [8318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6076),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [8325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [8329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [8335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [8339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [8341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [8347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [8361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [8363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(703),
  [8366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(703),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [8371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10120),
  [8374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(703),
  [8377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(703),
  [8380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(706),
  [8383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(706),
  [8386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(706),
  [8389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(706),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(699),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [8413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [8421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [8441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [8443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [8445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [8447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [8449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [8455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [8465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [8469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(699),
  [8472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(724),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [8477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(724),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [8482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(699),
  [8485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(699),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7365),
  [8490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(724),
  [8493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(724),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [8552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 9), SHIFT(697),
  [8555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0), SHIFT(697),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 0), SHIFT(697),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [8583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7123),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [8663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5912),
  [8666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6293),
  [8669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6214),
  [8672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6230),
  [8675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6183),
  [8678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6221),
  [8681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6208),
  [8684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6243),
  [8687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6234),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [8798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 8), SHIFT(697),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [8825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 3, 0, 0),
  [8827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_test, 2, 0, 0),
  [8829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 4, 0, 0),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 7, 0, 0),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [8835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 6, 0, 0),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [8839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5917),
  [8842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6400),
  [8845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6325),
  [8848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6399),
  [8851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6374),
  [8854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6376),
  [8857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6302),
  [8860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6349),
  [8863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6301),
  [8866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__when_condition, 1, 0, 0),
  [8868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 5, 0, 0),
  [8870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 5, 0, 0),
  [8872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_argument, 1, 0, 0),
  [8874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_expression_repeat1, 2, 0, 0),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6301),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7666),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7700),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7684),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [9030] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8154),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [9036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8154),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [9055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8154),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [9062] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8154),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [9104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8154),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [9221] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8144),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7138),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [9241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8144),
  [9244] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8144),
  [9248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8144),
  [9251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6803),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [9255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8144),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [9260] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8126),
  [9264] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8126),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [9273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8149),
  [9276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8149),
  [9279] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8149),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [9289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8126),
  [9292] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8149),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [9310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10438),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [9314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8149),
  [9317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [9319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_modifier, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [9322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [9324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_modifier, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [9327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8126),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7831),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [9358] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8098),
  [9362] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8098),
  [9366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8098),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7799),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [9405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6282),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [9417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [9433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [9439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [9441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8122),
  [9444] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8122),
  [9448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [9460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [9464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7981),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [9476] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8122),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4939),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [9492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8122),
  [9495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [9499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7856),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7864),
  [9517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [9519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5848),
  [9522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7415),
  [9525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7416),
  [9528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7465),
  [9531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7418),
  [9534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7421),
  [9537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7422),
  [9540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6802),
  [9543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7466),
  [9546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8098),
  [9549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8122),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [9560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [9564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8098),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [9593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [9597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6263),
  [9599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [9601] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8107),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5863),
  [9608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7681),
  [9611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7659),
  [9614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7667),
  [9617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [9620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7687),
  [9623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7688),
  [9626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7677),
  [9629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7668),
  [9632] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8107),
  [9636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8107),
  [9639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [9649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8107),
  [9652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5889),
  [9655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7672),
  [9658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7673),
  [9661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7704),
  [9664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7674),
  [9667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7675),
  [9670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7676),
  [9673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7691),
  [9676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [9683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8107),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [9696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5920),
  [9699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7666),
  [9702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7669),
  [9705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7700),
  [9708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7709),
  [9711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7689),
  [9714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7690),
  [9717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7684),
  [9720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7683),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [9729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [9731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [9743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_modifier, 1, 0, 0),
  [9745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_modifier, 1, 0, 0),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [9753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inheritance_modifier, 1, 0, 0),
  [9755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_modifier, 1, 0, 0),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [9759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_modifier, 1, 0, 0),
  [9761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_modifier, 1, 0, 0),
  [9763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_modifier, 1, 0, 0),
  [9765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_platform_modifier, 1, 0, 0),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [9803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_modifier, 1, 0, 0),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [9817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_modifier, 1, 0, 0),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [9833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8133),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [9842] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8133),
  [9846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8133),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [9851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10141),
  [9854] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8133),
  [9858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8133),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [9873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9895),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [9882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10256),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [9909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [9913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [9927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [9937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10535),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [9955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [9961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8148),
  [9964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8105),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [9969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8148),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7983),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11175),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [9980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8105),
  [9983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [9993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [9995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10917),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [9999] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8105),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [10011] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8101),
  [10015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8148),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [10040] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8148),
  [10044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8105),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [10051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(7834),
  [10054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(5891),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0),
  [10059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(7856),
  [10062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(6601),
  [10065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(7994),
  [10068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_annotation_repeat1, 2, 0, 0), SHIFT_REPEAT(7889),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [10075] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8148),
  [10079] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8105),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [10093] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8101),
  [10097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8101),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [10112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8101),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [10117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8101),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11177),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [10144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11042),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10710),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [10188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10633),
  [10190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7982),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10598),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [10222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [10225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [10229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9588),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [10291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [10303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [10307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [10311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [10319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [10351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [10353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [10355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [10359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [10363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [10371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [10375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [10377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [10381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [10385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [10387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [10391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [10393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [10395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [10397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [10399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [10403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [10409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [10411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [10413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [10415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [10417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [10425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [10431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [10439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [10445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [10449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [10451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [10459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7974),
  [10461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [10463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9838),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11126),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [10505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8102),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [10514] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8102),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [10530] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8102),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [10540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8102),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [10561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8102),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [10644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0), SHIFT(886),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [10651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8096),
  [10654] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8137),
  [10658] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8137),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9277),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 2, 0, 0),
  [10670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8137),
  [10673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 3, 0, 0),
  [10675] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8096),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8137),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [10686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8096),
  [10689] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8096),
  [10693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8137),
  [10696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8096),
  [10699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [10713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [10715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0), SHIFT(1027),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [10726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_projection_repeat1, 2, 0, 0),
  [10728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_projection_repeat1, 2, 0, 0),
  [10730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_projection_repeat1, 2, 0, 0), SHIFT_REPEAT(7993),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [10771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [10774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [10777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 1, 0, 0),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [10791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [10793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 5),
  [10795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 5),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [10805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10227),
  [10807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_modifiers, 1, 0, 0),
  [10809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0),
  [10811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5847),
  [10814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8067),
  [10817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [10827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variance_modifier, 1, 0, 0),
  [10829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variance_modifier, 1, 0, 0),
  [10831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_modifiers, 1, 0, 0),
  [10833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_modifiers, 1, 0, 0),
  [10835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [10839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8106),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [10846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 2, 0, 0),
  [10848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5891),
  [10851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_modifiers_repeat1, 2, 0, 0),
  [10853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(7999),
  [10856] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8106),
  [10860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8106),
  [10863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0),
  [10865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5891),
  [10868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0),
  [10870] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8106),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [10878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8106),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [10887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [10893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unescaped_annotation, 1, 0, 0), SHIFT(1000),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [10900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_site_target, 2, 0, 0),
  [10902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_site_target, 2, 0, 0),
  [10904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10022),
  [10906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5895),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [10911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__receiver_type, 2, 0, 0),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [10921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [10923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9653),
  [10925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [10928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 1, 0, 0), REDUCE(aux_sym_type_modifiers_repeat1, 1, 0, 0),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [10933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [10939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__receiver_type, 1, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10145),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [10946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10413),
  [10948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11167),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9983),
  [10954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5877),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10014),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10250),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10265),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10273),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10095),
  [10969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10279),
  [10971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10005),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9946),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10110),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10224),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [11003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11295),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [11013] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8143),
  [11017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8127),
  [11020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8143),
  [11023] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8127),
  [11027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8127),
  [11030] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8127),
  [11034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8143),
  [11037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8127),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [11044] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8143),
  [11048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8143),
  [11051] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8124),
  [11055] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8147),
  [11059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8110),
  [11062] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8110),
  [11066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8147),
  [11069] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8110),
  [11073] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8147),
  [11077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8110),
  [11080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8124),
  [11083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8147),
  [11086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8124),
  [11089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8147),
  [11092] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8124),
  [11096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8124),
  [11099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8110),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9238),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [11134] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8142),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10656),
  [11144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11253),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10750),
  [11150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [11152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8142),
  [11155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8142),
  [11158] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8142),
  [11162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8142),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9221),
  [11167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [11169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [11173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9705),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [11193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [11195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [11197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [11199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9471),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [11203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [11209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9227),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [11213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9796),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [11221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [11223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9797),
  [11225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9139),
  [11229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [11231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9713),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9716),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [11241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [11249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [11259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [11263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [11269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [11271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [11275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [11279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [11281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [11283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [11285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8416),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [11291] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), REDUCE(sym_user_type, 2, 0, 0), SHIFT(8163),
  [11295] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), REDUCE(sym_user_type, 3, 0, 0), SHIFT(8163),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [11303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [11305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [11311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [11313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8604),
  [11316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7941),
  [11319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [11322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8408),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [11327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [11331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [11333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5856),
  [11336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8907),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [11341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_parameter_modifiers_repeat1, 2, 0, 0),
  [11343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(5865),
  [11346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8805),
  [11349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_parameter_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8414),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [11368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8437),
  [11382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [11386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [11388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [11390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [11392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_modifiers, 1, 0, 0),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [11398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [11402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [11410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 1, 0, 0), SHIFT(8163),
  [11413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_user_type, 2, 0, 0), SHIFT(8163),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [11420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_user_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8163),
  [11423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [11425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [11431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [11433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [11437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [11439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [11443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [11445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [11449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [11451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [11461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [11467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [11473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [11481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [11487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [11491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [11509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [11517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [11523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [11527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [11543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [11547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [11563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 1, 0, 0),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [11567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [11571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [11574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0),
  [11576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0),
  [11578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [11581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8502),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [11590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [11596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 2, 0, 0),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [11604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [11608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [11612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [11642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [11648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [11654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [11664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10317),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [11703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [11705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [11707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [11723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6343),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [11732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 2, 0, 0),
  [11734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 2, 0, 0),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [11744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 2, 0, 0),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10237),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [11786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 3, 0, 0),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [11818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 3, 0, 0),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [11854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(9902),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [11863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(10400),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [11872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6379),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [11883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5859),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [11912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 3, 0, 0),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [11934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_parameter, 4, 0, 0),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [11978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5865),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [12019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6314),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [12064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [12168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delegation_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6320),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [12181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 3, 0, 7),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [12185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secondary_constructor, 3, 0, 0),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [12237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_type_parameters_repeat1, 2, 0, 0),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [12273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_test, 2, 0, 0),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [12289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0),
  [12291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_class_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5804),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [12304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_projection, 2, 0, 0),
  [12306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [12328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 4, 0, 12),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [12358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secondary_constructor, 2, 0, 0),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [12450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10974),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [12626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_entry_repeat1, 2, 0, 16), SHIFT_REPEAT(688),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_entry_repeat1, 2, 0, 16),
  [12631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0),
  [12633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [12688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(6177),
  [12691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [12703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(7897),
  [12706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_parameters_repeat1, 2, 0, 0),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [12770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 0),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [12784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1049),
  [12787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_arguments_repeat1, 2, 0, 0),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [12825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(5325),
  [12828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_parameters_repeat1, 2, 0, 0),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [12878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 0),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [13170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 3, 0, 0),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [13176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 2, 0, 0),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [13258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 4, 0, 0),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [13276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secondary_constructor, 4, 0, 0),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [13280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multi_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8020),
  [13283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multi_variable_declaration_repeat1, 2, 0, 0),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [13291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [13293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 6, 0, 12),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [13385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0), REDUCE(sym_variable_declaration, 4, 0, 0),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [13482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_index_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [13567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_entry, 4, 0, 0),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [13705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 5, 0, 7),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 5, 0, 0),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [13749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secondary_constructor, 5, 0, 0),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [13879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(8252),
  [13882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [13894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 2, 0, 0), REDUCE(aux_sym_function_type_parameters_repeat1, 2, 0, 0),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [13983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [14006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_value_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(7840),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [14035] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__receiver_type, 1, 0, 0), REDUCE(sym__receiver_type, 2, 0, 0),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [14063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [14107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [14111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [14121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [14135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_entry_repeat1, 2, 0, 14),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [14141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [14169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [14209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [14253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10694),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [14289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [14327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [14331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [14333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [14337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [14341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [14357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [14363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declaration, 1, 0, 0), REDUCE(sym_variable_declaration, 2, 0, 0),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [14374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [14378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [14396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [14398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_multi_variable_declaration, 2, 0, 0), REDUCE(sym_function_type_parameters, 2, 0, 0),
  [14401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [14403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [14409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [14429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_delegation_call, 2, 0, 0),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [14439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [14445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [14447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [14451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [14453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [14469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [14483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [14529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secondary_constructor, 6, 0, 0),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [14641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 7, 0, 12),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [14747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_initializer, 2, 0, 0),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [14793] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [14975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_member_declaration, 1, 0, 0),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [15285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10316),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [15441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [15485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [15545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [15547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [15553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [15555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [15579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [15585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [15587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [15591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [15593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [15595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [15597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [15599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [15601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [15603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [15605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [15607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [15609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [15611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [15613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [15615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [15617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [15619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [15621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [15623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [15625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [15633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [15635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [15637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [15639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [15641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [15643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [15645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [15647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [15649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [15653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 5, 0, 12),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [15657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [15661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [15701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [15709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_subject, 7, 0, 0),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [15713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [15715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [15721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [15723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [15725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [15735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [15737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [15739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [15741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [15743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [15747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [15761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [15801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_subject, 6, 0, 0),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [15833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameters, 5, 0, 0),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [15839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [15901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 6, 0, 7),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [15947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 6, 0, 0),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [16043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_companion_object, 4, 0, 7),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [16059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_subject, 3, 0, 0),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [16063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [16085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [16107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__semi = 0,
  ts_external_token__class_member_semi = 1,
  ts_external_token_block_comment = 2,
  ts_external_token__not_is = 3,
  ts_external_token__in = 4,
  ts_external_token__q_dot = 5,
  ts_external_token__multiline_string_content = 6,
  ts_external_token_constructor = 7,
  ts_external_token_get = 8,
  ts_external_token_set = 9,
  ts_external_token_DOLLAR = 10,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__semi] = sym__semi,
  [ts_external_token__class_member_semi] = sym__class_member_semi,
  [ts_external_token_block_comment] = sym_block_comment,
  [ts_external_token__not_is] = sym__not_is,
  [ts_external_token__in] = sym__in,
  [ts_external_token__q_dot] = sym__q_dot,
  [ts_external_token__multiline_string_content] = sym__multiline_string_content,
  [ts_external_token_constructor] = anon_sym_constructor,
  [ts_external_token_get] = anon_sym_get,
  [ts_external_token_set] = anon_sym_set,
  [ts_external_token_DOLLAR] = anon_sym_DOLLAR,
};

static const bool ts_external_scanner_states[41][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__semi] = true,
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__in] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token__multiline_string_content] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
    [ts_external_token_DOLLAR] = true,
  },
  [2] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [3] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__in] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [4] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__in] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [5] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [6] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [7] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [8] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [9] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__in] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [10] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [11] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [12] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [13] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
  },
  [14] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_set] = true,
  },
  [15] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
  },
  [16] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
  },
  [17] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_set] = true,
  },
  [18] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_get] = true,
  },
  [19] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
    [ts_external_token_set] = true,
  },
  [20] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
  },
  [21] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
  },
  [22] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
  },
  [23] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token__not_is] = true,
    [ts_external_token__q_dot] = true,
  },
  [24] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
  },
  [25] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [26] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [27] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [28] = {
    [ts_external_token_block_comment] = true,
  },
  [29] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
  },
  [30] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
  },
  [31] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_set] = true,
  },
  [32] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_set] = true,
  },
  [33] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
  },
  [34] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_set] = true,
  },
  [35] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_get] = true,
  },
  [36] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_constructor] = true,
    [ts_external_token_get] = true,
    [ts_external_token_set] = true,
    [ts_external_token_DOLLAR] = true,
  },
  [37] = {
    [ts_external_token__semi] = true,
    [ts_external_token_block_comment] = true,
  },
  [38] = {
    [ts_external_token__class_member_semi] = true,
    [ts_external_token_block_comment] = true,
  },
  [39] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token_DOLLAR] = true,
  },
  [40] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__multiline_string_content] = true,
    [ts_external_token_DOLLAR] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_kotlin_external_scanner_create(void);
void tree_sitter_kotlin_external_scanner_destroy(void *);
bool tree_sitter_kotlin_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_kotlin_external_scanner_serialize(void *, char *);
void tree_sitter_kotlin_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_kotlin(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_kotlin_external_scanner_create,
      tree_sitter_kotlin_external_scanner_destroy,
      tree_sitter_kotlin_external_scanner_scan,
      tree_sitter_kotlin_external_scanner_serialize,
      tree_sitter_kotlin_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
